(function ($) {

  Drupal.Hermio = Drupal.Hermio || {};

  Drupal.behaviors.actionHermio = {
    attach: function (context) {
     $('.btn-btt').smoothScroll({speed: 600});
     $('.socials-list a').tooltip();

     Drupal.Hermio.loadingPageStart();
     Drupal.Hermio.eventProgress();
     Drupal.Hermio.setInputPlaceHolder('search_block_form', 'Keywords', '#search-block-form');
     Drupal.Hermio.setInputPlaceHolder('mail', 'Enter your email here', '.block-simplenews');
     Drupal.Hermio.setInputPlaceHolder('line_item_fields[commerce_donate_amount][und][other]', 'Your donation amount', '.select-or-other');
     Drupal.Hermio.hideBlockCart();
     Drupal.Hermio.formatShortDate();
     Drupal.Hermio.matchHeight();
     Drupal.Hermio.slideshowControl();
     Drupal.Hermio.initProductQuantity();
     $(window).load(function(){
      Drupal.Hermio.animations();
      setTimeout(function(){
        Drupal.Hermio.loadingPageEnd();
      }, 1000);
    });
     if ($(window).width() <= 991) {
      $('#main-menu-inner .region-main-menu').accordionMenu();
    }
    $(window).resize(function(){
      if ($(window).width() <= 991) {
        $('#main-menu-inner .region-main-menu').accordionMenu();
      }
    });


    $("#menu-toggle, .btn-close").click(function(e) {

      var wrapper = $("#page");
      if (!wrapper.hasClass('toggled')) {
        wrapper.addClass('toggled');
        if (wrapper.find('.overlay').length == 0) {
          var overlay = $('<div class="overlay"></div>');
          overlay.prependTo(wrapper);
          overlay.click(function() {
            $('#menu-toggle').trigger('click');
          });
          $('body').css('overflow', 'hidden');
        }

      }
      else {
        var overlay = wrapper.find('.overlay');
        wrapper.css('width', '');
        wrapper.removeClass('toggled');

        if (overlay.length > 0) {
          overlay.remove();
          $('body').css('overflow', '');
        }
      }
      e.preventDefault();
      return false;
    });
   }
 };

 Drupal.Hermio.loadingPageStart = function () {
  if ($('body').hasClass('loading')) {
    $('body').css({overflow: 'hidden'});
    $('#page').css({opacity: '0'});
  }
}

Drupal.Hermio.loadingPageEnd = function () {
  if ($('body').hasClass('loading')) {
    $('body').removeClass('loading');
    $('body').css({overflow: 'inherit'});
    $.when(
      $('div.loader').addClass('animated').addClass('rotateOut').remove()
      ).then( $('#page').addClass('animated').addClass('fadeIn').removeAttr('style') );
  }
}

Drupal.Hermio.hideBlockCart = function () {
  if ($('#block-commerce-cart-cart div.cart-empty-block').length) {
    $('#block-commerce-cart-cart').hide();
  }
}

Drupal.Hermio.numberWithCommas = function (x) {
  var result = x.toString();
  result = result.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
  return result;
}

Drupal.Hermio.animations = function () {
  //Count to
  $(".counter .field-item").each(function() {
    var $this = $(this);
    var dataTo = $this.text();
    var append = dataTo.substring(dataTo.length - 1);
    dataTo = dataTo.replace(new RegExp("[,\+ ]", "gm"), "");
    $this.text("0");
    $this.appear(function() {
      $this.countTo({
        to: dataTo,
        onComplete: function() {
          var result = Drupal.Hermio.numberWithCommas(dataTo);
          if(append === "+") {
            result = result + append;
          }
          $this.html(result)
        }
      });
    }, {accX: 0, accY: -150});
  });
  //Progess bar
  $(".progress .progress-bar").each(function() {
    var $this = $(this);
    var valuenow = $this.attr("aria-valuenow").replace("$", "");
    var valuemax = $this.attr("aria-valuemax").replace("$", "");
    var percent = (valuenow / valuemax) * 100;
    percent = parseInt(percent);
    $this.appear(function() {
      $this.countTo({
        from: 0,
        to: percent,
        speed: 700,
        onUpdate: function(value) {
          $this.css("width", value + "%");
          $this.text("");
        },
        onComplete: function() {
          $this.css("width", percent + "%");
          $this.text("");
        }
      });
    }, {accX: 0, accY: -100});
  });
}

Drupal.Hermio.formatShortDate = function () {
  $(".hermio-short-date").each( function() {
    var $this = $(this);
    var date = $this.text();
    date = date.replace(" ", "");
    var month = "<span class='month'>" + date.substr(0, 3) + "</span>";
    var day = "<span class='day'>" + date.substr(3, date.length) + "</span>";
    $this.html(month + day);
  });
}

Drupal.Hermio.matchHeight = function () {
  $(".match-height .views-row").each(function(){
    $(this).find('div.grid div.grid-inner').matchHeight();
  });

    $(".shop-grid .views-row").each(function(){
    $(this).find('div.grid .grid-inner .views-field-title ').matchHeight();
  });

    $('.shop-related .jcarousel-item .views-field-title').matchHeight();
}

Drupal.Hermio.setInputPlaceHolder = function (name, text, selector) {
  selector = selector == undefined ? '' : selector + ' ';

  if ($.support.placeholder) {
    $(selector + 'input[name="' + name + '"]').attr('placeholder', Drupal.t(text));
  }
  else {
    $(selector + 'input[name="' + name + '"]').val(Drupal.t(text));
    $(selector + 'input[name="' + name + '"]').focus(function(){
      if(this.value == Drupal.t(text)) {
        this.value='';
      }
    }).blur(function(){
      if(this.value == '') {
        this.value=Drupal.t(text);
      }
    });
  }
}

Drupal.Hermio.eventProgress = function () {
  var donate_counter = $('.donate-counter div.field-item').text();
  var donate_total = $('.donate-total div.field-item').text();
  var donate_goal = $('.donate-goal div.field-item').text();

  donate_counter = donate_counter.replace(new RegExp("[,/. ]", "gm"), "");
  donate_total = donate_total.replace(new RegExp("[,/. ]", "gm"), "");
  donate_goal = donate_goal.replace(new RegExp("[,/. ]", "gm"), "");
  donate_counter = Drupal.Hermio.replacePrefixSuffix(donate_counter);
  donate_total = Drupal.Hermio.replacePrefixSuffix(donate_total);
  donate_goal = Drupal.Hermio.replacePrefixSuffix(donate_goal);
  var html = '<div class="progress">';
  html += '<div class="progress-bar" role="progressbar" aria-valuenow="'+ donate_total +'" aria-valuemin="0" aria-valuemax="'+ donate_goal +'">';
  html += '</div></div><div><span class="donate-number">'+ donate_counter +' People Donated $'+ donate_total +' / $'+ donate_goal +'</span></div>';
  $(".group-donate").append(html);
}

Drupal.Hermio.replacePrefixSuffix = function (input) {
  var prefix = input.substr(0, 1);
  var suffix = input.substr(0, -1);
  if (prefix !== parseInt(prefix)) {
    input  = input.replace(prefix, '');
  }
  if (suffix !== parseInt(suffix)) {
    input = input.replace(suffix, '');
  }
  return input;
}

Drupal.Hermio.slideshowControl = function () {
  var href = $('#slideshow a.carousel-control').attr('href');
  var control = $('<div class="controls">' +
    '<a data-slide="prev" href="#views-bootstrap-carousel-1" class="carousel-control left"><span class="icon-prev"></span></a>' +
    '<a data-slide="next" href="#views-bootstrap-carousel-1" class="carousel-control right"><span class="icon-next"></span></a>' +
    '</div>');
  $('#slideshow a.carousel-control').remove();
  $('#slideshow div.carousel-inner').after(control);
}

Drupal.Hermio.initProductQuantity = function() {
  var quantity = $(".form-item-quantity");
  quantity.find('label').hide();
  if(quantity.children('#quantity-decrease').length == 0) {
    quantity.prepend($('<span id="quantity-decrease">-</span>'));
  }
  if(quantity.children('#quantity-increase').length == 0) {
    quantity.append($('<span id="quantity-increase">+</span>'));
  }
  $('#quantity-decrease').on('click', function() {
    $(this).parent().children('input#edit-quantity').each(function() {
      var value = parseInt($(this).val());
      if(value > 0) {
        $(this).val(value - 1);
        if(value == 1) {
          $(this).parent().children('#quantity-decrease').addClass("disabled");
        }
      }
    });
  });
  $('#quantity-increase').on('click', function() {
    var value = parseInt($(this).parent().children('input#edit-quantity').val());
    value = value + 1;
    $(this).parent().children('input#edit-quantity').val(value);
    $(this).parent().children('#quantity-decrease').removeClass("disabled");
  });
}

})(jQuery);
