<?php

/**
 * Implementation of template preprocess for the view.
 */
function template_preprocess_views_scattered_polaroids_plugin_style(&$vars) {
  $module_path = drupal_get_path('module', 'views_scattered_polaroids');

  drupal_add_js(array(
    'scatteredPolaroids' => array(
      'photostack' => array(
        $vars['id'] => array(
          'id' => $vars['id'],
        ),
      ),
    ),
  ), 'setting');

  drupal_add_css($module_path . '/plugins/css/normalize.css', CSS_DEFAULT);
  drupal_add_css($module_path . '/plugins/css/demo.css', CSS_DEFAULT);
  drupal_add_css($module_path . '/plugins/css/component.css', CSS_DEFAULT);  
  drupal_add_js($module_path . '/plugins/js/modernizr.min.js');
  drupal_add_js($module_path . '/plugins/js/classie.js');
  drupal_add_js($module_path . '/plugins/js/photostack.js');
  drupal_add_js($module_path . '/plugins/js/views-scattered-polaroids.js');

  $vars['classes_array'][] = 'photostack photostack-transition';

}

/**
 * Implementation of template preprocess for the view fields.
 */
function template_preprocess_views_scattered_polaroids_plugin_rows(&$vars) {


  $view = &$vars['view'];
  foreach ($vars['options'] as $id => $field) {
    if (isset($view->field[$field])) {
      $vars[$id] = $view->style_plugin->get_field($view->row_index, $field);
    }
  }
}