<?php
/**
 * @file
 * Definition of views_scattered_polaroids_plugin_rows.
 */

/**
 * Class to define a row plugin handler.
 */
class ViewsScatteredPolaroidsPluginRows extends views_plugin_row {
  /**
   * Definition.
   */
  public function option_definition() {
    $options = parent::option_definition();
    $options['image'] = array('default' => '');
    $options['title'] = array('default' => '');
    $options['description'] = array('description' => '');
    return $options;
  }

  /**
   * Form.
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $fields = array('' => t('<None>'));
    foreach ($this->display->handler->get_handlers('field') as $field => $handler) {
      if ($label = $handler->label()) {
        $fields[$field] = $label;
      }
      else {
        $fields[$field] = $handler->ui_name();
      }
    }
    $form['image'] = array(
      '#type' => 'select',
      '#required' => TRUE,
      '#title' => t('Image'),
      '#options' => $fields,
      '#default_value' => $this->options['image'],
    );
    $form['title'] = array(
      '#type' => 'select',
      '#required' => TRUE,
      '#title' => t('Title'),
      '#options' => $fields,
      '#default_value' => $this->options['title'],
    );
    $form['description'] = array(
      '#type' => 'select',
      '#title' => t('Description'),
      '#options' => $fields,
      '#default_value' => $this->options['description'],
    );
  }
}
