-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_hermio
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean`
--

DROP TABLE IF EXISTS `bean`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique bean item ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Revision ID',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `vid` (`vid`),
  UNIQUE KEY `delta` (`delta`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean`
--

LOCK TABLES `bean` WRITE;
/*!40000 ALTER TABLE `bean` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean` VALUES (8,27,'programs','Programs','Programs','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1410492238,1412319218),(9,22,'charity-events','Charity events','Charity events','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1410492302,1412159868),(11,25,'volunteers','Volunteers','Volunteers','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1410492388,1412159912),(12,23,'statistic-donation','Statistic Donation','Donation','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1410492555,1412159888),(19,21,'about-hermio','About Hermio','About Hermio','bean_about','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1411025676,1411025676);
/*!40000 ALTER TABLE `bean` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_revision`
--

DROP TABLE IF EXISTS `bean_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_revision` (
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The bean this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `log` longtext COMMENT 'A log message associated with the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`vid`),
  KEY `bid` (`bid`,`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_revision`
--

LOCK TABLES `bean_revision` WRITE;
/*!40000 ALTER TABLE `bean_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_revision` VALUES (8,9,1,'programs','Programs','Programs','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492238,1410492238),(9,10,1,'charity-events','Charity events','Charity events','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492302,1410492302),(11,12,1,'volunteers','Volunteers','Volunteers','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492388,1410492388),(12,13,1,'statistic-donation','Statistic Donation','Donation','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492555,1410492555),(19,21,1,'about-hermio','About Hermio','About Hermio','bean_about','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1411025676,1411025676),(9,22,1,'charity-events','Charity events','Charity events','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492302,1412159868),(12,23,1,'statistic-donation','Statistic Donation','Donation','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492555,1412159888),(8,24,1,'programs','Programs','Programs','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492238,1412159898),(11,25,1,'volunteers','Volunteers','Volunteers','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492388,1412159912),(8,26,1,'programs','Programs','Programs','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492238,1412319109),(8,27,1,'programs','Programs','Programs','bean_statistic','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1410492238,1412319218);
/*!40000 ALTER TABLE `bean_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_type`
--

DROP TABLE IF EXISTS `bean_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_type` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The Type ID of this block. Only used internally by CTools',
  `name` varchar(32) NOT NULL COMMENT 'The machine-readable name of this bean type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean type.',
  `options` longtext COMMENT 'Block content configuration.',
  `description` longtext COMMENT 'The description of this bean type.',
  PRIMARY KEY (`type_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined bean types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_type`
--

LOCK TABLES `bean_type` WRITE;
/*!40000 ALTER TABLE `bean_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_type` VALUES (4,'bean_statistic','Statistic',NULL,''),(5,'bean_about','About',NULL,'');
/*!40000 ALTER TABLE `bean_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=466 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1,''),(2,'search','form','bartik',0,-1,'-1',0,0,'','',-1,''),(3,'node','recent','seven',1,10,'dashboard_inactive',0,0,'','',-1,''),(4,'user','login','bartik',0,0,'-1',0,1,'blog','',-1,''),(5,'system','navigation','bartik',0,0,'-1',0,1,'blog','',-1,''),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1,''),(7,'system','help','bartik',1,0,'help',0,0,'','',-1,''),(8,'system','main','seven',1,0,'content',0,0,'','',-1,''),(9,'system','help','seven',1,0,'help',0,0,'','',-1,''),(10,'user','login','seven',0,10,'-1',0,1,'blog','',-1,''),(11,'user','new','seven',1,0,'dashboard_inactive',0,0,'','',-1,''),(12,'search','form','seven',1,-10,'dashboard_inactive',0,0,'','',-1,''),(13,'comment','recent','bartik',0,0,'-1',0,0,'','',1,''),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1,''),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1,''),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1,''),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1,''),(18,'system','user-menu','bartik',0,0,'-1',0,1,'blog','',-1,''),(19,'system','main-menu','bartik',0,0,'-1',0,1,'home-2','<none>',-1,''),(20,'user','new','bartik',0,0,'-1',0,0,'','',1,''),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1,''),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1,''),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1,''),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1,''),(26,'system','navigation','seven',0,0,'-1',0,1,'blog','',-1,''),(27,'system','management','seven',0,0,'-1',0,0,'','',-1,''),(28,'system','user-menu','seven',0,0,'-1',0,1,'blog','',-1,''),(29,'system','main-menu','seven',0,0,'-1',0,1,'home-2','<none>',-1,''),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1,''),(31,'menu','devel','bartik',0,0,'-1',0,0,'','',-1,''),(33,'tagclouds','2','bartik',0,0,'-1',0,0,'','',8,''),(34,'tagclouds','1','bartik',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ntags/*\r\ngallery/*\r\narticle/*','Tags',8,''),(40,'devel','execute_php','bartik',0,0,'-1',0,0,'','',-1,''),(41,'devel','switch_user','bartik',0,0,'-1',0,0,'','',-1,''),(42,'menu','devel','seven',0,0,'-1',0,0,'','',-1,''),(44,'tagclouds','2','seven',0,0,'-1',0,0,'','',8,''),(45,'tagclouds','1','seven',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ntags/*\r\ngallery/*\r\narticle/*','Tags',8,''),(51,'devel','execute_php','seven',0,0,'-1',0,0,'','',-1,''),(52,'devel','switch_user','seven',0,0,'-1',0,0,'','',-1,''),(53,'comment','recent','hermio',0,0,'-1',0,0,'','',1,''),(54,'devel','execute_php','hermio',0,0,'-1',0,0,'','',-1,''),(55,'devel','switch_user','hermio',0,0,'-1',0,0,'','',-1,''),(56,'menu','devel','hermio',0,0,'-1',0,0,'','',-1,''),(58,'node','recent','hermio',0,0,'-1',0,0,'','',1,''),(59,'node','syndicate','hermio',0,0,'-1',0,0,'','',-1,''),(60,'search','form','hermio',1,-34,'headline',0,0,'','',-1,''),(61,'shortcut','shortcuts','hermio',0,0,'-1',0,0,'','',-1,''),(62,'system','help','hermio',1,0,'help',0,0,'','',-1,''),(63,'system','main','hermio',1,-34,'content',0,0,'','',-1,''),(64,'system','main-menu','hermio',1,-11,'main_menu',0,1,'home-2','<none>',-1,''),(65,'system','management','hermio',0,0,'-1',0,0,'','',-1,''),(66,'system','navigation','hermio',1,-36,'sidebar_first',0,1,'blog','',-1,''),(67,'system','powered-by','hermio',0,-29,'-1',0,0,'','',-1,''),(68,'system','user-menu','hermio',1,0,'sidebar_first',0,1,'blog','',-1,''),(69,'tagclouds','1','hermio',1,-34,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ntags/*\r\ngallery/*\r\narticle/*','Tags',8,''),(70,'tagclouds','2','hermio',0,0,'-1',0,0,'','',8,''),(76,'user','login','hermio',1,-35,'sidebar_first',0,1,'blog','',-1,''),(77,'user','new','hermio',0,0,'-1',0,0,'','',1,''),(78,'user','online','hermio',0,0,'-1',0,0,'','',-1,''),(79,'block','1','bartik',0,0,'-1',0,0,'','<none>',-1,''),(80,'block','1','hermio',1,-35,'headline',0,0,'','<none>',-1,''),(81,'block','1','seven',0,0,'-1',0,0,'','<none>',-1,''),(82,'block','2','bartik',0,0,'-1',0,0,'','<none>',-1,''),(83,'block','2','hermio',1,-33,'headline',0,0,'','<none>',-1,''),(84,'block','2','seven',0,0,'-1',0,0,'','<none>',-1,''),(85,'blog','recent','bartik',0,0,'-1',0,0,'','',1,''),(86,'blog','recent','hermio',0,0,'-1',0,0,'','',1,''),(87,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(88,'tagclouds','3','hermio',0,-29,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar','Tags',8,''),(89,'views','bootstrap_slideshow-block','hermio',1,0,'slideshow',0,1,'<front>\r\nhome-2','<none>',-1,''),(90,'views','bootstrap_slideshow-block','bartik',0,0,'-1',0,1,'<front>\r\nhome-2','<none>',-1,''),(91,'views','bootstrap_slideshow-block','seven',0,0,'-1',0,1,'<front>\r\nhome-2','<none>',-1,''),(92,'block','3','bartik',0,0,'-1',0,1,'<front>','Together, We Can Build Awareness for Change',-1,'view-header'),(93,'block','3','hermio',1,-18,'panel_first',0,1,'<front>','Together, We Can Build Awareness for Change',-1,'view-header'),(94,'block','3','seven',0,0,'-1',0,1,'<front>','Together, We Can Build Awareness for Change',-1,'view-header'),(95,'tagclouds','3','bartik',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar','Tags',8,''),(96,'tagclouds','3','seven',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar','Tags',8,''),(97,'commerce_cart','cart','bartik',0,0,'-1',0,0,'checkout*','<none>',-1,''),(98,'commerce_cart','cart','hermio',1,0,'header',0,0,'checkout*','<none>',-1,''),(99,'commerce_cart','cart','seven',0,0,'-1',0,0,'checkout*','<none>',-1,''),(100,'tagclouds','4','bartik',0,0,'-1',0,0,'','',8,''),(101,'tagclouds','4','hermio',0,0,'-1',0,0,'','',8,''),(102,'tagclouds','4','seven',0,0,'-1',0,0,'','',8,''),(103,'views','help_us-block','hermio',1,-17,'panel_first',0,1,'<front>','<none>',-1,''),(104,'views','help_us-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(105,'views','help_us-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(106,'block','4','bartik',0,0,'-1',0,1,'<front>','Featured Posts',-1,'view-header'),(107,'block','4','hermio',1,-39,'panel_second',0,1,'<front>','Featured Posts',-1,'view-header'),(108,'block','4','seven',0,0,'-1',0,1,'<front>','Featured Posts',-1,'view-header'),(109,'views','events-block','hermio',0,-31,'-1',0,0,'','',-1,''),(110,'views','events-block','seven',0,0,'-1',0,0,'','',-1,''),(111,'views','blog-block','seven',0,0,'-1',0,1,'home-3','<none>',-1,''),(112,'views','blog-block_1','seven',0,0,'-1',0,0,'','',-1,''),(113,'quicktabs','featured_post_tab','seven',0,0,'-1',0,1,'<front>','<none>',-1,'featured-grid'),(114,'quicktabs','featured_post_tab','hermio',1,-38,'panel_second',0,1,'<front>','<none>',-1,'featured-grid'),(115,'views','blog-block','hermio',0,0,'-1',0,1,'home-3','<none>',-1,''),(116,'views','blog-block_1','hermio',0,0,'-1',0,0,'','',-1,''),(117,'quicktabs','featured_post_tab','bartik',0,0,'-1',0,1,'<front>','<none>',-1,'featured-grid'),(118,'views','sentences_that_fit-block','hermio',1,0,'panel_third',0,1,'<front>','<none>',-1,''),(119,'views','sentences_that_fit-block','bartik',0,0,'-1',0,0,'<front>','',-1,''),(120,'views','sentences_that_fit-block','seven',0,0,'-1',0,0,'<front>','',-1,''),(121,'views','b902c24c53b25bea849360660566f2cc','hermio',1,0,'panel_fourth',0,1,'<front>','<none>',-1,''),(122,'views','b902c24c53b25bea849360660566f2cc','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(123,'views','b902c24c53b25bea849360660566f2cc','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(124,'views','events-block','bartik',0,0,'-1',0,0,'','',-1,''),(125,'views','blog-block','bartik',0,0,'-1',0,1,'home-3','<none>',-1,''),(126,'views','blog-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(127,'block','5','bartik',0,0,'-1',0,1,'<front>','What\'s New?',-1,'view-header'),(128,'block','5','hermio',1,-31,'panel_fifth',0,1,'<front>','What\'s New?',-1,'view-header'),(129,'block','5','seven',0,0,'-1',0,1,'<front>','What\'s New?',-1,'view-header'),(142,'views','728d1aeb69e6bcd4667c4b424ff302fa','hermio',1,0,'panel_sixth',0,1,'<front>','<none>',-1,''),(143,'views','728d1aeb69e6bcd4667c4b424ff302fa','bartik',0,0,'-1',0,0,'<front>','',-1,''),(144,'views','728d1aeb69e6bcd4667c4b424ff302fa','seven',0,0,'-1',0,0,'<front>','',-1,''),(145,'views','sponsor-block','hermio',1,0,'panel_seventh',0,1,'<front>','<none>',-1,''),(146,'views','sponsor-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(147,'views','sponsor-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(148,'block','10','bartik',0,0,'-1',0,0,'','<none>',-1,''),(149,'block','10','hermio',1,0,'panel_eighth',0,0,'','<none>',-1,''),(150,'block','10','seven',0,0,'-1',0,0,'','<none>',-1,''),(151,'block','11','bartik',0,0,'-1',0,0,'','Contact Info',-1,''),(152,'block','11','hermio',1,0,'panel_footer_second_1',0,0,'','Contact Info',-1,''),(153,'block','11','seven',0,0,'-1',0,0,'','Contact Info',-1,''),(154,'views','events-block_1','hermio',1,0,'panel_footer_second_2',0,0,'','',-1,''),(155,'views','events-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(156,'views','events-block_1','seven',0,0,'-1',0,0,'','',-1,''),(157,'views','footer_gallery-block','hermio',1,0,'panel_footer_second_3',0,0,'','',-1,''),(158,'views','footer_gallery-block','bartik',0,0,'-1',0,0,'','',-1,''),(159,'views','footer_gallery-block','seven',0,0,'-1',0,0,'','',-1,''),(160,'simplenews','0','bartik',0,0,'-1',0,0,'','',1,''),(161,'simplenews','10','bartik',0,0,'-1',0,0,'','Sign Up for Email Updates',-1,''),(162,'tagclouds','5','bartik',0,0,'-1',0,0,'','',8,''),(163,'simplenews','0','hermio',0,0,'-1',0,0,'','',1,''),(164,'simplenews','10','hermio',1,0,'panel_footer_first',0,0,'','Sign Up for Email Updates',-1,''),(165,'tagclouds','5','hermio',0,0,'-1',0,0,'','',8,''),(166,'simplenews','0','seven',0,0,'-1',0,0,'','',1,''),(167,'simplenews','10','seven',0,0,'-1',0,0,'','Sign Up for Email Updates',-1,''),(168,'tagclouds','5','seven',0,0,'-1',0,0,'','',8,''),(169,'sharethis','sharethis_block','bartik',0,0,'-1',0,0,'','',-1,''),(170,'sharethis','sharethis_block','hermio',0,0,'-1',0,0,'','',-1,''),(171,'sharethis','sharethis_block','seven',0,0,'-1',0,0,'','',-1,''),(172,'views','blog_quicktab-block','seven',0,0,'-1',0,0,'','',-1,''),(173,'views','blog_quicktab-block_1','seven',0,0,'-1',0,0,'','',-1,''),(174,'quicktabs','blog_sidebar','seven',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nblog/*','<none>',-1,''),(175,'quicktabs','blog_sidebar','hermio',1,-39,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nblog/*','<none>',-1,''),(176,'views','blog_quicktab-block','hermio',0,0,'-1',0,0,'','',-1,''),(177,'views','blog_quicktab-block_1','hermio',0,0,'-1',0,0,'','',-1,''),(178,'quicktabs','blog_sidebar','bartik',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nblog/*','<none>',-1,''),(179,'views','footer_gallery-block_1','hermio',1,-38,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Photo Gallery',-1,''),(180,'views','footer_gallery-block_1','bartik',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Photo Gallery',-1,''),(181,'views','footer_gallery-block_1','seven',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Photo Gallery',-1,''),(182,'views','views_ads-block','hermio',1,-37,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Advertisement',-1,''),(183,'views','views_ads-block','bartik',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Advertisement',-1,''),(184,'views','views_ads-block','seven',0,0,'-1',0,1,'blog\r\nblog-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Advertisement',-1,''),(185,'block','12','bartik',0,0,'-1',0,1,'blog','<none>',-1,''),(186,'block','12','hermio',0,0,'-1',0,1,'blog','<none>',-1,''),(187,'block','12','seven',0,0,'-1',0,1,'blog','<none>',-1,''),(188,'views','shop-block_1','seven',0,0,'-1',0,0,'','',-1,''),(189,'views','shop-block_2','seven',0,0,'-1',0,0,'','',-1,''),(190,'quicktabs','shop_sidebar','seven',0,0,'-1',0,1,'shop-sidebar','<none>',-1,''),(191,'quicktabs','shop_sidebar','hermio',1,-39,'sidebar_first',0,1,'shop-sidebar','<none>',-1,''),(192,'views','shop-block_1','hermio',0,0,'-1',0,0,'','',-1,''),(193,'views','shop-block_2','hermio',0,0,'-1',0,0,'','',-1,''),(194,'quicktabs','shop_sidebar','bartik',0,0,'-1',0,1,'shop-sidebar','<none>',-1,''),(195,'views','shop-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(196,'views','shop-block_2','bartik',0,0,'-1',0,0,'','',-1,''),(197,'views','blog_quicktab-block','bartik',0,0,'-1',0,0,'','',-1,''),(198,'views','blog_quicktab-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(199,'block','13','bartik',0,0,'-1',0,0,'','',-1,''),(200,'block','13','hermio',1,-31,'footer',0,0,'','',-1,''),(201,'block','13','seven',0,0,'-1',0,0,'','',-1,''),(202,'block','14','bartik',0,0,'-1',0,0,'','',-1,''),(203,'block','14','hermio',0,-30,'-1',0,0,'','',-1,''),(204,'block','14','seven',0,0,'-1',0,0,'','',-1,''),(226,'bean','programs','bartik',0,0,'-1',0,1,'<front>','',1,''),(227,'bean','programs','hermio',1,-29,'panel_fifth',0,1,'<front>','',1,''),(228,'bean','programs','seven',0,0,'-1',0,1,'<front>','',1,''),(229,'bean','charity-events','bartik',0,0,'-1',0,1,'<front>','',1,''),(230,'bean','charity-events','hermio',1,-30,'panel_fifth',0,1,'<front>','',1,''),(231,'bean','charity-events','seven',0,0,'-1',0,1,'<front>','',1,''),(235,'bean','volunteers','bartik',0,0,'-1',0,1,'<front>','',1,''),(236,'bean','volunteers','hermio',1,-25,'panel_fifth',0,1,'<front>','',1,''),(237,'bean','volunteers','seven',0,0,'-1',0,1,'<front>','',1,''),(238,'bean','statistic-donation','bartik',0,0,'-1',0,1,'<front>','',1,''),(239,'bean','statistic-donation','hermio',1,-28,'panel_fifth',0,1,'<front>','',1,''),(240,'bean','statistic-donation','seven',0,0,'-1',0,1,'<front>','',1,''),(241,'views','help_us-block_1','hermio',1,-27,'panel_fifth',0,1,'about\r\nhome-2','<none>',-1,'donate-progress-bar-block'),(242,'views','help_us-block_1','bartik',0,0,'-1',0,1,'about\r\nhome-2','<none>',-1,'donate-progress-bar-block'),(243,'views','help_us-block_1','seven',0,0,'-1',0,1,'about\r\nhome-2','<none>',-1,'donate-progress-bar-block'),(244,'views','testimonials-block','hermio',1,-26,'panel_fifth',0,1,'about\r\nhome-2','<none>',-1,'testimonials-block'),(245,'views','testimonials-block','bartik',0,0,'-1',0,1,'about\r\nhome-2','<none>',-1,'testimonials-block'),(246,'views','testimonials-block','seven',0,0,'-1',0,1,'about\r\nhome-2','<none>',-1,'testimonials-block'),(247,'tagclouds','7','bartik',0,0,'-1',0,0,'','',8,''),(248,'tagclouds','6','bartik',0,0,'-1',0,0,'','',8,''),(249,'tagclouds','7','hermio',0,0,'-1',0,0,'','',8,''),(250,'tagclouds','6','hermio',0,0,'-1',0,0,'','',8,''),(251,'tagclouds','7','seven',0,0,'-1',0,0,'','',8,''),(252,'tagclouds','6','seven',0,0,'-1',0,0,'','',8,''),(253,'views','our_team-block','hermio',1,-32,'panel_fifth',0,1,'about','Our Team',-1,'our-team-block'),(254,'views','our_team-block','bartik',0,0,'-1',0,1,'about','Our Team',-1,'our-team-block'),(255,'views','our_team-block','seven',0,0,'-1',0,1,'about','Our Team',-1,'our-team-block'),(256,'views','about-block_1','hermio',1,-37,'panel_second',0,1,'about','What We Do',-1,''),(257,'views','about-block_1','bartik',0,0,'-1',0,0,'about','',-1,''),(258,'views','about-block_1','seven',0,0,'-1',0,0,'about','',-1,''),(259,'block','15','bartik',0,0,'-1',0,0,'','<none>',-1,''),(260,'block','15','hermio',1,0,'footer',0,0,'','<none>',-1,''),(261,'block','15','seven',0,0,'-1',0,0,'','<none>',-1,''),(262,'block','16','bartik',0,0,'-1',0,1,'blog','<none>',-1,'view-header-sidebar'),(263,'block','16','hermio',1,-36,'content',0,1,'blog','<none>',-1,'view-header-sidebar'),(264,'block','16','seven',0,0,'-1',0,1,'blog','<none>',-1,'view-header-sidebar'),(268,'views','events-block_2','hermio',1,0,'panel_fullwidth',0,1,'event-full-width','<none>',-1,''),(269,'views','events-block_2','bartik',0,0,'-1',0,1,'event-full-width','<none>',-1,''),(270,'views','events-block_2','seven',0,0,'-1',0,1,'event-full-width','<none>',-1,''),(271,'block','18','bartik',0,0,'-1',0,1,'contact\r\ncontent/contact-webform','<none>',-1,'view-header-sidebar'),(272,'block','18','hermio',1,-37,'content',0,1,'contact\r\ncontent/contact-webform','<none>',-1,'view-header-sidebar'),(273,'block','18','seven',0,0,'-1',0,1,'contact\r\ncontent/contact-webform','<none>',-1,'view-header-sidebar'),(274,'views','contact_information-block','hermio',1,-33,'sidebar_first',0,1,'contact\r\ncontent/contact-webform','<none>',-1,''),(275,'views','contact_information-block','bartik',0,0,'-1',0,1,'contact\r\ncontent/contact-webform','<none>',-1,''),(276,'views','contact_information-block','seven',0,0,'-1',0,1,'contact\r\ncontent/contact-webform','<none>',-1,''),(298,'views','view_shop-block_1','seven',0,0,'-1',0,0,'','',-1,''),(299,'views','view_shop-block_2','seven',0,0,'-1',0,0,'','',-1,''),(300,'views','view_shop-block_1','hermio',0,0,'-1',0,0,'','',-1,''),(301,'views','view_shop-block_2','hermio',0,0,'-1',0,0,'','',-1,''),(302,'bean','about-hermio','bartik',0,0,'-1',0,1,'about','<none>',1,'about-us-block'),(303,'views','view_shop-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(304,'views','view_shop-block_2','bartik',0,0,'-1',0,0,'','',-1,''),(305,'bean','about-hermio','hermio',1,0,'content',0,1,'about','<none>',1,'about-us-block'),(306,'bean','about-hermio','seven',0,0,'-1',0,1,'about','<none>',1,'about-us-block'),(307,'views','bootstrap_slideshow-block_1','hermio',1,0,'slideshow',0,1,'<front>','<none>',-1,''),(308,'views','bootstrap_slideshow-block_1','bartik',0,0,'',0,0,'<front>','',1,''),(309,'views','bootstrap_slideshow-block_1','seven',0,0,'',0,0,'<front>','',1,''),(313,'views','blog-block_2','hermio',1,-35,'panel_second',0,1,'home-2','<none>',-1,''),(314,'views','blog-block_2','bartik',0,0,'-1',0,1,'home-2','<none>',-1,''),(315,'views','blog-block_2','seven',0,0,'-1',0,1,'home-2','<none>',-1,''),(316,'views','donation-block_1','hermio',1,-36,'panel_second',0,1,'home-2','<none>',-1,''),(317,'views','donation-block_1','bartik',0,0,'-1',0,1,'home-2','<none>',-1,''),(318,'views','donation-block_1','seven',0,0,'-1',0,1,'home-2','<none>',-1,''),(319,'views','owl_carousel_slideshow-block','hermio',1,0,'slideshow',0,1,'home-3','<none>',-1,''),(320,'views','owl_carousel_slideshow-block','bartik',0,0,'-1',0,0,'home-3','',-1,''),(321,'views','owl_carousel_slideshow-block','seven',0,0,'-1',0,0,'home-3','',-1,''),(322,'views','view_shop-block_3','hermio',1,0,'content',0,1,'shop/*','',-1,'related-block'),(323,'views','view_shop-block_3','bartik',0,0,'-1',0,1,'shop/*','',-1,'related-block'),(324,'views','view_shop-block_3','seven',0,0,'-1',0,1,'shop/*','',-1,'related-block'),(325,'views','donation-block_2','hermio',1,0,'content',0,1,'donation/*','',-1,'related-block'),(326,'views','donation-block_2','bartik',0,0,'-1',0,1,'donation/*','',-1,'related-block'),(327,'views','donation-block_2','seven',0,0,'-1',0,1,'donation/*','',-1,'related-block'),(328,'tb_megamenu','devel','bartik',0,0,'-1',0,0,'','',-1,''),(329,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'home-2\r\nmega-menus','<none>',-1,''),(330,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1,''),(331,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(332,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(333,'tb_megamenu','devel','hermio',0,0,'-1',0,0,'','',-1,''),(334,'tb_megamenu','main-menu','hermio',1,0,'main_menu',0,0,'home-2\r\nmega-menus','<none>',-1,''),(335,'tb_megamenu','management','hermio',0,0,'-1',0,0,'','',-1,''),(336,'tb_megamenu','navigation','hermio',0,0,'-1',0,0,'','',-1,''),(337,'tb_megamenu','user-menu','hermio',0,0,'-1',0,0,'','',-1,''),(338,'tb_megamenu','devel','seven',0,0,'-1',0,0,'','',-1,''),(339,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'home-2\r\nmega-menus','<none>',-1,''),(340,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1,''),(341,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1,''),(342,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(343,'weebpal_banner','weebpal_banner_block','bartik',0,0,'-1',0,0,'<front>\r\nhome-2','<none>',4,''),(344,'weebpal_banner','weebpal_banner_block','hermio',1,0,'banner',0,0,'<front>\r\nhome-2','<none>',4,''),(345,'weebpal_banner','weebpal_banner_block','seven',0,0,'-1',0,0,'<front>\r\nhome-2','<none>',4,''),(346,'megamenus','devel','bartik',0,0,'-1',0,0,'','',-1,''),(347,'megamenus','main-menu','bartik',0,0,'-1',0,1,'mega-menus','',-1,''),(348,'megamenus','management','bartik',0,0,'-1',0,0,'','',-1,''),(349,'megamenus','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(350,'megamenus','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(351,'megamenus','devel','hermio',0,0,'-1',0,0,'','',-1,''),(352,'megamenus','main-menu','hermio',0,0,'-1',0,1,'mega-menus','',-1,''),(353,'megamenus','management','hermio',0,0,'-1',0,0,'','',-1,''),(354,'megamenus','navigation','hermio',0,0,'-1',0,0,'','',-1,''),(355,'megamenus','user-menu','hermio',0,0,'-1',0,0,'','',-1,''),(356,'megamenus','devel','seven',0,0,'-1',0,0,'','',-1,''),(357,'megamenus','main-menu','seven',0,0,'-1',0,1,'mega-menus','',-1,''),(358,'megamenus','management','seven',0,0,'-1',0,0,'','',-1,''),(359,'megamenus','navigation','seven',0,0,'-1',0,0,'','',-1,''),(360,'megamenus','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(361,'locale','language','bartik',0,0,'-1',0,0,'','',-1,''),(362,'locale','language','hermio',0,0,'-1',0,0,'','',-1,''),(363,'locale','language','seven',0,0,'-1',0,0,'','',-1,''),(364,'context_ui','editor','bartik',0,0,'-1',0,0,'','',1,''),(365,'context_ui','devel','bartik',0,0,'-1',0,0,'','',1,''),(366,'context_ui','editor','hermio',0,0,'-1',0,0,'','',1,''),(367,'context_ui','devel','hermio',0,0,'-1',0,0,'','',1,''),(368,'context_ui','editor','seven',0,0,'-1',0,0,'','',1,''),(369,'context_ui','devel','seven',0,0,'-1',0,0,'','',1,''),(370,'bean','about-hermio','we_backend',1,0,'content',0,1,'about','<none>',1,'about-us-block'),(371,'bean','charity-events','we_backend',1,-30,'header',0,1,'<front>','',1,''),(372,'bean','programs','we_backend',1,-29,'header',0,1,'<front>','',1,''),(373,'bean','statistic-donation','we_backend',1,-28,'header',0,1,'<front>','',1,''),(374,'bean','volunteers','we_backend',1,-25,'header',0,1,'<front>','',1,''),(375,'block','1','we_backend',1,-35,'header',0,0,'','<none>',-1,''),(376,'block','10','we_backend',1,0,'header',0,0,'','<none>',-1,''),(377,'block','11','we_backend',1,0,'header',0,0,'','Contact Info',-1,''),(378,'block','12','we_backend',0,0,'-1',0,1,'blog','<none>',-1,''),(379,'block','13','we_backend',0,-31,'-1',0,0,'','',-1,''),(380,'block','14','we_backend',0,-30,'-1',0,0,'','',-1,''),(381,'block','15','we_backend',1,0,'footer',0,0,'','<none>',-1,''),(382,'block','16','we_backend',1,-36,'content',0,1,'blog','<none>',-1,'view-header-sidebar'),(383,'block','18','we_backend',1,-37,'content',0,1,'contact\r\ncontent/contact-webform','<none>',-1,'view-header-sidebar'),(384,'block','2','we_backend',1,-33,'header',0,0,'','<none>',-1,''),(385,'block','3','we_backend',1,-18,'header',0,1,'<front>','Together, We Can Build Awareness for Change',-1,'view-header'),(386,'block','4','we_backend',1,-39,'header',0,1,'<front>','Featured Posts',-1,'view-header'),(387,'block','5','we_backend',1,-31,'header',0,1,'<front>','What\'s New?',-1,'view-header'),(388,'blog','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(389,'comment','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(390,'commerce_cart','cart','we_backend',1,0,'header',0,0,'checkout*','<none>',-1,''),(391,'context_ui','devel','we_backend',0,0,'-1',0,0,'','',1,''),(392,'context_ui','editor','we_backend',0,0,'-1',0,0,'','',1,''),(393,'devel','execute_php','we_backend',0,0,'-1',0,0,'','',-1,''),(394,'devel','switch_user','we_backend',0,0,'-1',0,0,'','',-1,''),(395,'locale','language','we_backend',0,0,'-1',0,0,'','',-1,''),(396,'megamenus','devel','we_backend',0,0,'-1',0,0,'','',-1,''),(397,'megamenus','main-menu','we_backend',0,0,'-1',0,1,'mega-menus','',-1,''),(398,'megamenus','management','we_backend',0,0,'-1',0,0,'','',-1,''),(399,'megamenus','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(400,'megamenus','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(401,'menu','devel','we_backend',0,0,'-1',0,0,'','',-1,''),(402,'node','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(403,'node','syndicate','we_backend',0,0,'-1',0,0,'','',-1,''),(404,'quicktabs','blog_sidebar','we_backend',1,-39,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nblog/*','<none>',-1,''),(405,'quicktabs','featured_post_tab','we_backend',1,-38,'header',0,1,'<front>','<none>',-1,'featured-grid'),(406,'quicktabs','shop_sidebar','we_backend',1,-39,'sidebar_first',0,1,'shop-sidebar','<none>',-1,''),(407,'search','form','we_backend',1,-34,'header',0,0,'','',-1,''),(408,'sharethis','sharethis_block','we_backend',0,0,'-1',0,0,'','',-1,''),(409,'shortcut','shortcuts','we_backend',0,0,'-1',0,0,'','',-1,''),(410,'simplenews','0','we_backend',0,0,'-1',0,0,'','',1,''),(411,'simplenews','10','we_backend',1,0,'header',0,0,'','Sign Up for Email Updates',-1,''),(412,'system','help','we_backend',1,0,'help',0,0,'','',-1,''),(413,'system','main','we_backend',1,-34,'content',0,0,'','',-1,''),(414,'system','main-menu','we_backend',1,-11,'header',0,1,'home-2','<none>',-1,''),(415,'system','management','we_backend',0,0,'-1',0,0,'','',-1,''),(416,'system','navigation','we_backend',1,-36,'sidebar_first',0,1,'blog','',-1,''),(417,'system','powered-by','we_backend',0,-29,'-1',0,0,'','',-1,''),(418,'system','user-menu','we_backend',1,0,'sidebar_first',0,1,'blog','',-1,''),(419,'tagclouds','1','we_backend',1,-34,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ntags/*\r\ngallery/*\r\narticle/*','Tags',8,''),(420,'tagclouds','2','we_backend',0,0,'-1',0,0,'','',8,''),(421,'tagclouds','3','we_backend',0,-29,'-1',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar','Tags',8,''),(422,'tagclouds','4','we_backend',0,0,'-1',0,0,'','',8,''),(423,'tagclouds','5','we_backend',0,0,'-1',0,0,'','',8,''),(424,'tagclouds','6','we_backend',0,0,'-1',0,0,'','',8,''),(425,'tagclouds','7','we_backend',0,0,'-1',0,0,'','',8,''),(426,'tb_megamenu','devel','we_backend',0,0,'-1',0,0,'','',-1,''),(427,'tb_megamenu','main-menu','we_backend',1,0,'header',0,0,'home-2\r\nmega-menus','<none>',-1,''),(428,'tb_megamenu','management','we_backend',0,0,'-1',0,0,'','',-1,''),(429,'tb_megamenu','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(430,'tb_megamenu','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(431,'user','login','we_backend',1,-35,'sidebar_first',0,1,'blog','',-1,''),(432,'user','new','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(433,'user','online','we_backend',1,0,'dashboard_inactive',0,0,'','',-1,''),(434,'views','728d1aeb69e6bcd4667c4b424ff302fa','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(435,'views','about-block_1','we_backend',1,-37,'header',0,1,'about','What We Do',-1,''),(436,'views','b902c24c53b25bea849360660566f2cc','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(437,'views','blog-block','we_backend',0,0,'-1',0,1,'home-3','<none>',-1,''),(438,'views','blog-block_1','we_backend',0,0,'-1',0,0,'','',-1,''),(439,'views','blog-block_2','we_backend',1,-35,'header',0,1,'home-2','<none>',-1,''),(440,'views','blog_quicktab-block','we_backend',0,0,'-1',0,0,'','',-1,''),(441,'views','blog_quicktab-block_1','we_backend',0,0,'-1',0,0,'','',-1,''),(442,'views','bootstrap_slideshow-block','we_backend',1,0,'header',0,1,'<front>\r\nhome-2','<none>',-1,''),(443,'views','bootstrap_slideshow-block_1','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(444,'views','contact_information-block','we_backend',1,-33,'sidebar_first',0,1,'contact\r\ncontent/contact-webform','<none>',-1,''),(445,'views','donation-block_1','we_backend',1,-36,'header',0,1,'home-2','<none>',-1,''),(446,'views','donation-block_2','we_backend',1,0,'content',0,1,'donation/*','',-1,'related-block'),(447,'views','events-block','we_backend',0,-31,'-1',0,0,'','',-1,''),(448,'views','events-block_1','we_backend',1,0,'header',0,0,'','',-1,''),(449,'views','events-block_2','we_backend',1,0,'header',0,1,'event-full-width','<none>',-1,''),(450,'views','footer_gallery-block','we_backend',1,0,'header',0,0,'','',-1,''),(451,'views','footer_gallery-block_1','we_backend',1,-38,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nshop-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Photo Gallery',-1,''),(452,'views','help_us-block','we_backend',1,-17,'header',0,1,'<front>','<none>',-1,''),(453,'views','help_us-block_1','we_backend',1,-27,'header',0,1,'about\r\nhome-2','<none>',-1,'donate-progress-bar-block'),(454,'views','our_team-block','we_backend',1,-32,'header',0,1,'about','Our Team',-1,'our-team-block'),(455,'views','owl_carousel_slideshow-block','we_backend',1,0,'header',0,1,'home-3','<none>',-1,''),(456,'views','sentences_that_fit-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(457,'views','shop-block_1','we_backend',0,0,'-1',0,0,'','',-1,''),(458,'views','shop-block_2','we_backend',0,0,'-1',0,0,'','',-1,''),(459,'views','sponsor-block','we_backend',1,0,'header',0,1,'<front>','<none>',-1,''),(460,'views','testimonials-block','we_backend',1,-26,'header',0,1,'about\r\nhome-2','<none>',-1,'testimonials-block'),(461,'views','views_ads-block','we_backend',1,-37,'sidebar_first',0,1,'blog\r\nblog-sidebar\r\nblog/*\r\ncomment/reply/*\r\ngallery/*\r\narticle/*','Advertisement',-1,''),(462,'views','view_shop-block_1','we_backend',0,0,'-1',0,0,'','',-1,''),(463,'views','view_shop-block_2','we_backend',0,0,'-1',0,0,'','',-1,''),(464,'views','view_shop-block_3','we_backend',1,0,'content',0,1,'shop/*','',-1,'related-block'),(465,'weebpal_banner','weebpal_banner_block','we_backend',1,0,'header',0,0,'<front>\r\nhome-2','<none>',4,'');
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (1,'Responsible Behaviors. Responsible Policies.','Headline Info','filtered_html'),(2,'<i class=\"fa fa-phone\"></i> +1 801 555 6666','Contact phone','full_html'),(3,'We made Hermio to bring individuals and organizations together to exchange stories as a global community. We believe you have something to share, and together we can work to honor and preserve the diversity of indigenous cultures around the world.','Together, We Can Build Awareness for Change','filtered_html'),(4,'Sed bibendum, arcu ac rhoncus adipiscing, nulla lectus dictum mauris, non volutpat massa ipsum in nibh. Nulla lectus dictum mauris, non volutpat massa.','Featured Posts','filtered_html'),(5,'<h3>from 2011 to 2014</h3>\r\n<p>Proin sapien ipsum, porta a, auctor quis, euismod ut, mi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Donec id justo. Nulla sit amet est. Etiam vitae tortor.<p>','What\'s New?','full_html'),(10,'<ul class=\"socials-list\">\r\n	<li><a href=\"https://www.facebook.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Facebook\"><i class=\"fa fa-facebook\"></i></a></li>\r\n	<li><a href=\"https://plus.google.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Google Plus\"><i class=\"fa fa-google-plus\"></i></a></li>\r\n	<li><a href=\"https://twitter.com/\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Twitter\" target=\"_blank\"><i class=\"fa fa-twitter\"></i></a></li>\r\n	<li><a href=\"http://instagram.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Instagram\"><i class=\"fa fa-instagram\"></i></a></li>\r\n	<li><a href=\"https://www.pinterest.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Pinterest\"><i class=\"fa fa-pinterest\"></i></a></li>\r\n	<li><a href=\"https://vimeo.com/\"target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Vimeo\"><i class=\"fa fa-vimeo-square\"></i></a></li>\r\n	<li><a href=\"https://www.youtube.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Youtube\"><i class=\"fa fa-youtube-play\"></i></a></li>\r\n	<li><a href=\"https://dribbble.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Dribbble\"><i class=\"fa fa-dribbble\"></i></a></li>\r\n       <li><a href=\"https://flickr.com/\" target=\"_blank\" data-toggle=\"tooltip\" data-placement=\"top\" data-original-title=\"Flickr\"><i class=\"fa fa-flickr\"></i></a></li>\r\n</ul>','External links','full_html'),(11,'<div class=\"contact-info\">\r\n<p>We provide original, quality, attractive and functional design. Sed bibendum, arcu ac rhoncus adipiscing, nulla lectus dictum mauris, non volutpat massa ipsum in nibh. Nulla lectus dictum mauris, non volutpat. </p>\r\n<address>\r\n<p><i class=\"fa fa-home\"></i>5651 W. Pine Shade Place, Salt Lake City, USA </p>\r\n<p><i class=\"fa fa-phone\"></i> (803) 900-8067 </p> \r\n<p><i class=\"fa fa-envelope-o\"></i> info@hermio.com </p>\r\n</address>','Contact Info','full_html'),(12,'<div class=\"view-header\">\r\n      <h1>Featured Stories &amp; Updates</h1><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>\r\n</div>','Blog description','full_html'),(13,'<ul>\r\n<li><a href=\"#\" title=\"Privacy policy\">Privacy policy</a></li>\r\n<li>Info@hermio.com</li>\r\n</ul>\r\n<p> &copy;  Copyright 2014 Hermio. All rights reserved.</p>\r\n','Copyright','full_html'),(14,'Site by: <strong><a href=\"http://www.weebpal.com/\" title=\"WeebPal.com\">WeebPal.com</a></strong>','developer by ','full_html'),(15,'Site by: <strong><a href=\"http://weebpal.com\" target=\"_blank\" title=\"WeebPal\">WeebPal</a><strong>','Powered by WeebPal','full_html'),(16,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','Featured Stories & Updates','filtered_html'),(18,'Cras id nunc pellentesque, viverra lacus non, ornare lectus. Ut ut ante eros! Curabitur aliquet ac leo sed facilisis.\r\n','Contact Us','filtered_html');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:5:{s:5:\"devel\";a:3:{s:9:\"menu_name\";s:5:\"devel\";s:5:\"title\";s:11:\"Development\";s:11:\"description\";s:16:\"Development link\";}s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1512627900,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_rules`
--

DROP TABLE IF EXISTS `cache_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_rules` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the rules engine to store configured items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_rules`
--

LOCK TABLES `cache_rules` WRITE;
/*!40000 ALTER TABLE `cache_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::addressfield','a:11:{s:5:\"title\";s:13:\"Address Field\";s:10:\"short_name\";s:12:\"addressfield\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1429819381\";s:6:\"mdhash\";s:32:\"c81a7e14dd68dba02c377d8678175b02\";s:8:\"filesize\";s:5:\"76589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1421426880\";s:6:\"mdhash\";s:32:\"d0dafd2af22b482a5d14d4aa530bbba4\";s:8:\"filesize\";s:5:\"76261\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:24:\"addressfield 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1418653681\";s:6:\"mdhash\";s:32:\"b67a4f2f88c958e5bc5dccff84cf7856\";s:8:\"filesize\";s:5:\"74572\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1386309504\";s:6:\"mdhash\";s:32:\"63d28860718d212d0b68d7c1a199590e\";s:8:\"filesize\";s:5:\"67249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1367945111\";s:6:\"mdhash\";s:32:\"884414b0ad4afd037b5ba1cec1d107e3\";s:8:\"filesize\";s:5:\"61233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1338304248\";s:6:\"mdhash\";s:32:\"a3df218c4f779a03f4efe4c87d9eaf53\";s:8:\"filesize\";s:5:\"52898\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1314906115\";s:6:\"mdhash\";s:32:\"8ea36908a8aeca560c273acc75f79d2f\";s:8:\"filesize\";s:5:\"51350\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310587614\";s:6:\"mdhash\";s:32:\"b945c657d8a1d05fc3008a0b93d71595\";s:8:\"filesize\";s:5:\"18370\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1307853714\";s:6:\"mdhash\";s:32:\"ae1698ed003872b6f51e53319d41dbc0\";s:8:\"filesize\";s:5:\"15085\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1307808115\";s:6:\"mdhash\";s:32:\"3d17e265474c269056a8e32123fa7db1\";s:8:\"filesize\";s:5:\"15097\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303140714\";s:6:\"mdhash\";s:32:\"8ceff09ca7655dea59d15add3aae1608\";s:8:\"filesize\";s:5:\"13906\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286607059\";s:6:\"mdhash\";s:32:\"bd3d8946deeb2d99d559827208112f98\";s:8:\"filesize\";s:5:\"10632\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:24:\"addressfield 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.x-dev\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1451474639\";s:6:\"mdhash\";s:32:\"49f9b3674808adec5528bb421bd3094e\";s:8:\"filesize\";s:5:\"77544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025444,1509939039,1),('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1510025444,1509939039,1),('available_releases::bean','a:11:{s:5:\"title\";s:4:\"Bean\";s:10:\"short_name\";s:4:\"bean\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:36:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1470148439\";s:6:\"mdhash\";s:32:\"7945f7b3ec092f9056f577d6b7c34c5c\";s:8:\"filesize\";s:5:\"55142\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1425439381\";s:6:\"mdhash\";s:32:\"c8cbb8c278cc275d618a82fb847995bd\";s:8:\"filesize\";s:5:\"54385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1412260738\";s:6:\"mdhash\";s:32:\"99c822543a30392bc28b490bf0318583\";s:8:\"filesize\";s:5:\"51687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1385749405\";s:6:\"mdhash\";s:32:\"f0389294e2ae812d3370511ca9695979\";s:8:\"filesize\";s:5:\"51082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1384952605\";s:6:\"mdhash\";s:32:\"333ba02a4f8834c1ac0b0c16e212df6e\";s:8:\"filesize\";s:5:\"51049\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1382553632\";s:6:\"mdhash\";s:32:\"ba0acf5b4bf145e3b81f00412c2d711a\";s:8:\"filesize\";s:5:\"50927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1381663827\";s:6:\"mdhash\";s:32:\"959f26e075130aba06072b13187e2c69\";s:8:\"filesize\";s:5:\"50810\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368983112\";s:6:\"mdhash\";s:32:\"0d524e9eafcd6146a8f79bba8bfcb520\";s:8:\"filesize\";s:5:\"49921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361977163\";s:6:\"mdhash\";s:32:\"0d853f858ff2d76d3aa1991a6a6cdbb9\";s:8:\"filesize\";s:5:\"45527\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1359755430\";s:6:\"mdhash\";s:32:\"ce3b5ea939daf4af8bc40ed3c68525a5\";s:8:\"filesize\";s:5:\"44282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-1.0-rc10\";a:15:{s:4:\"name\";s:17:\"bean 7.x-1.0-rc10\";s:7:\"version\";s:12:\"7.x-1.0-rc10\";s:3:\"tag\";s:12:\"7.x-1.0-rc10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:4:\"rc10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc10.tar.gz\";s:4:\"date\";s:10:\"1359752676\";s:6:\"mdhash\";s:32:\"57f52eee8f4b4ad5ef68e8df7fb72253\";s:8:\"filesize\";s:5:\"44014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc9\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc9\";s:7:\"version\";s:11:\"7.x-1.0-rc9\";s:3:\"tag\";s:11:\"7.x-1.0-rc9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc9.tar.gz\";s:4:\"date\";s:10:\"1358780111\";s:6:\"mdhash\";s:32:\"31e9f0e5548a0ff0ecb0cddd4572e4d7\";s:8:\"filesize\";s:5:\"43949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc8\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc8\";s:7:\"version\";s:11:\"7.x-1.0-rc8\";s:3:\"tag\";s:11:\"7.x-1.0-rc8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1357828811\";s:6:\"mdhash\";s:32:\"98f8dfae9dc77dcfd554086331cf42d6\";s:8:\"filesize\";s:5:\"43541\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc7\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc7\";s:7:\"version\";s:11:\"7.x-1.0-rc7\";s:3:\"tag\";s:11:\"7.x-1.0-rc7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1356989455\";s:6:\"mdhash\";s:32:\"67101f67f22f36be19fee950bed02be5\";s:8:\"filesize\";s:5:\"44186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc6\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc6\";s:7:\"version\";s:11:\"7.x-1.0-rc6\";s:3:\"tag\";s:11:\"7.x-1.0-rc6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1346850751\";s:6:\"mdhash\";s:32:\"4a3299b8cb1f6030ee21f3bf9435c73c\";s:8:\"filesize\";s:5:\"39901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1338748274\";s:6:\"mdhash\";s:32:\"a73ab8410759a1448ff0901e04defd73\";s:8:\"filesize\";s:5:\"35325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1334791293\";s:6:\"mdhash\";s:32:\"2e800d8c11b5b287305f84a16375d50a\";s:8:\"filesize\";s:5:\"32269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1331946338\";s:6:\"mdhash\";s:32:\"914cb1103663c42b47f3ff0c961ce51f\";s:8:\"filesize\";s:5:\"31112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1331939437\";s:6:\"mdhash\";s:32:\"9a9666ea98b867ac88d97c70ac6d578a\";s:8:\"filesize\";s:5:\"31118\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1329531338\";s:6:\"mdhash\";s:32:\"bc854e700c1522ef77612c407bab3e47\";s:8:\"filesize\";s:5:\"30802\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1325217937\";s:6:\"mdhash\";s:32:\"c0b2fc2408cc07a03436f1c8beda50f4\";s:8:\"filesize\";s:5:\"27771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1322880637\";s:6:\"mdhash\";s:32:\"5dbe793210a5aa04e003f621c909dc5b\";s:8:\"filesize\";s:5:\"26906\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1321458937\";s:6:\"mdhash\";s:32:\"4eb819577d8a5d23af8fb64da2db5775\";s:8:\"filesize\";s:5:\"24803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1321455339\";s:6:\"mdhash\";s:32:\"18927f8d3a97c46deca803f686881058\";s:8:\"filesize\";s:5:\"24805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1320196828\";s:6:\"mdhash\";s:32:\"8c751665cfc36f063b96513ec44967e2\";s:8:\"filesize\";s:5:\"23337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1319407529\";s:6:\"mdhash\";s:32:\"bbe7f70fa5fb0b215bef7280087c1d0a\";s:8:\"filesize\";s:5:\"23323\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1319204129\";s:6:\"mdhash\";s:32:\"7e423f04e51e3a0c2fe62038dca57257\";s:8:\"filesize\";s:5:\"22972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1316637400\";s:6:\"mdhash\";s:32:\"564623761c3c97b937fd75b88246b9a3\";s:8:\"filesize\";s:5:\"21881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315415214\";s:6:\"mdhash\";s:32:\"1c34fe82f4f2388df916e6b3a0404f9d\";s:8:\"filesize\";s:5:\"20713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312983715\";s:6:\"mdhash\";s:32:\"4a451dc417458d751bdf7004f3bafb30\";s:8:\"filesize\";s:5:\"20684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1308773514\";s:6:\"mdhash\";s:32:\"0b72b09bbf3b294d705c9f80e8de9314\";s:8:\"filesize\";s:5:\"19577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308751014\";s:6:\"mdhash\";s:32:\"32c6e739e858b118eb2c5d6cb8c99a24\";s:8:\"filesize\";s:5:\"18753\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308271392\";s:6:\"mdhash\";s:32:\"15fb5bffdb310d4b70a45ac8f2abce6d\";s:8:\"filesize\";s:5:\"16588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1305915714\";s:6:\"mdhash\";s:32:\"e720656a63a026dd157a8764beb2c597\";s:8:\"filesize\";s:5:\"16065\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"bean 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499880543\";s:6:\"mdhash\";s:32:\"8150989840a614891cf93453a0271041\";s:8:\"filesize\";s:5:\"55095\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025444,1509939039,1),('available_releases::better_exposed_filters','a:11:{s:5:\"title\";s:22:\"Better Exposed Filters\";s:10:\"short_name\";s:22:\"better_exposed_filters\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1508952844\";s:6:\"mdhash\";s:32:\"a1275ae33a38e87cafdfae536536e0ac\";s:8:\"filesize\";s:5:\"51116\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1485926283\";s:6:\"mdhash\";s:32:\"0a149a565aa4885faf6015c1ce6b929b\";s:8:\"filesize\";s:5:\"51110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1484287085\";s:6:\"mdhash\";s:32:\"fd788f73765e10d63b29c8552a1565cf\";s:8:\"filesize\";s:5:\"51087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1428077881\";s:6:\"mdhash\";s:32:\"3134e2c13500d96fd3c10d0fa07181fa\";s:8:\"filesize\";s:5:\"49437\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1427969281\";s:6:\"mdhash\";s:32:\"017ab6ca581c48a78ec8f64d03e2e0e4\";s:8:\"filesize\";s:5:\"48222\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1418734682\";s:6:\"mdhash\";s:32:\"38a786d3a3b3b771c8c2628a1ce21bd3\";s:8:\"filesize\";s:5:\"46503\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1392255205\";s:6:\"mdhash\";s:32:\"f6537a3b09c0e3e9dd257928eae8198e\";s:8:\"filesize\";s:5:\"44243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1349281866\";s:6:\"mdhash\";s:32:\"bf1378218e4cc0db6ecf856813a90d23\";s:8:\"filesize\";s:5:\"29586\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1347562608\";s:6:\"mdhash\";s:32:\"0be78b0c7baec31077c41624fbd58087\";s:8:\"filesize\";s:5:\"29237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312327014\";s:6:\"mdhash\";s:32:\"3ae8db4a8857ef0ba86083b968191feb\";s:8:\"filesize\";s:5:\"22389\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1508951045\";s:6:\"mdhash\";s:32:\"c39020af3eae75ae107fd862858449fa\";s:8:\"filesize\";s:5:\"51126\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-1.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380555926\";s:6:\"mdhash\";s:32:\"0ffdc1ce5f0cff0254ddbaf787ce930a\";s:8:\"filesize\";s:5:\"22828\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025444,1509939039,1),('available_releases::block_class','a:11:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1450293839\";s:6:\"mdhash\";s:32:\"9e382ab421c420b01c393be94b401ad9\";s:8:\"filesize\";s:5:\"12684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1377197769\";s:6:\"mdhash\";s:32:\"cb57d269d45aabd8978c0a88b05b9eb3\";s:8:\"filesize\";s:5:\"11499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1362669357\";s:6:\"mdhash\";s:32:\"4c3afdc9b94f12d4a2fa6ab8eac2bae8\";s:8:\"filesize\";s:4:\"9421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1377198970\";s:6:\"mdhash\";s:32:\"393dbfad8a142c2ff7d348f30521a63f\";s:8:\"filesize\";s:5:\"11913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1349301967\";s:6:\"mdhash\";s:32:\"30eff4c1392274a53680412e5784330b\";s:8:\"filesize\";s:4:\"8874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.2-beta1\";a:15:{s:4:\"name\";s:25:\"block_class 7.x-1.2-beta1\";s:7:\"version\";s:13:\"7.x-1.2-beta1\";s:3:\"tag\";s:13:\"7.x-1.2-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/block_class/releases/7.x-1.2-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1333059942\";s:6:\"mdhash\";s:32:\"d83eb9270022e9a3d6dc53ad102017d3\";s:8:\"filesize\";s:4:\"8873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331079937\";s:6:\"mdhash\";s:32:\"b466c130b0fc352d7bd2d434f294e6d6\";s:8:\"filesize\";s:4:\"8694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1318630894\";s:6:\"mdhash\";s:32:\"7659a7e3cfb4be20692a64b467a40310\";s:8:\"filesize\";s:4:\"8703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496362442\";s:6:\"mdhash\";s:32:\"8df84f57a2cf05072280b47904c3dfe4\";s:8:\"filesize\";s:5:\"13550\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380556302\";s:6:\"mdhash\";s:32:\"7419a6f4c1a002401da79a0f3291dd75\";s:8:\"filesize\";s:5:\"11922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025444,1509939039,1),('available_releases::commerce','a:11:{s:5:\"title\";s:15:\"Drupal Commerce\";s:10:\"short_name\";s:8:\"commerce\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/commerce\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:27:{s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:17:\"commerce 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/commerce/releases/7.x-1.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1459956568\";s:6:\"mdhash\";s:32:\"32f60a3f4e7e08d8979be3c8beda49e2\";s:8:\"filesize\";s:6:\"381834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:17:\"commerce 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/commerce/releases/7.x-1.12\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1459831734\";s:6:\"mdhash\";s:32:\"398790375ddc2e1bde90fe38e2cd625a\";s:8:\"filesize\";s:6:\"381908\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:17:\"commerce 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/commerce/releases/7.x-1.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1421426580\";s:6:\"mdhash\";s:32:\"948ab5d78a0ee7e23c28d3df8f585ab6\";s:8:\"filesize\";s:6:\"382099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:17:\"commerce 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/commerce/releases/7.x-1.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1410366832\";s:6:\"mdhash\";s:32:\"aad5b6bbdf089c6f3550b3f04fd8ca1e\";s:8:\"filesize\";s:6:\"381635\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1394061805\";s:6:\"mdhash\";s:32:\"1fa0211d155f7e75e3a57c1a6cbd63e9\";s:8:\"filesize\";s:6:\"378943\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1374609068\";s:6:\"mdhash\";s:32:\"f1f8036c5dc006d641f504d2126ae4e7\";s:8:\"filesize\";s:6:\"369712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1367298614\";s:6:\"mdhash\";s:32:\"bedfde3ae336892df9a433990b8fc77a\";s:8:\"filesize\";s:6:\"368250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1365633618\";s:6:\"mdhash\";s:32:\"951cd47b652aabd411e562c29ce7dbe4\";s:8:\"filesize\";s:6:\"368067\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1360749320\";s:6:\"mdhash\";s:32:\"61f53b99d48441ef3f64a4a7e73981ac\";s:8:\"filesize\";s:6:\"366627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1350864676\";s:6:\"mdhash\";s:32:\"18bf64b33ecb54e91d38a840f563a879\";s:8:\"filesize\";s:6:\"363286\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1336585865\";s:6:\"mdhash\";s:32:\"827c1fde0fa75a5bcea3bc10f2b2aadf\";s:8:\"filesize\";s:6:\"353698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1327528840\";s:6:\"mdhash\";s:32:\"a7ac902711ce7c3e1722a015f41f2013\";s:8:\"filesize\";s:6:\"349147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1322552155\";s:6:\"mdhash\";s:32:\"62942795e7c21e385631659ac241ea1b\";s:8:\"filesize\";s:6:\"328801\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"commerce 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/commerce/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1314124616\";s:6:\"mdhash\";s:32:\"d4eb672998468ec255d8be694a4d3779\";s:8:\"filesize\";s:6:\"315114\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:20:\"commerce 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1313076716\";s:6:\"mdhash\";s:32:\"925dfa96685e2cbed1b549b77a56ebb0\";s:8:\"filesize\";s:6:\"312390\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"commerce 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1313037416\";s:6:\"mdhash\";s:32:\"6ba485c1fce1535f3b3e2957e616f394\";s:8:\"filesize\";s:6:\"312335\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"commerce 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1310664115\";s:6:\"mdhash\";s:32:\"c732e70e3e8f4a5e284c26bd4905ec4e\";s:8:\"filesize\";s:6:\"306038\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:22:\"commerce 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1307772351\";s:6:\"mdhash\";s:32:\"afeee457f68ac8165e2d5ad22c5f75e0\";s:8:\"filesize\";s:6:\"289313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:22:\"commerce 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1303540316\";s:6:\"mdhash\";s:32:\"e4da46e99b11fb772e386a0db242b5e2\";s:8:\"filesize\";s:6:\"279732\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"commerce 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1298816467\";s:6:\"mdhash\";s:32:\"f6d3fc0daeb3245edc1d9eddf1e0d457\";s:8:\"filesize\";s:6:\"257520\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"commerce 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298529203\";s:6:\"mdhash\";s:32:\"3e435407de0b4f8d8c1d8fd33329e5cb\";s:8:\"filesize\";s:6:\"259881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:23:\"commerce 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1296455786\";s:6:\"mdhash\";s:32:\"5dc5d375eedec0ffd7a6fd4d8fcdb102\";s:8:\"filesize\";s:6:\"216068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:23:\"commerce 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1293329163\";s:6:\"mdhash\";s:32:\"d62fa017115ecc34b81f3e4fe5e0b3db\";s:8:\"filesize\";s:6:\"191023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:23:\"commerce 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1289666774\";s:6:\"mdhash\";s:32:\"449fee374e9f9c2f2f350f9a77551222\";s:8:\"filesize\";s:6:\"180135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"commerce 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1286608567\";s:6:\"mdhash\";s:32:\"092559792765f635bdd4f30fcc47329d\";s:8:\"filesize\";s:6:\"151878\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"commerce 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1282612007\";s:6:\"mdhash\";s:32:\"dd5151ef1f8053306be442dd2cf479cd\";s:8:\"filesize\";s:6:\"122724\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"commerce 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/commerce/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509597185\";s:6:\"mdhash\";s:32:\"0e652e18fb1e975fce2ec1754b36a185\";s:8:\"filesize\";s:6:\"385867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025444,1509939039,1),('available_releases::commerce_donate','a:11:{s:5:\"title\";s:15:\"Commerce Donate\";s:10:\"short_name\";s:15:\"commerce_donate\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/commerce_donate\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"commerce_donate 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_donate/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_donate-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1437349739\";s:6:\"mdhash\";s:32:\"9127dd5d160f859091b17999335aec6b\";s:8:\"filesize\";s:5:\"13364\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"commerce_donate 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/commerce_donate/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/commerce_donate-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1341785785\";s:6:\"mdhash\";s:32:\"50d519e9f781d27d4205e7cfed2ef6e7\";s:8:\"filesize\";s:5:\"12771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"commerce_donate 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/commerce_donate/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/commerce_donate-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1437349439\";s:6:\"mdhash\";s:32:\"df8bab6baff3560107a54f64e88f864f\";s:8:\"filesize\";s:5:\"13365\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025444,1509939039,1),('available_releases::commerce_paypal','a:11:{s:5:\"title\";s:15:\"Commerce PayPal\";s:10:\"short_name\";s:15:\"commerce_paypal\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/commerce_paypal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1497908942\";s:6:\"mdhash\";s:32:\"4d7129199d1d7efc162ae1eef7003c72\";s:8:\"filesize\";s:5:\"71951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1389740905\";s:6:\"mdhash\";s:32:\"2679887b33842c2ab7b7a830cc963ad9\";s:8:\"filesize\";s:5:\"69460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1379410934\";s:6:\"mdhash\";s:32:\"b91dabf9f87041753d85d0f1c2dc91e0\";s:8:\"filesize\";s:5:\"70177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1379295700\";s:6:\"mdhash\";s:32:\"d84284794ac0fe0256bc2f129bdb612f\";s:8:\"filesize\";s:5:\"70303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1372479352\";s:6:\"mdhash\";s:32:\"46935ff9c2099391421948aeaa18475c\";s:8:\"filesize\";s:5:\"64858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"commerce_paypal 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1360753518\";s:6:\"mdhash\";s:32:\"64bd53b26d4fcb2ed43e6a365eafd49f\";s:8:\"filesize\";s:5:\"63814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1355696805\";s:6:\"mdhash\";s:32:\"58eb5b1ad772a79eb5bfe0fe7dd671e3\";s:8:\"filesize\";s:5:\"29546\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"commerce_paypal 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1347157356\";s:6:\"mdhash\";s:32:\"5efd04e9dace7d2fe112d9061673b91d\";s:8:\"filesize\";s:5:\"29556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"commerce_paypal 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497908643\";s:6:\"mdhash\";s:32:\"1b6a8bcb14ded436f59294f4a35a1ca6\";s:8:\"filesize\";s:5:\"72053\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"commerce_paypal 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380560597\";s:6:\"mdhash\";s:32:\"0daf56e6792f156f4726376570718a3d\";s:8:\"filesize\";s:5:\"29564\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025444,1509939039,1),('available_releases::context','a:11:{s:5:\"title\";s:7:\"Context\";s:10:\"short_name\";s:7:\"context\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1420570680\";s:6:\"mdhash\";s:32:\"74894fd36de656fd00dcd5f0cf4bd7b0\";s:8:\"filesize\";s:5:\"74029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1418341070\";s:6:\"mdhash\";s:32:\"9946cd622ba584de05597d85c2d70903\";s:8:\"filesize\";s:5:\"74008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1418330580\";s:6:\"mdhash\";s:32:\"c253abf7fee5787934c2f2f6fecf3d0c\";s:8:\"filesize\";s:5:\"74019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1412114933\";s:6:\"mdhash\";s:32:\"6da85f017a673e57152d0e0b6fe9082f\";s:8:\"filesize\";s:5:\"73996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1390931305\";s:6:\"mdhash\";s:32:\"a9ee5d6eb6c1d7980f4834788e5e20f0\";s:8:\"filesize\";s:5:\"72655\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1381976667\";s:6:\"mdhash\";s:32:\"0211b9782b18364623ac044f1aa39295\";s:8:\"filesize\";s:5:\"71341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1381891268\";s:6:\"mdhash\";s:32:\"4522891bcd393c93f0c00e396fc57d2d\";s:8:\"filesize\";s:5:\"71536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:19:\"context 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1380221057\";s:6:\"mdhash\";s:32:\"82c6b89c04b1bf7dc7936da6cb5a68f3\";s:8:\"filesize\";s:5:\"71377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1375065368\";s:6:\"mdhash\";s:32:\"098f672a1a9deff4d02af98c8cfe7314\";s:8:\"filesize\";s:5:\"71132\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1355879811\";s:6:\"mdhash\";s:32:\"1fb886ef64dcbf2a1d6baedae3516ccc\";s:8:\"filesize\";s:5:\"70788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1354819308\";s:6:\"mdhash\";s:32:\"7c0e563c681fbf716b7237181dd3b820\";s:8:\"filesize\";s:5:\"70554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1344786407\";s:6:\"mdhash\";s:32:\"a8cb1ff2d756fb28c2867efaf02f5a27\";s:8:\"filesize\";s:5:\"64762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1337490056\";s:6:\"mdhash\";s:32:\"9d3e3844698e647061d43cbab2c1b05a\";s:8:\"filesize\";s:5:\"66729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315543301\";s:6:\"mdhash\";s:32:\"c10187dbe386e3c3b12235efb83c4455\";s:8:\"filesize\";s:5:\"65147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298925068\";s:6:\"mdhash\";s:32:\"0707f1af392f0bf1cd210a8e638c9de6\";s:8:\"filesize\";s:5:\"63804\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1294089953\";s:6:\"mdhash\";s:32:\"38dd5fc8aef952598f4ef6420addc3b3\";s:8:\"filesize\";s:5:\"63251\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285617662\";s:6:\"mdhash\";s:32:\"e6df800804a2f30da2eb939ef298b033\";s:8:\"filesize\";s:5:\"63205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284683161\";s:6:\"mdhash\";s:32:\"083993e65701c32d428e2c7e15047b65\";s:8:\"filesize\";s:5:\"62143\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"context 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465425842\";s:6:\"mdhash\";s:32:\"6920e8b538b8e529bd0cd8dbe85c0143\";s:8:\"filesize\";s:5:\"74787\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1503512045\";s:6:\"mdhash\";s:32:\"38d159499be2a534436ff7ef7305d3cc\";s:8:\"filesize\";s:6:\"446584\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::devel','a:11:{s:5:\"title\";s:5:\"Devel\";s:10:\"short_name\";s:5:\"devel\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/devel\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1398963228\";s:6:\"mdhash\";s:32:\"f06c912eb4edbd48fbcc2867516726a3\";s:8:\"filesize\";s:6:\"193378\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1391635405\";s:6:\"mdhash\";s:32:\"bfdea9f0eee5dea87c8a1828fdd2f092\";s:8:\"filesize\";s:6:\"193388\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1338940281\";s:6:\"mdhash\";s:32:\"c556e6de4b3d3e5451ee772d862bc516\";s:8:\"filesize\";s:6:\"190925\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311355316\";s:6:\"mdhash\";s:32:\"477e55a4a98b8d00c9eec17aa4093d2a\";s:8:\"filesize\";s:6:\"186138\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1311192116\";s:6:\"mdhash\";s:32:\"7d75493eb42b06ca1649f1bbd1674909\";s:8:\"filesize\";s:6:\"186092\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294172175\";s:6:\"mdhash\";s:32:\"b3de4c4611ccd5e3e6329c775be69613\";s:8:\"filesize\";s:6:\"188724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"devel 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/devel/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/devel-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291608173\";s:6:\"mdhash\";s:32:\"fab96f90db6a569620c3f072a8e58984\";s:8:\"filesize\";s:6:\"210984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"devel 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/devel/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/devel-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1271879406\";s:6:\"mdhash\";s:32:\"d7b04a39c0ff4835a467887ac80c0032\";s:8:\"filesize\";s:6:\"154404\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"devel 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/devel/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/devel-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1268976905\";s:6:\"mdhash\";s:32:\"c9e9d320362f8601752cff87fbfa162f\";s:8:\"filesize\";s:6:\"151951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"devel 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/devel/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/devel-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1265080507\";s:6:\"mdhash\";s:32:\"67055f722b47aad39790d3ff346017cf\";s:8:\"filesize\";s:6:\"146771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"devel 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/devel/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/devel-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1508501944\";s:6:\"mdhash\";s:32:\"925c219ab1463b76aba4cd423520f691\";s:8:\"filesize\";s:6:\"190137\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.42\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.41\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.40\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.39\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.38\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.37\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.36\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.35\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.34\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.33\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.32\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.31\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.30\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.29\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.28\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.27\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.26\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.25\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.24\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.23\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.22\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1507155844\";s:6:\"mdhash\";s:32:\"9096a4515297046754ea8e3a238c1e82\";s:8:\"filesize\";s:7:\"3279443\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025444,1509939039,1),('available_releases::entity','a:11:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:30:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1458222242\";s:6:\"mdhash\";s:32:\"f4787da0230869cc7420b6cea78212e5\";s:8:\"filesize\";s:6:\"121426\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1424876581\";s:6:\"mdhash\";s:32:\"a778a5c82eaddac50e40a3dd0a3ebac6\";s:8:\"filesize\";s:6:\"120850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396975451\";s:6:\"mdhash\";s:32:\"04b90c27b2f1627d0a218006291afa9f\";s:8:\"filesize\";s:6:\"121011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395335056\";s:6:\"mdhash\";s:32:\"d026208f7b433b9b2dd5fdc705396d0e\";s:8:\"filesize\";s:6:\"120371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1389210804\";s:6:\"mdhash\";s:32:\"92bb78da6928049c0d9bdea76629416b\";s:8:\"filesize\";s:6:\"119279\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1376493705\";s:6:\"mdhash\";s:32:\"c87e0ce3708a26a3045c36b8ad15f61c\";s:8:\"filesize\";s:6:\"115225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1367338217\";s:6:\"mdhash\";s:32:\"1f23d1bee48287f1c53f8d3f1391187a\";s:8:\"filesize\";s:6:\"110514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1356471145\";s:6:\"mdhash\";s:32:\"f072eda34e284561bb55cfae0dbe30db\";s:8:\"filesize\";s:6:\"110082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337981155\";s:6:\"mdhash\";s:32:\"267c552757d1fa8bbe17c624a7ec4c3f\";s:8:\"filesize\";s:6:\"106628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335099086\";s:6:\"mdhash\";s:32:\"587d7b6a088a195722fe7d11b1c9c8fa\";s:8:\"filesize\";s:6:\"105993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1320914735\";s:6:\"mdhash\";s:32:\"daa6dff009d00756f86b80b31af32c77\";s:8:\"filesize\";s:5:\"95227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1319558131\";s:6:\"mdhash\";s:32:\"0d98c2c361e5936593b8365614fa04e3\";s:8:\"filesize\";s:5:\"83206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1310486817\";s:6:\"mdhash\";s:32:\"016f48d7ecee0da62ae1a8f6cf26a656\";s:8:\"filesize\";s:5:\"77197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1308239815\";s:6:\"mdhash\";s:32:\"a965dc47b0b8afc2f75b69be31e767d0\";s:8:\"filesize\";s:5:\"75840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1300731067\";s:6:\"mdhash\";s:32:\"317ec15a5f9d90e7613b52f20a7e9a82\";s:8:\"filesize\";s:5:\"71258\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1298285230\";s:6:\"mdhash\";s:32:\"9598452892a90a3b098d3152334aeb85\";s:8:\"filesize\";s:5:\"72722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1294170388\";s:6:\"mdhash\";s:32:\"64588b70e6773d146e0bf4267a90a270\";s:8:\"filesize\";s:5:\"68465\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1293135097\";s:6:\"mdhash\";s:32:\"53325d82ab40c0dc325ccb59d0bca3e6\";s:8:\"filesize\";s:5:\"65300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1292941950\";s:6:\"mdhash\";s:32:\"93210f6c3b3b19258f217a64e6bd56a8\";s:8:\"filesize\";s:5:\"65305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1291297866\";s:6:\"mdhash\";s:32:\"cb05413449da98da415d40e3520f0f6d\";s:8:\"filesize\";s:5:\"61957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1290197444\";s:6:\"mdhash\";s:32:\"a1646f5c1933772feb76e2dd31d6324b\";s:8:\"filesize\";s:5:\"60670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286786762\";s:6:\"mdhash\";s:32:\"2e53243fdf0fae60217dd7916d982e47\";s:8:\"filesize\";s:5:\"54660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1280228111\";s:6:\"mdhash\";s:32:\"5d88abea4508ea3561332f466746ab3d\";s:8:\"filesize\";s:5:\"47315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1273607706\";s:6:\"mdhash\";s:32:\"13348a08070605b3742d4fad7856d76a\";s:8:\"filesize\";s:5:\"45331\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1268336409\";s:6:\"mdhash\";s:32:\"0e093c0ded92b23a4e628a7953a198dc\";s:8:\"filesize\";s:5:\"41614\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1266851413\";s:6:\"mdhash\";s:32:\"d347ca5528b9ed9d132b492cb4b7b2af\";s:8:\"filesize\";s:5:\"40746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1263231309\";s:6:\"mdhash\";s:32:\"be9a91bd68b59480bdca9e8a6d6ad932\";s:8:\"filesize\";s:5:\"31954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1260807922\";s:6:\"mdhash\";s:32:\"858c5a1b255f5316737dbbd3b562d825\";s:8:\"filesize\";s:5:\"29154\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"entity 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1489006983\";s:6:\"mdhash\";s:32:\"896905b4ea1cfc180d6f03bc5ab44378\";s:8:\"filesize\";s:6:\"124235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::entityreference','a:11:{s:5:\"title\";s:16:\"Entity reference\";s:10:\"short_name\";s:15:\"entityreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:19:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1502895843\";s:6:\"mdhash\";s:32:\"56f6198ead378b93eb978444c3cdd948\";s:8:\"filesize\";s:5:\"43330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1494450485\";s:6:\"mdhash\";s:32:\"e800309d10d254bd8e80770beb17f4f3\";s:8:\"filesize\";s:5:\"43171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1474306739\";s:6:\"mdhash\";s:32:\"ef8f161721709dedcd1babc18b033006\";s:8:\"filesize\";s:5:\"40840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1384973004\";s:6:\"mdhash\";s:32:\"604843bda17acbd927f71f8cf8a74a48\";s:8:\"filesize\";s:5:\"40371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1353230808\";s:6:\"mdhash\";s:32:\"81f458c4b41b61f405af905d2fd8a5ec\";s:8:\"filesize\";s:5:\"36787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1348565045\";s:6:\"mdhash\";s:32:\"648a462e0bc442533debbd0b1b98e665\";s:8:\"filesize\";s:5:\"32328\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1348486666\";s:6:\"mdhash\";s:32:\"b1bdad67159df7cfa1edbc71ca1f15be\";s:8:\"filesize\";s:5:\"31223\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1338411956\";s:6:\"mdhash\";s:32:\"6f07ffafd42ec5fa9b76d398831c9956\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338371757\";s:6:\"mdhash\";s:32:\"35336e7b27b1755db8464d786167081b\";s:8:\"filesize\";s:5:\"30494\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332279946\";s:6:\"mdhash\";s:32:\"83f006ab5235890efc2b3986f8dcdfe3\";s:8:\"filesize\";s:5:\"24495\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1330297849\";s:6:\"mdhash\";s:32:\"1508867497f54a68acb9f92ca4cddcfe\";s:8:\"filesize\";s:5:\"24228\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329149138\";s:6:\"mdhash\";s:32:\"7d5566cd6425d2dca4d0597984726eb8\";s:8:\"filesize\";s:5:\"24005\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1324748139\";s:6:\"mdhash\";s:32:\"397fa7a810501fbb22390c8fb8ac10ef\";s:8:\"filesize\";s:5:\"19799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1322214940\";s:6:\"mdhash\";s:32:\"41b5dd4ed7115763e5b30c41a9a07c3d\";s:8:\"filesize\";s:5:\"19792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1316702804\";s:6:\"mdhash\";s:32:\"a056dc3e075e9b0783cb1addaad5086e\";s:8:\"filesize\";s:5:\"18948\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1316171203\";s:6:\"mdhash\";s:32:\"0f5a3e9f3f998ed12d7c6bf1fd864274\";s:8:\"filesize\";s:5:\"17761\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1313085717\";s:6:\"mdhash\";s:32:\"d17373159f2c745be04bf3ea2df7632d\";s:8:\"filesize\";s:5:\"10847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"entityreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1502895843\";s:6:\"mdhash\";s:32:\"63de6fe0a49144e0dbe13e7c488927be\";s:8:\"filesize\";s:5:\"43346\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::exclude_node_title','a:11:{s:5:\"title\";s:18:\"Exclude Node Title\";s:10:\"short_name\";s:18:\"exclude_node_title\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/exclude_node_title\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.9\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1435338180\";s:6:\"mdhash\";s:32:\"341f2a3ff8473cdd37a9e8c689e58524\";s:8:\"filesize\";s:5:\"12171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1435276080\";s:6:\"mdhash\";s:32:\"930611a354bc7e73fd7f996c32571a66\";s:8:\"filesize\";s:5:\"12170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.7\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1391152706\";s:6:\"mdhash\";s:32:\"92123575d8932a57bcfa0693060dbf27\";s:8:\"filesize\";s:5:\"12123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.6\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1357417950\";s:6:\"mdhash\";s:32:\"10b4719847848c8e4599ebb4c9790ca0\";s:8:\"filesize\";s:5:\"10411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1329984945\";s:6:\"mdhash\";s:32:\"456a6c50c2dfc3a77182824c359a5dc2\";s:8:\"filesize\";s:4:\"9824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1329650742\";s:6:\"mdhash\";s:32:\"253a57849ec850d2d47a8d622a1823b1\";s:8:\"filesize\";s:4:\"9600\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1302553615\";s:6:\"mdhash\";s:32:\"043b2dada7ca5cc23985a73377e303ee\";s:8:\"filesize\";s:4:\"8122\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1301381169\";s:6:\"mdhash\";s:32:\"96ce578829c03a20b2078a56bed8e195\";s:8:\"filesize\";s:4:\"8120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1300439768\";s:6:\"mdhash\";s:32:\"56ea939832aa85929af448750b199ed8\";s:8:\"filesize\";s:4:\"8123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.0\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1298532394\";s:6:\"mdhash\";s:32:\"2f8a0712a9f8fee222714af0b0aad99a\";s:8:\"filesize\";s:4:\"8181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:30:\"exclude_node_title 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1447741760\";s:6:\"mdhash\";s:32:\"7fcdaebe749295402f3eb47a8ba1f0a9\";s:8:\"filesize\";s:5:\"12112\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::field_collection','a:11:{s:5:\"title\";s:16:\"Field collection\";s:10:\"short_name\";s:16:\"field_collection\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1454338739\";s:6:\"mdhash\";s:32:\"0f51a97383cd50f72a2ecd950cce5e1a\";s:8:\"filesize\";s:5:\"40461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1445529539\";s:6:\"mdhash\";s:32:\"bb00b6d371b096732071ad7999223c5a\";s:8:\"filesize\";s:5:\"40443\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1445282939\";s:6:\"mdhash\";s:32:\"99910b78ea9fdda42a746089b579152c\";s:8:\"filesize\";s:5:\"40406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1415122380\";s:6:\"mdhash\";s:32:\"50e687acf3779b987bacde5ad047fb46\";s:8:\"filesize\";s:5:\"38360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1394731105\";s:6:\"mdhash\";s:32:\"8678d50f7248d4830a615f451c623201\";s:8:\"filesize\";s:5:\"36080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1356475964\";s:6:\"mdhash\";s:32:\"e881931a5e0fea9ff844385c80743a54\";s:8:\"filesize\";s:5:\"33162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1333382446\";s:6:\"mdhash\";s:32:\"591e8d3bcc5f0af52710680529308d8e\";s:8:\"filesize\";s:5:\"26573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1327376442\";s:6:\"mdhash\";s:32:\"ef0e3a56c77e50a59f0ae965d70b58b3\";s:8:\"filesize\";s:5:\"25613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1313670125\";s:6:\"mdhash\";s:32:\"b4ee245a67c07332b3b2fa2d83ba7e1a\";s:8:\"filesize\";s:5:\"21012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1296573488\";s:6:\"mdhash\";s:32:\"7c644203e32cc8c6d2d1bd5400b5c361\";s:8:\"filesize\";s:5:\"17272\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"field_collection 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/field_collection/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481300583\";s:6:\"mdhash\";s:32:\"cedb190a2c89f6280843a7672094e0bc\";s:8:\"filesize\";s:5:\"51053\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::field_formatter_class','a:11:{s:5:\"title\";s:21:\"Field Formatter Class\";s:10:\"short_name\";s:21:\"field_formatter_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:52:\"https://www.drupal.org/project/field_formatter_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361374878\";s:6:\"mdhash\";s:32:\"fcddd9d46e482811643a4340ccda7f13\";s:8:\"filesize\";s:4:\"8470\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1336422355\";s:6:\"mdhash\";s:32:\"404509b98289aee537d744f32c9faebf\";s:8:\"filesize\";s:4:\"8124\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:33:\"field_formatter_class 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1335133878\";s:6:\"mdhash\";s:32:\"e0fae9021ed172082fc4bf1ab573dbb1\";s:8:\"filesize\";s:4:\"8123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:33:\"field_formatter_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578834\";s:6:\"mdhash\";s:32:\"11c5ffa86c4099746ad6a4076b2f67ed\";s:8:\"filesize\";s:4:\"8477\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::field_formatter_settings','a:11:{s:5:\"title\";s:24:\"Field formatter settings\";s:10:\"short_name\";s:24:\"field_formatter_settings\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:55:\"https://www.drupal.org/project/field_formatter_settings\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378741904\";s:6:\"mdhash\";s:32:\"d7bc7a84011a904f945b4fc54ff6eec0\";s:8:\"filesize\";s:4:\"9545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.0\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1345588632\";s:6:\"mdhash\";s:32:\"9a567846d2b71bd2385b420452218b68\";s:8:\"filesize\";s:4:\"9457\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:38:\"field_formatter_settings 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:78:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:83:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1291403467\";s:6:\"mdhash\";s:32:\"4859595ca1e12604b9a0cb05a66c20ab\";s:8:\"filesize\";s:4:\"7878\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:36:\"field_formatter_settings 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.x-dev\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1437594539\";s:6:\"mdhash\";s:32:\"d5a7bb88068056c117889b1fe58aa536\";s:8:\"filesize\";s:4:\"9622\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025445,1509939039,1),('available_releases::field_group','a:11:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"14a100269b1ddfe88c32442c8da53d1d\";s:8:\"filesize\";s:5:\"52556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1401918527\";s:6:\"mdhash\";s:32:\"fa268e0c23b2af31ed560aa03a986cf1\";s:8:\"filesize\";s:5:\"51303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1380124361\";s:6:\"mdhash\";s:32:\"6ea6a2b8a15c9c68d981f5b0ae6f881c\";s:8:\"filesize\";s:5:\"50593\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1377806210\";s:6:\"mdhash\";s:32:\"ea1b1af0b09f7578cffc261c8c5203df\";s:8:\"filesize\";s:5:\"49436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1319051133\";s:6:\"mdhash\";s:32:\"4f02e7b10aff66e3bcdae002d6b80ec6\";s:8:\"filesize\";s:5:\"43065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1306266416\";s:6:\"mdhash\";s:32:\"5f549fbc7cbfa575a11a9d705a3df597\";s:8:\"filesize\";s:5:\"33471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1300283167\";s:6:\"mdhash\";s:32:\"959768b52b8d4c04be0e8f8e93f4af1b\";s:8:\"filesize\";s:5:\"32537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1295392936\";s:6:\"mdhash\";s:32:\"aaa22e6444d2377e9673e5cfd6f21095\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578862\";s:6:\"mdhash\";s:32:\"3ff6c75931a1668be98876378b7c2ebf\";s:8:\"filesize\";s:5:\"41104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"511fd177b8bb37b9c8011162ea3d8017\";s:8:\"filesize\";s:5:\"52572\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::field_slideshow','a:11:{s:5:\"title\";s:15:\"Field Slideshow\";s:10:\"short_name\";s:15:\"field_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:19:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.81\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.81\";s:7:\"version\";s:8:\"7.x-1.81\";s:3:\"tag\";s:8:\"7.x-1.81\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"81\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.81\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.81.tar.gz\";s:4:\"date\";s:10:\"1359010311\";s:6:\"mdhash\";s:32:\"9d318ebe3b2ca537e297b472f93e60b6\";s:8:\"filesize\";s:5:\"19352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1352716302\";s:6:\"mdhash\";s:32:\"34a25cf50d7d3cccf3dc9ac965fb554c\";s:8:\"filesize\";s:5:\"19180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1349242272\";s:6:\"mdhash\";s:32:\"c504eaecb53ea7d7f7f137f20def73b9\";s:8:\"filesize\";s:5:\"18612\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1328169943\";s:6:\"mdhash\";s:32:\"57103ff3118d9e9333b2d1303f485c27\";s:8:\"filesize\";s:5:\"16567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1324645840\";s:6:\"mdhash\";s:32:\"b36861cc5dc7d2fb88fdc91c949f5a9d\";s:8:\"filesize\";s:5:\"16111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1324567840\";s:6:\"mdhash\";s:32:\"15975c7b7693894d605d8ba6c3bd2959\";s:8:\"filesize\";s:5:\"16023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1324469442\";s:6:\"mdhash\";s:32:\"ee3a5cd2ce7d7602f056f667e6300bc0\";s:8:\"filesize\";s:5:\"16029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1314689520\";s:6:\"mdhash\";s:32:\"3d7a8a65b5354c83da834ce9f0724935\";s:8:\"filesize\";s:5:\"22573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1305725516\";s:6:\"mdhash\";s:32:\"e8f9ece040fc734fdac766d596259893\";s:8:\"filesize\";s:5:\"21537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1300986068\";s:6:\"mdhash\";s:32:\"0bbc3fefe3be61b961786b3b707a6166\";s:8:\"filesize\";s:5:\"18922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1298562419\";s:6:\"mdhash\";s:32:\"908eb7b803a81100368f3adf3bb614fb\";s:8:\"filesize\";s:5:\"18377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1297969529\";s:6:\"mdhash\";s:32:\"cd30811763163cbbee4fe41f7ae1865f\";s:8:\"filesize\";s:5:\"17659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1296401595\";s:6:\"mdhash\";s:32:\"8ec7d4c0ad55e77e879486d1d8db4b92\";s:8:\"filesize\";s:5:\"17010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295297810\";s:6:\"mdhash\";s:32:\"6204eb24207ef6f4e144787b75cb4e37\";s:8:\"filesize\";s:5:\"16554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294748510\";s:6:\"mdhash\";s:32:\"90e75b26900092834be207b5129374e7\";s:8:\"filesize\";s:5:\"16061\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1504795445\";s:6:\"mdhash\";s:32:\"6dc5699c446fafc2c492be5c99dcb278\";s:8:\"filesize\";s:5:\"20627\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1504598644\";s:6:\"mdhash\";s:32:\"21baae12fd9b3bf0e3484a2880963b16\";s:8:\"filesize\";s:5:\"19945\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::image_delta_formatter','a:11:{s:5:\"title\";s:21:\"Image Delta Formatter\";s:10:\"short_name\";s:21:\"image_delta_formatter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:52:\"https://www.drupal.org/project/image_delta_formatter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:2:{s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:33:\"image_delta_formatter 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/image_delta_formatter/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/image_delta_formatter-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1355927255\";s:6:\"mdhash\";s:32:\"e7790829ac5052b0539baef5e5329f42\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:33:\"image_delta_formatter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/image_delta_formatter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/image_delta_formatter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380582923\";s:6:\"mdhash\";s:32:\"5b2129411f629bc22d644aadf0673312\";s:8:\"filesize\";s:4:\"8705\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::inline_entity_form','a:11:{s:5:\"title\";s:18:\"Inline Entity Form\";s:10:\"short_name\";s:18:\"inline_entity_form\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1460849406\";s:6:\"mdhash\";s:32:\"3e9bd90b93c363153a3914804a0dfb91\";s:8:\"filesize\";s:5:\"38827\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.7\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1460671439\";s:6:\"mdhash\";s:32:\"56477a50f3af5f3b6d26c243a98eee86\";s:8:\"filesize\";s:5:\"38921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.6\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1434553380\";s:6:\"mdhash\";s:32:\"3c55b456227133f0105617cb87489c58\";s:8:\"filesize\";s:5:\"30981\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1389971611\";s:6:\"mdhash\";s:32:\"82ca960cc7c83809723e28941f28b69b\";s:8:\"filesize\";s:5:\"30490\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1388403805\";s:6:\"mdhash\";s:32:\"f9afaa955946b38e581241e7eb6815f8\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1374540993\";s:6:\"mdhash\";s:32:\"006a8635d365d31776877a9a82cff403\";s:8:\"filesize\";s:5:\"28914\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368798850\";s:6:\"mdhash\";s:32:\"97cb425a20190d3f6ee38bc705081d9b\";s:8:\"filesize\";s:5:\"28322\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1359135111\";s:6:\"mdhash\";s:32:\"50f1b648e4c094e66785eddce85a1062\";s:8:\"filesize\";s:5:\"28262\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1355755076\";s:6:\"mdhash\";s:32:\"3ec652734d75b8a4684c8da46e51647a\";s:8:\"filesize\";s:5:\"28221\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:30:\"inline_entity_form 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1347887963\";s:6:\"mdhash\";s:32:\"1f019469ef8c718a177f2eab2e732217\";s:8:\"filesize\";s:5:\"26292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1345447648\";s:6:\"mdhash\";s:32:\"c4e85dfef7f8bcff698c5ea407c666a6\";s:8:\"filesize\";s:5:\"23161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1340576780\";s:6:\"mdhash\";s:32:\"d4b323ae0c63ff38db6a910fdae416ec\";s:8:\"filesize\";s:5:\"22625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1339669279\";s:6:\"mdhash\";s:32:\"8a62a0d558a4195bd3b04aa0f1c3445c\";s:8:\"filesize\";s:5:\"22531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:32:\"inline_entity_form 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1335220280\";s:6:\"mdhash\";s:32:\"5cc10d5cc8b72a1de40252c8fb6226db\";s:8:\"filesize\";s:5:\"20679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:30:\"inline_entity_form 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1460848739\";s:6:\"mdhash\";s:32:\"ad773ef9cd539257bf31dcece12fc7fe\";s:8:\"filesize\";s:5:\"38842\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::jcarousel','a:11:{s:5:\"title\";s:9:\"jCarousel\";s:10:\"short_name\";s:9:\"jcarousel\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:21:\"jcarousel 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1420458180\";s:6:\"mdhash\";s:32:\"cd41f12d87404de09a65778c96f60dc4\";s:8:\"filesize\";s:5:\"58292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1322116852\";s:6:\"mdhash\";s:32:\"0cd60b44c05b4d0e1001357f59ecc20c\";s:8:\"filesize\";s:5:\"59462\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1319935769\";s:6:\"mdhash\";s:32:\"390b331e84ee07078c15c947b5a49906\";s:8:\"filesize\";s:5:\"58051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.4-alpha3\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.4-alpha3\";s:7:\"version\";s:14:\"7.x-2.4-alpha3\";s:3:\"tag\";s:14:\"7.x-2.4-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.4-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.4-alpha3.tar.gz\";s:4:\"date\";s:10:\"1302133615\";s:6:\"mdhash\";s:32:\"8a26f61e7c879bf969450cdadfb3bed4\";s:8:\"filesize\";s:5:\"55189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1297036300\";s:6:\"mdhash\";s:32:\"0a46305bd164dcb3488b539381fcfd80\";s:8:\"filesize\";s:5:\"55269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.2-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.2-alpha1\";s:7:\"version\";s:14:\"7.x-2.2-alpha1\";s:3:\"tag\";s:14:\"7.x-2.2-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.2-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.2-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292868983\";s:6:\"mdhash\";s:32:\"e67324d105cce787f5a0cb620494bf2a\";s:8:\"filesize\";s:5:\"55026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.1-alpha1\";s:7:\"version\";s:14:\"7.x-2.1-alpha1\";s:3:\"tag\";s:14:\"7.x-2.1-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.1-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.1-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292184217\";s:6:\"mdhash\";s:32:\"154017caadc52cd00407c499c8dfcfc3\";s:8:\"filesize\";s:5:\"54766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1290991275\";s:6:\"mdhash\";s:32:\"e70693d58a9d241bc98a4f602ea305da\";s:8:\"filesize\";s:5:\"54560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420043280\";s:6:\"mdhash\";s:32:\"f08221738d43aedaa6e5eda20b56821c\";s:8:\"filesize\";s:5:\"43746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420464180\";s:6:\"mdhash\";s:32:\"90787216acc1a3738c47ef8d0b568380\";s:8:\"filesize\";s:5:\"58318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::link','a:11:{s:5:\"title\";s:4:\"Link\";s:10:\"short_name\";s:4:\"link\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:13:\"7.x-1.5-beta2\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta2\";s:7:\"version\";s:13:\"7.x-1.5-beta2\";s:3:\"tag\";s:13:\"7.x-1.5-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1500985442\";s:6:\"mdhash\";s:32:\"7ffe7148234f8c237a4893abd82c8e0e\";s:8:\"filesize\";s:5:\"38156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1413924828\";s:6:\"mdhash\";s:32:\"cc9ccec6ca028f73cf60f8cab09e5a4d\";s:8:\"filesize\";s:5:\"33988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1385335704\";s:6:\"mdhash\";s:32:\"100c0b2416d455908a818f0a547e9938\";s:8:\"filesize\";s:5:\"33858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360444360\";s:6:\"mdhash\";s:32:\"416691004d5a09681869dcd93188238b\";s:8:\"filesize\";s:5:\"33160\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319392535\";s:6:\"mdhash\";s:32:\"0b237d7b329c0454f437f5687d607743\";s:8:\"filesize\";s:5:\"31440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1317011508\";s:6:\"mdhash\";s:32:\"05802cd5a599cbf0b205a084016779a8\";s:8:\"filesize\";s:5:\"30289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1297061216\";s:6:\"mdhash\";s:32:\"372ddf2818f9ae6754274b4a8b6b640b\";s:8:\"filesize\";s:5:\"27724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha-2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295189003\";s:6:\"mdhash\";s:32:\"c74d7846f210f1bf4a8f14cc8a2d4dbd\";s:8:\"filesize\";s:5:\"20558\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:62:\"Alpha- releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1291518680\";s:6:\"mdhash\";s:32:\"e9299a741ec5b8ac631f3ba701df7c14\";s:8:\"filesize\";s:5:\"20843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"link 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/link/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/link-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1506613144\";s:6:\"mdhash\";s:32:\"71db813feb016fddb7706119fc7954f0\";s:8:\"filesize\";s:5:\"38945\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::module_filter','a:11:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1424631181\";s:6:\"mdhash\";s:32:\"3e2ebdd2f2ec028252e1cf2a547d7d7e\";s:8:\"filesize\";s:5:\"29130\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1386356904\";s:6:\"mdhash\";s:32:\"342e0e3963e64c39f86061a10bbdaf2e\";s:8:\"filesize\";s:5:\"27898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1384832005\";s:6:\"mdhash\";s:32:\"3bfb306828c12830c0ee3678f675f124\";s:8:\"filesize\";s:5:\"27962\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1375995221\";s:6:\"mdhash\";s:32:\"53a1b995dee29e1ab202fa1547dc1266\";s:8:\"filesize\";s:5:\"14605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341518501\";s:6:\"mdhash\";s:32:\"f10e62aa5346d5cd82854d66c359f199\";s:8:\"filesize\";s:5:\"14646\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1316105205\";s:6:\"mdhash\";s:32:\"77ca515021372066e2b19906adddb94e\";s:8:\"filesize\";s:5:\"13177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1313598120\";s:6:\"mdhash\";s:32:\"f3a6a44ec3e35e91870f8391a9f04ff5\";s:8:\"filesize\";s:5:\"13039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299525068\";s:6:\"mdhash\";s:32:\"90d9ec10df0b9ee07707f87b96711bca\";s:8:\"filesize\";s:5:\"11570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299519370\";s:6:\"mdhash\";s:32:\"8a075e4932db8cd4e35371ac276bcb4b\";s:8:\"filesize\";s:5:\"11555\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299516669\";s:6:\"mdhash\";s:32:\"afbb784aeb4029294e5877654385cc8c\";s:8:\"filesize\";s:5:\"11446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299515169\";s:6:\"mdhash\";s:32:\"45546c1f5bc473389ffc36f0e38a2bc1\";s:8:\"filesize\";s:5:\"13033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294104365\";s:6:\"mdhash\";s:32:\"a482aef54751a8fd947bafc2d5ef1ecd\";s:8:\"filesize\";s:5:\"11523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"bf63bf30b9a6eecb11e527cc12a87312\";s:8:\"filesize\";s:5:\"29762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406917428\";s:6:\"mdhash\";s:32:\"62b7a0ab716b2798d9e60462314d95c5\";s:8:\"filesize\";s:5:\"14743\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025446,1509939039,1),('available_releases::node_class','a:11:{s:5:\"title\";s:10:\"Node Class\";s:10:\"short_name\";s:10:\"node_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1388997805\";s:6:\"mdhash\";s:32:\"76bc0de128d7108d7131c710798c79a8\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1353409388\";s:6:\"mdhash\";s:32:\"7132a7c92d76ee2f6d674d96076f40a3\";s:8:\"filesize\";s:4:\"8733\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1327735847\";s:6:\"mdhash\";s:32:\"63906a6d1f0d1dec47561258a8fe4795\";s:8:\"filesize\";s:4:\"8625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}}',1510025446,1509939039,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025446,1509939039,1),('available_releases::quicktabs','a:11:{s:5:\"title\";s:10:\"Quick Tabs\";s:10:\"short_name\";s:9:\"quicktabs\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1497616742\";s:6:\"mdhash\";s:32:\"32aff4d6407e4d0d564211cfdeaee291\";s:8:\"filesize\";s:5:\"75918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1380731930\";s:6:\"mdhash\";s:32:\"b5303635e54ba0677822bf3cd15169d3\";s:8:\"filesize\";s:5:\"75170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1379371264\";s:6:\"mdhash\";s:32:\"e858cf2dac05ba4e75be5cb34420eeec\";s:8:\"filesize\";s:5:\"74756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1332980461\";s:6:\"mdhash\";s:32:\"e83ce594c509577a44305ae2df6aa0f9\";s:8:\"filesize\";s:5:\"74329\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1326919545\";s:6:\"mdhash\";s:32:\"fbb89f0a5312265335f4e4dcece951fe\";s:8:\"filesize\";s:5:\"74693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1322002246\";s:6:\"mdhash\";s:32:\"dd699e185849623700473fc0c55251fd\";s:8:\"filesize\";s:5:\"75019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1321421443\";s:6:\"mdhash\";s:32:\"67e283dd6981dcfa10644d7288636f6c\";s:8:\"filesize\";s:5:\"74986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1312172228\";s:6:\"mdhash\";s:32:\"4c72ff22d7eaa9b3e5bd22acfe5c286e\";s:8:\"filesize\";s:5:\"71391\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311958019\";s:6:\"mdhash\";s:32:\"f25f6d00a21f083db6b73726517282e0\";s:8:\"filesize\";s:5:\"70957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1311491011\";s:6:\"mdhash\";s:32:\"fe549974c22f34eedd34255c7188bf4e\";s:8:\"filesize\";s:5:\"70854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1309974420\";s:6:\"mdhash\";s:32:\"b7568736c672a0f58f780543621755ca\";s:8:\"filesize\";s:5:\"70850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308089219\";s:6:\"mdhash\";s:32:\"5b4fa99ea7b0cf1382ac51fdcad1ad4c\";s:8:\"filesize\";s:5:\"69431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1308027419\";s:6:\"mdhash\";s:32:\"9f86f3615e5a54e038fd9e5a54f98388\";s:8:\"filesize\";s:5:\"69236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312172227\";s:6:\"mdhash\";s:32:\"40ad6420da071e758c04f5df81693ef5\";s:8:\"filesize\";s:5:\"59833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301378169\";s:6:\"mdhash\";s:32:\"abd93c7fc0a33eeacd769a3d87bf9534\";s:8:\"filesize\";s:5:\"59501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498214642\";s:6:\"mdhash\";s:32:\"dcfb62b3bd04a3027007a194a78bbb79\";s:8:\"filesize\";s:5:\"76036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380624610\";s:6:\"mdhash\";s:32:\"38b7a23c5a2201c1e9d4b9eace929654\";s:8:\"filesize\";s:5:\"61020\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::rules','a:11:{s:5:\"title\";s:5:\"Rules\";s:10:\"short_name\";s:5:\"rules\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/rules\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:14:\"rules 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/rules/releases/7.x-2.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/rules-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1492697942\";s:6:\"mdhash\";s:32:\"b66045ee97acdec07b4808f649e9dcc8\";s:8:\"filesize\";s:6:\"187783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1426527181\";s:6:\"mdhash\";s:32:\"ce4e3363c37cb00f4caf0abd3f38f38a\";s:8:\"filesize\";s:6:\"188880\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1420733280\";s:6:\"mdhash\";s:32:\"c84d88caa5ba178efa689a1a71d3a144\";s:8:\"filesize\";s:6:\"187857\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1399041227\";s:6:\"mdhash\";s:32:\"f28b8811918dd16952acca967d09dcc0\";s:8:\"filesize\";s:6:\"186255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1383063053\";s:6:\"mdhash\";s:32:\"152c1f330f91f83d358b478253a8c042\";s:8:\"filesize\";s:6:\"186022\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1379579047\";s:6:\"mdhash\";s:32:\"5387542c8c5cd2de9682d61fafb57314\";s:8:\"filesize\";s:6:\"185061\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1379354606\";s:6:\"mdhash\";s:32:\"e19b2c10f96c8a680afe9e4f65db4e5c\";s:8:\"filesize\";s:6:\"184071\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1364401819\";s:6:\"mdhash\";s:32:\"9af9fbdc593158638603832c633432b1\";s:8:\"filesize\";s:6:\"170892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1343980733\";s:6:\"mdhash\";s:32:\"91799bff2cf6690937e056734265458c\";s:8:\"filesize\";s:6:\"168867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1331918148\";s:6:\"mdhash\";s:32:\"a7f15c72df435554790d5611a8b1732e\";s:8:\"filesize\";s:6:\"167042\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:13:\"rules 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/rules/releases/7.x-2.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1318336335\";s:6:\"mdhash\";s:32:\"efe3f31a4d21b9fa8757cd692dc8f641\";s:8:\"filesize\";s:6:\"155077\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:17:\"rules 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1316339806\";s:6:\"mdhash\";s:32:\"9a9d7de26f666d5af62fc90612551f64\";s:8:\"filesize\";s:6:\"152243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:17:\"rules 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1313600220\";s:6:\"mdhash\";s:32:\"0c01319958aed5439bd7e22d5f060ab0\";s:8:\"filesize\";s:6:\"150814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1312908119\";s:6:\"mdhash\";s:32:\"c0d8f94ec44834355ab2acd02eb01781\";s:8:\"filesize\";s:6:\"146211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1308241620\";s:6:\"mdhash\";s:32:\"fd1bdc36bc612913dfba91e7bdeda00d\";s:8:\"filesize\";s:6:\"139063\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:19:\"rules 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/rules/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1300896369\";s:6:\"mdhash\";s:32:\"7b9718415365872eca4a2f7b9f50787a\";s:8:\"filesize\";s:6:\"134506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1297877847\";s:6:\"mdhash\";s:32:\"cf14a81dca5d26d4ab392bc14c0c23a6\";s:8:\"filesize\";s:6:\"124733\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1294228281\";s:6:\"mdhash\";s:32:\"3e6905f82d9c9e1ab462ab0c90afe3e9\";s:8:\"filesize\";s:6:\"113547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1291637070\";s:6:\"mdhash\";s:32:\"92f674a49f40ddd9ffb8de5b0e91425f\";s:8:\"filesize\";s:6:\"108782\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1286798162\";s:6:\"mdhash\";s:32:\"57e3e8298fff1c6f7cf6af8a0a3c3309\";s:8:\"filesize\";s:6:\"106373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:20:\"rules 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1283932308\";s:6:\"mdhash\";s:32:\"103e926a3b79276e6a7ea62b12a7f2a1\";s:8:\"filesize\";s:6:\"104650\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"rules 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/rules/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/rules-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1286792763\";s:6:\"mdhash\";s:32:\"c49d85d2bb2fb860580a79e3f930b5c1\";s:8:\"filesize\";s:6:\"106374\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"rules 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1508418545\";s:6:\"mdhash\";s:32:\"2d9dd5d718e15095e62d651c5ced7d67\";s:8:\"filesize\";s:6:\"187851\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"rules 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/rules/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/rules-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380626241\";s:6:\"mdhash\";s:32:\"a1a7d855e52429da95024a30a55a635a\";s:8:\"filesize\";s:4:\"7108\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::select_or_other','a:11:{s:5:\"title\";s:17:\"Select (or other)\";s:10:\"short_name\";s:15:\"select_or_other\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/select_or_other\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:26:{s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:30:\"select_or_other 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/select_or_other/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1445714939\";s:6:\"mdhash\";s:32:\"213b8ff79aebaa8be0895336304aba44\";s:8:\"filesize\";s:5:\"19469\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-2.22\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.22\";s:7:\"version\";s:8:\"7.x-2.22\";s:3:\"tag\";s:8:\"7.x-2.22\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.22\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.22.tar.gz\";s:4:\"date\";s:10:\"1432142581\";s:6:\"mdhash\";s:32:\"0f8f19915f1cdda1f63bb304a5c257e7\";s:8:\"filesize\";s:5:\"17641\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.21\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.21\";s:7:\"version\";s:8:\"7.x-2.21\";s:3:\"tag\";s:8:\"7.x-2.21\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.21\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.21.tar.gz\";s:4:\"date\";s:10:\"1428174181\";s:6:\"mdhash\";s:32:\"540c6205e20377dbd2019af63a745e14\";s:8:\"filesize\";s:5:\"17558\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.20\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.20\";s:7:\"version\";s:8:\"7.x-2.20\";s:3:\"tag\";s:8:\"7.x-2.20\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.20\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.20.tar.gz\";s:4:\"date\";s:10:\"1378331246\";s:6:\"mdhash\";s:32:\"a7f46fc29adf1eef9ce9ed75e58a03ca\";s:8:\"filesize\";s:5:\"15462\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.19\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.19\";s:7:\"version\";s:8:\"7.x-2.19\";s:3:\"tag\";s:8:\"7.x-2.19\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.19\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.19.tar.gz\";s:4:\"date\";s:10:\"1375892951\";s:6:\"mdhash\";s:32:\"861350113d5156a90617eb574ba377b2\";s:8:\"filesize\";s:5:\"15466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.18\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.18\";s:7:\"version\";s:8:\"7.x-2.18\";s:3:\"tag\";s:8:\"7.x-2.18\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.18\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.18.tar.gz\";s:4:\"date\";s:10:\"1372112751\";s:6:\"mdhash\";s:32:\"a41fb5455ada6554b5dfda0c5d8bb87d\";s:8:\"filesize\";s:5:\"15509\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.17\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.17\";s:7:\"version\";s:8:\"7.x-2.17\";s:3:\"tag\";s:8:\"7.x-2.17\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.17\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.17.tar.gz\";s:4:\"date\";s:10:\"1369722663\";s:6:\"mdhash\";s:32:\"2cc43d0ff1145f2b087785e72ffa999d\";s:8:\"filesize\";s:5:\"15368\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.16\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.16\";s:7:\"version\";s:8:\"7.x-2.16\";s:3:\"tag\";s:8:\"7.x-2.16\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.16\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.16.tar.gz\";s:4:\"date\";s:10:\"1366136517\";s:6:\"mdhash\";s:32:\"0d59eb969983a603ce8ba4ddbaf2d0ed\";s:8:\"filesize\";s:5:\"15372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.15\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.15\";s:7:\"version\";s:8:\"7.x-2.15\";s:3:\"tag\";s:8:\"7.x-2.15\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.15\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.15.tar.gz\";s:4:\"date\";s:10:\"1345436315\";s:6:\"mdhash\";s:32:\"75ac4f1ab7c8f38b372dfa9bde50f61a\";s:8:\"filesize\";s:5:\"14816\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.14\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.14\";s:7:\"version\";s:8:\"7.x-2.14\";s:3:\"tag\";s:8:\"7.x-2.14\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.14\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.14.tar.gz\";s:4:\"date\";s:10:\"1342146140\";s:6:\"mdhash\";s:32:\"5ce0b27544b47f9ec14eb94c7c2981e4\";s:8:\"filesize\";s:5:\"14805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.13\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1341451651\";s:6:\"mdhash\";s:32:\"0089588e5ca4fff91c39bbc9a64355ca\";s:8:\"filesize\";s:5:\"14793\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.12\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1341378469\";s:6:\"mdhash\";s:32:\"52d74da7f306a7485ad9b3b6cbc92bf7\";s:8:\"filesize\";s:5:\"14797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.11\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1339852313\";s:6:\"mdhash\";s:32:\"d2e7e6bfe2e2c2cde3ceec4b2fbb933f\";s:8:\"filesize\";s:5:\"14707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.10\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1337037989\";s:6:\"mdhash\";s:32:\"6755b12abf593c3c8c9452024006c488\";s:8:\"filesize\";s:5:\"14670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1332462051\";s:6:\"mdhash\";s:32:\"c242e04c2d8d430a019b48e2546774de\";s:8:\"filesize\";s:5:\"14639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1327201249\";s:6:\"mdhash\";s:32:\"5a844b316b3bc88713871747b899847a\";s:8:\"filesize\";s:5:\"14775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1319872535\";s:6:\"mdhash\";s:32:\"1b935921dbcde90b62b152cb14111eef\";s:8:\"filesize\";s:5:\"14375\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1319448336\";s:6:\"mdhash\";s:32:\"dff216b5ed6445aa011053a5b2c17636\";s:8:\"filesize\";s:5:\"14357\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1311829919\";s:6:\"mdhash\";s:32:\"7c20e0e4f5b617632f31093ea58af81e\";s:8:\"filesize\";s:5:\"12937\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1309740184\";s:6:\"mdhash\";s:32:\"338e70851be371b5ebcf85c0e0ea86b4\";s:8:\"filesize\";s:5:\"12951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1309679521\";s:6:\"mdhash\";s:32:\"6bde2d6b909e2ac36a13ec5b793f6bd1\";s:8:\"filesize\";s:5:\"12956\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1309655238\";s:6:\"mdhash\";s:32:\"667f44bd6e56ba32bb4b48e50d76cf73\";s:8:\"filesize\";s:5:\"12781\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1309587729\";s:6:\"mdhash\";s:32:\"e31576303decbcb515f125ab068ef514\";s:8:\"filesize\";s:5:\"12785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"select_or_other 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1307064717\";s:6:\"mdhash\";s:32:\"41385e26bd8c272b7ef99daf13fefd49\";s:8:\"filesize\";s:5:\"12719\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"select_or_other 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/select_or_other/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487792883\";s:6:\"mdhash\";s:32:\"8c35e6b18c39dc193bfb871df0206098\";s:8:\"filesize\";s:5:\"22058\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"select_or_other 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487795884\";s:6:\"mdhash\";s:32:\"b37bc0879e07918e593064559ab943c8\";s:8:\"filesize\";s:5:\"17927\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::sharethis','a:11:{s:5:\"title\";s:9:\"ShareThis\";s:10:\"short_name\";s:9:\"sharethis\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/sharethis\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1468581839\";s:6:\"mdhash\";s:32:\"f3f446bf449c62592963af24d0e947c8\";s:8:\"filesize\";s:6:\"104699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.12\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1435896243\";s:6:\"mdhash\";s:32:\"271241bed99c04a997585639421163bd\";s:8:\"filesize\";s:6:\"213053\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1435141080\";s:6:\"mdhash\";s:32:\"d0b2aa1a9ddca61eb87f32d472ffc2df\";s:8:\"filesize\";s:6:\"212917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1422441781\";s:6:\"mdhash\";s:32:\"03583f04d6a98b8879a71b529ae2c4b2\";s:8:\"filesize\";s:6:\"213013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1406878136\";s:6:\"mdhash\";s:32:\"bc9592c60974a262224b1132e043d3bb\";s:8:\"filesize\";s:6:\"231394\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1402042727\";s:6:\"mdhash\";s:32:\"0b7e41166e70a4c39a44976a788dc049\";s:8:\"filesize\";s:6:\"215617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1397215753\";s:6:\"mdhash\";s:32:\"f5b19bd07c8d7a6fd007a5b00d2f6579\";s:8:\"filesize\";s:6:\"207036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.6-alpha1\";a:15:{s:4:\"name\";s:24:\"sharethis 7.x-2.6-alpha1\";s:7:\"version\";s:14:\"7.x-2.6-alpha1\";s:3:\"tag\";s:14:\"7.x-2.6-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/sharethis/releases/7.x-2.6-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.6-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352821394\";s:6:\"mdhash\";s:32:\"fe9ef42be3d987bfdb49a387771311bf\";s:8:\"filesize\";s:6:\"209885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1349883717\";s:6:\"mdhash\";s:32:\"93cca418501ea64712a64fb6188d96f0\";s:8:\"filesize\";s:6:\"209675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1334781723\";s:6:\"mdhash\";s:32:\"73de56620358ef4a0101a9f9e4eb2f7e\";s:8:\"filesize\";s:6:\"209110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1332868247\";s:6:\"mdhash\";s:32:\"4e21af8f17509be7d8e054b3afeefbd1\";s:8:\"filesize\";s:6:\"208832\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1317251208\";s:6:\"mdhash\";s:32:\"10f75d998555fd6652dc5d563c409e76\";s:8:\"filesize\";s:6:\"207566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1316724707\";s:6:\"mdhash\";s:32:\"e6722e600d5d31ae65b5c74f03f3a4e0\";s:8:\"filesize\";s:6:\"207558\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1316650599\";s:6:\"mdhash\";s:32:\"3c9b76e4ed786e385918ab79c53b0bad\";s:8:\"filesize\";s:6:\"207436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1308855119\";s:6:\"mdhash\";s:32:\"df53da5631266505fef7b61b98ff0230\";s:8:\"filesize\";s:6:\"205563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"sharethis 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/sharethis/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1307461619\";s:6:\"mdhash\";s:32:\"daf3f54b938a0a5de1c2c63c233a2f72\";s:8:\"filesize\";s:6:\"205564\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"sharethis 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/sharethis/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1483610343\";s:6:\"mdhash\";s:32:\"6594246f5ef170409d03210150fe2eef\";s:8:\"filesize\";s:6:\"104831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"sharethis 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/sharethis/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/sharethis-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380627608\";s:6:\"mdhash\";s:32:\"b890d391c214948357d22adc2aedaa98\";s:8:\"filesize\";s:6:\"207567\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::simplenews','a:11:{s:5:\"title\";s:10:\"Simplenews\";s:10:\"short_name\";s:10:\"simplenews\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1381947969\";s:6:\"mdhash\";s:32:\"a494efb4ed193445704a028055dd6df8\";s:8:\"filesize\";s:6:\"163770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1347191876\";s:6:\"mdhash\";s:32:\"e8b446e90a9880ca1984d560a55b3990\";s:8:\"filesize\";s:6:\"163595\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"simplenews 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1339011135\";s:6:\"mdhash\";s:32:\"5b37e46a1fc98d52ca7bff0bf66f8bb1\";s:8:\"filesize\";s:6:\"159563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"simplenews 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1329988254\";s:6:\"mdhash\";s:32:\"22cbc6ac99fa8a015121e050568d1b63\";s:8:\"filesize\";s:6:\"157645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"simplenews 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1327313470\";s:6:\"mdhash\";s:32:\"4edad1d058625da5e0fca7731985fcda\";s:8:\"filesize\";s:6:\"150890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:25:\"simplenews 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1324686393\";s:6:\"mdhash\";s:32:\"875e7797c0a1e45b6ea872281a19718c\";s:8:\"filesize\";s:6:\"151413\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:25:\"simplenews 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1316243827\";s:6:\"mdhash\";s:32:\"6d62c7c2adbc87ea966fbd59dded9e6d\";s:8:\"filesize\";s:5:\"76145\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"simplenews 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1381952783\";s:6:\"mdhash\";s:32:\"3528032e870a61048ed643f332085044\";s:8:\"filesize\";s:6:\"167059\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"simplenews 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1430518381\";s:6:\"mdhash\";s:32:\"13fa384642d3acfbf4dc49a9e19a3ad0\";s:8:\"filesize\";s:6:\"164428\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::tagclouds','a:11:{s:5:\"title\";s:8:\"TagCloud\";s:10:\"short_name\";s:9:\"tagclouds\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1404152328\";s:6:\"mdhash\";s:32:\"c61b66f969714f149fe33a02fa503a8b\";s:8:\"filesize\";s:5:\"13675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1360479605\";s:6:\"mdhash\";s:32:\"97f6f1e4519294b2c42af23125f557cf\";s:8:\"filesize\";s:5:\"12310\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1360479602\";s:6:\"mdhash\";s:32:\"5b77828dc2a46c141844ea327aac830a\";s:8:\"filesize\";s:5:\"12319\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352088449\";s:6:\"mdhash\";s:32:\"d8e41e65fd196cf6c4e92f9bcf0d457d\";s:8:\"filesize\";s:5:\"12322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1345993367\";s:6:\"mdhash\";s:32:\"1a2023554e2bbe374d2b3869ae0bc308\";s:8:\"filesize\";s:5:\"11966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1343936897\";s:6:\"mdhash\";s:32:\"30224eadab577270b2ed57ee27e689e6\";s:8:\"filesize\";s:5:\"12006\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1333904769\";s:6:\"mdhash\";s:32:\"c961e59c6d9f07769d5e5488e5f415f5\";s:8:\"filesize\";s:5:\"11820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1331844643\";s:6:\"mdhash\";s:32:\"cf88cba4196b172c6fe6d24ae29378df\";s:8:\"filesize\";s:5:\"11756\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1325266844\";s:6:\"mdhash\";s:32:\"4e98f22f58879134ed407d2cda87374e\";s:8:\"filesize\";s:5:\"11575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319252736\";s:6:\"mdhash\";s:32:\"04a7356eb1ce5ffe91968a988672ff7a\";s:8:\"filesize\";s:5:\"11581\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"tagclouds 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467295142\";s:6:\"mdhash\";s:32:\"16d34071d093edaa53226900450f9cea\";s:8:\"filesize\";s:5:\"13571\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025447,1509939039,1),('available_releases::taxonomy_menu','a:11:{s:5:\"title\";s:13:\"Taxonomy menu\";s:10:\"short_name\";s:13:\"taxonomy_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1354041231\";s:6:\"mdhash\";s:32:\"adc321e1143241024a467aa5d80ca871\";s:8:\"filesize\";s:5:\"27625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1346896425\";s:6:\"mdhash\";s:32:\"590c259749920262b9c9698673d0e7ba\";s:8:\"filesize\";s:5:\"25466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1343504281\";s:6:\"mdhash\";s:32:\"2529b7c858b34f4bc3ab0f36c383edcf\";s:8:\"filesize\";s:5:\"25755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311037620\";s:6:\"mdhash\";s:32:\"7c8dd9c6135179139b304d4c53e19910\";s:8:\"filesize\";s:5:\"21792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1295050660\";s:6:\"mdhash\";s:32:\"bad372aab7f881a7d9084976b5e294fc\";s:8:\"filesize\";s:5:\"20775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294199467\";s:6:\"mdhash\";s:32:\"adb67fe63b51058cd5e5297ae7cd25c9\";s:8:\"filesize\";s:5:\"20806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919812\";s:6:\"mdhash\";s:32:\"a6e6b286b63221464f64c260a888810e\";s:8:\"filesize\";s:5:\"32419\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919140\";s:6:\"mdhash\";s:32:\"00bf9a45a91243002244ccd573ee4130\";s:8:\"filesize\";s:5:\"25970\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::tb_megamenu','a:11:{s:5:\"title\";s:12:\"TB Mega Menu\";s:10:\"short_name\";s:11:\"tb_megamenu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1439180639\";s:6:\"mdhash\";s:32:\"6337e51586fe163e47a0df571229676a\";s:8:\"filesize\";s:6:\"108373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1408100328\";s:6:\"mdhash\";s:32:\"699c4ca355126ee521516e6691df7c81\";s:8:\"filesize\";s:6:\"129472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1408099728\";s:6:\"mdhash\";s:32:\"f56ae88cf88a54c13a19a0fd7ca2638d\";s:8:\"filesize\";s:6:\"338182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1406794728\";s:6:\"mdhash\";s:32:\"a50fed33b4b58c9833f6b8f929623158\";s:8:\"filesize\";s:6:\"334491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1376297590\";s:6:\"mdhash\";s:32:\"adebda20661b125574dcaab2a99acb74\";s:8:\"filesize\";s:6:\"332803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1376290700\";s:6:\"mdhash\";s:32:\"db805630baf91dfd9b9db21514e97c03\";s:8:\"filesize\";s:6:\"333406\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1374660395\";s:6:\"mdhash\";s:32:\"262e6d4945a247c01f4f4324a0659708\";s:8:\"filesize\";s:6:\"332556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1372846553\";s:6:\"mdhash\";s:32:\"4d8622e71b0b2a9878e6c7ecfe1fb777\";s:8:\"filesize\";s:6:\"332337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372845065\";s:6:\"mdhash\";s:32:\"31b3b15063eaa42ca18bf45c25ee2f0c\";s:8:\"filesize\";s:6:\"332331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1371198657\";s:6:\"mdhash\";s:32:\"25498c14ce1e8f2bd26b25d34ccfb796\";s:8:\"filesize\";s:6:\"310479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1504722544\";s:6:\"mdhash\";s:32:\"15889df706524fb454c969c99b70c7b8\";s:8:\"filesize\";s:5:\"68361\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1510025447,1509939039,1),('available_releases::title','a:11:{s:5:\"title\";s:5:\"Title\";s:10:\"short_name\";s:5:\"title\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/title\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-1.0-alpha9\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha9\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:3:\"tag\";s:14:\"7.x-1.0-alpha9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1484302983\";s:6:\"mdhash\";s:32:\"dce551145ee2cbc21f59326dd677f148\";s:8:\"filesize\";s:5:\"27311\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha8\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha8\";s:7:\"version\";s:14:\"7.x-1.0-alpha8\";s:3:\"tag\";s:14:\"7.x-1.0-alpha8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1459177439\";s:6:\"mdhash\";s:32:\"fa2006a74e7aaf1f76d9928c4bb761b8\";s:8:\"filesize\";s:5:\"27220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha7\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha7\";s:7:\"version\";s:14:\"7.x-1.0-alpha7\";s:3:\"tag\";s:14:\"7.x-1.0-alpha7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1363626024\";s:6:\"mdhash\";s:32:\"fa24dae8b15c8f5001ff05a5033b4e8d\";s:8:\"filesize\";s:5:\"24062\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1363625422\";s:6:\"mdhash\";s:32:\"a256e336af8be3b61a4cc66970e731a1\";s:8:\"filesize\";s:5:\"26045\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1355827149\";s:6:\"mdhash\";s:32:\"11a5dfbd2bb196e4fdda1223afea3a23\";s:8:\"filesize\";s:5:\"23601\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1344682073\";s:6:\"mdhash\";s:32:\"6feba247e8c2ca531a0ceaadccad1a91\";s:8:\"filesize\";s:5:\"21336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1338898035\";s:6:\"mdhash\";s:32:\"4d03d30ea6ef6c319f9cdcb2be870e15\";s:8:\"filesize\";s:5:\"18205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1315581706\";s:6:\"mdhash\";s:32:\"269af3d3fea50863a0429a781ec5c914\";s:8:\"filesize\";s:5:\"15651\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1315386730\";s:6:\"mdhash\";s:32:\"2985639c45efaf634dcbce4852862f38\";s:8:\"filesize\";s:5:\"15429\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"title 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/title/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/title-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509317584\";s:6:\"mdhash\";s:32:\"c148481cef58bb2b799891d67b0bb0eb\";s:8:\"filesize\";s:5:\"27805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025447,1509939039,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025447,1509939039,1),('available_releases::video_embed_field','a:11:{s:5:\"title\";s:17:\"Video Embed Field\";s:10:\"short_name\";s:17:\"video_embed_field\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-beta10\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta10\";s:7:\"version\";s:14:\"7.x-2.0-beta10\";s:3:\"tag\";s:14:\"7.x-2.0-beta10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta10\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1434007080\";s:6:\"mdhash\";s:32:\"2c8ea305f1dc5261329325c311495670\";s:8:\"filesize\";s:6:\"182048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta9\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta9\";s:7:\"version\";s:13:\"7.x-2.0-beta9\";s:3:\"tag\";s:13:\"7.x-2.0-beta9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta9\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1433921580\";s:6:\"mdhash\";s:32:\"76d0f3ef894180e67effc51709883127\";s:8:\"filesize\";s:6:\"182071\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta8\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta8\";s:7:\"version\";s:13:\"7.x-2.0-beta8\";s:3:\"tag\";s:13:\"7.x-2.0-beta8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta8\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1408177428\";s:6:\"mdhash\";s:32:\"371899516ce6d6045d6497b05e7a1bb4\";s:8:\"filesize\";s:6:\"181618\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta7\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta7\";s:7:\"version\";s:13:\"7.x-2.0-beta7\";s:3:\"tag\";s:13:\"7.x-2.0-beta7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta7\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1391588905\";s:6:\"mdhash\";s:32:\"14ed578b5e8731222175b4d4fd065739\";s:8:\"filesize\";s:5:\"26836\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta6\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta6\";s:7:\"version\";s:13:\"7.x-2.0-beta6\";s:3:\"tag\";s:13:\"7.x-2.0-beta6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta6\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1391540905\";s:6:\"mdhash\";s:32:\"081ffe322a5ea1b69730c32fab636c63\";s:8:\"filesize\";s:5:\"26839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta5\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta5\";s:7:\"version\";s:13:\"7.x-2.0-beta5\";s:3:\"tag\";s:13:\"7.x-2.0-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta5\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1340317020\";s:6:\"mdhash\";s:32:\"115e9be89fbd84deaf5ce57359e88d6e\";s:8:\"filesize\";s:5:\"22696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329771346\";s:6:\"mdhash\";s:32:\"4e811f8a08a4131e4d8d4825b08643ce\";s:8:\"filesize\";s:5:\"18372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1329762349\";s:6:\"mdhash\";s:32:\"8e43c11f195c87771a1278b8d2509724\";s:8:\"filesize\";s:5:\"18380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1329756951\";s:6:\"mdhash\";s:32:\"0026cd26baf54b1a42755adf341c7db1\";s:8:\"filesize\";s:5:\"18423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1329752449\";s:6:\"mdhash\";s:32:\"749c003386a9688eb926627051e7ac5c\";s:8:\"filesize\";s:5:\"18334\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1323788745\";s:6:\"mdhash\";s:32:\"c67e292e91bdea37495d66f1e59b1603\";s:8:\"filesize\";s:5:\"16346\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1321918249\";s:6:\"mdhash\";s:32:\"ed202d988168c150ca68f9e88aa2a142\";s:8:\"filesize\";s:5:\"16334\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1321889149\";s:6:\"mdhash\";s:32:\"4ebb65718de086e9207eaf0bc887c355\";s:8:\"filesize\";s:5:\"16375\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1321887645\";s:6:\"mdhash\";s:32:\"3b11bba44ff9a39cb681e853e0f7d226\";s:8:\"filesize\";s:5:\"13658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1318712200\";s:6:\"mdhash\";s:32:\"71f34f22428d72587adcdb612a4b732d\";s:8:\"filesize\";s:5:\"13113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1315489621\";s:6:\"mdhash\";s:32:\"bc03fbce84328f6cb1c61ff5df6c3785\";s:8:\"filesize\";s:5:\"10784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1315327921\";s:6:\"mdhash\";s:32:\"5546f88133bdaee9b2d34e44ce0b0772\";s:8:\"filesize\";s:5:\"10831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1313427721\";s:6:\"mdhash\";s:32:\"5f83b5461a688478468d6a7f822c124d\";s:8:\"filesize\";s:5:\"10052\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1312900321\";s:6:\"mdhash\";s:32:\"1193c2663a0195ae52cd744a6ff78135\";s:8:\"filesize\";s:4:\"9392\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1441744739\";s:6:\"mdhash\";s:32:\"818abb413092148c730e56ff158c3f54\";s:8:\"filesize\";s:6:\"182557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382151940\";s:6:\"mdhash\";s:32:\"792a314aee142fc354f379d494dab2a0\";s:8:\"filesize\";s:5:\"13662\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::views','a:11:{s:5:\"title\";s:5:\"Views\";s:10:\"short_name\";s:5:\"views\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:26:{s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.18\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1503494944\";s:6:\"mdhash\";s:32:\"937ad4ebd559fd3f57896f4702f6f3c4\";s:8:\"filesize\";s:7:\"1646788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.17\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1502903343\";s:6:\"mdhash\";s:32:\"ff6d025dedb555672ccf01f5e234df4f\";s:8:\"filesize\";s:7:\"1644296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.16-rc1\";a:15:{s:4:\"name\";s:18:\"views 7.x-3.16-rc1\";s:7:\"version\";s:12:\"7.x-3.16-rc1\";s:3:\"tag\";s:12:\"7.x-3.16-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/views/releases/7.x-3.16-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/views-7.x-3.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1489763584\";s:6:\"mdhash\";s:32:\"cba59381dbf64ac9d9d76fa549b4c7c1\";s:8:\"filesize\";s:7:\"1642814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.15\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1487784184\";s:6:\"mdhash\";s:32:\"473cb5384456d55af988feabc1af12ed\";s:8:\"filesize\";s:7:\"1642425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.14\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1466019539\";s:6:\"mdhash\";s:32:\"168bb684c8f34297be94b03c797841e5\";s:8:\"filesize\";s:7:\"1656594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1446804839\";s:6:\"mdhash\";s:32:\"50d3b231f689f8c4ff15d79ea3c261d9\";s:8:\"filesize\";s:7:\"1650157\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1446653339\";s:6:\"mdhash\";s:32:\"a50033bb090730176d9263ddae7f32b2\";s:8:\"filesize\";s:7:\"1650130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1430320981\";s:6:\"mdhash\";s:32:\"00d722e1d8ed57e912c8bd586cf2edbe\";s:8:\"filesize\";s:7:\"1649389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1423648081\";s:6:\"mdhash\";s:32:\"c9806ffd69448bc505a67e790f97da58\";s:8:\"filesize\";s:7:\"1648314\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1400618927\";s:6:\"mdhash\";s:32:\"0fbe71c455f5d34c7193797563b63b3f\";s:8:\"filesize\";s:7:\"1646817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1365499237\";s:6:\"mdhash\";s:32:\"3f36f0d13f3b724d719f6729cbc110ba\";s:8:\"filesize\";s:7:\"1639539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1363810217\";s:6:\"mdhash\";s:32:\"1531a1ece3970332db1559b854f5dcc9\";s:8:\"filesize\";s:7:\"1639219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1345829395\";s:6:\"mdhash\";s:32:\"fba70998d4ebcca5116ef5ee90117738\";s:8:\"filesize\";s:7:\"1632919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1345559303\";s:6:\"mdhash\";s:32:\"72bd0f35ac467aed74e533c10a76c93f\";s:8:\"filesize\";s:7:\"1632803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1329946249\";s:6:\"mdhash\";s:32:\"70f24086dc7acfa7fc23c6148c7f8e00\";s:8:\"filesize\";s:7:\"1583249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1329778551\";s:6:\"mdhash\";s:32:\"c350603991445ca69b30eddf3befe887\";s:8:\"filesize\";s:7:\"1582617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1326750948\";s:6:\"mdhash\";s:32:\"e158435dc66d1d89a0df587c39ef1a23\";s:8:\"filesize\";s:7:\"1575585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1324170451\";s:6:\"mdhash\";s:32:\"1be8cbd6fd3f37bfd1493693dfa95d8d\";s:8:\"filesize\";s:7:\"1461460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1321467945\";s:6:\"mdhash\";s:32:\"b3e58f4195308e37621155d3c843e53f\";s:8:\"filesize\";s:7:\"1456218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308341221\";s:6:\"mdhash\";s:32:\"e158db78ae2f8cc615edb910a09384b0\";s:8:\"filesize\";s:7:\"1481151\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1301301971\";s:6:\"mdhash\";s:32:\"114c76f201523ef3e50b9a1d431b0364\";s:8:\"filesize\";s:7:\"1469580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1301158871\";s:6:\"mdhash\";s:32:\"c39fab1e76e55b15291fecf2c10386c2\";s:8:\"filesize\";s:7:\"1469243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301099796\";s:6:\"mdhash\";s:32:\"6ee4495cbdf0a8d19bd214f57bef0bf4\";s:8:\"filesize\";s:7:\"1468892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:20:\"views 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/views/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294276882\";s:6:\"mdhash\";s:32:\"8635e5b0c03fed4516abae25489a5a5c\";s:8:\"filesize\";s:7:\"1561161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:17:\"views 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1507200544\";s:6:\"mdhash\";s:32:\"58df06e549dca133d89713366ae4de26\";s:8:\"filesize\";s:7:\"1647531\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::views_bootstrap','a:11:{s:5:\"title\";s:15:\"Views Bootstrap\";s:10:\"short_name\";s:15:\"views_bootstrap\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_bootstrap\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1505670245\";s:6:\"mdhash\";s:32:\"5ab3bea6be8a4bdbcba464be01951701\";s:8:\"filesize\";s:5:\"17121\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1398607427\";s:6:\"mdhash\";s:32:\"eea36d42e6b2c836fd43a5393ef8e4a5\";s:8:\"filesize\";s:5:\"13708\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1382891129\";s:6:\"mdhash\";s:32:\"d9a0a1e2cab9d1eb0c7e7e332ce9a520\";s:8:\"filesize\";s:5:\"11352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1398607427\";s:6:\"mdhash\";s:32:\"819b5461fae2a1087dc02d24b93d7d23\";s:8:\"filesize\";s:5:\"13653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1382891132\";s:6:\"mdhash\";s:32:\"9880f0df62e66306e3a2cf073511d730\";s:8:\"filesize\";s:5:\"11266\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1506071944\";s:6:\"mdhash\";s:32:\"920f4514f6324a6607ab7545388d2b1a\";s:8:\"filesize\";s:5:\"17331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1443186840\";s:6:\"mdhash\";s:32:\"a0ebce1f6d85cd3450ed16f2cfd4aa1f\";s:8:\"filesize\";s:5:\"13545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382152318\";s:6:\"mdhash\";s:32:\"2ba9fb170c7595db80082109a836a704\";s:8:\"filesize\";s:4:\"9194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1510025448,1509939039,1),('available_releases::views_fieldsets','a:11:{s:5:\"title\";s:15:\"Views fieldsets\";s:10:\"short_name\";s:15:\"views_fieldsets\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1436550539\";s:6:\"mdhash\";s:32:\"6a70727be4617284f768216fa8a00c87\";s:8:\"filesize\";s:5:\"14397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1425515881\";s:6:\"mdhash\";s:32:\"bb105a56ed43d3ead73e98e52ee48ca4\";s:8:\"filesize\";s:5:\"13371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1392335005\";s:6:\"mdhash\";s:32:\"70259475223e1f57b610084fac78fc01\";s:8:\"filesize\";s:5:\"13111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360701659\";s:6:\"mdhash\";s:32:\"ebe6376710d9fa20b9cd655ab8428138\";s:8:\"filesize\";s:5:\"13035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1357769111\";s:6:\"mdhash\";s:32:\"d99b0cda11f62cf33dc7eb7f485f2154\";s:8:\"filesize\";s:5:\"12875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_fieldsets 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1342189984\";s:6:\"mdhash\";s:32:\"43e62b2acdb8d4a542527c0919c47ce6\";s:8:\"filesize\";s:5:\"12805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1478952539\";s:6:\"mdhash\";s:32:\"d88549432db8f2d2013b0b407cd2eb35\";s:8:\"filesize\";s:5:\"15153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1429815481\";s:6:\"mdhash\";s:32:\"8785f8504272b1a9dfcaf90ea6accdee\";s:8:\"filesize\";s:5:\"13386\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::views_field_view','a:11:{s:5:\"title\";s:16:\"Views Field View\";s:10:\"short_name\";s:16:\"views_field_view\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_field_view\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1442561051\";s:6:\"mdhash\";s:32:\"770f9dd87dfd671ca694e710ea857037\";s:8:\"filesize\";s:5:\"18128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1369511162\";s:6:\"mdhash\";s:32:\"b8b60b9b01a83458ade30684150c68ff\";s:8:\"filesize\";s:5:\"17114\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1347902395\";s:6:\"mdhash\";s:32:\"9571ece5309db2adb70a65a346981341\";s:8:\"filesize\";s:5:\"16947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337181098\";s:6:\"mdhash\";s:32:\"50c38f9673d1f5248cf04d9f9483d6a9\";s:8:\"filesize\";s:5:\"15625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333560973\";s:6:\"mdhash\";s:32:\"60479557964c5725d857e3fc7e1c2514\";s:8:\"filesize\";s:5:\"15221\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1324652756\";s:6:\"mdhash\";s:32:\"d8960a723255c8510bc6fcea36ab2332\";s:8:\"filesize\";s:5:\"12031\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"views_field_view 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1440827640\";s:6:\"mdhash\";s:32:\"011e10be394f912355511b8eeec3d5e5\";s:8:\"filesize\";s:5:\"18126\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::views_php','a:11:{s:5:\"title\";s:9:\"Views PHP\";s:10:\"short_name\";s:9:\"views_php\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/views_php\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:24:\"views_php 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_php/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_php-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1447385940\";s:6:\"mdhash\";s:32:\"5ab8022628da16abff960aba32c7bda3\";s:8:\"filesize\";s:5:\"13790\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:24:\"views_php 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_php/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_php-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1447294139\";s:6:\"mdhash\";s:32:\"3627cbe05ba535f7028b6e5673b7c7ed\";s:8:\"filesize\";s:5:\"13772\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:24:\"views_php 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_php/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_php-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1390577312\";s:6:\"mdhash\";s:32:\"aeec87fc772e1c8573911db6c76152bd\";s:8:\"filesize\";s:5:\"13750\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"views_php 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/views_php/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/views_php-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1447432843\";s:6:\"mdhash\";s:32:\"f36193ba28398ec00179f2ece3a56056\";s:8:\"filesize\";s:5:\"14168\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"views_php 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/views_php/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/views_php-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1447556641\";s:6:\"mdhash\";s:32:\"973988e9cf4336af1b67b20a07091998\";s:8:\"filesize\";s:5:\"13784\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::views_slideshow','a:11:{s:5:\"title\";s:15:\"Views Slideshow\";s:10:\"short_name\";s:15:\"views_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1488825783\";s:6:\"mdhash\";s:32:\"ad0e1665ad39b234df35954f96be4d78\";s:8:\"filesize\";s:5:\"42099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1488323883\";s:6:\"mdhash\";s:32:\"3c9f89add1c975c6820f155a855d109d\";s:8:\"filesize\";s:5:\"41306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1487211484\";s:6:\"mdhash\";s:32:\"cb17433b7585c42c64c4ce4cbaaa186d\";s:8:\"filesize\";s:5:\"40102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1484857383\";s:6:\"mdhash\";s:32:\"3123e0b522aadb07b7e791eea34c27de\";s:8:\"filesize\";s:5:\"38808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1483641842\";s:6:\"mdhash\";s:32:\"c793ed088af5d093df616fee77b86b41\";s:8:\"filesize\";s:5:\"38045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1483562342\";s:6:\"mdhash\";s:32:\"8642510e04bb94fa5e61033b6ed6645c\";s:8:\"filesize\";s:5:\"37849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1482784083\";s:6:\"mdhash\";s:32:\"81adf86198a6a0dc61aa43c961726dbe\";s:8:\"filesize\";s:5:\"37459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1382584827\";s:6:\"mdhash\";s:32:\"a807ec5d346350d1f21b84be38480faf\";s:8:\"filesize\";s:5:\"35949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1319589616\";s:6:\"mdhash\";s:32:\"6bf9363dacee1b55b97c0294b70b5507\";s:8:\"filesize\";s:5:\"33692\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_slideshow 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299893769\";s:6:\"mdhash\";s:32:\"a6b97871bde1ee41b63b60d0953b2e8b\";s:8:\"filesize\";s:5:\"29502\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"views_slideshow 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496892542\";s:6:\"mdhash\";s:32:\"d61cf9a551b02666350c6b3cc6cf483c\";s:8:\"filesize\";s:5:\"42351\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::webform','a:11:{s:5:\"title\";s:7:\"Webform\";s:10:\"short_name\";s:7:\"webform\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"4\";s:16:\"supported_majors\";s:3:\"3,4\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:72:{s:8:\"7.x-4.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.16\";s:7:\"version\";s:8:\"7.x-4.16\";s:3:\"tag\";s:8:\"7.x-4.16\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16.tar.gz\";s:4:\"date\";s:10:\"1507320544\";s:6:\"mdhash\";s:32:\"d4d168b87b1ca12fb0d56126ac6aeb66\";s:8:\"filesize\";s:6:\"247838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-4.16-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.16-rc1\";s:7:\"version\";s:12:\"7.x-4.16-rc1\";s:3:\"tag\";s:12:\"7.x-4.16-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.16-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1505495644\";s:6:\"mdhash\";s:32:\"0c45832337e5240efac9eac1ef56e3a4\";s:8:\"filesize\";s:6:\"247808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-4.15-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.15-rc1\";s:7:\"version\";s:12:\"7.x-4.15-rc1\";s:3:\"tag\";s:12:\"7.x-4.15-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.15-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15-rc1.tar.gz\";s:4:\"date\";s:10:\"1490884682\";s:6:\"mdhash\";s:32:\"4a0871210035b354cdaf24a7af9a072c\";s:8:\"filesize\";s:6:\"247731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.14\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.14\";s:7:\"version\";s:8:\"7.x-4.14\";s:3:\"tag\";s:8:\"7.x-4.14\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.14\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.14.tar.gz\";s:4:\"date\";s:10:\"1472386739\";s:6:\"mdhash\";s:32:\"9d28b1cbc3d380074b6926181543e445\";s:8:\"filesize\";s:6:\"244516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.13\";s:7:\"version\";s:8:\"7.x-4.13\";s:3:\"tag\";s:8:\"7.x-4.13\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.13.tar.gz\";s:4:\"date\";s:10:\"1469140439\";s:6:\"mdhash\";s:32:\"dae91401fb44079b6370451bb72652eb\";s:8:\"filesize\";s:6:\"243560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.12\";s:7:\"version\";s:8:\"7.x-4.12\";s:3:\"tag\";s:8:\"7.x-4.12\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.12.tar.gz\";s:4:\"date\";s:10:\"1445622240\";s:6:\"mdhash\";s:32:\"5eed02c0782f36b042c205f4229a076c\";s:8:\"filesize\";s:6:\"240545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.11\";s:7:\"version\";s:8:\"7.x-4.11\";s:3:\"tag\";s:8:\"7.x-4.11\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.11.tar.gz\";s:4:\"date\";s:10:\"1442953139\";s:6:\"mdhash\";s:32:\"319613b667722186ff0b22f0f0cf2f95\";s:8:\"filesize\";s:6:\"235259\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.10\";s:7:\"version\";s:8:\"7.x-4.10\";s:3:\"tag\";s:8:\"7.x-4.10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.10.tar.gz\";s:4:\"date\";s:10:\"1437076439\";s:6:\"mdhash\";s:32:\"a8947025d47f177154511c7406a8534e\";s:8:\"filesize\";s:6:\"234255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.9\";s:7:\"version\";s:7:\"7.x-4.9\";s:3:\"tag\";s:7:\"7.x-4.9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.9.tar.gz\";s:4:\"date\";s:10:\"1432669981\";s:6:\"mdhash\";s:32:\"7a4771c9fb06bad7d0e7b51048d36e57\";s:8:\"filesize\";s:6:\"231377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.8\";s:7:\"version\";s:7:\"7.x-4.8\";s:3:\"tag\";s:7:\"7.x-4.8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.8.tar.gz\";s:4:\"date\";s:10:\"1430334481\";s:6:\"mdhash\";s:32:\"dbd68b085357a4802c55edb03188e22c\";s:8:\"filesize\";s:6:\"230957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.7\";s:7:\"version\";s:7:\"7.x-4.7\";s:3:\"tag\";s:7:\"7.x-4.7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.7.tar.gz\";s:4:\"date\";s:10:\"1427387581\";s:6:\"mdhash\";s:32:\"708325315325143ecf872803bb8fc97e\";s:8:\"filesize\";s:6:\"212482\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.6\";s:7:\"version\";s:7:\"7.x-4.6\";s:3:\"tag\";s:7:\"7.x-4.6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.6.tar.gz\";s:4:\"date\";s:10:\"1427029681\";s:6:\"mdhash\";s:32:\"4c434af84de80e9886d9a0014bbde4dc\";s:8:\"filesize\";s:6:\"212172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.5\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.5\";s:7:\"version\";s:7:\"7.x-4.5\";s:3:\"tag\";s:7:\"7.x-4.5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.5.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"8b864d7fd7de0abcc11f213bc28dcc6b\";s:8:\"filesize\";s:6:\"208218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.4\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.4\";s:7:\"version\";s:7:\"7.x-4.4\";s:3:\"tag\";s:7:\"7.x-4.4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.4.tar.gz\";s:4:\"date\";s:10:\"1425406981\";s:6:\"mdhash\";s:32:\"7933b2eaa6bfd7648b490c6c1e34f56c\";s:8:\"filesize\";s:6:\"207645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.3\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.3\";s:7:\"version\";s:7:\"7.x-4.3\";s:3:\"tag\";s:7:\"7.x-4.3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.3.tar.gz\";s:4:\"date\";s:10:\"1424096281\";s:6:\"mdhash\";s:32:\"5ed6d060b3cd57ba6a0dc6aac19d31be\";s:8:\"filesize\";s:6:\"204589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.2\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.2\";s:7:\"version\";s:7:\"7.x-4.2\";s:3:\"tag\";s:7:\"7.x-4.2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.2.tar.gz\";s:4:\"date\";s:10:\"1416925848\";s:6:\"mdhash\";s:32:\"a48a33c79d3831b748342b1836617a74\";s:8:\"filesize\";s:6:\"202048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.1\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.1\";s:7:\"version\";s:7:\"7.x-4.1\";s:3:\"tag\";s:7:\"7.x-4.1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.1.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"e33d9a244c41c7b1bc6df8af00e08b7a\";s:8:\"filesize\";s:6:\"193676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.0\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.0\";s:7:\"version\";s:7:\"7.x-4.0\";s:3:\"tag\";s:7:\"7.x-4.0\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0.tar.gz\";s:4:\"date\";s:10:\"1409365728\";s:6:\"mdhash\";s:32:\"20c266a95b99abd24bd5dd3facba61a8\";s:8:\"filesize\";s:6:\"193699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-4.0-rc6\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc6\";s:7:\"version\";s:11:\"7.x-4.0-rc6\";s:3:\"tag\";s:11:\"7.x-4.0-rc6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1408408128\";s:6:\"mdhash\";s:32:\"d6c9af053bb448d13db9ed4bda7373bf\";s:8:\"filesize\";s:6:\"192838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc5\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc5\";s:7:\"version\";s:11:\"7.x-4.0-rc5\";s:3:\"tag\";s:11:\"7.x-4.0-rc5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1406922827\";s:6:\"mdhash\";s:32:\"376fdf4bac5d797aba46ef7c6e984dad\";s:8:\"filesize\";s:6:\"192690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc4\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc4\";s:7:\"version\";s:11:\"7.x-4.0-rc4\";s:3:\"tag\";s:11:\"7.x-4.0-rc4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1403835228\";s:6:\"mdhash\";s:32:\"a7433fae49177e403a2f9ea391dbff40\";s:8:\"filesize\";s:6:\"190874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc3\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc3\";s:7:\"version\";s:11:\"7.x-4.0-rc3\";s:3:\"tag\";s:11:\"7.x-4.0-rc3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1398161327\";s:6:\"mdhash\";s:32:\"dc88f99bb75f0ccb278c43ff288ee20d\";s:8:\"filesize\";s:6:\"189321\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc2\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc2\";s:7:\"version\";s:11:\"7.x-4.0-rc2\";s:3:\"tag\";s:11:\"7.x-4.0-rc2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1398128627\";s:6:\"mdhash\";s:32:\"83463fc7c1c09db64491821d6ec70245\";s:8:\"filesize\";s:6:\"189359\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc1\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc1\";s:7:\"version\";s:11:\"7.x-4.0-rc1\";s:3:\"tag\";s:11:\"7.x-4.0-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1397285353\";s:6:\"mdhash\";s:32:\"f531bd82a3e8a218e8ba6b9418a272fe\";s:8:\"filesize\";s:6:\"188567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta3\";s:7:\"version\";s:13:\"7.x-4.0-beta3\";s:3:\"tag\";s:13:\"7.x-4.0-beta3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1392366205\";s:6:\"mdhash\";s:32:\"ed5a9f251b148852a8604d3a27d312d0\";s:8:\"filesize\";s:6:\"183926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta2\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:3:\"tag\";s:13:\"7.x-4.0-beta2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1392182008\";s:6:\"mdhash\";s:32:\"8aed2f45bc2c66d21b197fe0e25ee268\";s:8:\"filesize\";s:6:\"182803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta1\";s:7:\"version\";s:13:\"7.x-4.0-beta1\";s:3:\"tag\";s:13:\"7.x-4.0-beta1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1379945522\";s:6:\"mdhash\";s:32:\"ad8186178f170001d34c20afa0cc794c\";s:8:\"filesize\";s:6:\"178805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:15:\"7.x-4.0-alpha10\";a:15:{s:4:\"name\";s:23:\"webform 7.x-4.0-alpha10\";s:7:\"version\";s:15:\"7.x-4.0-alpha10\";s:3:\"tag\";s:15:\"7.x-4.0-alpha10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha10\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1376030931\";s:6:\"mdhash\";s:32:\"0dbf55ba01a9fa44eca22a25da43cf88\";s:8:\"filesize\";s:6:\"175015\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha9\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha9\";s:7:\"version\";s:14:\"7.x-4.0-alpha9\";s:3:\"tag\";s:14:\"7.x-4.0-alpha9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1373869569\";s:6:\"mdhash\";s:32:\"2119eb8d79bb27e70f34bb5ed8d28d5f\";s:8:\"filesize\";s:6:\"165143\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha8\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha8\";s:7:\"version\";s:14:\"7.x-4.0-alpha8\";s:3:\"tag\";s:14:\"7.x-4.0-alpha8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1371660352\";s:6:\"mdhash\";s:32:\"f137cf2c0835affeb5c9da810507a67c\";s:8:\"filesize\";s:6:\"160206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha7\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha7\";s:7:\"version\";s:14:\"7.x-4.0-alpha7\";s:3:\"tag\";s:14:\"7.x-4.0-alpha7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1371629090\";s:6:\"mdhash\";s:32:\"1639e10d3bcdccddbeed2947a93fa127\";s:8:\"filesize\";s:6:\"160211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha6\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha6\";s:7:\"version\";s:14:\"7.x-4.0-alpha6\";s:3:\"tag\";s:14:\"7.x-4.0-alpha6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1347692127\";s:6:\"mdhash\";s:32:\"75227a94b7db0ef7a500af2c2ebb7ab9\";s:8:\"filesize\";s:6:\"155734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha5\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha5\";s:7:\"version\";s:14:\"7.x-4.0-alpha5\";s:3:\"tag\";s:14:\"7.x-4.0-alpha5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1347551761\";s:6:\"mdhash\";s:32:\"5d02f0e052f7c49ffba4539b8bb4aef9\";s:8:\"filesize\";s:6:\"152419\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha4\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha4\";s:7:\"version\";s:14:\"7.x-4.0-alpha4\";s:3:\"tag\";s:14:\"7.x-4.0-alpha4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1343527082\";s:6:\"mdhash\";s:32:\"e33d957ef4bc8f00f00d3a60aa21ac6c\";s:8:\"filesize\";s:6:\"152205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha3\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha3\";s:7:\"version\";s:14:\"7.x-4.0-alpha3\";s:3:\"tag\";s:14:\"7.x-4.0-alpha3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1339117034\";s:6:\"mdhash\";s:32:\"39f02ba0cee0a419a38254075f966c6a\";s:8:\"filesize\";s:6:\"151352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha2\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha2\";s:7:\"version\";s:14:\"7.x-4.0-alpha2\";s:3:\"tag\";s:14:\"7.x-4.0-alpha2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1338609133\";s:6:\"mdhash\";s:32:\"7fb52e64f354fb6875da48469a0d55af\";s:8:\"filesize\";s:6:\"150956\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha1\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha1\";s:7:\"version\";s:14:\"7.x-4.0-alpha1\";s:3:\"tag\";s:14:\"7.x-4.0-alpha1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1337451095\";s:6:\"mdhash\";s:32:\"512260ef02e1ce57ef43ec90683c1e78\";s:8:\"filesize\";s:6:\"135199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.27\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.27\";s:7:\"version\";s:8:\"7.x-3.27\";s:3:\"tag\";s:8:\"7.x-3.27\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.27\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27.tar.gz\";s:4:\"date\";s:10:\"1486665483\";s:6:\"mdhash\";s:32:\"17c1e11d7826c9a3554d4b6a93594c9f\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.27-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.27-rc1\";s:7:\"version\";s:12:\"7.x-3.27-rc1\";s:3:\"tag\";s:12:\"7.x-3.27-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.27-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27-rc1.tar.gz\";s:4:\"date\";s:10:\"1485444182\";s:6:\"mdhash\";s:32:\"786145dda5a2e5f4520c2197c3ea69b1\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.26\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.26\";s:7:\"version\";s:8:\"7.x-3.26\";s:3:\"tag\";s:8:\"7.x-3.26\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.26\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26.tar.gz\";s:4:\"date\";s:10:\"1480529583\";s:6:\"mdhash\";s:32:\"065cedb9c220daccccb22f907bb3d744\";s:8:\"filesize\";s:6:\"139944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.26-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.26-rc1\";s:7:\"version\";s:12:\"7.x-3.26-rc1\";s:3:\"tag\";s:12:\"7.x-3.26-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.26-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26-rc1.tar.gz\";s:4:\"date\";s:10:\"1479312239\";s:6:\"mdhash\";s:32:\"8de44a808ec179c299df85736196b446\";s:8:\"filesize\";s:6:\"137812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.25\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.25\";s:7:\"version\";s:8:\"7.x-3.25\";s:3:\"tag\";s:8:\"7.x-3.25\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.25\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.25.tar.gz\";s:4:\"date\";s:10:\"1476870839\";s:6:\"mdhash\";s:32:\"8b039236e6e7d71ec72e0894205dae5e\";s:8:\"filesize\";s:6:\"137744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.24\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.24\";s:7:\"version\";s:8:\"7.x-3.24\";s:3:\"tag\";s:8:\"7.x-3.24\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.24\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.24.tar.gz\";s:4:\"date\";s:10:\"1427956545\";s:6:\"mdhash\";s:32:\"4cc3efd543655c6af4356ff2f88d7ac3\";s:8:\"filesize\";s:6:\"137672\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.23\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.23\";s:7:\"version\";s:8:\"7.x-3.23\";s:3:\"tag\";s:8:\"7.x-3.23\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.23\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.23.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"6a507412ba68d7b371fb13f18c739149\";s:8:\"filesize\";s:6:\"137624\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.22\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.22\";s:7:\"version\";s:8:\"7.x-3.22\";s:3:\"tag\";s:8:\"7.x-3.22\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.22\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.22.tar.gz\";s:4:\"date\";s:10:\"1425406681\";s:6:\"mdhash\";s:32:\"af8e64222a07a850b5d9d1798a1d1bb2\";s:8:\"filesize\";s:6:\"136634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.21\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.21\";s:7:\"version\";s:8:\"7.x-3.21\";s:3:\"tag\";s:8:\"7.x-3.21\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.21\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.21.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"0a5579986a6d8698eca05ef4cd4f0ee3\";s:8:\"filesize\";s:6:\"136660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.20\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1392182304\";s:6:\"mdhash\";s:32:\"5011725f4998fbdff66ad31bc539c473\";s:8:\"filesize\";s:6:\"136668\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.19\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.19\";s:7:\"version\";s:8:\"7.x-3.19\";s:3:\"tag\";s:8:\"7.x-3.19\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.19\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.19.tar.gz\";s:4:\"date\";s:10:\"1369860079\";s:6:\"mdhash\";s:32:\"75a7796e7571b8eb8107f4a0171f2a64\";s:8:\"filesize\";s:6:\"135557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.18\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1336890411\";s:6:\"mdhash\";s:32:\"0c831e201bfc065207e0ddfeb8169e68\";s:8:\"filesize\";s:6:\"134663\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.17\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1331149848\";s:6:\"mdhash\";s:32:\"99164a28431b75a3ee58727698c159ba\";s:8:\"filesize\";s:6:\"132843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1330334150\";s:6:\"mdhash\";s:32:\"c0b428e7931efb4416e7b1057f37e02f\";s:8:\"filesize\";s:6:\"131554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1323326755\";s:6:\"mdhash\";s:32:\"6631cf2e3cfbab71e8e48dc31c0b5f04\";s:8:\"filesize\";s:6:\"123969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1314806221\";s:6:\"mdhash\";s:32:\"3608e957d4685680c755870b2264d444\";s:8:\"filesize\";s:6:\"121276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1313561826\";s:6:\"mdhash\";s:32:\"9094d0cc5d3d1e746767cd6b03474be8\";s:8:\"filesize\";s:6:\"119057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1305758218\";s:6:\"mdhash\";s:32:\"ab63b21e78594d9012c688d6f9242c1a\";s:8:\"filesize\";s:6:\"117272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1305756717\";s:6:\"mdhash\";s:32:\"a463377335ec4ea95512dabd400ac6c6\";s:8:\"filesize\";s:6:\"115439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1299399369\";s:6:\"mdhash\";s:32:\"4622ef7902efbbdf2c76ea1a70095350\";s:8:\"filesize\";s:6:\"115250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1298677273\";s:6:\"mdhash\";s:32:\"a55a253b21abae132f519943a6dfb1e2\";s:8:\"filesize\";s:6:\"115237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1298534230\";s:6:\"mdhash\";s:32:\"0531afc17545bf2df8ff36fd770c9522\";s:8:\"filesize\";s:6:\"332813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1294819898\";s:6:\"mdhash\";s:32:\"5b5d011f368ccc3458acb816bd322368\";s:8:\"filesize\";s:6:\"342890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-3.4-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.4-beta1\";s:7:\"version\";s:13:\"7.x-3.4-beta1\";s:3:\"tag\";s:13:\"7.x-3.4-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.4-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1287598575\";s:6:\"mdhash\";s:32:\"2a39a8641a3da45835309830600c78dd\";s:8:\"filesize\";s:6:\"342322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.3-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.3-beta1\";s:7:\"version\";s:13:\"7.x-3.3-beta1\";s:3:\"tag\";s:13:\"7.x-3.3-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.3-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1287390088\";s:6:\"mdhash\";s:32:\"05abb33a143713e3dec72dc9b832b488\";s:8:\"filesize\";s:6:\"342034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta8\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta8\";s:7:\"version\";s:13:\"7.x-3.0-beta8\";s:3:\"tag\";s:13:\"7.x-3.0-beta8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1282828912\";s:6:\"mdhash\";s:32:\"da4804382f6f3ba985982bb4ef0f1821\";s:8:\"filesize\";s:6:\"336720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1281825694\";s:6:\"mdhash\";s:32:\"e6daf245f2f70b7e101864f3c086235c\";s:8:\"filesize\";s:6:\"336332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1277097010\";s:6:\"mdhash\";s:32:\"b2e32326c4d009b9af6efb190f3623cd\";s:8:\"filesize\";s:6:\"336300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1271177414\";s:6:\"mdhash\";s:32:\"8e2e4e4b5c3e7f3b05f5af0454417f8a\";s:8:\"filesize\";s:6:\"334969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1270268112\";s:6:\"mdhash\";s:32:\"58886079d44ff03a11e8fc7c79e457e1\";s:8:\"filesize\";s:6:\"333147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1270265414\";s:6:\"mdhash\";s:32:\"285cce90e04b2bce7fe62f7e08ec152b\";s:8:\"filesize\";s:6:\"333092\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1268446210\";s:6:\"mdhash\";s:32:\"6152ba9b80f69e4098c5fc14457e1a2e\";s:8:\"filesize\";s:6:\"327887\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509137885\";s:6:\"mdhash\";s:32:\"66a100d3aa75669db1131c2c162055ab\";s:8:\"filesize\";s:6:\"248016\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484233084\";s:6:\"mdhash\";s:32:\"d66aae2c19d435b79adf3ba7d093f435\";s:8:\"filesize\";s:6:\"139954\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1510025448,1509939039,1),('available_releases::we_content_migration','a:10:{s:5:\"title\";s:24:\"Drupal Content Migration\";s:10:\"short_name\";s:20:\"we_content_migration\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1510025448,1509939039,1),('fetch_failures','a:0:{}',1509939348,1509939039,1),('update_project_data','a:48:{s:12:\"addressfield\";a:17:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1421426885\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Address Field\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:4;}s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:4:\"bean\";a:17:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:16:\"_info_file_ctime\";i:1500453525;}s:9:\"datestamp\";s:10:\"1470638340\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Bean\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:22:\"better_exposed_filters\";a:17:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500357996;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.4\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:22:\"Better Exposed Filters\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:14:\"latest_version\";s:7:\"7.x-3.5\";s:8:\"releases\";a:1:{s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1508952844\";s:6:\"mdhash\";s:32:\"a1275ae33a38e87cafdfae536536e0ac\";s:8:\"filesize\";s:5:\"51116\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.5\";s:6:\"status\";i:4;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500354143;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:33:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:11:\"block_class\";a:17:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500357996;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:8:\"commerce\";a:17:{s:4:\"name\";s:8:\"commerce\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Commerce\";s:7:\"package\";s:8:\"Commerce\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:16:\"_info_file_ctime\";i:1500454263;}s:9:\"datestamp\";s:10:\"1459956613\";s:8:\"includes\";a:20:{s:8:\"commerce\";s:8:\"Commerce\";s:13:\"commerce_cart\";s:4:\"Cart\";s:17:\"commerce_checkout\";s:8:\"Checkout\";s:17:\"commerce_customer\";s:8:\"Customer\";s:20:\"commerce_customer_ui\";s:11:\"Customer UI\";s:18:\"commerce_line_item\";s:9:\"Line Item\";s:21:\"commerce_line_item_ui\";s:12:\"Line Item UI\";s:14:\"commerce_order\";s:5:\"Order\";s:17:\"commerce_order_ui\";s:8:\"Order UI\";s:16:\"commerce_payment\";s:7:\"Payment\";s:19:\"commerce_payment_ui\";s:10:\"Payment UI\";s:14:\"commerce_price\";s:5:\"Price\";s:16:\"commerce_product\";s:7:\"Product\";s:24:\"commerce_product_pricing\";s:15:\"Product Pricing\";s:27:\"commerce_product_pricing_ui\";s:18:\"Product Pricing UI\";s:26:\"commerce_product_reference\";s:17:\"Product Reference\";s:19:\"commerce_product_ui\";s:10:\"Product UI\";s:12:\"commerce_tax\";s:3:\"Tax\";s:15:\"commerce_tax_ui\";s:6:\"Tax UI\";s:11:\"commerce_ui\";s:11:\"Commerce UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.13\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Drupal Commerce\";s:4:\"link\";s:39:\"https://www.drupal.org/project/commerce\";s:14:\"latest_version\";s:8:\"7.x-1.13\";s:8:\"releases\";a:1:{s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:17:\"commerce 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/commerce/releases/7.x-1.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/commerce-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1459956568\";s:6:\"mdhash\";s:32:\"32f60a3f4e7e08d8979be3c8beda49e2\";s:8:\"filesize\";s:6:\"381834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-1.13\";s:6:\"status\";i:5;}s:15:\"commerce_donate\";a:17:{s:4:\"name\";s:15:\"commerce_donate\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Commerce Donate\";s:7:\"package\";s:18:\"Commerce (contrib)\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"commerce_donate\";s:9:\"datestamp\";s:10:\"1437349740\";s:16:\"_info_file_ctime\";i:1500453969;}s:9:\"datestamp\";s:10:\"1437349740\";s:8:\"includes\";a:1:{s:15:\"commerce_donate\";s:15:\"Commerce Donate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Commerce Donate\";s:4:\"link\";s:46:\"https://www.drupal.org/project/commerce_donate\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"commerce_donate 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_donate/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_donate-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1437349739\";s:6:\"mdhash\";s:32:\"9127dd5d160f859091b17999335aec6b\";s:8:\"filesize\";s:5:\"13364\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:5;}s:15:\"commerce_paypal\";a:17:{s:4:\"name\";s:15:\"commerce_paypal\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"PayPal\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:16:\"_info_file_ctime\";i:1500453970;}s:9:\"datestamp\";s:10:\"1497908944\";s:8:\"includes\";a:2:{s:15:\"commerce_paypal\";s:6:\"PayPal\";s:19:\"commerce_paypal_wps\";s:10:\"PayPal WPS\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.4\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Commerce PayPal\";s:4:\"link\";s:46:\"https://www.drupal.org/project/commerce_paypal\";s:14:\"latest_version\";s:7:\"7.x-2.4\";s:8:\"releases\";a:1:{s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:23:\"commerce_paypal 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/commerce_paypal/releases/7.x-2.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/commerce_paypal-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1497908942\";s:6:\"mdhash\";s:32:\"4d7129199d1d7efc162ae1eef7003c72\";s:8:\"filesize\";s:5:\"71951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.4\";s:6:\"status\";i:5;}s:7:\"context\";a:17:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500453525;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.7\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Context\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:14:\"latest_version\";s:7:\"7.x-3.7\";s:8:\"releases\";a:1:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:5;}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:5:\"devel\";a:17:{s:4:\"name\";s:5:\"devel\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Devel\";s:7:\"package\";s:11:\"Development\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1398963366\";s:8:\"includes\";a:1:{s:5:\"devel\";s:5:\"Devel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Devel\";s:4:\"link\";s:36:\"https://www.drupal.org/project/devel\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"devel 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/devel/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/devel-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1398963228\";s:6:\"mdhash\";s:32:\"f06c912eb4edbd48fbcc2867516726a3\";s:8:\"filesize\";s:6:\"193378\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:6:\"entity\";a:17:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:5;}s:15:\"entityreference\";a:18:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Entity reference\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1502895843\";s:6:\"mdhash\";s:32:\"56f6198ead378b93eb978444c3cdd948\";s:8:\"filesize\";s:5:\"43330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:16:\"security updates\";a:1:{i:0;a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1502895843\";s:6:\"mdhash\";s:32:\"56f6198ead378b93eb978444c3cdd948\";s:8:\"filesize\";s:5:\"43330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:6:\"status\";i:1;}s:18:\"exclude_node_title\";a:17:{s:4:\"name\";s:18:\"exclude_node_title\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Exclude node title\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1435338184\";s:8:\"includes\";a:1:{s:18:\"exclude_node_title\";s:18:\"Exclude node title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Exclude Node Title\";s:4:\"link\";s:49:\"https://www.drupal.org/project/exclude_node_title\";s:14:\"latest_version\";s:7:\"7.x-1.9\";s:8:\"releases\";a:1:{s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.9\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1435338180\";s:6:\"mdhash\";s:32:\"341f2a3ff8473cdd37a9e8c689e58524\";s:8:\"filesize\";s:5:\"12171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.9\";s:6:\"status\";i:5;}s:16:\"field_collection\";a:17:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Field collection\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta12\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta12\";s:6:\"status\";i:5;}s:21:\"field_formatter_class\";a:17:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:21:\"Field Formatter Class\";s:4:\"link\";s:52:\"https://www.drupal.org/project/field_formatter_class\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"field_formatter_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_formatter_class/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_formatter_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361374878\";s:6:\"mdhash\";s:32:\"fcddd9d46e482811643a4340ccda7f13\";s:8:\"filesize\";s:4:\"8470\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:24:\"field_formatter_settings\";a:17:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:24:\"Field formatter settings\";s:4:\"link\";s:55:\"https://www.drupal.org/project/field_formatter_settings\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:32:\"field_formatter_settings 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/field_formatter_settings/releases/7.x-1.1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/field_formatter_settings-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378741904\";s:6:\"mdhash\";s:32:\"d7bc7a84011a904f945b4fc54ff6eec0\";s:8:\"filesize\";s:4:\"9545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:11:\"field_group\";a:17:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"7.x-1.6\";s:8:\"releases\";a:1:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"14a100269b1ddfe88c32442c8da53d1d\";s:8:\"filesize\";s:5:\"52556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.6\";s:6:\"status\";i:4;}s:15:\"field_slideshow\";a:18:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.82\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Field Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:4:\"also\";a:1:{i:2;s:13:\"7.x-2.0-beta1\";}s:8:\"releases\";a:2:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:8:\"7.x-1.82\";s:11:\"recommended\";s:8:\"7.x-1.82\";s:6:\"status\";i:5;}s:21:\"image_delta_formatter\";a:17:{s:4:\"name\";s:21:\"image_delta_formatter\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Image Delta Formatter\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:7:\"project\";s:21:\"image_delta_formatter\";s:9:\"datestamp\";s:10:\"1355927255\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1355927255\";s:8:\"includes\";a:1:{s:21:\"image_delta_formatter\";s:21:\"Image Delta Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.0-rc1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:21:\"Image Delta Formatter\";s:4:\"link\";s:52:\"https://www.drupal.org/project/image_delta_formatter\";s:14:\"latest_version\";s:11:\"7.x-1.0-rc1\";s:8:\"releases\";a:1:{s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:33:\"image_delta_formatter 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/image_delta_formatter/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/image_delta_formatter-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1355927255\";s:6:\"mdhash\";s:32:\"e7790829ac5052b0539baef5e5329f42\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:11:\"7.x-1.0-rc1\";s:6:\"status\";i:5;}s:18:\"inline_entity_form\";a:17:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500357997;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Inline Entity Form\";s:4:\"link\";s:49:\"https://www.drupal.org/project/inline_entity_form\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"inline_entity_form 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/inline_entity_form/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/inline_entity_form-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1460849406\";s:6:\"mdhash\";s:32:\"3e9bd90b93c363153a3914804a0dfb91\";s:8:\"filesize\";s:5:\"38827\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:5;}s:9:\"jcarousel\";a:17:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"jCarousel\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:14:\"latest_version\";s:7:\"7.x-2.7\";s:8:\"releases\";a:1:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:4:\"link\";a:17:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Link\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:14:\"latest_version\";s:13:\"7.x-1.5-beta2\";s:8:\"releases\";a:2:{s:13:\"7.x-1.5-beta2\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta2\";s:7:\"version\";s:13:\"7.x-1.5-beta2\";s:3:\"tag\";s:13:\"7.x-1.5-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1500985442\";s:6:\"mdhash\";s:32:\"7ffe7148234f8c237a4893abd82c8e0e\";s:8:\"filesize\";s:5:\"38156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:17:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:10:\"node_class\";a:17:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node Class\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1388997876\";s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Node Class\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1388997805\";s:6:\"mdhash\";s:32:\"76bc0de128d7108d7131c710798c79a8\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:9:\"quicktabs\";a:17:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:1:{s:9:\"quicktabs\";s:9:\"Quicktabs\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.8\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Quick Tabs\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:14:\"latest_version\";s:7:\"7.x-3.8\";s:8:\"releases\";a:1:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.8\";s:6:\"status\";i:5;}s:5:\"rules\";a:17:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1492697958\";s:8:\"includes\";a:2:{s:5:\"rules\";s:5:\"Rules\";s:11:\"rules_admin\";s:8:\"Rules UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Rules\";s:4:\"link\";s:36:\"https://www.drupal.org/project/rules\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:14:\"rules 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/rules/releases/7.x-2.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/rules-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1492697942\";s:6:\"mdhash\";s:32:\"b66045ee97acdec07b4808f649e9dcc8\";s:8:\"filesize\";s:6:\"187783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:15:\"select_or_other\";a:18:{s:4:\"name\";s:15:\"select_or_other\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Select (or other)\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-2.22\";s:7:\"project\";s:15:\"select_or_other\";s:9:\"datestamp\";s:10:\"1432142587\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1432142587\";s:8:\"includes\";a:1:{s:15:\"select_or_other\";s:17:\"Select (or other)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.22\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Select (or other)\";s:4:\"link\";s:46:\"https://www.drupal.org/project/select_or_other\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha1\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:30:\"select_or_other 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/select_or_other/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1445714939\";s:6:\"mdhash\";s:32:\"213b8ff79aebaa8be0895336304aba44\";s:8:\"filesize\";s:5:\"19469\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-2.22\";a:14:{s:4:\"name\";s:24:\"select_or_other 7.x-2.22\";s:7:\"version\";s:8:\"7.x-2.22\";s:3:\"tag\";s:8:\"7.x-2.22\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/select_or_other/releases/7.x-2.22\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/select_or_other-7.x-2.22.tar.gz\";s:4:\"date\";s:10:\"1432142581\";s:6:\"mdhash\";s:32:\"0f8f19915f1cdda1f63bb304a5c257e7\";s:8:\"filesize\";s:5:\"17641\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:8:\"7.x-2.22\";s:11:\"recommended\";s:8:\"7.x-2.22\";s:6:\"status\";i:5;}s:9:\"sharethis\";a:17:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1468581840\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1468581840\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.13\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"ShareThis\";s:4:\"link\";s:40:\"https://www.drupal.org/project/sharethis\";s:14:\"latest_version\";s:8:\"7.x-2.13\";s:8:\"releases\";a:1:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:18:\"sharethis 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/sharethis/releases/7.x-2.13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/sharethis-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1468581839\";s:6:\"mdhash\";s:32:\"f3f446bf449c62592963af24d0e947c8\";s:8:\"filesize\";s:6:\"104699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-2.13\";s:6:\"status\";i:5;}s:10:\"simplenews\";a:17:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1381947969\";s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Simplenews\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1381947969\";s:6:\"mdhash\";s:32:\"a494efb4ed193445704a028055dd6df8\";s:8:\"filesize\";s:6:\"163770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:9:\"tagclouds\";a:17:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1452956656\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.11\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"TagCloud\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:5;}s:13:\"taxonomy_menu\";a:18:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Taxonomy menu\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:4:\"also\";a:1:{i:2;s:14:\"7.x-2.0-alpha2\";}s:8:\"releases\";a:2:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:7:\"7.x-1.5\";s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:11:\"tb_megamenu\";a:17:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.0-rc2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:12:\"TB Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:14:\"latest_version\";s:11:\"7.x-1.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-1.0-rc2\";s:6:\"status\";i:5;}s:5:\"title\";a:17:{s:4:\"name\";s:5:\"title\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Title\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1484302985\";s:8:\"includes\";a:1:{s:5:\"title\";s:5:\"Title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-alpha9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Title\";s:4:\"link\";s:36:\"https://www.drupal.org/project/title\";s:14:\"latest_version\";s:14:\"7.x-1.0-alpha9\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-alpha9\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha9\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:3:\"tag\";s:14:\"7.x-1.0-alpha9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1484302983\";s:6:\"mdhash\";s:32:\"dce551145ee2cbc21f59326dd677f148\";s:8:\"filesize\";s:5:\"27311\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}}s:11:\"recommended\";s:14:\"7.x-1.0-alpha9\";s:6:\"status\";i:5;}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:17:\"video_embed_field\";a:17:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500357997;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-2.0-beta11\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Video Embed Field\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:14:\"latest_version\";s:14:\"7.x-2.0-beta11\";s:8:\"releases\";a:1:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}}s:11:\"recommended\";s:14:\"7.x-2.0-beta11\";s:6:\"status\";i:5;}s:5:\"views\";a:18:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500354351;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Views\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:14:\"latest_version\";s:8:\"7.x-3.18\";s:8:\"releases\";a:1:{s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.18\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1503494944\";s:6:\"mdhash\";s:32:\"937ad4ebd559fd3f57896f4702f6f3c4\";s:8:\"filesize\";s:7:\"1646788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-3.18\";s:16:\"security updates\";a:1:{i:0;a:14:{s:4:\"name\";s:14:\"views 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.17\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1502903343\";s:6:\"mdhash\";s:32:\"ff6d025dedb555672ccf01f5e234df4f\";s:8:\"filesize\";s:7:\"1644296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:6:\"status\";i:1;}s:15:\"views_bootstrap\";a:17:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Bootstrap\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_bootstrap\";s:14:\"latest_version\";s:7:\"7.x-3.2\";s:8:\"releases\";a:1:{s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1505670245\";s:6:\"mdhash\";s:32:\"5ab3bea6be8a4bdbcba464be01951701\";s:8:\"filesize\";s:5:\"17121\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.2\";s:6:\"status\";i:4;}s:16:\"views_field_view\";a:17:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Views Field View\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_field_view\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1442561051\";s:6:\"mdhash\";s:32:\"770f9dd87dfd671ca694e710ea857037\";s:8:\"filesize\";s:5:\"18128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:5;}s:15:\"views_fieldsets\";a:17:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views fieldsets\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:6:\"status\";i:3;s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";}s:9:\"views_php\";a:17:{s:4:\"name\";s:9:\"views_php\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Views PHP\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:7:\"project\";s:9:\"views_php\";s:9:\"datestamp\";s:10:\"1447386022\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1447386022\";s:8:\"includes\";a:1:{s:9:\"views_php\";s:9:\"Views PHP\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-alpha3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"Views PHP\";s:4:\"link\";s:40:\"https://www.drupal.org/project/views_php\";s:14:\"latest_version\";s:14:\"7.x-1.0-alpha3\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:24:\"views_php 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_php/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_php-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1447385940\";s:6:\"mdhash\";s:32:\"5ab8022628da16abff960aba32c7bda3\";s:8:\"filesize\";s:5:\"13790\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-alpha3\";s:6:\"status\";i:5;}s:15:\"views_slideshow\";a:17:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.9\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:14:\"latest_version\";s:7:\"7.x-3.9\";s:8:\"releases\";a:1:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.9\";s:6:\"status\";i:5;}s:20:\"we_content_migration\";a:19:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499932083;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:24:\"Drupal Content Migration\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:14:\"latest_version\";s:11:\"7.x-1.x-dev\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:11:\"recommended\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:7:\"webform\";a:17:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500354351;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-4.15\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Webform\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:14:\"latest_version\";s:8:\"7.x-4.16\";s:8:\"releases\";a:1:{s:8:\"7.x-4.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.16\";s:7:\"version\";s:8:\"7.x-4.16\";s:3:\"tag\";s:8:\"7.x-4.16\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16.tar.gz\";s:4:\"date\";s:10:\"1507320544\";s:6:\"mdhash\";s:32:\"d4d168b87b1ca12fb0d56126ac6aeb66\";s:8:\"filesize\";s:6:\"247838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-4.16\";s:6:\"status\";i:4;}}',1509942858,1509939258,1),('update_project_projects','a:48:{s:12:\"addressfield\";a:8:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1421426885\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"bean\";a:8:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:16:\"_info_file_ctime\";i:1500453525;}s:9:\"datestamp\";s:10:\"1470638340\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:22:\"better_exposed_filters\";a:8:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500357996;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500354143;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:33:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"block_class\";a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500357996;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"commerce\";a:8:{s:4:\"name\";s:8:\"commerce\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Commerce\";s:7:\"package\";s:8:\"Commerce\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:16:\"_info_file_ctime\";i:1500454263;}s:9:\"datestamp\";s:10:\"1459956613\";s:8:\"includes\";a:20:{s:8:\"commerce\";s:8:\"Commerce\";s:13:\"commerce_cart\";s:4:\"Cart\";s:17:\"commerce_checkout\";s:8:\"Checkout\";s:17:\"commerce_customer\";s:8:\"Customer\";s:20:\"commerce_customer_ui\";s:11:\"Customer UI\";s:18:\"commerce_line_item\";s:9:\"Line Item\";s:21:\"commerce_line_item_ui\";s:12:\"Line Item UI\";s:14:\"commerce_order\";s:5:\"Order\";s:17:\"commerce_order_ui\";s:8:\"Order UI\";s:16:\"commerce_payment\";s:7:\"Payment\";s:19:\"commerce_payment_ui\";s:10:\"Payment UI\";s:14:\"commerce_price\";s:5:\"Price\";s:16:\"commerce_product\";s:7:\"Product\";s:24:\"commerce_product_pricing\";s:15:\"Product Pricing\";s:27:\"commerce_product_pricing_ui\";s:18:\"Product Pricing UI\";s:26:\"commerce_product_reference\";s:17:\"Product Reference\";s:19:\"commerce_product_ui\";s:10:\"Product UI\";s:12:\"commerce_tax\";s:3:\"Tax\";s:15:\"commerce_tax_ui\";s:6:\"Tax UI\";s:11:\"commerce_ui\";s:11:\"Commerce UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"commerce_donate\";a:8:{s:4:\"name\";s:15:\"commerce_donate\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Commerce Donate\";s:7:\"package\";s:18:\"Commerce (contrib)\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"commerce_donate\";s:9:\"datestamp\";s:10:\"1437349740\";s:16:\"_info_file_ctime\";i:1500453969;}s:9:\"datestamp\";s:10:\"1437349740\";s:8:\"includes\";a:1:{s:15:\"commerce_donate\";s:15:\"Commerce Donate\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"commerce_paypal\";a:8:{s:4:\"name\";s:15:\"commerce_paypal\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"PayPal\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:16:\"_info_file_ctime\";i:1500453970;}s:9:\"datestamp\";s:10:\"1497908944\";s:8:\"includes\";a:2:{s:15:\"commerce_paypal\";s:6:\"PayPal\";s:19:\"commerce_paypal_wps\";s:10:\"PayPal WPS\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"context\";a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:16:\"_info_file_ctime\";i:1500453525;}s:9:\"datestamp\";s:10:\"1463605446\";s:8:\"includes\";a:3:{s:7:\"context\";s:7:\"Context\";s:15:\"context_layouts\";s:15:\"Context layouts\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"devel\";a:8:{s:4:\"name\";s:5:\"devel\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Devel\";s:7:\"package\";s:11:\"Development\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1398963366\";s:8:\"includes\";a:1:{s:5:\"devel\";s:5:\"Devel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"entity\";a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1474546503\";s:8:\"includes\";a:2:{s:6:\"entity\";s:10:\"Entity API\";s:12:\"entity_token\";s:13:\"Entity tokens\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"entityreference\";a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1495557187\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"exclude_node_title\";a:8:{s:4:\"name\";s:18:\"exclude_node_title\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Exclude node title\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1435338184\";s:8:\"includes\";a:1:{s:18:\"exclude_node_title\";s:18:\"Exclude node title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"field_collection\";a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1479402861\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:21:\"field_formatter_class\";a:8:{s:4:\"name\";s:21:\"field_formatter_class\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Field Formatter Class\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1361374877\";s:8:\"includes\";a:1:{s:21:\"field_formatter_class\";s:21:\"Field Formatter Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:24:\"field_formatter_settings\";a:8:{s:4:\"name\";s:24:\"field_formatter_settings\";s:4:\"info\";a:6:{s:4:\"name\";s:28:\"Field formatter settings API\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1378741903\";s:8:\"includes\";a:1:{s:24:\"field_formatter_settings\";s:28:\"Field formatter settings API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"field_group\";a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"field_slideshow\";a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:21:\"image_delta_formatter\";a:8:{s:4:\"name\";s:21:\"image_delta_formatter\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Image Delta Formatter\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:7:\"project\";s:21:\"image_delta_formatter\";s:9:\"datestamp\";s:10:\"1355927255\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1355927255\";s:8:\"includes\";a:1:{s:21:\"image_delta_formatter\";s:21:\"Image Delta Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"inline_entity_form\";a:8:{s:4:\"name\";s:18:\"inline_entity_form\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Inline Entity Form\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:16:\"_info_file_ctime\";i:1500357997;}s:9:\"datestamp\";s:10:\"1460849408\";s:8:\"includes\";a:1:{s:18:\"inline_entity_form\";s:18:\"Inline Entity Form\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"jcarousel\";a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499931892;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"link\";a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"node_class\";a:8:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node Class\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1388997876\";s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"quicktabs\";a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:1:{s:9:\"quicktabs\";s:9:\"Quicktabs\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"rules\";a:8:{s:4:\"name\";s:5:\"rules\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Rules\";s:7:\"package\";s:5:\"Rules\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:16:\"_info_file_ctime\";i:1500453526;}s:9:\"datestamp\";s:10:\"1492697958\";s:8:\"includes\";a:2:{s:5:\"rules\";s:5:\"Rules\";s:11:\"rules_admin\";s:8:\"Rules UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"select_or_other\";a:8:{s:4:\"name\";s:15:\"select_or_other\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Select (or other)\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-2.22\";s:7:\"project\";s:15:\"select_or_other\";s:9:\"datestamp\";s:10:\"1432142587\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1432142587\";s:8:\"includes\";a:1:{s:15:\"select_or_other\";s:17:\"Select (or other)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"sharethis\";a:8:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"package\";s:7:\"Sharing\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1468581840\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1468581840\";s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"simplenews\";a:8:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1381947969\";s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"tagclouds\";a:8:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1452956656\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"taxonomy_menu\";a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"tb_megamenu\";a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1440756596\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"title\";a:8:{s:4:\"name\";s:5:\"title\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Title\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:16:\"_info_file_ctime\";i:1500354350;}s:9:\"datestamp\";s:10:\"1484302985\";s:8:\"includes\";a:1:{s:5:\"title\";s:5:\"Title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:17:\"video_embed_field\";a:8:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500357997;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500354351;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_bootstrap\";a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"views_field_view\";a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499931893;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"views_php\";a:8:{s:4:\"name\";s:9:\"views_php\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Views PHP\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:7:\"project\";s:9:\"views_php\";s:9:\"datestamp\";s:10:\"1447386022\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1447386022\";s:8:\"includes\";a:1:{s:9:\"views_php\";s:9:\"Views PHP\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500453527;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499932083;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"webform\";a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500354351;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1509942858,1509939258,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,61,12,'Help us','::1',1411546620,1412157954,1,'01/','andy','','','und'),(2,0,61,14,'How to Write a Thank You Letter to a Donor','::1',1412234625,1412234625,1,'02/','heavyladybug230','','','und'),(3,0,61,11,'Even Online, the Customer Always Comes First','::1',1412234940,1412234939,1,'03/','jamie','','','und'),(4,0,64,11,'The Nonprofit Blog Carnival Tackles Social Media For Good Causes','::1',1412235005,1412235005,1,'01/','jamie','','','und'),(5,4,64,11,'5 Kinds of Facebook Posts that Work for Nonprofits','::1',1412235067,1412235066,1,'01.00/','jamie','','','und'),(6,0,64,13,'7 Things Successful Nonprofits Do on Pinterest','::1',1412235252,1412235252,1,'02/','christy','','','und'),(7,0,8,1,'abc','::1',1412241169,1412241169,1,'01/','admin','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_calculated_price`
--

DROP TABLE IF EXISTS `commerce_calculated_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_calculated_price` (
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module performing the calculation.',
  `module_key` mediumtext NOT NULL COMMENT 'A module specific key useful for indicating the context of a particular calculation, e.g. the IDs of Rules evaluated to produce the calculated price.',
  `entity_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of entity this price belongs to.',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The entity ID of the object this price belongs to.',
  `field_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of the field the calculated price relates to.',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The languages.language of the entity.',
  `delta` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sequence number for this data item, used for multi-value fields',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `data` longtext COMMENT 'A serialized array of additional price data.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the price was calculated.',
  KEY `module` (`module`),
  KEY `entity_type` (`entity_type`),
  KEY `entity_id` (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores pre-calculated dynamic prices.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_calculated_price`
--

LOCK TABLES `commerce_calculated_price` WRITE;
/*!40000 ALTER TABLE `commerce_calculated_price` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_calculated_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_checkout_pane`
--

DROP TABLE IF EXISTS `commerce_checkout_pane`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_checkout_pane` (
  `pane_id` varchar(255) NOT NULL COMMENT 'The machine readable name of the order state.',
  `page` varchar(255) NOT NULL DEFAULT '1' COMMENT 'The ID of the checkout page on which this pane appears.',
  `fieldset` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane should appear in a fieldset.',
  `collapsible` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating whether or not the pane should appear collapsed.',
  `collapsed` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating whether or not the pane should appear collapsed.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The sorting weight of the status for lists of statuses.',
  `enabled` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane is enabled.',
  `review` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane should appear on the checkout review.',
  PRIMARY KEY (`pane_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Checkout pane configuration data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_checkout_pane`
--

LOCK TABLES `commerce_checkout_pane` WRITE;
/*!40000 ALTER TABLE `commerce_checkout_pane` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_checkout_pane` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_customer_profile`
--

DROP TABLE IF EXISTS `commerce_customer_profile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_customer_profile` (
  `profile_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a customer profile.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_customer_profile_revision.revision_id version identifier.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The commerce_customer_profile_type.type of this profile.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that this profile belongs to.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the profile is active or not.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the profile was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the profile was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`profile_id`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `uid` (`uid`),
  KEY `customer_profile_type` (`type`),
  KEY `uid_by_type` (`uid`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='The base table for customer profiles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_customer_profile`
--

LOCK TABLES `commerce_customer_profile` WRITE;
/*!40000 ALTER TABLE `commerce_customer_profile` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_customer_profile` VALUES (1,1,'billing',0,1,1411361420,1411361432,NULL),(2,2,'billing',0,1,1411361696,1411361696,NULL),(3,3,'billing',12,1,1411545937,1411545937,NULL),(4,4,'billing',1,1,1422954901,1422954901,NULL);
/*!40000 ALTER TABLE `commerce_customer_profile` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_customer_profile_revision`
--

DROP TABLE IF EXISTS `commerce_customer_profile_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_customer_profile_revision` (
  `profile_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_customer_profile.customer_id of the profile this revision belongs to.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this profile at this revision.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the profile is active or not.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `profile_id` (`profile_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_customer_profile_revision`
--

LOCK TABLES `commerce_customer_profile_revision` WRITE;
/*!40000 ALTER TABLE `commerce_customer_profile_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_customer_profile_revision` VALUES (1,1,0,1,'',1411361432,NULL),(2,2,0,1,'',1411361696,NULL),(3,3,12,1,'',1411545937,NULL),(4,4,1,1,'',1422954901,NULL);
/*!40000 ALTER TABLE `commerce_customer_profile_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_line_item`
--

DROP TABLE IF EXISTS `commerce_line_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_line_item` (
  `line_item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a line item.',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT 'The unique ID of the order the line item belongs to.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module defined type of this line item.',
  `line_item_label` varchar(255) NOT NULL COMMENT 'The merchant defined label for a line item.',
  `quantity` decimal(10,2) NOT NULL DEFAULT '0.00',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the line item was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the line item was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`line_item_id`),
  KEY `order_id` (`order_id`),
  KEY `line_item_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='The base table for line items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_line_item`
--

LOCK TABLES `commerce_line_item` WRITE;
/*!40000 ALTER TABLE `commerce_line_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_line_item` VALUES (12,4,'product','product0032t465',1.00,1411361682,1411361682,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"22\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(15,6,'product','product0032t465',1.00,1411455117,1411455117,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"22\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(16,7,'product','product0032t465',1.00,1411455806,1411455806,'a:1:{s:7:\"context\";a:5:{s:11:\"product_ids\";a:1:{i:0;i:22;}s:19:\"add_to_cart_combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:12:\"display_path\";s:7:\"node/52\";s:6:\"entity\";a:3:{s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:2:\"52\";s:28:\"product_reference_field_name\";s:13:\"field_product\";}}}'),(17,7,'product','product002g332',10.00,1411457634,1411457643,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"21\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(18,7,'commerce_donate','support',1.00,1411546541,1411554336,'a:1:{s:7:\"context\";a:5:{s:11:\"product_ids\";a:1:{i:0;i:23;}s:19:\"add_to_cart_combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:12:\"display_path\";s:7:\"node/61\";s:6:\"entity\";a:3:{s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:2:\"61\";s:28:\"product_reference_field_name\";s:13:\"field_product\";}}}'),(19,6,'product','product002g332',2.00,1411978564,1412061776,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"21\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(20,8,'product','product00233276',1.00,1412067027,1412067027,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"20\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(21,9,'product','product002g332',1.00,1412244867,1412244867,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"21\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(22,10,'product','product002g332',1.00,1412306135,1412306135,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"21\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(23,11,'commerce_donate','donation43123',1.00,1421296949,1423024481,'a:1:{s:7:\"context\";a:5:{s:11:\"product_ids\";a:1:{i:0;i:13;}s:19:\"add_to_cart_combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:12:\"display_path\";s:7:\"node/41\";s:6:\"entity\";a:3:{s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:2:\"41\";s:28:\"product_reference_field_name\";s:13:\"field_product\";}}}'),(24,11,'product','product0032t465',2.00,1422949691,1422954874,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"22\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}'),(25,12,'commerce_donate','support',1.00,1423102807,1509939109,'a:1:{s:7:\"context\";a:5:{s:11:\"product_ids\";a:1:{i:0;i:23;}s:19:\"add_to_cart_combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:12:\"display_path\";s:7:\"node/61\";s:6:\"entity\";a:3:{s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:2:\"61\";s:28:\"product_reference_field_name\";s:13:\"field_product\";}}}'),(26,12,'product','product002g332',1.00,1423102871,1423102871,'a:1:{s:7:\"context\";a:3:{s:11:\"product_ids\";a:1:{i:0;s:2:\"21\";}s:19:\"add_to_cart_combine\";i:1;s:4:\"view\";a:4:{s:9:\"view_name\";s:9:\"view_shop\";s:12:\"display_name\";s:4:\"page\";s:10:\"human_name\";s:4:\"Shop\";s:4:\"page\";N;}}}');
/*!40000 ALTER TABLE `commerce_line_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_order`
--

DROP TABLE IF EXISTS `commerce_order`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_order` (
  `order_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an order.',
  `order_number` varchar(255) DEFAULT NULL COMMENT 'The order number displayed to the customer.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_order_revision.revision_id version identifier.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of this order.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this order.',
  `mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail address associated with the order.',
  `status` varchar(255) NOT NULL COMMENT 'The status name of this order.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the order was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the order was most recently saved.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that created this order.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`order_id`),
  UNIQUE KEY `order_number` (`order_number`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='The base table for orders.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_order`
--

LOCK TABLES `commerce_order` WRITE;
/*!40000 ALTER TABLE `commerce_order` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_order` VALUES (4,'4',14,'commerce_order',0,'test@test.com','checkout_payment',1411361682,1411361803,'::1','a:3:{s:17:\"last_cart_refresh\";i:1411361803;s:14:\"payment_method\";s:38:\"paypal_wps|commerce_payment_paypal_wps\";s:20:\"payment_redirect_key\";s:43:\"NW2otCimck_DtKRgpEePL79GVzDyRkgU2KwJtXb5or8\";}'),(5,'5',19,'commerce_order',1,'youremail@domain.com','cart',1411381020,1411438837,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411443953;}'),(6,'6',20,'commerce_order',1,'youremail@domain.com','cart',1411455117,1412061776,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412065126;}'),(7,'7',25,'commerce_order',12,'andy.wheeler15@example.com','cart',1411455806,1411554336,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411554336;}'),(8,'8',27,'commerce_order',1,'youremail@domain.com','checkout_checkout',1412067027,1412068178,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412241576;}'),(9,'9',29,'commerce_order',1,'youremail@domain.com','checkout_checkout',1412244867,1412302099,'::1','a:1:{s:17:\"last_cart_refresh\";i:1421294975;}'),(10,'10',30,'commerce_order',11,'jamie.rhodes10@example.com','cart',1412306135,1412306135,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412319946;}'),(11,'11',35,'commerce_order',1,'youremail@domain.com','checkout_review',1421296949,1423024481,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1423024481;}'),(12,'12',38,'commerce_order',1,'youremail@domain.com','checkout_checkout',1423102807,1509939109,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1509939109;}');
/*!40000 ALTER TABLE `commerce_order` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_order_revision`
--

DROP TABLE IF EXISTS `commerce_order_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_order_revision` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_order.order_id of the order this revision belongs to.',
  `order_number` varchar(255) DEFAULT NULL COMMENT 'The order number displayed to the customer for this revision.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns the order at this revision.',
  `mail` varchar(255) NOT NULL COMMENT 'The e-mail address associated with the order at this revision.',
  `status` varchar(255) NOT NULL COMMENT 'The status name of this revision.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `revision_hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that created this order.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_order_revision`
--

LOCK TABLES `commerce_order_revision` WRITE;
/*!40000 ALTER TABLE `commerce_order_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_order_revision` VALUES (4,'4',11,0,'','cart','Created as a shopping cart order.',1411361682,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411361686;}'),(4,'4',12,0,'test@test.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1411361696,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411361696;}'),(4,'4',13,0,'test@test.com','checkout_review','Customer continued to the next checkout page via a submit button.',1411361803,'::1','a:2:{s:17:\"last_cart_refresh\";i:1411361803;s:14:\"payment_method\";s:38:\"paypal_wps|commerce_payment_paypal_wps\";}'),(4,'4',14,0,'test@test.com','checkout_payment','Customer continued to the next checkout page via a submit button.',1411361803,'::1','a:3:{s:17:\"last_cart_refresh\";i:1411361803;s:14:\"payment_method\";s:38:\"paypal_wps|commerce_payment_paypal_wps\";s:20:\"payment_redirect_key\";s:43:\"NW2otCimck_DtKRgpEePL79GVzDyRkgU2KwJtXb5or8\";}'),(5,'5',15,1,'youremail@domain.com','cart','Created as a shopping cart order.',1411381020,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411381024;}'),(5,'5',16,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1411381024,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411381084;}'),(5,'5',17,1,'youremail@domain.com','cart','Order status updated via Rules.',1411383687,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411383691;}'),(5,'5',18,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1411383691,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411438837;}'),(5,'5',19,1,'youremail@domain.com','cart','Order status updated via Rules.',1411438837,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411443953;}'),(6,'6',20,1,'youremail@domain.com','cart','Created as a shopping cart order.',1412061776,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412065126;}'),(7,'7',21,0,'','cart','Created as a shopping cart order.',1411457634,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411457643;}'),(7,'7',22,12,'andy.wheeler15@example.com','cart','Customer updated the order via the shopping cart form.',1411462041,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411545793;}'),(7,'7',23,12,'andy.wheeler15@example.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1411545937,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411545937;}'),(7,'7',24,12,'andy.wheeler15@example.com','checkout_review','Customer continued to the next checkout page via a submit button.',1411546541,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411546541;}'),(7,'7',25,12,'andy.wheeler15@example.com','cart','Order status updated via Rules.',1411554336,'::1','a:1:{s:17:\"last_cart_refresh\";i:1411554336;}'),(8,'8',26,0,'','cart','Created as a shopping cart order.',1412067027,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412067032;}'),(8,'8',27,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1412068178,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412241576;}'),(9,'9',28,0,'','cart','Created as a shopping cart order.',1412244867,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412244875;}'),(9,'9',29,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1412302099,'::1','a:1:{s:17:\"last_cart_refresh\";i:1421294975;}'),(10,'10',30,11,'jamie.rhodes10@example.com','cart','Created as a shopping cart order.',1412306135,'::1','a:1:{s:17:\"last_cart_refresh\";i:1412319946;}'),(11,'11',31,1,'youremail@domain.com','cart','Created as a shopping cart order.',1422949701,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1422949701;}'),(11,'11',32,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1422954874,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1422954865;}'),(11,'11',33,1,'youremail@domain.com','cart','Order status updated via Rules.',1422954883,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1422954883;}'),(11,'11',34,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1422954901,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1422954901;}'),(11,'11',35,1,'youremail@domain.com','checkout_review','Customer continued to the next checkout page via a submit button.',1423024481,'127.0.0.1','a:1:{s:17:\"last_cart_refresh\";i:1423024481;}'),(12,'12',36,1,'youremail@domain.com','cart','Created as a shopping cart order.',1425024556,'::1','a:1:{s:17:\"last_cart_refresh\";i:1425024556;}'),(12,'12',37,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1425024982,'::1','a:1:{s:17:\"last_cart_refresh\";i:1425024982;}'),(12,'12',38,1,'youremail@domain.com','checkout_checkout','Customer proceeded to checkout using a submit button.',1509939109,'192.168.1.40','a:1:{s:17:\"last_cart_refresh\";i:1509939109;}');
/*!40000 ALTER TABLE `commerce_order_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_payment_transaction`
--

DROP TABLE IF EXISTS `commerce_payment_transaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_payment_transaction` (
  `transaction_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a transaction.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_payment_transaction_revision.revision_id version identifier.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this transaction.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_order.order_id of the order this payment is for.',
  `payment_method` varchar(128) NOT NULL COMMENT 'The payment method method_id for this transaction.',
  `instance_id` varchar(255) NOT NULL COMMENT 'The payment method instance ID for this transaction.',
  `remote_id` varchar(255) NOT NULL COMMENT 'The remote identifier for this transaction.',
  `message` longtext NOT NULL COMMENT 'The human-readable message associated to this transaction.',
  `message_variables` longblob NOT NULL COMMENT 'The variables associated with the human-readable message.',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The amount of this transaction.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `status` varchar(128) NOT NULL COMMENT 'The status of this transaction (pending, success, or failure).',
  `remote_status` varchar(128) NOT NULL COMMENT 'The status of the transaction at the payment provider.',
  `payload` longblob NOT NULL COMMENT 'The payment-gateway specific payload associated with this transaction.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this transaction was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this transaction was last changed.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`transaction_id`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `payment_method` (`payment_method`),
  KEY `uid` (`uid`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Transaction information for every attempted payment.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_payment_transaction`
--

LOCK TABLES `commerce_payment_transaction` WRITE;
/*!40000 ALTER TABLE `commerce_payment_transaction` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_payment_transaction` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_payment_transaction_revision`
--

DROP TABLE IF EXISTS `commerce_payment_transaction_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_payment_transaction_revision` (
  `transaction_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a transaction.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The current commerce_payment_transaction_revision.revision_id version identifier.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this revision.',
  `remote_id` varchar(255) NOT NULL COMMENT 'The remote identifier for this transaction.',
  `message` longtext NOT NULL COMMENT 'The human-readable message associated to this transaction.',
  `message_variables` longblob NOT NULL COMMENT 'The variables associated with the human-readable message.',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The amount of this transaction.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `status` varchar(128) NOT NULL COMMENT 'The status of this transaction (pending, success, or failure).',
  `remote_status` varchar(128) NOT NULL COMMENT 'The status of the transaction at the payment provider.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `transaction_id` (`transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_payment_transaction_revision`
--

LOCK TABLES `commerce_payment_transaction_revision` WRITE;
/*!40000 ALTER TABLE `commerce_payment_transaction_revision` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_payment_transaction_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_paypal_ipn`
--

DROP TABLE IF EXISTS `commerce_paypal_ipn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_paypal_ipn` (
  `ipn_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Serial numeric ID of the IPN in the local database.',
  `txn_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The PayPal transaction ID.',
  `txn_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The PayPal transaction type.',
  `receiver_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail of the payment receiever.',
  `payer_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail of the payer.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order ID the payment belongs to.',
  `transaction_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The payment transaction ID the payment belongs to.',
  `mc_gross` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'The gross payment amount.',
  `mc_currency` varchar(255) NOT NULL DEFAULT '' COMMENT 'The currency code of the payment.',
  `mc_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'The amount of fees collected by PayPal for this payment.',
  `payment_status` varchar(255) NOT NULL DEFAULT '' COMMENT 'The status of the payment at PayPal.',
  `payment_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of the payment.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the IPN was received.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the IPN was last updated.',
  `test_ipn` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this was a test IPN sent by the Sandbox.',
  PRIMARY KEY (`ipn_id`),
  KEY `txn_id` (`txn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores processed IPNs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_paypal_ipn`
--

LOCK TABLES `commerce_paypal_ipn` WRITE;
/*!40000 ALTER TABLE `commerce_paypal_ipn` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_paypal_ipn` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_product`
--

DROP TABLE IF EXISTS `commerce_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_product` (
  `product_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a product, used internally only.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_product_revision.revision_id version identifier.',
  `sku` varchar(255) NOT NULL COMMENT 'The unique, human-readable identifier for a product.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this product, always treated as non-markup plain text.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The commerce_product_type.type of this product.',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The languages.language of this product.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this product.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether or not the product appears in lists and may be added to orders.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the product was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the product was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`product_id`),
  UNIQUE KEY `sku` (`sku`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `product_type` (`type`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='The base table for products.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_product`
--

LOCK TABLES `commerce_product` WRITE;
/*!40000 ALTER TABLE `commerce_product` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_product` VALUES (1,2,'event001','Mauris sollicitudin fermentum libero','commerce_event','und',1,1,1409098044,1412327588,'b:0;'),(2,3,'helpus','Help us','commerce_event','und',1,1,1409098501,1412327579,'b:0;'),(3,4,'event002','Praesent ac sem eget','commerce_event','und',1,1,1409100892,1412327568,'b:0;'),(4,5,'event003','Phasellus ullamcorper ipsum rutrum','commerce_event','und',1,1,1409100936,1412326581,'b:0;'),(5,6,'event004','Fusce vulputate eleifend sapien','commerce_event','und',1,1,1409100984,1412326522,'b:0;'),(6,7,'event005','Cras risus ipsum faucibus','commerce_event','und',1,1,1409101048,1412334238,'b:0;'),(7,8,'eventhomepage','Sentences That Fit','commerce_event','und',1,1,1409158364,1412149995,'b:0;'),(8,9,'eventhomepage002','The World Face Extinction Everyday','commerce_event','und',1,1,1409161584,1412327555,'b:0;'),(9,10,'donation','Fusce vulputate eleifend sapien','donation','und',1,1,1409177770,1411686558,'b:0;'),(10,11,'donation002','Pellentesque habitant morbi tristique','donation','und',1,1,1409179687,1411686586,'b:0;'),(11,12,'donation005','Phasellus accumsan cursus velit','donation','und',1,1,1409179849,1411686479,'b:0;'),(12,13,'donation003123','Phasellus ullamcorper ipsum rutrum','donation','und',1,1,1409179907,1411686449,'b:0;'),(13,14,'donation43123','Aenean tellus metus bibendum','donation','und',1,1,1409179961,1411686404,'b:0;'),(14,15,'donation43543','Nunc egestas augue at','donation','und',1,1,1409179993,1411686374,'b:0;'),(15,16,'product001','Donec in nisi.','product','und',1,1,1410145457,1412327676,'b:0;'),(16,17,'product002','Donec in nisi.','product','und',1,1,1410129590,1412327774,'b:0;'),(17,18,'product0032','Phasellus ullamcorper ipsum rutrum','product','und',1,1,1410129880,1412327758,'b:0;'),(18,19,'product002332','Pellentesque habitant morbi tristique','product','und',1,1,1410129913,1412327745,'b:0;'),(19,20,'product01232','Morbi mollis tellus ac','product','und',1,1,1410129948,1412327734,'b:0;'),(20,21,'product00233276','Curabitur blandit mollis lacus','product','und',1,1,1410129974,1412327721,'b:0;'),(21,22,'product002g332','Donec orci lectus aliquam','product','und',1,1,1410130035,1412327706,'b:0;'),(22,23,'product0032t465','Vestibulum ullamcorper mauris at','product','und',1,1,1410130720,1412327694,'b:0;'),(23,24,'support','Support Hermio Foundation','commerce_event','und',1,1,1410929702,1412326476,'b:0;'),(24,25,'donate543234','For A Better Life','donation','und',1,1,1411380021,1411682108,'b:0;'),(25,26,'donate5434','Help Save','donation','und',1,1,1411380112,1411682052,'b:0;');
/*!40000 ALTER TABLE `commerce_product` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_product_revision`
--

DROP TABLE IF EXISTS `commerce_product_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_product_revision` (
  `product_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_product.product_id of the product this revision belongs to.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `sku` varchar(255) NOT NULL COMMENT 'The unique, human-readable identifier of a product for this revision.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this product for this revision',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns the product at this revision.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The status of this revision.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data for this revision.',
  PRIMARY KEY (`revision_id`),
  KEY `product_id` (`product_id`),
  KEY `revision_uid` (`revision_uid`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_product_revision`
--

LOCK TABLES `commerce_product_revision` WRITE;
/*!40000 ALTER TABLE `commerce_product_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_product_revision` VALUES (1,1,'event001','Mauris sollicitudin fermentum libero',1,1,'',1409098044,NULL),(1,2,'event001','Mauris sollicitudin fermentum libero',1,1,'',1412327588,'b:0;'),(2,3,'helpus','Help us',1,1,'',1412327579,'b:0;'),(3,4,'event002','Praesent ac sem eget',1,1,'',1412327568,'b:0;'),(4,5,'event003','Phasellus ullamcorper ipsum rutrum',1,1,'',1412326581,'b:0;'),(5,6,'event004','Fusce vulputate eleifend sapien',1,1,'',1412326522,'b:0;'),(6,7,'event005','Cras risus ipsum faucibus',1,1,'',1412334238,'b:0;'),(7,8,'eventhomepage','Sentences That Fit',1,1,'',1412149995,'b:0;'),(8,9,'eventhomepage002','The World Face Extinction Everyday',1,1,'',1412327555,'b:0;'),(9,10,'donation','Fusce vulputate eleifend sapien',1,1,'',1411686558,'b:0;'),(10,11,'donation002','Pellentesque habitant morbi tristique',1,1,'',1411686586,'b:0;'),(11,12,'donation005','Phasellus accumsan cursus velit',1,1,'',1411686479,'b:0;'),(12,13,'donation003123','Phasellus ullamcorper ipsum rutrum',1,1,'',1411686449,'b:0;'),(13,14,'donation43123','Aenean tellus metus bibendum',1,1,'',1411686404,'b:0;'),(14,15,'donation43543','Nunc egestas augue at',1,1,'',1411686374,'b:0;'),(15,16,'product001','Donec in nisi.',1,1,'',1412327676,'b:0;'),(16,17,'product002','Donec in nisi.',1,1,'',1412327774,'b:0;'),(17,18,'product0032','Phasellus ullamcorper ipsum rutrum',1,1,'',1412327758,'b:0;'),(18,19,'product002332','Pellentesque habitant morbi tristique',1,1,'',1412327745,'b:0;'),(19,20,'product01232','Morbi mollis tellus ac',1,1,'',1412327734,'b:0;'),(20,21,'product00233276','Curabitur blandit mollis lacus',1,1,'',1412327721,'b:0;'),(21,22,'product002g332','Donec orci lectus aliquam',1,1,'',1412327706,'b:0;'),(22,23,'product0032t465','Vestibulum ullamcorper mauris at',1,1,'',1412327694,'b:0;'),(23,24,'support','Support Hermio Foundation',1,1,'',1412326476,'b:0;'),(24,25,'donate543234','For A Better Life',1,1,'',1411682108,'b:0;'),(25,26,'donate5434','Help Save',1,1,'',1411682052,'b:0;');
/*!40000 ALTER TABLE `commerce_product_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_product_type`
--

DROP TABLE IF EXISTS `commerce_product_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_product_type` (
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a commerce_product of this type.',
  `revision` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Determine whether to create a new revision when a product of this type is updated.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about commerce_product types created...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_product_type`
--

LOCK TABLES `commerce_product_type` WRITE;
/*!40000 ALTER TABLE `commerce_product_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_product_type` VALUES ('commerce_event','Event','','',1),('product','Product','A basic product type.','',1);
/*!40000 ALTER TABLE `commerce_product_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_tax_rate`
--

DROP TABLE IF EXISTS `commerce_tax_rate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_tax_rate` (
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of this rate.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The administrative title of this rate.',
  `display_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The front end display title of this rate.',
  `description` mediumtext COMMENT 'A brief description of this rate.',
  `rate` varchar(64) NOT NULL DEFAULT '0' COMMENT 'The percentage used to calculate this tax expressed as a decimal.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of the rate’s commerce_tax_type.',
  `default_rules_component` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this rate should have a default Rules component for applying it to products.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that defines this tax type.',
  PRIMARY KEY (`name`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about tax rates created via Tax UI.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_tax_rate`
--

LOCK TABLES `commerce_tax_rate` WRITE;
/*!40000 ALTER TABLE `commerce_tax_rate` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `commerce_tax_rate` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `commerce_tax_type`
--

DROP TABLE IF EXISTS `commerce_tax_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `commerce_tax_type` (
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of this type.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The administrative title of this type.',
  `display_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The front end display title of this type.',
  `description` mediumtext COMMENT 'A brief description of this type.',
  `display_inclusive` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not taxes of this type display inclusively in product prices.',
  `round_mode` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Integer indicating what type of rounding (if any) should be done for taxes of this type.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that defines this tax type.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about tax types created via Tax UI.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commerce_tax_type`
--

LOCK TABLES `commerce_tax_type` WRITE;
/*!40000 ALTER TABLE `commerce_tax_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `commerce_tax_type` VALUES ('sales_tax','Sales tax','Sales tax','A basic type for taxes that do not display inclusive with product prices.',0,0,'commerce_tax_ui'),('vat','VAT','VAT','A basic type for taxes that display inclusive with product prices.',1,1,'commerce_tax_ui');
/*!40000 ALTER TABLE `commerce_tax_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `contact` VALUES (1,'Website feedback','youremail@domain.com','',0,1);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `context`
--

DROP TABLE IF EXISTS `context`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The primary identifier for a context.',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT 'Description for this context.',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Tag for this context.',
  `conditions` text COMMENT 'Serialized storage of all context condition settings.',
  `reactions` text COMMENT 'Serialized storage of all context reaction settings.',
  `condition_mode` int(11) DEFAULT '0' COMMENT 'Condition mode for this context.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Storage for normal (user-defined) contexts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `context`
--

LOCK TABLES `context` WRITE;
/*!40000 ALTER TABLE `context` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `context` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item`
--

DROP TABLE IF EXISTS `field_collection_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique field collection item ID.',
  `revision_id` int(11) NOT NULL COMMENT 'Default revision ID.',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of the field on the host entity embedding this entity.',
  `archived` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the field collection item is archived.',
  PRIMARY KEY (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item`
--

LOCK TABLES `field_collection_item` WRITE;
/*!40000 ALTER TABLE `field_collection_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item` VALUES (1,1,'field_content',0),(2,2,'field_content',0),(3,3,'field_bean_content',0),(4,4,'field_bean_content',0),(5,5,'field_bean_content',0),(6,6,'field_bean_content',0),(7,7,'field_bean_content',0),(8,8,'field_bean_content',0),(9,9,'field_content',0),(10,10,'field_content',0);
/*!40000 ALTER TABLE `field_collection_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item_revision`
--

DROP TABLE IF EXISTS `field_collection_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item_revision` (
  `revision_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique revision ID.',
  `item_id` int(11) NOT NULL COMMENT 'Field collection item ID.',
  PRIMARY KEY (`revision_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores revision information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item_revision`
--

LOCK TABLES `field_collection_item_revision` WRITE;
/*!40000 ALTER TABLE `field_collection_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item_revision` VALUES (1,1),(2,2),(3,3),(4,4),(5,5),(6,6),(7,7),(8,8),(9,9),(10,10);
/*!40000 ALTER TABLE `field_collection_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:8:\"settings\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";}s:2:\"id\";s:1:\"2\";}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"3\";}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:2:\"id\";s:1:\"4\";}',1,0,0),(10,'field_field_blog_types','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"blog_types\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(11,'field_slideshow','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"11\";}',1,0,0),(12,'field_blog_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"blog_types\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_blog_type\";a:1:{s:3:\"tid\";s:19:\"field_blog_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_blog_type\";a:1:{s:3:\"tid\";s:19:\"field_blog_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"12\";}',1,0,0),(13,'commerce_customer_address','addressfield','addressfield',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:25:\"commerce_customer_profile\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}}',1,0,0),(14,'commerce_line_items','commerce_line_item_reference','commerce_line_item',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:14:\"commerce_order\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:12:\"line_item_id\";a:2:{s:5:\"table\";s:18:\"commerce_line_item\";s:7:\"columns\";a:1:{s:12:\"line_item_id\";s:12:\"line_item_id\";}}}s:7:\"indexes\";a:1:{s:12:\"line_item_id\";a:1:{i:0;s:12:\"line_item_id\";}}}',-1,0,0),(15,'commerce_order_total','commerce_price','commerce_price',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:14:\"commerce_order\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:14:\"currency_price\";a:2:{i:0;s:6:\"amount\";i:1;s:13:\"currency_code\";}}}',1,0,0),(16,'commerce_customer_billing','commerce_customer_profile_reference','commerce_customer',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:14:\"commerce_order\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:2:{s:12:\"profile_type\";s:7:\"billing\";s:18:\"options_list_limit\";i:50;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:10:\"profile_id\";a:2:{s:5:\"table\";s:25:\"commerce_customer_profile\";s:7:\"columns\";a:1:{s:10:\"profile_id\";s:10:\"profile_id\";}}}s:7:\"indexes\";a:1:{s:10:\"profile_id\";a:1:{i:0;s:10:\"profile_id\";}}}',1,0,0),(17,'commerce_price','commerce_price','commerce_price',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:1:{i:0;s:16:\"commerce_product\";}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:14:\"currency_price\";a:2:{i:0;s:6:\"amount\";i:1;s:13:\"currency_code\";}}s:8:\"settings\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_commerce_price\";a:3:{s:6:\"amount\";s:21:\"commerce_price_amount\";s:13:\"currency_code\";s:28:\"commerce_price_currency_code\";s:4:\"data\";s:19:\"commerce_price_data\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_commerce_price\";a:3:{s:6:\"amount\";s:21:\"commerce_price_amount\";s:13:\"currency_code\";s:28:\"commerce_price_currency_code\";s:4:\"data\";s:19:\"commerce_price_data\";}}}}}s:2:\"id\";s:2:\"17\";}',1,0,0),(18,'field_product','commerce_product_reference','commerce_product_reference',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:1:{s:10:\"product_id\";a:2:{s:5:\"table\";s:16:\"commerce_product\";s:7:\"columns\";a:1:{s:10:\"product_id\";s:10:\"product_id\";}}}s:7:\"indexes\";a:1:{s:10:\"product_id\";a:1:{i:0;s:10:\"product_id\";}}s:8:\"settings\";a:1:{s:18:\"options_list_limit\";s:0:\"\";}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_product\";a:1:{s:10:\"product_id\";s:24:\"field_product_product_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_product\";a:1:{s:10:\"product_id\";s:24:\"field_product_product_id\";}}}}}s:2:\"id\";s:2:\"18\";}',1,0,0),(19,'commerce_unit_price','commerce_price','commerce_price',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:18:\"commerce_line_item\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:14:\"currency_price\";a:2:{i:0;s:6:\"amount\";i:1;s:13:\"currency_code\";}}}',1,0,0),(20,'commerce_total','commerce_price','commerce_price',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:18:\"commerce_line_item\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:14:\"currency_price\";a:2:{i:0;s:6:\"amount\";i:1;s:13:\"currency_code\";}}}',1,0,0),(21,'commerce_product','commerce_product_reference','commerce_product_reference',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:18:\"commerce_line_item\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:1:{s:18:\"options_list_limit\";N;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:10:\"product_id\";a:2:{s:5:\"table\";s:16:\"commerce_product\";s:7:\"columns\";a:1:{s:10:\"product_id\";s:10:\"product_id\";}}}s:7:\"indexes\";a:1:{s:10:\"product_id\";a:1:{i:0;s:10:\"product_id\";}}}',1,0,0),(22,'commerce_display_path','text','text',1,'field_sql_storage','field_sql_storage',1,1,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:18:\"commerce_line_item\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(23,'commerce_donate_amount','number_decimal','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:1:{i:0;s:18:\"commerce_line_item\";}s:12:\"translatable\";s:1:\"0\";s:8:\"settings\";a:3:{s:9:\"precision\";i:10;s:5:\"scale\";i:2;s:17:\"decimal_separator\";s:1:\".\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:33:\"field_data_commerce_donate_amount\";a:1:{s:5:\"value\";s:28:\"commerce_donate_amount_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:37:\"field_revision_commerce_donate_amount\";a:1:{s:5:\"value\";s:28:\"commerce_donate_amount_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"23\";}',1,0,0),(24,'field_field_event_types','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:11:\"event_types\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(25,'field_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:11:\"event_types\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_type\";a:1:{s:3:\"tid\";s:14:\"field_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_type\";a:1:{s:3:\"tid\";s:14:\"field_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"25\";}',1,0,0),(26,'field_donate_counter','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:31:\"field_data_field_donate_counter\";a:1:{s:5:\"value\";s:26:\"field_donate_counter_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:35:\"field_revision_field_donate_counter\";a:1:{s:5:\"value\";s:26:\"field_donate_counter_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"26\";}',1,0,0),(27,'field_donate_total','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_donate_total\";a:1:{s:5:\"value\";s:24:\"field_donate_total_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_donate_total\";a:1:{s:5:\"value\";s:24:\"field_donate_total_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"27\";}',1,0,0),(28,'field_donate_goal','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_donate_goal\";a:1:{s:5:\"value\";s:23:\"field_donate_goal_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_donate_goal\";a:1:{s:5:\"value\";s:23:\"field_donate_goal_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"28\";}',1,0,0),(29,'field_gallery','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"29\";}',-1,0,0),(32,'field_simplenews_term','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"translatable\";b:1;s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:6:\"parent\";i:0;s:10:\"vocabulary\";s:10:\"newsletter\";}}}s:12:\"entity_types\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',1,1,0),(33,'field_link','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"33\";}',1,0,0),(39,'field_statistic_description','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:38:\"field_data_field_statistic_description\";a:3:{s:5:\"value\";s:33:\"field_statistic_description_value\";s:7:\"summary\";s:35:\"field_statistic_description_summary\";s:6:\"format\";s:34:\"field_statistic_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:42:\"field_revision_field_statistic_description\";a:3:{s:5:\"value\";s:33:\"field_statistic_description_value\";s:7:\"summary\";s:35:\"field_statistic_description_summary\";s:6:\"format\";s:34:\"field_statistic_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"39\";}',1,0,0),(40,'field_content','field_collection','field_collection',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:16:\"hide_blank_items\";i:1;s:4:\"path\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_content\";a:2:{s:5:\"value\";s:19:\"field_content_value\";s:11:\"revision_id\";s:25:\"field_content_revision_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_content\";a:2:{s:5:\"value\";s:19:\"field_content_value\";s:11:\"revision_id\";s:25:\"field_content_revision_id\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:2:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:2:\"id\";s:2:\"40\";}',-1,0,0),(41,'field_video','video_embed_field','video_embed_field',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_video\";a:5:{s:9:\"video_url\";s:21:\"field_video_video_url\";s:14:\"thumbnail_path\";s:26:\"field_video_thumbnail_path\";s:10:\"video_data\";s:22:\"field_video_video_data\";s:10:\"embed_code\";s:22:\"field_video_embed_code\";s:11:\"description\";s:23:\"field_video_description\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_video\";a:5:{s:9:\"video_url\";s:21:\"field_video_video_url\";s:14:\"thumbnail_path\";s:26:\"field_video_thumbnail_path\";s:10:\"video_data\";s:22:\"field_video_video_data\";s:10:\"embed_code\";s:22:\"field_video_embed_code\";s:11:\"description\";s:23:\"field_video_description\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"41\";}',1,0,0),(42,'field_full_name','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"42\";}',1,0,0),(43,'field_description','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_description\";a:3:{s:5:\"value\";s:23:\"field_description_value\";s:7:\"summary\";s:25:\"field_description_summary\";s:6:\"format\";s:24:\"field_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_description\";a:3:{s:5:\"value\";s:23:\"field_description_value\";s:7:\"summary\";s:25:\"field_description_summary\";s:6:\"format\";s:24:\"field_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"43\";}',1,0,0),(44,'field_phone','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"44\";}',1,0,0),(45,'field_email','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_email\";a:2:{s:5:\"value\";s:17:\"field_email_value\";s:6:\"format\";s:18:\"field_email_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_email\";a:2:{s:5:\"value\";s:17:\"field_email_value\";s:6:\"format\";s:18:\"field_email_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"45\";}',1,0,0),(46,'field_facebook','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"46\";}',1,0,0),(47,'field_twitter','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"47\";}',1,0,0),(48,'field_gplus','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_gplus\";a:3:{s:3:\"url\";s:15:\"field_gplus_url\";s:5:\"title\";s:17:\"field_gplus_title\";s:10:\"attributes\";s:22:\"field_gplus_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_gplus\";a:3:{s:3:\"url\";s:15:\"field_gplus_url\";s:5:\"title\";s:17:\"field_gplus_title\";s:10:\"attributes\";s:22:\"field_gplus_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"48\";}',1,0,0),(49,'field_instagram','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_instagram\";a:3:{s:3:\"url\";s:19:\"field_instagram_url\";s:5:\"title\";s:21:\"field_instagram_title\";s:10:\"attributes\";s:26:\"field_instagram_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_instagram\";a:3:{s:3:\"url\";s:19:\"field_instagram_url\";s:5:\"title\";s:21:\"field_instagram_title\";s:10:\"attributes\";s:26:\"field_instagram_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"49\";}',1,0,0),(50,'field_position','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"position\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"50\";}',1,0,0),(51,'field_gender','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"gender\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"51\";}',1,0,0),(52,'field_text','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_text\";a:2:{s:5:\"value\";s:16:\"field_text_value\";s:6:\"format\";s:17:\"field_text_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_text\";a:2:{s:5:\"value\";s:16:\"field_text_value\";s:6:\"format\";s:17:\"field_text_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"52\";}',1,0,0),(54,'field_product_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:30:\"field_data_field_product_image\";a:5:{s:3:\"fid\";s:23:\"field_product_image_fid\";s:3:\"alt\";s:23:\"field_product_image_alt\";s:5:\"title\";s:25:\"field_product_image_title\";s:5:\"width\";s:25:\"field_product_image_width\";s:6:\"height\";s:26:\"field_product_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:34:\"field_revision_field_product_image\";a:5:{s:3:\"fid\";s:23:\"field_product_image_fid\";s:3:\"alt\";s:23:\"field_product_image_alt\";s:5:\"title\";s:25:\"field_product_image_title\";s:5:\"width\";s:25:\"field_product_image_width\";s:6:\"height\";s:26:\"field_product_image_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"54\";}',-1,0,0),(55,'field_bean_content','field_collection','field_collection',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:16:\"hide_blank_items\";i:1;s:4:\"path\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_bean_content\";a:2:{s:5:\"value\";s:24:\"field_bean_content_value\";s:11:\"revision_id\";s:30:\"field_bean_content_revision_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_bean_content\";a:2:{s:5:\"value\";s:24:\"field_bean_content_value\";s:11:\"revision_id\";s:30:\"field_bean_content_revision_id\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:2:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:2:\"id\";s:2:\"55\";}',-1,0,0),(57,'field_statistic_amount','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:33:\"field_data_field_statistic_amount\";a:2:{s:5:\"value\";s:28:\"field_statistic_amount_value\";s:6:\"format\";s:29:\"field_statistic_amount_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:37:\"field_revision_field_statistic_amount\";a:2:{s:5:\"value\";s:28:\"field_statistic_amount_value\";s:6:\"format\";s:29:\"field_statistic_amount_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"57\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=117 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";i:-4;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";i:0;s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"weight\";i:-1;s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}}}',0),(7,5,'field_newsletter_categories','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(8,3,'field_tags','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(9,8,'field_list_description','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"text_textfield\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(10,6,'field_newsletter_list','newsletter_subscriber','newsletter_subscriber','a:6:{s:5:\"label\";s:5:\"Lists\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"newsletter_list\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:0;}}s:11:\"description\";s:0:\"\";}',1),(11,7,'field_newsletter_template','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Template\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"newsletter_template\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',1),(12,9,'field_newsletter_body','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(13,9,'field_newsletter_body','newsletter_newsletter','newsletter_newsletter','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(14,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(15,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(16,11,'field_slideshow','node','blog','a:6:{s:5:\"label\";s:9:\"Slideshow\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(17,4,'field_image','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:10:\"field/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:19:\"thumbnail_848_x_424\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(18,12,'field_blog_type','node','blog','a:7:{s:5:\"label\";s:9:\"Blog Type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:3:\"tid\";s:1:\"1\";}}}',0),(19,3,'field_tags','node','blog','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(20,13,'commerce_customer_address','commerce_customer_profile','billing','a:6:{s:5:\"label\";s:7:\"Address\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"addressfield_standard\";s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:15:\"format_handlers\";a:2:{i:0;s:7:\"address\";i:1;s:12:\"name-oneline\";}s:19:\"available_countries\";a:0:{}s:15:\"default_country\";s:0:\"\";}s:6:\"module\";s:12:\"addressfield\";}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:12:\"addressfield\";}s:8:\"customer\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:12:\"addressfield\";}s:13:\"administrator\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:12:\"addressfield\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(21,14,'commerce_line_items','commerce_order','commerce_order','a:6:{s:5:\"label\";s:10:\"Line items\";s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"commerce_line_item_manager\";s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}s:6:\"module\";s:18:\"commerce_line_item\";}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:33:\"commerce_line_item_reference_view\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"view\";s:32:\"commerce_line_item_table|default\";}s:6:\"module\";s:18:\"commerce_line_item\";}s:8:\"customer\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:33:\"commerce_line_item_reference_view\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"view\";s:32:\"commerce_line_item_table|default\";}s:6:\"module\";s:18:\"commerce_line_item\";}s:13:\"administrator\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:33:\"commerce_line_item_reference_view\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"view\";s:32:\"commerce_line_item_table|default\";}s:6:\"module\";s:18:\"commerce_line_item\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(22,15,'commerce_order_total','commerce_order','commerce_order','a:6:{s:5:\"label\";s:11:\"Order total\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:-8;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:5:{s:13:\"administrator\";a:5:{s:4:\"type\";s:35:\"commerce_price_formatted_components\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:-8;s:6:\"module\";s:14:\"commerce_price\";}s:8:\"customer\";a:5:{s:4:\"type\";s:35:\"commerce_price_formatted_components\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:-8;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:4:\"type\";s:35:\"commerce_price_formatted_components\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:-8;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:4:\"type\";s:35:\"commerce_price_formatted_components\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:-8;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:4:\"type\";s:35:\"commerce_price_formatted_components\";s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:-8;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(23,16,'commerce_customer_billing','commerce_order','commerce_order','a:6:{s:5:\"label\";s:19:\"Billing information\";s:6:\"widget\";a:4:{s:4:\"type\";s:33:\"commerce_customer_profile_manager\";s:6:\"weight\";i:-5;s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"commerce_customer\";}s:7:\"display\";a:3:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:43:\"commerce_customer_profile_reference_display\";s:6:\"weight\";i:-5;s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"commerce_customer\";}s:8:\"customer\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:43:\"commerce_customer_profile_reference_display\";s:6:\"weight\";i:-5;s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"commerce_customer\";}s:13:\"administrator\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:43:\"commerce_customer_profile_reference_display\";s:6:\"weight\";i:-5;s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"commerce_customer\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(24,17,'commerce_price','commerce_product','donation','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:10:{s:26:\"commerce_line_item_display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"1\";}s:4:\"full\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:9:\"line_item\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:9:\"node_full\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:8:\"node_rss\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:17:\"node_search_index\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:18:\"node_search_result\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:6:\"weight\";i:0;}}s:5:\"label\";s:5:\"Price\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:14:\"commerce_price\";s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:0;}}',0),(25,2,'body','node','donation','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:3:{s:15:\"child_menu_list\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:0;}}s:5:\"label\";s:4:\"Body\";s:8:\"required\";b:0;s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";s:1:\"2\";}}',0),(26,18,'field_product','node','donation','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:3:{s:15:\"child_menu_list\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:6:{s:7:\"combine\";i:1;s:16:\"default_quantity\";s:1:\"1\";s:14:\"line_item_type\";s:15:\"commerce_donate\";s:13:\"show_quantity\";i:0;s:30:\"show_single_product_attributes\";b:0;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"commerce_cart\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:0;}}s:5:\"label\";s:7:\"Product\";s:8:\"required\";i:0;s:8:\"settings\";a:3:{s:15:\"field_injection\";i:1;s:19:\"referenceable_types\";a:2:{s:8:\"donation\";s:8:\"donation\";s:7:\"product\";i:0;}s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"active\";i:1;s:6:\"module\";s:18:\"inline_entity_form\";s:8:\"settings\";a:2:{s:6:\"fields\";a:0:{}s:13:\"type_settings\";a:0:{}}s:4:\"type\";s:25:\"inline_entity_form_single\";s:6:\"weight\";s:1:\"3\";}}',0),(27,19,'commerce_unit_price','commerce_line_item','product','a:6:{s:5:\"label\";s:10:\"Unit price\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:4:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(28,20,'commerce_total','commerce_line_item','product','a:6:{s:5:\"label\";s:5:\"Total\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:4:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(29,21,'commerce_product','commerce_line_item','product','a:6:{s:5:\"label\";s:7:\"Product\";s:8:\"required\";b:1;s:8:\"settings\";a:3:{s:19:\"referenceable_types\";a:0:{}s:15:\"field_injection\";b:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:39:\"commerce_product_reference_autocomplete\";s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:18:\"autocomplete_match\";s:8:\"contains\";s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:29:\"commerce_product/autocomplete\";}s:6:\"module\";s:26:\"commerce_product_reference\";}s:7:\"display\";a:2:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"weight\";i:0;s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:8:\"settings\";a:5:{s:13:\"show_quantity\";b:0;s:16:\"default_quantity\";i:1;s:7:\"combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:14:\"line_item_type\";s:7:\"product\";}s:6:\"module\";s:13:\"commerce_cart\";}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:8:\"settings\";a:5:{s:13:\"show_quantity\";b:0;s:16:\"default_quantity\";i:1;s:7:\"combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:14:\"line_item_type\";s:7:\"product\";}s:6:\"module\";s:13:\"commerce_cart\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',0),(30,22,'commerce_display_path','commerce_line_item','product','a:6:{s:5:\"label\";s:12:\"Display path\";s:8:\"required\";b:1;s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:7:\"display\";a:2:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"weight\";i:0;s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:3;}}s:11:\"description\";s:0:\"\";}',0),(31,19,'commerce_unit_price','commerce_line_item','commerce_donate','a:6:{s:5:\"label\";s:10:\"Unit price\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:4:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(32,20,'commerce_total','commerce_line_item','commerce_donate','a:6:{s:5:\"label\";s:5:\"Total\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:4:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"weight\";i:1;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(33,21,'commerce_product','commerce_line_item','commerce_donate','a:6:{s:5:\"label\";s:7:\"Product\";s:8:\"required\";b:1;s:8:\"settings\";a:3:{s:19:\"referenceable_types\";a:0:{}s:15:\"field_injection\";b:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:39:\"commerce_product_reference_autocomplete\";s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:18:\"autocomplete_match\";s:8:\"contains\";s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:29:\"commerce_product/autocomplete\";}s:6:\"module\";s:26:\"commerce_product_reference\";}s:7:\"display\";a:2:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"weight\";i:0;s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:8:\"settings\";a:5:{s:13:\"show_quantity\";b:0;s:16:\"default_quantity\";i:1;s:7:\"combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:14:\"line_item_type\";s:7:\"product\";}s:6:\"module\";s:13:\"commerce_cart\";}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:8:\"settings\";a:5:{s:13:\"show_quantity\";b:0;s:16:\"default_quantity\";i:1;s:7:\"combine\";b:1;s:30:\"show_single_product_attributes\";b:0;s:14:\"line_item_type\";s:7:\"product\";}s:6:\"module\";s:13:\"commerce_cart\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',0),(34,22,'commerce_display_path','commerce_line_item','commerce_donate','a:6:{s:5:\"label\";s:12:\"Display path\";s:8:\"required\";b:1;s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:7:\"display\";a:2:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"weight\";i:0;s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:3;}}s:11:\"description\";s:0:\"\";}',0),(35,23,'commerce_donate_amount','commerce_line_item','commerce_donate','a:8:{s:5:\"label\";s:24:\"Select a donation amount\";s:8:\"required\";i:1;s:22:\"commerce_cart_settings\";a:1:{s:12:\"field_access\";i:1;}s:8:\"settings\";a:5:{s:3:\"min\";s:1:\"1\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:1:\"$\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:23:\"select_or_other_buttons\";s:6:\"module\";s:15:\"select_or_other\";s:6:\"active\";i:1;s:8:\"settings\";a:8:{s:17:\"available_options\";s:36:\"5|5.00\r\n10|10.00\r\n20|20.00\r\n50|50.00\";s:21:\"available_options_php\";s:0:\"\";s:5:\"other\";s:5:\"Other\";s:11:\"other_title\";s:0:\"\";s:22:\"other_unknown_defaults\";s:5:\"other\";s:10:\"other_size\";s:2:\"60\";s:12:\"sort_options\";i:0;s:28:\"markup_available_options_php\";s:12:\"&lt;none&gt;\";}}s:7:\"display\";a:2:{s:7:\"display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:6:\"weight\";i:0;s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:2;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";}s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:2;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";s:6:\"weight\";i:4;}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:1:\"5\";}}s:11:\"description\";s:0:\"\";}',0),(36,17,'commerce_price','commerce_product','product','a:6:{s:5:\"label\";s:5:\"Price\";s:8:\"required\";b:1;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}s:6:\"module\";s:14:\"commerce_price\";}s:7:\"display\";a:12:{s:4:\"full\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:5:\"token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:9:\"line_item\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:9:\"node_full\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:11:\"node_teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:8:\"node_rss\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:17:\"node_search_index\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:18:\"node_search_result\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:10:\"node_token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:26:\"commerce_line_item_display\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:24:\"commerce_line_item_token\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:21:\"calculated_sell_price\";}s:6:\"weight\";i:0;s:6:\"module\";s:14:\"commerce_price\";}}s:11:\"description\";s:0:\"\";}',0),(37,1,'comment_body','comment','comment_node_donation','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(38,4,'field_image','taxonomy_term','event_types','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:17:\"field/event_types\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(39,1,'comment_body','comment','comment_node_event','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(40,2,'body','node','event','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:11:\"view-header\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(41,25,'field_type','node','event','a:7:{s:5:\"label\";s:4:\"Type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(42,4,'field_image','node','event','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/event\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(43,26,'field_donate_counter','node','event','a:7:{s:5:\"label\";s:14:\"Donate Counter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:5:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:14:\"donate-counter\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:1:\"0\";}}}',0),(44,27,'field_donate_total','node','event','a:7:{s:5:\"label\";s:12:\"Donate Total\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:1:\"$\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:5:{s:18:\"thousand_separator\";s:1:\",\";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:12:\"donate-total\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:1:\"0\";}}}',0),(45,28,'field_donate_goal','node','event','a:7:{s:5:\"label\";s:11:\"Donate Goal\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:1:\"$\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:5:{s:18:\"thousand_separator\";s:1:\",\";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:11:\"donate-goal\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:1:\"0\";}}}',0),(46,3,'field_tags','node','event','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(53,18,'field_product','node','event','a:6:{s:5:\"label\";s:7:\"Product\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:25:\"inline_entity_form_single\";s:6:\"module\";s:18:\"inline_entity_form\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:6:\"fields\";a:0:{}s:13:\"type_settings\";a:7:{s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:17:\"delete_references\";i:1;s:15:\"override_labels\";i:0;s:14:\"label_singular\";s:7:\"product\";s:12:\"label_plural\";s:8:\"products\";s:18:\"autogenerate_title\";i:0;}}}s:8:\"settings\";a:3:{s:15:\"field_injection\";i:1;s:19:\"referenceable_types\";a:3:{s:14:\"commerce_event\";s:14:\"commerce_event\";s:8:\"donation\";i:0;s:7:\"product\";i:0;}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:6:{s:13:\"show_quantity\";i:0;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:30:\"show_single_product_attributes\";i:0;s:14:\"line_item_type\";s:15:\"commerce_donate\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"commerce_cart\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(54,17,'commerce_price','commerce_product','commerce_event','a:7:{s:5:\"label\";s:5:\"Price\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:19:\"commerce_price_full\";s:6:\"module\";s:14:\"commerce_price\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:13:\"currency_code\";s:7:\"default\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}s:6:\"module\";s:14:\"commerce_price\";s:6:\"weight\";i:0;}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:3:{s:6:\"amount\";i:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}}}',0),(55,1,'comment_body','comment','comment_node_gallery','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(56,2,'body','node','gallery','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"2\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(57,29,'field_gallery','node','gallery','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"slideshow\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:31:{s:21:\"slideshow_image_style\";s:0:\"\";s:14:\"slideshow_link\";s:0:\"\";s:17:\"slideshow_caption\";s:0:\"\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:0;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:5:\"image\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:6:\"medium\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;s:21:\"field_formatter_class\";s:0:\"\";s:30:\"slideshow_colorbox_image_style\";s:0:\"\";s:28:\"slideshow_colorbox_slideshow\";s:0:\"\";s:34:\"slideshow_colorbox_slideshow_speed\";s:4:\"4000\";s:29:\"slideshow_colorbox_transition\";s:7:\"elastic\";s:24:\"slideshow_colorbox_speed\";s:3:\"350\";s:32:\"slideshow_field_collection_image\";s:0:\"\";}s:6:\"module\";s:15:\"field_slideshow\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(58,1,'comment_body','comment','comment_node_sponsor','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(59,2,'body','node','sponsor','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"3\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(60,4,'field_image','node','sponsor','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/sponsor\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(61,4,'field_image','node','donation','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:14:\"field/donation\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:17:\"thumbnail_555x275\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(64,1,'comment_body','comment','comment_node_product','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(65,2,'body','node','product','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:2:{s:11:\"trim_length\";i:600;s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(68,18,'field_product','node','product','a:6:{s:5:\"label\";s:7:\"Product\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:25:\"inline_entity_form_single\";s:6:\"module\";s:18:\"inline_entity_form\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:6:\"fields\";a:0:{}s:13:\"type_settings\";a:7:{s:14:\"allow_existing\";b:0;s:14:\"match_operator\";s:8:\"CONTAINS\";s:17:\"delete_references\";i:1;s:15:\"override_labels\";i:0;s:14:\"label_singular\";s:7:\"product\";s:12:\"label_plural\";s:8:\"products\";s:18:\"autogenerate_title\";i:0;}}}s:8:\"settings\";a:3:{s:15:\"field_injection\";i:1;s:19:\"referenceable_types\";a:3:{s:7:\"product\";s:7:\"product\";s:8:\"donation\";i:0;s:14:\"commerce_event\";i:0;}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:30:\"commerce_cart_add_to_cart_form\";s:6:\"weight\";s:2:\"11\";s:8:\"settings\";a:6:{s:13:\"show_quantity\";i:1;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:30:\"show_single_product_attributes\";i:0;s:14:\"line_item_type\";s:7:\"product\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:13:\"commerce_cart\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(69,1,'comment_body','comment','comment_node_simplenews','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(70,2,'body','node','simplenews','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(71,32,'field_simplenews_term','node','simplenews','a:6:{s:5:\"label\";s:19:\"Newsletter category\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:15:\"options_buttons\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:32;s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:5:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:1;}s:6:\"teaser\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:1;}s:11:\"email_plain\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}s:10:\"email_html\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}s:13:\"email_textalt\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(72,1,'comment_body','comment','comment_node_ads','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(73,2,'body','node','ads','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"3\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(74,4,'field_image','node','ads','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:9:\"field/ads\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(75,3,'field_tags','node','product','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(76,33,'field_link','node','sponsor','a:7:{s:5:\"label\";s:4:\"Link\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"required\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:6:\"_blank\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:2;}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(82,39,'field_statistic_description','bean','bean_statistic','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"10\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_trimmed\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:2:{s:11:\"trim_length\";s:3:\"250\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(83,40,'field_content','node','blog','a:7:{s:5:\"label\";s:7:\"Content\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:22:\"field_collection_embed\";s:6:\"module\";s:16:\"field_collection\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:21:\"field_collection_view\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:5:{s:4:\"edit\";s:4:\"Edit\";s:6:\"delete\";s:6:\"Delete\";s:3:\"add\";s:3:\"Add\";s:11:\"description\";i:1;s:9:\"view_mode\";s:4:\"full\";}s:6:\"module\";s:16:\"field_collection\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(85,41,'field_video','node','blog','a:7:{s:5:\"label\";s:5:\"Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:23:\"video_embed_field_video\";s:6:\"module\";s:17:\"video_embed_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:4:{s:17:\"description_field\";i:0;s:18:\"description_length\";s:3:\"128\";s:18:\"user_register_form\";b:0;s:17:\"allowed_providers\";a:2:{i:0;s:7:\"youtube\";i:1;s:5:\"vimeo\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:4:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:17:\"video_embed_field\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:4:{s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";s:11:\"video_style\";s:6:\"normal\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:17:\"video_embed_field\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(86,1,'comment_body','comment','comment_node_testimonial','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(87,2,'body','node','testimonial','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(88,42,'field_full_name','user','user','a:7:{s:5:\"label\";s:9:\"Full Name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:3:\"100\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(89,43,'field_description','user','user','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"10\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(90,44,'field_phone','user','user','a:7:{s:5:\"label\";s:5:\"Phone\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(91,45,'field_email','user','user','a:7:{s:5:\"label\";s:5:\"Email\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:3;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(92,46,'field_facebook','user','user','a:7:{s:5:\"label\";s:8:\"Facebook\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:4;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(93,47,'field_twitter','user','user','a:7:{s:5:\"label\";s:7:\"Twitter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:5;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(94,48,'field_gplus','user','user','a:7:{s:5:\"label\";s:5:\"Gplus\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:6;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(95,49,'field_instagram','user','user','a:7:{s:5:\"label\";s:8:\"LinkedIn\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:7;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(96,50,'field_position','user','user','a:7:{s:5:\"label\";s:8:\"Position\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:8;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(97,51,'field_gender','user','user','a:7:{s:5:\"label\";s:6:\"Gender\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"14\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:9;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(98,33,'field_link','node','ads','a:7:{s:5:\"label\";s:4:\"Link\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(99,41,'field_video','node','event','a:7:{s:5:\"label\";s:5:\"Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:23:\"video_embed_field_video\";s:6:\"module\";s:17:\"video_embed_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:4:{s:17:\"description_field\";i:0;s:18:\"description_length\";s:3:\"128\";s:18:\"user_register_form\";b:0;s:17:\"allowed_providers\";a:2:{i:0;s:7:\"youtube\";i:1;s:5:\"vimeo\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:4:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:17:\"video_embed_field\";}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(100,29,'field_gallery','node','event','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:19:\"field/gallery/event\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"slideshow\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:31:{s:21:\"slideshow_image_style\";s:0:\"\";s:14:\"slideshow_link\";s:0:\"\";s:17:\"slideshow_caption\";s:0:\"\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:0;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:5:\"image\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:9:\"thumbnail\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;s:30:\"slideshow_colorbox_image_style\";s:0:\"\";s:28:\"slideshow_colorbox_slideshow\";s:0:\"\";s:34:\"slideshow_colorbox_slideshow_speed\";s:4:\"4000\";s:29:\"slideshow_colorbox_transition\";s:7:\"elastic\";s:24:\"slideshow_colorbox_speed\";s:3:\"350\";s:32:\"slideshow_field_collection_image\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:15:\"field_slideshow\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(102,52,'field_text','field_collection_item','field_content','a:7:{s:5:\"label\";s:4:\"Text\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(103,4,'field_image','field_collection_item','field_content','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:19:\"field/image/content\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(104,1,'comment_body','comment','comment_node_webform','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(105,2,'body','node','webform','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(108,54,'field_product_image','node','product','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/product\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"slideshow\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:31:{s:21:\"slideshow_image_style\";s:0:\"\";s:14:\"slideshow_link\";s:0:\"\";s:17:\"slideshow_caption\";s:0:\"\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:0;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:5:\"image\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:9:\"thumbnail\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;s:30:\"slideshow_colorbox_image_style\";s:0:\"\";s:28:\"slideshow_colorbox_slideshow\";s:0:\"\";s:34:\"slideshow_colorbox_slideshow_speed\";s:4:\"4000\";s:29:\"slideshow_colorbox_transition\";s:7:\"elastic\";s:24:\"slideshow_colorbox_speed\";s:3:\"350\";s:32:\"slideshow_field_collection_image\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:15:\"field_slideshow\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(109,55,'field_bean_content','bean','bean_about','a:7:{s:5:\"label\";s:7:\"Content\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:22:\"field_collection_embed\";s:6:\"module\";s:16:\"field_collection\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:21:\"field_collection_view\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:5:{s:4:\"edit\";s:4:\"Edit\";s:6:\"delete\";s:6:\"Delete\";s:3:\"add\";s:3:\"Add\";s:11:\"description\";i:1;s:9:\"view_mode\";s:4:\"full\";}s:6:\"module\";s:16:\"field_collection\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(110,4,'field_image','field_collection_item','field_bean_content','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:16:\"field/image/bean\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";s:21:\"field_formatter_class\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";}',0),(112,43,'field_description','field_collection_item','field_bean_content','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:1:\"5\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(115,43,'field_description','node','product','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:2:\"20\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:16:\"field-decription\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(116,57,'field_statistic_amount','bean','bean_statistic','a:7:{s:5:\"label\";s:6:\"Amount\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:10:\"text_plain\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:25:\" statistic-amount counter\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:1;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','blog',0,1,1,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,2,2,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,3,3,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,4,4,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,5,5,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,6,6,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,7,7,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,8,8,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','article',0,9,9,'und',0,'Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Phasellus blandit leo ut odio. Pellentesque dapibus hendrerit tortor. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum.\r\n\r\nNam eget dui. Curabitur at lacus ac velit ornare lobortis. Curabitur ullamcorper ultricies nisi. Cras id dui. Praesent ac massa at ligula laoreet iaculis.\r\n\r\nAliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Pellentesque commodo eros a enim. Vivamus quis mi. Nullam tincidunt adipiscing enim. Donec posuere vulputate arcu.\r\n\r\nNunc nonummy metus. Vestibulum eu odio. Phasellus gravida semper nisi. Nulla porta dolor. Fusce commodo aliquam arcu.\r\n\r\nNullam tincidunt adipiscing enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. Praesent ac massa at ligula laoreet iaculis. Nulla sit amet est. Duis lobortis massa imperdiet quam.','','filtered_html'),('node','article',0,10,10,'und',0,'Sed a libero. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Sed fringilla mauris sit amet nibh. In hac habitasse platea dictumst. Phasellus nec sem in justo pellentesque facilisis.\r\n\r\nCurabitur vestibulum aliquam leo. In dui magna, posuere eget, vestibulum et, tempor auctor, justo. Cras non dolor. Vestibulum turpis sem, aliquet eget, lobortis pellentesque, rutrum eu, nisl. Phasellus accumsan cursus velit.\r\n\r\nPraesent ac massa at ligula laoreet iaculis. Phasellus ullamcorper ipsum rutrum nunc. Vivamus quis mi. Vivamus quis mi. Nullam sagittis.\r\n\r\nPellentesque posuere. Phasellus magna. Sed augue ipsum, egestas nec, vestibulum et, malesuada adipiscing, dui. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc.\r\n\r\nNam at tortor in tellus interdum sagittis. Nullam sagittis. Sed augue ipsum, egestas nec, vestibulum et, malesuada adipiscing, dui. Nullam sagittis. Vivamus elementum semper nisi.','','filtered_html'),('node','article',0,11,11,'und',0,'Nunc nec neque. Vivamus quis mi. Quisque libero metus, condimentum nec, tempor a, commodo mollis, magna. Fusce risus nisl, viverra et, tempor et, pretium in, sapien. Suspendisse potenti. Duis leo. Pellentesque posuere. Curabitur suscipit suscipit tellus. Donec id justo. Ut tincidunt tincidunt erat. Pellentesque ut neque. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Curabitur nisi. Phasellus nec sem in justo pellentesque facilisis. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Sed aliquam ultrices mauris. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Phasellus accumsan cursus velit. Sed libero. In hac habitasse platea dictumst. Curabitur blandit mollis lacus. Suspendisse feugiat. Donec venenatis vulputate lorem. Phasellus volutpat, metus eget egestas mollis, lacus lacus blandit dui, id egestas quam mauris ut lacus.','','filtered_html'),('node','event',0,12,12,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,13,13,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','blog',0,14,14,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,15,15,'und',0,'In hac habitasse platea dictumst. Maecenas nec odio et ante tincidunt tempus. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Cras sagittis. Nunc nec neque.\r\n\r\nCras varius. Nulla sit amet est. Vestibulum volutpat pretium libero. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam erat volutpat.\r\n\r\nCurabitur nisi. Praesent metus tellus, elementum eu, semper a, adipiscing nec, purus. In ac felis quis tortor malesuada pretium. Aenean viverra rhoncus pede. Ut tincidunt tincidunt erat.\r\n\r\nPellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nam eget dui. Etiam iaculis nunc ac metus. Fusce neque.\r\n\r\nMaecenas malesuada. Etiam sit amet orci eget eros faucibus tincidunt. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Quisque id odio. Aenean vulputate eleifend tellus.','','filtered_html'),('node','blog',0,16,16,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,17,17,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','event',0,18,18,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,19,19,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','event',0,20,20,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,21,21,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','event',0,22,22,'und',0,'Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio.','','filtered_html'),('node','gallery',0,23,23,'und',0,'Curabitur ullamcorper ultricies nisi. Integer tincidunt. Curabitur at lacus ac velit ornare lobortis. Nullam cursus lacinia erat. Cras non dolor.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,24,24,'und',0,'Praesent ac sem eget est egestas volutpat. Vivamus laoreet. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. Suspendisse potenti. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,25,25,'und',0,'Sed lectus. Cras varius. Quisque id odio. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Sed in libero ut nibh placerat accumsan.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,26,26,'und',0,'Suspendisse faucibus, nunc et pellentesque egestas, lacus ante convallis tellus, vitae iaculis lacus elit id tortor. Aliquam eu nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Nullam sagittis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,27,27,'und',0,'Vestibulum suscipit nulla quis orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos.. In auctor lobortis lacus. Suspendisse non nisl sit amet velit hendrerit rutrum.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,28,28,'und',0,'Pellentesque dapibus hendrerit tortor. Nunc nonummy metus. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Fusce neque. Nullam vel sem. Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,29,29,'und',0,'Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Phasellus consectetuer vestibulum elit. Proin faucibus arcu quis ante. Proin viverra, ligula sit amet ultrices semper, ligula arcu tristique sapien, a accumsan nisi mauris ac eros. Proin faucibus arcu quis ante.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,30,30,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','event',0,31,31,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','donation',0,37,37,'und',0,'Phasellus magna. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Phasellus magna. Sed in libero ut nibh placerat accumsan. Nullam cursus lacinia erat.','','filtered_html'),('node','donation',0,38,38,'und',0,'Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Vestibulum dapibus nunc ac augue. Maecenas malesuada. Vivamus aliquet elit ac nisl. Nunc nec neque.','','filtered_html'),('node','donation',0,39,39,'und',0,'Nam at tortor in tellus interdum sagittis. Nunc egestas, augue at pellentesque laoreet, felis eros vehicula leo, at malesuada velit leo quis pede. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Fusce vel dui. Sed in libero ut nibh placerat accumsan.','','filtered_html'),('node','donation',0,40,40,'und',0,'Duis leo. Curabitur blandit mollis lacus. Vestibulum dapibus nunc ac augue. Nunc egestas, augue at pellentesque laoreet, felis eros vehicula leo, at malesuada velit leo quis pede. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo.','','filtered_html'),('node','donation',0,41,41,'und',0,'Donec mollis hendrerit risus. Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Nunc nec neque. Phasellus gravida semper nisi.','','filtered_html'),('node','donation',0,42,42,'und',0,'Etiam sollicitudin, ipsum eu pulvinar rutrum, tellus ipsum laoreet sapien, quis venenatis ante odio sit amet eros. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Proin pretium, leo ac pellentesque mollis, felis nunc ultrices eros, sed gravida augue augue mollis justo. In hac habitasse platea dictumst. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.','','filtered_html'),('node','product',0,43,43,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','filtered_html'),('node','product',0,46,46,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,47,47,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,48,48,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,49,49,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,50,50,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','filtered_html'),('node','product',0,51,51,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,52,52,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,54,54,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,55,55,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','article',0,56,56,'und',0,'Mauris mattis tellus purus, ut egestas leo porta nec. Duis accumsan, urna sed posuere fringilla, orci odio accumsan quam, a rutrum dui magna eget mi. Phasellus maximus, ex sit amet consequat iaculis; orci purus fringilla urna; vel tristique neque metus a enim. Morbi accumsan neque vitae tortor pretium aliquet. Sed iaculis accumsan odio, non lacinia erat pretium id. Phasellus ultricies in metus ultrices luctus. Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n</ul>','','full_html'),('node','article',0,57,57,'und',0,'<div class=\"row\">\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n</div>\r\n<div class=\"row\">\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n</div>\r\n','','full_html'),('node','testimonial',0,58,58,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','testimonial',0,59,59,'und',0,'Quisque elementum, sem varius condimentum dignissim, libero nisi congue sem, fermentum dignissim eros magna a ligula. Aenean iaculis tellus nisi, sit amet ultricies dui volutpat non. Proin in eros at tortor imperdiet pulvinar. Maecenas risus tortor, commodo a metus a, pharetra tincidunt libero.','','filtered_html'),('node','page',0,60,60,'und',0,'<div class=\"view-header\">\r\n<p>Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio vestibulum eu odio.</p>\r\n</div>','','full_html'),('node','event',0,61,61,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','page',0,63,63,'und',0,'<div class=\"view-header\">\r\n<p>Pellentesque fringilla vehicula pharetra. Duis feugiat, est eget dignissim posuere; mi justo accumsan lectus, sed ullamcorper lectus eros non urna.</p></div>','','full_html'),('node','blog',0,64,64,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n','','full_html'),('node','donation',0,65,65,'und',0,'Vivamus gravida ultricies dolor, a ullamcorper ex malesuada ac. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent et dui porttitor, maximus erat in, ultricies justo. Etiam rutrum nisl vel vestibulum facilisis. Nullam a massa a dolor pretium scelerisque. Nam gravida, dui nec sagittis condimentum, diam mauris viverra metus; nec iaculis metus orci vulputate leo. Phasellus imperdiet elit pulvinar condimentum laoreet. Pellentesque posuere eros vel sapien mollis posuere.','','filtered_html'),('node','donation',0,66,66,'und',0,'Phasellus pretium eleifend lectus, quis iaculis est sagittis sed. Vivamus et vestibulum tellus. Aliquam sagittis pulvinar placerat. Phasellus eleifend leo in est mollis, non tincidunt arcu rutrum. Praesent sem metus, porta et tempor non, interdum a risus. Duis congue varius efficitur. Aliquam dui arcu, pharetra pulvinar venenatis in, ornare eleifend diam. Praesent maximus neque massa, sit amet accumsan justo placerat non. Pellentesque feugiat eros a pulvinar fringilla.','','filtered_html'),('node','testimonial',0,68,68,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','testimonial',0,69,69,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','page',0,71,71,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n	<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n	<p class=\"weebpal-404-text\">404</p>\r\n	<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n        <p><a href=\"<?php echo url(\'<front>\'); ?>\" class=\"weebpal-return-back\">RETURN TO HOME</a></p>\r\n</div>','','php_code');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_event',0,1,1,'und',0,'Proin sapien ipsum, porta a, auctor quis, euismod ut, mi. ','filtered_html'),('comment','comment_node_event',0,2,2,'und',0,'At least once per week, share a helpful, interesting or fun post from another Facebook Page with your fans.','filtered_html'),('comment','comment_node_event',0,3,3,'und',0,'A new fundraising classic is born','filtered_html'),('comment','comment_node_blog',0,4,4,'und',0,'A new fundraising classic is born','filtered_html'),('comment','comment_node_blog',0,5,5,'und',0,'Facebook is still worth it for nonprofits, especially if you use these 5 types of posts.','filtered_html'),('comment','comment_node_blog',0,6,6,'und',0,'If your nonprofit has lots of great photo opportunities, you really do need to be on Pinterest.','filtered_html'),('comment','comment_node_blog',0,7,7,'und',0,'asfasfasfasf','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_customer_address`
--

DROP TABLE IF EXISTS `field_data_commerce_customer_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_customer_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `commerce_customer_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `commerce_customer_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `commerce_customer_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `commerce_customer_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `commerce_customer_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `commerce_customer_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `commerce_customer_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `commerce_customer_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `commerce_customer_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `commerce_customer_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `commerce_customer_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 13 (commerce_customer_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_customer_address`
--

LOCK TABLES `field_data_commerce_customer_address` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_customer_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_customer_address` VALUES ('commerce_customer_profile','billing',0,1,1,'und',0,'AF',NULL,NULL,'ewqewrewfdew',NULL,NULL,'12312312414','',NULL,NULL,'Thong','Thong','',NULL),('commerce_customer_profile','billing',0,2,2,'und',0,'AF',NULL,NULL,'ewqewrewfdew',NULL,NULL,'12312312414','',NULL,NULL,'Thong','Thong','',NULL),('commerce_customer_profile','billing',0,3,3,'und',0,'AF',NULL,NULL,'nothing',NULL,NULL,'draw inside','',NULL,NULL,'kun jadan sile','kun','jadan sile',NULL),('commerce_customer_profile','billing',0,4,4,'und',0,'AF',NULL,NULL,'sdfdsf',NULL,NULL,'sfsd','',NULL,NULL,'fsdf','fsdf','',NULL);
/*!40000 ALTER TABLE `field_data_commerce_customer_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_customer_billing`
--

DROP TABLE IF EXISTS `field_data_commerce_customer_billing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_customer_billing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_billing_profile_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_customer_billing_profile_id` (`commerce_customer_billing_profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 16 (commerce_customer_billing)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_customer_billing`
--

LOCK TABLES `field_data_commerce_customer_billing` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_customer_billing` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_customer_billing` VALUES ('commerce_order','commerce_order',0,4,14,'und',0,2),('commerce_order','commerce_order',0,7,25,'und',0,3),('commerce_order','commerce_order',0,11,35,'und',0,4);
/*!40000 ALTER TABLE `field_data_commerce_customer_billing` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_display_path`
--

DROP TABLE IF EXISTS `field_data_commerce_display_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_display_path` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_display_path_value` varchar(255) DEFAULT NULL,
  `commerce_display_path_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_display_path_format` (`commerce_display_path_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 22 (commerce_display_path)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_display_path`
--

LOCK TABLES `field_data_commerce_display_path` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_display_path` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_display_path` VALUES ('commerce_line_item','product',0,16,16,'und',0,'node/52',NULL),('commerce_line_item','commerce_donate',0,18,18,'und',0,'node/61',NULL),('commerce_line_item','commerce_donate',0,23,23,'und',0,'node/41',NULL),('commerce_line_item','commerce_donate',0,25,25,'und',0,'node/61',NULL);
/*!40000 ALTER TABLE `field_data_commerce_display_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_donate_amount`
--

DROP TABLE IF EXISTS `field_data_commerce_donate_amount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_donate_amount` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_donate_amount_value` double DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 23 (commerce_donate_amount)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_donate_amount`
--

LOCK TABLES `field_data_commerce_donate_amount` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_donate_amount` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_donate_amount` VALUES ('commerce_line_item','commerce_donate',0,18,18,'und',0,5),('commerce_line_item','commerce_donate',0,23,23,'und',0,5),('commerce_line_item','commerce_donate',0,25,25,'und',0,5);
/*!40000 ALTER TABLE `field_data_commerce_donate_amount` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_line_items`
--

DROP TABLE IF EXISTS `field_data_commerce_line_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_line_items` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_line_items_line_item_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_line_items_line_item_id` (`commerce_line_items_line_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 14 (commerce_line_items)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_line_items`
--

LOCK TABLES `field_data_commerce_line_items` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_line_items` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_line_items` VALUES ('commerce_order','commerce_order',0,4,14,'und',0,12),('commerce_order','commerce_order',0,6,20,'und',0,15),('commerce_order','commerce_order',0,6,20,'und',1,19),('commerce_order','commerce_order',0,7,25,'und',0,16),('commerce_order','commerce_order',0,7,25,'und',1,17),('commerce_order','commerce_order',0,7,25,'und',2,18),('commerce_order','commerce_order',0,8,27,'und',0,20),('commerce_order','commerce_order',0,9,29,'und',0,21),('commerce_order','commerce_order',0,10,30,'und',0,22),('commerce_order','commerce_order',0,11,35,'und',0,23),('commerce_order','commerce_order',0,11,35,'und',1,24),('commerce_order','commerce_order',0,12,38,'und',0,25),('commerce_order','commerce_order',0,12,38,'und',1,26);
/*!40000 ALTER TABLE `field_data_commerce_line_items` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_order_total`
--

DROP TABLE IF EXISTS `field_data_commerce_order_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_order_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_order_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_order_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_order_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_order_total_currency_price` (`commerce_order_total_amount`,`commerce_order_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 15 (commerce_order_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_order_total`
--

LOCK TABLES `field_data_commerce_order_total` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_order_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_order_total` VALUES ('commerce_order','commerce_order',0,4,14,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,19,'und',0,0,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,6,20,'und',0,6400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:6400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,25,'und',0,22900,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:22900;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,8,27,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,9,29,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,10,30,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,35,'und',0,5300,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:5300;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,12,38,'und',0,2500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:2500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_data_commerce_order_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_price`
--

DROP TABLE IF EXISTS `field_data_commerce_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_price_currency_price` (`commerce_price_amount`,`commerce_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 17 (commerce_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_price`
--

LOCK TABLES `field_data_commerce_price` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_price` VALUES ('commerce_product','commerce_event',0,1,2,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,2,3,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,3,4,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,4,5,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,5,6,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,6,7,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,7,8,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,8,9,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,9,10,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,10,11,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,11,12,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,12,13,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,13,14,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,14,15,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,15,16,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,16,17,'und',0,2500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,17,18,'und',0,2200,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,18,19,'und',0,3200,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,19,20,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,20,21,'und',0,1500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,21,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,22,23,'und',0,2400,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,23,24,'und',0,1500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,24,25,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,25,26,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}');
/*!40000 ALTER TABLE `field_data_commerce_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_product`
--

DROP TABLE IF EXISTS `field_data_commerce_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_product_product_id` (`commerce_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 21 (commerce_product)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_product`
--

LOCK TABLES `field_data_commerce_product` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_product` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_product` VALUES ('commerce_line_item','product',0,12,12,'und',0,22),('commerce_line_item','product',0,15,15,'und',0,22),('commerce_line_item','product',0,16,16,'und',0,22),('commerce_line_item','product',0,17,17,'und',0,21),('commerce_line_item','commerce_donate',0,18,18,'und',0,23),('commerce_line_item','product',0,19,19,'und',0,21),('commerce_line_item','product',0,20,20,'und',0,20),('commerce_line_item','product',0,21,21,'und',0,21),('commerce_line_item','product',0,22,22,'und',0,21),('commerce_line_item','commerce_donate',0,23,23,'und',0,13),('commerce_line_item','product',0,24,24,'und',0,22),('commerce_line_item','commerce_donate',0,25,25,'und',0,23),('commerce_line_item','product',0,26,26,'und',0,21);
/*!40000 ALTER TABLE `field_data_commerce_product` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_total`
--

DROP TABLE IF EXISTS `field_data_commerce_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_total_currency_price` (`commerce_total_amount`,`commerce_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 20 (commerce_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_total`
--

LOCK TABLES `field_data_commerce_total` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_total` VALUES ('commerce_line_item','product',0,12,12,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,15,15,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,16,16,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,17,17,'und',0,20000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:20000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,18,18,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,19,19,'und',0,4000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:4000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,20,20,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,21,21,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,22,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,23,23,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,24,24,'und',0,4800,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:4800;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,25,25,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,26,26,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_data_commerce_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_commerce_unit_price`
--

DROP TABLE IF EXISTS `field_data_commerce_unit_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_commerce_unit_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_unit_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_unit_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_unit_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_unit_price_currency_price` (`commerce_unit_price_amount`,`commerce_unit_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 19 (commerce_unit_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_commerce_unit_price`
--

LOCK TABLES `field_data_commerce_unit_price` WRITE;
/*!40000 ALTER TABLE `field_data_commerce_unit_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_commerce_unit_price` VALUES ('commerce_line_item','product',0,12,12,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,15,15,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,16,16,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,17,17,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,18,18,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,19,19,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,20,20,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,21,21,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,22,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,23,23,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:1:\"0\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,24,24,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,25,25,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,26,26,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_data_commerce_unit_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_bean_content`
--

DROP TABLE IF EXISTS `field_data_field_bean_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_bean_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bean_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_bean_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bean_content_revision_id` (`field_bean_content_revision_id`),
  KEY `field_bean_content_value` (`field_bean_content_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 55 (field_bean_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_bean_content`
--

LOCK TABLES `field_data_field_bean_content` WRITE;
/*!40000 ALTER TABLE `field_data_field_bean_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_bean_content` VALUES ('bean','bean_about',0,19,21,'und',0,3,3),('bean','bean_about',0,19,21,'und',1,4,4),('bean','bean_about',0,19,21,'und',2,5,5),('bean','bean_about',0,19,21,'und',3,6,6),('bean','bean_about',0,19,21,'und',4,7,7),('bean','bean_about',0,19,21,'und',5,8,8);
/*!40000 ALTER TABLE `field_data_field_bean_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_blog_type`
--

DROP TABLE IF EXISTS `field_data_field_blog_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_blog_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_type_tid` (`field_blog_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 12 (field_blog_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_blog_type`
--

LOCK TABLES `field_data_field_blog_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_blog_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_blog_type` VALUES ('node','blog',0,1,1,'und',0,1),('node','blog',0,2,2,'und',0,1),('node','blog',0,3,3,'und',0,1),('node','blog',0,4,4,'und',0,1),('node','blog',0,5,5,'und',0,1),('node','blog',0,6,6,'und',0,1),('node','blog',0,7,7,'und',0,1),('node','blog',0,8,8,'und',0,1),('node','blog',0,14,14,'und',0,3),('node','blog',0,15,15,'und',0,3),('node','blog',0,16,16,'und',0,3),('node','blog',0,17,17,'und',0,3),('node','blog',0,64,64,'und',0,3);
/*!40000 ALTER TABLE `field_data_field_blog_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_content`
--

DROP TABLE IF EXISTS `field_data_field_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_content_revision_id` (`field_content_revision_id`),
  KEY `field_content_value` (`field_content_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 40 (field_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_content`
--

LOCK TABLES `field_data_field_content` WRITE;
/*!40000 ALTER TABLE `field_data_field_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_content` VALUES ('node','blog',0,17,17,'und',0,1,1),('node','blog',0,17,17,'und',1,2,2),('node','blog',0,64,64,'und',0,9,9),('node','blog',0,64,64,'und',1,10,10);
/*!40000 ALTER TABLE `field_data_field_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_description`
--

DROP TABLE IF EXISTS `field_data_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_summary` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 43 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_description`
--

LOCK TABLES `field_data_field_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_description` VALUES ('field_collection_item','field_bean_content',0,3,3,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,4,4,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,5,5,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,6,6,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,7,7,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,8,8,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('node','product',0,43,43,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,46,46,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,47,47,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,48,48,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,49,49,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,50,50,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,51,51,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,52,52,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('user','user',0,10,10,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,11,11,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,12,12,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,13,13,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,14,14,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,15,15,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html');
/*!40000 ALTER TABLE `field_data_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_donate_counter`
--

DROP TABLE IF EXISTS `field_data_field_donate_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_donate_counter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_counter_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 26 (field_donate_counter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_donate_counter`
--

LOCK TABLES `field_data_field_donate_counter` WRITE;
/*!40000 ALTER TABLE `field_data_field_donate_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_donate_counter` VALUES ('node','event',0,12,12,'und',0,100),('node','event',0,13,13,'und',0,1000),('node','event',0,18,18,'und',0,10),('node','event',0,19,19,'und',0,0),('node','event',0,20,20,'und',0,2),('node','event',0,21,21,'und',0,200),('node','event',0,22,22,'und',0,200),('node','event',0,31,31,'und',0,1300),('node','event',0,61,61,'und',0,3200);
/*!40000 ALTER TABLE `field_data_field_donate_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_donate_goal`
--

DROP TABLE IF EXISTS `field_data_field_donate_goal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_donate_goal` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_goal_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 28 (field_donate_goal)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_donate_goal`
--

LOCK TABLES `field_data_field_donate_goal` WRITE;
/*!40000 ALTER TABLE `field_data_field_donate_goal` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_donate_goal` VALUES ('node','event',0,12,12,'und',0,150000),('node','event',0,13,13,'und',0,200000),('node','event',0,18,18,'und',0,1000),('node','event',0,19,19,'und',0,2000),('node','event',0,20,20,'und',0,3000),('node','event',0,21,21,'und',0,5000),('node','event',0,22,22,'und',0,20000),('node','event',0,31,31,'und',0,200000),('node','event',0,61,61,'und',0,100000);
/*!40000 ALTER TABLE `field_data_field_donate_goal` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_donate_total`
--

DROP TABLE IF EXISTS `field_data_field_donate_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_donate_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_total_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 27 (field_donate_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_donate_total`
--

LOCK TABLES `field_data_field_donate_total` WRITE;
/*!40000 ALTER TABLE `field_data_field_donate_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_donate_total` VALUES ('node','event',0,12,12,'und',0,20000),('node','event',0,13,13,'und',0,40000),('node','event',0,18,18,'und',0,245),('node','event',0,19,19,'und',0,0),('node','event',0,20,20,'und',0,210),('node','event',0,21,21,'und',0,2450),('node','event',0,22,22,'und',0,1000),('node','event',0,31,31,'und',0,100000),('node','event',0,61,61,'und',0,20000);
/*!40000 ALTER TABLE `field_data_field_donate_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_email`
--

DROP TABLE IF EXISTS `field_data_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(255) DEFAULT NULL,
  `field_email_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_email_format` (`field_email_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 45 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_email`
--

LOCK TABLES `field_data_field_email` WRITE;
/*!40000 ALTER TABLE `field_data_field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_email` VALUES ('user','user',0,10,10,'und',0,'constance.byrd80@example.com',NULL),('user','user',0,11,11,'und',0,'jamie.rhodes10@example.com',NULL),('user','user',0,12,12,'und',0,'andy.wheeler15@example.com',NULL),('user','user',0,13,13,'und',0,'christy.ferguson12@example.com',NULL),('user','user',0,14,14,'und',0,'audrey.hopkins12@example.com',NULL),('user','user',0,15,15,'und',0,'earl.kim57@example.com',NULL);
/*!40000 ALTER TABLE `field_data_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_facebook`
--

DROP TABLE IF EXISTS `field_data_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 46 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_facebook`
--

LOCK TABLES `field_data_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_data_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_facebook` VALUES ('user','user',0,10,10,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,11,11,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,12,12,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,13,13,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,14,14,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,15,15,'und',0,'https://facebook.com','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_blog_types`
--

DROP TABLE IF EXISTS `field_data_field_field_blog_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_blog_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_blog_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_blog_types_tid` (`field_field_blog_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_field_blog_types)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_blog_types`
--

LOCK TABLES `field_data_field_field_blog_types` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_blog_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_blog_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_event_types`
--

DROP TABLE IF EXISTS `field_data_field_field_event_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_event_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_event_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_event_types_tid` (`field_field_event_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 24 (field_field_event_types)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_event_types`
--

LOCK TABLES `field_data_field_field_event_types` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_event_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_event_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_full_name`
--

DROP TABLE IF EXISTS `field_data_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 42 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_full_name`
--

LOCK TABLES `field_data_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_data_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_full_name` VALUES ('user','user',0,10,10,'und',0,'Constance Byrd',NULL),('user','user',0,11,11,'und',0,'Jamie Rhodes',NULL),('user','user',0,12,12,'und',0,'Andy Wheeler',NULL),('user','user',0,13,13,'und',0,'Christy Ferguson',NULL),('user','user',0,14,14,'und',0,'Audrey Hopkins',NULL),('user','user',0,15,15,'und',0,'Earl Kim',NULL);
/*!40000 ALTER TABLE `field_data_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gallery`
--

DROP TABLE IF EXISTS `field_data_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 29 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gallery`
--

LOCK TABLES `field_data_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_data_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gallery` VALUES ('node','gallery',0,23,23,'und',0,323,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,23,23,'und',1,324,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,23,23,'und',2,325,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,24,24,'und',0,321,'In enim justo rhoncus','In enim justo rhoncus',1170,760),('node','gallery',0,24,24,'und',1,322,'In enim justo rhoncus','In enim justo rhoncus',1170,760),('node','gallery',0,25,25,'und',0,317,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,25,25,'und',1,318,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,25,25,'und',2,319,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,26,26,'und',0,314,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,26,26,'und',1,315,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,26,26,'und',2,316,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,27,27,'und',0,310,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',1,311,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',2,312,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',3,313,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,28,28,'und',0,309,'Ut id nisl quis','Ut id nisl quis',1170,760),('node','gallery',0,29,29,'und',0,307,'Praesent egestas neque eu','Praesent egestas neque eu',1170,760),('node','gallery',0,29,29,'und',1,308,'Praesent egestas neque eu','Praesent egestas neque eu',1170,760),('node','gallery',0,30,30,'und',0,304,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,30,30,'und',1,305,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,30,30,'und',2,306,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','event',0,31,31,'und',0,201,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',1,202,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',2,203,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',3,204,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',4,205,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',5,206,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','gallery',0,54,54,'und',0,296,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,54,54,'und',1,297,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,54,54,'und',2,299,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',0,300,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',1,301,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',2,303,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760);
/*!40000 ALTER TABLE `field_data_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gender`
--

DROP TABLE IF EXISTS `field_data_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 51 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gender`
--

LOCK TABLES `field_data_field_gender` WRITE;
/*!40000 ALTER TABLE `field_data_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gender` VALUES ('user','user',0,10,10,'und',0,19),('user','user',0,11,11,'und',0,18),('user','user',0,12,12,'und',0,18),('user','user',0,13,13,'und',0,19),('user','user',0,14,14,'und',0,19),('user','user',0,15,15,'und',0,18);
/*!40000 ALTER TABLE `field_data_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gplus`
--

DROP TABLE IF EXISTS `field_data_field_gplus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gplus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gplus_url` varchar(2048) DEFAULT NULL,
  `field_gplus_title` varchar(255) DEFAULT NULL,
  `field_gplus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 48 (field_gplus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gplus`
--

LOCK TABLES `field_data_field_gplus` WRITE;
/*!40000 ALTER TABLE `field_data_field_gplus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gplus` VALUES ('user','user',0,10,10,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,11,11,'und',0,'https://plus.google.com/','','a:0:{}'),('user','user',0,12,12,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,13,13,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,14,14,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,15,15,'und',0,'https://plus.google.com/','Gplus','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_gplus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('field_collection_item','field_content',0,1,1,'und',0,169,'','',1170,760),('field_collection_item','field_content',0,2,2,'und',0,170,'','',1170,760),('field_collection_item','field_bean_content',0,3,3,'und',0,129,'','',80,60),('field_collection_item','field_bean_content',0,4,4,'und',0,130,'','',80,60),('field_collection_item','field_bean_content',0,5,5,'und',0,131,'','',80,60),('field_collection_item','field_bean_content',0,6,6,'und',0,132,'','',80,60),('field_collection_item','field_bean_content',0,7,7,'und',0,133,'','',80,60),('field_collection_item','field_bean_content',0,8,8,'und',0,134,'','',80,60),('field_collection_item','field_content',0,9,9,'und',0,166,'','',1170,760),('field_collection_item','field_content',0,10,10,'und',0,167,'','',1170,760),('node','blog',0,1,1,'und',0,159,'5 Ways to Sabotage Your Mission Statement','5 Ways to Sabotage Your Mission Statement',1016,660),('node','blog',0,2,2,'und',0,219,'6 Content Ideas for Your Nonprofit Website','6 Content Ideas for Your Nonprofit Website',1170,760),('node','blog',0,3,3,'und',0,157,'How to Raise Capacity Capital for Your Nonprofit','How to Raise Capacity Capital for Your Nonprofit',1016,660),('node','blog',0,4,4,'und',0,149,'Conserve the lands and waters on which all life depends','Conserve the lands and waters on which all life depends',1170,760),('node','blog',0,5,5,'und',0,164,'Praesent metus tellus','Praesent metus tellus',1170,760),('node','blog',0,6,6,'und',0,163,'Praesent ac massa at','Praesent ac massa at',1170,760),('node','blog',0,7,7,'und',0,162,'Vestibulum ante ipsum primis','Vestibulum ante ipsum primis',1170,760),('node','blog',0,8,8,'und',0,161,'Our work with refugees','Our work with refugees',1170,760),('node','article',0,9,9,'und',0,60,'','',137,137),('node','article',0,10,10,'und',0,59,'','',137,137),('node','article',0,11,11,'und',0,58,'','',137,137),('node','event',0,12,12,'und',0,209,'Mauris sollicitudin fermentum libero','Mauris sollicitudin fermentum libero',1170,760),('node','event',0,13,13,'und',0,208,'Help us','Help us',1170,760),('node','blog',0,14,14,'und',0,172,'Proin viverra ligula sit occaecat cupidatat','Proin viverra ligula sit occaecat cupidatat',1170,760),('node','blog',0,16,16,'und',0,171,'Nunc egestas augue at nulla facilisi','Nunc egestas augue at nulla facilisi',1170,760),('node','blog',0,17,17,'und',0,168,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',1170,760),('node','event',0,18,18,'und',0,207,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,19,19,'und',0,176,'Phasellus ullamcorper ipsum','Phasellus ullamcorper ipsum',1170,760),('node','event',0,20,20,'und',0,175,'Fusce vulputate eleifend','Fusce vulputate eleifend',1170,760),('node','event',0,21,21,'und',0,174,'Cras risus ipsum faucibus','Cras risus ipsum faucibus',1170,760),('node','sponsor',0,32,32,'und',0,270,'','',170,100),('node','sponsor',0,33,33,'und',0,266,'','',170,100),('node','sponsor',0,34,34,'und',0,269,'','',170,100),('node','sponsor',0,35,35,'und',0,271,'','',170,100),('node','sponsor',0,36,36,'und',0,268,'','',170,100),('node','donation',0,37,37,'und',0,217,'','',555,275),('node','donation',0,38,38,'und',0,218,'','',555,275),('node','donation',0,39,39,'und',0,216,'','',555,275),('node','donation',0,40,40,'und',0,215,'','',555,275),('node','donation',0,41,41,'und',0,214,'','',555,275),('node','donation',0,42,42,'und',0,213,'','',555,275),('node','ads',0,44,44,'und',0,326,'','',265,235),('node','ads',0,45,45,'und',0,327,'','',265,235),('node','sponsor',0,53,53,'und',0,265,'','',170,100),('node','article',0,56,56,'und',0,186,'What we do','What we do',1170,580),('node','event',0,61,61,'und',0,173,'Support Hermio Foundation','Support Hermio Foundation',1170,760),('node','blog',0,64,64,'und',0,184,'Duis in enim a urna venenatis malesuada','Duis in enim a urna venenatis malesuada',1170,760),('node','donation',0,65,65,'und',0,183,'','',555,275),('node','donation',0,66,66,'und',0,182,'','',555,275),('node','sponsor',0,67,67,'und',0,328,'','',170,100),('taxonomy_term','event_types',0,4,4,'und',0,103,'','',40,40),('taxonomy_term','event_types',0,5,5,'und',0,106,'','',40,40),('taxonomy_term','event_types',0,8,8,'und',0,105,'','',40,40),('taxonomy_term','event_types',0,9,9,'und',0,104,'','',40,40);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_instagram`
--

DROP TABLE IF EXISTS `field_data_field_instagram`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_instagram` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_instagram_url` varchar(2048) DEFAULT NULL,
  `field_instagram_title` varchar(255) DEFAULT NULL,
  `field_instagram_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 49 (field_instagram)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_instagram`
--

LOCK TABLES `field_data_field_instagram` WRITE;
/*!40000 ALTER TABLE `field_data_field_instagram` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_instagram` VALUES ('user','user',0,10,10,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,11,11,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,12,12,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,13,13,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,14,14,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,15,15,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_instagram` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_link`
--

DROP TABLE IF EXISTS `field_data_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 33 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_link`
--

LOCK TABLES `field_data_field_link` WRITE;
/*!40000 ALTER TABLE `field_data_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_link` VALUES ('node','sponsor',0,32,32,'und',0,'http://demo.weebpal.com/','Themeforest','a:0:{}'),('node','sponsor',0,33,33,'und',0,'http://demo.weebpal.com/','Photodune','a:0:{}'),('node','sponsor',0,34,34,'und',0,'http://demo.weebpal.com/','Graphicriver','a:0:{}'),('node','sponsor',0,35,35,'und',0,'http://demo.weebpal.com/','Codecanyon','a:0:{}'),('node','sponsor',0,36,36,'und',0,'http://demo.weebpal.com/','Audiojungle','a:0:{}'),('node','ads',0,44,44,'und',0,'http://demo.weebpal.com/#aloha','Aloha','a:0:{}'),('node','ads',0,45,45,'und',0,'http://demo.weebpal.com/#real_estast','RealEstast','a:0:{}'),('node','sponsor',0,53,53,'und',0,'http://demo.weebpal.com/','Activeden','a:0:{}'),('node','sponsor',0,67,67,'und',0,'http://demo.weebpal.com/','Audiojungle','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_phone`
--

DROP TABLE IF EXISTS `field_data_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 44 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_phone`
--

LOCK TABLES `field_data_field_phone` WRITE;
/*!40000 ALTER TABLE `field_data_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_phone` VALUES ('user','user',0,10,10,'und',0,'(596)-638-2572',NULL),('user','user',0,11,11,'und',0,'(640)-440-7614',NULL),('user','user',0,12,12,'und',0,'(609)-356-2615',NULL),('user','user',0,13,13,'und',0,'(968)-445-3280',NULL),('user','user',0,14,14,'und',0,'(185)-915-2908',NULL),('user','user',0,15,15,'und',0,'(258)-706-1751',NULL);
/*!40000 ALTER TABLE `field_data_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_position`
--

DROP TABLE IF EXISTS `field_data_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 50 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_position`
--

LOCK TABLES `field_data_field_position` WRITE;
/*!40000 ALTER TABLE `field_data_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_position` VALUES ('user','user',0,10,10,'und',0,14),('user','user',0,11,11,'und',0,17),('user','user',0,12,12,'und',0,15),('user','user',0,13,13,'und',0,16),('user','user',0,14,14,'und',0,14),('user','user',0,15,15,'und',0,17);
/*!40000 ALTER TABLE `field_data_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_product`
--

DROP TABLE IF EXISTS `field_data_field_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_product_id` (`field_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 18 (field_product)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_product`
--

LOCK TABLES `field_data_field_product` WRITE;
/*!40000 ALTER TABLE `field_data_field_product` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_product` VALUES ('node','event',0,12,12,'und',0,1),('node','event',0,13,13,'und',0,2),('node','event',0,18,18,'und',0,3),('node','event',0,19,19,'und',0,4),('node','event',0,20,20,'und',0,5),('node','event',0,21,21,'und',0,6),('node','event',0,22,22,'und',0,7),('node','event',0,31,31,'und',0,8),('node','donation',0,37,37,'und',0,9),('node','donation',0,38,38,'und',0,10),('node','donation',0,39,39,'und',0,11),('node','donation',0,40,40,'und',0,12),('node','donation',0,41,41,'und',0,13),('node','donation',0,42,42,'und',0,14),('node','product',0,43,43,'und',0,15),('node','product',0,46,46,'und',0,16),('node','product',0,47,47,'und',0,17),('node','product',0,48,48,'und',0,18),('node','product',0,49,49,'und',0,19),('node','product',0,50,50,'und',0,20),('node','product',0,51,51,'und',0,21),('node','product',0,52,52,'und',0,22),('node','event',0,61,61,'und',0,23),('node','donation',0,65,65,'und',0,24),('node','donation',0,66,66,'und',0,25);
/*!40000 ALTER TABLE `field_data_field_product` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_product_image`
--

DROP TABLE IF EXISTS `field_data_field_product_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_image_fid` (`field_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 54 (field_product_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_product_image`
--

LOCK TABLES `field_data_field_product_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_product_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_product_image` VALUES ('node','product',0,43,43,'und',0,234,'Donec in nisi','Donec in nisi',400,448),('node','product',0,43,43,'und',1,235,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',0,260,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',1,261,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',2,262,'Donec in nisi','Donec in nisi',400,448),('node','product',0,47,47,'und',0,254,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,47,47,'und',1,255,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,47,47,'und',2,256,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,48,48,'und',0,252,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',400,448),('node','product',0,48,48,'und',1,253,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',400,448),('node','product',0,49,49,'und',0,250,'Morbi mollis tellus ac','Morbi mollis tellus ac',400,448),('node','product',0,49,49,'und',1,251,'Morbi mollis tellus ac','Morbi mollis tellus ac',400,448),('node','product',0,50,50,'und',0,244,'Curabitur blandit mollis lacus','Curabitur blandit mollis lacus',400,448),('node','product',0,50,50,'und',1,245,'Curabitur blandit mollis lacus','Curabitur blandit mollis lacus',400,448),('node','product',0,51,51,'und',0,242,'Donec orci lectus aliquam','Donec orci lectus aliquam',400,448),('node','product',0,51,51,'und',1,243,'Donec orci lectus aliquam','Donec orci lectus aliquam',400,448),('node','product',0,52,52,'und',0,239,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448),('node','product',0,52,52,'und',1,240,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448),('node','product',0,52,52,'und',2,241,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448);
/*!40000 ALTER TABLE `field_data_field_product_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_simplenews_term`
--

DROP TABLE IF EXISTS `field_data_field_simplenews_term`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_simplenews_term` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simplenews_term_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simplenews_term_tid` (`field_simplenews_term_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 32 (field_simplenews_term)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_simplenews_term`
--

LOCK TABLES `field_data_field_simplenews_term` WRITE;
/*!40000 ALTER TABLE `field_data_field_simplenews_term` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_simplenews_term` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_slideshow`
--

DROP TABLE IF EXISTS `field_data_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_slideshow`
--

LOCK TABLES `field_data_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_data_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_slideshow` VALUES ('node','blog',0,1,1,'und',0,152,'','',1920,660),('node','blog',0,2,2,'und',0,220,'','',1920,660),('node','blog',0,3,3,'und',0,150,'','',1920,660),('node','blog',0,4,4,'und',0,148,'','',1920,660);
/*!40000 ALTER TABLE `field_data_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_statistic_amount`
--

DROP TABLE IF EXISTS `field_data_field_statistic_amount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_statistic_amount` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_amount_value` varchar(255) DEFAULT NULL,
  `field_statistic_amount_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_statistic_amount_format` (`field_statistic_amount_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 57 (field_statistic_amount)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_statistic_amount`
--

LOCK TABLES `field_data_field_statistic_amount` WRITE;
/*!40000 ALTER TABLE `field_data_field_statistic_amount` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_statistic_amount` VALUES ('bean','bean_statistic',0,8,27,'und',0,'20265',NULL),('bean','bean_statistic',0,9,22,'und',0,'199',NULL),('bean','bean_statistic',0,11,25,'und',0,'223+',NULL),('bean','bean_statistic',0,12,23,'und',0,'11199',NULL);
/*!40000 ALTER TABLE `field_data_field_statistic_amount` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_statistic_description`
--

DROP TABLE IF EXISTS `field_data_field_statistic_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_statistic_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_description_value` longtext,
  `field_statistic_description_summary` longtext,
  `field_statistic_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_statistic_description_format` (`field_statistic_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 39 (field_statistic_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_statistic_description`
--

LOCK TABLES `field_data_field_statistic_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_statistic_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_statistic_description` VALUES ('bean','bean_statistic',0,8,27,'und',0,'Donec at enim at justo mattis maximus sit amet a velit. Nam mi sem, venenatis vitae dolor non, sodales venenatis lacus. Mauris vulputate, ipsum quis luctus cursus; purus felis luctus lorem; vel malesuada arcu est non orci.','','filtered_html'),('bean','bean_statistic',0,9,22,'und',0,'Donec at enim at justo mattis maximus sit amet a velit. Nam mi sem, venenatis vitae dolor non, sodales venenatis lacus. Mauris vulputate, ipsum quis luctus cursus; purus felis luctus lorem; vel malesuada arcu est non orci. Etiam tempor iaculis mi ut vehicula.','','filtered_html'),('bean','bean_statistic',0,11,25,'und',0,'Proin auctor eros ac justo finibus, a convallis arcu efficitur. Ut ac consectetur leo, vel rutrum diam. Nunc pellentesque mattis risus vitae vehicula. Cras sapien velit, ultrices dignissim fermentum in, faucibus id magna. Quisque nec leo sed nisl sodales blandit.','','filtered_html'),('bean','bean_statistic',0,12,23,'und',0,'Suspendisse lobortis, eros vitae scelerisque consectetur, justo lectus bibendum purus, quis pulvinar mi urna porta augue. Sed suscipit, lacus non molestie ullamcorper, orci elit varius elit, non vehicula libero lacus accumsan ante? Nullam eu mauris purus.','','filtered_html');
/*!40000 ALTER TABLE `field_data_field_statistic_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tags` VALUES ('node','product',0,43,43,'und',0,11),('node','product',0,49,49,'und',0,13),('node','product',0,52,52,'und',0,12),('node','event',0,61,61,'und',0,20);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_text`
--

DROP TABLE IF EXISTS `field_data_field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` varchar(255) DEFAULT NULL,
  `field_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 52 (field_text)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_text`
--

LOCK TABLES `field_data_field_text` WRITE;
/*!40000 ALTER TABLE `field_data_field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_text` VALUES ('field_collection_item','field_content',0,1,1,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tort',NULL),('field_collection_item','field_content',0,2,2,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tort',NULL),('field_collection_item','field_content',0,9,9,'und',0,'Morbi congue urna at lectus sollicitudin porttitor. Etiam dapibus vestibulum urna, non molestie elit. Pellentesque vehicula augue vel tortor fringilla sollicitudin id eu lectus.',NULL),('field_collection_item','field_content',0,10,10,'und',0,'Aliquam efficitur, diam ac ullamcorper fringilla, sapien nulla volutpat felis, at sagittis est ligula ut tellus. Nunc volutpat non leo nec consequat. Sed pretium accumsan fermentum. Praesent nisi enim, scelerisque vel semper ac, consequat vel risus. Suspe',NULL);
/*!40000 ALTER TABLE `field_data_field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_twitter`
--

DROP TABLE IF EXISTS `field_data_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 47 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_twitter`
--

LOCK TABLES `field_data_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_data_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_twitter` VALUES ('user','user',0,10,10,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,11,11,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,12,12,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,13,13,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,14,14,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,15,15,'und',0,'https://twitter.com','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_type`
--

DROP TABLE IF EXISTS `field_data_field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_type_tid` (`field_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 25 (field_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_type`
--

LOCK TABLES `field_data_field_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_type` VALUES ('node','event',0,12,12,'und',0,5),('node','event',0,13,13,'und',0,6),('node','event',0,18,18,'und',0,7),('node','event',0,19,19,'und',0,7),('node','event',0,20,20,'und',0,9),('node','event',0,21,21,'und',0,8),('node','event',0,22,22,'und',0,4),('node','event',0,31,31,'und',0,6),('node','event',0,61,61,'und',0,6);
/*!40000 ALTER TABLE `field_data_field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_video`
--

DROP TABLE IF EXISTS `field_data_field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_video_url` varchar(512) DEFAULT '',
  `field_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_video_video_data` longblob,
  `field_video_embed_code` varchar(1024) DEFAULT '',
  `field_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 41 (field_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_video`
--

LOCK TABLES `field_data_field_video` WRITE;
/*!40000 ALTER TABLE `field_data_field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_video` VALUES ('node','blog',0,15,15,'und',0,'http://vimeo.com/86823427','public://video_embed_field_thumbnails/vimeo/86823427.jpg','a:24:{s:2:\"id\";i:86823427;s:5:\"title\";s:27:\"Manenberg House Crowdfunder\";s:11:\"description\";s:1159:\"DONATE: http://www.igg.me/at/manenberghouse<br />\r\n<br />\r\nTwo people renovating a house in Manenberg, Cape Town, for those coming out of gangs and drugs.<br />\r\n<br />\r\nWe are Pete and Sarah Portal – two ordinary people with an exciting plan. We are part of a project called ‘Fusion’, working to help gangsters and drug addicts find hope and healing, by offering an alternative community to be part of.<br />\r\n<br />\r\nWe have bought a house in Manenberg, an area of Cape Town that we love, but is known for gangs, violence and drugs. This campaign is to raise funds to renovate the house, inside and out, so that we can live in it together with friends of ours who need help getting out of gangs and off drugs. <br />\r\n<br />\r\nWe want to contribute to the breaking down of social walls in Cape Town by cultivating family in a community that seems to have lost belief in itself, where addiction ravages lives and where gang wars are a regular occurrence.<br />\r\n<br />\r\nIllustration & Animation: Richard Bolland<br />\r\nFilming, Editing and VFX: Jake Waldron<br />\r\nVoice Over Recording: Simon Van Wyk<br />\r\nSound Effects: Richard Bolland & Jake Waldron\";s:3:\"url\";s:25:\"http://vimeo.com/86823427\";s:11:\"upload_date\";s:19:\"2014-02-16 09:08:59\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/464650051_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/464650051_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/464650051_640.jpg\";s:7:\"user_id\";i:1773088;s:9:\"user_name\";s:14:\"Studio Bolland\";s:8:\"user_url\";s:31:\"http://vimeo.com/richardbolland\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/8300377_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/8300377_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/8300377_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/8300377_300x300.jpg\";s:21:\"stats_number_of_likes\";i:252;s:21:\"stats_number_of_plays\";i:10281;s:24:\"stats_number_of_comments\";i:5;s:8:\"duration\";i:214;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:154:\"community, south africa, cape town, manenberg, drugs, addicts, high risk youth, crowdfunding, indiegogo, charity, house, support, animation, flat, flat UI\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','event',0,22,22,'und',0,'http://vimeo.com/86823427','public://video_embed_field_thumbnails/vimeo/86823427.jpg','a:24:{s:2:\"id\";i:86823427;s:5:\"title\";s:27:\"Manenberg House Crowdfunder\";s:11:\"description\";s:1159:\"DONATE: http://www.igg.me/at/manenberghouse<br />\r\n<br />\r\nTwo people renovating a house in Manenberg, Cape Town, for those coming out of gangs and drugs.<br />\r\n<br />\r\nWe are Pete and Sarah Portal – two ordinary people with an exciting plan. We are part of a project called ‘Fusion’, working to help gangsters and drug addicts find hope and healing, by offering an alternative community to be part of.<br />\r\n<br />\r\nWe have bought a house in Manenberg, an area of Cape Town that we love, but is known for gangs, violence and drugs. This campaign is to raise funds to renovate the house, inside and out, so that we can live in it together with friends of ours who need help getting out of gangs and off drugs. <br />\r\n<br />\r\nWe want to contribute to the breaking down of social walls in Cape Town by cultivating family in a community that seems to have lost belief in itself, where addiction ravages lives and where gang wars are a regular occurrence.<br />\r\n<br />\r\nIllustration & Animation: Richard Bolland<br />\r\nFilming, Editing and VFX: Jake Waldron<br />\r\nVoice Over Recording: Simon Van Wyk<br />\r\nSound Effects: Richard Bolland & Jake Waldron\";s:3:\"url\";s:25:\"http://vimeo.com/86823427\";s:11:\"upload_date\";s:19:\"2014-02-16 09:08:59\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/464650051_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/464650051_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/464650051_640.jpg\";s:7:\"user_id\";i:1773088;s:9:\"user_name\";s:14:\"Studio Bolland\";s:8:\"user_url\";s:31:\"http://vimeo.com/richardbolland\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/8300377_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/8300377_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/8300377_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/8300377_300x300.jpg\";s:21:\"stats_number_of_likes\";i:252;s:21:\"stats_number_of_plays\";i:10289;s:24:\"stats_number_of_comments\";i:5;s:8:\"duration\";i:214;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:154:\"community, south africa, cape town, manenberg, drugs, addicts, high risk youth, crowdfunding, indiegogo, charity, house, support, animation, flat, flat UI\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_data_field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_group`
--

DROP TABLE IF EXISTS `field_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_group`
--

LOCK TABLES `field_group` WRITE;
/*!40000 ALTER TABLE `field_group` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_group` VALUES (1,'group_donation_info|node|donation|default','group_donation_info','node','donation','default','','a:5:{s:5:\"label\";s:4:\"Info\";s:6:\"weight\";s:1:\"0\";s:8:\"children\";a:1:{i:0;s:4:\"body\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:4:\"Info\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:35:\"group-donation-info field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(2,'group_donation_form|node|donation|default','group_donation_form','node','donation','default','','a:5:{s:5:\"label\";s:11:\"Donate form\";s:6:\"weight\";s:1:\"5\";s:8:\"children\";a:2:{i:0;s:13:\"field_product\";i:1;s:11:\"field_image\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:11:\"Donate form\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:35:\"group-donation-form field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(3,'group_donate|node|event|default','group_donate','node','event','default','group_event_info','a:5:{s:5:\"label\";s:12:\"Group donate\";s:6:\"weight\";s:1:\"5\";s:8:\"children\";a:3:{i:0;s:20:\"field_donate_counter\";i:1;s:18:\"field_donate_total\";i:2;s:17:\"field_donate_goal\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:12:\"Group donate\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:28:\"group-donate field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(4,'group_product_info|node|product|default','group_product_info','node','product','default','','a:5:{s:5:\"label\";s:4:\"info\";s:6:\"weight\";s:1:\"2\";s:8:\"children\";a:4:{i:0;s:4:\"body\";i:1;s:13:\"field_product\";i:2;s:10:\"field_tags\";i:3;s:22:\"product:commerce_price\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:4:\"info\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:34:\"group-product-info field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(5,'group_event_info|node|event|default','group_event_info','node','event','default','','a:5:{s:5:\"label\";s:4:\"info\";s:6:\"weight\";s:1:\"2\";s:8:\"children\";a:3:{i:0;s:10:\"field_type\";i:1;s:13:\"field_product\";i:2;s:12:\"group_donate\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:4:\"info\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:32:\"group-event-info field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(6,'group_image|node|event|default','group_image','node','event','default','','a:5:{s:5:\"label\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"children\";a:6:{i:0;s:11:\"field_image\";i:1;s:10:\"field_tags\";i:2;s:11:\"field_video\";i:3;s:13:\"field_gallery\";i:4;s:14:\"product:status\";i:5;s:9:\"sharethis\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:5:\"image\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:27:\"group-image field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(7,'group_image|node|product|default','group_image','node','product','default','','a:5:{s:5:\"label\";s:5:\"Image\";s:6:\"weight\";s:1:\"1\";s:8:\"children\";a:1:{i:0;s:19:\"field_product_image\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:5:\"Image\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:27:\"group-image field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}');
/*!40000 ALTER TABLE `field_group` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','blog',0,1,1,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,2,2,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,3,3,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,4,4,'und',0,'<p>The Nature Conservancy is working with you to make a lasting difference around the world in more than 35 countries, all 50 states and your backyard.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,5,5,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,6,6,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,7,7,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,8,8,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','article',0,9,9,'und',0,'Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Phasellus blandit leo ut odio. Pellentesque dapibus hendrerit tortor. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum.\r\n\r\nNam eget dui. Curabitur at lacus ac velit ornare lobortis. Curabitur ullamcorper ultricies nisi. Cras id dui. Praesent ac massa at ligula laoreet iaculis.\r\n\r\nAliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Pellentesque commodo eros a enim. Vivamus quis mi. Nullam tincidunt adipiscing enim. Donec posuere vulputate arcu.\r\n\r\nNunc nonummy metus. Vestibulum eu odio. Phasellus gravida semper nisi. Nulla porta dolor. Fusce commodo aliquam arcu.\r\n\r\nNullam tincidunt adipiscing enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. Praesent ac massa at ligula laoreet iaculis. Nulla sit amet est. Duis lobortis massa imperdiet quam.','','filtered_html'),('node','article',0,10,10,'und',0,'Sed a libero. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Sed fringilla mauris sit amet nibh. In hac habitasse platea dictumst. Phasellus nec sem in justo pellentesque facilisis.\r\n\r\nCurabitur vestibulum aliquam leo. In dui magna, posuere eget, vestibulum et, tempor auctor, justo. Cras non dolor. Vestibulum turpis sem, aliquet eget, lobortis pellentesque, rutrum eu, nisl. Phasellus accumsan cursus velit.\r\n\r\nPraesent ac massa at ligula laoreet iaculis. Phasellus ullamcorper ipsum rutrum nunc. Vivamus quis mi. Vivamus quis mi. Nullam sagittis.\r\n\r\nPellentesque posuere. Phasellus magna. Sed augue ipsum, egestas nec, vestibulum et, malesuada adipiscing, dui. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc.\r\n\r\nNam at tortor in tellus interdum sagittis. Nullam sagittis. Sed augue ipsum, egestas nec, vestibulum et, malesuada adipiscing, dui. Nullam sagittis. Vivamus elementum semper nisi.','','filtered_html'),('node','article',0,11,11,'und',0,'Nunc nec neque. Vivamus quis mi. Quisque libero metus, condimentum nec, tempor a, commodo mollis, magna. Fusce risus nisl, viverra et, tempor et, pretium in, sapien. Suspendisse potenti. Duis leo. Pellentesque posuere. Curabitur suscipit suscipit tellus. Donec id justo. Ut tincidunt tincidunt erat. Pellentesque ut neque. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Curabitur nisi. Phasellus nec sem in justo pellentesque facilisis. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Sed aliquam ultrices mauris. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Phasellus accumsan cursus velit. Sed libero. In hac habitasse platea dictumst. Curabitur blandit mollis lacus. Suspendisse feugiat. Donec venenatis vulputate lorem. Phasellus volutpat, metus eget egestas mollis, lacus lacus blandit dui, id egestas quam mauris ut lacus.','','filtered_html'),('node','event',0,12,12,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,13,13,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','blog',0,14,14,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,15,15,'und',0,'In hac habitasse platea dictumst. Maecenas nec odio et ante tincidunt tempus. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Cras sagittis. Nunc nec neque.\r\n\r\nCras varius. Nulla sit amet est. Vestibulum volutpat pretium libero. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam erat volutpat.\r\n\r\nCurabitur nisi. Praesent metus tellus, elementum eu, semper a, adipiscing nec, purus. In ac felis quis tortor malesuada pretium. Aenean viverra rhoncus pede. Ut tincidunt tincidunt erat.\r\n\r\nPellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nam eget dui. Etiam iaculis nunc ac metus. Fusce neque.\r\n\r\nMaecenas malesuada. Etiam sit amet orci eget eros faucibus tincidunt. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Quisque id odio. Aenean vulputate eleifend tellus.','','filtered_html'),('node','blog',0,16,16,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,17,17,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','event',0,18,18,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,19,19,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','event',0,20,20,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla nam eget dui.','','filtered_html'),('node','event',0,21,21,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','event',0,22,22,'und',0,'Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio.','','filtered_html'),('node','gallery',0,23,23,'und',0,'Curabitur ullamcorper ultricies nisi. Integer tincidunt. Curabitur at lacus ac velit ornare lobortis. Nullam cursus lacinia erat. Cras non dolor.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,24,24,'und',0,'Praesent ac sem eget est egestas volutpat. Vivamus laoreet. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. Suspendisse potenti. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,25,25,'und',0,'Sed lectus. Cras varius. Quisque id odio. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Sed in libero ut nibh placerat accumsan.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,26,26,'und',0,'Suspendisse faucibus, nunc et pellentesque egestas, lacus ante convallis tellus, vitae iaculis lacus elit id tortor. Aliquam eu nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Nullam sagittis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,27,27,'und',0,'Vestibulum suscipit nulla quis orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos.. In auctor lobortis lacus. Suspendisse non nisl sit amet velit hendrerit rutrum.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,28,28,'und',0,'Pellentesque dapibus hendrerit tortor. Nunc nonummy metus. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Fusce neque. Nullam vel sem. Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,29,29,'und',0,'Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Phasellus consectetuer vestibulum elit. Proin faucibus arcu quis ante. Proin viverra, ligula sit amet ultrices semper, ligula arcu tristique sapien, a accumsan nisi mauris ac eros. Proin faucibus arcu quis ante.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,30,30,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','event',0,31,31,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','donation',0,37,37,'und',0,'Phasellus magna. Mauris turpis nunc, blandit et, volutpat molestie, porta ut, ligula. Phasellus magna. Sed in libero ut nibh placerat accumsan. Nullam cursus lacinia erat.','','filtered_html'),('node','donation',0,38,38,'und',0,'Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Vestibulum dapibus nunc ac augue. Maecenas malesuada. Vivamus aliquet elit ac nisl. Nunc nec neque.','','filtered_html'),('node','donation',0,39,39,'und',0,'Nam at tortor in tellus interdum sagittis. Nunc egestas, augue at pellentesque laoreet, felis eros vehicula leo, at malesuada velit leo quis pede. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Fusce vel dui. Sed in libero ut nibh placerat accumsan.','','filtered_html'),('node','donation',0,40,40,'und',0,'Duis leo. Curabitur blandit mollis lacus. Vestibulum dapibus nunc ac augue. Nunc egestas, augue at pellentesque laoreet, felis eros vehicula leo, at malesuada velit leo quis pede. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo.','','filtered_html'),('node','donation',0,41,41,'und',0,'Donec mollis hendrerit risus. Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Nunc nec neque. Phasellus gravida semper nisi.','','filtered_html'),('node','donation',0,42,42,'und',0,'Etiam sollicitudin, ipsum eu pulvinar rutrum, tellus ipsum laoreet sapien, quis venenatis ante odio sit amet eros. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Proin pretium, leo ac pellentesque mollis, felis nunc ultrices eros, sed gravida augue augue mollis justo. In hac habitasse platea dictumst. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.','','filtered_html'),('node','product',0,43,43,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','filtered_html'),('node','product',0,46,46,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,47,47,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,48,48,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,49,49,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,50,50,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','filtered_html'),('node','product',0,51,51,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','product',0,52,52,'und',0,'<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,54,54,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','gallery',0,55,55,'und',0,'Etiam ultricies nisi vel augue. Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Morbi ac felis.\r\n<p><strong>Duis in enim a urna venenatis malesuada:</strong></p>\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n<li>Phasellus commodo tincidunt dolor ac aliquam</li>\r\n<li>In fermentum ligula aliquet</li>\r\n</ul>','','full_html'),('node','article',0,56,56,'und',0,'Mauris mattis tellus purus, ut egestas leo porta nec. Duis accumsan, urna sed posuere fringilla, orci odio accumsan quam, a rutrum dui magna eget mi. Phasellus maximus, ex sit amet consequat iaculis; orci purus fringilla urna; vel tristique neque metus a enim. Morbi accumsan neque vitae tortor pretium aliquet. Sed iaculis accumsan odio, non lacinia erat pretium id. Phasellus ultricies in metus ultrices luctus. Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.\r\n<ul>\r\n<li>Phasellus bibendum vulputate enim,</li>\r\n<li>Nullam lorem massa, cursus a facilisis quis</li>\r\n<li>Cum sociis natoque penatibus et</li>\r\n</ul>','','full_html'),('node','article',0,57,57,'und',0,'<div class=\"row\">\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n</div>\r\n<div class=\"row\">\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n  <div class=\"col-md-3\"><i class=\"fa fa-bicycle\"></i>Interdum et malesuada fames ac ante ipsum primis in faucibus. Curabitur metus ipsum, consequat quis mauris nec, condimentum iaculis felis.</div>\r\n</div>\r\n','','full_html'),('node','testimonial',0,58,58,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','testimonial',0,59,59,'und',0,'Quisque elementum, sem varius condimentum dignissim, libero nisi congue sem, fermentum dignissim eros magna a ligula. Aenean iaculis tellus nisi, sit amet ultricies dui volutpat non. Proin in eros at tortor imperdiet pulvinar. Maecenas risus tortor, commodo a metus a, pharetra tincidunt libero.','','filtered_html'),('node','page',0,60,60,'und',0,'<div class=\"view-header\">\r\n<p>Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio vestibulum eu odio.</p>\r\n</div>','','full_html'),('node','event',0,61,61,'und',0,'Nam ipsum risus, rutrum vitae, vestibulum eu, molestie vel, lacus. Aenean viverra rhoncus pede. Duis vel nibh at velit scelerisque suscipit. Nunc nulla. Nam eget dui.','','filtered_html'),('node','page',0,63,63,'und',0,'<div class=\"view-header\">\r\n<p>Pellentesque fringilla vehicula pharetra. Duis feugiat, est eget dignissim posuere; mi justo accumsan lectus, sed ullamcorper lectus eros non urna.</p></div>','','full_html'),('node','blog',0,64,64,'und',0,'<p>Supporting 160 underprivileged children, mostly orphans and victims of HIV/AIDS, that visit daily the day centre: Centre Reborn for Hope. ALG finances feeding and education support.</p>\r\n\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n','','full_html'),('node','donation',0,65,65,'und',0,'Vivamus gravida ultricies dolor, a ullamcorper ex malesuada ac. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent et dui porttitor, maximus erat in, ultricies justo. Etiam rutrum nisl vel vestibulum facilisis. Nullam a massa a dolor pretium scelerisque. Nam gravida, dui nec sagittis condimentum, diam mauris viverra metus; nec iaculis metus orci vulputate leo. Phasellus imperdiet elit pulvinar condimentum laoreet. Pellentesque posuere eros vel sapien mollis posuere.','','filtered_html'),('node','donation',0,66,66,'und',0,'Phasellus pretium eleifend lectus, quis iaculis est sagittis sed. Vivamus et vestibulum tellus. Aliquam sagittis pulvinar placerat. Phasellus eleifend leo in est mollis, non tincidunt arcu rutrum. Praesent sem metus, porta et tempor non, interdum a risus. Duis congue varius efficitur. Aliquam dui arcu, pharetra pulvinar venenatis in, ornare eleifend diam. Praesent maximus neque massa, sit amet accumsan justo placerat non. Pellentesque feugiat eros a pulvinar fringilla.','','filtered_html'),('node','testimonial',0,68,68,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','testimonial',0,69,69,'und',0,'Suspendisse augue neque, malesuada non egestas sed, bibendum eu nunc. Proin rutrum, mi in sollicitudin malesuada, tortor ex semper eros, at interdum ipsum odio eu magna. Vivamus consequat sem vitae vehicula pulvinar. Ut porttitor imperdiet finibus.','','filtered_html'),('node','page',0,71,71,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n	<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n	<p class=\"weebpal-404-text\">404</p>\r\n	<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n        <p><a href=\"<?php echo url(\'<front>\'); ?>\" class=\"weebpal-return-back\">RETURN TO HOME</a></p>\r\n</div>','','php_code');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_event',0,1,1,'und',0,'Proin sapien ipsum, porta a, auctor quis, euismod ut, mi. ','filtered_html'),('comment','comment_node_event',0,2,2,'und',0,'At least once per week, share a helpful, interesting or fun post from another Facebook Page with your fans.','filtered_html'),('comment','comment_node_event',0,3,3,'und',0,'A new fundraising classic is born','filtered_html'),('comment','comment_node_blog',0,4,4,'und',0,'A new fundraising classic is born','filtered_html'),('comment','comment_node_blog',0,5,5,'und',0,'Facebook is still worth it for nonprofits, especially if you use these 5 types of posts.','filtered_html'),('comment','comment_node_blog',0,6,6,'und',0,'If your nonprofit has lots of great photo opportunities, you really do need to be on Pinterest.','filtered_html'),('comment','comment_node_blog',0,7,7,'und',0,'asfasfasfasf','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_customer_address`
--

DROP TABLE IF EXISTS `field_revision_commerce_customer_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_customer_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `commerce_customer_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `commerce_customer_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `commerce_customer_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `commerce_customer_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `commerce_customer_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `commerce_customer_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `commerce_customer_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `commerce_customer_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `commerce_customer_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `commerce_customer_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `commerce_customer_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 13 (commerce_customer...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_customer_address`
--

LOCK TABLES `field_revision_commerce_customer_address` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_customer_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_customer_address` VALUES ('commerce_customer_profile','billing',0,1,1,'und',0,'AF',NULL,NULL,'ewqewrewfdew',NULL,NULL,'12312312414','',NULL,NULL,'Thong','Thong','',NULL),('commerce_customer_profile','billing',0,2,2,'und',0,'AF',NULL,NULL,'ewqewrewfdew',NULL,NULL,'12312312414','',NULL,NULL,'Thong','Thong','',NULL),('commerce_customer_profile','billing',0,3,3,'und',0,'AF',NULL,NULL,'nothing',NULL,NULL,'draw inside','',NULL,NULL,'kun jadan sile','kun','jadan sile',NULL),('commerce_customer_profile','billing',0,4,4,'und',0,'AF',NULL,NULL,'sdfdsf',NULL,NULL,'sfsd','',NULL,NULL,'fsdf','fsdf','',NULL);
/*!40000 ALTER TABLE `field_revision_commerce_customer_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_customer_billing`
--

DROP TABLE IF EXISTS `field_revision_commerce_customer_billing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_customer_billing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_billing_profile_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_customer_billing_profile_id` (`commerce_customer_billing_profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 16 (commerce_customer...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_customer_billing`
--

LOCK TABLES `field_revision_commerce_customer_billing` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_customer_billing` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_customer_billing` VALUES ('commerce_order','commerce_order',0,4,12,'und',0,2),('commerce_order','commerce_order',0,4,13,'und',0,2),('commerce_order','commerce_order',0,4,14,'und',0,2),('commerce_order','commerce_order',0,7,23,'und',0,3),('commerce_order','commerce_order',0,7,24,'und',0,3),('commerce_order','commerce_order',0,7,25,'und',0,3),('commerce_order','commerce_order',0,11,34,'und',0,4),('commerce_order','commerce_order',0,11,35,'und',0,4);
/*!40000 ALTER TABLE `field_revision_commerce_customer_billing` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_display_path`
--

DROP TABLE IF EXISTS `field_revision_commerce_display_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_display_path` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_display_path_value` varchar(255) DEFAULT NULL,
  `commerce_display_path_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_display_path_format` (`commerce_display_path_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 22 (commerce_display...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_display_path`
--

LOCK TABLES `field_revision_commerce_display_path` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_display_path` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_display_path` VALUES ('commerce_line_item','product',0,16,16,'und',0,'node/52',NULL),('commerce_line_item','commerce_donate',0,18,18,'und',0,'node/61',NULL),('commerce_line_item','commerce_donate',0,23,23,'und',0,'node/41',NULL),('commerce_line_item','commerce_donate',0,25,25,'und',0,'node/61',NULL);
/*!40000 ALTER TABLE `field_revision_commerce_display_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_donate_amount`
--

DROP TABLE IF EXISTS `field_revision_commerce_donate_amount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_donate_amount` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_donate_amount_value` double DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 23 (commerce_donate...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_donate_amount`
--

LOCK TABLES `field_revision_commerce_donate_amount` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_donate_amount` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_donate_amount` VALUES ('commerce_line_item','commerce_donate',0,18,18,'und',0,5),('commerce_line_item','commerce_donate',0,23,23,'und',0,5),('commerce_line_item','commerce_donate',0,25,25,'und',0,5);
/*!40000 ALTER TABLE `field_revision_commerce_donate_amount` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_line_items`
--

DROP TABLE IF EXISTS `field_revision_commerce_line_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_line_items` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_line_items_line_item_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_line_items_line_item_id` (`commerce_line_items_line_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 14 (commerce_line_items)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_line_items`
--

LOCK TABLES `field_revision_commerce_line_items` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_line_items` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_line_items` VALUES ('commerce_order','commerce_order',0,4,11,'und',0,12),('commerce_order','commerce_order',0,4,12,'und',0,12),('commerce_order','commerce_order',0,4,13,'und',0,12),('commerce_order','commerce_order',0,4,14,'und',0,12),('commerce_order','commerce_order',0,5,15,'und',0,13),('commerce_order','commerce_order',0,5,16,'und',0,13),('commerce_order','commerce_order',0,5,17,'und',0,14),('commerce_order','commerce_order',0,5,18,'und',0,14),('commerce_order','commerce_order',0,6,20,'und',0,15),('commerce_order','commerce_order',0,6,20,'und',1,19),('commerce_order','commerce_order',0,7,21,'und',0,16),('commerce_order','commerce_order',0,7,21,'und',1,17),('commerce_order','commerce_order',0,7,22,'und',0,16),('commerce_order','commerce_order',0,7,22,'und',1,17),('commerce_order','commerce_order',0,7,23,'und',0,16),('commerce_order','commerce_order',0,7,23,'und',1,17),('commerce_order','commerce_order',0,7,24,'und',0,16),('commerce_order','commerce_order',0,7,24,'und',1,17),('commerce_order','commerce_order',0,7,24,'und',2,18),('commerce_order','commerce_order',0,7,25,'und',0,16),('commerce_order','commerce_order',0,7,25,'und',1,17),('commerce_order','commerce_order',0,7,25,'und',2,18),('commerce_order','commerce_order',0,8,26,'und',0,20),('commerce_order','commerce_order',0,8,27,'und',0,20),('commerce_order','commerce_order',0,9,28,'und',0,21),('commerce_order','commerce_order',0,9,29,'und',0,21),('commerce_order','commerce_order',0,10,30,'und',0,22),('commerce_order','commerce_order',0,11,31,'und',0,23),('commerce_order','commerce_order',0,11,31,'und',1,24),('commerce_order','commerce_order',0,11,32,'und',0,23),('commerce_order','commerce_order',0,11,32,'und',1,24),('commerce_order','commerce_order',0,11,33,'und',0,23),('commerce_order','commerce_order',0,11,33,'und',1,24),('commerce_order','commerce_order',0,11,34,'und',0,23),('commerce_order','commerce_order',0,11,34,'und',1,24),('commerce_order','commerce_order',0,11,35,'und',0,23),('commerce_order','commerce_order',0,11,35,'und',1,24),('commerce_order','commerce_order',0,12,36,'und',0,25),('commerce_order','commerce_order',0,12,36,'und',1,26),('commerce_order','commerce_order',0,12,37,'und',0,25),('commerce_order','commerce_order',0,12,37,'und',1,26),('commerce_order','commerce_order',0,12,38,'und',0,25),('commerce_order','commerce_order',0,12,38,'und',1,26);
/*!40000 ALTER TABLE `field_revision_commerce_line_items` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_order_total`
--

DROP TABLE IF EXISTS `field_revision_commerce_order_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_order_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_order_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_order_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_order_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_order_total_currency_price` (`commerce_order_total_amount`,`commerce_order_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 15 (commerce_order_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_order_total`
--

LOCK TABLES `field_revision_commerce_order_total` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_order_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_order_total` VALUES ('commerce_order','commerce_order',0,4,11,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,4,12,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,4,13,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,4,14,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,15,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,16,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,17,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,18,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,5,19,'und',0,0,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,6,20,'und',0,6400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:6400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,21,'und',0,4400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:4400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,22,'und',0,22400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:22400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,23,'und',0,22400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:22400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,24,'und',0,22900,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:22900;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,7,25,'und',0,22900,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:22900;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,8,26,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,8,27,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,9,28,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,9,29,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,10,30,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,31,'und',0,2900,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:2900;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,32,'und',0,5300,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:5300;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,33,'und',0,5300,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:5300;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,34,'und',0,5300,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:5300;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,11,35,'und',0,5300,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:5300;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,12,36,'und',0,2500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:2500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,12,37,'und',0,2500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:2500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_order','commerce_order',0,12,38,'und',0,2500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:2500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_revision_commerce_order_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_price`
--

DROP TABLE IF EXISTS `field_revision_commerce_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_price_currency_price` (`commerce_price_amount`,`commerce_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 17 (commerce_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_price`
--

LOCK TABLES `field_revision_commerce_price` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_price` VALUES ('commerce_product','commerce_event',0,1,2,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,2,3,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,3,4,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,4,5,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,5,6,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,6,7,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,7,8,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,8,9,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,9,10,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,10,11,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,11,12,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,12,13,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,13,14,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,14,15,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,15,16,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,16,17,'und',0,2500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,17,18,'und',0,2200,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,18,19,'und',0,3200,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,19,20,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,20,21,'und',0,1500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,21,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','product',0,22,23,'und',0,2400,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','commerce_event',0,23,24,'und',0,1500,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,24,25,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}'),('commerce_product','donation',0,25,26,'und',0,0,'USD','a:1:{s:10:\"components\";a:0:{}}');
/*!40000 ALTER TABLE `field_revision_commerce_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_product`
--

DROP TABLE IF EXISTS `field_revision_commerce_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_product_product_id` (`commerce_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 21 (commerce_product)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_product`
--

LOCK TABLES `field_revision_commerce_product` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_product` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_product` VALUES ('commerce_line_item','product',0,12,12,'und',0,22),('commerce_line_item','product',0,15,15,'und',0,22),('commerce_line_item','product',0,16,16,'und',0,22),('commerce_line_item','product',0,17,17,'und',0,21),('commerce_line_item','commerce_donate',0,18,18,'und',0,23),('commerce_line_item','product',0,19,19,'und',0,21),('commerce_line_item','product',0,20,20,'und',0,20),('commerce_line_item','product',0,21,21,'und',0,21),('commerce_line_item','product',0,22,22,'und',0,21),('commerce_line_item','commerce_donate',0,23,23,'und',0,13),('commerce_line_item','product',0,24,24,'und',0,22),('commerce_line_item','commerce_donate',0,25,25,'und',0,23),('commerce_line_item','product',0,26,26,'und',0,21);
/*!40000 ALTER TABLE `field_revision_commerce_product` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_total`
--

DROP TABLE IF EXISTS `field_revision_commerce_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_total_currency_price` (`commerce_total_amount`,`commerce_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 20 (commerce_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_total`
--

LOCK TABLES `field_revision_commerce_total` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_total` VALUES ('commerce_line_item','product',0,12,12,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,15,15,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,16,16,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2400;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,17,17,'und',0,20000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:20000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,18,18,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,19,19,'und',0,4000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:4000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,20,20,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,21,21,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,22,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,23,23,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,24,24,'und',0,4800,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:4800;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,25,25,'und',0,500,'USD','a:1:{s:10:\"components\";a:2:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:1500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,26,26,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:2000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_revision_commerce_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_commerce_unit_price`
--

DROP TABLE IF EXISTS `field_revision_commerce_unit_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_commerce_unit_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_unit_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_unit_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_unit_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_unit_price_currency_price` (`commerce_unit_price_amount`,`commerce_unit_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 19 (commerce_unit_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_commerce_unit_price`
--

LOCK TABLES `field_revision_commerce_unit_price` WRITE;
/*!40000 ALTER TABLE `field_revision_commerce_unit_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_commerce_unit_price` VALUES ('commerce_line_item','product',0,12,12,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,15,15,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,16,16,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,17,17,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,18,18,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,19,19,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,20,20,'und',0,1500,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,21,21,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,22,22,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,23,23,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:1:\"0\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:500;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,24,24,'und',0,2400,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2400\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}'),('commerce_line_item','commerce_donate',0,25,25,'und',0,500,'USD','a:1:{s:10:\"components\";a:3:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"1500\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}i:1;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";i:-1000;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}i:2;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";d:0;s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:0:{}}s:8:\"included\";b:1;}}}'),('commerce_line_item','product',0,26,26,'und',0,2000,'USD','a:1:{s:10:\"components\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"base_price\";s:5:\"price\";a:3:{s:6:\"amount\";s:4:\"2000\";s:13:\"currency_code\";s:3:\"USD\";s:4:\"data\";a:1:{s:10:\"components\";a:0:{}}}s:8:\"included\";b:1;}}}');
/*!40000 ALTER TABLE `field_revision_commerce_unit_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_bean_content`
--

DROP TABLE IF EXISTS `field_revision_field_bean_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_bean_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bean_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_bean_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bean_content_revision_id` (`field_bean_content_revision_id`),
  KEY `field_bean_content_value` (`field_bean_content_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 55 (field_bean_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_bean_content`
--

LOCK TABLES `field_revision_field_bean_content` WRITE;
/*!40000 ALTER TABLE `field_revision_field_bean_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_bean_content` VALUES ('bean','bean_about',0,19,21,'und',0,3,3),('bean','bean_about',0,19,21,'und',1,4,4),('bean','bean_about',0,19,21,'und',2,5,5),('bean','bean_about',0,19,21,'und',3,6,6),('bean','bean_about',0,19,21,'und',4,7,7),('bean','bean_about',0,19,21,'und',5,8,8);
/*!40000 ALTER TABLE `field_revision_field_bean_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_blog_type`
--

DROP TABLE IF EXISTS `field_revision_field_blog_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_blog_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_type_tid` (`field_blog_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 12 (field_blog_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_blog_type`
--

LOCK TABLES `field_revision_field_blog_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_blog_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_blog_type` VALUES ('node','blog',0,1,1,'und',0,1),('node','blog',0,2,2,'und',0,1),('node','blog',0,3,3,'und',0,1),('node','blog',0,4,4,'und',0,1),('node','blog',0,5,5,'und',0,1),('node','blog',0,6,6,'und',0,1),('node','blog',0,7,7,'und',0,1),('node','blog',0,8,8,'und',0,1),('node','blog',0,14,14,'und',0,3),('node','blog',0,15,15,'und',0,3),('node','blog',0,16,16,'und',0,3),('node','blog',0,17,17,'und',0,3),('node','blog',0,64,64,'und',0,3);
/*!40000 ALTER TABLE `field_revision_field_blog_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_content`
--

DROP TABLE IF EXISTS `field_revision_field_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_content_revision_id` (`field_content_revision_id`),
  KEY `field_content_value` (`field_content_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 40 (field_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_content`
--

LOCK TABLES `field_revision_field_content` WRITE;
/*!40000 ALTER TABLE `field_revision_field_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_content` VALUES ('node','blog',0,17,17,'und',0,1,1),('node','blog',0,17,17,'und',1,2,2),('node','blog',0,64,64,'und',0,9,9),('node','blog',0,64,64,'und',1,10,10);
/*!40000 ALTER TABLE `field_revision_field_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_description`
--

DROP TABLE IF EXISTS `field_revision_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_summary` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 43 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_description`
--

LOCK TABLES `field_revision_field_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_description` VALUES ('field_collection_item','field_bean_content',0,3,3,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,4,4,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,5,5,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,6,6,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,7,7,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('field_collection_item','field_bean_content',0,8,8,'und',0,'Nam vulputate, velit quis venenatis vulputate, urna nulla imperdiet risus, at interdum justo dui sit amet arcu.','','filtered_html'),('node','product',0,43,43,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,46,46,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,47,47,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,48,48,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,49,49,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,50,50,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,51,51,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('node','product',0,52,52,'und',0,'Proin eget lacus neque. Praesent tempor sapien eu nisi congue, vel varius dui malesuada. Integer nisl libero, eleifend sit amet urna et, vulputate auctor sem.','','filtered_html'),('user','user',0,10,10,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,11,11,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,12,12,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,13,13,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,14,14,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html'),('user','user',0,15,15,'und',0,'Nullam condimentum enim in ipsum varius, id luctus massa lacinia.','','filtered_html');
/*!40000 ALTER TABLE `field_revision_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_donate_counter`
--

DROP TABLE IF EXISTS `field_revision_field_donate_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_donate_counter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_counter_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 26 (field_donate_counter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_donate_counter`
--

LOCK TABLES `field_revision_field_donate_counter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_donate_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_donate_counter` VALUES ('node','event',0,12,12,'und',0,100),('node','event',0,13,13,'und',0,1000),('node','event',0,18,18,'und',0,10),('node','event',0,19,19,'und',0,0),('node','event',0,20,20,'und',0,2),('node','event',0,21,21,'und',0,200),('node','event',0,22,22,'und',0,200),('node','event',0,31,31,'und',0,1300),('node','event',0,61,61,'und',0,3200);
/*!40000 ALTER TABLE `field_revision_field_donate_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_donate_goal`
--

DROP TABLE IF EXISTS `field_revision_field_donate_goal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_donate_goal` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_goal_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 28 (field_donate_goal)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_donate_goal`
--

LOCK TABLES `field_revision_field_donate_goal` WRITE;
/*!40000 ALTER TABLE `field_revision_field_donate_goal` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_donate_goal` VALUES ('node','event',0,12,12,'und',0,150000),('node','event',0,13,13,'und',0,200000),('node','event',0,18,18,'und',0,1000),('node','event',0,19,19,'und',0,2000),('node','event',0,20,20,'und',0,3000),('node','event',0,21,21,'und',0,5000),('node','event',0,22,22,'und',0,20000),('node','event',0,31,31,'und',0,200000),('node','event',0,61,61,'und',0,100000);
/*!40000 ALTER TABLE `field_revision_field_donate_goal` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_donate_total`
--

DROP TABLE IF EXISTS `field_revision_field_donate_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_donate_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_donate_total_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 27 (field_donate_total)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_donate_total`
--

LOCK TABLES `field_revision_field_donate_total` WRITE;
/*!40000 ALTER TABLE `field_revision_field_donate_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_donate_total` VALUES ('node','event',0,12,12,'und',0,20000),('node','event',0,13,13,'und',0,40000),('node','event',0,18,18,'und',0,245),('node','event',0,19,19,'und',0,0),('node','event',0,20,20,'und',0,210),('node','event',0,21,21,'und',0,2450),('node','event',0,22,22,'und',0,1000),('node','event',0,31,31,'und',0,100000),('node','event',0,61,61,'und',0,20000);
/*!40000 ALTER TABLE `field_revision_field_donate_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_email`
--

DROP TABLE IF EXISTS `field_revision_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_value` varchar(255) DEFAULT NULL,
  `field_email_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_email_format` (`field_email_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 45 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_email`
--

LOCK TABLES `field_revision_field_email` WRITE;
/*!40000 ALTER TABLE `field_revision_field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_email` VALUES ('user','user',0,10,10,'und',0,'constance.byrd80@example.com',NULL),('user','user',0,11,11,'und',0,'jamie.rhodes10@example.com',NULL),('user','user',0,12,12,'und',0,'andy.wheeler15@example.com',NULL),('user','user',0,13,13,'und',0,'christy.ferguson12@example.com',NULL),('user','user',0,14,14,'und',0,'audrey.hopkins12@example.com',NULL),('user','user',0,15,15,'und',0,'earl.kim57@example.com',NULL);
/*!40000 ALTER TABLE `field_revision_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_facebook`
--

DROP TABLE IF EXISTS `field_revision_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 46 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_facebook`
--

LOCK TABLES `field_revision_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_revision_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_facebook` VALUES ('user','user',0,10,10,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,11,11,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,12,12,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,13,13,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,14,14,'und',0,'https://facebook.com','Facebook','a:0:{}'),('user','user',0,15,15,'und',0,'https://facebook.com','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_blog_types`
--

DROP TABLE IF EXISTS `field_revision_field_field_blog_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_blog_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_blog_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_blog_types_tid` (`field_field_blog_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_field_blog...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_blog_types`
--

LOCK TABLES `field_revision_field_field_blog_types` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_blog_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_blog_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_event_types`
--

DROP TABLE IF EXISTS `field_revision_field_field_event_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_event_types` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_event_types_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_event_types_tid` (`field_field_event_types_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 24 (field_field_event...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_event_types`
--

LOCK TABLES `field_revision_field_field_event_types` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_event_types` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_event_types` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_full_name`
--

DROP TABLE IF EXISTS `field_revision_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 42 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_full_name`
--

LOCK TABLES `field_revision_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_revision_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_full_name` VALUES ('user','user',0,10,10,'und',0,'Constance Byrd',NULL),('user','user',0,11,11,'und',0,'Jamie Rhodes',NULL),('user','user',0,12,12,'und',0,'Andy Wheeler',NULL),('user','user',0,13,13,'und',0,'Christy Ferguson',NULL),('user','user',0,14,14,'und',0,'Audrey Hopkins',NULL),('user','user',0,15,15,'und',0,'Earl Kim',NULL);
/*!40000 ALTER TABLE `field_revision_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gallery`
--

DROP TABLE IF EXISTS `field_revision_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 29 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gallery`
--

LOCK TABLES `field_revision_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gallery` VALUES ('node','gallery',0,23,23,'und',0,323,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,23,23,'und',1,324,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,23,23,'und',2,325,'Donec vitae sapien ut','Donec vitae sapien ut',1170,760),('node','gallery',0,24,24,'und',0,321,'In enim justo rhoncus','In enim justo rhoncus',1170,760),('node','gallery',0,24,24,'und',1,322,'In enim justo rhoncus','In enim justo rhoncus',1170,760),('node','gallery',0,25,25,'und',0,317,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,25,25,'und',1,318,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,25,25,'und',2,319,'Praesent porttitor nulla vitae','Praesent porttitor nulla vitae',1170,760),('node','gallery',0,26,26,'und',0,314,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,26,26,'und',1,315,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,26,26,'und',2,316,'Pellentesque egestas neque sit','Pellentesque egestas neque sit',1170,760),('node','gallery',0,27,27,'und',0,310,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',1,311,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',2,312,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,27,27,'und',3,313,'Donec elit libero sodales','Donec elit libero sodales',1170,760),('node','gallery',0,28,28,'und',0,309,'Ut id nisl quis','Ut id nisl quis',1170,760),('node','gallery',0,29,29,'und',0,307,'Praesent egestas neque eu','Praesent egestas neque eu',1170,760),('node','gallery',0,29,29,'und',1,308,'Praesent egestas neque eu','Praesent egestas neque eu',1170,760),('node','gallery',0,30,30,'und',0,304,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,30,30,'und',1,305,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,30,30,'und',2,306,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','event',0,31,31,'und',0,201,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',1,202,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',2,203,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',3,204,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',4,205,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,31,31,'und',5,206,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','gallery',0,54,54,'und',0,296,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,54,54,'und',1,297,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,54,54,'und',2,299,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',0,300,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',1,301,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760),('node','gallery',0,55,55,'und',2,303,'Fusce vulputate eleifend sapien','Fusce vulputate eleifend sapien',1170,760);
/*!40000 ALTER TABLE `field_revision_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gender`
--

DROP TABLE IF EXISTS `field_revision_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 51 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gender`
--

LOCK TABLES `field_revision_field_gender` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gender` VALUES ('user','user',0,10,10,'und',0,19),('user','user',0,11,11,'und',0,18),('user','user',0,12,12,'und',0,18),('user','user',0,13,13,'und',0,19),('user','user',0,14,14,'und',0,19),('user','user',0,15,15,'und',0,18);
/*!40000 ALTER TABLE `field_revision_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gplus`
--

DROP TABLE IF EXISTS `field_revision_field_gplus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gplus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gplus_url` varchar(2048) DEFAULT NULL,
  `field_gplus_title` varchar(255) DEFAULT NULL,
  `field_gplus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 48 (field_gplus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gplus`
--

LOCK TABLES `field_revision_field_gplus` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gplus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gplus` VALUES ('user','user',0,10,10,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,11,11,'und',0,'https://plus.google.com/','','a:0:{}'),('user','user',0,12,12,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,13,13,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,14,14,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,15,15,'und',0,'https://plus.google.com/','Gplus','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_gplus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('field_collection_item','field_content',0,1,1,'und',0,169,'','',1170,760),('field_collection_item','field_content',0,2,2,'und',0,170,'','',1170,760),('field_collection_item','field_bean_content',0,3,3,'und',0,129,'','',80,60),('field_collection_item','field_bean_content',0,4,4,'und',0,130,'','',80,60),('field_collection_item','field_bean_content',0,5,5,'und',0,131,'','',80,60),('field_collection_item','field_bean_content',0,6,6,'und',0,132,'','',80,60),('field_collection_item','field_bean_content',0,7,7,'und',0,133,'','',80,60),('field_collection_item','field_bean_content',0,8,8,'und',0,134,'','',80,60),('field_collection_item','field_content',0,9,9,'und',0,166,'','',1170,760),('field_collection_item','field_content',0,10,10,'und',0,167,'','',1170,760),('node','blog',0,1,1,'und',0,159,'5 Ways to Sabotage Your Mission Statement','5 Ways to Sabotage Your Mission Statement',1016,660),('node','blog',0,2,2,'und',0,219,'6 Content Ideas for Your Nonprofit Website','6 Content Ideas for Your Nonprofit Website',1170,760),('node','blog',0,3,3,'und',0,157,'How to Raise Capacity Capital for Your Nonprofit','How to Raise Capacity Capital for Your Nonprofit',1016,660),('node','blog',0,4,4,'und',0,149,'Conserve the lands and waters on which all life depends','Conserve the lands and waters on which all life depends',1170,760),('node','blog',0,5,5,'und',0,164,'Praesent metus tellus','Praesent metus tellus',1170,760),('node','blog',0,6,6,'und',0,163,'Praesent ac massa at','Praesent ac massa at',1170,760),('node','blog',0,7,7,'und',0,162,'Vestibulum ante ipsum primis','Vestibulum ante ipsum primis',1170,760),('node','blog',0,8,8,'und',0,161,'Our work with refugees','Our work with refugees',1170,760),('node','article',0,9,9,'und',0,60,'','',137,137),('node','article',0,10,10,'und',0,59,'','',137,137),('node','article',0,11,11,'und',0,58,'','',137,137),('node','event',0,12,12,'und',0,209,'Mauris sollicitudin fermentum libero','Mauris sollicitudin fermentum libero',1170,760),('node','event',0,13,13,'und',0,208,'Help us','Help us',1170,760),('node','blog',0,14,14,'und',0,172,'Proin viverra ligula sit occaecat cupidatat','Proin viverra ligula sit occaecat cupidatat',1170,760),('node','blog',0,16,16,'und',0,171,'Nunc egestas augue at nulla facilisi','Nunc egestas augue at nulla facilisi',1170,760),('node','blog',0,17,17,'und',0,168,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',1170,760),('node','event',0,18,18,'und',0,207,'The World Face Extinction Everyday','The World Face Extinction Everyday',1170,760),('node','event',0,19,19,'und',0,176,'Phasellus ullamcorper ipsum','Phasellus ullamcorper ipsum',1170,760),('node','event',0,20,20,'und',0,175,'Fusce vulputate eleifend','Fusce vulputate eleifend',1170,760),('node','event',0,21,21,'und',0,174,'Cras risus ipsum faucibus','Cras risus ipsum faucibus',1170,760),('node','sponsor',0,32,32,'und',0,270,'','',170,100),('node','sponsor',0,33,33,'und',0,266,'','',170,100),('node','sponsor',0,34,34,'und',0,269,'','',170,100),('node','sponsor',0,35,35,'und',0,271,'','',170,100),('node','sponsor',0,36,36,'und',0,268,'','',170,100),('node','donation',0,37,37,'und',0,217,'','',555,275),('node','donation',0,38,38,'und',0,218,'','',555,275),('node','donation',0,39,39,'und',0,216,'','',555,275),('node','donation',0,40,40,'und',0,215,'','',555,275),('node','donation',0,41,41,'und',0,214,'','',555,275),('node','donation',0,42,42,'und',0,213,'','',555,275),('node','ads',0,44,44,'und',0,326,'','',265,235),('node','ads',0,45,45,'und',0,327,'','',265,235),('node','sponsor',0,53,53,'und',0,265,'','',170,100),('node','article',0,56,56,'und',0,186,'What we do','What we do',1170,580),('node','event',0,61,61,'und',0,173,'Support Hermio Foundation','Support Hermio Foundation',1170,760),('node','blog',0,64,64,'und',0,184,'Duis in enim a urna venenatis malesuada','Duis in enim a urna venenatis malesuada',1170,760),('node','donation',0,65,65,'und',0,183,'','',555,275),('node','donation',0,66,66,'und',0,182,'','',555,275),('node','sponsor',0,67,67,'und',0,328,'','',170,100),('taxonomy_term','event_types',0,4,4,'und',0,103,'','',40,40),('taxonomy_term','event_types',0,5,5,'und',0,106,'','',40,40),('taxonomy_term','event_types',0,8,8,'und',0,105,'','',40,40),('taxonomy_term','event_types',0,9,9,'und',0,104,'','',40,40);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_instagram`
--

DROP TABLE IF EXISTS `field_revision_field_instagram`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_instagram` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_instagram_url` varchar(2048) DEFAULT NULL,
  `field_instagram_title` varchar(255) DEFAULT NULL,
  `field_instagram_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 49 (field_instagram)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_instagram`
--

LOCK TABLES `field_revision_field_instagram` WRITE;
/*!40000 ALTER TABLE `field_revision_field_instagram` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_instagram` VALUES ('user','user',0,10,10,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,11,11,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,12,12,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,13,13,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,14,14,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}'),('user','user',0,15,15,'und',0,'https://www.linkedin.com/','LinkedIn','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_instagram` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_link`
--

DROP TABLE IF EXISTS `field_revision_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 33 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_link`
--

LOCK TABLES `field_revision_field_link` WRITE;
/*!40000 ALTER TABLE `field_revision_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_link` VALUES ('node','sponsor',0,32,32,'und',0,'http://demo.weebpal.com/','Themeforest','a:0:{}'),('node','sponsor',0,33,33,'und',0,'http://demo.weebpal.com/','Photodune','a:0:{}'),('node','sponsor',0,34,34,'und',0,'http://demo.weebpal.com/','Graphicriver','a:0:{}'),('node','sponsor',0,35,35,'und',0,'http://demo.weebpal.com/','Codecanyon','a:0:{}'),('node','sponsor',0,36,36,'und',0,'http://demo.weebpal.com/','Audiojungle','a:0:{}'),('node','ads',0,44,44,'und',0,'http://demo.weebpal.com/#aloha','Aloha','a:0:{}'),('node','ads',0,45,45,'und',0,'http://demo.weebpal.com/#real_estast','RealEstast','a:0:{}'),('node','sponsor',0,53,53,'und',0,'http://demo.weebpal.com/','Activeden','a:0:{}'),('node','sponsor',0,67,67,'und',0,'http://demo.weebpal.com/','Audiojungle','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_phone`
--

DROP TABLE IF EXISTS `field_revision_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 44 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_phone`
--

LOCK TABLES `field_revision_field_phone` WRITE;
/*!40000 ALTER TABLE `field_revision_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_phone` VALUES ('user','user',0,10,10,'und',0,'(596)-638-2572',NULL),('user','user',0,11,11,'und',0,'(640)-440-7614',NULL),('user','user',0,12,12,'und',0,'(609)-356-2615',NULL),('user','user',0,13,13,'und',0,'(968)-445-3280',NULL),('user','user',0,14,14,'und',0,'(185)-915-2908',NULL),('user','user',0,15,15,'und',0,'(258)-706-1751',NULL);
/*!40000 ALTER TABLE `field_revision_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_position`
--

DROP TABLE IF EXISTS `field_revision_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 50 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_position`
--

LOCK TABLES `field_revision_field_position` WRITE;
/*!40000 ALTER TABLE `field_revision_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_position` VALUES ('user','user',0,10,10,'und',0,14),('user','user',0,11,11,'und',0,17),('user','user',0,12,12,'und',0,15),('user','user',0,13,13,'und',0,16),('user','user',0,14,14,'und',0,14),('user','user',0,15,15,'und',0,17);
/*!40000 ALTER TABLE `field_revision_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_product`
--

DROP TABLE IF EXISTS `field_revision_field_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_product_id` (`field_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 18 (field_product)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_product`
--

LOCK TABLES `field_revision_field_product` WRITE;
/*!40000 ALTER TABLE `field_revision_field_product` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_product` VALUES ('node','event',0,12,12,'und',0,1),('node','event',0,13,13,'und',0,2),('node','event',0,18,18,'und',0,3),('node','event',0,19,19,'und',0,4),('node','event',0,20,20,'und',0,5),('node','event',0,21,21,'und',0,6),('node','event',0,22,22,'und',0,7),('node','event',0,31,31,'und',0,8),('node','donation',0,37,37,'und',0,9),('node','donation',0,38,38,'und',0,10),('node','donation',0,39,39,'und',0,11),('node','donation',0,40,40,'und',0,12),('node','donation',0,41,41,'und',0,13),('node','donation',0,42,42,'und',0,14),('node','product',0,43,43,'und',0,15),('node','product',0,46,46,'und',0,16),('node','product',0,47,47,'und',0,17),('node','product',0,48,48,'und',0,18),('node','product',0,49,49,'und',0,19),('node','product',0,50,50,'und',0,20),('node','product',0,51,51,'und',0,21),('node','product',0,52,52,'und',0,22),('node','event',0,61,61,'und',0,23),('node','donation',0,65,65,'und',0,24),('node','donation',0,66,66,'und',0,25);
/*!40000 ALTER TABLE `field_revision_field_product` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_product_image`
--

DROP TABLE IF EXISTS `field_revision_field_product_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_image_fid` (`field_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 54 (field_product_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_product_image`
--

LOCK TABLES `field_revision_field_product_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_product_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_product_image` VALUES ('node','product',0,43,43,'und',0,234,'Donec in nisi','Donec in nisi',400,448),('node','product',0,43,43,'und',1,235,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',0,260,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',1,261,'Donec in nisi','Donec in nisi',400,448),('node','product',0,46,46,'und',2,262,'Donec in nisi','Donec in nisi',400,448),('node','product',0,47,47,'und',0,254,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,47,47,'und',1,255,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,47,47,'und',2,256,'Phasellus ullamcorper ipsum rutrum','Phasellus ullamcorper ipsum rutrum',400,448),('node','product',0,48,48,'und',0,252,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',400,448),('node','product',0,48,48,'und',1,253,'Pellentesque habitant morbi tristique','Pellentesque habitant morbi tristique',400,448),('node','product',0,49,49,'und',0,250,'Morbi mollis tellus ac','Morbi mollis tellus ac',400,448),('node','product',0,49,49,'und',1,251,'Morbi mollis tellus ac','Morbi mollis tellus ac',400,448),('node','product',0,50,50,'und',0,244,'Curabitur blandit mollis lacus','Curabitur blandit mollis lacus',400,448),('node','product',0,50,50,'und',1,245,'Curabitur blandit mollis lacus','Curabitur blandit mollis lacus',400,448),('node','product',0,51,51,'und',0,242,'Donec orci lectus aliquam','Donec orci lectus aliquam',400,448),('node','product',0,51,51,'und',1,243,'Donec orci lectus aliquam','Donec orci lectus aliquam',400,448),('node','product',0,52,52,'und',0,239,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448),('node','product',0,52,52,'und',1,240,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448),('node','product',0,52,52,'und',2,241,'Vestibulum ullamcorper mauris at','Vestibulum ullamcorper mauris at',400,448);
/*!40000 ALTER TABLE `field_revision_field_product_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_simplenews_term`
--

DROP TABLE IF EXISTS `field_revision_field_simplenews_term`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_simplenews_term` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simplenews_term_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simplenews_term_tid` (`field_simplenews_term_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 32 (field_simplenews...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_simplenews_term`
--

LOCK TABLES `field_revision_field_simplenews_term` WRITE;
/*!40000 ALTER TABLE `field_revision_field_simplenews_term` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_simplenews_term` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_slideshow`
--

DROP TABLE IF EXISTS `field_revision_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_slideshow`
--

LOCK TABLES `field_revision_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_revision_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_slideshow` VALUES ('node','blog',0,1,1,'und',0,152,'','',1920,660),('node','blog',0,2,2,'und',0,220,'','',1920,660),('node','blog',0,3,3,'und',0,150,'','',1920,660),('node','blog',0,4,4,'und',0,148,'','',1920,660);
/*!40000 ALTER TABLE `field_revision_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_statistic_amount`
--

DROP TABLE IF EXISTS `field_revision_field_statistic_amount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_statistic_amount` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_amount_value` varchar(255) DEFAULT NULL,
  `field_statistic_amount_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_statistic_amount_format` (`field_statistic_amount_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 57 (field_statistic...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_statistic_amount`
--

LOCK TABLES `field_revision_field_statistic_amount` WRITE;
/*!40000 ALTER TABLE `field_revision_field_statistic_amount` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_statistic_amount` VALUES ('bean','bean_statistic',0,8,24,'und',0,'20265',NULL),('bean','bean_statistic',0,8,26,'und',0,'20265',NULL),('bean','bean_statistic',0,8,27,'und',0,'20265',NULL),('bean','bean_statistic',0,9,22,'und',0,'199',NULL),('bean','bean_statistic',0,11,25,'und',0,'223+',NULL),('bean','bean_statistic',0,12,23,'und',0,'11199',NULL);
/*!40000 ALTER TABLE `field_revision_field_statistic_amount` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_statistic_description`
--

DROP TABLE IF EXISTS `field_revision_field_statistic_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_statistic_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_statistic_description_value` longtext,
  `field_statistic_description_summary` longtext,
  `field_statistic_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_statistic_description_format` (`field_statistic_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 39 (field_statistic...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_statistic_description`
--

LOCK TABLES `field_revision_field_statistic_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_statistic_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_statistic_description` VALUES ('bean','bean_statistic',0,8,9,'und',0,'Morbi sit amet ante orci. Fusce ornare luctus ipsum ac euismod. Donec placerat molestie blandit? Mauris vel nisl elementum, scelerisque sem eget, efficitur magna. Pellentesque tincidunt; augue vel accumsan consectetur, erat lacus interdum ex, a gravida nisl dolor in dui.','','filtered_html'),('bean','bean_statistic',0,8,24,'und',0,'Morbi sit amet ante orci. Fusce ornare luctus ipsum ac euismod. Donec placerat molestie blandit? Mauris vel nisl elementum, scelerisque sem eget, efficitur magna. Pellentesque tincidunt; augue vel accumsan consectetur, erat lacus interdum ex, a gravida nisl dolor in dui.','','filtered_html'),('bean','bean_statistic',0,8,26,'und',0,'Morbi sit amet ante orci. Fusce ornare luctus ipsum ac euismod. Donec placerat molestie blandit? Mauris vel nisl elementum, scelerisque sem eget, efficitur magna. Pellentesque tincidunt; augue vel accumsan consectetur, erat lacus interdum ex, a gravida nisl dolor in dui unde omnis iste natus error sit.','','filtered_html'),('bean','bean_statistic',0,8,27,'und',0,'Donec at enim at justo mattis maximus sit amet a velit. Nam mi sem, venenatis vitae dolor non, sodales venenatis lacus. Mauris vulputate, ipsum quis luctus cursus; purus felis luctus lorem; vel malesuada arcu est non orci.','','filtered_html'),('bean','bean_statistic',0,9,10,'und',0,'Donec at enim at justo mattis maximus sit amet a velit. Nam mi sem, venenatis vitae dolor non, sodales venenatis lacus. Mauris vulputate, ipsum quis luctus cursus; purus felis luctus lorem; vel malesuada arcu est non orci. Etiam tempor iaculis mi ut vehicula.','','filtered_html'),('bean','bean_statistic',0,9,22,'und',0,'Donec at enim at justo mattis maximus sit amet a velit. Nam mi sem, venenatis vitae dolor non, sodales venenatis lacus. Mauris vulputate, ipsum quis luctus cursus; purus felis luctus lorem; vel malesuada arcu est non orci. Etiam tempor iaculis mi ut vehicula.','','filtered_html'),('bean','bean_statistic',0,11,12,'und',0,'Proin auctor eros ac justo finibus, a convallis arcu efficitur. Ut ac consectetur leo, vel rutrum diam. Nunc pellentesque mattis risus vitae vehicula. Cras sapien velit, ultrices dignissim fermentum in, faucibus id magna. Quisque nec leo sed nisl sodales blandit.','','filtered_html'),('bean','bean_statistic',0,11,25,'und',0,'Proin auctor eros ac justo finibus, a convallis arcu efficitur. Ut ac consectetur leo, vel rutrum diam. Nunc pellentesque mattis risus vitae vehicula. Cras sapien velit, ultrices dignissim fermentum in, faucibus id magna. Quisque nec leo sed nisl sodales blandit.','','filtered_html'),('bean','bean_statistic',0,12,13,'und',0,'Suspendisse lobortis, eros vitae scelerisque consectetur, justo lectus bibendum purus, quis pulvinar mi urna porta augue. Sed suscipit, lacus non molestie ullamcorper, orci elit varius elit, non vehicula libero lacus accumsan ante? Nullam eu mauris purus.','','filtered_html'),('bean','bean_statistic',0,12,23,'und',0,'Suspendisse lobortis, eros vitae scelerisque consectetur, justo lectus bibendum purus, quis pulvinar mi urna porta augue. Sed suscipit, lacus non molestie ullamcorper, orci elit varius elit, non vehicula libero lacus accumsan ante? Nullam eu mauris purus.','','filtered_html');
/*!40000 ALTER TABLE `field_revision_field_statistic_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tags` VALUES ('node','product',0,43,43,'und',0,11),('node','product',0,49,49,'und',0,13),('node','product',0,52,52,'und',0,12),('node','event',0,61,61,'und',0,20);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_text`
--

DROP TABLE IF EXISTS `field_revision_field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` varchar(255) DEFAULT NULL,
  `field_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 52 (field_text)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_text`
--

LOCK TABLES `field_revision_field_text` WRITE;
/*!40000 ALTER TABLE `field_revision_field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_text` VALUES ('field_collection_item','field_content',0,1,1,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tort',NULL),('field_collection_item','field_content',0,2,2,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tort',NULL),('field_collection_item','field_content',0,9,9,'und',0,'Morbi congue urna at lectus sollicitudin porttitor. Etiam dapibus vestibulum urna, non molestie elit. Pellentesque vehicula augue vel tortor fringilla sollicitudin id eu lectus.',NULL),('field_collection_item','field_content',0,10,10,'und',0,'Aliquam efficitur, diam ac ullamcorper fringilla, sapien nulla volutpat felis, at sagittis est ligula ut tellus. Nunc volutpat non leo nec consequat. Sed pretium accumsan fermentum. Praesent nisi enim, scelerisque vel semper ac, consequat vel risus. Suspe',NULL);
/*!40000 ALTER TABLE `field_revision_field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_twitter`
--

DROP TABLE IF EXISTS `field_revision_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 47 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_twitter`
--

LOCK TABLES `field_revision_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_twitter` VALUES ('user','user',0,10,10,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,11,11,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,12,12,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,13,13,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,14,14,'und',0,'https://twitter.com','Twitter','a:0:{}'),('user','user',0,15,15,'und',0,'https://twitter.com','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_type`
--

DROP TABLE IF EXISTS `field_revision_field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_type_tid` (`field_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 25 (field_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_type`
--

LOCK TABLES `field_revision_field_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_type` VALUES ('node','event',0,12,12,'und',0,5),('node','event',0,13,13,'und',0,6),('node','event',0,18,18,'und',0,7),('node','event',0,19,19,'und',0,7),('node','event',0,20,20,'und',0,9),('node','event',0,21,21,'und',0,8),('node','event',0,22,22,'und',0,4),('node','event',0,31,31,'und',0,6),('node','event',0,61,61,'und',0,6);
/*!40000 ALTER TABLE `field_revision_field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_video`
--

DROP TABLE IF EXISTS `field_revision_field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_video_url` varchar(512) DEFAULT '',
  `field_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_video_video_data` longblob,
  `field_video_embed_code` varchar(1024) DEFAULT '',
  `field_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 41 (field_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_video`
--

LOCK TABLES `field_revision_field_video` WRITE;
/*!40000 ALTER TABLE `field_revision_field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_video` VALUES ('node','blog',0,15,15,'und',0,'http://vimeo.com/86823427','public://video_embed_field_thumbnails/vimeo/86823427.jpg','a:24:{s:2:\"id\";i:86823427;s:5:\"title\";s:27:\"Manenberg House Crowdfunder\";s:11:\"description\";s:1159:\"DONATE: http://www.igg.me/at/manenberghouse<br />\r\n<br />\r\nTwo people renovating a house in Manenberg, Cape Town, for those coming out of gangs and drugs.<br />\r\n<br />\r\nWe are Pete and Sarah Portal – two ordinary people with an exciting plan. We are part of a project called ‘Fusion’, working to help gangsters and drug addicts find hope and healing, by offering an alternative community to be part of.<br />\r\n<br />\r\nWe have bought a house in Manenberg, an area of Cape Town that we love, but is known for gangs, violence and drugs. This campaign is to raise funds to renovate the house, inside and out, so that we can live in it together with friends of ours who need help getting out of gangs and off drugs. <br />\r\n<br />\r\nWe want to contribute to the breaking down of social walls in Cape Town by cultivating family in a community that seems to have lost belief in itself, where addiction ravages lives and where gang wars are a regular occurrence.<br />\r\n<br />\r\nIllustration & Animation: Richard Bolland<br />\r\nFilming, Editing and VFX: Jake Waldron<br />\r\nVoice Over Recording: Simon Van Wyk<br />\r\nSound Effects: Richard Bolland & Jake Waldron\";s:3:\"url\";s:25:\"http://vimeo.com/86823427\";s:11:\"upload_date\";s:19:\"2014-02-16 09:08:59\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/464650051_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/464650051_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/464650051_640.jpg\";s:7:\"user_id\";i:1773088;s:9:\"user_name\";s:14:\"Studio Bolland\";s:8:\"user_url\";s:31:\"http://vimeo.com/richardbolland\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/8300377_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/8300377_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/8300377_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/8300377_300x300.jpg\";s:21:\"stats_number_of_likes\";i:252;s:21:\"stats_number_of_plays\";i:10281;s:24:\"stats_number_of_comments\";i:5;s:8:\"duration\";i:214;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:154:\"community, south africa, cape town, manenberg, drugs, addicts, high risk youth, crowdfunding, indiegogo, charity, house, support, animation, flat, flat UI\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','event',0,22,22,'und',0,'http://vimeo.com/86823427','public://video_embed_field_thumbnails/vimeo/86823427.jpg','a:24:{s:2:\"id\";i:86823427;s:5:\"title\";s:27:\"Manenberg House Crowdfunder\";s:11:\"description\";s:1159:\"DONATE: http://www.igg.me/at/manenberghouse<br />\r\n<br />\r\nTwo people renovating a house in Manenberg, Cape Town, for those coming out of gangs and drugs.<br />\r\n<br />\r\nWe are Pete and Sarah Portal – two ordinary people with an exciting plan. We are part of a project called ‘Fusion’, working to help gangsters and drug addicts find hope and healing, by offering an alternative community to be part of.<br />\r\n<br />\r\nWe have bought a house in Manenberg, an area of Cape Town that we love, but is known for gangs, violence and drugs. This campaign is to raise funds to renovate the house, inside and out, so that we can live in it together with friends of ours who need help getting out of gangs and off drugs. <br />\r\n<br />\r\nWe want to contribute to the breaking down of social walls in Cape Town by cultivating family in a community that seems to have lost belief in itself, where addiction ravages lives and where gang wars are a regular occurrence.<br />\r\n<br />\r\nIllustration & Animation: Richard Bolland<br />\r\nFilming, Editing and VFX: Jake Waldron<br />\r\nVoice Over Recording: Simon Van Wyk<br />\r\nSound Effects: Richard Bolland & Jake Waldron\";s:3:\"url\";s:25:\"http://vimeo.com/86823427\";s:11:\"upload_date\";s:19:\"2014-02-16 09:08:59\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/464650051_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/464650051_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/464650051_640.jpg\";s:7:\"user_id\";i:1773088;s:9:\"user_name\";s:14:\"Studio Bolland\";s:8:\"user_url\";s:31:\"http://vimeo.com/richardbolland\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/8300377_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/8300377_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/8300377_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/8300377_300x300.jpg\";s:21:\"stats_number_of_likes\";i:252;s:21:\"stats_number_of_plays\";i:10289;s:24:\"stats_number_of_comments\";i:5;s:8:\"duration\";i:214;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:154:\"community, south africa, cape town, manenberg, drugs, addicts, high risk youth, crowdfunding, indiegogo, charity, house, support, animation, flat, flat UI\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_revision_field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=329 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (58,1,'demo-1.png','public://field/image/demo-1.png','image/png',6842,1,1410337247),(59,1,'demo-2.png','public://field/image/demo-2.png','image/png',6322,1,1410337263),(60,1,'demo-3.png','public://field/image/demo-3.png','image/png',5035,1,1410337275),(74,1,'picture-10-1410757296.jpg','public://pictures/picture-10-1410757296.jpg','image/jpeg',52331,1,1410757296),(75,1,'picture-11-1410761460.jpg','public://pictures/picture-11-1410761460.jpg','image/jpeg',64221,1,1410761460),(76,1,'picture-12-1410761570.jpg','public://pictures/picture-12-1410761570.jpg','image/jpeg',82891,1,1410761570),(77,1,'picture-13-1410761736.jpg','public://pictures/picture-13-1410761736.jpg','image/jpeg',78798,1,1410761736),(78,1,'picture-14-1410761875.jpg','public://pictures/picture-14-1410761875.jpg','image/jpeg',59563,1,1410761875),(79,1,'picture-15-1410762002.jpg','public://pictures/picture-15-1410762002.jpg','image/jpeg',71389,1,1410762002),(87,1,'kh8jUitczDU.jpg','public://video_embed_field_thumbnails/youtube/kh8jUitczDU.jpg','image/jpeg',14196,1,1410942319),(89,1,'86823427.jpg','public://video_embed_field_thumbnails/vimeo/86823427.jpg','image/jpeg',12494,1,1412131249),(103,1,'1.png','public://field/event_types/1.png','image/png',1387,1,1411011634),(104,1,'2.png','public://field/event_types/2.png','image/png',1472,1,1411011645),(105,1,'3.png','public://field/event_types/3.png','image/png',1465,1,1411011656),(106,1,'1.png','public://field/event_types/1_0.png','image/png',1387,1,1411011670),(129,1,'about-1.png','public://field/image/bean/about-1_0.png','image/png',1707,1,1411025676),(130,1,'about-2.png','public://field/image/bean/about-2.png','image/png',2037,1,1411025676),(131,1,'about-3.png','public://field/image/bean/about-3.png','image/png',1791,1,1411025676),(132,1,'about-4.png','public://field/image/bean/about-4.png','image/png',1717,1,1411025676),(133,1,'about-5.png','public://field/image/bean/about-5.png','image/png',2143,1,1411025676),(134,1,'about-6.png','public://field/image/bean/about-6.png','image/png',1730,1,1411025676),(135,1,'banner.jpg','public://banners/banner.jpg','image/jpeg',233517,1,1411123732),(136,1,'banner.jpg','public://banners/banner_0.jpg','image/jpeg',233517,1,1411683599),(137,1,'banner.jpg','public://banners/banner_1.jpg','image/jpeg',233517,1,1411124114),(138,1,'banner-2.jpg','public://banners/banner-2.jpg','image/jpeg',123744,1,1411125074),(139,1,'banner-2.jpg','public://banners/banner-2_0.jpg','image/jpeg',123744,1,1411125143),(148,1,'sl-1.jpg','public://field/slideshow/sl-1.jpg','image/jpeg',747321,1,1411671916),(149,1,'demo-1.jpg','public://field/blog/demo-1.jpg','image/jpeg',216185,1,1411671916),(150,1,'sl-2.jpg','public://field/slideshow/sl-2.jpg','image/jpeg',621940,1,1411672068),(152,1,'sl-4.jpg','public://field/slideshow/sl-4.jpg','image/jpeg',586862,1,1411672144),(157,1,'demo-2.jpg','public://field/blog/demo-2_0.jpg','image/jpeg',477005,1,1411676492),(159,1,'demo-4.jpg','public://field/blog/demo-4.jpg','image/jpeg',506312,1,1411676687),(161,1,'demo-5.jpg','public://field/blog/demo-5.jpg','image/jpeg',223447,1,1411678069),(162,1,'demo-6.jpg','public://field/blog/demo-6_0.jpg','image/jpeg',332923,1,1411678130),(163,1,'demo-7.jpg','public://field/blog/demo-7.jpg','image/jpeg',818766,1,1411678203),(164,1,'demo-8.jpg','public://field/blog/demo-8.jpg','image/jpeg',254864,1,1411678259),(166,1,'demo-23.jpg','public://field/image/content/demo-23.jpg','image/jpeg',185169,1,1411678486),(167,1,'demo-8.jpg','public://field/image/content/demo-8.jpg','image/jpeg',254864,1,1411678486),(168,1,'demo-11.jpg','public://field/blog/demo-11.jpg','image/jpeg',431641,1,1411679150),(169,1,'demo-10.jpg','public://field/image/content/demo-10.jpg','image/jpeg',127676,1,1411679150),(170,1,'demo-16.jpg','public://field/image/content/demo-16.jpg','image/jpeg',206114,1,1411679150),(171,1,'demo-19.jpg','public://field/blog/demo-19.jpg','image/jpeg',201383,1,1411679245),(172,1,'demo-20.jpg','public://field/blog/demo-20.jpg','image/jpeg',302109,1,1411679320),(173,1,'demo-18.jpg','public://field/event/demo-18.jpg','image/jpeg',316303,1,1411679427),(174,1,'demo-21.jpg','public://field/event/demo-21.jpg','image/jpeg',286708,1,1411679489),(175,1,'demo-24.jpg','public://field/event/demo-24.jpg','image/jpeg',210163,1,1411679703),(176,1,'demo-1.jpg','public://field/event/demo-1.jpg','image/jpeg',216185,1,1411679772),(182,1,'dn-1.jpg','public://field/donation/dn-1.jpg','image/jpeg',98931,1,1411682052),(183,1,'dn-3.jpg','public://field/donation/dn-3.jpg','image/jpeg',75611,1,1411682108),(184,1,'demo-31.jpg','public://field/blog/demo-31.jpg','image/jpeg',171502,1,1411682301),(185,1,'1.jpg','public://banners/1.jpg','image/jpeg',369961,1,1411683756),(186,1,'ab-1.jpg','public://field/image/ab-1.jpg','image/jpeg',166961,1,1411683161),(187,1,'2.jpg','public://banners/2.jpg','image/jpeg',733857,1,1411683305),(188,1,'2.jpg','public://banners/2_0.jpg','image/jpeg',733857,1,1411683344),(189,1,'2.jpg','public://banners/2_1.jpg','image/jpeg',733857,1,1411683550),(190,1,'2.jpg','public://banners/2_2.jpg','image/jpeg',733857,1,1411683610),(191,1,'2.jpg','public://banners/2_3.jpg','image/jpeg',733857,1,1411683794),(192,1,'banner-1.jpg','public://banners/banner-1.jpg','image/jpeg',369961,1,1411981574),(193,1,'banner-2.jpg','public://banners/banner-2_1.jpg','image/jpeg',733857,1,1411683801),(194,1,'banner-2.jpg','public://banners/banner-2_2.jpg','image/jpeg',733857,1,1411683835),(195,1,'banner-3.jpg','public://banners/banner-3.jpg','image/jpeg',346300,1,1411684270),(196,1,'banner-3.jpg','public://banners/banner-3_0.jpg','image/jpeg',346300,1,1411684336),(197,1,'banner-3.jpg','public://banners/banner-3_1.jpg','image/jpeg',346300,1,1411684651),(198,1,'banner-3.jpg','public://banners/banner-3_2.jpg','image/jpeg',346300,1,1411684797),(199,1,'banner-2.jpg','public://banners/banner-2_3.jpg','image/jpeg',733857,1,1411684854),(200,1,'banner-2.jpg','public://banners/banner-2_4.jpg','image/jpeg',733857,1,1412051432),(201,1,'demo-1.jpg','public://field/gallery/event/demo-1.jpg','image/jpeg',216185,1,1411685636),(202,1,'demo-12.jpg','public://field/gallery/event/demo-12.jpg','image/jpeg',189863,1,1411685636),(203,1,'demo-13.jpg','public://field/gallery/event/demo-13.jpg','image/jpeg',218596,1,1411685636),(204,1,'demo-31.jpg','public://field/gallery/event/demo-31.jpg','image/jpeg',171502,1,1411685636),(205,1,'demo-32.jpg','public://field/gallery/event/demo-32.jpg','image/jpeg',128301,1,1411685636),(206,1,'demo-17.jpg','public://field/gallery/event/demo-17.jpg','image/jpeg',190033,1,1411685636),(207,1,'demo-9.jpg','public://field/event/demo-9.jpg','image/jpeg',159620,1,1411685713),(208,1,'demo-21.jpg','public://field/event/demo-21_0.jpg','image/jpeg',286708,1,1411685775),(209,1,'demo-22.jpg','public://field/event/demo-22.jpg','image/jpeg',306772,1,1411685817),(210,1,'banner-3.jpg','public://banners/banner-3_3.jpg','image/jpeg',346300,1,1412051525),(211,1,'banner-4.jpg','public://banners/banner-4.jpg','image/jpeg',542998,1,1411686251),(212,1,'banner-4.jpg','public://banners/banner-4_0.jpg','image/jpeg',542998,1,1411686298),(213,1,'dn-3.jpg','public://field/donation/dn-3_0.jpg','image/jpeg',75611,1,1411686374),(214,1,'dn-2.jpg','public://field/donation/dn-2.jpg','image/jpeg',107039,1,1411686404),(215,1,'dn-4.jpg','public://field/donation/dn-4.jpg','image/jpeg',53403,1,1411686449),(216,1,'dn-1.jpg','public://field/donation/dn-1_0.jpg','image/jpeg',98931,1,1411686479),(217,1,'dn-2.jpg','public://field/donation/dn-2_0.jpg','image/jpeg',107039,1,1411686558),(218,1,'dn-3.jpg','public://field/donation/dn-3_1.jpg','image/jpeg',75611,1,1411686586),(219,1,'demo-3.jpg','public://field/blog/demo-3_0.jpg','image/jpeg',288049,1,1411688296),(220,1,'sl-3.jpg','public://field/slideshow/sl-3_0.jpg','image/jpeg',313011,1,1411688296),(234,1,'2.jpg','public://field/product/2.jpg','image/jpeg',22562,1,1411755281),(235,1,'2-1.jpg','public://field/product/2-1.jpg','image/jpeg',22601,1,1411755281),(239,1,'1.jpg','public://field/product/1.jpg','image/jpeg',23327,1,1411762692),(240,1,'1-1.jpg','public://field/product/1-1.jpg','image/jpeg',23343,1,1411762692),(241,1,'1-2.jpg','public://field/product/1-2.jpg','image/jpeg',23441,1,1411762692),(242,1,'9.jpg','public://field/product/9.jpg','image/jpeg',25417,1,1411762835),(243,1,'9-1.jpg','public://field/product/9-1.jpg','image/jpeg',25507,1,1411762835),(244,1,'4.jpg','public://field/product/4.jpg','image/jpeg',24869,1,1411762925),(245,1,'4-2.jpg','public://field/product/4-2.jpg','image/jpeg',26181,1,1411762925),(250,1,'6.jpg','public://field/product/6_0.jpg','image/jpeg',17823,1,1411763064),(251,1,'6-2.jpg','public://field/product/6-2_0.jpg','image/jpeg',18844,1,1411763064),(252,1,'13-1_0.jpg','public://field/product/13-1_0.jpg','image/jpeg',14622,1,1411763112),(253,1,'13-2_0.jpg','public://field/product/13-2_0.jpg','image/jpeg',15124,1,1411763112),(254,1,'7.jpg','public://field/product/7.jpg','image/jpeg',30024,1,1411763170),(255,1,'7-2.jpg','public://field/product/7-2.jpg','image/jpeg',26200,1,1411763170),(256,1,'7-1.jpg','public://field/product/7-1.jpg','image/jpeg',29963,1,1411763170),(260,1,'11-3.jpg','public://field/product/11-3.jpg','image/jpeg',14818,1,1411763560),(261,1,'11-2.jpg','public://field/product/11-2.jpg','image/jpeg',14915,1,1411763560),(262,1,'11.jpg','public://field/product/11.jpg','image/jpeg',14980,1,1411763560),(265,1,'activeden.png','public://field/sponsor/activeden.png','image/png',7129,1,1411974317),(266,1,'photodune.png','public://field/sponsor/photodune.png','image/png',7376,1,1411974421),(268,1,'audiojungle.png','public://field/sponsor/audiojungle.png','image/png',7993,1,1411974826),(269,1,'graphicriver.png','public://field/sponsor/graphicriver.png','image/png',8557,1,1411975203),(270,1,'themforest.png','public://field/sponsor/themforest.png','image/png',7867,1,1411975416),(271,1,'codeanyon.png','public://field/sponsor/codeanyon.png','image/png',8443,1,1411975641),(272,1,'banner-1.png','public://banners/banner-1.png','image/png',621656,1,1411981596),(273,1,'banner-1.jpg','public://banners/banner-1_0.jpg','image/jpeg',70683,1,1411981820),(274,1,'banner-1.jpg','public://banners/banner-1_1.jpg','image/jpeg',369961,1,1412051324),(275,1,'1.jpg','public://banners/1_0.jpg','image/jpeg',225819,1,1412051350),(276,1,'2.jpg','public://banners/2_4.jpg','image/jpeg',733857,1,1412051442),(277,1,'2.jpg','public://banners/2_5.jpg','image/jpeg',733857,1,1412051489),(278,1,'2.jpg','public://banners/2_6.jpg','image/jpeg',733857,1,1412051515),(279,1,'3.jpg','public://banners/3.jpg','image/jpeg',198339,1,1412051534),(280,1,'5.jpg','public://banners/5.jpg','image/jpeg',278611,1,1412051671),(281,1,'banner.jpg','public://field/banners/banner.jpg','image/jpeg',233517,1,1412150832),(282,1,'1.jpg','public://field/banners/1.jpg','image/jpeg',225819,1,1412134874),(283,1,'3.jpg','public://field/banners/3.jpg','image/jpeg',198339,1,1412134925),(284,1,'1.jpg','public://field/banners/1_0.jpg','image/jpeg',225819,1,1412135009),(285,1,'5.jpg','public://field/banners/5.jpg','image/jpeg',278611,1,1412135047),(286,1,'5.jpg','public://field/banners/5_0.jpg','image/jpeg',278611,1,1412135096),(287,1,'3.jpg','public://field/banners/3_0.jpg','image/jpeg',198339,1,1412135134),(288,1,'3.jpg','public://field/banners/3_1.jpg','image/jpeg',198339,1,1412135169),(289,1,'1.jpg','public://field/banners/1_1.jpg','image/jpeg',225819,1,1412135224),(290,1,'3.jpg','public://field/banners/3_2.jpg','image/jpeg',198339,1,1412135271),(291,1,'5.jpg','public://field/banners/5_1.jpg','image/jpeg',278611,1,1412135306),(292,1,'1.jpg','public://field/banners/1_2.jpg','image/jpeg',225819,1,1412135432),(293,1,'1.jpg','public://field/banners/1_3.jpg','image/jpeg',225819,1,1412137087),(294,1,'3.jpg','public://field/banners/3_3.jpg','image/jpeg',198339,1,1412137118),(295,1,'1.jpg','public://field/banners/1_4.jpg','image/jpeg',225819,1,1412150857),(296,1,'demo-5.jpg','public://field/gallery/demo-5.jpg','image/jpeg',223447,1,1412151007),(297,1,'demo-6.jpg','public://field/gallery/demo-6.jpg','image/jpeg',332923,1,1412151007),(299,1,'demo-19.jpg','public://field/gallery/demo-19.jpg','image/jpeg',201383,1,1412151039),(300,1,'demo-15.jpg','public://field/gallery/demo-15.jpg','image/jpeg',288051,1,1412151363),(301,1,'demo-5.jpg','public://field/gallery/demo-5_0.jpg','image/jpeg',223447,1,1412151363),(303,1,'demo-31.jpg','public://field/gallery/demo-31.jpg','image/jpeg',171502,1,1412152433),(304,1,'demo-23.jpg','public://field/gallery/demo-23.jpg','image/jpeg',185169,1,1412153043),(305,1,'demo-18.jpg','public://field/gallery/demo-18.jpg','image/jpeg',316303,1,1412153043),(306,1,'demo-24.jpg','public://field/gallery/demo-24.jpg','image/jpeg',210163,1,1412153043),(307,1,'demo-9.jpg','public://field/gallery/demo-9.jpg','image/jpeg',159620,1,1412153089),(308,1,'demo-8.jpg','public://field/gallery/demo-8.jpg','image/jpeg',254864,1,1412153089),(309,1,'demo-11.jpg','public://field/gallery/demo-11.jpg','image/jpeg',431641,1,1412153132),(310,1,'demo-17.jpg','public://field/gallery/demo-17.jpg','image/jpeg',190033,1,1412153201),(311,1,'demo-13.jpg','public://field/gallery/demo-13.jpg','image/jpeg',218596,1,1412153201),(312,1,'demo-12.jpg','public://field/gallery/demo-12.jpg','image/jpeg',189863,1,1412153201),(313,1,'demo-3.jpg','public://field/gallery/demo-3.jpg','image/jpeg',288049,1,1412153201),(314,1,'demo-1.jpg','public://field/gallery/demo-1.jpg','image/jpeg',216185,1,1412153254),(315,1,'demo-10.jpg','public://field/gallery/demo-10.jpg','image/jpeg',127676,1,1412153254),(316,1,'demo-7.jpg','public://field/gallery/demo-7.jpg','image/jpeg',818766,1,1412153254),(317,1,'demo-20.jpg','public://field/gallery/demo-20.jpg','image/jpeg',302109,1,1412153306),(318,1,'demo-21.jpg','public://field/gallery/demo-21.jpg','image/jpeg',286708,1,1412153306),(319,1,'demo-22.jpg','public://field/gallery/demo-22.jpg','image/jpeg',306772,1,1412153306),(321,1,'demo-21.jpg','public://field/gallery/demo-21_0.jpg','image/jpeg',286708,1,1412153839),(322,1,'demo-22.jpg','public://field/gallery/demo-22_0.jpg','image/jpeg',306772,1,1412153839),(323,1,'demo-6.jpg','public://field/gallery/demo-6_0.jpg','image/jpeg',332923,1,1412153889),(324,1,'demo-15.jpg','public://field/gallery/demo-15_0.jpg','image/jpeg',288051,1,1412153889),(325,1,'demo-19.jpg','public://field/gallery/demo-19_0.jpg','image/jpeg',201383,1,1412153889),(326,1,'Aloha_265-235.jpg','public://field/ads/Aloha_265-235.jpg','image/jpeg',79494,1,1412232905),(327,1,'265-235.jpg','public://field/ads/265-235.jpg','image/jpeg',95550,1,1412233329),(328,1,'audiojungle.png','public://field/sponsor/audiojungle_0.png','image/png',7993,1,1412317012);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (58,'file','node',11,1),(59,'file','node',10,1),(60,'file','node',9,1),(74,'user','user',10,1),(75,'user','user',11,1),(76,'user','user',12,1),(77,'user','user',13,1),(78,'user','user',14,1),(79,'user','user',15,1),(103,'file','taxonomy_term',4,1),(104,'file','taxonomy_term',9,1),(105,'file','taxonomy_term',8,1),(106,'file','taxonomy_term',5,1),(129,'file','field_collection_item',3,1),(130,'file','field_collection_item',4,1),(131,'file','field_collection_item',5,1),(132,'file','field_collection_item',6,1),(133,'file','field_collection_item',7,1),(134,'file','field_collection_item',8,1),(135,'dynamic_banner','banner',1,4),(136,'dynamic_banner','banner',1,4),(137,'dynamic_banner','banner',1,2),(138,'dynamic_banner','banner',1,4),(139,'dynamic_banner','banner',1,2),(148,'file','node',4,1),(149,'file','node',4,1),(150,'file','node',3,1),(152,'file','node',1,1),(157,'file','node',3,1),(159,'file','node',1,1),(161,'file','node',8,1),(162,'file','node',7,1),(163,'file','node',6,1),(164,'file','node',5,1),(166,'file','field_collection_item',9,1),(167,'file','field_collection_item',10,1),(168,'file','node',17,1),(169,'file','field_collection_item',1,1),(170,'file','field_collection_item',2,1),(171,'file','node',16,1),(172,'file','node',14,1),(173,'file','node',61,1),(174,'file','node',21,1),(175,'file','node',20,1),(176,'file','node',19,1),(182,'file','node',66,1),(183,'file','node',65,1),(184,'file','node',64,1),(185,'dynamic_banner','banner',1,3),(186,'file','node',56,1),(187,'dynamic_banner','banner',1,2),(188,'dynamic_banner','banner',1,2),(189,'dynamic_banner','banner',1,1),(190,'dynamic_banner','banner',1,2),(191,'dynamic_banner','banner',1,3),(192,'dynamic_banner','banner',1,3),(193,'dynamic_banner','banner',1,2),(194,'dynamic_banner','banner',1,2),(195,'dynamic_banner','banner',1,2),(196,'dynamic_banner','banner',1,2),(197,'dynamic_banner','banner',1,2),(198,'dynamic_banner','banner',1,2),(199,'dynamic_banner','banner',1,4),(200,'dynamic_banner','banner',1,3),(201,'file','node',31,1),(202,'file','node',31,1),(203,'file','node',31,1),(204,'file','node',31,1),(205,'file','node',31,1),(206,'file','node',31,1),(207,'file','node',18,1),(208,'file','node',13,1),(209,'file','node',12,1),(210,'dynamic_banner','banner',1,2),(211,'dynamic_banner','banner',1,2),(212,'dynamic_banner','banner',1,2),(213,'file','node',42,1),(214,'file','node',41,1),(215,'file','node',40,1),(216,'file','node',39,1),(217,'file','node',37,1),(218,'file','node',38,1),(219,'file','node',2,1),(220,'file','node',2,1),(234,'file','node',43,1),(235,'file','node',43,1),(239,'file','node',52,1),(240,'file','node',52,1),(241,'file','node',52,1),(242,'file','node',51,1),(243,'file','node',51,1),(244,'file','node',50,1),(245,'file','node',50,1),(250,'file','node',49,1),(251,'file','node',49,1),(252,'file','node',48,1),(253,'file','node',48,1),(254,'file','node',47,1),(255,'file','node',47,1),(256,'file','node',47,1),(260,'file','node',46,1),(261,'file','node',46,1),(262,'file','node',46,1),(265,'file','node',53,1),(266,'file','node',33,1),(268,'file','node',36,1),(269,'file','node',34,1),(270,'file','node',32,1),(271,'file','node',35,1),(272,'dynamic_banner','banner',1,2),(273,'dynamic_banner','banner',1,2),(274,'dynamic_banner','banner',1,3),(275,'dynamic_banner','banner',1,2),(276,'dynamic_banner','banner',1,2),(277,'dynamic_banner','banner',1,2),(278,'dynamic_banner','banner',1,2),(279,'dynamic_banner','banner',1,2),(280,'dynamic_banner','banner',1,2),(281,'weebpal_banner','banner',1,3),(282,'weebpal_banner','banner',1,2),(283,'weebpal_banner','banner',1,2),(284,'weebpal_banner','banner',1,2),(285,'weebpal_banner','banner',1,2),(286,'weebpal_banner','banner',1,2),(287,'weebpal_banner','banner',1,2),(288,'weebpal_banner','banner',1,2),(289,'weebpal_banner','banner',1,2),(290,'weebpal_banner','banner',1,2),(291,'weebpal_banner','banner',1,2),(292,'weebpal_banner','banner',1,3),(293,'weebpal_banner','banner',1,2),(294,'weebpal_banner','banner',1,2),(295,'weebpal_banner','banner',1,2),(296,'file','node',54,1),(297,'file','node',54,1),(299,'file','node',54,1),(300,'file','node',55,1),(301,'file','node',55,1),(303,'file','node',55,1),(304,'file','node',30,1),(305,'file','node',30,1),(306,'file','node',30,1),(307,'file','node',29,1),(308,'file','node',29,1),(309,'file','node',28,1),(310,'file','node',27,1),(311,'file','node',27,1),(312,'file','node',27,1),(313,'file','node',27,1),(314,'file','node',26,1),(315,'file','node',26,1),(316,'file','node',26,1),(317,'file','node',25,1),(318,'file','node',25,1),(319,'file','node',25,1),(321,'file','node',24,1),(322,'file','node',24,1),(323,'file','node',23,1),(324,'file','node',23,1),(325,'file','node',23,1),(326,'file','node',44,1),(327,'file','node',45,1),(328,'file','node',67,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',0,0,'a:0:{}'),('php_code','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',-10,0,'a:0:{}'),('php_code','filter','filter_url',0,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','php','php_code',0,1,'a:0:{}'),('php_code','video_embed_field','video_embed_field',0,0,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (3,4,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"250\";}'),(6,7,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"170\";s:6:\"height\";s:3:\"100\";}'),(11,11,1,'image_resize','a:2:{s:5:\"width\";s:3:\"220\";s:6:\"height\";s:3:\"120\";}'),(12,12,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:3:\"640\";}'),(13,13,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"270\";s:6:\"height\";s:3:\"180\";}'),(14,14,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"848\";s:6:\"height\";s:3:\"424\";}'),(15,15,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:4:\"1140\";s:6:\"height\";s:3:\"380\";}'),(16,16,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"555\";s:6:\"height\";s:3:\"275\";}'),(17,18,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"640\";s:6:\"height\";s:3:\"426\";}'),(18,19,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"263\";s:6:\"height\";s:3:\"283\";}'),(19,20,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"250\";}'),(20,17,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"253\";}'),(21,21,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"137\";s:6:\"height\";s:3:\"137\";}'),(23,22,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"220\";s:6:\"height\";s:3:\"220\";}'),(25,23,2,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"100\";s:6:\"height\";s:3:\"100\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (4,'gallery_thumbs_250x250','Gallery thumbs (250x250)'),(7,'sponsors_170x100','Sponsors (170x100)'),(11,'ads_220x120','Ads (220x120)'),(12,'slideshow_1920x640','Slideshow (1920x640)'),(13,'thumbnail_263x175','Thumbnail (263x175)'),(14,'thumbnail_848_x_424','Thumbnail (848x424)'),(15,'thumbnail_1140x380','Thumbnail (1140x380)'),(16,'thumbnail_555x275','Thumbnail (555x275)'),(17,'thumbnail_380x253','Thumbnail (380x253)'),(18,'thumbnail_640x426','Thumbnail (640x426)'),(19,'thumbnail_263x283','Thumbnail (263x283)'),(20,'thumbnail_250x250','Thumbnail (250x250)'),(21,'thumbnail_article','Thumbnail (137x137)'),(22,'medium','Medium (220x220)'),(23,'thumbnail','Thumbnail (100x100)');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('ar','Arabic','العربية',1,1,6,'(($n==1)?(0):(($n==0)?(1):(($n==2)?(2):(((($n%100)>=3)&&(($n%100)<=10))?(3):(((($n%100)>=11)&&(($n%100)<=99))?(4):5)))))','','ar',0,'lmFx2gv6BwBKTeFlESXsd3Zji_W-1MaO0ELJj75cLeQ'),('en','English','English',0,1,0,'','','en',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=7140 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'; misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'; misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'; misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'; misc/drupal.js','default','Debugging information follows.','','none'),(5,'; misc/drupal.js','default','Path: !uri','','none'),(6,'; misc/drupal.js','default','StatusText: !statusText','','none'),(7,'; misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'; misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'; modules/overlay/overlay-child.js','default','Loading','','none'),(10,'; modules/overlay/overlay-child.js; misc/vertical-tabs.js; sites/all/modules/quicktabs/js/quicktabs.js','default','(active tab)','','7.34'),(11,'; misc/collapse.js','default','Hide','','none'),(12,'; misc/collapse.js','default','Show','','none'),(13,'sites/all/modules/jcarousel/js/jcarousel.js','default','Internal server error. Please see server or PHP logs for error information.','','none'),(14,'sites/all/modules/jcarousel/js/jcarousel.js','default','An error occurred at @path.\\n\\nError Description: @error','','none'),(15,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(16,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(17,'; sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.34'),(18,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(19,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(20,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(21,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','7.34'),(22,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(23,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(24,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none'),(25,'; misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(26,'; misc/tabledrag.js','default','Show row weights','','none'),(27,'; misc/tabledrag.js','default','Hide row weights','','none'),(28,'; misc/tabledrag.js','default','Drag to re-order','','none'),(29,'; misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(30,'','default','Home','','7.34'),(31,'','default','User interface','','7.34'),(32,'','default','Title','','7.34'),(33,'','default','Body','','7.34'),(34,'','default','Next','','7.34'),(35,'','default','user','','7.34'),(36,'','default','Pages','','7.34'),(37,'','default','Save configuration','','none'),(38,'','default','Reset to defaults','','none'),(39,'','default','delete','','7.34'),(40,'','default','Status','','7.34'),(41,'','default','Create a new user account.','','7.32'),(42,'','default','Request new password via e-mail.','','7.32'),(43,'','default','Prefix','','none'),(44,'','default','Suffix','','none'),(45,'','default','approve','','none'),(46,'','default','E-mail','','7.34'),(47,'','default','Approve','','none'),(48,'','default','Delete','','7.34'),(49,'','default','Operations','','7.34'),(50,'','default','Content','','7.34'),(51,'','default','Username','','7.34'),(52,'','default','Email address','','7.34'),(53,'','default','content','','none'),(54,'','default','Development','','7.34'),(55,'','default','Group','','7.34'),(56,'','default','Type','','7.34'),(57,'','default','Author','','7.34'),(58,'','default','Replies','','7.34'),(59,'','default','Closed','','7.34'),(60,'','default','yes','','none'),(61,'','default','List','','7.34'),(62,'','default','Subject','','7.34'),(63,'','default','closed','','none'),(64,'','default','Actions','','7.34'),(65,'','default','disabled','','none'),(66,'','default','Confirm','','none'),(67,'','default','Cancel','','7.34'),(68,'','default','Remove','','7.34'),(69,'','default','administrator','','none'),(70,'','default','Description','','7.34'),(71,'','default','Language','','7.34'),(72,'','default','RSS feed','','none'),(73,'','default','Enable','','7.34'),(74,'','default','Disable','','7.34'),(75,'','default','Explanation or submission guidelines','','none'),(76,'','default','Article','','none'),(77,'','default','Disabled','','7.34'),(78,'','default','Enabled','','none'),(79,'','default','Administration','','7.34'),(80,'','default','Comments','','7.34'),(81,'','default','More','','none'),(82,'','default','not verified','','none'),(83,'','default','Action','','none'),(84,'','default','Last updated','','none'),(85,'','default','new','','none'),(86,'','default','error','','none'),(87,'','default','Tags','','7.34'),(88,'','default','Block title','','none'),(89,'','default','The title of the block as shown to the user.','','none'),(90,'','default','Taxonomy','','7.34'),(91,'','default','Yes','','none'),(92,'','default','No','','7.34'),(93,'','default','cron','','none'),(94,'','default','Blue Lagoon (Default)','','none'),(95,'','default','Ash','','none'),(96,'','default','Aquamarine','','none'),(97,'','default','Belgian Chocolate','','none'),(98,'','default','Bluemarine','','none'),(99,'','default','Citrus Blast','','none'),(100,'','default','Cold Day','','none'),(101,'','default','Greenbeam','','none'),(102,'','default','Mediterrano','','none'),(103,'','default','Mercury','','none'),(104,'','default','Nocturnal','','none'),(105,'','default','Olivia','','none'),(106,'','default','Pink Plastic','','none'),(107,'','default','Shiny Tomato','','none'),(108,'','default','Teal Top','','none'),(109,'','default','Content types','','7.34'),(110,'','default','Homepage','','7.34'),(111,'','default','Home page','','7.34'),(112,'','default','Categories','','none'),(113,'','default','Download','','7.32'),(114,'','default','Version','','7.34'),(115,'','default','view','','7.34'),(116,'','default','updated','','none'),(117,'','default','Overview','','7.34'),(118,'','default','File information','','none'),(119,'','default','File','','7.34'),(120,'','default','Advanced options','','none'),(121,'','default','Release notes','','none'),(122,'; misc/machine-name.js','default','Edit','','7.34'),(123,'','default','Date','','7.34'),(124,'','default','Size','','7.34'),(125,'','default','Search','','7.34'),(126,'','default','Reset','','7.34'),(127,'','default','Daily','','none'),(128,'','default','Weekly','','none'),(129,'','default','None','','7.34'),(130,'','default','Display settings','','none'),(131,'','default','This action cannot be undone.','','none'),(132,'','default','Test','','none'),(133,'','default','Number','','7.34'),(134,'','default','Message','','7.34'),(135,'','default','No log messages available.','','none'),(136,'','default','Password','','7.32'),(137,'','default','- None -','','none'),(138,'','default','Weight','','7.34'),(139,'','default','The configuration options have been saved.','','none'),(140,'','default','Link','','7.34'),(141,'','default','Image','','7.34'),(142,'','default','Center','','none'),(143,'','default','Help text','','none'),(144,'','default','Types','','7.34'),(145,'','default','Required','','none'),(146,'','default','root','','none'),(147,'','default','Parent','','7.34'),(148,'','default','Pages at a given level are ordered first by weight and then by title.','','none'),(149,'','default','none','','none'),(150,'','default','Category','','7.32'),(151,'','default','Add container','','none'),(152,'','default','Settings','','7.34'),(153,'','default','Add category','','7.34'),(154,'','default','Name','','7.34'),(155,'','default','edit container','','none'),(156,'','default','edit','','7.34'),(157,'','default','No categories available.','','none'),(158,'','default','‹ ','','none'),(159,'','default','Go to previous page','','7.34'),(160,'','default','up','','none'),(161,'','default','Go to parent page','','none'),(162,'','default',' ›','','none'),(163,'','default','Go to next page','','7.34'),(164,'','default','Import','','7.34'),(165,'','default','Book','','none'),(166,'','default','Export','','7.34'),(167,'','default','Taxonomy term','','7.34'),(168,'','default','Field','','7.34'),(169,'','default','Outline','','none'),(170,'','default','Label','','7.34'),(171,'','default','Preview','','7.34'),(172,'','default','Save','','7.34'),(173,'','default','Session opened for %name.','','none'),(174,'','default','Help','','7.34'),(175,'','default','Default','','7.34'),(176,'','default','Summary','','7.34'),(177,'','default','Update','','7.34'),(178,'','default','Open','','7.34'),(179,'','default','Sunday','','none'),(180,'','default','Monday','','none'),(181,'','default','Tuesday','','none'),(182,'','default','Wednesday','','none'),(183,'','default','Thursday','','none'),(184,'','default','Friday','','none'),(185,'','default','Saturday','','none'),(186,'','default','Core','','7.34'),(187,'','default','Time','','7.34'),(188,'; sites/all/modules/views/js/views-admin.js','default','Add','','7.34'),(189,'','default','View','','7.34'),(190,'','default','Format','','7.34'),(191,'','default','History','','7.34'),(192,'','default','URL','','7.34'),(193,'','default','Path','','7.34'),(194,'','default','Filename','','none'),(195,'','default','Vocabularies','','none'),(196,'','default','Modules','','7.34'),(197,'','default','Clear index','','7.34'),(198,'','default','General discussion','','none'),(199,'','default','edit forum','','none'),(200,'','default','Forum name','','none'),(201,'','default','forum','','none'),(202,'','default','Are you sure you want to delete the forum %name?','','none'),(203,'','default','Refresh','','none'),(204,'','default','Region','','none'),(205,'','default','Visible','','none'),(206,'','default','Anchor','','none'),(207,'','default','Display','','7.34'),(208,'','default','Menu','','7.34'),(209,'','default','Advanced settings','','none'),(210,'','default','results','','none'),(211,'','default','search','','7.34'),(212,'','default','Teaser','','7.34'),(213,'','default','never','','none'),(214,'','default','The username %name does not exist.','','none'),(215,'','default','mail','','none'),(216,'','default','Updated','','7.34'),(217,'','default','actions','','none'),(218,'','default','Text','','7.34'),(219,'','default','aggregator','','none'),(220,'','default','read more','','none'),(221,'','default','Update interval','','none'),(222,'','default','The fully-qualified URL of the feed.','','none'),(223,'','default','Add forum','','none'),(224,'','default','Add term','','7.34'),(225,'','default','theme','','none'),(226,'','default','no screenshot','','none'),(227,'','default','Timestamp','','7.34'),(228,'','default','Keywords','','7.34'),(229,'','default','Access log settings','','none'),(230,'','default','Enable access log','','none'),(231,'','default','Discard access logs older than','','none'),(232,'','default','Preview comment','','none'),(233,'','default','<none>','','none'),(234,'','default','Unassign','','none'),(235,'','default','Statistics','','none'),(236,'','default','Advanced search','','none'),(237,'','default','You are not authorized to access this page.','','7.34'),(238,'','default','Unknown','','none'),(239,'','default','Attachment','','7.34'),(240,'','default','n/a','','none'),(241,'','default','Upload','','7.34'),(242,'','default','Picture','','7.34'),(243,'','default','type','','none'),(244,'','default','Find content','','none'),(245,'','default','Database type','','none'),(246,'','default','User','','7.34'),(247,'','default','Content type','','7.34'),(248,'','default','action','','none'),(249,'','default','Continue','','none'),(250,'; modules/contextual/contextual.js','default','Configure','','none'),(251,'','default','Email','','7.34'),(252,'','default','Files','','7.34'),(253,'','default','file','','7.34'),(254,'','default','status','','none'),(255,'','default','User ID','','7.34'),(256,'','default','Error','','7.34'),(257,'','default','Options','','7.34'),(258,'','default','Contact','','7.34'),(259,'','default','no','','none'),(260,'','default','Created','','7.34'),(261,'','default','Node','','7.34'),(262,'','default','Sent email to %recipient','','none'),(263,'','default','Unable to send email to %recipient','','none'),(264,'','default','The subject of the message.','','none'),(265,'','default','Create','','none'),(266,'','default','Are you sure you want to delete %title?','','7.34'),(267,'','default','Save categories','','none'),(268,'','default','Parent item','','7.34'),(269,'','default','Question','','none'),(270,'','default','Add child page','','none'),(271,'','default','Printer-friendly version','','none'),(272,'','default','Content type for child pages','','none'),(273,'','default','Update options','','none'),(274,'','default','Remove from outline','','none'),(275,'','default','Unknown export format.','','none'),(276,'','default','Active','','7.34'),(277,'; modules/dashboard/dashboard.js','default','Done','','none'),(278,'','default','Last post','','none'),(279,'','default','Access denied','','7.34'),(280,'','default','Year','','none'),(281,'','default','Date format','','none'),(282,'','default','Add content','','7.34'),(283,'','default','Page title','','7.34'),(284,'','default','Block','','7.34'),(285,'','default','Add block','','7.34'),(286,'','default','Page','','7.34'),(287,'','default','RSS','','7.34'),(288,'','default','1 hour','','none'),(289,'','default','@count hours','','none'),(290,'','default','@count[2] hours','','none'),(291,'','default','@count[3] hours','','none'),(292,'','default','@count[4] hours','','none'),(293,'','default','@count[5] hours','','none'),(294,'','default','1 day','','7.32'),(295,'','default','@count days','','none'),(296,'','default','@count[2] days','','none'),(297,'','default','@count[3] days','','none'),(298,'','default','@count[4] days','','none'),(299,'','default','@count[5] days','','none'),(300,'','default','Configuration saved.','','none'),(301,'','default','Taxonomy terms','','7.34'),(302,'','default','Logo','','none'),(303,'','default','Site name','','7.34'),(304,'','default','Site slogan','','7.34'),(305,'','default','Good','','none'),(306,'','default','php','','7.34'),(307,'','default','Only site administrators can create new user accounts.','','none'),(308,'','default','Drupal','','none'),(309,'','default','Not found','','none'),(310,'','default','Url','','none'),(311,'','default','PHP','','7.34'),(312,'','default','Host','','none'),(313,'','default','PostgreSQL','','none'),(314,'','default','Available updates','','7.34'),(315,'','default','Manual update check','','none'),(316,'','default','Never','','none'),(317,'','default','Check manually','','none'),(318,'','default','Up to date','','7.34'),(319,'','default','Update available','','none'),(320,'','default','Drupal core update status','','7.34'),(321,'','default','Out of date','','7.34'),(322,'','default','Header','','7.34'),(323,'','default','Left sidebar','','none'),(324,'','default','Right sidebar','','none'),(325,'','default','Footer','','7.34'),(326,'','default','Inline','','none'),(327,'','default','Recipients','','none'),(328,'','default','Selected','','none'),(329,'','default','Set this to <em>Yes</em> if you would like this category to be selected by default.','','none'),(330,'','default','You must enter a category.','','none'),(331,'','default','Are you sure you want to delete %category?','','none'),(332,'','default','Category %category has been deleted.','','none'),(333,'','default','Your name','','7.34'),(334,'','default','Your e-mail address','','7.32'),(335,'','default','Send e-mail','','none'),(336,'','default','You must select a valid category.','','none'),(337,'','default','You must enter a valid e-mail address.','','none'),(338,'','default','[!category] !subject','','none'),(339,'','default','Menu link','','none'),(340,'','default','To','','7.34'),(341,'','default','Feed description','','none'),(342,'','default','Custom','','7.34'),(343,'','default','Visibility','','none'),(344,'','default','Roles','','7.34'),(345,'','default','Revision ID','','7.34'),(346,'','default','Comment','','7.34'),(347,'','default','Comment ID','','7.34'),(348,'','default','Hostname','','7.34'),(349,'','default','Published','','7.34'),(350,'','default','Signature','','7.34'),(351,'','default','Filter','','none'),(352,'','default','Location','','7.34'),(353,'','default','Locale','','none'),(354,'','default','Title field label','','none'),(355,'','default','Promoted to front page','','7.34'),(356,'','default','Sticky at top of lists','','7.34'),(357,'','default','Revisions','','7.34'),(358,'','default','URL alias','','7.34'),(359,'','default','Poll duration','','none'),(360,'','default','Poll choices','','none'),(361,'','default','Poll votes','','none'),(362,'','default','Explanation','','none'),(363,'','default','Selection options','','none'),(364,'','default','File ID','','7.34'),(365,'','default','File name','','7.34'),(366,'','default','File size','','7.34'),(367,'','default','Vocabulary','','7.34'),(368,'','default','Vocabulary ID','','7.34'),(369,'','default','Vocabulary name','','none'),(370,'','default','Term ID','','7.34'),(371,'','default','Role name','','none'),(372,'','default','E-mail address','','7.34'),(373,'','default','Last access','','7.34'),(374,'','default','Last login','','7.34'),(375,'','default','Time zone','','none'),(376,'','default','Severity','','7.34'),(377,'','default','Field name','','7.34'),(378,'','default','Field type','','none'),(379,'','default','Global settings','','7.34'),(380,'','default','Widget type','','7.34'),(381,'','default','Vote','','none'),(382,'','default','Count','','7.34'),(383,'','default','Overridden','','7.34'),(384,'','default','Set name','','none'),(385,'','default','Original image','','none'),(386,'','default','RSS - blogs','','7.34'),(387,'','default','Heading','','none'),(388,'','default','Search settings','','7.34'),(389,'','default','Mode','','none'),(390,'','default','Warning','','none'),(391,'','default','blocked','','none'),(392,'','default','active','','none'),(393,'','default','N/A','','7.32'),(394,'','default','OK','','none'),(395,'','default','OPML feed','','none'),(396,'','default','configure','','none'),(397,'','default','Number of news items in block','','none'),(398,'','default','View this feed\'s recent news.','','none'),(399,'','default','View this category\'s recent news.','','none'),(400,'','default','Feed overview','','none'),(401,'','default','Items','','none'),(402,'','default','Last update','','7.34'),(403,'','default','Next update','','none'),(404,'','default','%time left','','none'),(405,'','default','remove items','','none'),(406,'','default','update items','','none'),(407,'','default','Category overview','','none'),(408,'','default','Categorize','','none'),(409,'','default','The categories have been saved.','','none'),(410,'','default','URL:','','none'),(411,'','default','Updated:','','none'),(412,'','default','%age old','','none'),(413,'','default','%ago ago','','none'),(414,'','default','Nodes','','7.34'),(415,'','default','Authored by','','7.34'),(416,'','default','The feed %feed has been updated.','','none'),(417,'','default','Feed %feed deleted.','','none'),(418,'','default','The feed %feed has been deleted.','','none'),(419,'','default','Feed %feed added.','','none'),(420,'','default','The feed %feed has been added.','','none'),(421,'','default','The news items from %site have been removed.','','none'),(422,'','default','Performance','','7.34'),(423,'','default','Width','','none'),(424,'','default','Height','','none'),(425,'; sites/all/modules/webform/js/webform.js','default','This field is required.','','7.34'),(426,'','default','Maximum','','7.34'),(427,'','default','Line','','none'),(428,'','default','Scale','','7.34'),(429,'','default','Medium','','7.34'),(430,'','default','Media','','7.34'),(431,'','default','Plain text','','7.34'),(432,'','default','Caching','','7.34'),(433,'','default','Month','','none'),(434,'','default','Details','','none'),(435,'','default','Widget','','none'),(436,'','default','Last reply','','none'),(437,'','default','Prev','','7.34'),(438,'','default','System','','7.34'),(439,'','default','Domain','','none'),(440,'','default','Processors','','none'),(441,'','default','Unlimited','','none'),(442,'','default','Send','','none'),(443,'','default','Code','','none'),(444,'','default','Enter a valid username.','','none'),(445,'','default','Owner','','7.34'),(446,'','default','Recipient','','none'),(447,'','default','Add a role to the selected users','','none'),(448,'','default','Remove a role from the selected users','','none'),(449,'','default','security','','none'),(450,'','default','node','','7.34'),(451,'','default','Administer content','','none'),(452,'','default','General','','none'),(453,'','default','Method','','7.34'),(454,'','default','Egypt','','7.34'),(455,'','default','Namibia','','7.34'),(456,'','default','Israel','','7.34'),(457,'','default','Iran','','7.34'),(458,'','default','New Zealand','','7.34'),(459,'','default','Tonga','','7.34'),(460,'','default','Cuba','','7.34'),(461,'','default','Brazil','','7.34'),(462,'','default','Chile','','7.34'),(463,'','default','Paraguay','','7.34'),(464,'','default','Jamaica','','7.34'),(465,'','default','Japan','','7.34'),(466,'','default','Libya','','7.34'),(467,'','default','Navajo','','none'),(468,'','default','Poland','','7.34'),(469,'','default','Portugal','','7.34'),(470,'','default','Singapore','','7.34'),(471,'','default','Turkey','','7.34'),(472,'','default','Day','','none'),(473,'','default','Table','','7.34'),(474,'','default','Mon','','7.34'),(475,'','default','Tue','','7.34'),(476,'','default','Wed','','7.34'),(477,'','default','Thu','','7.34'),(478,'','default','Fri','','none'),(479,'','default','Sat','','none'),(480,'','default','Sun','','7.32'),(481,'','default','January','','none'),(482,'','default','February','','none'),(483,'','default','March','','none'),(484,'','default','April','','none'),(485,'','default','May','','none'),(486,'','default','June','','none'),(487,'','default','July','','none'),(488,'','default','August','','none'),(489,'','default','September','','none'),(490,'','default','October','','none'),(491,'','default','November','','none'),(492,'','default','December','','none'),(493,'','default','am','','none'),(494,'','default','pm','','none'),(495,'','default','Forum','','none'),(496,'','default','Configuration','','7.34'),(497,'','default','!time ago','','none'),(498,'','default','Background color','','none'),(499,'','default','Text color','','none'),(500,'','default','Navigation','','7.34'),(501,'','default','Basic','','7.34'),(502,'','default','Color','','none'),(503,'','default','Appearance','','7.34'),(504,'','default','Role','','7.34'),(505,'','default','User login','','7.34'),(506,'','default','Log in','','7.32'),(507,'','default','Updated URL for feed %title to %url.','','none'),(508,'','default','Blog','','7.34'),(509,'','default','Jump to the first comment of this posting.','','7.34'),(510,'','default','Jump to the first new comment of this posting.','','none'),(511,'','default','Add new comment','','7.34'),(512,'','default','Add a new comment to this page.','','7.34'),(513,'','default','Share your thoughts and opinions related to this posting.','','7.34'),(514,'','default','reset','','none'),(515,'','default','String','','none'),(516,'','default','Users','','7.34'),(517,'','default','Not installed','','none'),(518,'','default','Choices','','none'),(519,'','default','Minimum cache lifetime','','none'),(520,'','default','Referrer','','none'),(521,'','default','1 vote','','none'),(522,'','default','@count votes','','none'),(523,'','default','@count[2] votes','','none'),(524,'','default','@count[3] votes','','none'),(525,'','default','@count[4] votes','','none'),(526,'','default','@count[5] votes','','none'),(527,'','default','@site is currently under maintenance. We should be back shortly. Thank you for your patience.','','none'),(528,'','default','Default front page','','none'),(529,'','default','Top pages','','none'),(530,'','default','Text processing','','none'),(531,'','default','Maximum length','','none'),(532,'','default','Rows','','none'),(533,'','default','Save changes','','none'),(534,'','default','access denied','','none'),(535,'','default','Anonymous','','7.34'),(536,'','default','Uninstall','','7.34'),(537,'','default','Install','','none'),(538,'','default','Optional','','none'),(539,'','default','Order','','7.34'),(540,'','default','Recent comments','','7.34'),(541,'','default','Recent hits','','none'),(542,'','default','Set default','','none'),(543,'','default','Integer','','7.34'),(544,'','default','IP Address','','7.34'),(545,'','default','The comment and all its replies have been deleted.','','none'),(546,'','default','Preformatted','','none'),(547,'','default','Profile','','none'),(548,'','default','Anonymous users','','none'),(549,'','default','Clear cache','','7.34'),(550,'','default','Visibility settings','','none'),(551,'','default','Votes','','none'),(552,'','default','Term description','','7.34'),(553,'','default','Save settings','','none'),(554,'','default','Operation','','none'),(555,'','default','reply','','7.34'),(556,'','default','Function','','none'),(557,'','default','Session closed for %name.','','none'),(558,'','default','Tracker','','none'),(559,'','default','You have to specify a valid date.','','none'),(560,'','default','Server settings','','none'),(561,'','default','The field %field is required.','','none'),(562,'','default','Germany','','7.34'),(563,'','default','Logout','','none'),(564,'','default','1 new','','none'),(565,'','default','@count new','','none'),(566,'','default','@count[2] new','','none'),(567,'','default','@count[3] new','','none'),(568,'','default','@count[4] new','','none'),(569,'','default','@count[5] new','','none'),(570,'','default','Default language','','none'),(571,'','default','Afghanistan','','7.34'),(572,'','default','Albania','','7.34'),(573,'','default','Algeria','','7.34'),(574,'','default','American Samoa','','7.34'),(575,'','default','Andorra','','7.34'),(576,'','default','Angola','','7.34'),(577,'','default','Anguilla','','7.34'),(578,'','default','Antarctica','','7.34'),(579,'','default','Antigua and Barbuda','','7.34'),(580,'','default','Argentina','','7.34'),(581,'','default','Armenia','','7.34'),(582,'','default','Aruba','','7.34'),(583,'','default','Australia','','7.34'),(584,'','default','Austria','','7.34'),(585,'','default','Azerbaijan','','7.34'),(586,'','default','Bahamas','','7.34'),(587,'','default','Bahrain','','7.34'),(588,'','default','Bangladesh','','7.34'),(589,'','default','Barbados','','7.34'),(590,'','default','Belarus','','7.34'),(591,'','default','Belgium','','7.34'),(592,'','default','Belize','','7.34'),(593,'','default','Benin','','7.34'),(594,'','default','Bermuda','','7.34'),(595,'','default','Bhutan','','7.34'),(596,'','default','Bolivia','','7.34'),(597,'','default','Bosnia and Herzegovina','','7.34'),(598,'','default','Botswana','','7.34'),(599,'','default','Bouvet Island','','7.34'),(600,'','default','Brunei','','7.34'),(601,'','default','Bulgaria','','7.34'),(602,'','default','Burkina Faso','','7.34'),(603,'','default','Burundi','','7.34'),(604,'','default','Cambodia','','7.34'),(605,'','default','Cameroon','','7.34'),(606,'','default','Canada','','7.34'),(607,'','default','Cape Verde','','7.34'),(608,'','default','Cayman Islands','','7.34'),(609,'','default','Central African Republic','','7.34'),(610,'','default','Chad','','7.34'),(611,'','default','China','','7.34'),(612,'','default','Christmas Island','','7.34'),(613,'','default','Cocos (Keeling) Islands','','7.34'),(614,'','default','Colombia','','7.34'),(615,'','default','Comoros','','7.34'),(616,'','default','Cook Islands','','7.34'),(617,'','default','Costa Rica','','7.34'),(618,'','default','Cyprus','','7.34'),(619,'','default','Czech Republic','','7.34'),(620,'','default','Denmark','','7.34'),(621,'','default','Djibouti','','7.34'),(622,'','default','Dominica','','7.34'),(623,'','default','Dominican Republic','','7.34'),(624,'','default','Ecuador','','7.34'),(625,'','default','El Salvador','','7.34'),(626,'','default','Equatorial Guinea','','7.34'),(627,'','default','Eritrea','','7.34'),(628,'','default','Estonia','','7.34'),(629,'','default','Ethiopia','','7.34'),(630,'','default','Faroe Islands','','7.34'),(631,'','default','Finland','','7.34'),(632,'','default','France','','7.34'),(633,'','default','French Guiana','','7.34'),(634,'','default','French Polynesia','','7.34'),(635,'','default','Gabon','','7.34'),(636,'','default','Gambia','','7.34'),(637,'','default','Georgia','','7.34'),(638,'','default','Ghana','','7.34'),(639,'','default','Gibraltar','','7.34'),(640,'','default','Greece','','7.34'),(641,'','default','Greenland','','7.34'),(642,'','default','Grenada','','7.34'),(643,'','default','Guadeloupe','','7.34'),(644,'','default','Guam','','7.34'),(645,'','default','Guatemala','','7.34'),(646,'','default','Guinea','','7.34'),(647,'','default','Guinea-Bissau','','7.34'),(648,'','default','Guyana','','7.34'),(649,'','default','Haiti','','7.34'),(650,'','default','Heard Island and McDonald Islands','','7.34'),(651,'','default','Honduras','','7.34'),(652,'','default','Hungary','','7.34'),(653,'','default','Iceland','','7.34'),(654,'','default','India','','7.34'),(655,'','default','Indonesia','','7.34'),(656,'','default','Iraq','','7.34'),(657,'','default','Ireland','','7.34'),(658,'','default','Italy','','7.34'),(659,'','default','Jordan','','7.34'),(660,'','default','Kazakhstan','','7.34'),(661,'','default','Kenya','','7.34'),(662,'','default','Kiribati','','7.34'),(663,'','default','Kuwait','','7.34'),(664,'','default','Kyrgyzstan','','7.34'),(665,'','default','Laos','','7.34'),(666,'','default','Latvia','','7.34'),(667,'','default','Lebanon','','7.34'),(668,'','default','Lesotho','','7.34'),(669,'','default','Liberia','','7.34'),(670,'','default','Liechtenstein','','7.34'),(671,'','default','Lithuania','','7.34'),(672,'','default','Luxembourg','','7.34'),(673,'','default','Madagascar','','7.34'),(674,'','default','Malawi','','7.34'),(675,'','default','Malaysia','','7.34'),(676,'','default','Maldives','','7.34'),(677,'','default','Mali','','7.34'),(678,'','default','Malta','','7.34'),(679,'','default','Marshall Islands','','7.34'),(680,'','default','Martinique','','7.34'),(681,'','default','Mauritania','','7.34'),(682,'','default','Mauritius','','7.34'),(683,'','default','Mayotte','','7.34'),(684,'','default','Mexico','','7.34'),(685,'','default','Micronesia','','7.34'),(686,'','default','Moldova','','7.34'),(687,'','default','Monaco','','7.34'),(688,'','default','Mongolia','','7.34'),(689,'','default','Montserrat','','7.34'),(690,'','default','Morocco','','7.34'),(691,'','default','Mozambique','','7.34'),(692,'','default','Myanmar','','7.34'),(693,'','default','Nauru','','7.34'),(694,'','default','Nepal','','7.34'),(695,'','default','Netherlands','','7.34'),(696,'','default','Netherlands Antilles','','7.34'),(697,'','default','New Caledonia','','7.34'),(698,'','default','Nicaragua','','7.34'),(699,'','default','Niger','','7.34'),(700,'','default','Nigeria','','7.34'),(701,'','default','Niue','','7.34'),(702,'','default','Norfolk Island','','7.34'),(703,'','default','North Korea','','7.34'),(704,'','default','Northern Mariana Islands','','7.34'),(705,'','default','Norway','','7.34'),(706,'','default','Oman','','7.34'),(707,'','default','Pakistan','','7.34'),(708,'','default','Palau','','7.34'),(709,'','default','Panama','','7.34'),(710,'','default','Papua New Guinea','','7.34'),(711,'','default','Peru','','7.34'),(712,'','default','Philippines','','7.34'),(713,'','default','Puerto Rico','','7.34'),(714,'','default','Qatar','','7.34'),(715,'','default','Reunion','','7.34'),(716,'','default','Romania','','7.34'),(717,'','default','Russia','','7.34'),(718,'','default','Rwanda','','7.34'),(719,'','default','Samoa','','7.34'),(720,'','default','San Marino','','7.34'),(721,'','default','Saudi Arabia','','7.34'),(722,'','default','Senegal','','7.34'),(723,'','default','Seychelles','','7.34'),(724,'','default','Sierra Leone','','7.34'),(725,'','default','Slovakia','','7.34'),(726,'','default','Slovenia','','7.34'),(727,'','default','Solomon Islands','','7.34'),(728,'','default','Somalia','','7.34'),(729,'','default','South Africa','','7.34'),(730,'','default','South Georgia and the South Sandwich Islands','','7.34'),(731,'','default','Spain','','7.34'),(732,'','default','Sri Lanka','','7.34'),(733,'','default','Sudan','','7.34'),(734,'','default','Suriname','','7.34'),(735,'','default','Svalbard and Jan Mayen','','7.34'),(736,'','default','Swaziland','','7.34'),(737,'','default','Sweden','','7.34'),(738,'','default','Switzerland','','7.34'),(739,'','default','Syria','','7.34'),(740,'','default','Taiwan','','7.34'),(741,'','default','Tajikistan','','7.34'),(742,'','default','Tanzania','','7.34'),(743,'','default','Thailand','','7.34'),(744,'','default','Togo','','7.34'),(745,'','default','Tokelau','','7.34'),(746,'','default','Trinidad and Tobago','','7.34'),(747,'','default','Tunisia','','7.34'),(748,'','default','Turkmenistan','','7.34'),(749,'','default','Turks and Caicos Islands','','7.34'),(750,'','default','Tuvalu','','7.34'),(751,'','default','Uganda','','7.34'),(752,'','default','Ukraine','','7.34'),(753,'','default','United Arab Emirates','','7.34'),(754,'','default','United Kingdom','','7.34'),(755,'','default','United States','','7.34'),(756,'','default','United States Minor Outlying Islands','','7.34'),(757,'','default','Uruguay','','7.34'),(758,'','default','Uzbekistan','','7.34'),(759,'','default','Vanuatu','','7.34'),(760,'','default','Venezuela','','7.34'),(761,'','default','Wallis and Futuna','','7.34'),(762,'','default','Yemen','','7.34'),(763,'','default','Zambia','','7.34'),(764,'','default','Zimbabwe','','7.34'),(765,'','default','Table prefix','','none'),(766,'','default','Database username','','none'),(767,'','default','Database password','','none'),(768,'','default','Database name','','none'),(769,'','default','Add user','','7.34'),(770,'','default','Port','','none'),(771,'','default','Size of textfield','','none'),(772,'','default','Authoring information','','7.34'),(773,'','default','Authored on','','7.34'),(774,'','default','Leave blank for %anonymous.','','7.34'),(775,'','default','Hidden','','7.34'),(776,'','default','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','7.34'),(777,'','default','Syslog','','none'),(778,'','default','Key','','7.34'),(779,'','default','Enabled languages','','none'),(780,'','default','Arabic','','7.34'),(781,'','default','English','','7.34'),(782,'','default','French','','none'),(783,'','default','Italian','','none'),(784,'','default','Spanish','','none'),(785,'','default','Japanese','','none'),(786,'','default','Korean','','none'),(787,'','default','A valid e-mail address. All e-mails from the system will be sent to this address. The e-mail address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by e-mail.','','none'),(788,'','default','The e-mail address %email is already registered. <a href=\"@password\">Have you forgotten your password?</a>','','none'),(789,'','default','Import OPML','','none'),(790,'','default','Remove items','','none'),(791,'','default','OPML File','','none'),(792,'','default','Allowed HTML tags','','none'),(793,'','default','Sources','','none'),(794,'','default','!title category latest items','','none'),(795,'','default','!title feed latest items','','none'),(796,'','default','The category %category has been updated.','','none'),(797,'','default','Category %category deleted.','','none'),(798,'','default','The category %category has been deleted.','','none'),(799,'','default','Category %category added.','','none'),(800,'','default','The category %category has been added.','','none'),(801,'','default','aggregator - @title','','none'),(802,'','default','1 item','','none'),(803,'','default','@count items','','none'),(804,'','default','@count[2] items','','none'),(805,'','default','@count[3] items','','none'),(806,'','default','@count[4] items','','none'),(807,'','default','@count[5] items','','none'),(808,'','default','Add menu','','7.34'),(809,'','default','menu','','7.34'),(810,'','default','‹ previous','','7.34'),(811,'','default','next ›','','7.34'),(812,'','default','No items selected.','','none'),(813,'','default','The update has been performed.','','none'),(814,'','default','Browser','','none'),(815,'','default','View user profile.','','7.34'),(816,'','default','Titles only','','none'),(817,'','default','Full text','','none'),(818,'','default','This cannot be undone.','','none'),(819,'','default','Upload picture','','none'),(820,'','default','Message:','','none'),(821,'','default','Language file','','none'),(822,'','default','published','','none'),(823,'','default','Average page generation time','','none'),(824,'','default','The changes have been saved.','','none'),(825,'','default','Show only users where','','none'),(826,'','default','Refine','','none'),(827,'','default','Undo','','none'),(828,'','default','Member for','','7.34'),(829,'','default','@time ago','','none'),(830,'','default','No users selected.','','none'),(831,'','default','Detected malicious attempt to alter protected user fields.','','none'),(832,'; misc/tableselect.js','default','Select all rows in this table','','none'),(833,'; misc/tableselect.js','default','Deselect all rows in this table','','none'),(834,'','default','Search results','','7.34'),(835,'','default','Your search yielded no results','','none'),(836,'','default','Please enter some keywords.','','none'),(837,'','default','Front page','','none'),(838,'','default','Request new password','','7.32'),(839,'','default','Deleted','','none'),(840,'','default','Languages','','7.34'),(841,'','default','Topics','','none'),(842,'','default','Topic','','none'),(843,'','default','Allowed values list','','none'),(844,'','default','Today','','none'),(845,'','default','Edit menu','','7.34'),(846,'','default','Delete menu','','7.34'),(847,'','default','Publishing options','','7.34'),(848,'','default','Create new revision','','7.34'),(849,'','default','Minimum height','','none'),(850,'','default','Minimum width','','none'),(851,'','default','Locale settings','','none'),(852,'','default','Configure block','','7.34'),(853,'','default','How many content items to display in \"day\" list.','','none'),(854,'','default','Jan','','none'),(855,'','default','Feb','','none'),(856,'','default','Mar','','none'),(857,'','default','Apr','','none'),(858,'','default','Jun','','none'),(859,'','default','Jul','','none'),(860,'','default','Aug','','7.34'),(861,'','default','Sep','','7.34'),(862,'','default','Oct','','none'),(863,'','default','Nov','','none'),(864,'','default','Dec','','none'),(865,'','default','Select list','','7.34'),(866,'','default','Text field','','7.34'),(867,'','default','Long','','7.34'),(868,'','default','Short','','7.34'),(869,'','default','Posts','','none'),(870,'','default','Configure permissions','','none'),(871,'','default','Workflow','','7.34'),(872,'','default','Randomize','','none'),(873,'','default','Revert','','7.34'),(874,'','default','Empty','','none'),(875,'','default','Existing system path','','7.34'),(876,'','default','Path alias','','none'),(877,'','default','Specify an alternative path by which this data can be accessed. For example, type \"about\" when writing an about page. Use a relative path and don\'t add a trailing slash or the URL alias won\'t work.','','none'),(878,'','default','Greater than','','none'),(879,'','default','Less than','','none'),(880,'','default','any','','none'),(881,'','default','Choice','','none'),(882,'','default','Log out','','7.34'),(883,'','default','Number of day\'s top views to display','','none'),(884,'','default','Number of all time views to display','','none'),(885,'','default','Number of most recent views to display','','none'),(886,'','default','The settings have not been saved because of the errors.','','none'),(887,'','default','characters','','none'),(888,'','default','profile','','none'),(889,'','default','Su','','none'),(890,'','default','Mo','','none'),(891,'','default','Tu','','none'),(892,'','default','We','','none'),(893,'','default','Th','','none'),(894,'','default','Fr','','none'),(895,'','default','Sa','','none'),(896,'','default','First day of week','','none'),(897,'','default','Autocomplete taxonomy','','7.34'),(898,'','default','Send yourself a copy.','','7.32'),(899,'','default','Your message has been sent.','','none'),(900,'','default','Create new account','','7.32'),(901,'','default','role','','none'),(902,'','default','Are you sure you want to delete the block %name?','','none'),(903,'','default','The block %name has been removed.','','none'),(904,'','default','Info','','none'),(905,'','default','People','','7.34'),(906,'','default','list terms','','none'),(907,'','default','add terms','','none'),(908,'','default','Created new term %term.','','none'),(909,'','default','Are you sure you want to delete the term %title?','','none'),(910,'','default','Deleted term %name.','','none'),(911,'','default','warning','','none'),(912,'','default','No statistics available.','','none'),(913,'','default','Last run !time ago','','none'),(914,'','default','Site information','','7.34'),(915,'','default','Blocked','','7.34'),(916,'','default','Enabled filters','','none'),(917,'','default','critical','','none'),(918,'','default','Results','','7.32'),(919,'','default','Older polls','','none'),(920,'','default','View the list of polls on this site.','','none'),(921,'','default','Poll settings','','none'),(922,'','default','You must fill in at least two choices.','','none'),(923,'','default','open','','7.34'),(924,'','default','This table lists all the recorded votes for this poll. If anonymous users are allowed to vote, they will be identified by the IP address of the computer they used when they voted.','','none'),(925,'','default','Visitor','','none'),(926,'','default','Cancel your vote','','none'),(927,'','default','View the current poll results.','','none'),(928,'','default','Deleting a term will delete all its children if there are any. This action cannot be undone.','','none'),(929,'','default','Parent term','','7.34'),(930,'','default','Parent terms','','7.34'),(931,'','default','Syndicate','','7.34'),(932,'','default','Blogs','','7.34'),(933,'','default','Books','','none'),(934,'','default','The feed from %site seems to be broken, due to an error \"%error\" on line %line.','','none'),(935,'','default','The feed from %site seems to be broken, because of error \"%error\" on line %line.','','none'),(936,'','default','Forums','','none'),(937,'','default','Revisions for %title','','none'),(938,'','default','!date by !username','','none'),(939,'','default','revert','','none'),(940,'','default','Revision','','7.34'),(941,'','default','current revision','','none'),(942,'','default','The specified passwords do not match.','','none'),(943,'','default','Session','','none'),(944,'','default','Track','','none'),(945,'','default','No forums defined','','none'),(946,'','default','This topic has been moved','','none'),(947,'','default','Permissions','','7.34'),(948,'','default','Your settings have been saved.','','none'),(949,'','default','Cron','','7.34'),(950,'','default','Installed','','none'),(951,'','default','permission','','none'),(952,'','default','Your vote was recorded.','','none'),(953,'','default','Allows your site to capture votes on different topics in the form of multiple choice questions.','','none'),(954,'','default','Link color','','none'),(955,'','default','Date created','','7.34'),(956,'','default','Testing','','none'),(957,'','default','Standard','','none'),(958,'','default','Aland Islands','','7.34'),(959,'','default','Fiji','','7.34'),(960,'','default','Falkland Islands','','7.34'),(961,'','default','Saint Kitts and Nevis','','7.34'),(962,'','default','South Korea','','7.34'),(963,'','default','Saint Lucia','','7.34'),(964,'','default','Saint Helena','','7.34'),(965,'','default','Sao Tome and Principe','','7.34'),(966,'','default','French Southern Territories','','7.34'),(967,'','default','Saint Vincent and the Grenadines','','7.34'),(968,'','default','British Virgin Islands','','7.34'),(969,'','default','U.S. Virgin Islands','','7.34'),(970,'','default','Vietnam','','7.34'),(971,'','default','Guernsey','','7.34'),(972,'','default','Jersey','','7.34'),(973,'','default','%type settings','','none'),(974,'; modules/node/content_types.js; modules/node/node.js','default','Not published','','7.34'),(975,'','default','Menu settings','','7.34'),(976,'','default','Color scheme','','none'),(977,'','default','Unformatted','','7.34'),(978,'','default','Formats','','7.34'),(979,'','default','@type: deleted %title.','','none'),(980,'','default','Allowed file extensions','','none'),(981,'','default','New comments','','7.34'),(982,'','default','Redirect to URL','','none'),(983,'','default','details','','none'),(984,'','default','The username %name has not been activated or is blocked.','','none'),(985,'','default','Login attempt failed for %user.','','none'),(986,'','default','image','','7.34'),(987,'','default','Revision of %title from %date','','none'),(988,'','default','The username of the user to which you would like to assign ownership.','','none'),(989,'','default','Manage the actions defined for your site.','','7.34'),(990,'','default','Delete action','','none'),(991,'','default','The action has been successfully saved.','','none'),(992,'','default','Deleted action %aid (%action)','','none'),(993,'','default','Action \'%action\' added.','','none'),(994,'','default','Remove orphaned actions','','none'),(995,'','default','Themes','','none'),(996,'','default','JPEG quality','','none'),(997,'','default','%','','none'),(998,'','default','Delete comments','','none'),(999,'','default','not published','','none'),(1000,'','default','Published comments','','7.34'),(1001,'','default','!name field is required.','','none'),(1002,'','default','Protected','','none'),(1003,'','default','Comment settings','','7.34'),(1004,'','default','Hits','','none'),(1005,'','default','not sticky','','none'),(1006,'','default','sticky','','none'),(1007,'','default','not promoted','','none'),(1008,'','default','promoted','','none'),(1009,'','default','You are here','','7.34'),(1010,'','default','Default options','','none'),(1011,'','default','Contact settings','','none'),(1012,'','default','Reset password','','none'),(1013,'','default','Processing','','7.34'),(1014,'','default','Finished','','none'),(1015,'','default','disable','','none'),(1016,'','default','Temporary directory','','none'),(1017,'','default','date','','7.34'),(1018,'','default','File upload error. Could not move uploaded file.','','none'),(1019,'','default','Shortcuts','','7.34'),(1020,'','default','Shortcut','','none'),(1021,'','default','Default value','','none'),(1022,'','default','Timezone','','7.34'),(1023,'','default','The specified date is invalid.','','none'),(1024,'','default','Password strength:','','none'),(1025,'','default','Passwords match:','','none'),(1026,'','default','Slogan','','7.34'),(1027,'','default','The name used to indicate anonymous users.','','none'),(1028,'','default','Alternate text','','7.34'),(1029,'; misc/ajax.js','default','Please wait...','','none'),(1030,'','default','Assign','','none'),(1031,'','default','Not translated','','none'),(1032,'','default','Go to first page','','7.34'),(1033,'','default','Go to last page','','7.34'),(1034,'','default','Go to page @number','','7.34'),(1035,'','default','Enter the terms you wish to search for.','','7.34'),(1036,'','default','Underlined','','none'),(1037,'','default','Tasks','','7.34'),(1038,'','default','Delete role','','none'),(1039,'','default','Basic configuration','','none'),(1040,'','default','List menus','','7.34'),(1041,'','default','Customize menu','','none'),(1042,'','default','British Indian Ocean Territory','','7.34'),(1043,'','default','Croatia','','7.34'),(1044,'','default','Macedonia','','7.34'),(1045,'','default','Pitcairn','','7.34'),(1046,'','default','Western Sahara','','7.34'),(1047,'','default','English name','','none'),(1048,'','default','Native name','','none'),(1049,'','default','Block description','','none'),(1050,'','default','Form name','','none'),(1051,'','default','The title of the new field. The title will be shown to the user. An example title is \"Favorite color\".','','none'),(1052,'','default','An optional explanation to go with the new field. The explanation will be shown to the user.','','none'),(1053,'','default','Save field','','none'),(1054,'','default','Blocks','','7.34'),(1055,'','default','Configure what block content appears in your site\'s sidebars and other regions.','','7.34'),(1056,'','default','Delete block','','none'),(1057,'','default','Save blocks','','none'),(1058,'','default','The block settings have been updated.','','none'),(1059,'','default','\'%name\' block','','none'),(1060,'','default','Allow individual users to customize the visibility of this block in their account settings.','','none'),(1061,'','default','Show block for specific roles','','none'),(1062,'','default','Show this block only for the selected role(s). If you select no roles, the block will be visible to all users.','','none'),(1063,'','default','Show block on specific pages','','none'),(1064,'','default','Save block','','none'),(1065,'','default','The block configuration has been saved.','','none'),(1066,'','default','The block has been created.','','none'),(1067,'','default','Block body','','none'),(1068,'','default','The content of the block as shown to the user.','','none'),(1069,'','default','Menus','','7.34'),(1070,'','default','Any customizations will be lost. This action cannot be undone.','','none'),(1071,'','default','Allows administrators to customize the site navigation menu.','','none'),(1072,'','default','Add vocabulary','','7.34'),(1073,'','default','edit vocabulary','','none'),(1074,'','default','Created new vocabulary %name.','','none'),(1075,'','default','Updated vocabulary %name.','','none'),(1076,'','default','Are you sure you want to delete the vocabulary %title?','','none'),(1077,'','default','Deleting a vocabulary will delete all the terms in it. This action cannot be undone.','','none'),(1078,'','default','Deleted vocabulary %name.','','none'),(1079,'','default','Above','','none'),(1080,'','default','Number of values','','none'),(1081,'','default','Default time zone','','none'),(1082,'','default','Add another item','','7.34'),(1083,'','default','Manage fields','','7.34'),(1084,'','default','Add field','','none'),(1085,'','default','Trimmed','','7.34'),(1086,'','default','Used in','','none'),(1087,'','default','Add existing field','','none'),(1088,'','default','If you have any content left in this field, it will be lost. This action cannot be undone.','','none'),(1089,'','default','Save field settings','','none'),(1090,'','default','The update has encountered an error.','','none'),(1091,'','default','1 item successfully processed:','','none'),(1092,'','default','@count items successfully processed:','','none'),(1093,'','default','@count[2] items successfully processed:','','none'),(1094,'','default','@count[3] items successfully processed:','','none'),(1095,'','default','@count[4] items successfully processed:','','none'),(1096,'','default','@count[5] items successfully processed:','','none'),(1097,'','default','Decimal','','7.34'),(1098,'','default','Float','','7.34'),(1099,'','default','Minimum','','7.34'),(1100,'','default','Precision','','none'),(1101,'','default','The total number of digits to store in the database, including those to the right of the decimal.','','none'),(1102,'','default','The number of digits to the right of the decimal.','','none'),(1103,'','default','Decimal marker','','none'),(1104,'','default','The character users will input to mark the decimal point in forms.','','none'),(1105,'','default','Defines numeric field types.','','none'),(1106,'','default','For a \'single on/off checkbox\' widget, define the \'off\' value first, then the \'on\' value in the <strong>Allowed values</strong> section. Note that the checkbox will be labeled with the label of the \'on\' value.','','none'),(1107,'','default','Check boxes/radio buttons','','7.34'),(1108,'','default','Single on/off checkbox','','7.34'),(1109,'','default','Defines selection, check box and radio button widgets for text and numeric fields.','','none'),(1110,'','default','Text area (multiple rows)','','7.34'),(1111,'','default','Defines simple text field types.','','none'),(1112,'','default','Index','','7.34'),(1113,'','default','Enable clean URLs','','none'),(1114,'','default','Permalink','','7.34'),(1115,'','default','Theme-engine-specific settings','','none'),(1116,'','default','Debug','','7.34'),(1117,'','default','Exception','','none'),(1118,'','default','Permission','','7.34'),(1119,'','default','@module module','','none'),(1120,'','default','Incompatible with this version of PHP','','none'),(1121,'','default','This module requires PHP version @php_required and is incompatible with PHP version !php_version.','','none'),(1122,'','default','More information','','none'),(1123,'','default','!title !required','','7.34'),(1124,'','default','My blog','','7.34'),(1125,'','default','Anonymous commenting','','none'),(1126,'','default','Anonymous posters may not enter their contact information','','none'),(1127,'','default','Anonymous posters may leave their contact information','','none'),(1128,'','default','Anonymous posters must leave their contact information','','none'),(1129,'','default','The content of this field is kept private and will not be shown publicly.','','7.34'),(1130,'','default','Your signature will be publicly displayed at the end of your comments.','','none'),(1131,'','default','Date - newest first','','none'),(1132,'','default','Date - oldest first','','none'),(1133,'','default','1 comment','','7.34'),(1134,'','default','@count comments','','none'),(1135,'','default','@count[2] comments','','none'),(1136,'','default','@count[3] comments','','7.34'),(1137,'','default','@count[4] comments','','none'),(1138,'','default','@count[5] comments','','none'),(1139,'','default','1 new comment','','none'),(1140,'','default','@count new comments','','none'),(1141,'','default','@count[2] new comments','','none'),(1142,'','default','@count[3] new comments','','none'),(1143,'','default','@count[4] new comments','','none'),(1144,'','default','@count[5] new comments','','none'),(1145,'','default','Save content type','','none'),(1146,'','default','Show descriptions','','none'),(1147,'','default','Subtitle','','none'),(1148,'','default','Language code','','none'),(1149,'','default','Save role','','none'),(1150,'','default','debug','','none'),(1151,'','default','file system','','none'),(1152,'','default','Menu link title','','7.34'),(1153,'','default','The menu system stores system paths only, but will use the URL alias for display. %link_path has been stored as %normal_path','','none'),(1154,'','default','The path \'@link_path\' is either invalid or you do not have access to it.','','none'),(1155,'','default','There was an error saving the menu link.','','none'),(1156,'','default','Menu name','','none'),(1157,'','default','Are you sure you want to delete the custom menu %title?','','none'),(1158,'','default','Number of users to display','','none'),(1159,'','default','RSS - !title','','none'),(1160,'','default','...','','7.34'),(1161,'','default','RDF','','none'),(1162,'','default','Profiles','','none'),(1163,'','default','Edit container','','none'),(1164,'','default','Last visit','','none'),(1165,'','default','Hot topic threshold','','none'),(1166,'','default','Topics per page','','none'),(1167,'','default','Posts - most active first','','none'),(1168,'','default','Posts - least active first','','none'),(1169,'','default','URL path settings','','7.34'),(1170,'','default','@user\'s picture','','7.34'),(1171,'','default','Are you sure you want to revert to the revision from %revision-date?','','none'),(1172,'','default','Are you sure you want to delete the revision from %revision-date?','','none'),(1173,'','default','Maximum upload size','','none'),(1174,'','default','KB','','none'),(1175,'','default','Space','','none'),(1176,'','default','New forum topics','','none'),(1177,'','default','@type: deleted %title revision %revision.','','none'),(1178,'','default','Page not found','','none'),(1179,'','default','Language neutral','','7.34'),(1180,'','default','More help','','none'),(1181,'','default','Preview trimmed version','','none'),(1182,'','default','Preview full version','','none'),(1183,'','default','Account blocked','','none'),(1184,'','default','Expand','','none'),(1185,'','default','The name %name is already taken.','','none'),(1186,'','default','info','','none'),(1187,'','default','OpenID redirect','','none'),(1188,'','default','OpenID Login','','none'),(1189,'','default','Delete OpenID','','none'),(1190,'','default','Log in using OpenID','','none'),(1191,'','default','Cancel OpenID login','','none'),(1192,'','default','What is OpenID?','','none'),(1193,'','default','OpenID login failed.','','none'),(1194,'','default','OpenID login cancelled.','','none'),(1195,'','default','Successfully added %identity','','none'),(1196,'','default','OpenID','','none'),(1197,'','default','Add an OpenID','','none'),(1198,'','default','That OpenID is already in use on this site.','','none'),(1199,'','default','Are you sure you want to delete the OpenID %authname for %user?','','none'),(1200,'','default','OpenID deleted.','','none'),(1201,'','default','edit menu','','none'),(1202,'','default','« first','','7.34'),(1203,'','default','last »','','7.34'),(1204,'','default','Resize','','7.34'),(1205,'','default','The directory %directory does not exist.','','none'),(1206,'','default','Defines a file field type.','','none'),(1207,'','default','Show only items where','','none'),(1208,'','default','No comments available.','','none'),(1209,'','default','ok','','none'),(1210,'','default','Rebuild permissions','','none'),(1211,'','default','@type: updated %title.','','none'),(1212,'','default','@type: added %title.','','none'),(1213,'','default','Error saving user account.','','none'),(1214,'','default','Action %action has been unassigned.','','none'),(1215,'','default','Add role','','none'),(1216,'','default','You must specify a valid role name.','','none'),(1217,'','default','The role has been added.','','none'),(1218,'','default','Path to custom logo','','none'),(1219,'','default','taxonomy','','7.34'),(1220,'','default','Updated term %term.','','none'),(1221,'','default','- Please choose -','','none'),(1222,'','default','- None selected -','','none'),(1223,'','default','Parser','','none'),(1224,'','default','Discard items older than','','none'),(1225,'','default','@site_name - aggregated feeds in category @title','','none'),(1226,'','default','@site_name - aggregated feeds','','none'),(1227,'','default','@site_name aggregator','','none'),(1228,'','default','!title feed','','none'),(1229,'','default','Aggregator','','none'),(1230,'','default','The feed from %site seems to be broken, because of error \"%error\".','','none'),(1231,'','default','There is no new syndicated content from %site.','','none'),(1232,'','default','There is new syndicated content from %site.','','none'),(1233,'','default','The feed from %site seems to be broken, due to \"%error\".','','none'),(1234,'','default','Feed aggregator','','none'),(1235,'','default','Aggregates syndicated content (RSS, RDF, and Atom feeds).','','none'),(1236,'','default','Alias','','none'),(1237,'','default','Account settings','','7.34'),(1238,'','default','The content type %name has been deleted.','','none'),(1239,'','default','Deleted content type %name.','','none'),(1240,'','default','Enter your keywords','','none'),(1241,'','default','Clean URLs','','7.34'),(1242,'','default','My account','','7.34'),(1243,'','default','Number of topics','','none'),(1244,'','default','Active forum topics','','none'),(1245,'','default','Read the latest forum topics.','','none'),(1246,'','default','HTTP authentication','','none'),(1247,'','default','User activity','','none'),(1248,'','default','The category the new field should be part of. Categories are used to group fields logically. An example category is \"Personal information\".','','none'),(1249,'','default','The user must enter a value.','','none'),(1250,'','default','Visible in user registration form.','','none'),(1251,'','default','New feed items are automatically filed in the checked categories.','','none'),(1252,'','default','A user is considered online for this long after they have last viewed a page.','','none'),(1253,'','default','Maximum number of currently online users to display.','','none'),(1254,'','default','ajax','','none'),(1255,'','default','Context','','7.34'),(1256,'','default','Book navigation','','none'),(1257,'','default','Taxonomy vocabulary','','7.34'),(1258,'','default','1 year','','none'),(1259,'','default','@count years','','none'),(1260,'','default','@count[2] years','','none'),(1261,'','default','@count[3] years','','none'),(1262,'','default','@count[4] years','','none'),(1263,'','default','@count[5] years','','none'),(1264,'','default','1 week','','none'),(1265,'','default','@count weeks','','none'),(1266,'','default','@count[2] weeks','','7.34'),(1267,'','default','@count[3] weeks','','none'),(1268,'','default','@count[4] weeks','','none'),(1269,'','default','@count[5] weeks','','none'),(1270,'','default','1 min','','none'),(1271,'','default','@count min','','none'),(1272,'','default','@count[2] min','','none'),(1273,'','default','@count[3] min','','none'),(1274,'','default','@count[4] min','','none'),(1275,'','default','@count[5] min','','none'),(1276,'','default','1 sec','','none'),(1277,'','default','@count sec','','none'),(1278,'','default','@count[2] sec','','none'),(1279,'','default','@count[3] sec','','none'),(1280,'','default','@count[4] sec','','none'),(1281,'','default','@count[5] sec','','none'),(1282,'','default','-n/a-','','none'),(1283,'','default','Found the @submit button','','none'),(1284,'','default','Failed to set field @name to @value','','none'),(1285,'','default','No temporary directories to remove.','','none'),(1286,'','default','Run tests against Drupal core and your active modules. These tests help assure that your site code is working as designed.','','none'),(1287,'','default','Palestinian Territory','','7.34'),(1288,'','default','Vatican','','7.34'),(1289,'','default','Bulgarian','','none'),(1290,'','default','Croatian','','none'),(1291,'','default','Czech','','none'),(1292,'','default','Danish','','none'),(1293,'','default','Dutch','','none'),(1294,'','default','Finnish','','none'),(1295,'','default','German','','none'),(1296,'','default','Greek','','none'),(1297,'','default','Hebrew','','none'),(1298,'','default','Hungarian','','none'),(1299,'','default','Indonesian','','none'),(1300,'','default','Polish','','none'),(1301,'','default','Romanian','','none'),(1302,'','default','Russian','','none'),(1303,'','default','Slovak','','none'),(1304,'','default','Swedish','','none'),(1305,'','default','Turkish','','none'),(1306,'','default','Send message','','7.32'),(1307,'','default','Machine name','','7.34'),(1308,'','default','Allow Upscaling','','none'),(1309,'','default','Let scale make images larger than their original size','','none'),(1310,'','default','Rotation angle','','none'),(1311,'','default','The number of degrees the image should be rotated. Positive numbers are clockwise, negative are counter-clockwise.','','none'),(1312,'','default','Randomize the rotation angle for each image. The angle specified above is used as a maximum.','','none'),(1313,'','default','Print','','none'),(1314,'','default','The file could not be created.','','none'),(1315,'','default','Locked','','none'),(1316,'','default','Password reset instructions mailed to %name at %email.','','none'),(1317,'','default','The e-mail address %mail is not valid.','','none'),(1318,'','default','Account','','7.34'),(1319,'','default','authenticated user','','7.34'),(1320,'','default','Any','','none'),(1321,'','default','E-mail addresses to notify when updates are available','','none'),(1322,'','default','Whenever your site checks for available updates and finds new releases, it can notify a list of users via e-mail. Put each address on a separate line. If blank, no e-mails will be sent.','','none'),(1323,'','default','Check for updates','','none'),(1324,'','default','All newer versions','','none'),(1325,'','default','Only security updates','','none'),(1326,'','default','%email is not a valid e-mail address.','','none'),(1327,'','default','%emails are not valid e-mail addresses.','','none'),(1328,'','default','No update data available','','7.34'),(1329,'','default','Not secure!','','7.32'),(1330,'','default','Revoked!','','none'),(1331,'','default','Unsupported release','','none'),(1332,'','default','Can not determine status','','none'),(1333,'','default','(version @version available)','','7.32'),(1334,'','default','See the available updates page for more information:','','none'),(1335,'','default','New release(s) available for !site_name','','none'),(1336,'','default','There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','7.32'),(1337,'','default','Your version of Drupal has been revoked and is no longer available for download. Upgrading is strongly recommended!','','none'),(1338,'','default','The installed version of at least one of your modules or themes has been revoked and is no longer available for download. Upgrading or disabling is strongly recommended!','','none'),(1339,'','default','Your version of Drupal is no longer supported. Upgrading is strongly recommended!','','none'),(1340,'','default','There are updates available for your version of Drupal. To ensure the proper functioning of your site, you should update as soon as possible.','','none'),(1341,'','default','See the <a href=\"@available_updates\">available updates</a> page for more information.','','7.34'),(1342,'','default','Project not secure','','none'),(1343,'','default','This project has been labeled insecure by the Drupal security team, and is no longer available for download. Immediately disabling everything included by this project is strongly recommended!','','none'),(1344,'','default','Project revoked','','none'),(1345,'','default','This project has been revoked, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(1346,'','default','Project not supported','','none'),(1347,'','default','This project is no longer supported, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(1348,'','default','No available releases found','','7.32'),(1349,'','default','Release revoked','','none'),(1350,'','default','Your currently installed release has been revoked, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(1351,'','default','Release not supported','','none'),(1352,'','default','Your currently installed release is now unsupported, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(1353,'','default','Invalid info','','none'),(1354,'','default','Security update required!','','none'),(1355,'','default','Not supported!','','none'),(1356,'','default','Recommended version:','','none'),(1357,'','default','Security update:','','none'),(1358,'','default','Latest version:','','none'),(1359,'','default','Development version:','','none'),(1360,'','default','Also available:','','none'),(1361,'','default','Node count','','7.34'),(1362,'','default','Field settings','','7.34'),(1363,'','default','Skip to main content','','7.34'),(1364,'','default','@title','','none'),(1365,'','default','Edit forum','','none'),(1366,'','default','Default order','','none'),(1367,'','default','This is the designated forum vocabulary. Some of the normal vocabulary options have been removed.','','none'),(1368,'','default','Leave shadow copy','','none'),(1369,'','default','If you move this topic, you can leave a link in the old forum to the new forum.','','none'),(1370,'','default','Container name','','none'),(1371,'','default','forum container','','none'),(1372,'','default','Created new @type %term.','','none'),(1373,'','default','The @type %term has been updated.','','none'),(1374,'','default','Add new field','','none'),(1375,'','default','Containing any of the words','','none'),(1376,'','default','Containing the phrase','','none'),(1377,'','default','Containing none of the words','','none'),(1378,'','default','Only of the type(s)','','none'),(1379,'','default','Content ranking','','none'),(1380,'','default','Keyword relevance','','none'),(1381,'','default','Recently posted','','none'),(1382,'','default','Number of comments','','none'),(1383,'','default','Number of views','','none'),(1384,'','default','Factor','','none'),(1385,'','default','Expand layout to include descriptions.','','none'),(1386,'','default','Hide descriptions','','none'),(1387,'','default','Compress layout by hiding descriptions.','','none'),(1388,'','default','Or','','none'),(1389,'','default','Color set','','none'),(1390,'','default','Content ID','','none'),(1391,'','default','About','','7.34'),(1392,'','default','Database host','','none'),(1393,'','default','Maximum link text length','','none'),(1394,'','default','URLs longer than this number of characters will be truncated to prevent long strings that break formatting. The link itself will be retained; just the text portion of the link will be truncated.','','none'),(1395,'','default','Reports','','7.34'),(1396,'','default','Default picture','','none'),(1397,'','default','URL of picture to display for users with no custom picture selected. Leave blank for none.','','none'),(1398,'','default','If the amount of boxes above isn\'t enough, click here to add more choices.','','none'),(1399,'','default','Toggle display','','none'),(1400,'','default','If you don\'t have direct file access to the server, use this field to upload your logo.','','none'),(1401,'','default','Configuration file','','none'),(1402,'','default','Install profile','','none'),(1403,'','default','%percentage of the site has been indexed.','','none'),(1404,'','default','File directory','','none'),(1405,'','default','Default theme','','7.34'),(1406,'','default','Web server','','none'),(1407,'','default','There is 1 item left to index.','','none'),(1408,'','default','There are @count items left to index.','','none'),(1409,'','default','There are @count[2] items left to index.','','none'),(1410,'','default','There are @count[3] items left to index.','','none'),(1411,'','default','There are @count[4] items left to index.','','none'),(1412,'','default','There are @count[5] items left to index.','','none'),(1413,'','default','The content access permissions have been rebuilt.','','none'),(1414,'','default','sort by @s','','none'),(1415,'','default','Sorry, unrecognized username or password. <a href=\"@password\">Have you forgotten your password?</a>','','none'),(1416,'','default','Publish content','','7.34'),(1417,'','default','Stack overflow: too many calls to actions_do(). Aborting to prevent infinite recursion.','','none'),(1418,'','default','Action %action saved.','','none'),(1419,'','default','You may proceed to the <a href=\"@url\">Triggers</a> page to assign these actions to system events.','','none'),(1420,'','default','Manage actions','','7.34'),(1421,'','default','Configure an advanced action','','7.34'),(1422,'','default','Delete an action.','','none'),(1423,'','default','Remove orphans','','none'),(1424,'','default','Triggers','','none'),(1425,'','default','Unassign an action from a trigger.','','none'),(1426,'','default','Choose an advanced action','','none'),(1427,'','default','Action type','','none'),(1428,'','default','Are you sure you want to delete the action %action?','','none'),(1429,'','default','Action %action was deleted','','none'),(1430,'','default','Deleted orphaned action (%action).','','none'),(1431,'','default','Are you sure you want to unassign the action %title?','','none'),(1432,'','default','You can assign it again later if you wish.','','none'),(1433,'','default','unassign','','none'),(1434,'','default','Choose an action','','none'),(1435,'','default','The action you chose is already assigned to that trigger.','','none'),(1436,'','default','When cron runs','','none'),(1437,'','default','The URL to which the user should be redirected. This can be an internal URL like node/1234 or an external URL like http://drupal.org.','','none'),(1438,'','default','Display a message to the user','','none'),(1439,'','default','Unpublish comment','','none'),(1440,'','default','Unpublish comment containing keyword(s)','','none'),(1441,'','default','Ban IP address of current user','','none'),(1442,'','default','Set @type %title to published.','','none'),(1443,'','default','Set @type %title to unpublished.','','none'),(1444,'','default','Set @type %title to sticky.','','none'),(1445,'','default','Set @type %title to unsticky.','','none'),(1446,'','default','Promoted @type %title to front page.','','none'),(1447,'','default','Removed @type %title from front page.','','none'),(1448,'','default','Saved @type %title','','none'),(1449,'','default','Changed owner of @type %title to uid %name.','','none'),(1450,'','default','After saving a new comment','','7.34'),(1451,'','default','After saving an updated comment','','none'),(1452,'','default','After deleting a comment','','7.34'),(1453,'','default','When a comment is being viewed by an authenticated user','','none'),(1454,'','default','Unpublished comment %subject.','','none'),(1455,'','default','After a user has been deleted','','none'),(1456,'','default','After a user has logged in','','none'),(1457,'','default','After a user has logged out','','none'),(1458,'','default','When a user\'s profile is being viewed','','none'),(1459,'','default','Blocked user %name.','','none'),(1460,'','default','Banned IP address %ip','','none'),(1461,'','default','After saving a new term to the database','','none'),(1462,'','default','After saving an updated term to the database','','none'),(1463,'','default','After deleting a term','','7.34'),(1464,'','default','Enables actions to be fired on certain system events, such as when new content is created.','','none'),(1465,'','default','1 read','','none'),(1466,'','default','@count reads','','none'),(1467,'','default','@count[2] reads','','none'),(1468,'','default','@count[3] reads','','none'),(1469,'','default','@count[4] reads','','none'),(1470,'','default','@count[5] reads','','none'),(1471,'','default','- Select -','','none'),(1472,'','default','Enables the categorization of content.','','none'),(1473,'','default','Path prefix','','none'),(1474,'','default','Delete contact','','none'),(1475,'','default','Auto-reply','','none'),(1476,'','default','Optional auto-reply. Leave empty if you do not want to send the user an auto-reply message.','','none'),(1477,'','default','%recipient is an invalid e-mail address.','','none'),(1478,'','default','Lithuanian','','none'),(1479,'','default','Up to date translation','','none'),(1480,'','default','Outdated translation','','none'),(1481,'','default','Some required modules must be enabled','','none'),(1482,'','default','New posts','','none'),(1483,'','default','mm/dd/yy','','none'),(1484,'','default','Translate','','7.34'),(1485,'','default','File to import not found.','','none'),(1486,'','default','The translation import failed, because the file %filename could not be read.','','none'),(1487,'','default','The translation file %filename contains an error: \"msgstr\" was expected but not found on line %line.','','none'),(1488,'','default','The translation file %filename contains an error: \"msgid_plural\" was expected but not found on line %line.','','none'),(1489,'','default','The translation file %filename contains a syntax error on line %line.','','none'),(1490,'','default','The translation file %filename contains an error: \"msgid\" is unexpected on line %line.','','none'),(1491,'','default','The translation file %filename contains an error: \"msgstr[]\" is unexpected on line %line.','','none'),(1492,'','default','The translation file %filename contains an error: \"msgstr\" is unexpected on line %line.','','none'),(1493,'','default','The translation file %filename contains an error: there is an unexpected string on line %line.','','none'),(1494,'','default','The translation file %filename ended unexpectedly at line %line.','','none'),(1495,'','default','Save translations','','none'),(1496,'','default','Export template','','none'),(1497,'','default','Create @name','','7.34'),(1498,'','default','The custom menu %title has been deleted.','','none'),(1499,'','default','@type %title has been deleted.','','none'),(1500,'','default','Crop','','7.34'),(1501,'','default','Not enabled','','none'),(1502,'','default','Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: @tags','','none'),(1503,'','default','anonymous user','','none'),(1504,'','default','@module (<span class=\"admin-disabled\">disabled</span>)','','none'),(1505,'','default','@module (<span class=\"admin-enabled\">enabled</span>)','','none'),(1506,'','default','Web services','','7.34'),(1507,'','default','Save permissions','','none'),(1508,'','default','The e-mail address %email is already taken.','','none'),(1509,'','default','Effect','','none'),(1510,'','default','Error message','','7.34'),(1511,'','default','Original text','','none'),(1512,'','default','Delete content type','','none'),(1513,'','default','Change book (update list of parents)','','none'),(1514,'','default','create a new book','','none'),(1515,'','default','edit permissions','','none'),(1516,'','default','edit order and titles','','none'),(1517,'','default','Manage your site\'s book outlines.','','none'),(1518,'','default','For security reasons, your upload has been renamed to %filename.','','none'),(1519,'','default','Installed version','','none'),(1520,'','default','Recommended version','','none'),(1521,'','default','Cron run successfully.','','none'),(1522,'','default','notice','','none'),(1523,'','default','User account','','7.34'),(1524,'','default','File download','','none'),(1525,'','default','Acronym','','none'),(1526,'','default','original','','none'),(1527,'','default','Failed to upload the picture image; the %directory directory doesn\'t exist or is not writable.','','none'),(1528,'','default','Dates','','none'),(1529,'','default','The field has been updated.','','none'),(1530,'','default','pixels','','none'),(1531,'','default','1 month','','none'),(1532,'','default','@count months','','none'),(1533,'','default','@count[2] months','','none'),(1534,'','default','@count[3] months','','7.34'),(1535,'','default','@count[4] months','','none'),(1536,'','default','@count[5] months','','none'),(1537,'','default','Save order','','none'),(1538,'','default','done','','none'),(1539,'','default','List, edit, or add user roles.','','7.34'),(1540,'','default','edit role','','none'),(1541,'','default','Custom format','','none'),(1542,'','default','Direction','','none'),(1543,'','default','%name: illegal value.','','none'),(1544,'','default','Edit %title','','none'),(1545,'','default','Drupal core','','none'),(1546,'','default','Book navigation block display','','none'),(1547,'','default','Relations','','none'),(1548,'','default','Password field is required.','','none'),(1549,'','default','Confirm password','','none'),(1550,'','default','No content available.','','none'),(1551,'','default','Administration theme','','none'),(1552,'','default','Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />In the meantime, a welcome message with further instructions has been sent to your e-mail address.','','none'),(1553,'','default','Congo (Kinshasa)','','7.34'),(1554,'','default','Congo (Brazzaville)','','7.34'),(1555,'','default','Ivory Coast','','7.34'),(1556,'','default','Hong Kong S.A.R., China','','7.34'),(1557,'','default','Isle of Man','','7.34'),(1558,'','default','Montenegro','','7.34'),(1559,'','default','Macao S.A.R., China','','7.34'),(1560,'','default','Saint Pierre and Miquelon','','7.34'),(1561,'','default','Serbia','','7.34'),(1562,'','default','Afar','','none'),(1563,'','default','Somali','','none'),(1564,'','default','Komi','','none'),(1565,'','default','Run cron','','7.34'),(1566,'','default','Warning message','','7.34'),(1567,'','default','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','','none'),(1568,'','default','The specified file %file could not be copied, because no file by that name exists. Please check that you supplied the correct filename.','','none'),(1569,'','default','The specified file %file was not copied because it would overwrite itself.','','none'),(1570,'','default','The file %file could not be saved, because it exceeds %maxsize, the maximum allowed size for uploads.','','none'),(1571,'','default','The file %file could not be saved, because the upload did not complete.','','none'),(1572,'','default','The file %file could not be saved. An unknown error has occurred.','','none'),(1573,'','default','The specified file %name could not be uploaded.','','none'),(1574,'','default','The file\'s name is empty. Please give a name to the file.','','none'),(1575,'','default','Only files with the following extensions are allowed: %files-allowed.','','none'),(1576,'','default','The file is %filesize exceeding the maximum file size of %maxsize.','','none'),(1577,'','default','The file is %filesize which would exceed your disk quota of %quota.','','none'),(1578,'','default','Only JPEG, PNG and GIF images are allowed.','','none'),(1579,'','default','The image was resized to fit within the maximum allowed dimensions of %dimensions pixels.','','none'),(1580,'','default','The image is too large; the maximum dimensions are %dimensions pixels.','','none'),(1581,'','default','The image is too small; the minimum dimensions are %dimensions pixels.','','none'),(1582,'','default','The file %path was not deleted, because it does not exist.','','none'),(1583,'','default','Upload error. Could not move uploaded file %file to destination %destination.','','none'),(1584,'','default','Add to book outline','','none'),(1585,'','default','Stark','','none'),(1586,'','default','New set','','none'),(1587,'','default','outdated','','none'),(1588,'','default','<strong>@language_name</strong> (source)','','none'),(1589,'','default','add translation','','none'),(1590,'','default','Translations of %title','','none'),(1591,'','default','Manage tagging, categorization, and classification of your content.','','7.34'),(1592,'','default','Database port','','none'),(1593,'','default','Re-index site','','none'),(1594,'','default','Are you sure you want to re-index the site?','','none'),(1595,'','default','cURL','','none'),(1596,'','default','Pass','','none'),(1597,'','default','Fail','','none'),(1598,'','default','No test results to display.','','none'),(1599,'','default','Save and continue','','none'),(1600,'','default','These options are only necessary for some sites. If you\'re not sure what you should enter here, leave the default settings or check with your hosting provider.','','none'),(1601,'','default','If your database is located on a different server, change this.','','none'),(1602,'','default','If your database server is listening to a non-standard port, enter its number.','','none'),(1603,'','default','Database port must be a number.','','none'),(1604,'','default','Spaces are allowed; punctuation is not allowed except for periods, hyphens, and underscores.','','none'),(1605,'','default','IP address','','7.34'),(1606,'','default','Maximum height','','none'),(1607,'','default','Maximum width','','none'),(1608,'','default','Timor-Leste','','7.34'),(1609,'','default','Primary tabs','','7.34'),(1610,'','default','Secondary tabs','','7.34'),(1611,'','default','Enable or disable the display of certain page elements.','','none'),(1612,'','default','Add new content','','none'),(1613,'','default','Boolean','','7.34'),(1614,'','default','Maximum image resolution','','none'),(1615,'','default','An illegal choice has been detected. Please contact the site administrator.','','none'),(1616,'','default','Illegal choice %choice in !name element.','','none'),(1617,'','default','First sidebar','','7.34'),(1618,'','default','Status report','','7.34'),(1619,'','default','Not writable','','none'),(1620,'','default','Decimal point','','none'),(1621,'','default','Book outline','','none'),(1622,'','default','This will be the top-level page in this book.','','none'),(1623,'','default','Revision information','','7.34'),(1624,'','default','Notify user of new account','','none'),(1625,'','default','View comment','','none'),(1626,'','default','Comma','','none'),(1627,'','default','Uses','','none'),(1628,'','default','Path to custom icon','','none'),(1629,'','default','Current user','','none'),(1630,'','default','Digest','','none'),(1631,'','default','You are not authorized to post comments.','','none'),(1632,'','default','The comment you are replying to does not exist.','','none'),(1633,'','default','This discussion is closed: you can\'t post new comments.','','none'),(1634,'','default','You are not authorized to view comments.','','none'),(1635,'','default','Are you sure you want to delete the comment %title?','','none'),(1636,'','default','Any replies to this comment will be lost. This action cannot be undone.','','none'),(1637,'','default','Publish the selected comments','','none'),(1638,'','default','Unpublish the selected comments','','none'),(1639,'','default','Are you sure you want to delete these comments and all their children?','','none'),(1640,'','default','You have to specify a valid author.','','none'),(1641,'','default','The name you used belongs to a registered user.','','none'),(1642,'','default','The e-mail address you specified is not valid.','','none'),(1643,'','default','The URL of your homepage is not valid. Remember that it must be fully qualified, i.e. of the form <code>http://example.com/directory</code>.','','none'),(1644,'','default','(No subject)','','none'),(1645,'','default','Default image','','none'),(1646,'','default','This text will be used by screen readers, search engines, or when the image cannot be loaded.','','7.34'),(1647,'','default','Add feed','','none'),(1648,'','default','List links','','7.34'),(1649,'','default','MIME type','','7.34'),(1650,'','default','File system','','7.34'),(1651,'','default','@name\'s blog','','none'),(1652,'','default','Toolbar','','none'),(1653,'','default','Enter your @s username.','','7.32'),(1654,'','default','Posted in','','none'),(1655,'','default','Comment: unauthorized comment submitted or comment submitted to a closed post %subject.','','none'),(1656,'','default','!name\'s blog','','7.34'),(1657,'','default','Email:','','none'),(1658,'','default','All languages','','none'),(1659,'','default','Dashboard','','7.34'),(1660,'','default','Search index','','7.34'),(1661,'','default','The size of the file.','','7.34'),(1662,'','default','The MIME type of the file.','','7.34'),(1663,'','default','@type %title has been created.','','none'),(1664,'','default','@type %title has been updated.','','none'),(1665,'','default','The post could not be saved.','','none'),(1666,'','default','1 character','','none'),(1667,'','default','@count characters','','none'),(1668,'','default','@count[2] characters','','none'),(1669,'','default','@count[3] characters','','none'),(1670,'','default','@count[4] characters','','none'),(1671,'','default','@count[5] characters','','none'),(1672,'','default','Filter settings','','none'),(1673,'','default','You do not have any administrative items.','','none'),(1674,'','default','One or more problems were detected with your Drupal installation. Check the <a href=\"@status\">status report</a> for more information.','','none'),(1675,'','default','Help topics','','none'),(1676,'','default','Help is available on the following items:','','none'),(1677,'','default','No help is available for module %module.','','none'),(1678,'','default','@module administration pages','','none'),(1679,'','default','Translate interface','','7.34'),(1680,'','default','Add language','','7.34'),(1681,'','default','Edit string','','none'),(1682,'','default','Delete string','','none'),(1683,'','default','Are you sure you want to delete the language %name?','','none'),(1684,'','default','The language %locale has been removed.','','none'),(1685,'','default','Are you sure you want to delete the string \"%source\"?','','none'),(1686,'','default','Deleting the string will remove all translations of this string in all languages. This action cannot be undone.','','none'),(1687,'','default','locale','','7.34'),(1688,'','default','AM','','none'),(1689,'','default','PM','','none'),(1690,'','default','PHP extensions','','none'),(1691,'','default','Comments per page','','none'),(1692,'','default','Multilingual support','','none'),(1693,'','default','Enabled, with translation','','none'),(1694,'','default','Publish comment','','none'),(1695,'','default','The file could not be uploaded.','','none'),(1696,'','default','The selected image handling toolkit %toolkit can not correctly process %function.','','none'),(1697,'','default','FTP','','none'),(1698,'','default','The directory %file is not protected from modifications and poses a security risk. You must change the directory\'s permissions to be non-writable. ','','none'),(1699,'','default','Collaboration','','none'),(1700,'','default','Administration pages','','none'),(1701,'','default','Currently using !item !version','','none'),(1702,'','default','Created content type %type.','','none'),(1703,'','default','User created with name %name and pass %pass','','none'),(1704,'','default','Created permissions: @perms','','none'),(1705,'','default','Invalid permission %permission.','','none'),(1706,'','default','Username field found.','','none'),(1707,'','default','Password field found.','','none'),(1708,'','default','!method @url returned @status (!length).','','none'),(1709,'','default','Valid HTML found on \"@path\"','','none'),(1710,'','default','Parsed page successfully.','','none'),(1711,'','default','Found the requested form fields at @path','','none'),(1712,'','default','Did not find field by name @name','','none'),(1713,'','default','Found field by id @id','','none'),(1714,'','default','Did not find field by id @id','','none'),(1715,'','default','HTTP response expected !code, actual !curl_code','','none'),(1716,'','default','The website encountered an unexpected error. Please try again later.','','none'),(1717,'','default','Tests','','none'),(1718,'','default','Run tests','','none'),(1719,'','default','Clean test environment','','none'),(1720,'','default','Remove tables with the prefix \"simpletest\" and temporary directories that are left over from tests that crashed. This is intended for developers when creating tests.','','none'),(1721,'','default','Clean environment','','none'),(1722,'','default','No tests to display.','','none'),(1723,'','default','@pass, @fail, and @exception','','none'),(1724,'','default','No test(s) selected.','','none'),(1725,'','default','Processing test @num of @max - %test.','','none'),(1726,'','default','@name: @summary','','none'),(1727,'','default','Processed test @num of @max - %test.','','none'),(1728,'','default','1 pass','','none'),(1729,'','default','@count passes','','none'),(1730,'','default','@count[2] passes','','none'),(1731,'','default','@count[3] passes','','none'),(1732,'','default','@count[4] passes','','none'),(1733,'','default','@count[5] passes','','none'),(1734,'','default','1 fail','','none'),(1735,'','default','@count fails','','none'),(1736,'','default','@count[2] fails','','none'),(1737,'','default','@count[3] fails','','none'),(1738,'','default','@count[4] fails','','none'),(1739,'','default','@count[5] fails','','none'),(1740,'','default','1 exception','','none'),(1741,'','default','@count exceptions','','none'),(1742,'','default','@count[2] exceptions','','none'),(1743,'','default','@count[3] exceptions','','none'),(1744,'','default','@count[4] exceptions','','none'),(1745,'','default','@count[5] exceptions','','none'),(1746,'','default','PHP DOMDocument class','','none'),(1747,'','default','Provides a framework for unit and functional testing.','','none'),(1748,'','default','Main menu','','7.34'),(1749,'','default','Hindi','','none'),(1750,'','default','User %name used one-time login link at time %timestamp.','','none'),(1751,'','default','Created a new user account for <a href=\"@url\">%name</a>. No e-mail has been sent.','','none'),(1752,'','default','Registration successful. You are now logged in.','','none'),(1753,'','default','New user: %name (%email).','','none'),(1754,'','default','Trigger','','none'),(1755,'','default','Add link','','7.34'),(1756,'','default','View comments','','none'),(1757,'','default','Username or e-mail address','','none'),(1758,'','default','%name: this field cannot hold more than @count values.','','none'),(1759,'','default','No fields available.','','none'),(1760,'','default','After saving new content','','7.34'),(1761,'','default','After deleting content','','7.34'),(1762,'','default','Vertical Tabs','','7.34'),(1763,'','default','Not in book','','none'),(1764,'','default','New book','','none'),(1765,'; modules/node/node.js','default','By @name on @date','','none'),(1766,'; modules/node/node.js','default','By @name','','none'),(1767,'; modules/menu/menu.js','default','Not in menu','','none'),(1768,'; sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(1769,'; sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(1770,'','default','User autocomplete','','7.34'),(1771,'','default','Initializing.','','none'),(1772,'','default','An error has occurred.','','none'),(1773,'','default','Please continue to <a href=\"@error_url\">the error page</a>','','none'),(1774,'','default','HTTP POST is required.','','none'),(1775,'','default','Your page will be a part of the selected book.','','none'),(1776,'','default','0 sec','','none'),(1777,'','default','form','','none'),(1778,'','default','alert','','none'),(1779,'','default','emergency','','none'),(1780,'','default','Filter log messages','','none'),(1781,'','default','You must select something to filter by.','','none'),(1782,'; modules/node/node.js','default','New revision','','none'),(1783,'','default','To change the current user password, enter the new password in both fields.','','none'),(1784,'','default','You have tried to use a one-time login link that has expired. Please request a new one using the form below.','','none'),(1785,'','default','This login can be used only once.','','none'),(1786,'','default','The translation import of %filename failed.','','none'),(1787,'','default','More choices','','none'),(1788,'','default','Abbreviation','','none'),(1789,'','default','Inserted','','none'),(1790,'','default','Provide a password for the new account in both fields.','','none'),(1791,'','default','(@language)','','none'),(1792,'','default','filter','','7.34'),(1793,'','default','The title of the comment.','','7.34'),(1794,'','default','Comment count','','7.34'),(1795,'','default','The title of the node.','','7.34'),(1796,'','default','The date the node was posted.','','7.34'),(1797,'','default','Poll','','none'),(1798,'','default','Views today','','none'),(1799,'','default','contact','','7.34'),(1800,'','default','Search for either of the two terms with uppercase <strong>OR</strong>. For example, <strong>cats OR dogs</strong>.','','none'),(1801,'','default','PHP filter','','none'),(1802,'','default','Language settings','','7.34'),(1803,'','default','Attempting to re-run cron while it is already running.','','none'),(1804,'','default','Cron run completed.','','none'),(1805,'','default','HTTP request status','','none'),(1806,'','default','Fails','','none'),(1807,'','default','Visitors','','none'),(1808,'','default','The maximum length of the field in characters.','','none'),(1809,'','default','Machine-readable name','','7.34'),(1810,'','default','Already added languages','','none'),(1811,'','default','Recent blog posts','','7.34'),(1812,'','default','Who\'s new','','7.34'),(1813,'','default','Language name','','none'),(1814,'','default','Edit language','','none'),(1815,'','default','list links','','none'),(1816,'','default','Edit category','','none'),(1817,'','default','The content type %name has been updated.','','none'),(1818,'','default','The content type %name has been added.','','none'),(1819,'','default','Catalan','','none'),(1820,'','default','Contact form','','7.34'),(1821,'','default','Blue Lagoon (default)','','none'),(1822,'','default','The requested page could not be found.','','none'),(1823,'','default','The user account %id does not exist.','','none'),(1824,'','default','Attempted to cancel non-existing user account: %id.','','none'),(1825,'','default','Requirements problem','','none'),(1826,'','default','Database configuration','','none'),(1827,'','default','The type of database your @drupal data will be stored in.','','none'),(1828,'','default','The name of the database your @drupal data will be stored in. It must exist on your server before @drupal can be installed.','','none'),(1829,'','default','If more than one application will be sharing this database, enter a table prefix such as %prefix for your @drupal site here.','','none'),(1830,'','default','Select an installation profile','','none'),(1831,'','default','Choose language','','none'),(1832,'','default','Learn how to install Drupal in other languages','','none'),(1833,'','default','(built-in)','','none'),(1834,'','default','No profiles available','','none'),(1835,'','default','Drupal already installed','','none'),(1836,'','default','<ul><li>To start over, you must empty your existing database.</li><li>To install to a different database, edit the appropriate <em>settings.php</em> file in the <em>sites</em> folder.</li><li>To upgrade an existing installation, proceed to the <a href=\"@base-url/update.php\">update script</a>.</li><li>View your <a href=\"@base-url\">existing site</a>.</li></ul>','','none'),(1837,'','default','Installing @drupal','','none'),(1838,'','default','The installation has encountered an error.','','none'),(1839,'','default','Configure site','','none'),(1840,'','default','@drupal installation complete','','none'),(1841,'','default','Installed %module module.','','none'),(1842,'','default','Choose profile','','none'),(1843,'','default','Verify requirements','','none'),(1844,'','default','Set up database','','none'),(1845,'','default','Set up translations','','none'),(1846,'','default','Install site','','none'),(1847,'','default','Finish translations','','none'),(1848,'','default','Site e-mail address','','none'),(1849,'','default','The <em>From</em> address in automated e-mails sent during registration and new password requests, and other notifications. (Use an address ending in your site\'s domain to help prevent this e-mail being flagged as spam.)','','none'),(1850,'','default','By default, dates in this site will be displayed in the chosen time zone.','','none'),(1851,'','default','Update notifications','','none'),(1852,'','default','Check for updates automatically','','none'),(1853,'','default','Removed orphaned action \'%action\' from database.','','none'),(1854,'','default','Cron run exceeded the time limit and was aborted.','','none'),(1855,'','default','1 byte','','none'),(1856,'','default','@count bytes','','none'),(1857,'','default','@count[2] bytes','','none'),(1858,'','default','@count[3] bytes','','none'),(1859,'','default','@count[4] bytes','','none'),(1860,'','default','@count[5] bytes','','none'),(1861,'','default','!name cannot be longer than %max characters but is currently %length characters long.','','none'),(1862,'','default','Illegal choice %choice in %name element.','','none'),(1863,'','default','GD2 image manipulation toolkit','','none'),(1864,'','default','The GD toolkit is installed and working properly.','','none'),(1865,'','default','Define the image quality for JPEG manipulations. Ranges from 0 to 100. Higher values mean better image quality but bigger files.','','none'),(1866,'','default','The GD image toolkit requires that the GD module for PHP be installed and configured properly. For more information see <a href=\"@url\">PHP\'s image documentation</a>.','','none'),(1867,'','default','JPEG quality must be a number between 0 and 100.','','none'),(1868,'','default','Right to left','','none'),(1869,'','default','Left to right','','none'),(1870,'','default','Predefined language','','none'),(1871,'','default','Custom language','','none'),(1872,'','default','Add custom language','','none'),(1873,'','default','Save language','','none'),(1874,'','default','<a href=\"@rfc4646\">RFC 4646</a> compliant language identifier. Language codes typically use a country code, and optionally, a script or regional variant name. <em>Examples: \"en\", \"en-US\" and \"zh-Hant\".</em>','','none'),(1875,'','default','Language name in English','','none'),(1876,'','default','Name of the language in English. Will be available for translation in all languages.','','none'),(1877,'','default','Native language name','','none'),(1878,'','default','Name of the language in the language being added.','','none'),(1879,'','default','Language domain','','none'),(1880,'','default','Direction that text in this language is presented.','','none'),(1881,'','default','The language %language (%code) already exists.','','none'),(1882,'','default','Invalid language code.','','none'),(1883,'','default','The language %language has been created and can now be used. More information is available on the <a href=\"@locale-help\">help screen</a>.','','none'),(1884,'','default','Domain and path prefix values should not be set at the same time.','','none'),(1885,'','default','The domain (%domain) is already tied to a language (%language).','','none'),(1886,'','default','Only the default language can have both the domain and prefix empty.','','none'),(1887,'','default','The prefix (%prefix) is already tied to a language (%language).','','none'),(1888,'','default','The English language cannot be deleted.','','none'),(1889,'','default','The default language cannot be deleted.','','none'),(1890,'','default','Deleting a language will remove all interface translations associated with it, and posts in this language will be set to be language neutral. This action cannot be undone.','','none'),(1891,'','default','Language negotiation configuration saved.','','none'),(1892,'','default','English (built-in)','','none'),(1893,'','default','String contains','','none'),(1894,'','default','Leave blank to show all strings. The search is case sensitive.','','none'),(1895,'','default','English (provided by Drupal)','','none'),(1896,'','default','Search in','','none'),(1897,'','default','Both translated and untranslated strings','','none'),(1898,'','default','Only translated strings','','none'),(1899,'','default','Only untranslated strings','','none'),(1900,'','default','Limit search to','','none'),(1901,'','default','All text groups','','none'),(1902,'','default','Languages not yet added','','none'),(1903,'','default','Import translation','','none'),(1904,'','default','A Gettext Portable Object (<em>.po</em>) file.','','none'),(1905,'','default','Import into','','none'),(1906,'','default','Choose the language you want to add strings into. If you choose a language which is not yet set up, it will be added.','','none'),(1907,'','default','Text group','','none'),(1908,'','default','Imported translations will be added to this text group.','','none'),(1909,'','default','The language %language has been created.','','none'),(1910,'','default','Export translation','','none'),(1911,'','default','Select the language to export in Gettext Portable Object (<em>.po</em>) format.','','none'),(1912,'','default','Generate a Gettext Portable Object Template (<em>.pot</em>) file with all strings from the Drupal locale database.','','none'),(1913,'','default','String not found.','','none'),(1914,'','default','The submitted string contains disallowed HTML: %string','','none'),(1915,'','default','The string has been saved.','','none'),(1916,'','default','The string has been removed.','','none'),(1917,'','default','The language selected for import is not supported.','','none'),(1918,'','default','The translation file %filename appears to have a missing or malformed header.','','none'),(1919,'','default','The translation was successfully imported. There are %number newly created translated strings, %update strings were updated and %delete strings were removed.','','none'),(1920,'','default','Importing interface translations','','none'),(1921,'','default','Starting import','','none'),(1922,'','default','Error importing interface translations','','none'),(1923,'','default','Attempted submission of a translation string with disallowed HTML: %string','','none'),(1924,'','default','The %language language (%code) has been created.','','none'),(1925,'','default','Imported %file into %locale: %number new strings added, %update updated and %delete removed.','','none'),(1926,'','default','Exported %locale translation file: %filename.','','none'),(1927,'','default','Exported translation file: %filename.','','none'),(1928,'','default','Updated JavaScript translation file for the language %language.','','none'),(1929,'','default','Created JavaScript translation file for the language %language.','','none'),(1930,'','default','Removed JavaScript translation file for the language %language, because no translations currently exist for that language.','','none'),(1931,'','default','An error occurred during creation of the JavaScript translation file for the language %language.','','none'),(1932,'','default','One translation string was skipped because it contains disallowed HTML.','','none'),(1933,'','default','@count translation strings were skipped because they contain disallowed HTML.','','none'),(1934,'','default','@count[2] translation strings were skipped because they contain disallowed HTML.','','none'),(1935,'','default','@count[3] translation strings were skipped because they contain disallowed HTML.','','none'),(1936,'','default','@count[4] translation strings were skipped because they contain disallowed HTML.','','none'),(1937,'','default','@count[5] translation strings were skipped because they contain disallowed HTML.','','none'),(1938,'','default','One translation file imported for the newly installed modules.','','none'),(1939,'','default','@count translation files imported for the newly installed modules.','','none'),(1940,'','default','@count[2] translation files imported for the newly installed modules.','','none'),(1941,'','default','@count[3] translation files imported for the newly installed modules.','','none'),(1942,'','default','@count[4] translation files imported for the newly installed modules.','','none'),(1943,'','default','@count[5] translation files imported for the newly installed modules.','','none'),(1944,'','default','One translation file imported for the enabled modules.','','none'),(1945,'','default','@count translation files imported for the enabled modules.','','none'),(1946,'','default','@count[2] translation files imported for the enabled modules.','','none'),(1947,'','default','@count[3] translation files imported for the enabled modules.','','none'),(1948,'','default','@count[4] translation files imported for the enabled modules.','','none'),(1949,'','default','@count[5] translation files imported for the enabled modules.','','none'),(1950,'','default','Abkhazian','','none'),(1951,'','default','Avestan','','none'),(1952,'','default','Afrikaans','','none'),(1953,'','default','Akan','','none'),(1954,'','default','Amharic','','none'),(1955,'','default','Assamese','','none'),(1956,'','default','Avar','','none'),(1957,'','default','Aymara','','none'),(1958,'','default','Azerbaijani','','none'),(1959,'','default','Bashkir','','none'),(1960,'','default','Belarusian','','none'),(1961,'','default','Bihari','','none'),(1962,'','default','Bislama','','none'),(1963,'','default','Bambara','','none'),(1964,'','default','Bengali','','none'),(1965,'','default','Tibetan','','none'),(1966,'','default','Breton','','none'),(1967,'','default','Bosnian','','none'),(1968,'','default','Chechen','','none'),(1969,'','default','Chamorro','','none'),(1970,'','default','Corsican','','none'),(1971,'','default','Cree','','none'),(1972,'','default','Old Slavonic','','none'),(1973,'','default','Chuvash','','none'),(1974,'','default','Welsh','','none'),(1975,'','default','Maldivian','','none'),(1976,'','default','Bhutani','','none'),(1977,'','default','Ewe','','none'),(1978,'','default','Esperanto','','none'),(1979,'','default','Estonian','','none'),(1980,'','default','Basque','','none'),(1981,'','default','Persian','','none'),(1982,'','default','Fulah','','none'),(1983,'','default','Faeroese','','none'),(1984,'','default','Frisian','','none'),(1985,'','default','Irish','','none'),(1986,'','default','Scots Gaelic','','none'),(1987,'','default','Galician','','none'),(1988,'','default','Guarani','','7.34'),(1989,'','default','Gujarati','','none'),(1990,'','default','Manx','','none'),(1991,'','default','Hausa','','none'),(1992,'','default','Hiri Motu','','none'),(1993,'','default','Armenian','','none'),(1994,'','default','Herero','','none'),(1995,'','default','Interlingua','','none'),(1996,'','default','Interlingue','','none'),(1997,'','default','Igbo','','none'),(1998,'','default','Inupiak','','none'),(1999,'','default','Icelandic','','none'),(2000,'','default','Inuktitut','','none'),(2001,'','default','Javanese','','none'),(2002,'','default','Georgian','','none'),(2003,'','default','Kongo','','none'),(2004,'','default','Kikuyu','','none'),(2005,'','default','Kwanyama','','none'),(2006,'','default','Kazakh','','none'),(2007,'','default','Greenlandic','','none'),(2008,'','default','Cambodian','','none'),(2009,'','default','Kannada','','none'),(2010,'','default','Kanuri','','none'),(2011,'','default','Kashmiri','','none'),(2012,'','default','Kurdish','','none'),(2013,'','default','Cornish','','none'),(2014,'','default','Latin','','none'),(2015,'','default','Luxembourgish','','none'),(2016,'','default','Luganda','','none'),(2017,'','default','Lingala','','none'),(2018,'','default','Laothian','','none'),(2019,'','default','Latvian','','none'),(2020,'','default','Malagasy','','none'),(2021,'','default','Marshallese','','none'),(2022,'','default','Macedonian','','none'),(2023,'','default','Malayalam','','none'),(2024,'','default','Mongolian','','none'),(2025,'','default','Moldavian','','none'),(2026,'','default','Marathi','','none'),(2027,'','default','Malay','','none'),(2028,'','default','Maltese','','none'),(2029,'','default','Burmese','','none'),(2030,'','default','North Ndebele','','none'),(2031,'','default','Nepali','','none'),(2032,'','default','Ndonga','','none'),(2033,'','default','Norwegian Bokmål','','none'),(2034,'','default','Norwegian Nynorsk','','none'),(2035,'','default','South Ndebele','','none'),(2036,'','default','Chichewa','','none'),(2037,'','default','Occitan','','none'),(2038,'','default','Oromo','','none'),(2039,'','default','Oriya','','none'),(2040,'','default','Ossetian','','none'),(2041,'','default','Punjabi','','none'),(2042,'','default','Pali','','none'),(2043,'','default','Pashto','','none'),(2044,'','default','Portuguese, Portugal','','none'),(2045,'','default','Portuguese, Brazil','','none'),(2046,'','default','Quechua','','none'),(2047,'','default','Rhaeto-Romance','','none'),(2048,'','default','Kirundi','','none'),(2049,'','default','Kinyarwanda','','none'),(2050,'','default','Sanskrit','','none'),(2051,'','default','Sardinian','','none'),(2052,'','default','Sindhi','','none'),(2053,'','default','Northern Sami','','none'),(2054,'','default','Sango','','none'),(2055,'','default','Serbo-Croatian','','none'),(2056,'','default','Sinhala','','none'),(2057,'','default','Slovenian','','none'),(2058,'','default','Samoan','','none'),(2059,'','default','Shona','','none'),(2060,'','default','Albanian','','none'),(2061,'','default','Serbian','','none'),(2062,'','default','Siswati','','none'),(2063,'','default','Sesotho','','none'),(2064,'','default','Sudanese','','none'),(2065,'','default','Swahili','','none'),(2066,'','default','Tamil','','none'),(2067,'','default','Telugu','','none'),(2068,'','default','Tajik','','none'),(2069,'','default','Thai','','none'),(2070,'','default','Tigrinya','','none'),(2071,'','default','Turkmen','','none'),(2072,'','default','Tagalog','','none'),(2073,'','default','Setswana','','none'),(2074,'','default','Tsonga','','none'),(2075,'','default','Tatar','','none'),(2076,'','default','Twi','','none'),(2077,'','default','Tahitian','','none'),(2078,'','default','Ukrainian','','none'),(2079,'','default','Urdu','','none'),(2080,'','default','Uzbek','','none'),(2081,'','default','Venda','','none'),(2082,'','default','Vietnamese','','none'),(2083,'','default','Wolof','','none'),(2084,'','default','Xhosa','','none'),(2085,'','default','Yiddish','','none'),(2086,'','default','Yoruba','','none'),(2087,'','default','Zhuang','','none'),(2088,'','default','Chinese, Simplified','','none'),(2089,'','default','Chinese, Traditional','','none'),(2090,'','default','Zulu','','none'),(2091,'','default','Error sending e-mail (from %from to %to).','','none'),(2092,'','default','sort ascending','','none'),(2093,'','default','sort descending','','none'),(2094,'','default','Operations on Unicode strings are emulated on a best-effort basis. Install the <a href=\"@url\">PHP mbstring extension</a> for improved Unicode support.','','none'),(2095,'','default','Multibyte string function overloading in PHP is active and must be disabled. Check the php.ini <em>mbstring.func_overload</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(2096,'','default','Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.encoding_translation</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(2097,'','default','Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_input</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(2098,'','default','Multibyte string output conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_output</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(2099,'','default','Standard PHP','','none'),(2100,'','default','PHP Mbstring Extension','','none'),(2101,'','default','Unicode library','','none'),(2102,'','default','Could not convert XML encoding %s to UTF-8.','','none'),(2103,'','default','Unsupported encoding %s. Please install iconv, GNU recode or mbstring for PHP.','','none'),(2104,'','default','Parse error. Not well formed','','none'),(2105,'','default','Parse error. Request not well formed.','','none'),(2106,'','default','Server error. Invalid XML-RPC. Request must be a methodCall.','','none'),(2107,'','default','Server error. Requested method @methodname not specified.','','none'),(2108,'','default','Server error. Wrong number of method parameters.','','none'),(2109,'','default','Server error. Invalid method parameters.','','none'),(2110,'','default','Server error. Requested function @method does not exist.','','none'),(2111,'','default','Invalid syntax for system.multicall.','','none'),(2112,'','default','Recursive calls to system.multicall are forbidden.','','none'),(2113,'','default','Server error. Requested method @methodname signature not specified.','','none'),(2114,'','default','The name of the feed (or the name of the website providing the feed).','','none'),(2115,'','default','Categorize news items','','none'),(2116,'','default','Are you sure you want to remove all items from the feed %feed?','','none'),(2117,'','default','checkboxes','','none'),(2118,'','default','multiple selector','','none'),(2119,'','default','Thousands of sites (particularly news sites and blogs) publish their latest headlines and posts in feeds, using a number of standardized XML-based formats. Formats supported by the aggregator include <a href=\"@rss\">RSS</a>, <a href=\"@rdf\">RDF</a>, and <a href=\"@atom\">Atom</a>.','','none'),(2120,'','default','Current feeds are listed below, and <a href=\"@addfeed\">new feeds may be added</a>. For each feed or feed category, the <em>latest items</em> block may be enabled at the <a href=\"@block\">blocks administration page</a>.','','none'),(2121,'','default','Add a feed in RSS, RDF or Atom format. A feed may only have one entry.','','none'),(2122,'','default','Categories allow feed items from different feeds to be grouped together. For example, several sport-related feeds may belong to a category named <em>Sports</em>. Feed items may be grouped automatically (by selecting a category when creating or editing a feed) or manually (via the <em>Categorize</em> page available from feed item listings). Each category provides its own feed page and block.','','none'),(2123,'','default','Configure which content your site aggregates from other sites, how often it polls them, and how they\'re categorized.','','none'),(2124,'','default','Update items','','none'),(2125,'','default','Edit feed','','none'),(2126,'','default','No blocks in this region','','none'),(2127,'','default','The block %info was assigned to the invalid region %region and has been disabled.','','none'),(2128,'; modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(2129,'','default','Post new blog entry.','','none'),(2130,'','default','You are not allowed to post a new blog entry.','','none'),(2131,'','default','You have not created any blog entries.','','none'),(2132,'','default','!author has not created any blog entries.','','none'),(2133,'','default','No blog entries have been created.','','none'),(2134,'','default','Blog entry','','7.34'),(2135,'','default','View recent blog entries','','7.34'),(2136,'','default','Read !username\'s latest blog entries.','','7.34'),(2137,'','default','!username\'s blog','','7.34'),(2138,'','default','Read the latest blog entries.','','none'),(2139,'','default','The content type for the %add-child link must be one of those selected as an allowed book outline type.','','none'),(2140,'','default','Save book pages','','none'),(2141,'','default','This book has been modified by another user, the changes could not be saved.','','none'),(2142,'','default','Title changed from %original to %current.','','none'),(2143,'','default','Updated book %title.','','none'),(2144,'','default','book: updated %title.','','none'),(2145,'','default','Update book outline','','none'),(2146,'','default','Remove from book outline','','none'),(2147,'','default','No changes were made','','none'),(2148,'','default','The post has been added to the selected book. You may now position it relative to other pages.','','none'),(2149,'','default','The book outline has been updated.','','none'),(2150,'','default','There was an error adding the post to the book.','','none'),(2151,'','default','%title has associated child pages, which will be relocated automatically to maintain their connection to the book. To recreate the hierarchy (as it was before removing this page), %title may be added again using the Outline tab, and each of its former child pages will need to be relocated manually.','','none'),(2152,'','default','%title may be added to hierarchy again using the Outline tab.','','none'),(2153,'','default','Are you sure you want to remove %title from the book hierarchy?','','none'),(2154,'','default','The post has been removed from the book.','','none'),(2155,'','default','Show a printer-friendly version of this book page and its sub-pages.','','none'),(2156,'','default','Show block on all pages','','none'),(2157,'','default','Show block only on book pages','','none'),(2158,'','default','If <em>Show block on all pages</em> is selected, the block will contain the automatically generated menus for all of the site\'s books. If <em>Show block only on book pages</em> is selected, the block will contain only the one menu corresponding to the current page\'s book. In this case, if the current page is not in a book, no block will be displayed. The <em>Page specific visibility settings</em> or other visibility settings can be used in addition to selectively display this block.','','none'),(2159,'','default','This is the top-level page in this book.','','none'),(2160,'','default','No book selected.','','none'),(2161,'','default','The parent page in the book. The maximum depth for a book and all child pages is !maxdepth. Some pages in the selected book may not be available as parents if selecting them would exceed this limit.','','none'),(2162,'','default','%title is part of a book outline, and has associated child pages. If you proceed with deletion, the child pages will be relocated automatically.','','none'),(2163,'','default','Re-order book pages and change titles','','none'),(2164,'','default','Book page','','none'),(2165,'','default','Base color','','none'),(2166,'','default','Header top','','none'),(2167,'','default','Header bottom','','none'),(2168,'','default','There is not enough memory available to PHP to change this theme\'s color scheme. You need at least %size more. Check the <a href=\"@url\">PHP documentation</a> for more information.','','none'),(2169,'','default','Delete the selected comments','','none'),(2170,'','default','Allows users to comment on and discuss published content.','','none'),(2171,'','default','Example: \'website feedback\' or \'product information\'.','','none'),(2172,'','default','When listing categories, those with lighter (smaller) weights get listed before categories with heavier (larger) weights. Categories with equal weights are sorted alphabetically.','','none'),(2173,'','default','The contact form has not been configured. <a href=\"@add\">Add one or more categories</a> to the form.','','none'),(2174,'','default','Personal contact form','','none'),(2175,'','default','Create a system contact form and set up categories for the form to use.','','7.34'),(2176,'','default','Edit contact category','','none'),(2177,'','default','Enables the use of both personal and site-wide contact forms.','','none'),(2178,'','default','Database logging','','none'),(2179,'','default','View events that have recently been logged.','','7.34'),(2180,'','default','Top \'page not found\' errors','','7.34'),(2181,'','default','View \'page not found\' errors (404s).','','7.34'),(2182,'','default','Top \'access denied\' errors','','7.34'),(2183,'','default','View \'access denied\' errors (403s).','','7.34'),(2184,'','default','Logs and records system events to the database.','','none'),(2185,'','default','No roles may use this format','','none'),(2186,'','default','Allowed HTML tags: @tags','','7.34'),(2187,'','default','Anchors are used to make links to other pages.','','none'),(2188,'','default','By default line break tags are automatically added, so use this tag to add additional ones. Use of this tag is different because it is not used with an open/close pair like all the others. Use the extra \" /\" inside the tag to maintain XHTML 1.0 compatibility','','none'),(2189,'','default','Text with <br />line break','','none'),(2190,'','default','By default paragraph tags are automatically added, so use this tag to add additional ones.','','none'),(2191,'','default','Paragraph one.','','none'),(2192,'','default','Paragraph two.','','none'),(2193,'','default','Strong','','none'),(2194,'','default','Emphasized','','none'),(2195,'','default','Cited','','none'),(2196,'','default','Coded text used to show programming source code','','none'),(2197,'','default','Coded','','none'),(2198,'','default','Bolded','','none'),(2199,'','default','Italicized','','none'),(2200,'','default','Superscripted','','none'),(2201,'','default','<sup>Super</sup>scripted','','none'),(2202,'','default','Subscripted','','none'),(2203,'','default','<sub>Sub</sub>scripted','','none'),(2204,'','default','<abbr title=\"Abbreviation\">Abbrev.</abbr>','','none'),(2205,'','default','<acronym title=\"Three-Letter Acronym\">TLA</acronym>','','none'),(2206,'','default','Block quoted','','none'),(2207,'','default','Quoted inline','','none'),(2208,'','default','Table header','','none'),(2209,'','default','Table cell','','none'),(2210,'','default','Ordered list - use the &lt;li&gt; to begin each list item','','none'),(2211,'','default','First item','','none'),(2212,'','default','Second item','','none'),(2213,'','default','Unordered list - use the &lt;li&gt; to begin each list item','','none'),(2214,'','default','Definition lists are similar to other HTML lists. &lt;dl&gt; begins the definition list, &lt;dt&gt; begins the definition term and &lt;dd&gt; begins the definition description.','','none'),(2215,'','default','First term','','none'),(2216,'','default','First definition','','none'),(2217,'','default','Second term','','none'),(2218,'','default','Second definition','','none'),(2219,'','default','Subtitle three','','none'),(2220,'','default','Subtitle four','','none'),(2221,'','default','Subtitle five','','none'),(2222,'','default','Subtitle six','','none'),(2223,'','default','Tag Description','','none'),(2224,'','default','You Type','','none'),(2225,'','default','You Get','','none'),(2226,'','default','No help provided for tag %tag.','','none'),(2227,'','default','Ampersand','','none'),(2228,'','default','Quotation mark','','none'),(2229,'','default','Character Description','','none'),(2230,'','default','Lines and paragraphs break automatically.','','7.34'),(2231,'','default','Lines and paragraphs are automatically recognized. The &lt;br /&gt; line break, &lt;p&gt; paragraph and &lt;/p&gt; close paragraph tags are inserted automatically. If paragraphs are not recognized simply add a couple blank lines.','','none'),(2232,'','default','Web page addresses and e-mail addresses turn into links automatically.','','7.34'),(2233,'','default','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','7.34'),(2234,'','default','Compose tips','','7.34'),(2235,'','default','Short but meaningful name for this collection of threaded discussions.','','none'),(2236,'','default','Description and guidelines for discussions within this forum.','','none'),(2237,'','default','Forums are displayed in ascending order by weight (forums with equal weights are displayed alphabetically).','','none'),(2238,'','default','Short but meaningful name for this collection of related forums.','','none'),(2239,'','default','Description and guidelines for forums within this container.','','none'),(2240,'','default','Containers are displayed in ascending order by weight (containers with equal weights are displayed alphabetically).','','none'),(2241,'','default','Deleting a forum or container will also delete its sub-forums, if any. To delete posts in this forum, visit <a href=\"@content\">content administration</a> first. This action cannot be undone.','','none'),(2242,'','default','Default number of forum topics displayed per page.','','none'),(2243,'','default','Default display order for topics.','','none'),(2244,'','default','Containers are usually placed at the top (root) level, but may also be placed inside another container or forum.','','none'),(2245,'','default','Forums may be placed at the top (root) level, or inside another container or forum.','','none'),(2246,'','default','For more information, see the online handbook entry for <a href=\"@forum\">Forum module</a>.','','none'),(2247,'','default','Forum topic','','none'),(2248,'','default','You are not allowed to post new content in the forum.','','none'),(2249,'','default','Manages the display of online help.','','none'),(2250,'','default','This page provides an overview of available translatable strings. Drupal displays translatable strings in text groups; modules may define additional text groups containing other translatable strings. Because text groups provide a method of grouping related strings, they are often used to focus translation efforts on specific areas of the Drupal interface.','','none'),(2251,'','default','Note that the <em>.po</em> files within a translation package are imported automatically (if available) when new modules or themes are enabled, or as new languages are added. Since this page only allows the import of one <em>.po</em> file at a time, it may be simpler to download and extract a translation package into your Drupal installation directory and <a href=\"@language-add\">add the language</a> (which automatically imports all <em>.po</em> files within the package). Translation packages are available for download on the <a href=\"@translations\">Drupal translation page</a>.','','none'),(2252,'','default','This page exports the translated strings used by your site. An export file may be in Gettext Portable Object (<em>.po</em>) form, which includes both the original string and the translation (used to share translations with others), or in Gettext Portable Object Template (<em>.pot</em>) form, which includes the original strings only (used to create new translations with a Gettext translation editor).','','none'),(2253,'','default','Built-in interface','','none'),(2254,'','default','This account\'s default language for e-mails, and preferred language for site presentation.','','7.34'),(2255,'','default','This account\'s default language for e-mails.','','none'),(2256,'','default','A path alias set for a specific language will always be used when displaying this page in that language, and takes precedence over path aliases set for <em>All languages</em>.','','none'),(2257,'','default','Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href=\"!languages\">enabled languages</a>. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.','','none'),(2258,'','default','Configure languages for content and the user interface.','','7.34'),(2259,'','default','Translate the built in interface and optionally other text.','','7.34'),(2260,'','default','Adds language handling functionality and enables the translation of the user interface to languages other than English.','','none'),(2261,'','default','Submission form settings','','none'),(2262,'','default','This content type does not have a title field.','','none'),(2263,'','default','The machine-readable name must contain only lowercase letters, numbers, and underscores.','','none'),(2264,'','default','The human-readable name %name is already taken.','','none'),(2265,'','default','Are you sure you want to delete the content type %type?','','none'),(2266,'','default','Added content type %name.','','none'),(2267,'','default','Changed the content type of 1 post from %old-type to %type.','','none'),(2268,'','default','Changed the content type of @count posts from %old-type to %type.','','none'),(2269,'','default','Changed the content type of @count[2] posts from %old-type to %type.','','none'),(2270,'','default','Changed the content type of @count[3] posts from %old-type to %type.','','none'),(2271,'','default','Changed the content type of @count[4] posts from %old-type to %type.','','none'),(2272,'','default','Changed the content type of @count[5] posts from %old-type to %type.','','none'),(2273,'','default','Are you sure you want to rebuild the permissions on site content?','','none'),(2274,'','default','This action rebuilds all permissions on site content, and may be a lengthy process. This action cannot be undone.','','none'),(2275,'','default','language','','none'),(2276,'','default','An error occurred and processing did not complete.','','none'),(2277,'','default','The trimmed version of your post shows what your post looks like when promoted to the main page or when exported for syndication.<span class=\"no-js\"> You can insert the delimiter \"&lt;!--break--&gt;\" (without the quotes) to fine-tune where your post gets split.</span>','','none'),(2278,'','default','Copy of the revision from %date.','','none'),(2279,'','default','@type %title has been reverted back to the revision from %revision-date.','','none'),(2280,'','default','Revision from %revision-date of @type %title has been deleted.','','none'),(2281,'','default','@type: reverted %title revision %revision.','','none'),(2282,'','default','The content access permissions need to be rebuilt.','','none'),(2283,'','default','<strong>Configure your website</strong> Once logged in, visit the <a href=\"@admin\">administration section</a>, where you can <a href=\"@config\">customize and configure</a> all aspects of your website.','','none'),(2284,'','default','<strong>Enable additional functionality</strong> Next, visit the <a href=\"@modules\">module list</a> and enable features which suit your specific needs. You can find additional modules in the <a href=\"@download_modules\">Drupal modules download section</a>.','','none'),(2285,'','default','<strong>Customize your website design</strong> To change the \"look and feel\" of your website, visit the <a href=\"@themes\">themes section</a>. You may choose from one of the included themes or download additional themes from the <a href=\"@download_themes\">Drupal themes download section</a>.','','none'),(2286,'','default','Rebuilding content access permissions','','none'),(2287,'','default','Content permissions have been rebuilt.','','none'),(2288,'','default','The content access permissions have not been properly rebuilt.','','none'),(2289,'','default','Add content type','','7.34'),(2290,'','default','Revert to earlier revision','','none'),(2291,'','default','Delete earlier revision','','none'),(2292,'','default','Allows content to be submitted to the site and displayed on pages.','','none'),(2293,'','default','To use OpenID you must first establish an identity on a public or private OpenID server. If you do not have an OpenID and would like one, look into one of the <a href=\"@openid-providers\">free public providers</a>. You can find out more about OpenID at <a href=\"@openid-net\">this website</a>.','','none'),(2294,'','default','OpenID identities','','none'),(2295,'','default','Allows users to log into your site using OpenID.','','none'),(2296,'','default','The alias %alias is already in use in this language.','','none'),(2297,'','default','The alias has been saved.','','none'),(2298,'','default','Are you sure you want to delete path alias %title?','','none'),(2299,'','default','Filter aliases','','none'),(2300,'','default','Enter the path you wish to create the alias for, followed by the name of the new alias.','','none'),(2301,'','default','URL aliases','','7.34'),(2302,'','default','Change your site\'s URL paths by aliasing them.','','7.34'),(2303,'','default','Edit alias','','none'),(2304,'','default','Delete alias','','none'),(2305,'','default','Add alias','','7.34'),(2306,'','default','Allows users to rename URLs.','','none'),(2307,'','default','<a href=\"@drupal\">Drupal.org</a> offers <a href=\"@php-snippets\">some example PHP snippets</a>, or you can create your own with some PHP experience and knowledge of the Drupal system.','','none'),(2308,'','default','You may post PHP code. You should include &lt;?php ?&gt; tags.','','none'),(2309,'','default','Using custom PHP code','','none'),(2310,'','default','Custom PHP code may be embedded in some types of site content, including posts and blocks. While embedding PHP code inside a post or block is a powerful and flexible feature when used by a trusted user with PHP experience, it is a significant and dangerous security risk when used improperly. Even a small mistake when posting PHP code may accidentally compromise your site.','','none'),(2311,'','default','If you are unfamiliar with PHP, SQL, or Drupal, avoid using custom PHP code within posts. Experimenting with PHP may corrupt your database, render your site inoperable, or significantly compromise security.','','none'),(2312,'','default','Notes:','','none'),(2313,'','default','Remember to double-check each line for syntax and logic errors <strong>before</strong> saving.','','none'),(2314,'','default','Statements must be correctly terminated with semicolons.','','none'),(2315,'','default','Global variables used within your PHP code retain their values after your script executes.','','none'),(2316,'','default','<code>register_globals</code> is <strong>turned off</strong>. If you need to use forms, understand and use the functions in <a href=\"@formapi\">the Drupal Form API</a>.','','none'),(2317,'','default','Use a <code>print</code> or <code>return</code> statement in your code to output content.','','none'),(2318,'','default','Develop and test your PHP code using a separate test script and sample database before deploying on a production site.','','none'),(2319,'','default','Consider including your custom PHP code within a site-specific module or <code>template.php</code> file rather than embedding it directly into a post or block.','','none'),(2320,'','default','Be aware that the ability to embed PHP code within content is provided by the PHP Filter module. If this module is disabled or deleted, then blocks and posts with embedded PHP may display, rather than execute, the PHP code.','','none'),(2321,'','default','A basic example: <em>Creating a \"Welcome\" block that greets visitors with a simple message.</em>','','none'),(2322,'','default','PHP evaluator','','7.34'),(2323,'','default','Executes a piece of PHP code. The usage of this filter should be restricted to administrators only!','','7.34'),(2324,'','default','Allows embedded PHP code/snippets to be evaluated.','','none'),(2325,'','default','Total votes: @votes','','none'),(2326,'','default','Most recent poll','','none'),(2327,'','default','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','','none'),(2328,'','default','Poll status','','none'),(2329,'','default','When a poll is closed, visitors can no longer vote for it.','','none'),(2330,'','default','After this period, the poll will be closed automatically.','','none'),(2331,'','default','Negative values are not allowed.','','none'),(2332,'','default','Your vote could not be recorded because you did not select any of the choices.','','none'),(2333,'','default','Vote count','','none'),(2334,'','default','Polls','','none'),(2335,'','default','Profile fields have been updated.','','none'),(2336,'','default','No fields in this category. If this category remains empty when saved, it will be removed.','','none'),(2337,'','default','The name of the field. The form name is not shown to the user but used internally in the HTML code and URLs.\nUnless you know what you are doing, it is highly recommended that you prefix the form name with <code>profile_</code> to avoid name clashes with other fields. Spaces or any other special characters except dash (-) and underscore (_) are not allowed. An example name is \"profile_favorite_color\" or perhaps just \"profile_color\".','','none'),(2338,'','default','A list of all options. Put each option on a separate line. Example options are \"red\", \"blue\", \"green\", etc.','','none'),(2339,'','default','Hidden profile field, only accessible by administrators, modules and themes.','','none'),(2340,'','default','Private field, content only available to privileged users.','','none'),(2341,'','default','Public field, content shown on profile page but not used on member list pages.','','none'),(2342,'','default','Public field, content shown on profile page and on member list pages.','','none'),(2343,'','default','The weights define the order in which the form fields are shown. Lighter fields \"float up\" towards the top of the category.','','none'),(2344,'','default','Form will auto-complete while user is typing.','','none'),(2345,'','default','For security, auto-complete will be disabled if the user does not have access to user profiles.','','none'),(2346,'','default','The specified form name contains one or more illegal characters. Spaces or any other special characters except dash (-) and underscore (_) are not allowed.','','none'),(2347,'','default','The specified form name is reserved for use by Drupal.','','none'),(2348,'','default','The specified category name is reserved for use by Drupal.','','none'),(2349,'','default','The specified title is already in use.','','none'),(2350,'','default','The specified name is already in use.','','none'),(2351,'','default','A hidden field cannot be required.','','none'),(2352,'','default','A hidden field cannot be set to visible on the user registration form.','','none'),(2353,'','default','The field has been created.','','none'),(2354,'','default','Are you sure you want to delete the field %field?','','none'),(2355,'','default','This action cannot be undone. If users have entered values into this field in their profile, these entries will also be deleted. If you want to keep the user-entered data, instead of deleting the field you may wish to <a href=\"@edit-field\">edit this field</a> and change it to a hidden profile field so that it may only be accessed by administrators.','','none'),(2356,'','default','The field %field has been deleted.','','none'),(2357,'','default','Profile field %field added under category %category.','','none'),(2358,'','default','Profile field %field deleted.','','none'),(2359,'','default','User list','','none'),(2360,'','default','single-line textfield','','none'),(2361,'','default','multi-line textfield','','none'),(2362,'','default','checkbox','','none'),(2363,'','default','list selection','','none'),(2364,'','default','freeform list','','none'),(2365,'','default','Author information','','none'),(2366,'','default','Link to full user profile','','none'),(2367,'','default','Profile fields to display','','none'),(2368,'','default','Select which profile fields you wish to display in the block. Only fields designated as public in the <a href=\"@profile-admin\">profile field configuration</a> are available.','','none'),(2369,'','default','View full user profile','','none'),(2370,'','default','About %name','','none'),(2371,'','default','Put each item on a separate line or separate them by commas. No HTML allowed.','','none'),(2372,'','default','The value provided for %field is not a valid URL.','','none'),(2373,'','default','Create customizable fields for your users.','','none'),(2374,'','default','Profile category autocomplete','','none'),(2375,'','default','Edit field','','none'),(2376,'','default','Delete field','','none'),(2377,'','default','Profile autocomplete','','none'),(2378,'','default','Supports configurable user profiles.','','none'),(2379,'','default','The index will be rebuilt.','','none'),(2380,'','default','Indexing status','','none'),(2381,'','default','Indexing throttle','','none'),(2382,'','default','Number of items to index per cron run','','none'),(2383,'','default','The maximum number of items indexed in each pass of a <a href=\"@cron\">cron maintenance task</a>. If necessary, reduce the number of items to prevent timeouts and memory errors while indexing.','','none'),(2384,'','default','Indexing settings','','none'),(2385,'','default','<p><em>Changing the settings below will cause the site index to be rebuilt. The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won\'t be indexed until all existing content has been re-indexed.</em></p><p><em>The default settings should be appropriate for the majority of sites.</em></p>','','none'),(2386,'','default','Minimum word length to index','','none'),(2387,'','default','The number of characters a word has to be to be indexed. A lower setting means better search result ranking, but also a larger database. Each search query must contain at least one keyword that is this size (or longer).','','none'),(2388,'','default','Simple CJK handling','','none'),(2389,'','default','Whether to apply a simple Chinese/Japanese/Korean tokenizer based on overlapping sequences. Turn this off if you want to use an external preprocessor for this instead. Does not affect other languages.','','none'),(2390,'','default','The search engine maintains an index of words found in your site\'s content. To build and maintain this index, a correctly configured <a href=\"@cron\">cron maintenance task</a> is required. Indexing behavior can be adjusted using the settings below.','','none'),(2391,'','default','Search form','','7.34'),(2392,'','default','Top search phrases','','7.34'),(2393,'','default','View most popular search phrases.','','7.34'),(2394,'','default','Enables site-wide keyword searching.','','none'),(2395,'','default','Total page generation time','','none'),(2396,'','default','%time ms','','none'),(2397,'','default','Top pages in the past %interval','','none'),(2398,'','default','Top visitors in the past %interval','','none'),(2399,'','default','Top referrers in the past %interval','','none'),(2400,'','default','Log each page access. Required for referrer statistics.','','none'),(2401,'','default','Older access log entries (including referrer statistics) will be automatically discarded. (Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.)','','none'),(2402,'','default','Content viewing counter settings','','none'),(2403,'','default','Count content views','','none'),(2404,'','default','Increment a counter each time content is viewed.','','none'),(2405,'','default','Settings for the statistical information that Drupal will keep about the site. See <a href=\"@statistics\">site statistics</a> for the actual information.','','none'),(2406,'','default','This page displays the site\'s most recent hits.','','none'),(2407,'','default','This page displays all external referrers, or external references to your website.','','none'),(2408,'','default','When you ban a visitor, you prevent the visitor\'s IP address from accessing your site. Unlike blocking a user, banning a visitor works even for anonymous users. This is most commonly used to block resource-intensive bots or web crawlers.','','none'),(2409,'','default','Popular content','','none'),(2410,'','default','How many content items to display in \"all time\" list.','','none'),(2411,'','default','How many content items to display in \"recently viewed\" list.','','none'),(2412,'','default','Today\'s:','','none'),(2413,'','default','All time:','','none'),(2414,'','default','Last viewed:','','none'),(2415,'','default','View pages that have recently been visited.','','none'),(2416,'','default','View pages that have been hit frequently.','','none'),(2417,'','default','Top visitors','','none'),(2418,'','default','View visitors that hit many pages.','','none'),(2419,'','default','Top referrers','','none'),(2420,'','default','View top referrers.','','none'),(2421,'','default','View access log.','','none'),(2422,'','default','Track page visits','','none'),(2423,'','default','Logs access statistics for your site.','','none'),(2424,'','default','Logs and records system events to syslog.','','none'),(2425,'','default','User pictures in posts','','none'),(2426,'','default','User pictures in comments','','none'),(2427,'','default','Shortcut icon','','none'),(2428,'','default','Logo image settings','','none'),(2429,'','default','If toggled on, the following logo will be displayed.','','none'),(2430,'','default','Use the default logo','','none'),(2431,'','default','Check here if you want the theme to use the logo supplied with it.','','none'),(2432,'','default','The path to the file you would like to use as your logo file instead of the default logo.','','none'),(2433,'','default','Upload logo image','','none'),(2434,'','default','Shortcut icon settings','','none'),(2435,'','default','Your shortcut icon, or \'favicon\', is displayed in the address bar and bookmarks of most browsers.','','none'),(2436,'','default','Use the default shortcut icon.','','none'),(2437,'','default','Check here if you want the theme to use the default shortcut icon.','','none'),(2438,'','default','The path to the image file you would like to use as your custom shortcut icon.','','none'),(2439,'','default','Upload icon image','','none'),(2440,'','default','If you don\'t have direct file access to the server, use this field to upload your shortcut icon.','','none'),(2441,'','default','@module (<span class=\"admin-missing\">missing</span>)','','none'),(2442,'','default','The following modules will be completely uninstalled from your site, and <em>all data from these modules will be lost</em>!','','none'),(2443,'','default','Confirm uninstall','','none'),(2444,'','default','Would you like to continue with uninstalling the above?','','none'),(2445,'','default','No modules selected.','','none'),(2446,'','default','The selected modules have been uninstalled.','','none'),(2447,'','default','Default 403 (access denied) page','','none'),(2448,'','default','Default 404 (not found) page','','none'),(2449,'','default','Caches cleared.','','none'),(2450,'','default','Select an image processing toolkit','','none'),(2451,'','default','Number of items in each feed','','none'),(2452,'','default','Default number of items to include in each feed.','','none'),(2453,'','default','Feed content','','none'),(2454,'','default','Titles plus teaser','','none'),(2455,'','default','Global setting for the default display of content items in each feed.','','none'),(2456,'','default','Cron ran successfully.','','none'),(2457,'','default','Cron run failed.','','none'),(2458,'','default','No modules are available to uninstall.','','none'),(2459,'','default','This theme requires PHP version @php_required and is incompatible with PHP version !php_version.','','none'),(2460,'','default','This page shows you all available administration tasks for each module.','','none'),(2461,'','default','These options control the default display settings for your entire site, across all themes. Unless they have been overridden by a specific theme, these settings will be used.','','none'),(2462,'','default','The <em>Powered by Drupal</em> block is an optional link to the home page of the Drupal project. While there is absolutely no requirement that sites feature this link, it may be used to show support for Drupal.','','none'),(2463,'','default','Here you can find a short overview of your site\'s parameters as well as any problems detected with your installation. It may be useful to copy and paste this information into support requests filed on drupal.org\'s support forums and project issue queues.','','none'),(2464,'','default','Powered by Drupal','','7.34'),(2465,'','default','Could not delete temporary file \"%path\" during garbage collection','','none'),(2466,'','default','Compact mode','','none'),(2467,'','default','Tell Drupal where to store uploaded files and how they are accessed.','','7.34'),(2468,'','default','Image toolkit','','7.34'),(2469,'','default','Choose which image toolkit to use if you have installed optional toolkits.','','7.34'),(2470,'','default','RSS publishing','','7.34'),(2471,'','default','Date and time','','7.34'),(2472,'','default','Date and time lookup','','none'),(2473,'','default','Enable or disable clean URLs for your site.','','7.34'),(2474,'','default','Clean URL check','','none'),(2475,'','default','Get a status report about your site\'s operation and any detected problems.','','7.34'),(2476,'','default','-1 (Unlimited)','','none'),(2477,'','default','Your PHP installation is too old. Drupal requires at least PHP %version.','','none'),(2478,'','default','PHP register globals','','none'),(2479,'','default','<em>register_globals</em> is enabled. Drupal requires this configuration directive to be disabled. Your site may not be secure when <em>register_globals</em> is enabled. The PHP manual has instructions for <a href=\"http://php.net/configuration.changes\">how to change configuration settings</a>.','','none'),(2480,'','default','Enabled (\'@value\')','','none'),(2481,'','default','PHP memory limit','','none'),(2482,'','default','Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the installation process.','','none'),(2483,'','default','Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the update process.','','none'),(2484,'','default','Depending on your configuration, Drupal can run with a %memory_limit PHP memory limit. However, a %memory_minimum_limit PHP memory limit or above is recommended, especially if your site uses additional custom or contributed modules.','','none'),(2485,'','default','Increase the memory limit by editing the memory_limit parameter in the file %configuration-file and then restart your web server (or contact your system administrator or hosting provider for assistance).','','none'),(2486,'','default','Contact your system administrator or hosting provider for assistance with increasing your PHP memory limit.','','none'),(2487,'','default','See the <a href=\"@url\">Drupal requirements</a> for more information.','','none'),(2488,'','default','Not protected','','none'),(2489,'','default','The file %file is not protected from modifications and poses a security risk. You must change the file\'s permissions to be non-writable.','','none'),(2490,'','default','For more information, see the online handbook entry for <a href=\"@cron-handbook\">configuring cron jobs</a>.','','none'),(2491,'','default','Cron has not run recently.','','none'),(2492,'','default','Cron maintenance tasks','','none'),(2493,'','default','You can <a href=\"@cron\">run cron manually</a>.','','none'),(2494,'','default','The directory %directory is not writable.','','none'),(2495,'','default','You may need to set the correct directory at the <a href=\"@admin-file-system\">file system settings page</a> or change the current directory\'s permissions so that it is writable.','','none'),(2496,'','default','Writable (<em>public</em> download method)','','none'),(2497,'','default','Writable (<em>private</em> download method)','','none'),(2498,'','default','Database updates','','none'),(2499,'','default','Some modules have database schema updates to install. You should run the <a href=\"@update\">database update script</a> immediately.','','none'),(2500,'','default','The update.php script is accessible to everyone without authentication check, which is a security risk. You must change the $update_free_access value in your settings.php back to FALSE.','','none'),(2501,'','default','Access to update.php','','none'),(2502,'','default','Handles general site configuration for administrators.','','none'),(2503,'','default','Reset to alphabetical','','none'),(2504,'','default','Terms are displayed in ascending order by weight.','','none'),(2505,'','default','Weight value must be numeric.','','none'),(2506,'','default','Are you sure you want to reset the vocabulary %title to alphabetical order?','','none'),(2507,'','default','Resetting a vocabulary will discard all custom ordering and sort items alphabetically.','','none'),(2508,'','default','Reset vocabulary %name to alphabetical order.','','none'),(2509,'','default','Translations of a piece of content are managed with translation sets. Each translation set has one source post and any number of translations in any of the <a href=\"!languages\">enabled languages</a>. All translations are tracked to be up to date or outdated based on whether the source post was modified significantly.','','none'),(2510,'','default','Translation settings','','none'),(2511,'','default','Flag translations as outdated','','none'),(2512,'','default','If you made a significant change, which means translations should be updated, you can flag all translations of this post as outdated. This will not change any other property of those posts, like whether they are published or not.','','none'),(2513,'','default','This translation needs to be updated','','none'),(2514,'','default','When this option is checked, this translation needs to be updated because the source post has changed. Uncheck when the translation is up to date again.','','none'),(2515,'','default','Content translation','','none'),(2516,'','default','Allows content to be translated into different languages.','','none'),(2517,'','default','Unknown release date','','none'),(2518,'','default','Last checked: @time ago','','none'),(2519,'','default','Last checked: never','','none'),(2520,'','default','Includes: %includes','','none'),(2521,'','default','Disabled modules','','none'),(2522,'','default','Disabled themes','','none'),(2523,'','default','Select how frequently you want to automatically check for new releases of your currently installed modules and themes.','','none'),(2524,'','default','E-mail notification threshold','','none'),(2525,'','default','You can choose to send e-mail only if a security update is available, or to be notified about all newer versions. If there are updates available of Drupal core or any of your installed modules and themes, your site will always print a message on the <a href=\"@status_report\">status report</a> page, and will also display an error message on administration pages if there is a security update.','','none'),(2526,'','default','Here you can find information about available updates for your installed modules and themes. Note that each module or theme is part of a \"project\", which may or may not have the same name, and might include multiple modules or themes within it.','','none'),(2527,'','default','Module and theme update status','','7.34'),(2528,'','default','There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!','','none'),(2529,'','default','There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.','','7.34'),(2530,'','default','Get a status report about available updates for your installed modules and themes.','','7.34'),(2531,'','default','Notify user when account is activated.','','none'),(2532,'','default','Notify user when account is blocked.','','none'),(2533,'','default','Picture guidelines','','none'),(2534,'','default','This text is displayed at the picture upload form in addition to the default guidelines. It\'s useful for helping or instructing your users.','','none'),(2535,'','default','The name for this role. Example: \"moderator\", \"editorial board\", \"site architect\".','','none'),(2536,'','default','The role has been renamed.','','none'),(2537,'','default','The role has been deleted.','','none'),(2538,'','default','E-mail new password','','none'),(2539,'','default','Sorry, %name is not recognized as a user name or an e-mail address.','','none'),(2540,'','default','Further instructions have been sent to your e-mail address.','','none'),(2541,'','default','%name has been deleted.','','none'),(2542,'','default','You must enter a username.','','none'),(2543,'','default','The username cannot begin with a space.','','none'),(2544,'','default','The username cannot end with a space.','','none'),(2545,'','default','The username cannot contain multiple spaces in a row.','','none'),(2546,'','default','The username contains an illegal character.','','none'),(2547,'','default','The username %name is too long: it must be %max characters or less.','','none'),(2548,'','default','You must enter an e-mail address.','','none'),(2549,'','default','Who\'s online','','7.34'),(2550,'','default','User list length','','none'),(2551,'','default','Enter the password that accompanies your username.','','7.32'),(2552,'','default','Signature settings','','none'),(2553,'','default','Delete picture','','none'),(2554,'','default','Check this box to delete your current picture.','','none'),(2555,'','default','Unblock the selected users','','none'),(2556,'','default','Block the selected users','','none'),(2557,'','default','This web page allows administrators to register new users. Users\' e-mail addresses and usernames must be unique.','','none'),(2558,'','default','Enter a simple pattern (\"*\" may be used as a wildcard match) to search for a username or e-mail address. For example, one may search for \"br\" and Drupal might return \"brian\", \"brad\", and \"brenda@example.com\".','','none'),(2559,'','default','Deleted user: %name %email.','','none'),(2560,'','default','Determine access to features by selecting permissions for roles.','','7.34'),(2561,'','default','Edit role','','none'),(2562,'','default','Manages the user registration and login system.','','none'),(2563,'','default','Garland','','none'),(2564,'','default','Run the clean URL test','','none'),(2565,'','default','The title is used as a tool tip when the user hovers the mouse over the image.','','7.34'),(2566,'','default','Progress indicator','','none'),(2567,'','default','Bar with progress meter','','none'),(2568,'','default','Throbber','','none'),(2569,'','default','The file upload failed. %upload','','none'),(2570,'','default','URL to file','','7.34'),(2571,'','default','An unrecoverable error occurred. The uploaded file likely exceeded the maximum file size (@size) that this server supports.','','none'),(2572,'','default','Starting upload...','','none'),(2573,'','default','Uploading... (@current of @total)','','none'),(2574,'','default','Your server is not capable of displaying file upload progress. File upload progress requires PHP be run with mod_php and not as FastCGI.','','none'),(2575,'','default','Your server is capable of displaying file upload progress through APC, but it is not enabled. Add <code>apc.rfc1867 = 1</code> to your php.ini configuration. Alternatively, it is recommended to use <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>, which supports more than one simultaneous upload.','','none'),(2576,'','default','Enabled (<a href=\"http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867\">APC RFC1867</a>)','','none'),(2577,'','default','Enabled (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','','none'),(2578,'','default','Upload progress','','none'),(2579,'','default','Interface','','none'),(2580,'','default','@size KB','','7.34'),(2581,'','default','@size MB','','7.34'),(2582,'','default','@size GB','','7.34'),(2583,'','default','@size TB','','7.34'),(2584,'','default','@size PB','','7.34'),(2585,'','default','@size EB','','7.34'),(2586,'','default','@size ZB','','7.34'),(2587,'','default','@size YB','','7.34'),(2588,'','default','All messages','','none'),(2589,'','default','(empty)','','none'),(2590,'','default','Text format','','7.34'),(2591,'','default','No new posts','','none'),(2592,'','default','Sticky topic','','none'),(2593,'','default','The translation file %filename contains an error: \"msgctxt\" is unexpected on line %line.','','none'),(2594,'','default','The name of the site.','','7.34'),(2595,'','default','Region settings','','none'),(2596,'','default','Format string','','none'),(2597,'','default','Are you sure you want to remove the format %format?','','none'),(2598,'','default','Removed date format %format.','','none'),(2599,'','default','Add format','','7.34'),(2600,'','default','Allow users to add additional date formats.','','7.34'),(2601,'','default','Delete date format','','none'),(2602,'','default','Allow users to delete a configured date format.','','none'),(2603,'','default','Configure date formats for each locale','','7.34'),(2604,'','default','Content type name','','none'),(2605,'','default','Slate','','none'),(2606,'','default','manage fields','','none'),(2607,'','default','@field_name (Locked)','','none'),(2608,'','default','- Select a field type -','','none'),(2609,'','default','- Select a widget -','','none'),(2610,'','default','Type of data to store.','','none'),(2611,'','default','Form element to edit the data.','','none'),(2612,'','default','- Select an existing field -','','none'),(2613,'','default','Field to share','','none'),(2614,'','default','Add new field: you need to provide a label.','','none'),(2615,'','default','Add new field: you need to provide a field name.','','none'),(2616,'','default','Add new field: you need to select a field type.','','none'),(2617,'','default','Add new field: you need to select a widget.','','none'),(2618,'','default','Add new field: invalid widget.','','none'),(2619,'','default','Add existing field: you need to provide a label.','','none'),(2620,'','default','Add existing field: you need to select a field.','','none'),(2621,'','default','Add existing field: you need to select a widget.','','none'),(2622,'','default','Add existing field: invalid widget.','','none'),(2623,'','default','@type: @field (@label)','','none'),(2624,'','default','The field %field is locked and cannot be edited.','','none'),(2625,'','default','Maximum number of values users can enter for this field.','','none'),(2626,'','default','\'Unlimited\' will provide an \'Add more\' button so the users can add as many values as they like.','','none'),(2627,'','default','%name must be an integer.','','none'),(2628,'','default','%name must be a positive integer.','','none'),(2629,'','default','%name must be a number.','','none'),(2630,'','default','Only numbers are allowed in %field.','','none'),(2631,'','default','Regional settings','','7.34'),(2632,'','default','update.php','','none'),(2633,'','default','Rotate','','7.34'),(2634,'','default','Page top','','7.34'),(2635,'','default','Page bottom','','7.34'),(2636,'','default','Hello <strong>@username</strong>','','7.34'),(2637,'','default','Show shortcuts','','none'),(2638,'','default','width @width','','none'),(2639,'','default','height @height','','none'),(2640,'','default','upscaling allowed','','none'),(2641,'','default','random between -@degrees&deg and @degrees&deg','','none'),(2642,'','default','@degrees&deg','','none'),(2643,'','default','Sidebar first','','7.34'),(2644,'','default','Database is encoded in UTF-8','','none'),(2645,'','default','Drupal could not determine the encoding of the database was set to UTF-8','','none'),(2646,'','default','PostgreSQL has initialized itself.','','none'),(2647,'','default','Structure','','7.34'),(2648,'','default','Created role of name: @name, id: @rid','','none'),(2649,'','default','User %name successfully logged in.','','none'),(2650,'','default','\"@text\" found','','none'),(2651,'','default','\"@text\" not found','','none'),(2652,'','default','Pattern \"@pattern\" found','','none'),(2653,'','default','Pattern \"@pattern\" not found','','none'),(2654,'','default','Checkbox field @id is checked.','','none'),(2655,'','default','Checkbox field @id is not checked.','','none'),(2656,'','default','Verbose message','','none'),(2657,'','default','Select the test(s) or test group(s) you would like to run, and click <em>Run tests</em>.','','none'),(2658,'','default','All (@count)','','none'),(2659,'','default','Pass (@count)','','none'),(2660,'','default','Fail (@count)','','none'),(2661,'','default','Return to list','','none'),(2662,'','default','Clear results after each complete test suite run','','none'),(2663,'','default','Provide verbose information when running tests','','none'),(2664,'','default','HTTP auth settings to be used by the SimpleTest browser during testing. Useful when the site requires basic HTTP authentication.','','none'),(2665,'','default','@pass, @fail, @exception, and @debug','','none'),(2666,'','default','The test run did not successfully finish.','','none'),(2667,'','default','Clear results is disabled and the test results table will not be cleared.','','none'),(2668,'','default','No leftover tables to remove.','','none'),(2669,'','default','1 debug message','','none'),(2670,'','default','@count debug messages','','none'),(2671,'','default','@count[2] debug messages','','none'),(2672,'','default','@count[3] debug messages','','none'),(2673,'','default','@count[4] debug messages','','none'),(2674,'','default','@count[5] debug messages','','none'),(2675,'','default','Removed 1 test result.','','none'),(2676,'','default','Removed @count test results.','','none'),(2677,'','default','Removed @count[2] test results.','','none'),(2678,'','default','Removed @count[3] test results.','','none'),(2679,'','default','Removed @count[4] test results.','','none'),(2680,'','default','Removed @count[5] test results.','','none'),(2681,'','default','Removed 1 leftover table.','','none'),(2682,'','default','Removed @count leftover tables.','','none'),(2683,'','default','Removed @count[2] leftover tables.','','none'),(2684,'','default','Removed @count[3] leftover tables.','','none'),(2685,'','default','Removed @count[4] leftover tables.','','none'),(2686,'','default','Removed @count[5] leftover tables.','','none'),(2687,'','default','Removed 1 temporary directory.','','none'),(2688,'','default','Removed @count temporary directories.','','none'),(2689,'','default','Removed @count[2] temporary directories.','','none'),(2690,'','default','Removed @count[3] temporary directories.','','none'),(2691,'','default','Removed @count[4] temporary directories.','','none'),(2692,'','default','Removed @count[5] temporary directories.','','none'),(2693,'','default','Test result','','none'),(2694,'','default','View result of tests.','','none'),(2695,'','default','hash','','none'),(2696,'','default','Comment permalink','','none'),(2697,'','default','!site_name blogs','','none'),(2698,'','default','Search block','','none'),(2699,'','default','Edit style','','none'),(2700,'','default','Delete style','','none'),(2701,'','default','Check for updates of disabled modules and themes','','none'),(2702,'','default','Fetcher','','none'),(2703,'','default','This permission is inherited from the authenticated user role.','','none'),(2704,'','default','Seven','','7.34'),(2705,'','default','openid','','none'),(2706,'','default','Submitted by !username on !datetime','','7.34'),(2707,'','default','Administer forums','','none'),(2708,'','default','Cancel account','','none'),(2709,'','default','Secondary menu','','none'),(2710,'','default','Administrator role','','none'),(2711,'; modules/node/node.js','default','No revision','','none'),(2712,'; modules/comment/comment-node-form.js','default','@number comments per page','','none'),(2713,'; modules/node/content_types.js','default','Requires a title','','none'),(2714,'','default','Private files','','none'),(2715,'; modules/block/block.js','default','Not restricted','','none'),(2716,'','default','Other blocks','','none'),(2717,'','default','The unique ID of the comment.','','7.34'),(2718,'','default','The IP address of the computer the comment was posted from.','','7.34'),(2719,'','default','The name left by the comment author.','','7.34'),(2720,'','default','The email address left by the comment author.','','7.34'),(2721,'','default','The home page URL left by the comment author.','','7.34'),(2722,'','default','The formatted content of the comment itself.','','none'),(2723,'','default','The URL of the comment.','','7.34'),(2724,'','default','Edit URL','','7.34'),(2725,'','default','The URL of the comment\'s edit page.','','7.34'),(2726,'','default','The date the comment was posted.','','7.34'),(2727,'','default','The comment\'s parent, if comment threading is active.','','7.34'),(2728,'','default','The node the comment was posted to.','','7.34'),(2729,'','default','The author of the comment, if they were logged in.','','none'),(2730,'','default','The number of comments posted on a node.','','7.34'),(2731,'','default','New comment count','','7.34'),(2732,'','default','The number of comments posted on a node since the reader last viewed it.','','7.34'),(2733,'','default','The unique ID of the node\'s latest revision.','','none'),(2734,'','default','Translation set ID','','none'),(2735,'','default','The unique ID of the original-language version of this node, if one exists.','','none'),(2736,'','default','The type of the node.','','7.34'),(2737,'','default','The human-readable name of the node type.','','none'),(2738,'','default','The language the node is written in.','','7.34'),(2739,'','default','The URL of the node.','','7.34'),(2740,'','default','The URL of the node\'s edit page.','','7.34'),(2741,'','default','Date changed','','7.34'),(2742,'','default','The date the node was most recently updated.','','7.34'),(2743,'','default','The author of the node.','','7.34'),(2744,'','default','Poll winner','','none'),(2745,'','default','The winning poll answer.','','none'),(2746,'','default','Poll winner votes','','none'),(2747,'','default','The number of votes received by the winning poll answer.','','none'),(2748,'','default','Poll winner percent','','none'),(2749,'','default','The percentage of votes received by the winning poll answer.','','none'),(2750,'','default','The number of visitors who have read the node.','','none'),(2751,'','default','The number of visitors who have read the node today.','','none'),(2752,'','default','Last view','','none'),(2753,'','default','The date on which a visitor last read the node.','','none'),(2754,'','default','The slogan of the site.','','7.34'),(2755,'','default','The administrative email address for the site.','','7.34'),(2756,'','default','The URL of the site\'s front page.','','7.34'),(2757,'','default','Login page','','7.34'),(2758,'','default','The URL of the site\'s login page.','','7.34'),(2759,'','default','The unique ID of the uploaded file.','','7.34'),(2760,'','default','The name of the file on disk.','','7.34'),(2761,'','default','The web-accessible URL for the file.','','7.34'),(2762,'','default','The date the file was most recently changed.','','7.34'),(2763,'','default','The user who originally uploaded the file.','','7.34'),(2764,'','default','The unique ID of the taxonomy term.','','7.34'),(2765,'','default','The name of the taxonomy term.','','7.34'),(2766,'','default','The optional description of the taxonomy term.','','7.34'),(2767,'','default','The number of nodes tagged with the taxonomy term.','','7.34'),(2768,'','default','The URL of the taxonomy term.','','7.34'),(2769,'','default','The vocabulary the taxonomy term belongs to.','','7.34'),(2770,'','default','The parent term of the taxonomy term, if one exists.','','none'),(2771,'','default','The unique ID of the taxonomy vocabulary.','','7.34'),(2772,'','default','The name of the taxonomy vocabulary.','','7.34'),(2773,'','default','The optional description of the taxonomy vocabulary.','','7.34'),(2774,'','default','The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','none'),(2775,'','default','Term count','','7.34'),(2776,'','default','The number of terms belonging to the taxonomy vocabulary.','','7.34'),(2777,'','default','The unique ID of the user account.','','7.34'),(2778,'','default','The login name of the user account.','','7.34'),(2779,'','default','The email address of the user account.','','7.34'),(2780,'','default','The URL of the account profile page.','','7.34'),(2781,'','default','The date the user account was created.','','7.34'),(2782,'','default','Your OpenID','','none'),(2783,'','default','This OpenID will be attached to your account after registration.','','none'),(2784,'','default','Main page content','','7.34'),(2785,'','default','You are not allowed to access this page.','','none'),(2786,'','default','Authorize file system changes','','none'),(2787,'','default','It appears you have reached this page in error.','','none'),(2788,'','default','authorize.php','','none'),(2789,'','default','Cron could not run because an invalid key was used.','','none'),(2790,'','default','Cron could not run because the site is in maintenance mode.','','none'),(2791,'','default','Default country','','none'),(2792,'','default','Check the error messages and <a href=\"!url\">proceed with the installation</a>.','','none'),(2793,'','default','In your %settings_file file you have configured @drupal to use a %driver server, however your PHP installation currently does not support this database type.','','none'),(2794,'','default','Sorry, you must select a language to continue the installation.','','none'),(2795,'','default','We were unable to find any installation profiles. Installation profiles tell us what modules to enable and what schema to install in the database. A profile is necessary to continue with the installation process.','','none'),(2796,'','default','Sorry, the profile you have chosen cannot be loaded.','','none'),(2797,'','default','All necessary changes to %dir and %file have been made, so you should remove write permissions to them now in order to avoid security risks. If you are unsure how to do so, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(2798,'','default','Congratulations, you installed @drupal!','','none'),(2799,'','default','Review the messages above before visiting <a href=\"@url\">your new site</a>.','','none'),(2800,'','default','<a href=\"@url\">Visit your new site</a>.','','none'),(2801,'','default','Settings file','','none'),(2802,'','default','The settings file does not exist.','','none'),(2803,'','default','The @drupal installer requires that you create a settings file as part of the installation process. Copy the %default_file file to %file. More details about installing Drupal are available in <a href=\"@install_txt\">INSTALL.txt</a>.','','none'),(2804,'','default','The %file file exists.','','none'),(2805,'','default','The settings file is not writable.','','none'),(2806,'','default','The @drupal installer requires write permissions to %file during the installation process. If you are unsure how to grant file permissions, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(2807,'','default','Automated e-mails, such as registration information, will be sent from this address. Use an address ending in your site\'s domain to help prevent these e-mails from being flagged as spam.','','none'),(2808,'','default','Site maintenance account','','none'),(2809,'','default','Select the default country for the site.','','none'),(2810,'','default','Receive e-mail notifications','','none'),(2811,'','default','The system will notify you when updates and important security releases are available for installed components. Anonymous information about your site is sent to <a href=\"@drupal\">Drupal.org</a>.','','none'),(2812,'','default','No pending updates.','','none'),(2813,'','default','1 pending update','','none'),(2814,'','default','@count pending updates','','none'),(2815,'','default','@count[2] pending updates','','none'),(2816,'','default','@count[3] pending updates','','none'),(2817,'','default','@count[4] pending updates','','none'),(2818,'','default','@count[5] pending updates','','none'),(2819,'','default','An error occurred while handling the request: The server received invalid input.','','none'),(2820,'','default','Invalid form POST data.','','none'),(2821,'','default','Unable to continue, no available methods of file transfer','','none'),(2822,'','default','WARNING: You are not using an encrypted connection, so your password will be sent in plain text. <a href=\"@https-link\">Learn more</a>.','','none'),(2823,'','default','To continue, provide your server connection details','','none'),(2824,'','default','Connection method','','none'),(2825,'','default','Enter connection settings','','none'),(2826,'','default','@backend connection settings','','none'),(2827,'','default','Change connection type','','none'),(2828,'','default','Error, this type of connection protocol (%backend) does not exist.','','none'),(2829,'','default','No active batch.','','none'),(2830,'','default','Site under maintenance','','none'),(2831,'','default','Archivers can only operate on local files: %file not supported','','none'),(2832,'','default','The file could not be uploaded, because the destination %destination is invalid.','','none'),(2833,'','default','The file %source could not be uploaded because a file by that name already exists in the destination %directory.','','none'),(2834,'','default','The file\'s name exceeds the 240 characters limit. Please rename the file and try again.','','none'),(2835,'','default','%path is a directory and cannot be removed using file_unmanaged_delete().','','none'),(2836,'','default','The file %path is not of a recognized type so it was not deleted.','','none'),(2837,'','default','The file permissions could not be set on %uri.','','none'),(2838,'','default','Completed @current of @total.','','none'),(2839,'','default','Failed to run all tasks against the database server. The task %task wasn\'t found.','','none'),(2840,'','default','Failed to modify %settings. Verify the file permissions.','','none'),(2841,'','default','Failed to open %settings. Verify the file permissions.','','none'),(2842,'','default','Required modules','','none'),(2843,'','default','Required modules not found.','','none'),(2844,'','default','The following modules are required but were not found. Move them into the appropriate modules subdirectory, such as <em>sites/all/modules</em>. Missing modules: !modules','','none'),(2845,'','default','system','','7.34'),(2846,'','default','%module module uninstalled.','','none'),(2847,'','default','Saint Barthélemy','','7.34'),(2848,'','default','Saint Martin (French part)','','7.34'),(2849,'','default','Use the default site language (@language_name).','','none'),(2850,'','default','The translation file %filepath contains an error: the plural formula could not be parsed.','','none'),(2851,'','default','No strings available.','','none'),(2852,'','default','@count disallowed HTML string(s) in %file','','none'),(2853,'','default','JavaScript translation file %file.js was lost.','','none'),(2854,'','default','Unable to send e-mail. Contact the site administrator if the problem persists.','','none'),(2855,'','default','Class %class does not implement interface %interface','','none'),(2856,'','default','Operating in maintenance mode. <a href=\"@url\">Go online.</a>','','none'),(2857,'','default','Operating in maintenance mode.','','none'),(2858,'','default','%module module enabled.','','none'),(2859,'','default','%module module disabled.','','none'),(2860,'','default','Status message','','7.34'),(2861,'','default','Unable to determine the type of the source directory.','','none'),(2862,'','default','Cannot determine the type of project.','','none'),(2863,'','default','Fatal error in update, cowardly refusing to wipe out the install directory.','','none'),(2864,'','default','File Transfer failed, reason: !reason','','none'),(2865,'','default','Unable to create %directory due to the following: %reason','','none'),(2866,'','default','Drupal could not be correctly setup with the existing database. Revise any errors.','','none'),(2867,'','default','No feeds available. <a href=\"@link\">Add feed</a>.','','none'),(2868,'','default','No categories available. <a href=\"@link\">Add category</a>.','','none'),(2869,'','default','The length of time between feed updates. Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.','','none'),(2870,'','default','News items in block','','none'),(2871,'','default','Drupal can make a block with the most recent news items of this feed. You can <a href=\"@block-admin\">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in this feed\'s block. If you choose \'0\' this feed\'s block will be disabled.','','none'),(2872,'','default','The URL %url is invalid. Enter a fully-qualified URL, such as http://www.example.com/feed.xml.','','none'),(2873,'','default','A feed named %feed already exists. Enter a unique title.','','none'),(2874,'','default','A feed with this URL %url already exists. Enter a unique URL.','','none'),(2875,'','default','Upload an OPML file containing a list of feeds to be imported.','','none'),(2876,'','default','OPML Remote URL','','none'),(2877,'','default','Enter the URL of an OPML file. This file will be downloaded and processed only once on submission of the form.','','none'),(2878,'','default','Drupal can make a block with the most recent news items of a feed. You can <a href=\"@block-admin\">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in a feed\'s block. If you choose \'0\' these feeds\' blocks will be disabled.','','none'),(2879,'','default','You must <em>either</em> upload a file or enter a URL.','','none'),(2880,'','default','This URL is not valid.','','none'),(2881,'','default','No new feed has been added.','','none'),(2882,'','default','The URL %url is invalid.','','none'),(2883,'','default','A feed named %title already exists.','','none'),(2884,'','default','A feed with the URL %url already exists.','','none'),(2885,'','default','Fetchers download data from an external source. Choose a fetcher suitable for the external source you would like to download from.','','none'),(2886,'','default','Parsers transform downloaded data into standard structures. Choose a parser suitable for the type of feeds you would like to aggregate.','','none'),(2887,'','default','Processors act on parsed feed data, for example they store feed items. Choose the processors suitable for your task.','','none'),(2888,'','default','For most aggregation tasks, the default settings are fine.','','none'),(2889,'','default','A category named %category already exists. Enter a unique title.','','none'),(2890,'','default','Default fetcher','','none'),(2891,'','default','Downloads data from a URL using Drupal\'s HTTP request handler.','','none'),(2892,'','default','Default parser','','none'),(2893,'','default','Parses RSS, Atom and RDF feeds.','','none'),(2894,'','default','Default processor','','none'),(2895,'','default','Creates lightweight records from feed items.','','none'),(2896,'','default','Default processor settings','','none'),(2897,'','default','Number of items shown in listing pages','','none'),(2898,'','default','Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.','','none'),(2899,'','default','Select categories using','','none'),(2900,'','default','For a small number of categories, checkboxes are easier to use, while a multiple selector works well with large numbers of categories.','','none'),(2901,'','default','Length of trimmed description','','none'),(2902,'','default','The maximum number of characters used in the trimmed version of content.','','none'),(2903,'','default','The Aggregator module is an on-site syndicator and news reader that gathers and displays fresh content from RSS-, RDF-, and Atom-based feeds made available across the web. Thousands of sites (particularly news sites and blogs) publish their latest headlines in feeds, using a number of standardized XML-based formats. For more information, see the online handbook entry for <a href=\"@aggregator-module\">Aggregator module</a>.','','none'),(2904,'','default','Viewing feeds','','none'),(2905,'','default','Feeds contain published content, and may be grouped in categories, generally by topic. Users view feed content in the <a href=\"@aggregator\">main aggregator display</a>, or by <a href=\"@aggregator-sources\">their source</a> (usually via an RSS feed reader). The most recent content in a feed or category can be displayed as a block through the <a href=\"@admin-block\">Blocks administration page</a>.','','none'),(2906,'','default','Adding, editing, and deleting feeds','','none'),(2907,'','default','Administrators can add, edit, and delete feeds, and choose how often to check each feed for newly updated items on the <a href=\"@feededit\">Feed aggregator administration page</a>.','','none'),(2908,'','default','OPML integration','','none'),(2909,'','default','A <a href=\"@aggregator-opml\">machine-readable OPML file</a> of all feeds is available. OPML is an XML-based file format used to share outline-structured information such as a list of RSS feeds. Feeds can also be <a href=\"@import-opml\">imported via an OPML file</a>.','','none'),(2910,'','default','Configuring cron','','none'),(2911,'','default','A correctly configured <a href=\"@cron\">cron maintenance task</a> is required to update feeds automatically.','','none'),(2912,'','default','<acronym title=\"Outline Processor Markup Language\">OPML</acronym> is an XML format used to exchange multiple feeds between aggregators. A single OPML document may contain a collection of many feeds. Drupal can parse such a file and import all feeds at once, saving you the effort of adding them manually. You may either upload a local file from your computer or enter a URL where Drupal can download it.','','none'),(2913,'','default','Administer news feeds','','none'),(2914,'','default','View news feeds','','none'),(2915,'','default','Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.','','none'),(2916,'','default','Override the default title for the block. Use <em>!placeholder</em> to display no title, or leave blank to use the default block title.','','none'),(2917,'','default','Specify in which themes and regions this block is displayed.','','none'),(2918,'','default','All pages except those listed','','none'),(2919,'','default','Only the listed pages','','none'),(2920,'','default','Specify pages by using their paths. Enter one path per line. The \'*\' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.','','none'),(2921,'','default','Pages on which this PHP code returns <code>TRUE</code> (experts only)','','none'),(2922,'','default','Pages or PHP code','','none'),(2923,'','default','If the PHP option is chosen, enter PHP code between %php. Note that executing incorrect PHP code can break your Drupal site.','','none'),(2924,'','default','Customizable per user','','none'),(2925,'; modules/block/block.js','default','Not customizable','','none'),(2926,'','default','Customizable, visible by default','','none'),(2927,'','default','Customizable, hidden by default','','none'),(2928,'','default','Ensure that each block description is unique.','','none'),(2929,'','default','The Block module allows you to create boxes of content, which are rendered into an area, or region, of one or more pages of a website. The core Seven administration theme, for example, implements the regions \"Content\", \"Help\", \"Dashboard main\", and \"Dashboard sidebar\", and a block may appear in any one of these regions. The <a href=\"@blocks\">Blocks administration page</a> provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. For more information, see the online handbook entry for <a href=\"@block\">Block module</a>.','','none'),(2930,'','default','Positioning content','','none'),(2931,'','default','When working with blocks, remember that all themes do <em>not</em> implement the same regions, or display regions in the same way. Blocks are positioned on a per-theme basis. Users with the <em>Administer blocks</em> permission can disable blocks. Disabled blocks are listed on the <a href=\"@blocks\">Blocks administration page</a>, but are not displayed in any region.','','none'),(2932,'','default','Controlling visibility','','none'),(2933,'','default','Blocks can be configured to be visible only on certain pages, only to users of certain roles, or only on pages displaying certain <a href=\"@content-type\">content types</a>. Administrators can also allow specific blocks to be enabled or disabled by users when they edit their <a href=\"@user\">My account</a> page. Some dynamic blocks, such as those generated by modules, will be displayed only on certain pages.','','none'),(2934,'','default','Creating custom blocks','','none'),(2935,'','default','Users with the <em>Administer blocks</em> permission can <a href=\"@block-add\">add custom blocks</a>, which are then listed on the <a href=\"@blocks\">Blocks administration page</a>. Once created, custom blocks behave just like default and module-generated blocks.','','none'),(2936,'','default','This page provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. Since not all themes implement the same regions, or display regions in the same way, blocks are positioned on a per-theme basis. Remember that your changes will not be saved until you click the <em>Save blocks</em> button at the bottom of the page. Click the <em>configure</em> link next to each block to configure its specific title and visibility settings.','','none'),(2937,'','default','Demonstrate block regions (@theme)','','none'),(2938,'','default','Administer blocks','','none'),(2939,'','default','A brief description of your block. Used on the <a href=\"@overview\">Blocks administration page</a>.','','none'),(2940,'','default','Personalize blocks','','none'),(2941,'','default','Blocks consist of content or information that complements the main content of the page. Enable or disable optional blocks using the checkboxes below.','','none'),(2942,'','default','Cache blocks','','none'),(2943,'','default','Block caching is inactive because you have enabled modules defining content access restrictions.','','none'),(2944,'','default','Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.','','none'),(2945,'; modules/block/block.js','default','Restricted to certain pages','','none'),(2946,'; modules/block/block.js','default','The block cannot be placed in this region.','','none'),(2947,'','default','Use for multi-user blogs. Every user gets a personal blog.','','7.34'),(2948,'','default','Single-user blogs','','none'),(2949,'','default','Each user\'s blog entries are automatically displayed with a link to the user\'s main blog page. You can create as many single-user blogs as you have site users with permission to create blog content.','','none'),(2950,'','default','Multi-user blogs','','none'),(2951,'','default','Blog entries from each single-user blog are also aggregated into one central multi-user blog, which displays the blog content of all users in a single listing.','','none'),(2952,'','default','There is an optional <em>Blogs</em> menu item added to the Navigation menu, which displays all blogs available on your site, and a <em>My blog</em> item displaying the current user\'s blog entries.','','none'),(2953,'','default','The Blog module also creates a default <em>Recent blog posts</em> block that may be enabled at the <a href=\"@blocks\">blocks administration page</a>.','','none'),(2954,'','default','Create new blog entry','','7.34'),(2955,'','default','Enables multi-user blogs.','','none'),(2956,'','default','No books available.','','none'),(2957,'','default','Content types allowed in book outlines','','none'),(2958,'','default','Users with the %outline-perm permission can add all content types.','','none'),(2959,'','default','Administer book outlines','','none'),(2960,'','default','The Book module is used for creating structured, multi-page content, such as site resource guides, manuals, and wikis. It allows you to create content that has chapters, sections, subsections, or any similarly-tiered structure. For more information, see the online handbook entry for <a href=\"@book\">Book module</a>.','','none'),(2961,'','default','Adding and managing book content','','none'),(2962,'','default','You can assign separate permissions for <em>creating</em>, <em>editing</em>, and <em>deleting</em> book content, as well as <em>adding content to books</em>, and <em>creating new books</em>. Users with the <em>Administer book outlines</em> permission can add <em>any</em> type of content to a book by selecting the appropriate book outline while editing the content. They can also view a list of all books, and edit and rearrange section titles on the <a href=\"@admin-book\">Book administration page</a>.','','none'),(2963,'','default','Book pages have a default book-specific navigation block. This navigation block contains links that lead to the previous and next pages in the book, and to the level above the current page in the book\'s structure. This block can be enabled on the <a href=\'@admin-block\'>Blocks administration page</a>. For book pages to show up in the book navigation, they must be added to a book outline.','','none'),(2964,'','default','Books can be created collaboratively, as they allow users with appropriate permissions to add pages into existing books, and add those pages to a custom table of contents menu.','','none'),(2965,'','default','Printing books','','none'),(2966,'','default','Users with the <em>View printer-friendly books</em> permission can select the <em>printer-friendly version</em> link visible at the bottom of a book page\'s content to generate a printer-friendly display of the page and all of its subsections.','','none'),(2967,'','default','The book module offers a means to organize a collection of related content pages, collectively known as a book. When viewed, this content automatically displays links to adjacent book pages, providing a simple navigation system for creating and reviewing structured content.','','none'),(2968,'','default','The outline feature allows you to include pages in the <a href=\"@book\">Book hierarchy</a>, as well as move them within the hierarchy or to <a href=\"@book-admin\">reorder an entire book</a>.','','none'),(2969,'','default','Create new books','','none'),(2970,'','default','Add content and child pages to books','','none'),(2971,'','default','View printer-friendly books','','none'),(2972,'','default','View a book page and all of its sub-pages as a single document for ease of printing. Can be performance heavy.','','none'),(2973,'','default','<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','','none'),(2974,'','default','Allows users to create and organize related content in an outline.','','none'),(2975,'','default','The Color module allows users with the <em>Administer site configuration</em> permission to quickly and easily change the color scheme of themes that have been built to be compatible with it. For more information, see the online handbook entry for <a href=\"@color\">Color module</a>.','','none'),(2976,'','default','Changing colors','','none'),(2977,'','default','Using the Color module allows you to easily change the color of links, backgrounds, text, and other theme elements. To change the color settings for a compatible theme, select the <em>Settings</em> link for your theme on the <a href=\'@configure\'>Themes administration page</a>. If you don\'t see a color picker on that page, then your theme is not compatible with the color module. If you are sure that the theme does indeed support the color module, but the color picker does not appear, then <a href=\'@troubleshoot\'>follow these troubleshooting procedures</a>.','','none'),(2978,'','default','The Color module saves a modified copy of the theme\'s specified stylesheets in the files directory. This means that if you make any manual changes to your theme\'s stylesheet, <em>you must save your color settings again, even if they haven\'t changed</em>. This step is required because the module stylesheets (in the files directory) need to be recreated to include your changes.','','none'),(2979,'','default','The GD library for PHP is enabled, but was compiled without PNG support. Check the <a href=\"@url\">PHP image documentation</a> for information on how to correct this.','','none'),(2980,'','default','The GD library for PHP is missing or outdated. Check the <a href=\"@url\">PHP image documentation</a> for information on how to correct this.','','none'),(2981,'','default','Allows administrators to change the color scheme of compatible themes.','','none'),(2982,'','default','Select one or more comments to perform the update on.','','none'),(2983,'','default','There do not appear to be any comments to delete, or your selected comment was deleted by another administrator.','','none'),(2984,'','default','Deleted @count comments.','','none'),(2985,'','default','Deleted comment @cid and its replies.','','none'),(2986,'','default','Comment approved.','','none'),(2987,'','default','Tokens for comments posted on the site.','','none'),(2988,'','default','The Comment module allows users to comment on site content, set commenting defaults and permissions, and moderate comments. For more information, see the online handbook entry for <a href=\"@comment\">Comment module</a>.','','none'),(2989,'','default','Default and custom settings','','none'),(2990,'','default','Each <a href=\'@content-type\'>content type</a> can have its own default comment settings configured as: <em>Open</em> to allow new comments, <em>Hidden</em> to hide existing comments and prevent new comments, or <em>Closed</em> to view existing comments, but prevent new comments. These defaults will apply to all new content created (changes to the settings on existing content must be done manually). Other comment settings can also be customized per content type, and can be overridden for any given item of content. When a comment has no replies, it remains editable by its author, as long as the author has a user account and is logged in.','','none'),(2991,'','default','Full comment','','7.34'),(2992,'','default','Unapproved comments (@count)','','7.34'),(2993,'','default','Administer comments and comment settings','','none'),(2994,'','default','Edit own comments','','none'),(2995,'','default','Number of recent comments','','none'),(2996,'','default','Threading','','none'),(2997,'','default','Show comment replies in a threaded list.','','none'),(2998,'','default','Default comment setting for new content','','none'),(2999,'','default','Allow comment title','','none'),(3000,'','default','Show reply form on the same page as comments','','none'),(3001,'','default','Users with the \"Post comments\" permission can post comments.','','7.34'),(3002,'','default','Users cannot post comments, but existing comments will be displayed.','','7.34'),(3003,'','default','Comments are hidden from view.','','7.34'),(3004,'','default','Users cannot post comments.','','7.34'),(3005,'','default','Your comment has been queued for review by site administrators and will be published after approval.','','none'),(3006,'','default','Your comment has been posted.','','none'),(3007,'','default','<a href=\"@login\">Log in</a> or <a href=\"@register\">register</a> to post comments','','7.34'),(3008,'','default','<a href=\"@login\">Log in</a> to post comments','','none'),(3009,'','default','Flat list','','none'),(3010,'','default','Threaded list','','none'),(3011,'','default','Save comment','','none'),(3012,'','default','The comment will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(3013,'','default','Published comment %subject.','','none'),(3014,'','default','Saved comment %title','','none'),(3015,'','default','List and edit site comments and the comment approval queue.','','7.34'),(3016,'','default','Unapproved comments','','none'),(3017,'','default','Example: \'webmaster@example.com\' or \'sales@example.com,support@example.com\' . To specify multiple recipients, separate each e-mail address with a comma.','','none'),(3018,'','default','Category %category has been saved.','','none'),(3019,'','default','You cannot send more than %limit messages in @interval. Try again later.','','none'),(3020,'','default','Contact @username','','none'),(3021,'','default','%sender-name (@sender-from) sent an e-mail regarding %category.','','none'),(3022,'','default','%sender-name (@sender-from) sent %recipient-name an e-mail.','','none'),(3023,'','default','The Contact module allows visitors to contact site administrators and other users. Users specify a subject, write their message, and can have a copy of their message sent to their own e-mail address. For more information, see the online handbook entry for <a href=\"@contact\">Contact module</a>.','','none'),(3024,'','default','User contact forms','','none'),(3025,'','default','Site-wide contact forms','','none'),(3026,'','default','When the site-wide contact form is enabled, a link in the main <em>Navigation</em> menu is created, but the link is disabled by default. This menu link can be enabled on the <a href=\'@menu\'>Menus administration page</a>.','','none'),(3027,'','default','Customization','','none'),(3028,'','default','If you would like additional text to appear on the site-wide or personal contact page, use a block. You can create and edit blocks on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(3029,'','default','Add one or more categories on this page to set up your site-wide <a href=\"@form\">contact form</a>.','','none'),(3030,'','default','If you would like additional text to appear on the site-wide contact page, use a block. You can create and edit blocks on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(3031,'','default','Administer contact forms and contact form settings','','none'),(3032,'','default','Use the site-wide contact form','','none'),(3033,'','default','Use users\' personal contact forms','','none'),(3034,'','default','!sender-name (!sender-url) sent a message using the contact form at !form-url.','','none'),(3035,'','default','[!site-name] !subject','','none'),(3036,'','default','!sender-name (!sender-url) has sent you a message via your contact form (!form-url) at !site-name.','','none'),(3037,'','default','If you don\'t want to receive such e-mails, you can change your settings at !recipient-edit-url.','','none'),(3038,'','default','Allow other users to contact you via a <a href=\"@url\">personal contact form</a> which keeps your e-mail address hidden. Note that some privileged users such as site administrators are still able to contact you even if you choose to disable this feature.','','none'),(3039,'','default','Enable the personal contact form by default for new users.','','none'),(3040,'','default','Changing this setting will not affect existing users.','','none'),(3041,'','default','Displaying contextual links','','none'),(3042,'','default','Contextual links are supplied by modules, to give you quick access to tasks associated with regions of pages on your site. For instance, if you have a custom menu block displayed in a sidebar of your site, the Blocks and Menus modules will supply links to configure the block and edit the menu. The Contextual links module collects these links into a list for display by your theme, and also adds JavaScript code to the page to hide the links initially, and display them when your mouse hovers over the block.','','none'),(3043,'','default','Use contextual links','','none'),(3044,'','default','Use contextual links to perform actions related to elements on a page.','','none'),(3045,'','default','Contextual links','','none'),(3046,'','default','Provides contextual links to perform actions related to elements on a page.','','none'),(3047,'','default','Tracking user activity','','none'),(3048,'','default','By enabling blocks such as <em>Who\'s online</em> and <em>Who\'s new</em>, site users can track who is logged in and new user signups at a centralized location.','','none'),(3049,'','default','Tracking content activity','','none'),(3050,'','default','By enabling blocks such as <em>Recent blog posts</em>, <em>New forum topics</em> and <em>Recent comments</em>, site users can view newly added site content at a glance.','','none'),(3051,'','default','View the administrative dashboard','','none'),(3052,'','default','This dashboard region is empty. Click <em>Customize dashboard</em> to add blocks to it.','','none'),(3053,'','default','DRAG HERE','','none'),(3054,'','default','Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.','','none'),(3055,'; modules/dashboard/dashboard.js','default','Customize dashboard','','7.34'),(3056,'','default','Clear log messages','','none'),(3057,'','default','This will permanently remove the log messages from the database.','','none'),(3058,'','default','Database log cleared.','','none'),(3059,'','default','The Database logging module logs system events in the Drupal database. For more information, see the online handbook entry for the <a href=\"@dblog\">Database logging module</a>.','','none'),(3060,'','default','Monitoring your site','','none'),(3061,'','default','Debugging site problems','','none'),(3062,'','default','Field validation errors','','none'),(3063,'','default','Attempt to create a field with a name longer than 32 characters: %name','','none'),(3064,'','default','Attempt to create field name %name which already exists and is active.','','none'),(3065,'','default','Attempt to create field name %name which already exists, although it is inactive.','','none'),(3066,'','default','Attempt to create field name %name which is reserved by entity type %type.','','none'),(3067,'','default','Attempt to create a field of unknown type %type.','','none'),(3068,'','default','Attempt to create a field with unknown storage type %type.','','none'),(3069,'','default','Attempt to create an instance of field @field_name without a bundle.','','none'),(3070,'','default','Enabling field types','','none'),(3071,'','default','The Field module provides the infrastructure for fields and field attachment; the field types and input widgets themselves are provided by additional modules. Some of the modules are required; the optional modules can be enabled from the <a href=\"@modules\">Modules administration page</a>. Drupal core includes the following field type modules: Number (required), Text (required), List (required), Taxonomy (optional), Image (optional), and File (optional); the required Options module provides input widgets for other field modules. Additional fields and widgets may be provided by contributed modules, which you can find in the <a href=\"@contrib\">contributed module section of Drupal.org</a>. Currently enabled field and input widget modules:','','none'),(3072,'','default','Managing field data storage','','none'),(3073,'','default','Developers of field modules can either use the default <a href=\"@sql-store\">Field SQL storage module</a> to store data for their fields, or a contributed or custom module developed using the <a href=\"@storage-api\">field storage API</a>.','','none'),(3074,'','default','The Field SQL storage module stores field data in the database. It is the default field storage module; other field storage mechanisms may be available as contributed modules. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(3075,'','default','Default SQL storage','','7.34'),(3076,'','default','Stores fields in the local SQL database, using per-field tables.','','7.34'),(3077,'','default','Field SQL storage','','none'),(3078,'','default','Stores field data in an SQL database.','','none'),(3079,'','default','The List module defines various fields for storing a list of items, for use with the Field module. Usually these items are entered through a select list, checkboxes, or radio buttons. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(3080,'','default','This field stores simple on/off or yes/no options.','','7.34'),(3081,'','default','List (text)','','7.34'),(3082,'','default','The \'checkboxes/radio buttons\' widget will display checkboxes if the <em>Number of values</em> option is greater than 1 for this field, otherwise radios will be displayed.','','none'),(3083,'','default','Allowed HTML tags in labels: @tags','','none'),(3084,'','default','The value of this field is being determined by the %function function and may not be changed.','','none'),(3085,'','default','Allowed values list: each key must be a valid integer or decimal.','','none'),(3086,'','default','Allowed values list: each key must be a string at most 255 characters long.','','none'),(3087,'','default','Allowed values list: keys must be integers.','','none'),(3088,'','default','Defines list field types. Use with Options to create selection lists.','','none'),(3089,'','default','This field stores a number in the database as an integer.','','7.34'),(3090,'','default','This field stores a number in the database in a fixed decimal format.','','7.34'),(3091,'','default','This field stores a number in the database in a floating point format.','','7.34'),(3092,'','default','The minimum value that should be allowed in this field. Leave blank for no minimum.','','none'),(3093,'','default','The maximum value that should be allowed in this field. Leave blank for no maximum.','','none'),(3094,'','default','Only numbers and the decimal separator (@separator) allowed in %field.','','none'),(3095,'','default','The Options module defines checkbox, selection, and other input widgets for the Field module. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(3096,'','default','The Text module defines various text field types for the Field module. A text field may contain plain text only, or optionally, may use Drupal\'s <a href=\'@filter-help\'>text filters</a> to securely manage HTML output. Text input fields may be either a single line (text field), multiple lines (text area), or for greater input control, a select box, checkbox, or radio buttons. If desired, the field can be validated, so that it is limited to a set of allowed values. See the <a href=\'@field-help\'>Field module help page</a> for more information about fields.','','none'),(3097,'','default','This field stores varchar text in the database.','','7.34'),(3098,'','default','Long text','','7.34'),(3099,'','default','This field stores long text in the database.','','7.34'),(3100,'','default','Long text and summary','','7.34'),(3101,'','default','This field stores long text in the database along with optional summary text.','','7.34'),(3102,'','default','Filtered text (user selects text format)','','none'),(3103,'','default','Summary input','','none'),(3104,'','default','This allows authors to input an explicit summary, to be displayed instead of the automatically trimmed text when using the \"Summary or trimmed\" display type.','','none'),(3105,'','default','%name: the text may not be longer than %max characters.','','none'),(3106,'','default','%name: the summary may not be longer than %max characters.','','none'),(3107,'','default','Summary or trimmed','','7.34'),(3108,'','default','Text area with a summary','','7.34'),(3109,'','default','Leave blank to use trimmed value of full text as the summary.','','7.34'),(3110,'; modules/field/modules/text/text.js','default','Hide summary','','none'),(3111,'; modules/field/modules/text/text.js','default','Edit summary','','none'),(3112,'','default','%field (@field_name) field requires the %widget_type widget provided by %widget_module module','','none'),(3113,'','default','Inactive fields are not shown unless their providing modules are enabled. The following fields are not enabled: !list','','none'),(3114,'','default','Edit field settings.','','none'),(3115,'','default','Change widget type.','','none'),(3116,'','default','Edit instance settings.','','none'),(3117,'','default','Delete instance.','','none'),(3118,'','default','The field %label cannot be added because it is locked.','','none'),(3119,'','default','There was a problem creating field instance %label: @message.','','none'),(3120,'','default','There are no fields yet added. You can add new fields on the <a href=\"@link\">Manage fields</a> page.','','none'),(3121,'','default','These settings apply to the %field field everywhere it is used. These settings impact the way that data is stored in the database and cannot be changed once data has been created.','','none'),(3122,'','default','%field has no field settings.','','none'),(3123,'','default','Updated field %label field settings.','','none'),(3124,'','default','Attempt to update field %label failed: %message.','','none'),(3125,'','default','Change widget','','none'),(3126,'','default','The type of form element you would like to present to the user when creating this field in the %type type.','','none'),(3127,'','default','Changed the widget for field %label.','','none'),(3128,'','default','There was a problem changing the widget for field %label.','','none'),(3129,'','default','This field is <strong>locked</strong> and cannot be deleted.','','none'),(3130,'','default','The field %field has been deleted from the %type content type.','','none'),(3131,'','default','There was a problem removing the %field from the %type content type.','','none'),(3132,'','default','These settings apply only to the %field field when used in the %type type.','','none'),(3133,'','default','Required field','','none'),(3134,'','default','These settings apply to the %field field everywhere it is used. Because the field already has data, some settings can no longer be changed.','','none'),(3135,'','default','These settings apply to the %field field everywhere it is used.','','none'),(3136,'','default','%field field settings','','none'),(3137,'','default','The default value for this field, used when creating new content.','','none'),(3138,'','default','Saved %label configuration.','','none'),(3139,'','default','This list shows all fields currently in use for easy reference.','','none'),(3140,'','default','Save and add fields','','none'),(3141,'','default','Field list','','7.34'),(3142,'','default','Manage display','','7.34'),(3143,'','default','Field UI','','none'),(3144,'','default','This field stores the ID of a file as an integer value.','','7.34'),(3145,'','default','Enable <em>Display</em> field','','none'),(3146,'','default','The display option allows users to choose if a file should be shown when viewing the content.','','none'),(3147,'','default','Files displayed by default','','none'),(3148,'','default','This setting only has an effect if the display option is enabled.','','none'),(3149,'','default','Upload destination','','none'),(3150,'','default','Select where the final files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.','','none'),(3151,'','default','Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.','','none'),(3152,'','default','Enter a value like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP\'s maximum post and file upload sizes (current limit <strong>%limit</strong>).','','none'),(3153,'','default','Enable <em>Description</em> field','','none'),(3154,'','default','The description field allows users to enter a description about the uploaded file.','','none'),(3155,'','default','The \"!name\" option must contain a valid value. You may either leave the text field empty or enter a string like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes).','','none'),(3156,'','default','The list of allowed extensions is not valid, be sure to exclude leading dots and to separate extensions with a comma or space.','','none'),(3157,'','default','Generic file','','7.34'),(3158,'','default','Table of files','','7.34'),(3159,'','default','Add a new file','','none'),(3160,'','default','Include file in display','','none'),(3161,'','default','The description may be used as the label of the link to the file.','','none'),(3162,'','default','Files must be less than !size.','','7.34'),(3163,'','default','Allowed file types: !extensions.','','7.34'),(3164,'','default','Images must be exactly !size pixels.','','none'),(3165,'','default','Images must be between !min and !max pixels.','','none'),(3166,'','default','Images must be larger than !min pixels.','','none'),(3167,'','default','Images must be smaller than !max pixels.','','none'),(3168,'','default','Attaching files to content','','none'),(3169,'','default','The File module allows users to attach files to content (e.g., PDF files, spreadsheets, etc.), when a <em>File</em> field is added to a given content type using the <a href=\"@fieldui-help\">Field UI module</a>. You can add validation options to your File field, such as specifying a maximum file size and allowed file extensions.','','none'),(3170,'','default','Managing attachment display','','none'),(3171,'','default','Managing file locations','','none'),(3172,'','default','An unrecoverable error occurred. Use of this form has expired. Try reloading the page and submitting again.','','none'),(3173,'','default','The file referenced by the !name field does not exist.','','none'),(3174,'','default','The file in the !name field was unable to be uploaded.','','none'),(3175,'','default','The upload directory %directory for the file field !name could not be created or is not accessible. A newly uploaded file could not be saved in this directory as a consequence, and the upload was canceled.','','none'),(3176,'','default','Your server is not capable of displaying file upload progress. File upload progress requires an Apache server running PHP with mod_php.','','none'),(3177,'','default','All roles may use this format','','none'),(3178,'','default','The text format ordering has been saved.','','none'),(3179,'','default','Add text format','','7.34'),(3180,'','default','All roles for this text format must be enabled and cannot be changed.','','none'),(3181,'','default','Filter processing order','','none'),(3182,'','default','Text format names must be unique. A format named %name already exists.','','none'),(3183,'','default','Added text format %format.','','none'),(3184,'','default','The text format %format has been updated.','','none'),(3185,'','default','Text formats','','7.34'),(3186,'','default','Applying filters to text','','none'),(3187,'','default','Defining text formats','','none'),(3188,'','default','Choosing a text format','','none'),(3189,'','default','Warning: This permission may have security implications depending on how the text format is configured.','','none'),(3190,'','default','Use the !text_format text format','','none'),(3191,'','default','More information about text formats','','7.34'),(3192,'','default','Limit allowed HTML tags','','7.34'),(3193,'','default','Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','7.34'),(3194,'','default','Convert URLs into links','','7.34'),(3195,'','default','Correct faulty and chopped off HTML','','7.34'),(3196,'','default','Display any HTML as plain text','','7.34'),(3197,'','default','Display basic HTML help in long filter tips','','none'),(3198,'','default','Add rel=\"nofollow\" to all links','','none'),(3199,'','default','For more information see W3C\'s <a href=\"@html-specifications\">HTML Specifications</a> or use your favorite search engine to find other sites that explain HTML.','','none'),(3200,'','default','Most unusual characters can be directly entered without any problems.','','none'),(3201,'','default','If you do encounter problems, try using HTML character entities. A common example looks like &amp;amp; for an ampersand &amp; character. For a full list of entities see HTML\'s <a href=\"@html-entities\">entities</a> page. Some of the available characters include:','','none'),(3202,'','default','No HTML tags allowed.','','7.34'),(3203,'','default','Filters content in preparation for display.','','none'),(3204,'','default','By !author @time ago','','none'),(3205,'','default','The forum %term and all sub-forums have been deleted.','','none'),(3206,'','default','The number of replies a topic must have to be considered \"hot\".','','none'),(3207,'','default','No containers or forums available. <a href=\"@container\">Add container</a> or <a href=\"@forum\">Add forum</a>.','','none'),(3208,'','default','forum: deleted %term and all its sub-forums.','','none'),(3209,'','default','The Forum module lets you create threaded discussion forums with functionality similar to other message board systems. Forums are useful because they allow community members to discuss topics with one another while ensuring those conversations are archived for later reference. In a forum, users post topics and threads in nested hierarchies, allowing discussions to be categorized and grouped. The forum hierarchy consists of:','','none'),(3210,'','default','Optional containers (for example, <em>Support</em>), which can hold:','','none'),(3211,'','default','Forums (for example, <em>Installing Drupal</em>), which can hold:','','none'),(3212,'','default','Forum topics submitted by users (for example, <em>How to start a Drupal 6 Multisite</em>), which start discussions and are starting points for:','','none'),(3213,'','default','Threaded comments submitted by users (for example, <em>You have these options...</em>).','','none'),(3214,'','default','Setting up forum structure','','none'),(3215,'','default','Visit the <a href=\"@forums\">Forums page</a> to set up containers and forums to hold your discussion topics.','','none'),(3216,'','default','Starting a discussion','','none'),(3217,'','default','The <a href=\"@create-topic\">Forum topic</a> link on the <a href=\"@content-add\">Add new content</a> page creates the first post of a new threaded discussion, or thread.','','none'),(3218,'','default','Enabling the Forum module provides a default <em>Forums</em> menu item in the navigation menu that links to the <a href=\"@forums\">Forums page</a>.','','none'),(3219,'','default','Moving forum topics','','none'),(3220,'','default','A forum topic (and all of its comments) may be moved between forums by selecting a different forum while editing a forum topic. When moving a forum topic between forums, the <em>Leave shadow copy</em> option creates a link in the original forum pointing to the new location.','','none'),(3221,'','default','Locking and disabling comments','','none'),(3222,'','default','Selecting <em>Closed</em> under <em>Comment settings</em> while editing a forum topic will lock (prevent new comments on) the thread. Selecting <em>Hidden</em> under <em>Comment settings</em> while editing a forum topic will hide all existing comments on the thread, and prevent new ones.','','none'),(3223,'','default','Forums contain forum topics. Use containers to group related forums.','','none'),(3224,'','default','Use containers to group related forums.','','none'),(3225,'','default','A forum holds related forum topics.','','none'),(3226,'','default','Adjust the display of your forum topics. Organize the forums on the <a href=\"@forum-structure\">forum structure page</a>.','','none'),(3227,'','default','Add new @node_type','','none'),(3228,'','default','<a href=\"@login\">Log in</a> to post new content in the forum.','','none'),(3229,'','default','The item %forum is a forum container, not a forum. Select one of the forums below instead.','','none'),(3230,'','default','A <em>forum topic</em> starts a new discussion thread within a forum.','','none'),(3231,'','default','Control forum hierarchy settings.','','none'),(3232,'','default','Forum navigation vocabulary','','none'),(3233,'','default','Provides discussion forums.','','none'),(3234,'','default','Follow these steps to set up and start using your website:','','none'),(3235,'','default','<strong>Start posting content</strong> Finally, you can <a href=\"@content\">add new content</a> for your website.','','none'),(3236,'','default','For more information, refer to the specific topics listed in the next section or to the <a href=\"@handbook\">online Drupal handbooks</a>. You may also post at the <a href=\"@forum\">Drupal forum</a> or view the wide range of <a href=\"@support\">other support options</a> available.','','none'),(3237,'','default','The Help module provides <a href=\"@help-page\">Help reference pages</a> and context-sensitive advice to guide you through the use and configuration of modules. It is a starting point for the online <a href=\"@handbook\">Drupal handbooks</a>. The handbooks contain more extensive and up-to-date information, are annotated with user-contributed comments, and serve as the definitive reference point for all Drupal documentation. For more information, see the online handbook entry for the <a href=\"@help\">Help module</a>.','','none'),(3238,'','default','Providing a help reference','','none'),(3239,'','default','The Help module displays explanations for using each module listed on the main <a href=\"@help\">Help reference page</a>.','','none'),(3240,'','default','Providing context-sensitive help','','none'),(3241,'','default','The Help module displays context-sensitive advice and explanations on various pages.','','none'),(3242,'','default','Edit %name style','','none'),(3243,'','default','This image style is currently being provided by a module. Click the \"Override defaults\" button to change its settings.','','none'),(3244,'','default','Image style name','','none'),(3245,'','default','The name is used in URLs for generated images. Use only lowercase alphanumeric characters, underscores (_), and hyphens (-).','','none'),(3246,'','default','Select a new effect','','none'),(3247,'','default','Override defaults','','none'),(3248,'','default','Update style','','none'),(3249,'','default','Select an effect to add.','','none'),(3250,'','default','The image effect was successfully applied.','','none'),(3251,'','default','The %style style has been overridden, allowing you to change its settings.','','none'),(3252,'','default','Style name','','none'),(3253,'','default','Create new style','','none'),(3254,'','default','Style %name was created.','','none'),(3255,'','default','The image style name %name is already in use.','','none'),(3256,'','default','Please only use lowercase alphanumeric characters, underscores (_), and hyphens (-) for style names.','','none'),(3257,'','default','No replacement, just delete','','none'),(3258,'','default','Replacement style','','none'),(3259,'','default','Optionally select a style before deleting %style','','none'),(3260,'','default','If this style is in use on the site, you may select another style to replace it. All images that have been generated for this style will be permanently deleted.','','none'),(3261,'','default','Style %name was deleted.','','none'),(3262,'','default','Revert the %style style?','','none'),(3263,'','default','Reverting this style will delete the customized settings and restore the defaults provided by the @module module.','','none'),(3264,'','default','Edit %label effect','','none'),(3265,'','default','Add %label effect','','none'),(3266,'','default','Update effect','','none'),(3267,'','default','Add effect','','none'),(3268,'','default','Are you sure you want to delete the @effect effect from the %style style?','','none'),(3269,'','default','The image effect %name has been deleted.','','none'),(3270,'','default','!name must be an integer.','','none'),(3271,'','default','!name must be a positive integer.','','none'),(3272,'','default','!name must be a hexadecimal color value.','','none'),(3273,'','default','Width and height can not both be blank.','','none'),(3274,'','default','The part of the image that will be retained during the crop.','','none'),(3275,'','default','The background color to use for exposed areas of the image. Use web-style hex colors (#FFFFFF for white, #000000 for black). Leave blank for transparency on image types that support it.','','none'),(3276,'','default','There are currently no styles. <a href=\"!url\">Add a new one</a>.','','none'),(3277,'','default','There are currently no effects in this style. Add one by selecting an option below.','','none'),(3278,'','default','view actual size','','none'),(3279,'','default','Sample original image','','none'),(3280,'','default','Sample modified image','','none'),(3281,'','default','Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','7.34'),(3282,'','default','Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','7.34'),(3283,'','default','Scale and crop','','7.34'),(3284,'','default','Cropping will remove portions of an image to make it the specified dimensions.','','7.34'),(3285,'','default','Desaturate','','7.34'),(3286,'','default','Desaturate converts an image to grayscale.','','7.34'),(3287,'','default','Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','7.34'),(3288,'','default','Image resize failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3289,'','default','Image scale failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3290,'','default','Image crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3291,'','default','Image scale and crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3292,'','default','Image desaturate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3293,'','default','Image rotate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(3294,'','default','This field stores the ID of an image file as an integer value.','','7.34'),(3295,'','default','If no image is uploaded, this image will be shown on display.','','none'),(3296,'','default','The maximum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a larger image is uploaded, it will be resized to reflect the given width and height. Resizing images on upload will cause the loss of <a href=\"http://en.wikipedia.org/wiki/Exchangeable_image_file_format\">EXIF data</a> in the image.','','none'),(3297,'','default','Minimum image resolution','','none'),(3298,'','default','The minimum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a smaller image is uploaded, it will be rejected.','','none'),(3299,'','default','Enable <em>Alt</em> field','','none'),(3300,'','default','The alt attribute may be used by search engines, screen readers, and when the image cannot be loaded.','','none'),(3301,'','default','Enable <em>Title</em> field','','none'),(3302,'','default','The title attribute is used as a tooltip when the mouse hovers over the image.','','none'),(3303,'','default','Height and width values must be numeric.','','none'),(3304,'','default','Both a height and width value must be specified in the !name field.','','none'),(3305,'','default','Preview image style','','none'),(3306,'','default','no preview','','none'),(3307,'','default','The preview image will be shown while editing the content.','','none'),(3308,'','default','Manipulating images','','none'),(3309,'','default','Based on where it will be used: eg. <em>profile-picture</em>','','none'),(3310,'','default','Describing its appearance: eg. <em>square-85x85</em>','','none'),(3311,'','default','Attaching images to content as fields','','none'),(3312,'','default','Administer image styles','','none'),(3313,'','default','Create and modify styles for generating image modifications such as thumbnails.','','none'),(3314,'','default','No defined styles','','none'),(3315,'','default','Image generation in progress. Try again shortly.','','none'),(3316,'','default','Error generating image.','','none'),(3317,'','default','Unable to generate the derived image located at %path.','','none'),(3318,'','default','Failed to create style directory: %directory','','none'),(3319,'','default','Generate image style','','none'),(3320,'','default','Image styles','','7.34'),(3321,'','default','List the current image styles on the site.','','7.34'),(3322,'','default','Add style','','7.34'),(3323,'','default','Add a new image style.','','7.34'),(3324,'','default','Configure an image style.','','none'),(3325,'','default','Delete an image style.','','none'),(3326,'','default','Revert style','','none'),(3327,'','default','Revert an image style.','','none'),(3328,'','default','Edit image effect','','none'),(3329,'','default','Delete image effect','','none'),(3330,'','default','Add image effect','','none'),(3331,'','default','Add a new effect to a style.','','none'),(3332,'','default','Provides image manipulation tools.','','none'),(3333,'','default','Use the <em>Custom language</em> section below if your desired language does not appear in this list.','','none'),(3334,'','default','Path prefix language code','','none'),(3335,'','default','Language code or other custom text to use as a path prefix for URL language detection, if your <em>Detection and selection</em> settings use URL path prefixes. For the default language, this value may be left blank. <strong>Modifying this value may break existing URLs. Use with caution in a production environment.</strong> Example: Specifying \"deutsch\" as the path prefix code for German results in URLs like \"example.com/deutsch/contact\".','','none'),(3336,'','default','Detection method','','none'),(3337,'','default','Part of the URL that determines language','','none'),(3338,'','default','Request/session parameter','','none'),(3339,'','default','Name of the request/session parameter used to determine the desired language.','','none'),(3340,'','default','Filter translatable strings','','none'),(3341,'','default','Date type','','none'),(3342,'','default','Are you sure you want to reset the date formats for %language to the global defaults?','','none'),(3343,'','default','Resetting will remove all localized date formats for this language. This action cannot be undone.','','none'),(3344,'','default','The Locale module allows your Drupal site to be presented in languages other than the default English, and to be multilingual. The Locale module works by maintaining a database of translations, and examining text as it is about to be displayed. When a translation of the text is available in the language to be displayed, the translation is displayed rather than the original text. When a translation is unavailable, the original text is displayed, and then stored for review by a translator. For more information, see the online handbook entry for <a href=\"@locale\">Locale module</a>.','','none'),(3345,'','default','Translating interface text','','none'),(3346,'','default','Translations of text in the Drupal interface may be provided by:','','none'),(3347,'','default','Translating within your site, using the Locale module\'s integrated <a href=\'@translate\'>translation interface</a>.','','none'),(3348,'','default','Configuring a multilingual site','','none'),(3349,'','default','Add a language to be supported by your site. If your desired language is not available in the <em>Language name</em> drop-down, click <em>Custom language</em> and provide a language code and other details manually. When providing a language code manually, be sure to enter a standardized language code, since this code may be used by browsers to determine an appropriate display language.','','none'),(3350,'','default','See the <a href=\"@languages\">Languages page</a> for more information on adding support for additional languages.','','none'),(3351,'','default','This page imports the translated strings contained in an individual Gettext Portable Object (<em>.po</em>) file. Normally distributed as part of a translation package (each translation package may contain several <em>.po</em> files), a <em>.po</em> file may need to be imported after offline editing in a Gettext translation editor. Importing an individual <em>.po</em> file may be a lengthy process.','','none'),(3352,'','default','This page allows a translator to search for specific translated and untranslated strings, and is used when creating or editing translations. (Note: For translation tasks involving many strings, it may be more convenient to <a href=\"@export\">export</a> strings for offline editing in a desktop Gettext translation editor.) Searches may be limited to strings found within a specific text group or in a specific language.','','none'),(3353,'','default','Administer languages','','none'),(3354,'','default','Translate interface texts','','none'),(3355,'','default','Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','7.34'),(3356,'','default','Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.','','7.34'),(3357,'','default','Determine the language from the URL (Path prefix or domain).','','none'),(3358,'','default','Determine the language from a request/session parameter.','','none'),(3359,'','default','Follow the user\'s language preference.','','none'),(3360,'','default','Determine the language from the browser\'s language settings.','','none'),(3361,'','default','Language switcher (@type)','','7.34'),(3362,'','default','Detection and selection','','7.34'),(3363,'','default','URL language detection configuration','','7.34'),(3364,'','default','Session language detection configuration','','7.34'),(3365,'','default','Localize','','7.34'),(3366,'','default','Localize date formats','','none'),(3367,'','default','Reset date formats','','none'),(3368,'','default','Reset localized date formats to global defaults','','none'),(3369,'','default','January','Long month name','none'),(3370,'','default','February','Long month name','none'),(3371,'','default','March','Long month name','none'),(3372,'','default','April','Long month name','none'),(3373,'','default','May','Long month name','none'),(3374,'','default','June','Long month name','none'),(3375,'','default','July','Long month name','none'),(3376,'','default','August','Long month name','none'),(3377,'','default','September','Long month name','none'),(3378,'','default','October','Long month name','none'),(3379,'','default','November','Long month name','none'),(3380,'','default','December','Long month name','none'),(3381,'','default','add link','','none'),(3382,'','default','There are no menu links yet. <a href=\"@link\">Add link</a>.','','none'),(3383,'','default','The text to be used for this link in the menu.','','none'),(3384,'','default','The path for this menu link. This can be an internal Drupal path such as %add-node or an external URL such as %drupal. Enter %front to link to the front page.','','none'),(3385,'','default','Menu links that are not enabled will not be listed in any menu.','','none'),(3386,'','default','Show as expanded','','none'),(3387,'','default','If selected and this menu link has children, the menu will always appear expanded.','','none'),(3388,'','default','Parent link','','none'),(3389,'','default','The maximum depth for a link and all its children is fixed at !maxdepth. Some menu links may not be available as parents if selecting them would exceed this limit.','','none'),(3390,'','default','Optional. In the menu, the heavier links will sink and the lighter links will be positioned nearer the top.','','none'),(3391,'','default','Are you sure you want to delete the custom menu link %item?','','none'),(3392,'','default','The menu link %title has been deleted.','','none'),(3393,'','default','Are you sure you want to reset the link %item to its default values?','','none'),(3394,'','default','The menu link was reset to its default settings.','','none'),(3395,'','default','No Main links','','none'),(3396,'','default','Source for the Main links','','none'),(3397,'','default','Select what should be displayed as the Main links (typically at the top of the page).','','none'),(3398,'','default','No Secondary links','','none'),(3399,'','default','Source for the Secondary links','','none'),(3400,'','default','Deleted custom menu %title and all its menu links.','','none'),(3401,'','default','Deleted menu link %title.','','none'),(3402,'','default','<strong>Warning:</strong> There is currently 1 menu link in %title. It will be deleted (system-defined items will be reset).','','none'),(3403,'','default','<strong>Warning:</strong> There are currently @count menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(3404,'','default','<strong>Warning:</strong> There are currently @count[2] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(3405,'','default','<strong>Warning:</strong> There are currently @count[3] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(3406,'','default','<strong>Warning:</strong> There are currently @count[4] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(3407,'','default','<strong>Warning:</strong> There are currently @count[5] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(3408,'','default','Managing menus','','none'),(3409,'','default','Displaying menus','','none'),(3410,'','default','After you have created a menu, you must enable and position the associated block on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(3411,'','default','You can enable the newly-created block for this menu on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(3412,'','default','Each menu has a corresponding block that is managed on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(3413,'','default','Administer menus and menu items','','none'),(3414,'','default','Provide a menu link','','7.34'),(3415,'','default','Menu links with smaller weights are displayed before links with larger weights.','','7.34'),(3416,'','default','Available menus','','none'),(3417,'','default','The menus available to place links in for this content type.','','none'),(3418,'','default','Default parent item','','none'),(3419,'','default','Choose the menu item to be the default parent for a new link in the content authoring form.','','none'),(3420,'','default','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','7.34'),(3421,'','default','Parent menu items','','none'),(3422,'','default','Edit menu link','','none'),(3423,'','default','Reset menu link','','none'),(3424,'','default','Delete menu link','','none'),(3425,'','default','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.','','none'),(3426,'','default','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.','','none'),(3427,'','default','The <em>Management</em> menu contains links for administrative tasks.','','none'),(3428,'','default','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.','','none'),(3429,'','default','manage display','','none'),(3430,'','default','No content types available. <a href=\"@link\">Add content type</a>.','','none'),(3431,'','default','The human-readable name of this content type. This text will be displayed as part of the list on the <em>Add new content</em> page. It is recommended that this name begin with a capital letter and contain only letters, numbers, and spaces. This name must be unique.','','none'),(3432,'','default','Describe this content type. The text will be displayed on the <em>Add new content</em> page.','','none'),(3433,'','default','Preview before submitting','','none'),(3434,'','default','This text will be displayed at the top of the page when creating or editing content of this type.','','none'),(3435,'','default','Users with the <em>Administer content</em> permission will be able to override these options.','','none'),(3436,'','default','Display author and date information.','','none'),(3437,'','default','Author username and publish date will be displayed.','','none'),(3438,'','default','Invalid machine-readable name. Enter a name other than %invalid.','','none'),(3439,'','default','%type is used by 1 piece of content on your site. If you remove this content type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3440,'','default','%type is used by @count pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3441,'','default','%type is used by @count[2] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3442,'','default','%type is used by @count[3] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3443,'','default','%type is used by @count[4] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3444,'','default','%type is used by @count[5] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(3445,'','default','Publish selected content','','none'),(3446,'','default','Unpublish selected content','','none'),(3447,'','default','Promote selected content to front page','','none'),(3448,'','default','Demote selected content from front page','','none'),(3449,'','default','Make selected content sticky','','none'),(3450,'','default','Make selected content not sticky','','none'),(3451,'','default','Delete selected content','','none'),(3452,'','default','Deleted @count posts.','','none'),(3453,'','default','Are you sure you want to delete this item?','','none'),(3454,'','default','Are you sure you want to delete these items?','','none'),(3455,'','default','<em>Edit @type</em> @title','','none'),(3456,'','default','You have not created any content types yet. Go to the <a href=\"@create-content\">content type creation page</a> to add a new content type.','','none'),(3457,'','default','Revision log message','','7.34'),(3458,'','default','Provide an explanation of the changes you are making. This will help other authors understand your motivations.','','7.34'),(3459,'','default','Tokens related to individual content items, or \"nodes\".','','none'),(3460,'','default','The unique ID of the content item, or \"node\".','','none'),(3461,'','default','The main body text of the node.','','none'),(3462,'','default','The summary of the node\'s main body text.','','none'),(3463,'','default','The content access permissions need to be rebuilt. <a href=\"@node_access_rebuild\">Rebuild permissions</a>.','','none'),(3464,'','default','The Node module manages the creation, editing, deletion, settings, and display of the main site content. Content items managed by the Node module are typically displayed as pages on your site, and include a title, some meta-data (author, creation time, content type, etc.), and optional fields containing text or other data (fields are managed by the <a href=\"@field\">Field module</a>). For more information, see the online handbook entry for <a href=\"@node\">Node module</a>.','','none'),(3465,'','default','Creating content','','none'),(3466,'','default','When new content is created, the Node module records basic information about the content, including the author, date of creation, and the <a href=\"@content-type\">Content type</a>. It also manages the <em>publishing options</em>, which define whether or not the content is published, promoted to the front page of the site, and/or sticky at the top of content lists. Default settings can be configured for each <a href=\"@content-type\">type of content</a> on your site.','','none'),(3467,'','default','Creating custom content types','','none'),(3468,'','default','Administering content','','none'),(3469,'','default','The <a href=\"@content\">Content administration page</a> allows you to review and bulk manage your site content.','','none'),(3470,'','default','Creating revisions','','none'),(3471,'','default','The Node module also enables you to create multiple versions of any content, and revert to older versions using the <em>Revision information</em> settings.','','none'),(3472,'','default','User permissions','','none'),(3473,'','default','The Node module makes a number of permissions available for each content type, which can be set by role on the <a href=\"@permissions\">permissions page</a>.','','none'),(3474,'','default','Individual content types can have different fields, behaviors, and permissions assigned to them.','','none'),(3475,'','default','Content items can be displayed using different view modes: Teaser, Full content, Print, RSS, etc. <em>Teaser</em> is a short format that is typically used in lists of multiple content items. <em>Full content</em> is typically used when the content is displayed on its own page.','','none'),(3476,'','default','Here, you can define which fields are shown and hidden when %type content is displayed in each view mode, and define how the fields are displayed in each view mode.','','none'),(3477,'','default','Revisions allow you to track differences between multiple versions of your content, and revert back to older versions.','','none'),(3478,'','default','Full content','','7.34'),(3479,'','default','The content on this page has either been modified by another user, or you have already submitted modifications using this form. As a result, your changes cannot be saved.','','none'),(3480,'','default','Administer content types','','none'),(3481,'','default','Warning: Give to trusted roles only; this permission has security implications.','','none'),(3482,'','default','View published content','','none'),(3483,'','default','Access the content overview page','','none'),(3484,'','default','Bypass content access control','','none'),(3485,'','default','View content revisions','','none'),(3486,'','default','Revert content revisions','','none'),(3487,'','default','Delete content revisions','','none'),(3488,'','default','View own unpublished content','','none'),(3489,'','default','Content is sticky at top of lists','','none'),(3490,'','default','Content is promoted to the front page','','none'),(3491,'','default','Recent content','','7.34'),(3492,'','default','Number of recent content items to display','','none'),(3493,'','default','Show block for specific content types','','none'),(3494,'','default','Welcome to @site-name','','none'),(3495,'','default','No front page content has been created yet.','','none'),(3496,'','default','Unpublish content','','7.34'),(3497,'','default','Make content sticky','','7.34'),(3498,'','default','Make content unsticky','','7.34'),(3499,'','default','Promote content to front page','','7.34'),(3500,'','default','Remove content from front page','','7.34'),(3501,'','default','Change the author of content','','7.34'),(3502,'','default','Save content','','7.34'),(3503,'','default','Unpublish content containing keyword(s)','','7.34'),(3504,'','default','The content will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(3505,'','default','Node Access Permissions','','none'),(3506,'','default','One permission in use','','none'),(3507,'','default','@count permissions in use','','none'),(3508,'','default','@count[2] permissions in use','','none'),(3509,'','default','@count[3] permissions in use','','none'),(3510,'','default','@count[4] permissions in use','','none'),(3511,'','default','@count[5] permissions in use','','none'),(3512,'','default','Find and manage content.','','none'),(3513,'','default','Manage content types, including default status, front page promotion, comment settings, etc.','','7.34'),(3514,'','default','Edit content type','','none'),(3515,'; modules/node/content_types.js','default','Don\'t display post information','','none'),(3516,'','default','This site supports <a href=\"@openid-net\">OpenID</a>, a secure way to log in to many websites using a single username and password. OpenID can reduce the necessity of managing many usernames and passwords for many websites.','','none'),(3517,'','default','If you already have an OpenID, enter the URL to your OpenID server below (e.g. myusername.openidprovider.com). Next time you log in, you will be able to use this URL instead of a regular username and password. You can have multiple OpenID servers if you like; just keep adding them here.','','none'),(3518,'','default','Logging in with OpenID','','none'),(3519,'','default','To log in using OpenID, a user must already have an OpenID account. Users can then create site accounts using their OpenID, assign one or more OpenIDs to an existing account, and log in using an OpenID. This lowers the barrier to registration, which helps increase the user base, and offers convenience and security to the users. Because OpenID cannot guarantee a user is legitimate, email verification is still necessary. When logging in, users are presented with the option of entering their OpenID URL, which will look like <em>myusername.openidprovider.com</em>. The site then communicates with the OpenID server, asking it to verify the identity of the user. If the user is logged into their OpenID server, the server communicates back to your site, verifying the user. If they are not logged in, the OpenID server will ask the user for their password. At no point does the site being logged into record the user\'s OpenID password.','','none'),(3520,'','default','Once you have verified your e-mail address, you may log in via OpenID.','','none'),(3521,'','default','Sorry, that is not a valid OpenID. Ensure you have spelled your ID correctly.','','none'),(3522,'','default','Complete the registration by filling out the form below. If you already have an account, you can <a href=\"@login\">log in</a> now and add your OpenID under \"My account\".','','none'),(3523,'; modules/overlay/overlay-parent.js','default','@title dialog','','none'),(3524,'','default','Creating aliases','','none'),(3525,'','default','<em>member/jane-smith</em> aliased to internal path <em>user/123</em>','','none'),(3526,'','default','<em>about-us/team</em> aliased to internal path <em>node/456</em>','','none'),(3527,'','default','Managing aliases','','none'),(3528,'','default','The Path module provides a way to search and view a <a href=\"@aliases\">list of all aliases</a> that are in use on your website. Aliases can be added, edited and deleted through this list.','','none'),(3529,'','default','An alias defines a different name for an existing URL path - for example, the alias \'about\' for the URL path \'node/1\'. A URL path can have multiple aliases.','','none'),(3530,'','default','Administer URL aliases','','none'),(3531,'','default','Create and edit URL aliases','','none'),(3532,'','default','The alias is already in use.','','none'),(3533,'','default','Enabling execution of PHP in text fields','','none'),(3534,'','default','Use PHP for settings','','none'),(3535,'','default','The PHP module has been disabled. Any existing content that was using the PHP filter will now be visible in plain text. This might pose a security risk by exposing sensitive information, if any, used in the PHP code.','','none'),(3536,'','default','The Poll module can be used to create simple surveys or questionnaires that display cumulative results. A poll is a good way to receive feedback from site users and community members. For more information, see the online handbook entry for the <a href=\"@poll\">Poll module</a>.','','none'),(3537,'','default','Creating a poll','','none'),(3538,'','default','Users can create a poll by clicking on Poll on the <a href=\"@add-content\">Add new content</a> page, and entering the question being posed, the answer choices, and beginning vote counts for each choice. The status (closed or active) and duration (length of time the poll remains active for new votes) can also be specified.','','none'),(3539,'','default','Viewing polls','','none'),(3540,'','default','You can visit the <a href=\"@poll\">Polls</a> page to view all current polls, or alternately enable the <em>Most recent poll</em> block on the <a href=\"@blocks\">Blocks administration page</a>. To vote in or view the results of a specific poll, you can click on the poll itself.','','none'),(3541,'','default','Vote on polls','','none'),(3542,'','default','Cancel and change own votes','','none'),(3543,'','default','Your vote was cancelled.','','none'),(3544,'','default','To enable browsing this field by value, enter a title for the resulting page. The word <code>%value</code> will be substituted with the corresponding value. An example page title is \"People whose favorite color is %value\" . This is only applicable for a public field.','','none'),(3545,'','default','To enable browsing this field by value, enter a title for the resulting page. An example page title is \"People who are employed\" . This is only applicable for a public field.','','none'),(3546,'','default','The Profile module allows site administrators to define custom fields (such as country, full name, or age) for user profiles, which are then displayed in the <a href=\"@user\">My Account</a> section. This permits users of a site to share more information about themselves, and can help community-based sites organize users around specific information. For more information, see the online handbook entry for <a href=\"@profile\">Profile module</a>.','','none'),(3547,'','default','Adding fields to the default profile','','none'),(3548,'','default','To provide the ability for users to enter more information about themselves, the Profile module allows additional fields to be added to the default user profile. Examples of common additions would be <em>Location</em>, <em>Company</em>, <em>Age</em>, or <em>About me</em>.','','none'),(3549,'','default','User information pages','','none'),(3550,'','default','The Profile module enables links to see further information about site users. You can view both a main <a href=\"@profile\">User list page</a>, and more specified pages by clicking on linked fields in any profile. For example, the <a href=\"@profile-country\">People who live in Canada</a> listing on Drupal.org displays all users who have entered <em>Canada</em> in the <em>Country</em> field on their user profile.','','none'),(3551,'','default','Author information block','','none'),(3552,'','default','This page displays a list of the existing custom profile fields to be displayed on a user\'s <em>My account</em> page. To provide structure, similar or related fields may be placed inside a category. To add a new category (or edit an existing one), edit a profile field and provide a new category name.','','none'),(3553,'','default','The active search modules have been changed.','','none'),(3554,'','default','Searched %type for %keys.','','none'),(3555,'','default','Searching content and users','','none'),(3556,'','default','Users with <em>Use search</em> permission can use the search block and <a href=\"@search\">Search page</a>. Users with the <em>View published content</em> permission can search for content containing exact keywords. Users with the <em>View user profiles</em> permission can search for users containing the keyword anywhere in the user name, and users with the <em>Administer users</em> permission can search for users by email address. Additionally, users with <em>Use advanced search</em> permission can find content using more complex search methods and filtering by choosing the <em>Advanced search</em> option on the <a href=\"@search\">Search page</a>.','','none'),(3557,'','default','Indexing content with cron','','none'),(3558,'','default','Configuring search settings','','none'),(3559,'','default','The Search module includes a default <em>Search form</em> block, which can be enabled and configured on the <a href=\"@blocks\">Blocks administration page</a>. The block is available to users with the <em>Search content</em> permission.','','none'),(3560,'','default','Extending Search module','','none'),(3561,'','default','<ul>\n<li>Check if your spelling is correct.</li>\n<li>Remove quotes around phrases to search for each word individually. <em>bike shed</em> will often show more results than <em>&quot;bike shed&quot;</em>.</li>\n<li>Consider loosening your query with <em>OR</em>. <em>bike OR shed</em> will often show more results than <em>bike shed</em>.</li>\n</ul>','','none'),(3562,'','default','Administer search','','none'),(3563,'','default','Use search','','none'),(3564,'','default','Use advanced search','','none'),(3565,'','default','Configure relevance settings for search and other indexing options.','','7.34'),(3566,'','default','Choose a set of shortcuts to use','','none'),(3567,'','default','Choose a set of shortcuts for this user','','none'),(3568,'','default','You are now using the new %set_name shortcut set. You can edit it from this page or <a href=\"@switch-url\">switch back to a different one.</a>','','none'),(3569,'','default','%user is now using a new shortcut set called %set_name. You can edit it from this page.','','none'),(3570,'','default','You are now using the %set_name shortcut set.','','none'),(3571,'','default','%user is now using the %set_name shortcut set.','','none'),(3572,'','default','Change set','','none'),(3573,'','default','The shortcut set has been updated.','','none'),(3574,'','default','Add new shortcut','','none'),(3575,'','default','Editing @shortcut','','none'),(3576,'','default','The name of the shortcut.','','none'),(3577,'','default','The path to the shortcut.','','none'),(3578,'','default','The link must correspond to a valid path on the site.','','none'),(3579,'','default','The shortcut %link has been updated.','','none'),(3580,'','default','Added a shortcut for %title.','','none'),(3581,'','default','Are you sure you want to delete the shortcut %title?','','none'),(3582,'','default','The shortcut %title has been deleted.','','none'),(3583,'','default','Unable to add a shortcut for %title.','','none'),(3584,'','default','Adding and removing shortcuts','','none'),(3585,'','default','Displaying shortcuts','','none'),(3586,'','default','Administer shortcuts','','none'),(3587,'','default','@shortcut_set shortcuts','','none'),(3588,'','default','Add to %shortcut_set shortcuts','','7.34'),(3589,'','default','Add to shortcuts','','none'),(3590,'','default','Remove from %shortcut_set shortcuts','','none'),(3591,'','default','Remove from shortcuts','','none'),(3592,'','default','Edit shortcuts','','none'),(3593,'','default','Add shortcut','','none'),(3594,'','default','Edit shortcut','','none'),(3595,'','default','Delete shortcut','','none'),(3596,'','default','Allows users to manage customizable lists of shortcut links.','','none'),(3597,'','default','Value @value is TRUE.','','none'),(3598,'','default','Value @value is FALSE.','','none'),(3599,'','default','Value @value is NULL.','','none'),(3600,'','default','Value @value is not NULL.','','none'),(3601,'','default','Value @first is equal to value @second.','','none'),(3602,'','default','Value @first is not equal to value @second.','','none'),(3603,'','default','Value @first is identical to value @second.','','none'),(3604,'','default','Value @first is not identical to value @second.','','none'),(3605,'','default','The test did not complete due to a fatal error.','','none'),(3606,'','default','Link with label %label found.','','none'),(3607,'','default','Link with label %label not found.','','none'),(3608,'','default','Link containing href %href found.','','none'),(3609,'','default','No link containing href %href found.','','none'),(3610,'','default','Clicked link %label (@url_target) from @url_before','','none'),(3611,'','default','Option @option for field @id is selected.','','none'),(3612,'','default','Option @option for field @id is not selected.','','none'),(3613,'','default','GSS negotiate','','none'),(3614,'','default','NTLM','','none'),(3615,'','default','Any safe','','none'),(3616,'','default','Running tests','','none'),(3617,'','default','Visit the <a href=\"@admin-simpletest\">Testing page</a> to display a list of available tests. For comprehensive testing, select <em>all</em> tests, or individually select tests for more targeted testing. Note that it might take several minutes for all tests to complete. For more information on creating and modifying your own tests, see the <a href=\"@simpletest-api\">Testing API Documentation</a> in the Drupal handbook.','','none'),(3618,'','default','After the tests run, a message will be displayed next to each test group indicating whether tests within it passed, failed, or had exceptions. A pass means that the test returned the expected results, while fail means that it did not. An exception normally indicates an error outside of the test, such as a PHP warning or notice. If there were failures or exceptions, the results will be expanded to show details, and the tests that had failures or exceptions will be indicated in red or pink rows. You can then use these results to refine your code and tests, until all tests pass.','','none'),(3619,'','default','Administer tests','','none'),(3620,'','default','The test run finished in @elapsed.','','none'),(3621,'','default','Use the <em>Clean environment</em> button to clean-up temporary files and tables.','','none'),(3622,'','default','The testing framework requires the PHP <a href=\"@open_basedir-url\">open_basedir</a> restriction to be disabled. Check your webserver configuration or contact your web host.','','none'),(3623,'','default','The testing framework could not be installed because the PHP <a href=\"@curl_url\">cURL</a> library is not available.','','none'),(3624,'','default','The testing framework could not be installed because the PHP <a href=\"@hash_url\">hash</a> extension is disabled.','','none'),(3625,'','default','PHP open_basedir restriction','','none'),(3626,'','default','unblock IP address','','none'),(3627,'','default','block IP address','','none'),(3628,'','default','The Statistics module shows you how often a given page is viewed, who viewed it, the previous page the user visited (referrer URL), and when it was viewed. These statistics are useful in determining how users are visiting and navigating your site. For more information, see the online handbook entry for the <a href=\"@statistics\">Statistics module</a>.','','none'),(3629,'','default','Managing logs','','none'),(3630,'','default','Viewing site usage','','none'),(3631,'','default','The Statistics module can help you break down details about your users and how they are using the site. The module offers four reports:','','none'),(3632,'','default','Displaying popular content','','none'),(3633,'','default','The module includes a <em>Popular content</em> block that displays the most viewed pages today and for all time, and the last content viewed. To use the block, enable <em>Count content views</em> on the <a href=\"@statistics-settings\">statistics settings page</a>, and then you can enable and configure the block on the <a href=\"@blocks\">blocks administration page</a>.','','none'),(3634,'','default','Page view counter','','none'),(3635,'','default','The Statistics module includes a counter for each page that increases whenever the page is viewed. To use the counter, enable <em>Count content views</em> on the <a href=\"@statistics-settings\">statistics settings page</a>, and set the necessary <a href=\"@permissions\">permissions</a> (<em>View content hits</em>) so that the counter is visible to the users.','','none'),(3636,'','default','Administer statistics','','none'),(3637,'','default','View content access statistics','','none'),(3638,'','default','View content hits','','none'),(3639,'','default','Control details about what and how your site logs access statistics.','','none'),(3640,'','default','Logging for UNIX, Linux, and Mac OS X','','none'),(3641,'','default','Logging for Microsoft Windows','','none'),(3642,'','default','On Microsoft Windows, messages are always sent to the Event Log using the code <code>LOG_USER</code>.','','none'),(3643,'','default','Syslog facility','','none'),(3644,'','default','Depending on the system configuration, Syslog and other logging tools use this code to identify or filter messages from within the entire system log.','','none'),(3645,'','default','The image %file could not be rotated because the imagerotate() function is not available in this PHP installation.','','none'),(3646,'','default','The image %file could not be desaturated because the imagefilter() function is not available in this PHP installation.','','none'),(3647,'','default','Screenshot for !theme theme','','none'),(3648,'','default','Settings for !theme theme','','none'),(3649,'','default','Disable !theme theme','','none'),(3650,'','default','Set !theme as default theme','','none'),(3651,'','default','Enable !theme theme','','none'),(3652,'','default','Enable and set default','','none'),(3653,'','default','Enable !theme as default theme','','none'),(3654,'','default','default theme','','none'),(3655,'','default','Choose \"Default theme\" to always use the same theme as the rest of the site.','','none'),(3656,'','default','Use the administration theme when editing or creating content','','none'),(3657,'','default','The %theme theme has been enabled.','','none'),(3658,'','default','The %theme theme was not found.','','none'),(3659,'','default','%theme is the default theme and cannot be disabled.','','none'),(3660,'','default','The %theme theme has been disabled.','','none'),(3661,'','default','Please note that the administration theme is still set to the %admin_theme theme; consequently, the theme on this page remains unchanged. All non-administrative sections of the site, however, will show the selected %selected_theme theme by default.','','none'),(3662,'','default','%theme is now the default theme.','','none'),(3663,'','default','User verification status in comments','','none'),(3664,'','default','These settings only exist for the themes based on the %engine theme engine.','','none'),(3665,'','default','The logo could not be uploaded.','','none'),(3666,'','default','The favicon could not be uploaded.','','none'),(3667,'','default','The custom logo path is invalid.','','none'),(3668,'','default','The custom favicon path is invalid.','','none'),(3669,'','default','@module (<span class=\"admin-missing\">incompatible with</span> version @version)','','none'),(3670,'','default','This version is not compatible with Drupal !core_version and should be replaced.','','none'),(3671,'','default','Would you like to continue with the above?','','none'),(3672,'','default','Enter a valid IP address.','','none'),(3673,'','default','This IP address is already blocked.','','none'),(3674,'','default','You may not block your own IP address.','','none'),(3675,'','default','The IP address %ip has been blocked.','','none'),(3676,'','default','Are you sure you want to delete %ip?','','none'),(3677,'','default','The IP address %ip was deleted.','','none'),(3678,'','default','How this is used depends on your site\'s theme.','','none'),(3679,'','default','Number of posts on front page','','none'),(3680,'','default','The maximum number of posts displayed on overview pages such as the front page.','','none'),(3681,'','default','This page is displayed when the requested document is denied to the current user. Leave blank to display a generic \"access denied\" page.','','none'),(3682,'','default','This page is displayed when no other content matches the requested document. Leave blank to display a generic \"page not found\" page.','','none'),(3683,'','default','Errors and warnings','','none'),(3684,'','default','Clear all caches','','none'),(3685,'','default','<strong class=\"error\">Set up the <a href=\"!file-system\">public files directory</a> to make these optimizations available.</strong>','','none'),(3686,'','default','Bandwidth optimization','','none'),(3687,'','default','Compress cached pages.','','none'),(3688,'','default','Public file system path','','none'),(3689,'','default','A local file system path where public files will be stored. This directory must exist and be writable by Drupal. This directory must be relative to the Drupal installation directory and be accessible over the web.','','none'),(3690,'','default','Private file system path','','none'),(3691,'','default','A local file system path where temporary files will be stored. This directory should not be accessible over the web.','','none'),(3692,'','default','Default download method','','none'),(3693,'','default','This setting is used as the preferred download method. The use of public files is more efficient, but does not provide any access control.','','none'),(3694,'','default','Description of your site, included in each feed.','','none'),(3695,'','default','Time zones','','none'),(3696,'','default','Users may set their own time zone.','','none'),(3697,'','default','Remind users at login if their time zone is not set.','','none'),(3698,'','default','Only applied if users may set their own time zone.','','none'),(3699,'','default','Time zone for new users','','none'),(3700,'','default','Default time zone.','','none'),(3701,'','default','Empty time zone.','','none'),(3702,'','default','Users may set their own time zone at registration.','','none'),(3703,'','default','No date types available. <a href=\"@link\">Add date type</a>.','','none'),(3704,'','default','Add date type','','7.34'),(3705,'','default','The date type must contain only alphanumeric characters and underscores.','','none'),(3706,'','default','This date type already exists. Enter a unique type.','','none'),(3707,'','default','New date type added successfully.','','none'),(3708,'','default','Put site into maintenance mode','','none'),(3709,'','default','Maintenance mode message','','none'),(3710,'','default','Message to show visitors when the site is in maintenance mode.','','none'),(3711,'','default','Use URLs like <code>example.com/user</code> instead of <code>example.com/?q=user</code>.','','none'),(3712,'','default','Requires: !module-list','','none'),(3713,'','default','Required by: !module-list','','none'),(3714,'','default','Are you sure you want to remove the date type %type?','','none'),(3715,'','default','Removed date type %type.','','none'),(3716,'','default','No custom date formats available. <a href=\"@link\">Add date format</a>.','','none'),(3717,'','default','Displayed as','','none'),(3718,'','default','Displayed as %date','','none'),(3719,'','default','A user-defined date format. See the <a href=\"@url\">PHP manual</a> for available options.','','none'),(3720,'','default','Save format','','none'),(3721,'','default','This format already exists. Enter a unique format string.','','none'),(3722,'','default','Custom date format updated.','','none'),(3723,'','default','Custom date format added.','','none'),(3724,'','default','Available actions:','','none'),(3725,'','default','Create an advanced action','','none'),(3726,'','default','A unique label for this advanced action. This label will be displayed in the interface of modules that integrate with actions, such as Trigger module.','','none'),(3727,'','default','Deleted %ip','','none'),(3728,'','default','Enabled theme','','none'),(3729,'','default','Enabled themes','','none'),(3730,'','default','Disabled theme','','none'),(3731,'','default','Tokens for site-wide settings and other global information.','','none'),(3732,'','default','Tokens related to times and dates.','','none'),(3733,'','default','Tokens related to uploaded files.','','none'),(3734,'','default','URL (brief)','','none'),(3735,'','default','The URL of the site\'s front page without the protocol.','','none'),(3736,'','default','Short format','','none'),(3737,'','default','A date in \'short\' format. (%date)','','none'),(3738,'','default','Medium format','','none'),(3739,'','default','A date in \'medium\' format. (%date)','','none'),(3740,'','default','Long format','','none'),(3741,'','default','A date in \'long\' format. (%date)','','none'),(3742,'','default','A date in a custom format. See !php-date for details.','','none'),(3743,'','default','the PHP documentation','','none'),(3744,'','default','Time-since','','none'),(3745,'','default','Raw timestamp','','none'),(3746,'','default','A date in UNIX timestamp format (%date)','','none'),(3747,'','default','The System module is integral to the site, and provides basic but extensible functionality for use by other modules and themes. Some integral elements of Drupal are contained in and managed by the System module, including caching, enabling and disabling modules and themes, preparing and displaying the administrative page, and configuring fundamental site settings. A number of key system maintenance operations are also part of the System module. For more information, see the online handbook entry for <a href=\"@system\">System module</a>.','','none'),(3748,'','default','Managing modules','','none'),(3749,'','default','Managing themes','','none'),(3750,'','default','Managing caching','','none'),(3751,'','default','Performing system maintenance','','none'),(3752,'','default','Configuring basic site settings','','none'),(3753,'','default','Configuring actions','','none'),(3754,'','default','Set and configure the default theme for your website.  Alternative <a href=\"@themes\">themes</a> are available.','','none'),(3755,'','default','Download additional <a href=\"@modules\">contributed modules</a> to extend Drupal\'s functionality.','','none'),(3756,'','default','Regularly review and install <a href=\"@updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated.','','none'),(3757,'','default','Regularly review <a href=\"@updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated.','','none'),(3758,'','default','Regularly review available updates to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated. Enable the Update manager module to update and install modules and themes.','','none'),(3759,'','default','If you are upgrading to a newer version of Drupal or upgrading contributed modules or themes, you may need to run the <a href=\"@update-php\">update script</a>.','','none'),(3760,'','default','Administer modules','','none'),(3761,'','default','Administer site configuration','','none'),(3762,'','default','Administer themes','','none'),(3763,'','default','Administer actions','','none'),(3764,'','default','Use the administration pages and help','','none'),(3765,'','default','Use the site in maintenance mode','','none'),(3766,'','default','View site reports','','none'),(3767,'','default','Block IP addresses','','none'),(3768,'','default','Public files','','7.34'),(3769,'','default','Public local files served by the webserver.','','7.34'),(3770,'','default','Private local files served by Drupal.','','none'),(3771,'','default','Temporary files','','7.34'),(3772,'','default','Temporary local files for upload and previews.','','7.34'),(3773,'','default','Update modules','','none'),(3774,'','default','Update themes','','none'),(3775,'','default','SSH','','none'),(3776,'','default','Your password is not saved in the database and is only used to establish a connection.','','none'),(3777,'','default','The connection will be created between your web server and the machine hosting the web server files. In the vast majority of cases, this will be the same machine, and \"localhost\" is correct.','','none'),(3778,'','default','Configure your <a href=\"@user-edit\">account time zone setting</a>.','','none'),(3779,'','default','Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.','','none'),(3780,'','default','Your time zone setting will be automatically detected if possible. Confirm the selection and click save.','','none'),(3781,'','default','System help','','7.34'),(3782,'','default','The directory %directory does not exist and could not be created.','','none'),(3783,'','default','The directory %directory exists but is not writable and could not be made writable.','','none'),(3784,'','default','The email address to which the message should be sent OR enter [node:author:mail], [comment:author:mail], etc. if you would like to send an e-mail to the author of the original post.','','none'),(3785,'','default','The message that should be sent. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.','','none'),(3786,'','default','The message to be displayed to the current user. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.','','none'),(3787,'','default','@zone: @date','','none'),(3788,'','default','Powered by <a href=\"@poweredby\">Drupal</a>','','none'),(3789,'','default','AHAH callback','','none'),(3790,'','default','Administer blocks, content types, menus, etc.','','7.34'),(3791,'','default','Select and configure your theme','','7.34'),(3792,'','default','Enable theme','','none'),(3793,'','default','Disable theme','','none'),(3794,'','default','Set default theme','','none'),(3795,'','default','Configure default and theme specific settings.','','7.34'),(3796,'','default','IP address blocking','','7.34'),(3797,'','default','Manage blocked IP addresses.','','7.34'),(3798,'','default','Delete IP address','','none'),(3799,'','default','Media tools.','','7.34'),(3800,'','default','Tools related to web services.','','7.34'),(3801,'','default','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','7.34'),(3802,'','default','Development tools.','','7.34'),(3803,'','default','Maintenance mode','','7.34'),(3804,'','default','Take the site offline for maintenance or bring it back online.','','7.34'),(3805,'','default','Logging and errors','','7.34'),(3806,'','default','Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','','7.34'),(3807,'','default','Regional and language','','7.34'),(3808,'','default','Regional settings, localization and translation.','','7.34'),(3809,'','default','Settings for the site\'s default time zone and country.','','7.34'),(3810,'','default','Configure display formats for date and time.','','7.34'),(3811,'','default','Add new date type.','','7.34'),(3812,'','default','Delete date type','','none'),(3813,'','default','Allow users to delete a configured date type.','','none'),(3814,'','default','Configure display format strings for date and time.','','7.34'),(3815,'','default','Edit date format','','none'),(3816,'','default','Allow users to edit a configured date format.','','none'),(3817,'','default','Search and metadata','','7.34'),(3818,'','default','Local site search, metadata and SEO.','','7.34'),(3819,'','default','General system related configuration.','','7.34'),(3820,'','default','Tools that enhance the user interface.','','7.34'),(3821,'','default','Content workflow, editorial workflow tools.','','7.34'),(3822,'','default','Content authoring','','7.34'),(3823,'','default','Settings related to formatting and authoring content.','','7.34'),(3824,'','default','The host !host is no longer blocked because it is not a valid IP address.','','none'),(3825,'','default','Aggressive caching was disabled and replaced with normal caching. Read the page caching section in default.settings.php for more information on how to enable similar functionality.','','none'),(3826,'','default','%profile_name (%profile-%version)','','none'),(3827,'','default','more information','','none'),(3828,'','default','The phpinfo() function has been disabled for security reasons. To see your server\'s phpinfo() information, change your PHP settings or contact your server administrator. For more information, <a href=\"@phpinfo\">Enabling and disabling phpinfo()</a> handbook page.','','none'),(3829,'','default','To run cron from outside the site, go to <a href=\"!cron\">!cron</a>','','none'),(3830,'','default','An automated attempt to create this directory failed, possibly due to a permissions problem. To proceed with the installation, either create the directory and modify its permissions manually or ensure that the installer has the permissions to create it automatically. For more information, see INSTALL.txt or the <a href=\"@handbook_url\">online handbook</a>.','','none'),(3831,'','default','Your configuration has been saved.','','none'),(3832,'','default','No vocabularies available. <a href=\"@link\">Add vocabulary</a>.','','none'),(3833,'','default','No terms available. <a href=\"@link\">Add term</a>.','','none'),(3834,'','default','There is currently no content classified with this term.','','none'),(3835,'','default','Tokens related to taxonomy terms.','','none'),(3836,'','default','Tokens related to taxonomy vocabularies.','','none'),(3837,'','default','The Taxonomy module allows you to classify the content of your website. To classify content, you define <em>vocabularies</em> that contain related <em>terms</em>, and then assign the vocabularies to content types. For more information, see the online handbook entry for the <a href=\"@taxonomy\">Taxonomy module</a>.','','none'),(3838,'','default','Creating vocabularies','','none'),(3839,'','default','<em>vocabulary</em>: Music','','none'),(3840,'','default','<em>term</em>: Jazz','','none'),(3841,'','default','<em>sub-term</em>: Swing','','none'),(3842,'','default','<em>sub-term</em>: Fusion','','none'),(3843,'','default','<em>term</em>: Rock','','none'),(3844,'','default','<em>sub-term</em>: Country rock','','none'),(3845,'','default','<em>sub-term</em>: Hard rock','','none'),(3846,'','default','Terms in a <em>free-tagging vocabulary</em> can be built gradually as you create or edit content. This is often done used for blogs or photo management applications.','','none'),(3847,'','default','Assigning vocabularies to content types','','none'),(3848,'','default','Classifying content','','none'),(3849,'','default','Viewing listings and RSS feeds by term','','none'),(3850,'','default','Extending Taxonomy module','','none'),(3851,'','default','There are <a href=\"@taxcontrib\">many contributed modules</a> that extend the behavior of the Taxonomy module for both display and organization of terms.','','none'),(3852,'','default','Taxonomy is for categorizing content. Terms are grouped into vocabularies. For example, a vocabulary called \"Fruit\" would contain the terms \"Apple\" and \"Banana\".','','none'),(3853,'','default','You can reorganize the terms in %capital_name using their drag-and-drop handles, and group terms under a parent term by sliding them under and to the right of the parent.','','none'),(3854,'','default','%capital_name contains terms grouped under parent terms. You can reorganize the terms in %capital_name using their drag-and-drop handles.','','none'),(3855,'','default','%capital_name contains terms with multiple parents. Drag and drop of terms with multiple parents is not supported, but you can re-enable drag-and-drop support by editing each term to include only a single parent.','','none'),(3856,'','default','Administer vocabularies and terms','','none'),(3857,'','default','Edit terms in %vocabulary','','none'),(3858,'','default','Delete terms from %vocabulary','','none'),(3859,'','default','Taxonomy term page','','7.34'),(3860,'','default','Term reference','','7.34'),(3861,'','default','This field stores a reference to a taxonomy term.','','7.34'),(3862,'','default','Autocomplete term widget (tagging)','','7.34'),(3863,'','default','The vocabulary which supplies the options for this field.','','none'),(3864,'','default','The Toolbar module displays links to top-level administration menu items and links from other modules at the top of the screen. For more information, see the online handbook entry for <a href=\"@toolbar\">Toolbar module</a>.','','none'),(3865,'','default','Displaying administrative links','','none'),(3866,'','default','Use the administration toolbar','','none'),(3867,'','default','Toggle drawer visibility','','none'),(3868,'','default','Provides a toolbar that shows the top-level administration menu items and links from other modules.','','none'),(3869,'','default','The Tracker module displays the most recently added and updated content on your site, and allows you to follow new content created by each user. This module has no configuration options. For more information, see the online handbook entry for <a href=\"@tracker\">Tracker module</a>.','','none'),(3870,'','default','The Tracker module adds a new menu item to the Navigation menu, called <em>Recent content</em>. You can configure menu items via the <a href=\"@menus\">Menus administration page</a>.','','none'),(3871,'','default','Tracking new and updated site content','','none'),(3872,'','default','The <a href=\'@recent\'>Recent content</a> page shows new and updated content in reverse chronological order, listing the content type, title, author\'s name, number of comments, and time of last update. Content is considered updated when changes occur in the text, or when new comments are added. The <em>My recent content</em> tab limits the list to the currently logged-in user.','','none'),(3873,'','default','Tracking user-specific content','','none'),(3874,'','default','To follow a specific user\'s new and updated content, select the <em>Track</em> tab from the user\'s profile page.','','none'),(3875,'','default','All recent content','','none'),(3876,'','default','My recent content','','none'),(3877,'','default','Track content','','none'),(3878,'','default','Enables tracking of recent content for users.','','none'),(3879,'','default','The Content translation module allows content to be translated into different languages. Working with the <a href=\"@locale\">Locale module</a> (which manages enabled languages and provides translation for the site interface), the Content translation module is key to creating and maintaining translated site content. For more information, see the online handbook entry for <a href=\"@translation\">Content translation module</a>.','','none'),(3880,'','default','Configuring content types for translation','','none'),(3881,'','default','Assigning a language to content','','none'),(3882,'','default','Use the <em>Language</em> drop down to select the appropriate language when creating or editing content.','','none'),(3883,'','default','Translating content','','none'),(3884,'','default','Maintaining translations','','none'),(3885,'','default','Translate content','','none'),(3886,'','default','There is already a translation in this language.','','none'),(3887,'','default','Trigger: !description','','none'),(3888,'','default','No actions available for this trigger. <a href=\"@link\">Add action</a>.','','none'),(3889,'','default','Missing/undefined save action (%save_aid) for %aid action.','','none'),(3890,'','default','The %label action has been appended, which is required to save the property change.','','none'),(3891,'','default','The %label action was moved to save the property change.','','none'),(3892,'','default','Configuring triggers and actions','','none'),(3893,'','default','When either saving new content or updating existing content','','none'),(3894,'','default','After saving updated content','','none'),(3895,'','default','When either saving a new comment or updating an existing comment','','none'),(3896,'','default','After creating a new user account','','none'),(3897,'','default','After updating a user account','','none'),(3898,'','default','Configure when to execute actions.','','none'),(3899,'','default','Installing updates','','none'),(3900,'','default','Preparing to update your site','','none'),(3901,'','default','Installing %project','','none'),(3902,'','default','Preparing to install','','none'),(3903,'','default','Error installing / updating','','none'),(3904,'','default','Installed %project_name successfully','','none'),(3905,'','default','Update was completed successfully. Your site has been taken out of maintenance mode.','','none'),(3906,'','default','Update was completed successfully.','','none'),(3907,'','default','Update failed! See the log below for more information.','','none'),(3908,'','default','Update failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(3909,'','default','Installation was completed successfully. Your site has been taken out of maintenance mode.','','none'),(3910,'','default','Installation was completed successfully.','','none'),(3911,'','default','Installation failed! See the log below for more information.','','none'),(3912,'','default','Installation failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(3913,'','default','Failed to get available update data.','','none'),(3914,'','default','No available update data','','none'),(3915,'','default','Checking available update data','','none'),(3916,'','default','Trying to check available update data ...','','none'),(3917,'','default','Error checking available update data.','','none'),(3918,'','default','Checking available update data ...','','none'),(3919,'','default','Checked available update data for %title.','','none'),(3920,'','default','Failed to check available update data for %title.','','none'),(3921,'','default','An error occurred trying to get available update data.','','none'),(3922,'','default','There was a problem getting update information. Try again later.','','none'),(3923,'','default','(Theme)','','none'),(3924,'','default','(Release notes)','','none'),(3925,'','default','(Security update)','','none'),(3926,'','default','(Unsupported)','','none'),(3927,'','default','All of your projects are up to date.','','none'),(3928,'','default','Download these updates','','none'),(3929,'','default','Manual updates required','','none'),(3930,'','default','Updates of Drupal core are not supported at this time.','','none'),(3931,'','default','You must select at least one project to update.','','none'),(3932,'','default','Downloading updates','','none'),(3933,'','default','Preparing to download selected updates','','none'),(3934,'','default','Downloading updates failed:','','none'),(3935,'','default','Updates downloaded successfully.','','none'),(3936,'','default','Fatal error trying to download.','','none'),(3937,'','default','Back up your database and site before you continue. <a href=\"@backup_url\">Learn how</a>.','','none'),(3938,'','default','Perform updates with site in maintenance mode (strongly recommended)','','none'),(3939,'','default','Install from a URL','','none'),(3940,'','default','For example: %url','','none'),(3941,'','default','Upload a module or theme archive to install','','none'),(3942,'','default','For example: %filename from your local computer','','none'),(3943,'','default','You must either provide a URL or upload an archive file to install.','','none'),(3944,'','default','The provided URL is invalid.','','none'),(3945,'','default','Unable to retrieve Drupal project from %url.','','none'),(3946,'','default','Provided archive contains no files.','','none'),(3947,'','default','Unable to determine %project name.','','none'),(3948,'','default','%project is already installed.','','none'),(3949,'','default','Cannot extract %file, not a valid archive.','','none'),(3950,'','default','Downloading %project','','none'),(3951,'','default','Failed to download %project from %url','','none'),(3952,'','default','Includes:','','7.34'),(3953,'','default','Enabled: %includes','','none'),(3954,'','default','Disabled: %disabled','','none'),(3955,'','default','%base_theme (!base_label)','','none'),(3956,'','default','Depends on: !basethemes','','none'),(3957,'','default','Required by: %subthemes','','none'),(3958,'','default','The Update manager also allows administrators to update and install modules and themes through the administration interface.','','none'),(3959,'','default','Checking for available updates','','none'),(3960,'','default','Performing updates through the user interface','','none'),(3961,'','default','Installing new modules and themes through the user interface','','none'),(3962,'','default','No update information available. <a href=\"@run_cron\">Run cron</a> or <a href=\"@check_manually\">check manually</a>.','','7.34'),(3963,'','default','You can automatically install your missing updates using the Update manager:','','none'),(3964,'','default','Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, !url.','','none'),(3965,'','default','Your site is currently configured to send these emails only when security updates are available. To get notified for any available updates, !url.','','none'),(3966,'','default','There was a problem checking <a href=\"@update-report\">available updates</a> for Drupal.','','7.32'),(3967,'','default','There was a problem checking <a href=\"@update-report\">available updates</a> for your modules or themes.','','none'),(3968,'','default','See the <a href=\"@available_updates\">available updates</a> page for more information and to install your missing updates.','','none'),(3969,'','default','Ready to update','','none'),(3970,'','default','Update manager','','none'),(3971,'','default','Checks for available updates, and can securely install or update modules and themes via a web interface.','','none'),(3972,'','default','No people available.','','none'),(3973,'','default','Registration and cancellation','','none'),(3974,'','default','Who can register accounts?','','none'),(3975,'','default','Administrators only','','none'),(3976,'','default','Visitors, but administrator approval is required','','none'),(3977,'','default','Require e-mail verification when a visitor creates an account.','','none'),(3978,'','default','When cancelling a user account','','none'),(3979,'','default','Users with the %select-cancel-method or %administer-users <a href=\"@permissions-url\">permissions</a> can override this default method.','','none'),(3980,'','default','Select method for cancelling account','','none'),(3981,'','default','Administer users','','none'),(3982,'','default','Personalization','','none'),(3983,'','default','Enable signatures.','','none'),(3984,'','default','The directory %directory does not exist or is not writable.','','none'),(3985,'','default','Enable user pictures.','','none'),(3986,'','default','Picture directory','','none'),(3987,'','default','Picture display style','','none'),(3988,'','default','Picture upload dimensions','','none'),(3989,'','default','Picture upload file size','','none'),(3990,'','default','E-mails','','7.32'),(3991,'','default','Welcome (new user created by administrator)','','none'),(3992,'','default','Edit the welcome e-mail messages sent to new member accounts created by an administrator.','','none'),(3993,'','default','Welcome (awaiting approval)','','none'),(3994,'','default','Edit the welcome e-mail messages sent to new members upon registering, when administrative approval is required.','','none'),(3995,'','default','Welcome (no approval required)','','none'),(3996,'','default','Edit the welcome e-mail messages sent to new members upon registering, when no administrator approval is required.','','none'),(3997,'','default','Password recovery','','none'),(3998,'','default','Edit the e-mail messages sent to users who request a new password.','','none'),(3999,'','default','Account activation','','none'),(4000,'','default','Enable and edit e-mail messages sent to users upon account activation (when an administrator activates an account of a user who has already registered, on a site where administrative approval is required).','','none'),(4001,'','default','Enable and edit e-mail messages sent to users when their accounts are blocked.','','none'),(4002,'','default','Account cancellation confirmation','','none'),(4003,'','default','Edit the e-mail messages sent to users when they attempt to cancel their accounts.','','none'),(4004,'','default','Account canceled','','none'),(4005,'','default','Enable and edit e-mail messages sent to users when their accounts are canceled.','','none'),(4006,'','default','Notify user when account is canceled.','','none'),(4007,'','default','The role name %name already exists. Choose another role name.','','none'),(4008,'','default','You are logged in as %user. <a href=\"!user_edit\">Change your password.</a>','','none'),(4009,'','default','The one-time login link you clicked is invalid.','','none'),(4010,'','default','You have just used your one-time login link. It is no longer necessary to use this link to log in. Please change your password.','','none'),(4011,'','default','<p>This is a one-time login for %user_name and will expire on %expiration_date.</p><p>Click on this button to log in to the site and change your password.</p>','','none'),(4012,'','default','When cancelling your account','','none'),(4013,'','default','When cancelling the account','','none'),(4014,'','default','Require e-mail confirmation to cancel account.','','none'),(4015,'','default','When enabled, the user must confirm the account cancellation via e-mail.','','none'),(4016,'','default','When enabled, the user will receive an e-mail notification after the account has been cancelled.','','none'),(4017,'','default','Are you sure you want to cancel your account?','','none'),(4018,'','default','Are you sure you want to cancel the account %name?','','none'),(4019,'','default','Select the method to cancel the account above.','','none'),(4020,'','default','A confirmation request to cancel your account has been sent to your e-mail address.','','none'),(4021,'','default','Your account will be blocked and you will no longer be able to log in. All of your content will remain attributed to your user name.','','none'),(4022,'','default','Your account will be blocked and you will no longer be able to log in. All of your content will be hidden from everyone but administrators.','','none'),(4023,'','default','Your account will be removed and all account information deleted. All of your content will be assigned to the %anonymous-name user.','','none'),(4024,'','default','Your account will be removed and all account information deleted. All of your content will also be deleted.','','none'),(4025,'','default','You have tried to use an account cancellation link that has expired. Please request a new one using the form below.','','none'),(4026,'','default','Sent account cancellation request to %name %email.','','none'),(4027,'','default','Tokens related to individual user accounts.','','none'),(4028,'','default','Tokens related to the currently logged in user.','','none'),(4029,'','default','Creating and managing users','','none'),(4030,'','default','The User module allows users with the appropriate <a href=\"@permissions\">permissions</a> to create user accounts through the <a href=\"@people\">People administration page</a>, where they can also assign users to one or more roles, and block or delete user accounts. If allowed, users without accounts (anonymous users) can create their own accounts on the <a href=\"@register\">Create new account</a> page.','','none'),(4031,'','default','User roles and permissions','','none'),(4032,'','default','By default, Drupal comes with two user roles:','','none'),(4033,'','default','Anonymous user: this role is used for users that don\'t have a user account or that are not authenticated.','','none'),(4034,'','default','Authenticated user: this role is automatically granted to all logged in users.','','none'),(4035,'','default','This form lets administrators add, edit, and arrange fields for storing user data.','','none'),(4036,'','default','This form lets administrators configure how fields should be displayed when rendering a user profile page.','','none'),(4037,'','default','Administer permissions','','none'),(4038,'','default','View user profiles','','none'),(4039,'','default','Change own username','','none'),(4040,'','default','Cancel own user account','','none'),(4041,'','default','Select method for cancelling own account','','none'),(4042,'','default','Spaces are allowed; punctuation is not allowed except for periods, hyphens, apostrophes, and underscores.','','none'),(4043,'','default','The signature is too long: it must be %max characters or less.','','none'),(4044,'','default','Cancelling account','','none'),(4045,'','default','Cancelling user account','','none'),(4046,'','default','%name has been disabled.','','none'),(4047,'','default','Account details for [user:name] at [site:name]','','none'),(4048,'','default','An administrator created an account for you at [site:name]','','none'),(4049,'','default','Account details for [user:name] at [site:name] (pending admin approval)','','none'),(4050,'','default','[user:name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team','','none'),(4051,'','default','[user:name] has applied for an account.\n\n[user:edit-url]','','none'),(4052,'','default','Replacement login information for [user:name] at [site:name]','','none'),(4053,'','default','Account details for [user:name] at [site:name] (approved)','','none'),(4054,'','default','Account details for [user:name] at [site:name] (blocked)','','none'),(4055,'','default','Account cancellation request for [user:name] at [site:name]','','none'),(4056,'','default','Account details for [user:name] at [site:name] (canceled)','','none'),(4057,'','default','Cancel the selected user accounts','','none'),(4058,'','default','The user account %name cannot be cancelled.','','none'),(4059,'','default','When cancelling these accounts','','none'),(4060,'','default','Are you sure you want to cancel these user accounts?','','none'),(4061,'','default','Cancel accounts','','none'),(4062,'','default','To make your password stronger:','','none'),(4063,'','default','Make it at least 6 characters','','none'),(4064,'','default','Add lowercase letters','','none'),(4065,'','default','Add uppercase letters','','none'),(4066,'','default','Add numbers','','none'),(4067,'','default','Add punctuation','','none'),(4068,'','default','Make it different from your username','','none'),(4069,'','default','Weak','','none'),(4070,'','default','Fair','','none'),(4071,'','default','Blocked user: %name %email.','','none'),(4072,'','default','Sorry, there has been more than one failed login attempt for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4073,'','default','Sorry, there have been more than @count failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4074,'','default','Sorry, there have been more than @count[2] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4075,'','default','Sorry, there have been more than @count[3] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4076,'','default','Sorry, there have been more than @count[4] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4077,'','default','Sorry, there have been more than @count[5] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(4078,'','default','Find and manage people interacting with your site.','','7.34'),(4079,'','default','Confirm account cancellation','','none'),(4080,'','default','User passwords rehashed to improve security','','none'),(4081,'','default','Migrated user time zones','','none'),(4082,'','default','Minimal','','none'),(4083,'','default','Basic page','','none'),(4084,'','default','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','7.34'),(4085,'','default','Enter a comma-separated list of words to describe your content.','','none'),(4086,'','default','Content width','','none'),(4087,'','default','Image style','','none'),(4088,'','default','1 pending update (@number_applied to be applied, @number_incompatible skipped)','','none'),(4089,'','default','@count pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(4090,'','default','@count[2] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(4091,'','default','@count[3] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(4092,'','default','@count[4] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(4093,'','default','@count[5] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(4094,'','default','The Blog module allows registered users to maintain an online journal, or <em>blog</em>. Blogs are made up of individual <em>blog entries</em>. By default, the blog entries are displayed by creation time in descending order, with comments enabled, and are promoted to the site\'s front page. For more information, see the online handbook entry for <a href=\'@blog\'>Blog module</a>.','','none'),(4095,'','default','Author textfield','','7.34'),(4096,'','default','Subject textfield','','7.34'),(4097,'','default','A contact form with category %category already exists.','','none'),(4098,'','default','Hello !recipient-name,','','none'),(4099,'','default','Attempt to create an instance of a field @field_name that doesn\'t exist or is currently inactive.','','none'),(4100,'','default','Attempt to create an instance of field @field_name on bundle @bundle that already has an instance of that field.','','none'),(4101,'','default','Field API to add fields to entities like nodes and users.','','none'),(4102,'','default','Overview of fields on all entity types.','','7.34'),(4103,'','default','Configuring text formats','','none'),(4104,'','default','Show more content','','none'),(4105,'','default','Collapse','','none'),(4106,'','default','The testing framework requires the DOMDocument class to be available. Check the configure command at the <a href=\"@link-phpinfo\">PHP info page</a>.','','none'),(4107,'','default','Error messages to display','','none'),(4108,'','default','It is recommended that sites running on production environments do not display any errors.','','none'),(4109,'','default','Cannot open %file_path','','none'),(4110,'','default','Term name textfield','','7.34'),(4111,'','default','Term description textarea','','7.34'),(4112,'','default','Password reset instructions will be mailed to %email. You must log out to use the password reset link in the e-mail.','','none'),(4113,'','default','Enter your current password to change the %mail or %pass. !request_new.','','none'),(4114,'','default','Current password','','none'),(4115,'','default','Your current password is missing or incorrect; it\'s required to change the %name.','','none'),(4116,'','default','A welcome message with further instructions has been e-mailed to the new user <a href=\"@url\">%name</a>.','','none'),(4117,'','default','A welcome message with further instructions has been sent to your e-mail address.','','none'),(4118,'','default','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','7.34'),(4119,'','default','%module module installed.','','none'),(4120,'','default','Use this page to create a new custom block.','','none'),(4121,'','default','Number of recent blog posts to display','','none'),(4122,'','default','@node_type comment','','7.34'),(4123,'','default','Edit comment %comment','','none'),(4124,'','default','Planning fields','','none'),(4125,'','default','What the field will be called','','none'),(4126,'','default','A field has a <em>label</em> (the name displayed in the user interface) and a <em>machine name</em> (the name used internally). The label can be changed after you create the field, if needed, but the machine name cannot be changed after you have created the field.','','none'),(4127,'','default','What type of data the field will store','','none'),(4128,'','default','Each field can store one type of data (text, number, file, etc.). When you define a field, you choose a particular <em>field type</em>, which corresponds to the type of data you want to store. The field type cannot be changed after you have created the field.','','none'),(4129,'','default','How the data will be input and displayed','','none'),(4130,'','default','How many values the field will store','','none'),(4131,'','default','You can store one value, a specific maximum number of values, or an unlimited number of values in each field. For example, an employee identification number field might store a single number, whereas a phone number field might store multiple phone numbers. This setting can be changed after you have created the field, but if you reduce the maximum number of values, you may lose information.','','none'),(4132,'','default','Reusing fields','','none'),(4133,'','default','Once you have defined a field, you can reuse it. For example, if you define a custom image field for one content type, and you need to have an image field with the same parameters on another content type, you can add the same field to the second content type, in the <em>Add existing field</em> area of the user interface. You could also add this field to a taxonomy vocabulary, comments, user accounts, etc.','','none'),(4134,'','default','Some settings of a reused field are unique to each use of the field; others are shared across all places you use the field. For example, the label of a text field is unique to each use, while the setting for the number of values is shared.','','none'),(4135,'','default','Fields on content items','','none'),(4136,'','default','Fields on taxonomy terms','','none'),(4137,'','default','Fields on taxonomy terms are defined at the taxonomy vocabulary level, on the <em>Manage fields</em> tab of the vocabulary edit page (which you can reach from the <a href=\"@taxonomy\">Taxonomy page</a>). When you define a field for a vocabulary, each term in that vocabulary will have that field added to it. For example, you could define an image field for a vocabulary to store an icon with each term.','','none'),(4138,'','default','Fields on user accounts','','none'),(4139,'','default','Fields on user accounts are defined on a site-wide basis on the <a href=\"@fields\">Manage fields tab</a> of the <a href=\"@accounts\">Account settings</a> page. When you define a field for user accounts, each user account will have that field added to it. For example, you could add a long text field to allow users to include a biography.','','none'),(4140,'','default','Fields on comments','','none'),(4141,'','default','Fields on comments are defined at the content-type level, on the <em>Comment fields</em> tab of the content type edit page (which you can reach from the <a href=\"@types\">Content types page</a>). When you add a field for comments, each comment on a content item of that type will have that field added to it. For example, you could add a website field to the comments on forum posts, to allow forum commenters to add a link to their website.','','none'),(4142,'','default','Administer text formats and filters','','none'),(4143,'','default','@type language detection','','none'),(4144,'','default','Existing strings and the plural format are kept, only new strings are added.','','none'),(4145,'','default','Define how to decide which language is used to display page elements (primarily text provided by Drupal and modules, such as field labels and help text). This decision is made by evaluating a series of detection methods for languages; the first detection method that gets a result will determine which language is used for that type of text. Define the order of evaluation of language detection methods on this page.','','none'),(4146,'','default','User interface text','','7.34'),(4147,'','default','Use the detected interface language.','','none'),(4148,'','default','Add new %type','','none'),(4149,'','default','The new set is created by copying items from your default shortcut set.','','none'),(4150,'','default','The new set is created by copying items from the %default set.','','none'),(4151,'','default','You are currently using the %set-name shortcut set.','','none'),(4152,'','default','edit set name','','none'),(4153,'','default','delete set','','none'),(4154,'','default','Create new set','','none'),(4155,'','default','The %set_name shortcut set has been created. You can edit it from this page.','','none'),(4156,'','default','Updated set name to %set-name.','','none'),(4157,'','default','If you have chosen this shortcut set as the default for some or all users, they may also be affected by deleting it.','','none'),(4158,'','default','Are you sure you want to delete the shortcut set %title?','','none'),(4159,'','default','The shortcut set %title has been deleted.','','none'),(4160,'','default','1 user has chosen or been assigned to this shortcut set.','','none'),(4161,'','default','@count users have chosen or been assigned to this shortcut set.','','none'),(4162,'','default','@count[2] users have chosen or been assigned to this shortcut set.','','none'),(4163,'','default','@count[3] users have chosen or been assigned to this shortcut set.','','none'),(4164,'','default','@count[4] users have chosen or been assigned to this shortcut set.','','none'),(4165,'','default','@count[5] users have chosen or been assigned to this shortcut set.','','none'),(4166,'','default','Administering shortcuts','','none'),(4167,'','default','Choosing shortcut sets','','none'),(4168,'','default','Users with permission to switch shortcut sets can choose a shortcut set to use from the Shortcuts tab of their user account page.','','none'),(4169,'','default','Define which shortcut set you are using on the <a href=\"@shortcut-link\">Shortcuts tab</a> of your account page.','','none'),(4170,'','default','Edit current shortcut set','','none'),(4171,'','default','Select any shortcut set','','none'),(4172,'','default','Add and modify shortcut sets.','','7.34'),(4173,'','default','Add shortcut set','','7.34'),(4174,'','default','Edit set name','','none'),(4175,'','default','Delete shortcut set','','none'),(4176,'','default','@remote could not be saved to @path.','','none'),(4177,'','default','Drupal requires you to enable the PHP extensions in the following list (see the <a href=\"@system_requirements\">system requirements page</a> for more information):','','none'),(4178,'','default','Database support','','none'),(4179,'','default','Your web server does not appear to support any common PDO database extensions. Check with your hosting provider to see if they support PDO (PHP Data Objects) and offer any databases that <a href=\"@drupal-databases\">Drupal supports</a>.','','none'),(4180,'','default','Footer first column','','7.34'),(4181,'','default','Footer second column','','7.34'),(4182,'','default','Footer third column','','7.34'),(4183,'','default','Footer fourth column','','7.34'),(4184,'','default','Kyrgyz','','none'),(4185,'','default','theme() may not be called until all modules are loaded.','','none'),(4186,'','default','GD library PNG support','','none'),(4187,'','default','The date the comment was most recently updated.','','none'),(4188,'','default','Comment posted: %subject.','','none'),(4189,'','default','On value','','none'),(4190,'','default','If left empty, \"1\" will be used.','','none'),(4191,'','default','Off value','','none'),(4192,'','default','If left empty, \"0\" will be used.','','none'),(4193,'','default','This field has been disabled because you do not have sufficient permissions to edit it.','','none'),(4194,'','default','Select a forum.','','none'),(4195,'','default','GD library rotate and desaturate effects','','none'),(4196,'','default','View, edit and delete all content regardless of permission restrictions.','','none'),(4197,'','default','You must validate your email address for this account before logging in via OpenID.','','none'),(4198,'','default','The HTML ID %id is unique.','','none'),(4199,'','default','Syslog format','','none'),(4200,'','default','External resources can be optimized automatically, which can reduce both the size and number of requests made to your website.','','none'),(4201,'','default','A date in \'time-since\' format. (%date)','','none'),(4202,'','default','The location of the file relative to Drupal root.','','none'),(4203,'','default','HTTP error @errorcode occurred when trying to fetch @remote.','','none'),(4204,'','default','A translation of %title in %language already exists, a new %type will be created instead of a translation.','','none'),(4205,'','default','Your modules have been downloaded and updated.','','none'),(4206,'','default','<a href=\"@update\">Run database updates</a>','','none'),(4207,'','default','@name <em>(locked)</em>','','none'),(4208,'','default','Are you sure you want to delete the role %name ?','','none'),(4209,'','default','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','7.34'),(4210,'','default','Filipino','','none'),(4211,'','default','Swiss German','','none'),(4212,'','default','Scots','','none'),(4213,'; modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(4214,'','default','Cache pages for anonymous users','','none'),(4215,'','default','Bartik','','7.34'),(4216,'','default','Highlighted','','7.34'),(4217,'','default','Sidebar second','','7.34'),(4218,'','default','Main background','','none'),(4219,'','default','Sidebar background','','none'),(4220,'','default','Sidebar borders','','none'),(4221,'','default','Footer background','','none'),(4222,'','default','Plum','','none'),(4223,'','default','!local-task-title!active','','7.34'),(4224,'','default','A space-separated list of HTML tags allowed in the content of feed items. Disallowed tags are stripped from the content.','','none'),(4225,'','default','%field may only contain characters a-z, underscores, or hyphens.','','none'),(4226,'','default','%field cannot contain any markup.','','none'),(4227,'','default','No URL aliases available. <a href=\"@link\">Add URL alias</a>.','','none'),(4228,'','default','To provide keyword searching, the search engine maintains an index of words found in the content and its fields, along with text added to your content by other modules (such as comments from the core Comment module, and taxonomy terms from the core Taxonomy module). To build and maintain this index, a correctly configured <a href=\"@cron\">cron maintenance task</a> is required. Users with <em>Administer search</em> permission can further configure the cron settings on the <a href=\"@searchsettings\">Search settings page</a>.','','none'),(4229,'','default','Content reindexing','','none'),(4230,'','default','Content-related actions on your site (creating, editing, or deleting content and comments) automatically cause affected content items to be marked for indexing or reindexing at the next cron run. When content is marked for reindexing, the previous content remains in the index until cron runs, at which time it is replaced by the new content. Unlike content-related actions, actions related to the structure of your site do not cause affected content to be marked for reindexing. Examples of structure-related actions that affect content include deleting or editing taxonomy terms, enabling or disabling modules that add text to content (such as Taxonomy, Comment, and field-providing modules), and modifying the fields or display parameters of your content types. If you take one of these actions and you want to ensure that the search index is updated to reflect your changed site structure, you can mark all content for reindexing by clicking the \"Re-index site\" button on the <a href=\"@searchsettings\">Search settings page</a>. If you have a lot of content on your site, it may take several cron runs for the content to be reindexed.','','none'),(4231,'','default','Cached pages will not be re-created until at least this much time has elapsed.','','none'),(4232,'','default','Expiration of cached pages','','none'),(4233,'','default','The maximum time an external cache can use an old version of a page.','','none'),(4234,'','default','These options control the display settings for the %name theme. When your site is displayed using this theme, these settings will be used.','','none'),(4235,'','default','Administer software updates','','none'),(4236,'','default','Enter a valid email address or use a token e-mail address such as %author.','','none'),(4237,'','default','@required_name (Missing)','','none'),(4238,'','default','@required_name (Version @compatibility required)','','none'),(4239,'','default','@name requires at least PHP @version.','','none'),(4240,'','default','@name requires this module.','','none'),(4241,'','default','@name requires this module and version. Currently using @required_name version @version','','none'),(4242,'','default','Site details','','none'),(4243,'','default','Title and slogan','','none'),(4244,'','default','Firehouse','','none'),(4245,'','default','Ice','','none'),(4246,'','default','Can\'t handle more than one field storage engine','','none'),(4247,'','default','Field storage engine not found.','','none'),(4248,'','default','For this query an entity type must be specified.','','none'),(4249,'','default','Entity %entity has no base table.','','none'),(4250,'','default','Do not know how to order on @key for @entity_type','','none'),(4251,'','default','The database table prefix you have entered, %prefix, is invalid. The table prefix can only contain alphanumeric characters, periods, or underscores.','','none'),(4252,'','default','Default settings file','','none'),(4253,'','default','The default settings file does not exist.','','none'),(4254,'','default','The @drupal installer requires that the %default-file file not be modified in any way from the original download.','','none'),(4255,'','default','Māori','','none'),(4256,'','default','Attempt to create an instance of field @field_name without an entity type.','','none'),(4257,'','default','Attempt to create an instance of field @field_name on forbidden entity type @entity_type.','','none'),(4258,'','default','Attempt to update an instance of a nonexistent field @field.','','none'),(4259,'','default','Attempt to update an instance of field @field on bundle @bundle that doesn\'t exist.','','none'),(4260,'','default','Attempt to purge a field @field_name that still has instances.','','none'),(4261,'','default','%name: the value may be no less than %min.','','none'),(4262,'','default','%name: the value may be no greater than %max.','','none'),(4263,'','default','No fields have been defined yet.','','none'),(4264,'','default','Weight for new field','','none'),(4265,'','default','Weight for added field','','none'),(4266,'','default','Custom display settings','','none'),(4267,'','default','Use custom display settings for the following view modes','','none'),(4268,'','default','The %view_mode mode now uses custom display settings. You might want to <a href=\"@url\">configure them</a>.','','none'),(4269,'','default','User interface for the Field API.','','none'),(4270,'','default','Separate extensions with a space or comma and do not include the leading dot.','','none'),(4271,'','default','Edit an existing effect within a style.','','none'),(4272,'','default','Delete an existing effect from a style.','','none'),(4273,'','default','Node module element','','7.34'),(4274,'','default','Poll module settings','','none'),(4275,'','default','Poll vote','','none'),(4276,'','default','Poll results','','none'),(4277,'','default','The new set name is required.','','none'),(4278,'','default','The shortcut set %name already exists. Choose another name.','','none'),(4279,'','default','Expected text found in @field of email message: \"@expected\".','','none'),(4280,'','default','1 e-mail was sent during this test.','','none'),(4281,'','default','@count e-mails were sent during this test.','','none'),(4282,'','default','@count[2] e-mails were sent during this test.','','none'),(4283,'','default','@count[3] e-mails were sent during this test.','','none'),(4284,'','default','@count[4] e-mails were sent during this test.','','none'),(4285,'','default','@count[5] e-mails were sent during this test.','','none'),(4286,'','default','Blocked IP addresses','','none'),(4287,'','default','IP addresses listed here are blocked from your site. Blocked addresses are completely forbidden from accessing the site and instead see a brief message explaining the situation.','','none'),(4288,'','default','The content type %rowtype had uploads disabled but contained uploaded file data. Uploads have been re-enabled to migrate the existing data. You may delete the \"File attachments\" field in the %rowtype type if this data is not necessary.','','none'),(4289,'','default','Upload module has been migrated to File module.','','none'),(4290,'','default','Available variables are: [site:name], [site:url], [user:name], [user:mail], [site:login-url], [site:url-brief], [user:edit-url], [user:one-time-login-url], [user:cancel-url].','','none'),(4291,'','default','not yet assigned','','none'),(4292,'','default','not yet created','','none'),(4293,'','default','[user:name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','none'),(4294,'','default','[user:name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','none'),(4295,'','default','[user:name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\n\n--  [site:name] team','','none'),(4296,'','default','None (original image)','','none'),(4297,'','default','The URL of the account edit page.','','none'),(4298,'','default','Comment display','','none'),(4299,'','default','New field name','','none'),(4300,'','default','Error opening socket @socket','','none'),(4301,'','default','delivery callback not found','','none'),(4302,'','default','callback %callback not found: %q.','','none'),(4303,'','default','The specified file %file could not be copied, because the destination is invalid. More information is available in the system log.','','none'),(4304,'','default','The specified file %file could not be copied, because the destination directory is not properly configured. This may be caused by a problem with file or directory permissions. More information is available in the system log.','','none'),(4305,'','default','The file %file could not be copied because a file by that name already exists in the destination directory.','','none'),(4306,'','default','The specified file %file could not be moved, because the destination is invalid. More information is available in the system log.','','none'),(4307,'','default','The specified file %file could not be deleted, because it is not a valid URI. More information is available in the system log.','','none'),(4308,'','default','The data could not be saved, because the destination is invalid. More information is available in the system log.','','none'),(4309,'','default','File %file (%realpath) could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.','','none'),(4310,'','default','File %file (%realpath) could not be copied because it does not exist.','','none'),(4311,'','default','File %file could not be copied because a file by that name already exists in the destination directory (%directory)','','none'),(4312,'','default','File %file could not be copied because it would overwrite itself.','','none'),(4313,'','default','The specified file %file could not be copied to %destination.','','none'),(4314,'','default','File %file (%realpath) could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.','','none'),(4315,'','default','File %file (%realpath) could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.','','none'),(4316,'','default','The data could not be saved because the destination %destination is invalid. This may be caused by improper use of file_save_data() or a missing stream wrapper.','','none'),(4317,'','default','Your PHP configuration only supports a single database type, so it has been automatically selected.','','none'),(4318,'','default','Failed to connect to your database server. The server reports the following message: %error.<ul><li>Is the database server running?</li><li>Does the database exist, and have you entered the correct database name?</li><li>Have you entered the correct username and password?</li><li>Have you entered the correct database hostname?</li></ul>','','none'),(4319,'','default','The version of PHP you are using has known issues with PostgreSQL. You need to upgrade PHP to 5.2.11, 5.3.1 or greater.','','none'),(4320,'','default','Exit block region demonstration','','none'),(4321,'','default','Customizing the dashboard requires the !permission-name permission.','','none'),(4322,'','default','To customize the dashboard page, move blocks to the dashboard regions on the <a href=\"@dashboard\">Dashboard administration page</a>, or enable JavaScript on this page to use the drag-and-drop interface.','','none'),(4323,'','default','Configure available dashboard blocks','','7.34'),(4324,'','default','Drag and drop these blocks to the columns below. Changes are automatically saved. More options are available on the <a href=\"@dashboard-url\">configuration page</a>.','','none'),(4325,'','default','Configure which blocks can be shown on the dashboard.','','7.34'),(4326,'','default','The Database logging module allows you to view an event log on the <a href=\"@dblog\">Recent log messages</a> page. The log is a chronological list of recorded events containing usage data, performance data, errors, warnings and operational information. Administrators should check the log on a regular basis to ensure their site is working properly.','','none'),(4327,'','default','In case of errors or problems with the site, the <a href=\"@dblog\">Recent log messages</a> page can be useful for debugging, since it shows the sequence of events. The log messages include usage information, warnings, and errors.','','none'),(4328,'','default','The Database logging module monitors your website, capturing system events in a log (shown here) to be reviewed by an authorized individual at a later time. This log is a list of recorded events containing usage data, performance data, errors, warnings and operational information. It is vital to check the Recent log messages report on a regular basis, as it is often the only way to tell what is going on.','','none'),(4329,'','default','Database log messages to keep','','none'),(4330,'','default','The maximum number of messages to keep in the database log. Requires a <a href=\"@cron\">cron maintenance task</a>.','','none'),(4331,'','default','Recent log messages','','7.34'),(4332,'','default','Define a string that should be suffixed to the value, like \' m\', \' kb/s\'. Leave blank for none. Separate singular and plural values with a pipe (\'pound|pounds\').','','none'),(4333,'','default','Thousand marker','','none'),(4334,'','default','Display prefix and suffix.','','none'),(4335,'','default','Display with prefix and suffix.','','none'),(4336,'','default','- Select a value -','','none'),(4337,'','default','Trim length','','none'),(4338,'','default','No field is displayed.','','none'),(4339,'','default','No field is hidden.','','none'),(4340,'','default','Format settings:','','none'),(4341,'','default','The file used in the !name field may not be referenced.','','none'),(4342,'','default','Missing text format: %format.','','none'),(4343,'','default','Link image to','','none'),(4344,'','default','Image style: @style','','none'),(4345,'','default','Linked to content','','none'),(4346,'','default','Linked to file','','none'),(4347,'','default','Shown when hovering over the menu link.','','7.34'),(4348,'','default','The menu module allows on-the-fly creation of menu links in the content authoring forms. To configure these settings for a particular content type, visit the <a href=\"@content-types\">Content types</a> page, click the <em>edit</em> link for the content type, and go to the <em>Menu settings</em> section.','','none'),(4349,'','default','Undefined language (@langcode)','','none'),(4350,'','default','Format: %time. The date format is YYYY-MM-DD and %timezone is the time zone offset from UTC. Leave blank to use the time of form submission.','','7.34'),(4351,'','default','Show administrative pages on top of the page you started from.','','none'),(4352,'','default','A <a href=\"@php-code\">PHP code</a> text format has been created.','','none'),(4353,'','default','Choose which search modules are active from the available modules.','','none'),(4354,'','default','Default search module','','none'),(4355,'','default','Choose which search module is the default.','','none'),(4356,'','default','Your default search module is not selected as an active module.','','none'),(4357,'','default','Search is currently disabled.','','none'),(4358,'','default','... !excerpt ... !excerpt ...','','none'),(4359,'','default','Syslog identity','','none'),(4360,'','default','A string that will be prepended to every message logged to Syslog. If you have multiple sites logging to the same Syslog log file, a unique identity per site makes it easy to tell the log entries apart.','','none'),(4361,'','default','Optionally, specify a relative URL to display as the front page.  Leave blank to display the default content feed.','','none'),(4362,'','default','Error pages','','none'),(4363,'','default','The path \'%path\' is either invalid or you do not have access to it.','','none'),(4364,'','default','Last run: %cron-last ago.','','none'),(4365,'','default','Run cron every','','none'),(4366,'','default','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','7.34'),(4367,'','default','Manage automatic site maintenance tasks.','','7.34'),(4368,'','default','Did not delete temporary file \"%path\" during garbage collection, because it is in use by the following modules: %modules.','','none'),(4369,'','default','Weight for added term','','none'),(4370,'','default','Subdirectory in the file upload directory where pictures will be stored.','','none'),(4371,'','default','Pictures larger than this will be scaled down to this size.','','none'),(4372,'','default','Upload an image to go with this article.','','none'),(4373,'','default','The settings file is writable.','','none'),(4374,'','default','The settings file is owned by the web server.','','none'),(4375,'','default','The @drupal installer failed to create a settings file with proper file ownership. Log on to your web server, remove the existing %file file, and create a new one by copying the %default_file file to %file. More details about installing Drupal are available in <a href=\"@install_txt\">INSTALL.txt</a>. If you have problems with the file permissions on your server, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(4376,'','default','Invalid merge query: no conditions','','none'),(4377,'','default','Weight for @block block','','none'),(4378,'','default','Region for @block block','','none'),(4379,'','default','Comment approval','','none'),(4380,'','default','Comments from users who have the <em>Skip comment approval</em> permission are published immediately. All other comments are placed in the <a href=\'@comment-approval\'>Unapproved comments</a> queue, until a user who has permission to <em>Administer comments</em> publishes or deletes them. Published comments can be bulk managed on the <a href=\'@admin-comment\'>Published comments</a> administration page.','','none'),(4381,'','default','Post comments','','none'),(4382,'','default','Skip comment approval','','none'),(4383,'','default','View and customize your dashboard.','','7.34'),(4384,'','default','Customize your dashboard.','','7.34'),(4385,'','default','This function can only be used to delete fields without data','','none'),(4386,'','default','Are you sure you want to disable the text format %format?','','none'),(4387,'','default','Disabled text formats are completely removed from the administrative interface, and any content stored with that format will not be displayed. This action cannot be undone.','','none'),(4388,'','default','Disabled text format %format.','','none'),(4389,'','default','Text Formats','','none'),(4390,'','default','Disable text format','','7.34'),(4391,'','default','Hot topic, new comments','','none'),(4392,'','default','Hot topic','','none'),(4393,'','default','Normal topic','','none'),(4394,'','default','Closed topic','','none'),(4395,'','default','Reference for usage, configuration, and modules.','','7.34'),(4396,'','default','and where %property is %value','','none'),(4397,'','default','where %property is %value','','none'),(4398,'','default','and where','','none'),(4399,'','default','Current URL is @url.','','none'),(4400,'','default','Page title @actual is equal to @expected.','','none'),(4401,'','default','Page title @actual is not equal to @unexpected.','','none'),(4402,'','default','HTTP response not expected !code, actual !curl_code','','none'),(4403,'','default','Configure @module permissions','','none'),(4404,'','default','Select and configure your themes.','','7.34'),(4405,'','default','Administer settings.','','7.34'),(4406,'','default','View reports, updates, and errors.','','7.34'),(4407,'','default','Stores temporary data for system_update_7061.','','none'),(4408,'','default','Administrative toolbar','','none'),(4409,'','default','Install new module or theme','','7.34'),(4410,'','default','Install new module','','7.34'),(4411,'','default','Install new theme','','7.34'),(4412,'','default','%property is %value','','none'),(4413,'','default','Manage user accounts, roles, and permissions.','','7.34'),(4414,'','default','Nothing','','none'),(4415,'','default','Lolspeak','','none'),(4416,'','default','%type: !message in %function (line %line of %file).','','none'),(4417,'','default','Update @title','','none'),(4418,'','default','A unique machine-readable name. Can only contain lowercase letters, numbers, and underscores.','','none'),(4419,'','default','The machine-readable name must contain unique characters.','','none'),(4420,'','default','The machine-readable name must contain only lowercase letters, numbers, and hyphens.','','none'),(4421,'','default','The machine-readable name is already in use. It must be unique.','','none'),(4422,'','default','Asturian','','none'),(4423,'','default','English, British','','none'),(4424,'','default','Haitian Creole','','none'),(4425,'','default','Portuguese, International','','none'),(4426,'','default','Weight for @title','','none'),(4427,'','default','Weight for row @number','','7.34'),(4428,'','default','Parent for @title','','none'),(4429,'','default','New field label','','none'),(4430,'','default','Parent for new field','','none'),(4431,'','default','Type of new field','','none'),(4432,'','default','Widget for new field','','none'),(4433,'','default','Existing field label','','none'),(4434,'','default','Parent for existing field','','none'),(4435,'','default','Existing field to share','','none'),(4436,'','default','Widget for existing field','','none'),(4437,'','default','Label display for @title','','none'),(4438,'','default','Formatter for @title','','none'),(4439,'','default','Parents for @title','','none'),(4440,'','default','Visibility for @title','','none'),(4441,'','default','There is data for this field in the database. The field settings can no longer be changed.','','none'),(4442,'','default','Weight for new file','','none'),(4443,'','default','Choose a file','','7.34'),(4444,'','default','Weight for new effect','','none'),(4445,'','default','@title language provider','','none'),(4446,'','default','Enable @title menu link','','none'),(4447,'','default','A unique name to construct the URL for the menu. It must only contain lowercase letters, numbers and hyphens.','','none'),(4448,'','default','A unique machine-readable name for this content type. It must only contain lowercase letters, numbers, and underscores. This name will be used for constructing the URL of the %node-add page, in which underscores will be converted into hyphens.','','none'),(4449,'','default','Choice label','','none'),(4450,'','default','New choice label','','none'),(4451,'','default','Vote count for choice @label','','none'),(4452,'','default','Vote count for new choice','','none'),(4453,'','default','Weight for choice @label','','none'),(4454,'','default','Weight for new choice','','none'),(4455,'','default','Category for @title','','none'),(4456,'','default','Active modules','','none'),(4457,'','default','@original_title (@parent_title)','','none'),(4458,'','default','Your PHP installation is too old. Drupal requires at least PHP 5.2.5, or PHP @version with the htmlspecialchars security patch backported.','','none'),(4459,'','default','Your web server does not appear to support PDO (PHP Data Objects). Ask your hosting provider if they support the native PDO extension. See the <a href=\"@link\">system requirements</a> page for more information.','','none'),(4460,'','default','Your web server seems to have the wrong version of PDO installed. Drupal 7 requires the PDO extension from PHP core. This system has the older PECL version. See the <a href=\"@link\">system requirements</a> page for more information.','','none'),(4461,'','default','List of trigger actions when !description','','none'),(4462,'','default','The database version %version is less than the minimum required version %minimum_version.','','none'),(4463,'','default','!theme (default theme)','','none'),(4464,'','default','!theme (administration theme)','','none'),(4465,'','default','The Dashboard module provides a <a href=\"@dashboard\">Dashboard page</a> in the administrative interface for organizing administrative tasks and navigation, and tracking information within your site. The Dashboard page contains blocks, which you can add to and arrange using the drag-and-drop interface that appears when you click on the <em>Customize dashboard</em> link. Within this interface, blocks that are not primarily used for site administration do not appear by default, but can be added via the <em>Add other blocks</em> link. For more information, see the online handbook entry for <a href=\"@handbook\">Dashboard module</a>.','','none'),(4466,'','default','Rearrange blocks for display on the <a href=\"@dashboard-url\">Dashboard page</a>. Blocks placed in the <em>Dashboard (inactive)</em> region are not displayed when viewing the Dashboard page, but are available within its <em>Customize dashboard</em> interface. Removing a block from active dashboard display makes it available on the main <a href=\"@blocks-url\">blocks administration page</a>.','','none'),(4467,'','default','Add other blocks','','none'),(4468,'','default','URL fallback','','none'),(4469,'','default','Use an already detected language for URLs if none is found.','','none'),(4470,'','default','%type_name: Create new content','','none'),(4471,'','default','%type_name: Edit own content','','none'),(4472,'','default','%type_name: Edit any content','','none'),(4473,'','default','%type_name: Delete own content','','none'),(4474,'','default','%type_name: Delete any content','','none'),(4475,'','default','Dismiss this message.','','7.34'),(4476,'','default','Next steps','','none'),(4477,'','default','File %file could not be copied, because the destination directory %destination is not configured correctly.','','none'),(4478,'','default','@driver_name settings','','none'),(4479,'','default','MySQL, MariaDB, or equivalent','','none'),(4480,'','default','SQLite','','none'),(4481,'','default','Database file','','none'),(4482,'','default','The absolute path to the file where @drupal data will be stored. This must be writable by the web server and should exist outside of the web root.','','none'),(4483,'','default','The directory you specified is not writable by the web server.','','none'),(4484,'; misc/autocomplete.js','default','Autocomplete popup','','none'),(4485,'; misc/autocomplete.js','default','Searching for matches...','','none'),(4486,'','default','The Field module allows custom data fields to be defined for <em>entity</em> types (entities include content items, comments, user accounts, and taxonomy terms). The Field module takes care of storing, loading, editing, and rendering field data. Most users will not interact with the Field module directly, but will instead use the <a href=\"@field-ui-help\">Field UI module</a> user interface. Module developers can use the Field API to make new entity types \"fieldable\" and thus allow fields to be attached to them. For more information, see the online handbook entry for <a href=\"@field\">Field module</a>.','','none'),(4487,'','default','No fields are present yet.','','none'),(4488,'','default','Strong','Font weight','none'),(4489,'','default','Read more<span class=\"element-invisible\"> about @title</span>','','7.34'),(4490,'','default','Optionally specify an alternative URL by which this content can be accessed. For example, type \"about\" when writing an about page. Use a relative path and don\'t add a trailing slash or the URL alias won\'t work.','','7.34'),(4491,'','default','The number of votes that have been cast on a poll.','','none'),(4492,'','default','The length of time the poll is set to run.','','none'),(4493,'','default','Uninstall @module module','','none'),(4494,'','default','Aggregate and compress CSS files.','','none'),(4495,'','default','Aggregate JavaScript files.','','none'),(4496,'','default','To uninstall @module, the following module must be uninstalled first: @required_modules','','none'),(4497,'','default','To uninstall @module, the following modules must be uninstalled first: @required_modules','','none'),(4498,'','default','Enable newly added modules','','none'),(4499,'','default','Enable newly added themes','','none'),(4500,'','default','The uninstall process removes all data related to a module. To uninstall a module, you must first disable it on the main <a href=\"@modules\">Modules page</a>.','','none'),(4501,'','default','View the administration theme','','none'),(4502,'','default','Database system','','none'),(4503,'','default','Database system version','','none'),(4504,'','default','The Toolbar module displays a bar containing top-level administrative links across the top of the screen. Below that, the Toolbar module has a <em>drawer</em> section where it displays links provided by other modules, such as the core <a href=\"@shortcuts-help\">Shortcut module</a>. The drawer can be hidden/shown by using the show/hide shortcuts link at the end of the toolbar.','','none'),(4505,'','default','Hide shortcuts','','none'),(4506,'','default','Indexed %count content items for tracking.','','none'),(4507,'','default','Release notes for @project_title','','none'),(4508,'','default','The role settings have been updated.','','none'),(4509,'','default','Disable the account and keep its content.','','none'),(4510,'','default','Disable the account and unpublish its content.','','none'),(4511,'','default','Delete the account and make its content belong to the %anonymous-name user.','','none'),(4512,'','default','Delete the account and its content.','','none'),(4513,'','default','Display on user registration form.','','none'),(4514,'','default','This is compulsory for \'required\' fields.','','none'),(4515,'','default','@count orphaned actions (%orphans) exist in the actions table. !link','','none'),(4516,'','default','Deleted 1 comment.','','none'),(4517,'','default','Deleted @count[2] comments.','','none'),(4518,'','default','Deleted @count[3] comments.','','none'),(4519,'','default','Deleted @count[4] comments.','','none'),(4520,'','default','Deleted @count[5] comments.','','none'),(4521,'','default','Use field label instead of the \"On value\" as label','','none'),(4522,'','default','Deleted 1 post.','','none'),(4523,'','default','Deleted @count[2] posts.','','none'),(4524,'','default','Deleted @count[3] posts.','','none'),(4525,'','default','Deleted @count[4] posts.','','none'),(4526,'','default','Deleted @count[5] posts.','','none'),(4527,'','default','tracker','','none'),(4528,'','default','Automatic updating of Drupal core is not supported. See the <a href=\"@upgrade-guide\">upgrade guide</a> for information on how to update Drupal core manually.','','none'),(4529,'','default','%archive_file contains a version of %names that is not compatible with Drupal !version.','','none'),(4530,'','default','%archive_file contains versions of modules or themes that are not compatible with Drupal !version: %names','','none'),(4531,'','default','The %setting setting is currently set to \'%current_value\', but needs to be \'%needed_value\'. Change this by running the following query: !query','','none'),(4532,'','default','List (integer)','','7.34'),(4533,'','default','This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','7.34'),(4534,'','default','List (float)','','7.34'),(4535,'','default','This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','7.34'),(4536,'','default','This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','7.34'),(4537,'','default','The possible values this field can contain. Enter one value per line, in the format key|label.','','none'),(4538,'','default','The key is the stored value, and must be numeric. The label will be used in displayed values and edit forms.','','none'),(4539,'','default','The label is optional: if a line contains a single number, it will be used as key and label.','','none'),(4540,'','default','Lists of labels are also accepted (one label per line), only if the field does not hold any values yet. Numeric keys will be automatically generated from the positions in the list.','','none'),(4541,'','default','The key is the stored value. The label will be used in displayed values and edit forms.','','none'),(4542,'','default','The label is optional: if a line contains a single string, it will be used as key and label.','','none'),(4543,'','default','Allowed values list: invalid input.','','none'),(4544,'','default','Allowed values list: some values are being removed while currently in use.','','none'),(4545,'','default','Failed to connect to the server. The server reports the following message: !message For more help installing or updating code on your server, see the <a href=\"@handbook_url\">handbook</a>.','','none'),(4546,'','default','Unable to parse info file: %info_file.','','none'),(4547,'','default','The info file (%info_file) does not define a \'name\' attribute.','','none'),(4548,'','default','The testing framework requires the PHP memory limit to be at least %memory_minimum_limit. The current value is %memory_limit. <a href=\"@url\">Follow these steps to continue</a>.','','none'),(4549,'','default','%archive_file does not contain any .info files.','','none'),(4550,'','default','Administer content and comments.','','7.34'),(4551,'','default','Comment fields','','none'),(4552,'','default','RSS category','','7.34'),(4553,'','default','%name must be a valid hexadecimal CSS color value.','','none'),(4554,'','default','Each field type has one or more available <em>widgets</em> associated with it; each widget provides a mechanism for data input when you are editing (text box, select list, file upload, etc.). Each field type also has one or more display options, which determine how the field is displayed to site visitors. The widget and display options can be changed after you have created the field.','','none'),(4555,'','default','Cannot rename field %id (%old_field_name) to %new_field_name because it does not use the field_sql_storage storage type.','','none'),(4556,'','default','Changes to the style have been saved.','','none'),(4557,'','default','This block is only shown if <a href=\"@languages\">at least two languages are enabled</a> and <a href=\"@configuration\">language negotiation</a> is set to <em>URL</em> or <em>Session</em>.','','none'),(4558,'','default','The Menu module provides an interface for managing menus. A menu is a hierarchical collection of links, which can be within or external to the site, generally used for navigation. Each menu is rendered in a block that can be enabled and positioned through the <a href=\"@blocks\">Blocks administration page</a>. You can view and manage menus on the <a href=\"@menus\">Menus administration page</a>. For more information, see the online handbook entry for the <a href=\"@menu\">Menu module</a>.','','none'),(4559,'','default','(Machine name: @type)','','none'),(4560,'','default','OpenID suggests the use of either the <a href=\"@gmp\">GMP Math</a> (recommended for performance) or <a href=\"@bc\">BC Math</a> libraries to enable OpenID associations.','','none'),(4561,'','default','Not optimized','','none'),(4562,'','default','OpenID suggests the use of the GMP Math library for PHP for optimal performance. Check the <a href=\"@url\">GMP Math Library documentation</a> for installation instructions.','','none'),(4563,'','default','OpenID Math library','','none'),(4564,'','default','The @module module is missing, so the following module will be disabled: @depends.','','none'),(4565,'','default','The @module module is missing, so the following modules will be disabled: @depends.','','none'),(4566,'','default','The machine-readable name cannot be \"add\" or \"list\".','','none'),(4567,'','default','Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href=\"!languages\">enabled languages</a>. You can also turn on translation for this content type, which lets you have content translated to any of the installed languages. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.','','none'),(4568,'','default','Query tagged for node access but there is no nid. Add foreign keys to node.nid in schema to fix.','','none'),(4569,'','default','Your node listing query is using @fallback as a base table in a query tagged for node access. This might not be secure and might not even work. Specify foreign keys in your schema to node.nid ','','none'),(4570,'','default','Unknown field: @field_name','','none'),(4571,'','default','%field: There should only be one decimal separator (@separator).','','none'),(4572,'','default','Enable !title','','none'),(4573,'','default','Set !title as default','','none'),(4574,'','default','Enabled modules: %modules','','none'),(4575,'','default','File %file could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.','','none'),(4576,'','default','File %file could not be copied because it does not exist.','','none'),(4577,'','default','File %file could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.','','none'),(4578,'','default','File %file could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.','','none'),(4579,'','default','Curaçao','','7.34'),(4580,'','default','Missing bundle property on entity of type @entity_type.','','none'),(4581,'','default','Fields type(s) in use','','none'),(4582,'','default','Fields pending deletion','','none'),(4583,'','default','(module: !module)','','none'),(4584,'','default','Extend site functionality.','','7.34'),(4585,'','default','The requested page \"@path\" could not be found.','','none'),(4586,'','default','The form has become outdated. Copy any unsaved work in the form below and then <a href=\"@link\">reload this page</a>.','','none'),(4587,'','default','There are several decisions you will need to make before defining a field for content, comments, etc.:','','none'),(4588,'','default','The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.','','none'),(4589,'','default','The domain name to use for this language if URL domains are used for <em>Detection and selection</em>. Leave blank for the default language. <strong>Changing this value may break existing URLs.</strong> Example: Specifying \"de.example.com\" as language domain for German will result in an URL like \"http://de.example.com/contact\".','','none'),(4590,'','default','Active search modules','','none'),(4591,'','default','No shortcuts available. <a href=\"@link\">Add a shortcut</a>.','','none'),(4592,'','default','Leave this blank to delete both the existing username and password.','','none'),(4593,'','default','To change the password, enter the new password here.','','none'),(4594,'','default','HTTP authentication credentials must include a username in addition to a password.','','none'),(4595,'','default','Incompatible with this version of Drupal core.','','none'),(4596,'','default','Cron takes care of running periodic tasks like checking for updates and indexing content for search.','','none'),(4597,'','default','The clean URL test passed.','','none'),(4598,'','default','Clean URLs are enabled, but the clean URL test failed. Uncheck the box below to disable clean URLs.','','none'),(4599,'','default','The clean URL test failed.','','none'),(4600,'','default','Clean URLs cannot be enabled. If you are directed to this page or to a <em>Page not found (404)</em> error after testing for clean URLs, see the <a href=\"@handbook\">online handbook</a>.','','none'),(4601,'','default','User name and password','','7.34'),(4602,'','default','User module account form elements.','','7.34'),(4603,'','default','There was a problem creating field %label: !message','','none'),(4604,'','default','@module (<span class=\"admin-missing\">incompatible with</span> this version of Drupal core)','','none'),(4605,'','default','Update notifications are not enabled. It is <strong>highly recommended</strong> that you enable the update manager module from the <a href=\"@module\">module administration page</a> in order to stay up-to-date on new releases. For more information, <a href=\"@update\">Update status handbook page</a>.','','none'),(4606,'','default','Your search used too many AND/OR expressions. Only the first @count terms were included in this search.','','none'),(4607,'','default','The test cannot be executed because it has not been set up properly.','','none'),(4608,'','default','Found field with name @name','','none'),(4609,'','default','Found field with name @name and value @value','','none'),(4610,'','default','A list field (@field_name) with existing data cannot have its keys changed.','','none'),(4611,'','default','A unique machine-readable name containing letters, numbers, and underscores.','','none'),(4612,'','default','The %style style has been reverted to its defaults.','','none'),(4613,'','default','If no image is uploaded, this image will be shown on display and will override the field\'s default image.','','none'),(4614,'','default','View details for all votes','','none'),(4615,'','default','No blocked IP addresses available.','','none'),(4616,'','default','Taxonomy field @field_name not found.','','none'),(4617,'','default','Subscribe to !feed-title','','7.34'),(4618,'','default','Theme hook %hook not found.','','none'),(4619,'','default','No book content available.','','none'),(4620,'','default','Field type(s) in use - see <a href=\"@fields-page\">Field list</a>','','7.34'),(4621,'','default','logged in users only','','none'),(4622,'','default','No OpenID identities available for this account.','','none'),(4623,'','default','Uyghur','','none'),(4624,'','default','Install another module','','none'),(4625,'','default','Get an overview of <a href=\"@url\">all content</a>.','','none'),(4626,'','default','Get an overview of all content.','','none'),(4627,'','default','Invalid or missing cache bin specified: %bin','','none'),(4628,'sites/all/themes/hermio/js/weebpal.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(4629,'/ar','default','','','7.34'),(4630,'/ar','default','Normal','','7.34'),(4631,'/ar','default','Webform','','7.34'),(4632,'/ar','default','The open or closed status of a webform.','','7.34'),(4633,'/ar','default','Webform submissions','','7.34'),(4634,'/ar','default','Submissions generated from Webform forms.','','7.34'),(4635,'/ar','default','Serial number','','7.34'),(4636,'/ar','default','The serial number of the submission.','','7.34'),(4637,'/ar','default','Sid','','7.34'),(4638,'/ar','default','The submission ID of the submission.','','7.34'),(4639,'/ar','default','Value','','7.34'),(4640,'/ar','default','The value of a component as submitted by a user.','','7.34'),(4641,'/ar','default','Webform submission data','','7.34'),(4642,'/ar','default','The webform node this submission was generated from.','','7.34'),(4643,'/ar','default','Webform Node','','7.34'),(4644,'/ar','default','The user who sent the webform submission.','','7.34'),(4645,'/ar','default','Webform Submission User','','7.34'),(4646,'/ar','default','Draft','','7.34'),(4647,'/ar','default','Whether or not the submission is a draft.','','7.34'),(4648,'/ar','default','Submitted','','7.34'),(4649,'/ar','default','The date this submission was submitted.','','7.34'),(4650,'/ar','default','Remote address','','7.34'),(4651,'/ar','default','The remote IP address of the user that submitted this submission.','','7.34'),(4652,'/ar','default','View link','','7.34'),(4653,'/ar','default','Provide a simple link to view the submission.','','7.34'),(4654,'/ar','default','Edit link','','7.34'),(4655,'/ar','default','Provide a simple link to edit the submission.','','7.34'),(4656,'/ar','default','Delete link','','7.34'),(4657,'/ar','default','Provide a simple link to delete the submission.','','7.34'),(4658,'/ar','default','Data','','7.34'),(4659,'/ar','default','Relates to a webform submission data','','7.34'),(4660,'/ar','default','Submission Data','','7.34'),(4661,'/ar','default','Data field','','7.34'),(4662,'/ar','default','Value (raw)','','7.34'),(4663,'/ar','default','The raw value from the database as submitted by a user. Use only when needing to sort on a field value.','','7.34'),(4664,'/ar','default','Value delta','','7.34'),(4665,'/ar','default','The delta value of the submitted data in a multi value component (such as checkboxes).','','7.34'),(4666,'/ar','default','Comments are responses to node content.','','7.34'),(4667,'/ar','default','ID','','7.34'),(4668,'/ar','default','The comment ID of the field','','7.34'),(4669,'/ar','default','The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.','','7.34'),(4670,'/ar','default','Author\'s website','','7.34'),(4671,'/ar','default','The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.','','7.34'),(4672,'/ar','default','Hostname of user that posted the comment.','','7.34'),(4673,'/ar','default','Mail','','7.34'),(4674,'/ar','default','Email of user that posted the comment. Will be empty if the author is a registered user.','','7.34'),(4675,'/ar','default','Post date','','7.34'),(4676,'/ar','default','Date and time of when the comment was created.','','7.34'),(4677,'/ar','default','The language the comment is in.','','7.34'),(4678,'/ar','default','Updated date','','7.34'),(4679,'/ar','default','Date and time of when the comment was last updated.','','7.34'),(4680,'/ar','default','Created date','','7.34'),(4681,'/ar','default','Date in the form of CCYYMMDD.','','7.34'),(4682,'/ar','default','Created year + month','','7.34'),(4683,'/ar','default','Date in the form of YYYYMM.','','7.34'),(4684,'/ar','default','Created year','','7.34'),(4685,'/ar','default','Date in the form of YYYY.','','7.34'),(4686,'/ar','default','Created month','','7.34'),(4687,'/ar','default','Date in the form of MM (01 - 12).','','7.34'),(4688,'/ar','default','Created day','','7.34'),(4689,'/ar','default','Date in the form of DD (01 - 31).','','7.34'),(4690,'/ar','default','Created week','','7.34'),(4691,'/ar','default','Date in the form of WW (01 - 53).','','7.34'),(4692,'/ar','default','Approved','','7.34'),(4693,'/ar','default','Whether the comment is approved (or still in the moderation queue).','','7.34'),(4694,'/ar','default','Not Approved','','7.34'),(4695,'/ar','default','Approved comment','','7.34'),(4696,'/ar','default','Provide a simple link to view the comment.','','7.34'),(4697,'/ar','default','Provide a simple link to edit the comment.','','7.34'),(4698,'/ar','default','Provide a simple link to delete the comment.','','7.34'),(4699,'/ar','default','Approve link','','7.34'),(4700,'/ar','default','Provide a simple link to approve the comment.','','7.34'),(4701,'/ar','default','Reply-to link','','7.34'),(4702,'/ar','default','Provide a simple link to reply to the comment.','','7.34'),(4703,'/ar','default','Depth','','7.34'),(4704,'/ar','default','Display the depth of the comment if it is threaded.','','7.34'),(4705,'/ar','default','Thread','','7.34'),(4706,'/ar','default','Sort by the threaded order. This will keep child comments together with their parents.','','7.34'),(4707,'/ar','default','Nid','','7.34'),(4708,'/ar','default','The node ID to which the comment is a reply to.','','7.34'),(4709,'/ar','default','The content to which the comment is a reply to.','','7.34'),(4710,'/ar','default','Author uid','','7.34'),(4711,'/ar','default','If you need more fields than the uid add the comment: author relationship','','7.34'),(4712,'/ar','default','The User ID of the comment\'s author.','','7.34'),(4713,'/ar','default','author','','7.34'),(4714,'/ar','default','Parent CID','','7.34'),(4715,'/ar','default','The Comment ID of the parent comment.','','7.34'),(4716,'/ar','default','Parent comment','','7.34'),(4717,'/ar','default','The parent comment.','','7.34'),(4718,'/ar','default','Last comment time','','7.34'),(4719,'/ar','default','Date and time of when the last comment was posted.','','7.34'),(4720,'/ar','default','Last comment author','','7.34'),(4721,'/ar','default','The name of the author of the last posted comment.','','7.34'),(4722,'/ar','default','The number of comments a node has.','','7.34'),(4723,'/ar','default','Updated/commented date','','7.34'),(4724,'/ar','default','The most recent of last comment posted or node updated time.','','7.34'),(4725,'/ar','default','Last comment CID','','7.34'),(4726,'/ar','default','Display the last comment of a node','','7.34'),(4727,'/ar','default','Last Comment','','7.34'),(4728,'/ar','default','The last comment of a node.','','7.34'),(4729,'/ar','default','Last comment uid','','7.34'),(4730,'/ar','default','The User ID of the author of the last comment of a node.','','7.34'),(4731,'/ar','default','Commerce Customer Profile','','7.34'),(4732,'/ar','default','Customer profiles containing addresses and other customer information.','','7.34'),(4733,'/ar','default','Profile ID','','7.34'),(4734,'/ar','default','The unique internal identifier of the profile.','','7.34'),(4735,'/ar','default','The human-readable name of the type of the customer profile.','','7.34'),(4736,'/ar','default','Relate a profile to the user it belongs to.','','7.34'),(4737,'/ar','default','Profile owner','','7.34'),(4738,'/ar','default','Whether or not the profile is active.','','7.34'),(4739,'/ar','default','The date the profile was created.','','7.34'),(4740,'/ar','default','In the form of CCYYMMDD.','','7.34'),(4741,'/ar','default','In the form of YYYYMM.','','7.34'),(4742,'/ar','default','In the form of YYYY.','','7.34'),(4743,'/ar','default','In the form of MM (01 - 12).','','7.34'),(4744,'/ar','default','In the form of DD (01 - 31).','','7.34'),(4745,'/ar','default','In the form of WW (01 - 53).','','7.34'),(4746,'/ar','default','The date the profile was last updated.','','7.34'),(4747,'/ar','default','Updated year + month','','7.34'),(4748,'/ar','default','Updated year','','7.34'),(4749,'/ar','default','Updated month','','7.34'),(4750,'/ar','default','Updated day','','7.34'),(4751,'/ar','default','Updated week','','7.34'),(4752,'/ar','default','Provide a simple link to the administrator view of the profile.','','7.34'),(4753,'/ar','default','Provide a simple link to edit the profile.','','7.34'),(4754,'/ar','default','Provide a simple link to delete the profile.','','7.34'),(4755,'/ar','default','Empty text','','7.34'),(4756,'/ar','default','Displays an appropriate empty text message for customer profile lists.','','7.34'),(4757,'/ar','default','Commerce Line Item','','7.34'),(4758,'/ar','default','A line item referenced by another entity.','','7.34'),(4759,'/ar','default','Line item ID','','7.34'),(4760,'/ar','default','The unique internal identifier of the line item.','','7.34'),(4761,'/ar','default','The human-readable name of the type of the line item.','','7.34'),(4762,'/ar','default','The title of the line item determined by its type.','','7.34'),(4763,'/ar','default','The label of the line item.','','7.34'),(4764,'/ar','default','Quantity','','7.34'),(4765,'/ar','default','The quantity of the line item.','','7.34'),(4766,'/ar','default','Quantity text field','','7.34'),(4767,'/ar','default','Adds a text field to edit the line item quantity in the View.','','7.34'),(4768,'/ar','default','Delete button','','7.34'),(4769,'/ar','default','Adds a button to delete a line item.','','7.34'),(4770,'/ar','default','Order ID','a drupal commerce order','7.34'),(4771,'/ar','default','The unique internal identifier of the associated order.','','7.34'),(4772,'/ar','default','Order','a drupal commerce order','7.34'),(4773,'/ar','default','The date the line item was created.','','7.34'),(4774,'/ar','default','The date the line item was last updated.','','7.34'),(4775,'/ar','default','Line item summary','','7.34'),(4776,'/ar','default','Summarize the line items in a View with an optional link to checkout.','','7.34'),(4777,'/ar','default','Commerce Order','','7.34'),(4778,'/ar','default','Order placed in the store.','','7.34'),(4779,'/ar','default','The unique internal identifier of the order.','','7.34'),(4780,'/ar','default','Order number','a drupal commerce order','7.34'),(4781,'/ar','default','The unique customer facing number of the order.','','7.34'),(4782,'/ar','default','Order type','a drupal commerce order','7.34'),(4783,'/ar','default','The type of the order.','','7.34'),(4784,'/ar','default','Uid','','7.34'),(4785,'/ar','default','The owner\'s user ID.','','7.34'),(4786,'/ar','default','Relate this order to its owner\'s user account','','7.34'),(4787,'/ar','default','Order owner','','7.34'),(4788,'/ar','default','Order status','','7.34'),(4789,'/ar','default','The workflow status of the order.','','7.34'),(4790,'/ar','default','Order state','','7.34'),(4791,'/ar','default','The workflow state of the order.','','7.34'),(4792,'/ar','default','The e-mail address used for correspondence about this order.','','7.34'),(4793,'/ar','default','The date the order was created.','','7.34'),(4794,'/ar','default','The date the order was last updated.','','7.34'),(4795,'/ar','default','Provide a simple link to the administrator view of the order.','','7.34'),(4796,'/ar','default','Provide a simple link to edit the order.','','7.34'),(4797,'/ar','default','Provide a simple link to delete the order.','','7.34'),(4798,'/ar','default','Operations links','','7.34'),(4799,'/ar','default','Display all the available operations links for the order.','','7.34'),(4800,'/ar','default','Displays an appropriate empty text message for order lists.','','7.34'),(4801,'/ar','default','Order total','','7.34'),(4802,'/ar','default','Displays the order total field formatted with its components list; requires an Order ID argument.','','7.34'),(4803,'/ar','default','Commerce Order revision','','7.34'),(4804,'/ar','default','Commerce Order revision is a history of changes to an order.','','7.34'),(4805,'/ar','default','The customer facing number of the order.','','7.34'),(4806,'/ar','default','The revision ID of the order revision.','','7.34'),(4807,'/ar','default','Latest order revision','','7.34'),(4808,'/ar','default','Relate an order revision to the user who created the revision.','','7.34'),(4809,'/ar','default','Revision user','','7.34'),(4810,'/ar','default','The e-mail address used for correspondence about this order revision.','','7.34'),(4811,'/ar','default','The workflow status of the order revision.','','7.34'),(4812,'/ar','default','Log message','','7.34'),(4813,'/ar','default','The log message entered when the revision was created.','','7.34'),(4814,'/ar','default','Revision date','','7.34'),(4815,'/ar','default','The date the order revision was created.','','7.34'),(4816,'/ar','default','View order form','','7.34'),(4817,'/ar','default','Display a form that redirects to the view page for an order.','','7.34'),(4818,'/ar','default','Commerce Payment Transaction','','7.34'),(4819,'/ar','default','The receipt of a payment transaction.','','7.34'),(4820,'/ar','default','Transaction ID','','7.34'),(4821,'/ar','default','The unique internal identifier of the transaction.','','7.34'),(4822,'/ar','default','The creator\'s user ID.','','7.34'),(4823,'/ar','default','Creator','','7.34'),(4824,'/ar','default','Relate this payment transaction to its creator\'s user account','','7.34'),(4825,'/ar','default','Payment transaction creator','','7.34'),(4826,'/ar','default','Payment method','','7.34'),(4827,'/ar','default','The payment method of the transaction.','','7.34'),(4828,'/ar','default','Remote ID','','7.34'),(4829,'/ar','default','The remote identifier of this transaction at the payment provider.','','7.34'),(4830,'/ar','default','Amount','','7.34'),(4831,'/ar','default','The amount of the transaction.','','7.34'),(4832,'/ar','default','Currency','','7.34'),(4833,'/ar','default','The currency of the transaction.','','7.34'),(4834,'/ar','default','The message associated with the transaction.','','7.34'),(4835,'/ar','default','The status of this transaction.','','7.34'),(4836,'/ar','default','Remote status','','7.34'),(4837,'/ar','default','The status of this transaction at the payment provider.','','7.34'),(4838,'/ar','default','The date the transaction was created.','','7.34'),(4839,'/ar','default','Changed date','','7.34'),(4840,'/ar','default','The date the transaction was last changed.','','7.34'),(4841,'/ar','default','Provide a simple link to delete the payment transaction.','','7.34'),(4842,'/ar','default','Display all the available operations links for the transaction.','','7.34'),(4843,'/ar','default','Totals','','7.34'),(4844,'/ar','default','Display transaction total and order balance information for all transactions in the View.','','7.34'),(4845,'/ar','default','Commerce Product','','7.34'),(4846,'/ar','default','Products from the store.','','7.34'),(4847,'/ar','default','Product ID','','7.34'),(4848,'/ar','default','The unique internal identifier of the product.','','7.34'),(4849,'/ar','default','SKU','','7.34'),(4850,'/ar','default','The unique human-readable identifier of the product.','','7.34'),(4851,'/ar','default','The human-readable name of the type of the product.','','7.34'),(4852,'/ar','default','The title of the product used for administrative display.','','7.34'),(4853,'/ar','default','The language the product is in.','','7.34'),(4854,'/ar','default','Relate a product to the user who created it.','','7.34'),(4855,'/ar','default','Product creator','','7.34'),(4856,'/ar','default','Whether or not the product is active.','','7.34'),(4857,'/ar','default','The date the product was created.','','7.34'),(4858,'/ar','default','The date the product was last updated.','','7.34'),(4859,'/ar','default','Provide a simple link to the administrator view of the product.','','7.34'),(4860,'/ar','default','Provide a simple link to edit the product.','','7.34'),(4861,'/ar','default','Provide a simple link to delete the product.','','7.34'),(4862,'/ar','default','Display all the available operations links for the product.','','7.34'),(4863,'/ar','default','Displays an appropriate empty text message for product lists.','','7.34'),(4864,'/ar','default','Commerce Product revision','','7.34'),(4865,'/ar','default','Commerce Product revision is a history of changes to a product.','','7.34'),(4866,'/ar','default','The revision ID of the product revision.','','7.34'),(4867,'/ar','default','Product','','7.34'),(4868,'/ar','default','Latest product revision','','7.34'),(4869,'/ar','default','The unique human-readable identifier of the product revision.','','7.34'),(4870,'/ar','default','The title of the product revision used for administrative display.','','7.34'),(4871,'/ar','default','Relate a product revision to the user who created the revision.','','7.34'),(4872,'/ar','default','Whether or not the product was active at the time of the revision.','','7.34'),(4873,'/ar','default','The date the product revision was created.','','7.34'),(4874,'/ar','default','The Title of the block.','','7.34'),(4875,'/ar','default','Donation','','7.34'),(4876,'/ar','default','Drupal Commerce donation product','','7.34'),(4877,'/ar','default','Commerce Customer profile','','7.34'),(4878,'/ar','default','Administrator','','7.34'),(4879,'/ar','default','Customer','','7.34'),(4880,'/ar','default','customer profile','','7.34'),(4881,'/ar','default','customer profiles','','7.34'),(4882,'/ar','default','Billing information','','7.34'),(4883,'/ar','default','The profile used to collect billing information on the checkout and order forms.','','7.34'),(4884,'/ar','default','Commerce Line item','','7.34'),(4885,'/ar','default','line item','','7.34'),(4886,'/ar','default','line items','','7.34'),(4887,'/ar','default','Donation line item type','','7.34'),(4888,'/ar','default','Add donation','','7.34'),(4889,'/ar','default','References a product and displays it with the SKU as the label.','','7.34'),(4890,'/ar','default','Add product','','7.34'),(4891,'/ar','default','Commerce Order','a drupal commerce order','7.34'),(4892,'/ar','default','order','','7.34'),(4893,'/ar','default','orders','','7.34'),(4894,'/ar','default','Commerce Payment transaction','','7.34'),(4895,'/ar','default','payment transaction','','7.34'),(4896,'/ar','default','payment transactions','','7.34'),(4897,'/ar','default','PayPal WPS','','7.34'),(4898,'/ar','default','PayPal','','7.34'),(4899,'/ar','default','PayPal Website Payments Standard','','7.34'),(4900,'/ar','default','Admin display','','7.34'),(4901,'/ar','default','product','','7.34'),(4902,'/ar','default','products','','7.34'),(4903,'/ar','default','Field collection item','','7.34'),(4904,'/ar','default','Field collection @field','','7.34'),(4905,'/ar','default','Search result','','7.32'),(4906,'/ar','default','Rules configuration','','7.34'),(4907,'/ar','default','Email: Plain','','7.34'),(4908,'/ar','default','Email: HTML','','7.34'),(4909,'/ar','default','Email: HTML text alternative','','7.34'),(4910,'/ar','default','Tokens','','7.34'),(4911,'/ar','default','Line item','','7.34'),(4912,'/ar','default','@entity_type: @view_mode','','7.34'),(4913,'/ar','default','Nodes represent the main site content items.','','7.34'),(4914,'/ar','default','Users who have created accounts on your site.','','7.34'),(4915,'/ar','default','Uploaded file.','','7.34'),(4916,'/ar','default','Remark or note that refers to a node.','','7.34'),(4917,'/ar','default','Taxonomy terms are used for classifying content.','','7.34'),(4918,'/ar','default','Taxonomy vocabularies','','7.34'),(4919,'/ar','default','Vocabularies contain related taxonomy terms, which are used for classifying content.','','7.34'),(4920,'/ar','default','The internal numeric ID of the customer profile.','','7.34'),(4921,'/ar','default','The type of the customer profile.','','7.34'),(4922,'/ar','default','The unique ID of the user the customer profile belongs to.','','7.34'),(4923,'/ar','default','The user the customer profile belongs to.','','7.34'),(4924,'/ar','default','Whether or not the customer profile is active.','','7.34'),(4925,'/ar','default','The date the customer profile was created.','','7.34'),(4926,'/ar','default','Date updated','','7.34'),(4927,'/ar','default','The date the customer profile was last updated.','','7.34'),(4928,'/ar','default','The internal numeric ID of the line item.','','7.34'),(4929,'/ar','default','The unique ID of the order the line item belongs to.','','7.34'),(4930,'/ar','default','The order the line item belongs to.','','7.34'),(4931,'/ar','default','The human readable name of the line item type.','','7.34'),(4932,'/ar','default','Line item label','','7.34'),(4933,'/ar','default','The label displayed with the line item.','','7.34'),(4934,'/ar','default','Quantity associated with this line item','','7.34'),(4935,'/ar','default','The date the line item was most recently updated.','','7.34'),(4936,'/ar','default','The internal numeric ID of the order.','','7.34'),(4937,'/ar','default','The order number displayed to the customer.','','7.34'),(4938,'/ar','default','The current status of the order.','','7.34'),(4939,'/ar','default','State','','7.34'),(4940,'/ar','default','The state of the order derived from its status.','','7.34'),(4941,'/ar','default','The date the order was most recently updated.','','7.34'),(4942,'/ar','default','Host name','','7.34'),(4943,'/ar','default','The IP address that created this order.','','7.34'),(4944,'/ar','default','The human readable name of the order type.','','7.34'),(4945,'/ar','default','Owner ID','','7.34'),(4946,'/ar','default','The unique ID of the order owner.','','7.34'),(4947,'/ar','default','The owner of the order.','','7.34'),(4948,'/ar','default','Order e-mail','','7.34'),(4949,'/ar','default','The e-mail address associated with this order.','','7.34'),(4950,'/ar','default','Order e-mail prepared for username usage','','7.34'),(4951,'/ar','default','The e-mail address associated with this order with illegal characters for usernames replaced.','','7.34'),(4952,'/ar','default','The internal numeric ID of the transaction.','','7.34'),(4953,'/ar','default','The unique ID of the user who created the transaction.','','7.34'),(4954,'/ar','default','The user who created the transaction.','','7.34'),(4955,'/ar','default','The unique ID of the order the transaction belongs to.','','7.34'),(4956,'/ar','default','The order the transaction belongs to.','','7.34'),(4957,'/ar','default','The date the payment was created.','','7.34'),(4958,'/ar','default','The date the payment was last updated.','','7.34'),(4959,'/ar','default','Remote id','','7.34'),(4960,'/ar','default','The remote identifier for this transaction.','','7.34'),(4961,'/ar','default','The amount for this transaction.','','7.34'),(4962,'/ar','default','Currency Code','','7.34'),(4963,'/ar','default','The currency code for this transaction.','','7.34'),(4964,'/ar','default','Message for this transaction.','','7.34'),(4965,'/ar','default','Status of the payment transaction.','','7.34'),(4966,'/ar','default','Remote status of the payment transaction.','','7.34'),(4967,'/ar','default','The internal numeric ID of the product.','','7.34'),(4968,'/ar','default','The human readable product SKU.','','7.34'),(4969,'/ar','default','The type of the product.','','7.34'),(4970,'/ar','default','The title of the product.','','7.34'),(4971,'/ar','default','The language the product was created in.','','7.34'),(4972,'/ar','default','Boolean indicating whether the product is active or disabled.','','7.34'),(4973,'/ar','default','The date the product was most recently updated.','','7.34'),(4974,'/ar','default','Creator ID','','7.34'),(4975,'/ar','default','The unique ID of the product creator.','','7.34'),(4976,'/ar','default','The creator of the product.','','7.34'),(4977,'/ar','default','@entity \"@property\" property.','','7.34'),(4978,'/ar','default','The machine-readable name identifying this @entity.','','7.34'),(4979,'/ar','default','Internal, numeric @entity ID','','7.34'),(4980,'/ar','default','The ID used to identify this @entity internally.','','7.34'),(4981,'/ar','default','The human readable label.','','7.34'),(4982,'/ar','default','The URL of the entity.','','7.34'),(4983,'/ar','default','The bean label','','7.34'),(4984,'/ar','default','The bean title','','7.34'),(4985,'/ar','default','View Mode','','7.34'),(4986,'/ar','default','View mode of the bean','','7.34'),(4987,'/ar','default','The delta of the block','','7.34'),(4988,'/ar','default','Block Delta','','7.34'),(4989,'/ar','default','The bean type.','','7.34'),(4990,'/ar','default','@entity ID','','7.34'),(4991,'/ar','default','The unique ID of the @entity.','','7.34'),(4992,'/ar','default','The machine-readable name of the field collection field containing this item.','','7.34'),(4993,'/ar','default','Host entity','','7.34'),(4994,'/ar','default','The entity containing the field collection field.','','7.34'),(4995,'/ar','default','The subject of the comment.','','7.34'),(4996,'/ar','default','The author of the comment.','','7.34'),(4997,'/ar','default','Whether the comment is published or unpublished.','','7.34'),(4998,'/ar','default','Postal address','','7.34'),(4999,'/ar','default','A field type used for storing postal addresses according the xNAL standard.','','7.34'),(5000,'/ar','default','Customer profile reference','','7.34'),(5001,'/ar','default','This field stores the ID of a related customer profile as an integer value.','','7.34'),(5002,'/ar','default','Line item reference','','7.34'),(5003,'/ar','default','This field stores the ID of a related line item as an integer value.','','7.34'),(5004,'/ar','default','Price','','7.34'),(5005,'/ar','default','This field stores prices for products consisting of an amount and a currency.','','7.34'),(5006,'/ar','default','Product reference','','7.34'),(5007,'/ar','default','This field stores the ID of a related product as an integer value.','','7.34'),(5008,'/ar','default','Entity Reference','','7.34'),(5009,'/ar','default','This field reference another entity.','','7.34'),(5010,'/ar','default','Field collection','','7.34'),(5011,'/ar','default','This field stores references to embedded entities, which itself may contain any number of fields.','','7.34'),(5012,'/ar','default','Store a title, href, and attributes in the database to assemble a link.','','7.34'),(5013,'/ar','default','Dynamic address form','','7.34'),(5014,'/ar','default','Customer profile manager','','7.34'),(5015,'/ar','default','Use a complex widget to edit the profile referenced by this object.','','7.34'),(5016,'/ar','default','Line item manager','','7.34'),(5017,'/ar','default','Use a complex widget to manager the line items referenced by this object.','','7.34'),(5018,'/ar','default','Do not show a widget','','7.34'),(5019,'/ar','default','Will not display the line item reference field on forms. Use only if you maintain line item references some other way.','','7.34'),(5020,'/ar','default','Price textfield','','7.34'),(5021,'/ar','default','Price with currency','','7.34'),(5022,'/ar','default','Autocomplete text field','','7.34'),(5023,'/ar','default','Display the list of referenceable products as a textfield with autocomplete behaviour.','','7.34'),(5024,'/ar','default','Will not display the product reference field on forms. Use only if you maintain product references some other way.','','7.34'),(5025,'/ar','default','Autocomplete','','7.34'),(5026,'/ar','default','An autocomplete text field.','','7.34'),(5027,'/ar','default','Autocomplete (Tags style)','','7.34'),(5028,'/ar','default','Embedded','','7.34'),(5029,'/ar','default','Inline entity form - Single value','','7.34'),(5030,'/ar','default','Inline entity form - Multiple values','','7.34'),(5031,'/ar','default','&lt;none&gt;','','7.34'),(5032,'/ar','default','Other','','7.34'),(5033,'/ar','default','Select (or other) list','','7.34'),(5034,'/ar','default','Select (or other) drag and drop lists [deprecated in favor of Field Collection]','','7.34'),(5035,'/ar','default','Select (or other) check boxes/radio buttons','','7.34'),(5036,'/ar','default','Linked and wrapped','','7.34'),(5037,'/ar','default','Add to Cart form','','7.34'),(5038,'/ar','default','Display an Add to Cart form for the referenced product.','','7.34'),(5039,'/ar','default','Customer profile display','','7.34'),(5040,'/ar','default','Display the customer profile.','','7.34'),(5041,'/ar','default','Line item View','','7.34'),(5042,'/ar','default','Display the line items via a default View.','','7.34'),(5043,'/ar','default','Raw amount','','7.34'),(5044,'/ar','default','Formatted amount','','7.34'),(5045,'/ar','default','Formatted amount with components','','7.34'),(5046,'/ar','default','SKU (link)','','7.34'),(5047,'/ar','default','Display the SKU of the referenced product as a link to the node page.','','7.34'),(5048,'/ar','default','SKU (no link)','','7.34'),(5049,'/ar','default','Display the SKU of the referenced product as plain text.','','7.34'),(5050,'/ar','default','Title (link)','','7.34'),(5051,'/ar','default','Display the title of the referenced product as a link to the node page.','','7.34'),(5052,'/ar','default','Title (no link)','','7.34'),(5053,'/ar','default','Display the title of the referenced product as plain text.','','7.34'),(5054,'/ar','default','Rendered product','','7.34'),(5055,'/ar','default','Display the rendered products in any available view mode.','','7.34'),(5056,'/ar','default','Display the label of the referenced entities.','','7.34'),(5057,'/ar','default','Entity id','','7.34'),(5058,'/ar','default','Display the id of the referenced entities.','','7.34'),(5059,'/ar','default','Rendered entity','','7.34'),(5060,'/ar','default','Display the referenced entities rendered by entity_view().','','7.34'),(5061,'/ar','default','Links to field collection items','','7.34'),(5062,'/ar','default','Field collection items','','7.34'),(5063,'/ar','default','Fields only','','7.34'),(5064,'/ar','default','Slideshow','','7.34'),(5065,'/ar','default','Image Delta','','7.34'),(5066,'/ar','default','Title, as link (default)','','7.34'),(5067,'/ar','default','Title, as plain text','','7.34'),(5068,'/ar','default','URL, as link','','7.34'),(5069,'/ar','default','URL, as plain text','','7.34'),(5070,'/ar','default','URL, absolute','','7.34'),(5071,'/ar','default','Domain, as link','','7.34'),(5072,'/ar','default','Short, as link with title \"Link\"','','7.34'),(5073,'/ar','default','Label, as link with label as title','','7.34'),(5074,'/ar','default','Separate title and URL','','7.34'),(5075,'/ar','default','Video Player','','7.34'),(5076,'/ar','default','URL to Video','','7.34'),(5077,'/ar','default','Thumbnail Preview','','7.34'),(5078,'/ar','default','Select or other','','7.34'),(5079,'/ar','default','Field \"@name\".','','7.34'),(5080,'/ar','default','Amount (decimal)','','7.34'),(5081,'/ar','default','The file.','','7.34'),(5082,'/ar','default','The file description','','7.34'),(5083,'/ar','default','Whether the file is being displayed.','','7.34'),(5084,'/ar','default','The image file.','','7.34'),(5085,'/ar','default','The \"Alt\" attribute text','','7.34'),(5086,'/ar','default','The \"Title\" attribute text','','7.34'),(5087,'/ar','default','Country','','7.34'),(5088,'/ar','default','Full name','','7.34'),(5089,'/ar','default','First name','','7.34'),(5090,'/ar','default','Last name','','7.34'),(5091,'/ar','default','Company','','7.34'),(5092,'/ar','default','Administrative area (i.e. State / Province)','','7.34'),(5093,'/ar','default','Sub administrative area','','7.34'),(5094,'/ar','default','Locality (i.e. City)','','7.34'),(5095,'/ar','default','Dependent locality','','7.34'),(5096,'/ar','default','Postal code','','7.34'),(5097,'/ar','default','Thoroughfare (i.e. Street address)','','7.34'),(5098,'/ar','default','Premise (i.e. Apartment / Suite number)','','7.34'),(5099,'/ar','default','The title of the link.','','7.34'),(5100,'/ar','default','The URL of the link.','','7.34'),(5101,'/ar','default','The attributes of the link.','','7.34'),(5102,'/ar','default','!label of field %name','','7.34'),(5103,'/ar','default','Node ID','','7.34'),(5104,'/ar','default','The unique ID of the node.','','7.34'),(5105,'/ar','default','The unique ID of the node\'s revision.','','7.34'),(5106,'/ar','default','Is new','','7.34'),(5107,'/ar','default','Whether the node is new and not saved to the database yet.','','7.34'),(5108,'/ar','default','Whether the node is published or unpublished.','','7.34'),(5109,'/ar','default','Promoted to frontpage','','7.34'),(5110,'/ar','default','Whether the node is promoted to the frontpage.','','7.34'),(5111,'/ar','default','Sticky in lists','','7.34'),(5112,'/ar','default','Whether the node is displayed at the top of lists in which it appears.','','7.34'),(5113,'/ar','default','Translation source node','','7.34'),(5114,'/ar','default','The original-language version of this node, if one exists.','','7.34'),(5115,'/ar','default','In case a new revision is to be saved, the log entry explaining the changes for this version.','','7.34'),(5116,'/ar','default','Creates revision','','7.34'),(5117,'/ar','default','Whether saving this node creates a new revision.','','7.34'),(5118,'/ar','default','The weight of the term, which is used for ordering terms during display.','','7.34'),(5119,'/ar','default','The parent terms of the taxonomy term.','','7.34'),(5120,'/ar','default','All parent terms','','7.34'),(5121,'/ar','default','Ancestors of the term, i.e. parent of all above hierarchy levels.','','7.34'),(5122,'/ar','default','The machine name of the taxonomy vocabulary.','','7.34'),(5123,'/ar','default','The url of the account edit page.','','7.34'),(5124,'/ar','default','The date the user last accessed the site.','','7.34'),(5125,'/ar','default','The date the user last logged in to the site.','','7.34'),(5126,'/ar','default','User roles','','7.34'),(5127,'/ar','default','The roles of the user.','','7.34'),(5128,'/ar','default','Whether the user is active or blocked.','','7.34'),(5129,'/ar','default','The user\'s default theme.','','7.34'),(5130,'/ar','default','Logged in user','','7.34'),(5131,'/ar','default','The currently logged in user.','','7.34'),(5132,'/ar','default','Current date','','7.34'),(5133,'/ar','default','The current date and time.','','7.34'),(5134,'/ar','default','Current page','','7.34'),(5135,'/ar','default','Information related to the current page request.','','7.34'),(5136,'/ar','default','The internal Drupal path of the current page request.','','7.34'),(5137,'/ar','default','The full URL of the current page request.','','7.34'),(5138,'/ar','default','The size of the file, in kilobytes.','','7.34'),(5139,'/ar','default','User\'s shopping cart order','','7.34'),(5140,'/ar','default','The shopping cart order belonging to the current user.','','7.34'),(5141,'/ar','default','View URL','','7.34'),(5142,'/ar','default','The URL a customer can visit to view the order.','','7.34'),(5143,'/ar','default','Admin URL','','7.34'),(5144,'/ar','default','The URL of the order\'s administrative view page.','','7.34'),(5145,'/ar','default','The URL of the order\'s edit page.','','7.34'),(5146,'/ar','default','The URL of the product\'s edit page.','','7.34'),(5147,'/ar','default','Comments allowed','','7.34'),(5148,'/ar','default','Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).','','7.34'),(5149,'/ar','default','The node comments.','','7.34'),(5150,'/ar','default','The main body text','','7.34'),(5151,'/ar','default','Interface language','','7.34'),(5152,'/ar','default','The language code of the current user interface language.','','7.34'),(5153,'/ar','default','Content language','','7.34'),(5154,'/ar','default','The language code of the current content language.','','7.34'),(5155,'/ar','default','(No information available)','','7.34'),(5156,'/ar','default','Rendered @entity-type','','7.34'),(5157,'/ar','default','The @entity-type of the current relationship rendered using a view mode.','','7.34'),(5158,'/ar','default','Entity','','7.34'),(5159,'/ar','default','Displays a single chosen entity.','','7.34'),(5160,'/ar','default','@entity:@bundle','','7.34'),(5161,'/ar','default','Appears in: @bundles.','','7.34'),(5162,'/ar','default','@group: @field','','7.34'),(5163,'/ar','default','@group (historical data)','','7.34'),(5164,'/ar','default','@group (historical data): @field','','7.34'),(5165,'/ar','default','@label (!name)','','7.34'),(5166,'/ar','default','- No value -','','7.34'),(5167,'/ar','default','@label (!name:delta)','','7.34'),(5168,'/ar','default','@label:delta','','7.34'),(5169,'/ar','default','Delta - Appears in: @bundles.','','7.34'),(5170,'/ar','default','Referenced line items','','7.34'),(5171,'/ar','default','Line items referenced by !field_name','','7.34'),(5172,'/ar','default','Relate this entity to line items referenced by its !field_name value.','','7.34'),(5173,'/ar','default','@label (!name:!column)','','7.34'),(5174,'/ar','default','@label:!column','','7.34'),(5175,'/ar','default','Referenced customer profile','','7.34'),(5176,'/ar','default','Customer profile referenced by !field_name','','7.34'),(5177,'/ar','default','Relate this entity to the customer profile referenced by its !field_name value.','','7.34'),(5178,'/ar','default','term from !field_name','','7.34'),(5179,'/ar','default','This is an alias of @group: @field.','','7.34'),(5180,'/ar','default','Also known as: !also.','','7.34'),(5181,'/ar','default','image from !field_name','','7.34'),(5182,'/ar','default','@field-label - @property-label','','7.34'),(5183,'/ar','default','Referenced products','','7.34'),(5184,'/ar','default','Products referenced by !field_name','','7.34'),(5185,'/ar','default','Relate this entity to products referenced by its !field_name value.','','7.34'),(5186,'/ar','default','@label (!name:language)','','7.34'),(5187,'/ar','default','@label:language','','7.34'),(5188,'/ar','default','Language - Appears in: @bundles.','','7.34'),(5189,'/ar','default','<No value>','','7.34'),(5190,'/ar','default','field collection item from !field_name','','7.34'),(5191,'/ar','default','field collection item revision from !field_name','','7.34'),(5192,'/ar','default','Entity with the @field (@field_name)','','7.34'),(5193,'/ar','default','Relate each @entity using @field.','','7.34'),(5194,'/ar','default','!field_name','','7.34'),(5195,'/ar','default','Locale source','','7.34'),(5196,'/ar','default','A source string for translation, in English or the default site language.','','7.34'),(5197,'/ar','default','LID','','7.34'),(5198,'/ar','default','The ID of the source string.','','7.34'),(5199,'/ar','default','A description of the location or context of the string.','','7.34'),(5200,'/ar','default','The group the translation is in.','','7.34'),(5201,'/ar','default','Source','','7.34'),(5202,'/ar','default','The full original string.','','7.34'),(5203,'/ar','default','The version of Drupal core that this string is for.','','7.34'),(5204,'/ar','default','Provide a simple link to edit the translations.','','7.34'),(5205,'/ar','default','Locale target','','7.34'),(5206,'/ar','default','Translation','','7.34'),(5207,'/ar','default','The full translation string.','','7.34'),(5208,'/ar','default','The language this translation is in.','','7.34'),(5209,'/ar','default','Singular LID','','7.34'),(5210,'/ar','default','The ID of the parent translation.','','7.34'),(5211,'/ar','default','Plural','','7.34'),(5212,'/ar','default','Whether or not the translation is plural.','','7.34'),(5213,'/ar','default','The node ID.','','7.34'),(5214,'/ar','default','The content title.','','7.34'),(5215,'/ar','default','The date the content was posted.','','7.34'),(5216,'/ar','default','The date the content was last updated.','','7.34'),(5217,'/ar','default','The content type (for example, \"blog entry\", \"forum post\", \"story\", etc).','','7.34'),(5218,'/ar','default','Whether or not the content is published.','','7.34'),(5219,'/ar','default','Published or admin','','7.34'),(5220,'/ar','default','Filters out unpublished content if the current user cannot view it.','','7.34'),(5221,'/ar','default','Whether or not the content is promoted to the front page.','','7.34'),(5222,'/ar','default','Promoted','','7.34'),(5223,'/ar','default','Not promoted','','7.34'),(5224,'/ar','default','Sticky','','7.34'),(5225,'/ar','default','Whether or not the content is sticky.','','7.34'),(5226,'/ar','default','Not sticky','','7.34'),(5227,'/ar','default','Whether or not the content is sticky. To list sticky content first, set this to descending.','','7.34'),(5228,'/ar','default','Provide a simple link to the content.','','7.34'),(5229,'/ar','default','Provide a simple link to edit the content.','','7.34'),(5230,'/ar','default','Provide a simple link to delete the content.','','7.34'),(5231,'/ar','default','The aliased path to this content.','','7.34'),(5232,'/ar','default','The user authoring the content. If you need more fields than the uid add the content: author relationship','','7.34'),(5233,'/ar','default','Relate content to the user who created it.','','7.34'),(5234,'/ar','default','User has a revision','','7.34'),(5235,'/ar','default','All nodes where a certain user has a revision','','7.34'),(5236,'/ar','default','Content revision','','7.34'),(5237,'/ar','default','Content revision is a history of changes to content.','','7.34'),(5238,'/ar','default','Relate a content revision to the user who created the revision.','','7.34'),(5239,'/ar','default','revision user','','7.34'),(5240,'/ar','default','The revision NID of the content revision.','','7.34'),(5241,'/ar','default','Get the actual content from a content revision.','','7.34'),(5242,'/ar','default','Vid','','7.34'),(5243,'/ar','default','The revision ID of the content revision.','','7.34'),(5244,'/ar','default','The date the node was last updated.','','7.34'),(5245,'/ar','default','Provide a simple link to the revision.','','7.34'),(5246,'/ar','default','Revert link','','7.34'),(5247,'/ar','default','Provide a simple link to revert to the revision.','','7.34'),(5248,'/ar','default','Provide a simple link to delete the content revision.','','7.34'),(5249,'/ar','default','Content access','','7.34'),(5250,'/ar','default','Access','','7.34'),(5251,'/ar','default','Filter by access.','','7.34'),(5252,'/ar','default','Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>','','7.34'),(5253,'/ar','default','Has new content','','7.34'),(5254,'/ar','default','Show a marker if the content is new or updated.','','7.34'),(5255,'/ar','default','Show only content that is new or updated.','','7.34'),(5256,'/ar','default','Score','','7.34'),(5257,'/ar','default','The score of the search item. This will not be used if the search filter is not also present.','','7.34'),(5258,'/ar','default','Links from','','7.34'),(5259,'/ar','default','Other nodes that are linked from the node.','','7.34'),(5260,'/ar','default','Links to','','7.34'),(5261,'/ar','default','Other nodes that link to the node.','','7.34'),(5262,'/ar','default','Search Terms','','7.34'),(5263,'/ar','default','The terms to search for.','','7.34'),(5264,'/ar','default','ShareThis Link','','7.34'),(5265,'/ar','default','Link provided by the ShareThis service.','','7.34'),(5266,'/ar','default','Simplenews mailspool','','7.34'),(5267,'/ar','default','Spool for temporary storage of newsletter emails.','','7.34'),(5268,'/ar','default','Simplenews spool','','7.34'),(5269,'/ar','default','Ms ID','','7.34'),(5270,'/ar','default','The primary identifier for a mail spool record.','','7.34'),(5271,'/ar','default','Subscriber','','7.34'),(5272,'/ar','default','The formatted email address of mail message receipient.','','7.34'),(5273,'/ar','default','The {node}.nid of this newsletter.','','7.34'),(5274,'/ar','default','The {term_data}.tid this newsletter issue belongs to.','','7.34'),(5275,'/ar','default','Issue','','7.34'),(5276,'/ar','default','Subscriber ID','','7.34'),(5277,'/ar','default','The {simplenews_subscriber}.snid foreign key for this spool','','7.34'),(5278,'/ar','default','Sent status','','7.34'),(5279,'/ar','default','The sent status of the email (0 = hold, 1 = pending, 2 = done).','','7.34'),(5280,'/ar','default','A boolean indicating whether an error occured while sending the email.','','7.34'),(5281,'/ar','default','The time status was set or changed.','','7.34'),(5282,'/ar','default','A serialized array of name value pairs that are related to the email address.','','7.34'),(5283,'/ar','default','Simplenews issue','','7.34'),(5284,'/ar','default','The {term_data}.tid (= newsletter series) this issue belongs to.','','7.34'),(5285,'/ar','default','Newsletter','','7.34'),(5286,'/ar','default','Newsletter sent status: 0: Not sent, 1: Pending (being sent or waiting for cron to run), 2: Sent.','','7.34'),(5287,'/ar','default','Subscriber count','','7.34'),(5288,'/ar','default','The count of subscribers of the newsletter at the time it was sent.','','7.34'),(5289,'/ar','default','Send newsletter','','7.34'),(5290,'/ar','default','Provides a link to send the simplenews newsletter if not sent yet.','','7.34'),(5291,'/ar','default','Simplenews subscriber','','7.34'),(5292,'/ar','default','Contains subscribers of Simplenews Newsletters.','','7.34'),(5293,'/ar','default','Primary key: Unique subsciber ID.','','7.34'),(5294,'/ar','default','Activated','','7.34'),(5295,'/ar','default','Boolean indicating the status of the subscription.','','7.34'),(5296,'/ar','default','The subscription email address.','','7.34'),(5297,'/ar','default','The {users}.uid that has the same email address.','','7.34'),(5298,'/ar','default','Anonymous subscriber preferred language. Empty for authenticated users.','','7.34'),(5299,'/ar','default','UNIX timestamp of when the user first subscribed to a newsletter.','','7.34'),(5300,'/ar','default','Simplenews subscription','','7.34'),(5301,'/ar','default','Contains all Subscriptions of every Simplenews Newsletters.','','7.34'),(5302,'/ar','default','The {simplenews_subscriptions}.snid who is subscribed.','','7.34'),(5303,'/ar','default','The newsletter series ({term_data}.tid) the subscriber is subscribed to.','','7.34'),(5304,'/ar','default','Term (Newsletter series)','','7.34'),(5305,'/ar','default','A flag indicating whether the user is subscribed (1) or unsubscribed (0).','','7.34'),(5306,'/ar','default','UNIX timestamp of when the user is (un)subscribed.','','7.34'),(5307,'/ar','default','The source via which the user is (un)subscribed.','','7.34'),(5308,'/ar','default','Simplenews category','','7.34'),(5309,'/ar','default','Format of the newsletter (plain or html).','','7.34'),(5310,'/ar','default','Priority','','7.34'),(5311,'/ar','default','Email priority according to RFC 2156 and RFC 5231 (0 = none; 1 = highest; 2 = high; 3 = normal; 4 = low; 5 = lowest).','','7.34'),(5312,'/ar','default','Receipt','','7.34'),(5313,'/ar','default','Boolean indicating request for email receipt confirmation according to RFC 2822.','','7.34'),(5314,'/ar','default','From name','','7.34'),(5315,'/ar','default','Sender name for newsletter emails.','','7.34'),(5316,'/ar','default','Email Subject','','7.34'),(5317,'/ar','default','Subject of newsletter email. May contain tokens.','','7.34'),(5318,'/ar','default','From address','','7.34'),(5319,'/ar','default','Sender address for newsletter emails','','7.34'),(5320,'/ar','default','Hyperlinks displaymode','','7.34'),(5321,'/ar','default','Flag indicating type of hyperlink conversion (1 = hyperlinks are in-line; 0 = hyperlinks are placed at email bottom).','','7.34'),(5322,'/ar','default','New account','','7.34'),(5323,'/ar','default','How to treat subscription at account creation (none = None; on = Default on; off = Default off; silent = Invisible subscription).','','7.34'),(5324,'/ar','default','Confirmation displaymode','','7.34'),(5325,'/ar','default','How to treat subscription confirmation (hidden = Newsletter is hidden from the user; single = Single opt-in; double = Double opt-in).','','7.34'),(5326,'/ar','default','Indicates wether a subscription block is available for this category','','7.34'),(5327,'/ar','default','Files maintained by Drupal and various modules.','','7.34'),(5328,'/ar','default','The ID of the file.','','7.34'),(5329,'/ar','default','The name of the file.','','7.34'),(5330,'/ar','default','The path of the file.','','7.34'),(5331,'/ar','default','Mime type','','7.34'),(5332,'/ar','default','The mime type of the file.','','7.34'),(5333,'/ar','default','Extension','','7.34'),(5334,'/ar','default','The extension of the file.','','7.34'),(5335,'/ar','default','The status of the file.','','7.34'),(5336,'/ar','default','Upload date','','7.34'),(5337,'/ar','default','The date the file was uploaded.','','7.34'),(5338,'/ar','default','User who uploaded','','7.34'),(5339,'/ar','default','The user that uploaded the file.','','7.34'),(5340,'/ar','default','File Usage','','7.34'),(5341,'/ar','default','Content that is associated with this file, usually because this file is in a field on the content.','','7.34'),(5342,'/ar','default','A file that is associated with this node, usually because it is in a field on the node.','','7.34'),(5343,'/ar','default','A user that is associated with this file, usually because this file is in a field on the user.','','7.34'),(5344,'/ar','default','A file that is associated with this user, usually because it is in a field on the user.','','7.34'),(5345,'/ar','default','A comment that is associated with this file, usually because this file is in a field on the comment.','','7.34'),(5346,'/ar','default','A file that is associated with this comment, usually because it is in a field on the comment.','','7.34'),(5347,'/ar','default','Taxonomy Term','','7.34'),(5348,'/ar','default','A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.','','7.34'),(5349,'/ar','default','A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.','','7.34'),(5350,'/ar','default','Taxonomy Vocabulary','','7.34'),(5351,'/ar','default','A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.','','7.34'),(5352,'/ar','default','A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.','','7.34'),(5353,'/ar','default','Module','','7.34'),(5354,'/ar','default','The module managing this file relationship.','','7.34'),(5355,'/ar','default','Entity type','','7.34'),(5356,'/ar','default','The type of entity that is related to the file.','','7.34'),(5357,'/ar','default','Entity ID','','7.34'),(5358,'/ar','default','The ID of the entity that is related to the file.','','7.34'),(5359,'/ar','default','Use count','','7.34'),(5360,'/ar','default','The number of times the file is used by this entity.','','7.34'),(5361,'/ar','default','Module/Theme/Theme engine','','7.34'),(5362,'/ar','default','Modules/Themes/Theme engines in your codebase.','','7.34'),(5363,'/ar','default','Module/Theme/Theme engine filename','','7.34'),(5364,'/ar','default','The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.','','7.34'),(5365,'/ar','default','Module/Theme/Theme engine name','','7.34'),(5366,'/ar','default','The name of the item; e.g. node.','','7.34'),(5367,'/ar','default','The type of the item, either module, theme, or theme_engine.','','7.34'),(5368,'/ar','default','Boolean indicating whether or not this item is enabled.','','7.34'),(5369,'/ar','default','Schema version','','7.34'),(5370,'/ar','default','The module\'s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module\'s hook_update_N() function that has either been run or existed when the module was first installed.','','7.34'),(5371,'/ar','default','Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(5372,'/ar','default','The taxonomy vocabulary name','','7.34'),(5373,'/ar','default','Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(5374,'/ar','default','Filter the results of \"Taxonomy: Term\" to a particular vocabulary.','','7.34'),(5375,'/ar','default','The taxonomy vocabulary ID','','7.34'),(5376,'/ar','default','The taxonomy vocabulary description','','7.34'),(5377,'/ar','default','The taxonomy vocabulary weight','','7.34'),(5378,'/ar','default','Term','','7.34'),(5379,'/ar','default','Taxonomy terms are attached to nodes.','','7.34'),(5380,'/ar','default','The tid of a taxonomy term.','','7.34'),(5381,'/ar','default','Taxonomy term chosen from autocomplete or select widget.','','7.34'),(5382,'/ar','default','Representative node','','7.34'),(5383,'/ar','default','Obtains a single representative node for each term, according to a chosen sort criterion.','','7.34'),(5384,'/ar','default','The taxonomy term name.','','7.34'),(5385,'/ar','default','Taxonomy term name.','','7.34'),(5386,'/ar','default','Uncategorized','','7.34'),(5387,'/ar','default','The term weight field','','7.34'),(5388,'/ar','default','The description associated with a taxonomy term.','','7.34'),(5389,'/ar','default','Term edit link','','7.34'),(5390,'/ar','default','Provide a simple link to edit the term.','','7.34'),(5391,'/ar','default','Content with term','','7.34'),(5392,'/ar','default','Relate all content tagged with a term.','','7.34'),(5393,'/ar','default','Has taxonomy term ID','','7.34'),(5394,'/ar','default','Display content if it has the selected taxonomy terms.','','7.34'),(5395,'/ar','default','Has taxonomy term','','7.34'),(5396,'/ar','default','The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.','','7.34'),(5397,'/ar','default','Filter the results of \"Taxonomy: Term\" by the parent pid.','','7.34'),(5398,'/ar','default','The parent term of the term.','','7.34'),(5399,'/ar','default','The user ID','','7.34'),(5400,'/ar','default','Content authored','','7.34'),(5401,'/ar','default','Relate content to the user who created it. This relationship will create one record for each content item created by the user.','','7.34'),(5402,'/ar','default','nodes','','7.34'),(5403,'/ar','default','The raw numeric user ID.','','7.34'),(5404,'/ar','default','Obtains a single representative node for each user, according to a chosen sort criterion.','','7.34'),(5405,'/ar','default','Current','','7.34'),(5406,'/ar','default','Filter the view to the currently logged in user.','','7.34'),(5407,'/ar','default','The user or author name.','','7.34'),(5408,'/ar','default','Name (raw)','','7.34'),(5409,'/ar','default','The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.','','7.34'),(5410,'/ar','default','Email address for a given user. This field is normally not shown to users, so be cautious when using it.','','7.34'),(5411,'/ar','default','Language of the user','','7.34'),(5412,'/ar','default','The user\'s picture, if allowed.','','7.34'),(5413,'/ar','default','Has Avatar','','7.34'),(5414,'/ar','default','Provide a simple link to the user.','','7.34'),(5415,'/ar','default','The date the user was created.','','7.34'),(5416,'/ar','default','The user\'s last access date.','','7.34'),(5417,'/ar','default','The user\'s last login date.','','7.34'),(5418,'/ar','default','Whether a user is active or blocked.','','7.34'),(5419,'/ar','default','The user\'s signature.','','7.34'),(5420,'/ar','default','Provide a simple link to edit the user.','','7.34'),(5421,'/ar','default','Cancel link','','7.34'),(5422,'/ar','default','Provide a simple link to cancel the user.','','7.34'),(5423,'/ar','default','Provide serialized data of the user','','7.34'),(5424,'/ar','default','Roles that a user belongs to.','','7.34'),(5425,'/ar','default','No role','','7.34'),(5426,'/ar','default','The user permissions.','','7.34'),(5427,'/ar','default','Authmap ID','','7.34'),(5428,'/ar','default','The Authmap ID.','','7.34'),(5429,'/ar','default','Authentication name','','7.34'),(5430,'/ar','default','The unique authentication name.','','7.34'),(5431,'/ar','default','Authentication module','','7.34'),(5432,'/ar','default','The name of the module managing the authentication entry.','','7.34'),(5433,'/ar','default','Fieldset','','7.34'),(5434,'/ar','default','Adds a fieldset to put fields and other fieldsets in.','','7.34'),(5435,'/ar','default','Global','','7.34'),(5436,'/ar','default','Random','','7.34'),(5437,'/ar','default','Randomize the display order.','','7.34'),(5438,'/ar','default','Null','','7.34'),(5439,'/ar','default','Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.','','7.34'),(5440,'/ar','default','Custom text','','7.34'),(5441,'/ar','default','Provide custom text or link.','','7.34'),(5442,'/ar','default','View result counter','','7.34'),(5443,'/ar','default','Displays the actual position of the view result','','7.34'),(5444,'/ar','default','Text area','','7.34'),(5445,'/ar','default','Provide markup text for the area.','','7.34'),(5446,'/ar','default','Unfiltered text','','7.34'),(5447,'/ar','default','Add unrestricted, custom text or markup. This is similar to the custom text field.','','7.34'),(5448,'/ar','default','View area','','7.34'),(5449,'/ar','default','Insert a view inside an area.','','7.34'),(5450,'/ar','default','Result summary','','7.34'),(5451,'/ar','default','Shows result summary, for example the items per page.','','7.34'),(5452,'/ar','default','Messages','','7.34'),(5453,'/ar','default','Displays messages in the area.','','7.34'),(5454,'/ar','default','Contextual Links','','7.34'),(5455,'/ar','default','Display fields in a contextual links menu.','','7.34'),(5456,'/ar','default','Combine fields filter','','7.34'),(5457,'/ar','default','Combine two fields together and search by them.','','7.34'),(5458,'/ar','default','Math expression','','7.34'),(5459,'/ar','default','Evaluates a mathematical expression and displays it.','','7.34'),(5460,'/ar','default','Fields comparison','','7.34'),(5461,'/ar','default','Compare database fields against eachother.','','7.34'),(5462,'/ar','default','Use fields comparison to filter the result of the view.','','7.34'),(5463,'/ar','default','Webform submission','','7.34'),(5464,'/ar','default','Webform submissions of the given Webform node.','','7.34'),(5465,'/ar','default','Webform Submission','','7.34'),(5466,'/ar','default','Webform submission count','','7.34'),(5467,'/ar','default','The number of webform submissions on this node.','','7.34'),(5468,'/ar','default','Webform submissions of the given user.','','7.34'),(5469,'/ar','default','The number of webform submissions for this user.','','7.34'),(5470,'/ar','default','Webform edit link','','7.34'),(5471,'/ar','default','Provide a simple link to edit the webform components and configuration.','','7.34'),(5472,'/ar','default','Webform results link','','7.34'),(5473,'/ar','default','Provide a simple link to view the results of a webform.','','7.34'),(5474,'/ar','default','Webform form body','','7.34'),(5475,'/ar','default','The Webform form body display for this node.','','7.34'),(5476,'/ar','default','The block type','','7.34'),(5477,'/ar','default','Edit link for bean block','','7.34'),(5478,'/ar','default','Delete link for bean block','','7.34'),(5479,'/ar','default','Contextual / Operation links','','7.34'),(5480,'/ar','default','Display all the available contextual / operation links for the block.','','7.34'),(5481,'/ar','default','The number of new comments on the node.','','7.34'),(5482,'/ar','default','Add comment link','','7.34'),(5483,'/ar','default','Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.','','7.34'),(5484,'/ar','default','Comment status','','7.34'),(5485,'/ar','default','Whether comments are enabled or disabled on the node.','','7.34'),(5486,'/ar','default','User posted or commented','','7.34'),(5487,'/ar','default','Display nodes only if a user posted the node or commented on the node.','','7.34'),(5488,'/ar','default','Comments of the node','','7.34'),(5489,'/ar','default','Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.','','7.34'),(5490,'/ar','default','Display an Add to Cart form for the product.','','7.34'),(5491,'/ar','default','Empty Shopping Cart','','7.34'),(5492,'/ar','default','Displays an appropriate empty text message for shopping carts.','','7.34'),(5493,'/ar','default','Order Balance','','7.34'),(5494,'/ar','default','Total transaction payment balance for the order.','','7.34'),(5495,'/ar','default','Payment Transaction','','7.34'),(5496,'/ar','default','Relate this order to its payment transactions. This relationship will cause duplicated records if there are multiple transactions per order.','','7.34'),(5497,'/ar','default','Transaction','a drupal commerce transaction','7.34'),(5498,'/ar','default','Representative payment transaction','','7.34'),(5499,'/ar','default','Obtains a single representative payment transaction for each order, according to a chosen sort criterion.','','7.34'),(5500,'/ar','default','Product display','','7.34'),(5501,'/ar','default','Whether or not the content functions as a product display.','','7.34'),(5502,'/ar','default','Is a product display','','7.34'),(5503,'/ar','default','Product display content type','','7.34'),(5504,'/ar','default','Filters by the content type but only shows product display content types as options.','','7.34'),(5505,'/ar','default','Line item is of a product line item type','','7.34'),(5506,'/ar','default','Filter line items to those of a product line item type (including but not limited to the default Product line item type).','','7.34'),(5507,'/ar','default','@entity_type referencing products from !field_name','','7.34'),(5508,'/ar','default','Referencing @entity_type','','7.34'),(5509,'/ar','default','Relate a product to the @entity_type referencing it through !field_name.','','7.34'),(5510,'/ar','default','Link to contact page','','7.34'),(5511,'/ar','default','Provide a simple link to the user contact page.','','7.34'),(5512,'/ar','default','@entity using @field','','7.34'),(5513,'/ar','default','Relate each @entity with a @field set to the term.','','7.34'),(5514,'/ar','default','Relate each @entity with a @field set to the image.','','7.34'),(5515,'/ar','default','The language the content is in.','','7.34'),(5516,'/ar','default','Taxonomy terms on node','','7.34'),(5517,'/ar','default','Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.','','7.34'),(5518,'/ar','default','term','','7.34'),(5519,'/ar','default','All taxonomy terms','','7.34'),(5520,'/ar','default','Display all taxonomy terms associated with a node from specified vocabularies.','','7.34'),(5521,'/ar','default','Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.','','7.34'),(5522,'/ar','default','Has taxonomy term ID (with depth)','','7.34'),(5523,'/ar','default','Has taxonomy terms (with depth)','','7.34'),(5524,'/ar','default','Has taxonomy term ID depth modifier','','7.34'),(5525,'/ar','default','Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.','','7.34'),(5526,'/ar','default','Embed a view as a field. This can cause slow performance, so enable some caching.','','7.34'),(5527,'/ar','default','View (Views field view)','','7.34'),(5528,'/ar','default','Embed a view in an area. This can cause slow performance, so enable some caching.','','7.34'),(5529,'/ar','default','Embed a views_field_view field in an area. This can also accept argument tokens.','','7.34'),(5530,'/ar','default','Rendered submissions','','7.34'),(5531,'/ar','default','Display the rendered submission','','7.34'),(5532,'/ar','default','Better Exposed Filters','','7.34'),(5533,'/ar','default','Allow use of checkboxes/radio buttons for exposed filters','','7.34'),(5534,'/ar','default','Display the comment with standard comment view.','','7.34'),(5535,'/ar','default','Display the comment as RSS.','','7.34'),(5536,'/ar','default','Current user\'s cart order ID','','7.34'),(5537,'/ar','default','Current user or role','','7.34'),(5538,'/ar','default','Renders a single entity in a specific view mode (e.g. teaser).','','7.34'),(5539,'/ar','default','Entity Reference Source','','7.34'),(5540,'/ar','default','Entity Reference list','','7.34'),(5541,'/ar','default','Inline fields','','7.34'),(5542,'/ar','default','Displays the fields with an optional template.','','7.34'),(5543,'/ar','default','jCarousel','','7.34'),(5544,'/ar','default','Display rows in a carousel via jCarousel.','','7.34'),(5545,'/ar','default','Display the content with standard node view.','','7.34'),(5546,'/ar','default','Content ID from URL','','7.34'),(5547,'/ar','default','Quicktabs','','7.34'),(5548,'/ar','default','Display view in Quicktabs.','','7.34'),(5549,'/ar','default','Taxonomy term ID from URL','','7.34'),(5550,'/ar','default','Display the user with standard user view.','','7.34'),(5551,'/ar','default','User ID from URL','','7.34'),(5552,'/ar','default','User ID from logged in user','','7.34'),(5553,'/ar','default','Bootstrap Carousel','','7.34'),(5554,'/ar','default','Bootstrap Carousel Style','','7.34'),(5555,'/ar','default','Bootstrap Thumbnails','','7.34'),(5556,'/ar','default','Bootstrap Thumbnails Style','','7.34'),(5557,'/ar','default','Bootstrap Grid','','7.34'),(5558,'/ar','default','Bootstrap Grid Style','','7.34'),(5559,'/ar','default','Bootstrap Accordion','','7.34'),(5560,'/ar','default','Bootstrap Accordion Style','','7.34'),(5561,'/ar','default','Bootstrap Tab','','7.34'),(5562,'/ar','default','Bootstrap Tab Style','','7.34'),(5563,'/ar','default','Bootstrap Media Object','','7.34'),(5564,'/ar','default','Bootstrap Media Object Style','','7.34'),(5565,'/ar','default','Bootstrap Table','','7.34'),(5566,'/ar','default','Displays rows in Bootstrap Table Style','','7.34'),(5567,'/ar','default','Choose the fields to display in Bootstrap Carousel Style.','','7.34'),(5568,'/ar','default','Bootstrap Thumbnail','','7.34'),(5569,'/ar','default','Choose the fields to display in Bootstrap Thumbnail Style.','','7.34'),(5570,'/ar','default','Views fieldsets options','','7.34'),(5571,'/ar','default','A way to export Views Fieldsets.','','7.34'),(5572,'/ar','default','Scattered Polaroids','','7.34'),(5573,'/ar','default','Scattered Polaroids Style','','7.34'),(5574,'/ar','default','Choose the fields to display in Scattered Polaroids Style.','','7.34'),(5575,'/ar','default','Display the results as a slideshow.','','7.34'),(5576,'/ar','default','Master','','7.34'),(5577,'/ar','default','Default settings for this view.','','7.34'),(5578,'/ar','default','Display the view as a page, with a URL and menu links.','','7.34'),(5579,'/ar','default','Display the view as a block.','','7.34'),(5580,'/ar','default','Attachments added to other displays to achieve multiple views in the same view.','','7.34'),(5581,'/ar','default','Feed','','7.34'),(5582,'/ar','default','Display the view as a feed, such as an RSS feed.','','7.34'),(5583,'/ar','default','Embed','','7.34'),(5584,'/ar','default','Provide a display which can be embedded using the views api.','','7.34'),(5585,'/ar','default','Empty display extender','','7.34'),(5586,'/ar','default','Unformatted list','','7.34'),(5587,'/ar','default','Displays rows one after another.','','7.34'),(5588,'/ar','default','HTML list','','7.34'),(5589,'/ar','default','Displays rows as an HTML list.','','7.34'),(5590,'/ar','default','Grid','','7.34'),(5591,'/ar','default','Displays rows in a grid.','','7.34'),(5592,'/ar','default','Displays rows in a table.','','7.34'),(5593,'/ar','default','Displays the default summary as a list.','','7.34'),(5594,'/ar','default','Displays the summary unformatted, with option for one after another or inline.','','7.34'),(5595,'/ar','default','RSS Feed','','7.34'),(5596,'/ar','default','Generates an RSS feed from a view.','','7.34'),(5597,'/ar','default','Fields','','7.34'),(5598,'/ar','default','Display fields as RSS items.','','7.34'),(5599,'/ar','default','Fixed value','','7.34'),(5600,'/ar','default','PHP Code','','7.34'),(5601,'/ar','default','Raw value from URL','','7.34'),(5602,'/ar','default','Numeric','','7.34'),(5603,'/ar','default','Will be available to all users.','','7.34'),(5604,'/ar','default','Access will be granted to users with any of the specified roles.','','7.34'),(5605,'/ar','default','Access will be granted to users with the specified permission string.','','7.34'),(5606,'/ar','default','SQL Query','','7.34'),(5607,'/ar','default','Query will be generated and run using the Drupal database API.','','7.34'),(5608,'/ar','default','No caching of Views data.','','7.34'),(5609,'/ar','default','Time-based','','7.34'),(5610,'/ar','default','Simple time-based caching of data.','','7.34'),(5611,'/ar','default','Basic exposed form','','7.34'),(5612,'/ar','default','Input required','','7.34'),(5613,'/ar','default','An exposed form that only renders a view if the form contains user input.','','7.34'),(5614,'/ar','default','Display all items','','7.34'),(5615,'/ar','default','Display all items that this view might find','','7.34'),(5616,'/ar','default','Display a specified number of items','','7.34'),(5617,'/ar','default','Display a limited number items that this view might find.','','7.34'),(5618,'/ar','default','Paged output, full pager','','7.34'),(5619,'/ar','default','Full','','7.34'),(5620,'/ar','default','Paged output, full Drupal style','','7.34'),(5621,'/ar','default','Paged output, mini pager','','7.34'),(5622,'/ar','default','Mini','','7.34'),(5623,'/ar','default','Use the mini pager output.','','7.34'),(5624,'/ar','default','Do not pass admin strings for translation.','','7.34'),(5625,'/ar','default','Use Drupal core t() function. Not recommended, as it doesn\'t support updates to existing strings.','','7.34'),(5626,'/ar','default','If you need to translate Views labels into other languages, consider installing the <a href=\"!path\">Internationalization</a> package\'s Views translation module.','','7.34'),(5627,'/ar','default','Jump menu','','7.34'),(5628,'/ar','default','Puts all of the results into a select box and allows the user to go to a different page based upon the results.','','7.34'),(5629,'/ar','default','more','','7.34'),(5630,'/ar','default','Welcome to Hermio!','','7.34'),(5631,'/ar','default','Front page feed','','7.34'),(5632,'/ar','default','fields','','7.34'),(5633,'/ar','default','field','','7.34'),(5634,'/ar','default','Contextual filters','','7.34'),(5635,'/ar','default','contextual filters','','7.34'),(5636,'/ar','default','Contextual filter','','7.34'),(5637,'/ar','default','contextual filter','','7.34'),(5638,'/ar','default','Sort criteria','','7.34'),(5639,'/ar','default','sort criteria','','7.34'),(5640,'/ar','default','Sort criterion','','7.34'),(5641,'/ar','default','sort criterion','','7.34'),(5642,'/ar','default','Filter criteria','','7.34'),(5643,'/ar','default','filter criteria','','7.34'),(5644,'/ar','default','Filter criterion','','7.34'),(5645,'/ar','default','filter criterion','','7.34'),(5646,'/ar','default','Relationships','','7.34'),(5647,'/ar','default','relationships','','7.34'),(5648,'/ar','default','Relationship','','7.34'),(5649,'/ar','default','header','','7.34'),(5650,'/ar','default','footer','','7.34'),(5651,'/ar','default','No results behavior','','7.34'),(5652,'/ar','default','no results behavior','','7.34'),(5653,'/ar','default','العنوان','','7.34'),(5654,'/ar','default','رابط','','7.34'),(5655,'/ar','default','Read more','','7.34'),(5656,'/ar','default','True','','7.34'),(5657,'/ar','default','<h2>Change Their World. Change Yours.</h2>','','7.34'),(5658,'/ar','default','Is one of','','7.34'),(5659,'/ar','default','in','','7.34'),(5660,'/ar','default','=','','7.34'),(5661,'/ar','default','Is not one of','','7.34'),(5662,'/ar','default','not in','','7.34'),(5663,'/ar','default','<>','','7.34'),(5664,'/ar','default','<h1>Welcome to Hermio!</h1><h2>Change Their World. Change Yours</h2>','','7.34'),(5665,'/ar','default','Apply','','7.34'),(5666,'/ar','default','Sort by','','7.34'),(5667,'/ar','default','Asc','','7.34'),(5668,'/ar','default','Desc','','7.34'),(5669,'/ar','default','Fieldset','views_fieldsets','7.34'),(5670,'/ar','default','Headline','','7.34'),(5671,'/ar','default','Banner','','7.34'),(5672,'/ar','default','Main Menu','','7.34'),(5673,'/ar','default','Panel Fullwidth','','7.34'),(5674,'/ar','default','Panel First','','7.34'),(5675,'/ar','default','Panel Second','','7.34'),(5676,'/ar','default','Panel Third','','7.34'),(5677,'/ar','default','Panel Fourth','','7.34'),(5678,'/ar','default','Panel Fifth','','7.34'),(5679,'/ar','default','Panel Sixth','','7.34'),(5680,'/ar','default','Panel Seventh','','7.34'),(5681,'/ar','default','Panel Eighth','','7.34'),(5682,'/ar','default','Panel Footer First','','7.34'),(5683,'/ar','default','Panel Footer Second 1','','7.34'),(5684,'/ar','default','Panel Footer Second 2','','7.34'),(5685,'/ar','default','Panel Footer Second 3','','7.34'),(5686,'/ar','default','Dashboard (main)','','7.34'),(5687,'/ar','default','Dashboard (sidebar)','','7.34'),(5688,'/ar','default','Dashboard (inactive)','','7.34'),(5689,'/ar','default','Your shopping cart is empty.','','7.34'),(5690,'/ar','default','Shopping cart','','7.34'),(5691,'/ar','default','Checkout','','7.34'),(5692,'/ar','default','Review','','7.34'),(5693,'/ar','default','Review order','','7.34'),(5694,'/ar','default','Review your order before continuing.','','7.34'),(5695,'/ar','default','Complete','','7.34'),(5696,'/ar','default','Checkout complete','','7.34'),(5697,'/ar','default','Payment','','7.34'),(5698,'/ar','default','Use the button below to proceed to the payment server.','','7.34'),(5699,'/ar','default','Go back','','7.34'),(5700,'/ar','default','Continue to next step','','7.34'),(5701,'/ar','default','Shopping cart contents','','7.34'),(5702,'/ar','default','Completion message','','7.34'),(5703,'/ar','default','Donation form','','7.34'),(5704,'/ar','default','Add a donation','','7.34'),(5705,'/ar','default','Account information','','7.34'),(5706,'/ar','default','Off-site payment redirect','','7.34'),(5707,'/ar','default','Checkout: @page','','7.34'),(5708,'/ar','default','Canceled','','7.34'),(5709,'/ar','default','Pending','','7.34'),(5710,'/ar','default','Completed','','7.34'),(5711,'/ar','default','Site-wide settings and other global information.','','7.34'),(5712,'/ar','default','Payment settings','','7.34'),(5713,'/ar','default','price','','7.34'),(5714,'/ar','default','watchdog log entry','','7.34'),(5715,'/ar','default','The category to which this message belongs','','7.34'),(5716,'/ar','default','Request uri','','7.34'),(5717,'/ar','default','An associated, HTML formatted link','','7.34'),(5718,'/ar','default','text','','7.34'),(5719,'/ar','default','text token','','7.34'),(5720,'/ar','default','formatted text','','7.34'),(5721,'/ar','default','decimal number','','7.34'),(5722,'/ar','default','integer','','7.34'),(5723,'/ar','default','duration','','7.34'),(5724,'/ar','default','truth value','','7.34'),(5725,'/ar','default','URI','','7.34'),(5726,'/ar','default','list','data_types','7.34'),(5727,'/ar','default','List','data_types','7.34'),(5728,'/ar','default','list of text','','7.34'),(5729,'/ar','default','list of integer','','7.34'),(5730,'/ar','default','list of text tokens','','7.34'),(5731,'/ar','default','any entity','','7.34'),(5732,'/ar','default','list of @type_label items','','7.34'),(5733,'/ar','default','Condition set (OR)','','7.34'),(5734,'/ar','default','Condition set (AND)','','7.34'),(5735,'/ar','default','Action set','','7.34'),(5736,'/ar','default','Rule','','7.34'),(5737,'/ar','default','Rule set','','7.34'),(5738,'/ar','default','Order is a shopping cart','','7.34'),(5739,'/ar','default','Commerce Cart','','7.34'),(5740,'/ar','default','Order address component comparison','','7.34'),(5741,'/ar','default','The order containing the profile reference with the address in question.','','7.34'),(5742,'/ar','default','Address','','7.34'),(5743,'/ar','default','The address associated with this order whose component you want to compare.','','7.34'),(5744,'/ar','default','Address component','','7.34'),(5745,'/ar','default','The actual address component you want to compare. Common names of address components are given in parentheses.','','7.34'),(5746,'/ar','default','Operator','','7.34'),(5747,'/ar','default','The comparison operator.','','7.34'),(5748,'/ar','default','The value to compare against the address component. Bear in mind that addresses using select lists for various components may use a value different from the option you select. For example, countries are selected by name, but the value is the two letter abbreviation. For comparisons with multiple possible values, place separate values on new lines.','','7.34'),(5749,'/ar','default','Order contains a particular product','','7.34'),(5750,'/ar','default','The order whose line items should be checked for the specified product. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.','','7.34'),(5751,'/ar','default','Product SKU','','7.34'),(5752,'/ar','default','The SKU of the product to look for on the order.','','7.34'),(5753,'/ar','default','The operator used with the quantity value below to compare the quantity of the specified product on the order.','','7.34'),(5754,'/ar','default','The value to compare against the quantity of the specified product on the order.','','7.34'),(5755,'/ar','default','Order contains products of particular product types','','7.34'),(5756,'/ar','default','The order whose line items should be checked for the specified product type. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.','','7.34'),(5757,'/ar','default','Product type(s)','','7.34'),(5758,'/ar','default','The product type(s) to look for in the order.','','7.34'),(5759,'/ar','default','The operator used with the quantity value below to compare against the quantity of products matching the specified product type(s) on the order.','','7.34'),(5760,'/ar','default','The value to compare against the quantity of products of the specified product type(s) on the order.','','7.34'),(5761,'/ar','default','Total product quantity comparison','','7.34'),(5762,'/ar','default','The order whose product line item quantities should be totalled. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.','','7.34'),(5763,'/ar','default','The comparison operator to use against the total number of products on the order.','','7.34'),(5764,'/ar','default','The value to compare against the total quantity of products on the order.','','7.34'),(5765,'/ar','default','Order balance comparison','','7.34'),(5766,'/ar','default','The order whose balance should be compared (calculated as the order total minus completed payment amounts).','','7.34'),(5767,'/ar','default','Integer representing a value in minor currency units to compare against, such as 1000 for $10. A balance of 0 or less indicates the order has been paid in full.','','7.34'),(5768,'/ar','default','Commerce Payment','','7.34'),(5769,'/ar','default','Selected payment method comparison','','7.34'),(5770,'/ar','default','The order whose selected payment method (if any) should be compared against the method specified below.','','7.34'),(5771,'/ar','default','This condition will perform a simple equivalency check to see if the payment method you specify matches what a customer selected on the checkout form.','','7.34'),(5772,'/ar','default','Price comparison','','7.34'),(5773,'/ar','default','First Price','','7.34'),(5774,'/ar','default','The price value that should be compared.','','7.34'),(5775,'/ar','default','Second Price','','7.34'),(5776,'/ar','default','The corresponding price value that should be compared against.','','7.34'),(5777,'/ar','default','Commerce Price','','7.34'),(5778,'/ar','default','Data comparison','','7.34'),(5779,'/ar','default','Data to compare','','7.34'),(5780,'/ar','default','The data to be compared, specified by using a data selector, e.g. \"node:author:name\".','','7.34'),(5781,'/ar','default','Data value','','7.34'),(5782,'/ar','default','The value to compare the data with.','','7.34'),(5783,'/ar','default','Data value is empty','','7.34'),(5784,'/ar','default','Data to check','','7.34'),(5785,'/ar','default','The data to be checked to be empty, specified by using a data selector, e.g. \"node:author:name\".','','7.34'),(5786,'/ar','default','List contains item','','7.34'),(5787,'/ar','default','Item','','7.34'),(5788,'/ar','default','The item to check for.','','7.34'),(5789,'/ar','default','List count comparison','','7.34'),(5790,'/ar','default','List to check','','7.34'),(5791,'/ar','default','A multi value data element to have its count compared, specified by using a data selector, eg node:author:roles.','','7.34'),(5792,'/ar','default','The count to compare the data count with.','','7.34'),(5793,'/ar','default','Text comparison','','7.34'),(5794,'/ar','default','Matching text','','7.34'),(5795,'/ar','default','Comparison operation','','7.34'),(5796,'/ar','default','regular expression','','7.34'),(5797,'/ar','default','In case the comparison operation @regex is selected, the matching pattern will be interpreted as a <a href=\"@regex-wikipedia\">regular expression</a>.  Tip: <a href=\"@RegExr\">RegExr: Online Regular Expression Testing Tool</a> is helpful for learning, writing, and testing Regular Expressions.','','7.34'),(5798,'/ar','default','Entity is new','','7.34'),(5799,'/ar','default','Specifies the entity for which to evaluate the condition.','','7.34'),(5800,'/ar','default','Entities','','7.34'),(5801,'/ar','default','Entity has field','','7.34'),(5802,'/ar','default','The name of the field to check for.','','7.34'),(5803,'/ar','default','Entity is of type','','7.34'),(5804,'/ar','default','The entity type to check for.','','7.34'),(5805,'/ar','default','Entity is of bundle','','7.34'),(5806,'/ar','default','The type of the checked entity.','','7.34'),(5807,'/ar','default','Entity bundle','','7.34'),(5808,'/ar','default','The condition is met if the entity is of one of the selected bundles.','','7.34'),(5809,'/ar','default','User has field access','','7.34'),(5810,'/ar','default','Access operation','','7.34'),(5811,'/ar','default','Specifies the user account for which to check access. If left empty, the currently logged in user will be used.','','7.34'),(5812,'/ar','default','User has role(s)','','7.34'),(5813,'/ar','default','Match roles','','7.34'),(5814,'/ar','default','If matching against all selected roles, the user must have <em>all</em> the roles selected.','','7.34'),(5815,'/ar','default','User is blocked','','7.34'),(5816,'/ar','default','Components','','7.34'),(5817,'/ar','default','Path has URL alias','','7.34'),(5818,'/ar','default','Specifies the existing path you wish to check for. For example: node/28, forum/1, taxonomy/term/1+2.','','7.34'),(5819,'/ar','default','If specified, the language for which the URL alias applies.','','7.34'),(5820,'/ar','default','URL alias exists','','7.34'),(5821,'/ar','default','Specify the URL alias to check for. For example, \"about\" for an about page.','','7.34'),(5822,'/ar','default','Content is of type','','7.34'),(5823,'/ar','default','Evaluates to TRUE if the given content is of one of the selected content types.','','7.34'),(5824,'/ar','default','The content type(s) to check for.','','7.34'),(5825,'/ar','default','Content is published','','7.34'),(5826,'/ar','default','Content is sticky','','7.34'),(5827,'/ar','default','Content is promoted to frontpage','','7.34'),(5828,'/ar','default','Entity exists by property','','7.34'),(5829,'/ar','default','Specifies the type of the entity that should be fetched.','','7.34'),(5830,'/ar','default','Property','','7.34'),(5831,'/ar','default','The property by which the entity is to be selected.','','7.34'),(5832,'/ar','default','The property value of the entity to be fetched.','','7.34'),(5833,'/ar','default','Remove all products from an order','','7.34'),(5834,'/ar','default','Order to empty','','7.34'),(5835,'/ar','default','Display a translatable Add to Cart message','','7.34'),(5836,'/ar','default','Product added to the cart','','7.34'),(5837,'/ar','default','Add a product to the cart','','7.34'),(5838,'/ar','default','Specify the user whose shopping cart order the product will be added to, typically <em>site:current-user</em>.','','7.34'),(5839,'/ar','default','The SKU of the product to add to the cart.','','7.34'),(5840,'/ar','default','Combine similar items in the cart','','7.34'),(5841,'/ar','default','If checked, the product will be combined added to an existing similar product line item in the cart by incrementing its quantity.','','7.34'),(5842,'/ar','default','Added product line item','','7.34'),(5843,'/ar','default','Send account e-mail','','7.34'),(5844,'/ar','default','E-mail type','','7.34'),(5845,'/ar','default','Select the e-mail based on your site\'s account settings to send to the user.','','7.34'),(5846,'/ar','default','Complete checkout for an order','','7.34'),(5847,'/ar','default','Order in checkout','','7.34'),(5848,'/ar','default','Commerce Checkout','','7.34'),(5849,'/ar','default','Add an amount to the unit price','','7.34'),(5850,'/ar','default','Specify a numeric amount to add to the unit price.','','7.34'),(5851,'/ar','default','Subtract an amount from the unit price','','7.34'),(5852,'/ar','default','Specify a numeric amount to subtract from the price.','','7.34'),(5853,'/ar','default','Multiply the unit price by some amount','','7.34'),(5854,'/ar','default','Specify the numeric amount by which to multiply the price.','','7.34'),(5855,'/ar','default','Divide the unit price by some amount','','7.34'),(5856,'/ar','default','Specify a numeric amount by which to divide the price.','','7.34'),(5857,'/ar','default','Set the unit price to a specific amount','','7.34'),(5858,'/ar','default','Specify the numeric amount to set the price to.','','7.34'),(5859,'/ar','default','Price component type','','7.34'),(5860,'/ar','default','Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.','','7.34'),(5861,'/ar','default','Price rounding mode','','7.34'),(5862,'/ar','default','Round the resulting price amount after performing this operation.','','7.34'),(5863,'/ar','default','Set the unit price\'s currency code','','7.34'),(5864,'/ar','default','Convert the unit price to a different currency','','7.34'),(5865,'/ar','default','Update the order state','','7.34'),(5866,'/ar','default','Order to update','','7.34'),(5867,'/ar','default','Select the order state whose default status the order will be updated to.','','7.34'),(5868,'/ar','default','Update the order status','','7.34'),(5869,'/ar','default','Enable payment method: @method','','7.34'),(5870,'/ar','default','Remove taxes applied to a line item','','7.34'),(5871,'/ar','default','Increase the base price amount by the amount of display inclusive taxes removed.','','7.34'),(5872,'/ar','default','If left unchecked, a price of £2.95 including £0.49 VAT will be reduced to £2.46. If checked it will be set to £2.95 with no tax included.','','7.34'),(5873,'/ar','default','Limit removal to only a certain set of tax rates','','7.34'),(5874,'/ar','default','If no tax rates are selected, all tax rates will be removed from the line item. Use ctrl + click (or command + click) to deselect a tax rate.','','7.34'),(5875,'/ar','default','Commerce Tax','','7.34'),(5876,'/ar','default','Calculate taxes for a line item','','7.34'),(5877,'/ar','default','Tax type','','7.34'),(5878,'/ar','default','Set a data value','','7.34'),(5879,'/ar','default','Specifies the data to be modified using a data selector, e.g. \"node:author:name\".','','7.34'),(5880,'/ar','default','The new value to set for the specified data.','','7.34'),(5881,'/ar','default','Calculate a value','','7.34'),(5882,'/ar','default','Input value 1','','7.34'),(5883,'/ar','default','The first input value for the calculation.','','7.34'),(5884,'/ar','default','The calculation operator.','','7.34'),(5885,'/ar','default','Input value 2','','7.34'),(5886,'/ar','default','The second input value.','','7.34'),(5887,'/ar','default','Calculation result','','7.34'),(5888,'/ar','default','Add an item to a list','','7.34'),(5889,'/ar','default','The data list, to which an item is to be added.','','7.34'),(5890,'/ar','default','Item to add','','7.34'),(5891,'/ar','default','Enforce uniqueness','','7.34'),(5892,'/ar','default','Only add the item to the list if it is not yet contained.','','7.34'),(5893,'/ar','default','Insert position','','7.34'),(5894,'/ar','default','Remove an item from a list','','7.34'),(5895,'/ar','default','The data list for which an item is to be removed.','','7.34'),(5896,'/ar','default','Item to remove','','7.34'),(5897,'/ar','default','Add a variable','','7.34'),(5898,'/ar','default','Specifies the type of the variable that should be added.','','7.34'),(5899,'/ar','default','Optionally, specify the initial value of the variable.','','7.34'),(5900,'/ar','default','Added variable','','7.34'),(5901,'/ar','default','Convert data type','','7.34'),(5902,'/ar','default','Target type','','7.34'),(5903,'/ar','default','The data type to convert a value to.','','7.34'),(5904,'/ar','default','Value to convert','','7.34'),(5905,'/ar','default','Rounding behavior','','7.34'),(5906,'/ar','default','The rounding behavior the conversion should use.','','7.34'),(5907,'/ar','default','Conversion result','','7.34'),(5908,'/ar','default','Fetch entity by id','','7.34'),(5909,'/ar','default','Specifies the type of entity that should be fetched.','','7.34'),(5910,'/ar','default','Identifier','','7.34'),(5911,'/ar','default','Fetched entity','','7.34'),(5912,'/ar','default','Fetch entity by property','','7.34'),(5913,'/ar','default','Limit result count','','7.34'),(5914,'/ar','default','Limit the maximum number of fetched entities.','','7.34'),(5915,'/ar','default','Create a new entity','','7.34'),(5916,'/ar','default','Specifies the type of the entity that should be created.','','7.34'),(5917,'/ar','default','Created entity','','7.34'),(5918,'/ar','default','Save entity','','7.34'),(5919,'/ar','default','Specifies the entity, which should be saved permanently.','','7.34'),(5920,'/ar','default','Force saving immediately','','7.34'),(5921,'/ar','default','Usually saving is postponed till the end of the evaluation, so that multiple saves can be fold into one. If this set, saving is forced to happen immediately.','','7.34'),(5922,'/ar','default','Delete entity','','7.34'),(5923,'/ar','default','Specifies the entity, which should be deleted permanently.','','7.34'),(5924,'/ar','default','Show a message on the site','','7.34'),(5925,'/ar','default','Message type','','7.34'),(5926,'/ar','default','Repeat message','','7.34'),(5927,'/ar','default','If disabled and the message has been already shown, then the message won\'t be repeated.','','7.34'),(5928,'/ar','default','Page redirect','','7.34'),(5929,'/ar','default','A Drupal path, path alias, or external URL to redirect to. Enter (optional) queries after \"?\" and (optional) anchor after \"#\".','','7.34'),(5930,'/ar','default','Force redirect','','7.34'),(5931,'/ar','default','Force the redirect even if another destination parameter is present. Per default Drupal would redirect to the path given as destination parameter, in case it is set. Usually the destination parameter is set by appending it to the URL, e.g. !example_url','','7.34'),(5932,'/ar','default','Append destination parameter','','7.34'),(5933,'/ar','default','Whether to append a destination parameter to the URL, so another redirect issued later on would lead back to the origin page.','','7.34'),(5934,'/ar','default','Set breadcrumb','','7.34'),(5935,'/ar','default','Titles','','7.34'),(5936,'/ar','default','A list of titles for the breadcrumb links.','','7.34'),(5937,'/ar','default','Paths','','7.34'),(5938,'/ar','default','A list of Drupal paths for the breadcrumb links, matching the order of the titles.','','7.34'),(5939,'/ar','default','Send mail','','7.34'),(5940,'/ar','default','The e-mail address or addresses where the message will be sent to. The formatting of this string must comply with RFC 2822.','','7.34'),(5941,'/ar','default','The mail\'s subject.','','7.34'),(5942,'/ar','default','The mail\'s message body.','','7.34'),(5943,'/ar','default','From','','7.34'),(5944,'/ar','default','The mail\'s from address. Leave it empty to use the site-wide configured address.','','7.34'),(5945,'/ar','default','If specified, the language used for getting the mail message and subject.','','7.34'),(5946,'/ar','default','Send mail to all users of a role','','7.34'),(5947,'/ar','default','Select the roles whose users should receive the mail.','','7.34'),(5948,'/ar','default','Block IP address','','7.34'),(5949,'/ar','default','If not provided, the IP address of the current user will be used.','','7.34'),(5950,'/ar','default','The user whose roles should be changed.','','7.34'),(5951,'/ar','default','Add user role','','7.34'),(5952,'/ar','default','Remove user role','','7.34'),(5953,'/ar','default','Block a user','','7.34'),(5954,'/ar','default','Unblock a user','','7.34'),(5955,'/ar','default','Create or delete any URL alias','','7.34'),(5956,'/ar','default','Specifies the existing path you wish to alias. For example: node/28, forum/1, taxonomy/term/1+2.','','7.34'),(5957,'/ar','default','Leave it empty to delete URL aliases pointing to the given path alias.','','7.34'),(5958,'/ar','default','Specify an alternative path by which this data can be accessed. For example, \"about\" for an about page. Use a relative path and do not add a trailing slash.','','7.34'),(5959,'/ar','default','Leave it empty to delete URL aliases pointing to the given system path.','','7.34'),(5960,'/ar','default','Create or delete a content\'s URL alias','','7.34'),(5961,'/ar','default','Specify an alternative path by which the content can be accessed. For example, \"about\" for an about page. Use a relative path and do not add a trailing slash.','','7.34'),(5962,'/ar','default','Leave it empty to delete the URL alias.','','7.34'),(5963,'/ar','default','Create or delete a taxonomy term\'s URL alias','','7.34'),(5964,'/ar','default','Specify an alternative path by which the term can be accessed. For example, \"content/drupal\" for a Drupal term. Use a relative path and do not add a trailing slash.','','7.34'),(5965,'/ar','default','Debug value','','7.34'),(5966,'/ar','default','Devel','','7.34'),(5967,'/ar','default','Value to debug','','7.34'),(5968,'/ar','default','Current list item','','7.34'),(5969,'/ar','default','.','','7.34'),(5970,'/ar','default',',','','7.34'),(5971,'/ar','default',' × ','','7.34'),(5972,'/ar','default','Display path','','7.34'),(5973,'/ar','default','Total','','7.34'),(5974,'/ar','default','Line items referenced by commerce_line_items','','7.34'),(5975,'/ar','default','View cart','','7.34'),(5976,'/ar','default','United Arab Emirates Dirham','','7.34'),(5977,'/ar','default','Fils','','7.34'),(5978,'/ar','default','Dirham','','7.34'),(5979,'/ar','default','Afghan Afghani','','7.34'),(5980,'/ar','default','Pul','','7.34'),(5981,'/ar','default','Afghani','','7.34'),(5982,'/ar','default','Netherlands Antillean Guilder','','7.34'),(5983,'/ar','default','Cent','','7.34'),(5984,'/ar','default','Guilder','','7.34'),(5985,'/ar','default','Angolan Kwanza','','7.34'),(5986,'/ar','default','Cêntimo','','7.34'),(5987,'/ar','default','Kwanza','','7.34'),(5988,'/ar','default','Argentine Peso Moneda Nacional','','7.34'),(5989,'/ar','default','Centavos','','7.34'),(5990,'/ar','default','Peso','','7.34'),(5991,'/ar','default','Argentine Peso','','7.34'),(5992,'/ar','default','Centavo','','7.34'),(5993,'/ar','default','Australian Dollar','','7.34'),(5994,'/ar','default','Dollar','','7.34'),(5995,'/ar','default','Aruban Florin','','7.34'),(5996,'/ar','default','Azerbaijanian Manat','','7.34'),(5997,'/ar','default','Qəpik','','7.34'),(5998,'/ar','default','New Manat','','7.34'),(5999,'/ar','default','Bosnia-Herzegovina Convertible Mark','','7.34'),(6000,'/ar','default','Fening','','7.34'),(6001,'/ar','default','Convertible Marka','','7.34'),(6002,'/ar','default','Barbadian Dollar','','7.34'),(6003,'/ar','default','Bangladeshi Taka','','7.34'),(6004,'/ar','default','Paisa','','7.34'),(6005,'/ar','default','Taka','','7.34'),(6006,'/ar','default','Bulgarian lev','','7.34'),(6007,'/ar','default','Stotinka','','7.34'),(6008,'/ar','default','Lev','','7.34'),(6009,'/ar','default','Bahraini Dinar','','7.34'),(6010,'/ar','default','Dinar','','7.34'),(6011,'/ar','default','Burundian Franc','','7.34'),(6012,'/ar','default','Centime','','7.34'),(6013,'/ar','default','Franc','','7.34'),(6014,'/ar','default','Bermudan Dollar','','7.34'),(6015,'/ar','default','Brunei Dollar','','7.34'),(6016,'/ar','default','Sen','','7.34'),(6017,'/ar','default','Bolivian Boliviano','','7.34'),(6018,'/ar','default','Bolivianos','','7.34'),(6019,'/ar','default','Brazilian Real','','7.34'),(6020,'/ar','default','Reais','','7.34'),(6021,'/ar','default','Bahamian Dollar','','7.34'),(6022,'/ar','default','Bhutanese Ngultrum','','7.34'),(6023,'/ar','default','Chetrum','','7.34'),(6024,'/ar','default','Ngultrum','','7.34'),(6025,'/ar','default','Botswanan Pula','','7.34'),(6026,'/ar','default','Thebe','','7.34'),(6027,'/ar','default','Pulas','','7.34'),(6028,'/ar','default','Belarusian ruble','','7.34'),(6029,'/ar','default','Ruble','','7.34'),(6030,'/ar','default','Belize Dollar','','7.34'),(6031,'/ar','default','Canadian Dollar','','7.34'),(6032,'/ar','default','Congolese Franc','','7.34'),(6033,'/ar','default','Swiss Franc','','7.34'),(6034,'/ar','default','Rappen','','7.34'),(6035,'/ar','default','Chilean Peso','','7.34'),(6036,'/ar','default','Chinese Yuan Renminbi','','7.34'),(6037,'/ar','default','Fen','','7.34'),(6038,'/ar','default','Yuan','','7.34'),(6039,'/ar','default','Colombian Peso','','7.34'),(6040,'/ar','default','Costa Rican Colón','','7.34'),(6041,'/ar','default','Céntimo','','7.34'),(6042,'/ar','default','Colón','','7.34'),(6043,'/ar','default','Cuban Convertible Peso','','7.34'),(6044,'/ar','default','Cuban Peso','','7.34'),(6045,'/ar','default','Cape Verdean Escudo','','7.34'),(6046,'/ar','default','Escudo','','7.34'),(6047,'/ar','default','Czech Republic Koruna','','7.34'),(6048,'/ar','default','Haléř','','7.34'),(6049,'/ar','default','Koruna','','7.34'),(6050,'/ar','default','Djiboutian Franc','','7.34'),(6051,'/ar','default','Danish Krone','','7.34'),(6052,'/ar','default','Øre','','7.34'),(6053,'/ar','default','Kroner','','7.34'),(6054,'/ar','default','Dominican Peso','','7.34'),(6055,'/ar','default','Algerian Dinar','','7.34'),(6056,'/ar','default','Santeem','','7.34'),(6057,'/ar','default','Estonian Kroon','','7.34'),(6058,'/ar','default','Sent','','7.34'),(6059,'/ar','default','Krooni','','7.34'),(6060,'/ar','default','Egyptian Pound','','7.34'),(6061,'/ar','default','Piastr','','7.34'),(6062,'/ar','default','Pound','','7.34'),(6063,'/ar','default','Eritrean Nakfa','','7.34'),(6064,'/ar','default','Nakfa','','7.34'),(6065,'/ar','default','Ethiopian Birr','','7.34'),(6066,'/ar','default','Santim','','7.34'),(6067,'/ar','default','Birr','','7.34'),(6068,'/ar','default','Euro','','7.34'),(6069,'/ar','default','Fijian Dollar','','7.34'),(6070,'/ar','default','Falkland Islands Pound','','7.34'),(6071,'/ar','default','Penny','','7.34'),(6072,'/ar','default','British Pound Sterling','','7.34'),(6073,'/ar','default','Ghanaian Cedi','','7.34'),(6074,'/ar','default','Pesewa','','7.34'),(6075,'/ar','default','Cedi','','7.34'),(6076,'/ar','default','Gibraltar Pound','','7.34'),(6077,'/ar','default','Gambian Dalasi','','7.34'),(6078,'/ar','default','Butut','','7.34'),(6079,'/ar','default','Dalasis','','7.34'),(6080,'/ar','default','Guinean Franc','','7.34'),(6081,'/ar','default','Guatemalan Quetzal','','7.34'),(6082,'/ar','default','Quetzales','','7.34'),(6083,'/ar','default','Guyanaese Dollar','','7.34'),(6084,'/ar','default','Hong Kong Dollar','','7.34'),(6085,'/ar','default','Honduran Lempira','','7.34'),(6086,'/ar','default','Lempiras','','7.34'),(6087,'/ar','default','Croatian Kuna','','7.34'),(6088,'/ar','default','Lipa','','7.34'),(6089,'/ar','default','Kuna','','7.34'),(6090,'/ar','default','Haitian Gourde','','7.34'),(6091,'/ar','default','Gourde','','7.34'),(6092,'/ar','default','Hungarian Forint','','7.34'),(6093,'/ar','default','Forint','','7.34'),(6094,'/ar','default','Indonesian Rupiah','','7.34'),(6095,'/ar','default','Rupiahs','','7.34'),(6096,'/ar','default','Israeli New Shekel','','7.34'),(6097,'/ar','default','Agora','','7.34'),(6098,'/ar','default','New Shekels','','7.34'),(6099,'/ar','default','Indian Rupee','','7.34'),(6100,'/ar','default','Rupee','','7.34'),(6101,'/ar','default','Iranian Rial','','7.34'),(6102,'/ar','default','Rial','','7.34'),(6103,'/ar','default','Toman','','7.34'),(6104,'/ar','default','Icelandic Króna','','7.34'),(6105,'/ar','default','Eyrir','','7.34'),(6106,'/ar','default','Kronur','','7.34'),(6107,'/ar','default','Jamaican Dollar','','7.34'),(6108,'/ar','default','Jordanian Dinar','','7.34'),(6109,'/ar','default','Japanese Yen','','7.34'),(6110,'/ar','default','Yen','','7.34'),(6111,'/ar','default','Kenyan Shilling','','7.34'),(6112,'/ar','default','Shilling','','7.34'),(6113,'/ar','default','Kyrgyzstani Som','','7.34'),(6114,'/ar','default','Som','','7.34'),(6115,'/ar','default','Tyiyn','','7.34'),(6116,'/ar','default','Comorian Franc','','7.34'),(6117,'/ar','default','South Korean Won','','7.34'),(6118,'/ar','default','Jeon','','7.34'),(6119,'/ar','default','Won','','7.34'),(6120,'/ar','default','Kuwaiti Dinar','','7.34'),(6121,'/ar','default','Cayman Islands Dollar','','7.34'),(6122,'/ar','default','Kazakhstani tenge','','7.34'),(6123,'/ar','default','Tiyn','','7.34'),(6124,'/ar','default','Tenge','','7.34'),(6125,'/ar','default','Laotian Kip','','7.34'),(6126,'/ar','default','Att','','7.34'),(6127,'/ar','default','Kips','','7.34'),(6128,'/ar','default','Lebanese Pound','','7.34'),(6129,'/ar','default','Piastre','','7.34'),(6130,'/ar','default','Sri Lanka Rupee','','7.34'),(6131,'/ar','default','Liberian Dollar','','7.34'),(6132,'/ar','default','Lesotho Loti','','7.34'),(6133,'/ar','default','Sente','','7.34'),(6134,'/ar','default','Loti','','7.34'),(6135,'/ar','default','Lithuanian Litas','','7.34'),(6136,'/ar','default','Centas','','7.34'),(6137,'/ar','default','Litai','','7.34'),(6138,'/ar','default','Latvian Lats','','7.34'),(6139,'/ar','default','Santims','','7.34'),(6140,'/ar','default','Lati','','7.34'),(6141,'/ar','default','Libyan Dinar','','7.34'),(6142,'/ar','default','Moroccan Dirham','','7.34'),(6143,'/ar','default','Santimat','','7.34'),(6144,'/ar','default','Dirhams','','7.34'),(6145,'/ar','default','Moldovan leu','','7.34'),(6146,'/ar','default','bani','','7.34'),(6147,'/ar','default','Lei','','7.34'),(6148,'/ar','default','Macedonian denar','','7.34'),(6149,'/ar','default','Deni','','7.34'),(6150,'/ar','default','Denari','','7.34'),(6151,'/ar','default','Myanma Kyat','','7.34'),(6152,'/ar','default','Pya','','7.34'),(6153,'/ar','default','Kyat','','7.34'),(6154,'/ar','default','Mongolian Tugrik','','7.34'),(6155,'/ar','default','Möngö','','7.34'),(6156,'/ar','default','Tugriks','','7.34'),(6157,'/ar','default','Macanese Pataca','','7.34'),(6158,'/ar','default','Avo','','7.34'),(6159,'/ar','default','Pataca','','7.34'),(6160,'/ar','default','Mauritanian Ouguiya','','7.34'),(6161,'/ar','default','Khoums','','7.34'),(6162,'/ar','default','Ouguiya','','7.34'),(6163,'/ar','default','Maltese Pound','','7.34'),(6164,'/ar','default','Mauritian Rupee','','7.34'),(6165,'/ar','default','Mexican Peso','','7.34'),(6166,'/ar','default','Malaysian Ringgit','','7.34'),(6167,'/ar','default','Ringgits','','7.34'),(6168,'/ar','default','Mozambican Metical','','7.34'),(6169,'/ar','default','Metical','','7.34'),(6170,'/ar','default','Namibian Dollar','','7.34'),(6171,'/ar','default','Nigerian Naira','','7.34'),(6172,'/ar','default','Kobo','','7.34'),(6173,'/ar','default','Naira','','7.34'),(6174,'/ar','default','Nicaraguan Cordoba Oro','','7.34'),(6175,'/ar','default','Cordoba','','7.34'),(6176,'/ar','default','Norwegian Krone','','7.34'),(6177,'/ar','default','Krone','','7.34'),(6178,'/ar','default','Nepalese Rupee','','7.34'),(6179,'/ar','default','New Zealand Dollar','','7.34'),(6180,'/ar','default','Panamanian Balboa','','7.34'),(6181,'/ar','default','Centésimo','','7.34'),(6182,'/ar','default','Balboa','','7.34'),(6183,'/ar','default','Peruvian Nuevo Sol','','7.34'),(6184,'/ar','default','Nuevos Sole','','7.34'),(6185,'/ar','default','Papua New Guinean Kina','','7.34'),(6186,'/ar','default','Toea','','7.34'),(6187,'/ar','default','Kina ','','7.34'),(6188,'/ar','default','Philippine Peso','','7.34'),(6189,'/ar','default','Pakistani Rupee','','7.34'),(6190,'/ar','default','Polish Złoty','','7.34'),(6191,'/ar','default','Grosz','','7.34'),(6192,'/ar','default','Złotych','','7.34'),(6193,'/ar','default','Paraguayan Guarani','','7.34'),(6194,'/ar','default','Qatari Rial','','7.34'),(6195,'/ar','default','Rhodesian Dollar','','7.34'),(6196,'/ar','default','Romanian Leu','','7.34'),(6197,'/ar','default','Ban','','7.34'),(6198,'/ar','default','Leu','','7.34'),(6199,'/ar','default','Serbian Dinar','','7.34'),(6200,'/ar','default','Para','','7.34'),(6201,'/ar','default','Dinars','','7.34'),(6202,'/ar','default','Russian Ruble','','7.34'),(6203,'/ar','default','Kopek','','7.34'),(6204,'/ar','default','Saudi Riyal','','7.34'),(6205,'/ar','default','Hallallah','','7.34'),(6206,'/ar','default','Riyals','','7.34'),(6207,'/ar','default','Solomon Islands Dollar','','7.34'),(6208,'/ar','default','Seychellois Rupee','','7.34'),(6209,'/ar','default','Old Sudanese Dinar','','7.34'),(6210,'/ar','default','Swedish Krona','','7.34'),(6211,'/ar','default','Öre','','7.34'),(6212,'/ar','default','Kronor','','7.34'),(6213,'/ar','default','Singapore Dollar','','7.34'),(6214,'/ar','default','Saint Helena Pound','','7.34'),(6215,'/ar','default','Sierra Leonean Leone','','7.34'),(6216,'/ar','default','Leone','','7.34'),(6217,'/ar','default','Somali Shilling','','7.34'),(6218,'/ar','default','Surinamese Dollar','','7.34'),(6219,'/ar','default','Suriname Guilder','','7.34'),(6220,'/ar','default','São Tomé and Príncipe Dobra','','7.34'),(6221,'/ar','default','Dobra','','7.34'),(6222,'/ar','default','Syrian Pound','','7.34'),(6223,'/ar','default','Swazi Lilangeni','','7.34'),(6224,'/ar','default','Lilangeni','','7.34'),(6225,'/ar','default','Thai Baht','','7.34'),(6226,'/ar','default','Satang','','7.34'),(6227,'/ar','default','Baht','','7.34'),(6228,'/ar','default','Tunisian Dinar','','7.34'),(6229,'/ar','default','Millime','','7.34'),(6230,'/ar','default','Tongan Paʻanga','','7.34'),(6231,'/ar','default','Senit','','7.34'),(6232,'/ar','default','Paʻanga','','7.34'),(6233,'/ar','default','Turkish Lira','','7.34'),(6234,'/ar','default','Kurus','','7.34'),(6235,'/ar','default','Lira','','7.34'),(6236,'/ar','default','Trinidad and Tobago Dollar','','7.34'),(6237,'/ar','default','New Taiwan Dollar','','7.34'),(6238,'/ar','default','New Dollar','','7.34'),(6239,'/ar','default','Tanzanian Shilling','','7.34'),(6240,'/ar','default','Senti','','7.34'),(6241,'/ar','default','Ukrainian Hryvnia','','7.34'),(6242,'/ar','default','Kopiyka','','7.34'),(6243,'/ar','default','Hryvnia','','7.34'),(6244,'/ar','default','Ugandan Shilling','','7.34'),(6245,'/ar','default','United States Dollar','','7.34'),(6246,'/ar','default','Uruguayan Peso','','7.34'),(6247,'/ar','default','Venezuelan Bolívar Fuerte','','7.34'),(6248,'/ar','default','Bolivares Fuerte','','7.34'),(6249,'/ar','default','Vietnamese Dong','','7.34'),(6250,'/ar','default','Hà','','7.34'),(6251,'/ar','default','Dong','','7.34'),(6252,'/ar','default','Vanuatu Vatu','','7.34'),(6253,'/ar','default','Vatu','','7.34'),(6254,'/ar','default','Samoan Tala','','7.34'),(6255,'/ar','default','Sene','','7.34'),(6256,'/ar','default','Tala','','7.34'),(6257,'/ar','default','CFA Franc BEAC','','7.34'),(6258,'/ar','default','East Caribbean Dollar','','7.34'),(6259,'/ar','default','CFA Franc BCEAO','','7.34'),(6260,'/ar','default','CFP Franc','','7.34'),(6261,'/ar','default','Yemeni Rial','','7.34'),(6262,'/ar','default','South African Rand','','7.34'),(6263,'/ar','default','Rand','','7.34'),(6264,'/ar','default','Zambian Kwacha','','7.34'),(6265,'/ar','default','Ngwee','','7.34'),(6266,'/ar','default','Kwacha','','7.34'),(6267,'/ar','default','@code_before@code_spacer@negative@symbol_before@price@symbol_spacer@symbol_after@code_spacer@code_after','','7.34'),(6268,'/ar','default','item','product count on a Commerce order','7.34'),(6269,'/ar','default','1 item','product count on a Commerce order','7.34'),(6270,'/ar','default','Total:','','7.34'),(6271,'/ar','default','Edit view','','7.34'),(6272,'/ar','default','Blog Grid','','7.34'),(6273,'/ar','default','Homepage 2','','7.34'),(6274,'/ar','default','Blog Default','','7.34'),(6275,'/ar','default','Blog Full Width','','7.34'),(6276,'/ar','default','Event','','7.34'),(6277,'/ar','default','Event Full Width','','7.34'),(6278,'/ar','default','Donate','','7.34'),(6279,'/ar','default','Shop','','7.34'),(6280,'/ar','default','Shop with sidebar','','7.34'),(6281,'/ar','default','Contact Default','','7.34'),(6282,'/ar','default','Contact Webform','','7.34'),(6283,'/ar','default','Mega Menus','','7.34'),(6284,'/ar','default','Demo','','7.34'),(6285,'/ar','default','Bootstrap Slideshow','','7.34'),(6286,'/ar','default','Is less than','','7.34'),(6287,'/ar','default','<','','7.34'),(6288,'/ar','default','Is less than or equal to','','7.34'),(6289,'/ar','default','<=','','7.34'),(6290,'/ar','default','Is equal to','','7.34'),(6291,'/ar','default','Is not equal to','','7.34'),(6292,'/ar','default','!=','','7.34'),(6293,'/ar','default','Is greater than or equal to','','7.34'),(6294,'/ar','default','>=','','7.34'),(6295,'/ar','default','Is greater than','','7.34'),(6296,'/ar','default','>','','7.34'),(6297,'/ar','default','Is between','','7.34'),(6298,'/ar','default','between','','7.34'),(6299,'/ar','default','Is not between','','7.34'),(6300,'/ar','default','not between','','7.34'),(6301,'/ar','default','Is empty (NULL)','','7.34'),(6302,'/ar','default','empty','','7.34'),(6303,'/ar','default','Is not empty (NOT NULL)','','7.34'),(6304,'/ar','default','not empty','','7.34'),(6305,'/ar','default','Regular expression','','7.34'),(6306,'/ar','default','regex','','7.34'),(6307,'/ar','default','Video Embedding','','7.34'),(6308,'/ar','default','Replaces [VIDEO::http://www.youtube.com/watch?v=someVideoID::aVideoStyle] tags with embedded videos.','','7.34'),(6309,'/ar','default','Help us','','7.34'),(6310,'/ar','default','Donate Goal','','7.34'),(6311,'/ar','default','Donate Total','','7.34'),(6312,'/ar','default','<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>','','7.34'),(6313,'/ar','default',' <div class=\"progress-label\">\n   <span>Training</span>\n   <span>Equipment</span>\n   <span>Building</span>\n </div>','','7.34'),(6314,'/ar','default','Donate Now','','7.34'),(6315,'/ar','default','<h4>Help us reach our fundraising target of <span>$200,000</span></h4>','','7.34'),(6316,'/ar','default','View more','','7.34'),(6317,'/ar','default','Featured Stories & Updates','','7.34'),(6318,'/ar','default','or','','7.34'),(6319,'/ar','default','Is all of','','7.34'),(6320,'/ar','default','and','','7.34'),(6321,'/ar','default','Is none of','','7.34'),(6322,'/ar','default','not','','7.34'),(6323,'/ar','default','Justice That Works','','7.34'),(6324,'/ar','default','<div class=\"donate-or-join\">\n<a href=\"[view_node]\">Donate</a><span>or</span><a href=\"#\">Join us</a>\n</div>','','7.34'),(6325,'/ar','default','<span>or</span> <a href=\"/hermio/user/register\">Join us !</a>','','7.34'),(6326,'/ar','default','Pictures Gallery','','7.34'),(6327,'/ar','default','Gallery','','7.34'),(6328,'/ar','default','<i class=\"fa fa-link\"></i><span>[body-value]</span>','','7.34'),(6329,'/ar','default','<a href=\"[field_link-url]\" title=\"[field_link-title]\" target=\"_blank\">[field_link-title]</a>','','7.34'),(6330,'/ar','default','Tango','','7.34'),(6331,'/ar','default','Stay informed on our latest news!','','7.34'),(6332,'/ar','default','Subscribe','','7.34'),(6333,'/ar','default','Manage my subscriptions','','7.34'),(6334,'/ar','default','Previous issues','','7.34'),(6335,'/ar','default','@newsletter feed','','7.34'),(6336,'/ar','default','Events','','7.34'),(6337,'/ar','default','Upcoming Events','','7.34'),(6338,'/ar','default','Management','','7.34'),(6339,'/ar','default','User menu','','7.34'),(6340,'/ar','default','Hermio','','7.34'),(6341,'/ar','default','TagClouds configuration','','7.34'),(6342,'/ar','default','Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','','7.34'),(6343,'/ar','default','Title settings','','7.34'),(6344,'/ar','default','Settings for the Title module.','','7.34'),(6345,'/ar','default','Webform settings','','7.34'),(6346,'/ar','default','Global configuration of webform functionality.','','7.34'),(6347,'/ar','default','Devel settings','','7.34'),(6348,'/ar','default','Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/admin/structure/block\">block administration</a> page.','','7.32'),(6349,'/ar','default','jQuery update','','7.34'),(6350,'/ar','default','Configure settings related to the jQuery upgrade, the library path and compression.','','7.34'),(6351,'/ar','default','Configure styles that can be used for resizing or adjusting images on display.','','7.34'),(6352,'/ar','default','video style','','7.34'),(6353,'/ar','default','video styles','','7.34'),(6354,'/ar','default','Video Styles','','7.34'),(6355,'/ar','default','Clone','','7.34'),(6356,'/ar','default','Add a new @plugin','','7.34'),(6357,'/ar','default','Edit @plugin %title','','7.34'),(6358,'/ar','default','Clone @plugin %title','','7.34'),(6359,'/ar','default','Import @plugin','','7.34'),(6360,'/ar','default','Export @plugin %title','','7.34'),(6361,'/ar','default','Are you sure you want to revert %title?','','7.34'),(6362,'/ar','default','This action will permanently remove any customizations made to this item.','','7.34'),(6363,'/ar','default','The item has been reverted.','','7.34'),(6364,'/ar','default','This action will permanently remove this item from your database..','','7.34'),(6365,'/ar','default','The item has been deleted.','','7.34'),(6366,'/ar','default','%title has been created.','','7.34'),(6367,'/ar','default','%title could not be created.','','7.34'),(6368,'/ar','default','%title has been updated.','','7.34'),(6369,'/ar','default','%title could not be updated.','','7.34'),(6370,'/ar','default','You can import an exported definition by pasting the exported object code into the field below.','','7.34'),(6371,'/ar','default','@plugin %title was enabled.','','7.34'),(6372,'/ar','default','@plugin %title was disabled.','','7.34'),(6373,'/ar','default','There are no @titles to display.','','7.34'),(6374,'/ar','default','Video Embed Styles','','7.34'),(6375,'/ar','default','Administer Video Embed Field\'s video styles.','','7.34'),(6376,'/ar','default','Configure user accounts.','','7.34'),(6377,'/ar','default','Bulk update','','7.34'),(6378,'/ar','default','Delete aliases','','7.34'),(6379,'/ar','default','Patterns','','7.34'),(6380,'/ar','default','Module filter','','7.34'),(6381,'/ar','default','Configure how the modules page looks and acts.','','7.34'),(6382,'/ar','default','Newsletters','','7.34'),(6383,'/ar','default','Configure your sites newsletters.','','7.34'),(6384,'/ar','default','Add newsletter category','','7.34'),(6385,'/ar','default','Simplenews settings.','','7.34'),(6386,'/ar','default','Send mail, cron and debug options.','','7.34'),(6387,'/ar','default','Subscription','','7.34'),(6388,'/ar','default','Subscription settings, opt-in/out confirmation email text.','','7.34'),(6389,'/ar','default','ShareThis','','7.34'),(6390,'/ar','default','Choose the widget, button family, and services for using ShareThis to share content online.','','7.34'),(6391,'/ar','default','Rules','','7.34'),(6392,'/ar','default','Manage reaction rules and rule components.','','7.34'),(6393,'/ar','default','Add new component','','7.34'),(6394,'/ar','default','Import component','','7.34'),(6395,'/ar','default','Add new rule','','7.34'),(6396,'/ar','default','Import rule','','7.34'),(6397,'/ar','default','Advanced','','7.34'),(6398,'/ar','default','Administration tools.','','7.34'),(6399,'/ar','default','Administration menu','','7.34'),(6400,'/ar','default','Adjust administration menu settings.','','7.34'),(6401,'/ar','default','List newsletters and newsletter sent status.','','7.34'),(6402,'/ar','default','Manage blocks used on your site.','','7.34'),(6403,'/ar','default','Webforms','','7.34'),(6404,'/ar','default','View and edit all the available webforms on your site.','','7.34'),(6405,'/ar','default','Newsletter subscriptions','','7.34'),(6406,'/ar','default','Newsletter subscription management.','','7.34'),(6407,'/ar','default','Mass subscribe','','7.34'),(6408,'/ar','default','Mass unsubscribe','','7.34'),(6409,'/ar','default','Used in views','','7.34'),(6410,'/ar','default','Overview of fields used in all views.','','7.34'),(6411,'/ar','default','Views plugins','','7.34'),(6412,'/ar','default','Overview of plugins used in all views.','','7.34'),(6413,'/ar','default','Field collections','','7.34'),(6414,'/ar','default','Manage fields on field collections.','','7.34'),(6415,'/ar','default','Create blocks of tabbed content.','','7.34'),(6416,'/ar','default','Add Quicktabs Instance','','7.34'),(6417,'/ar','default','List quicktabs','','7.34'),(6418,'/ar','default','views','','7.34'),(6419,'/ar','default','Views','','7.34'),(6420,'/ar','default','This action will permanently remove any customizations made to this view.','','7.34'),(6421,'/ar','default','The view has been reverted.','','7.34'),(6422,'/ar','default','This action will permanently remove the view from your database.','','7.34'),(6423,'/ar','default','The view has been deleted.','','7.34'),(6424,'/ar','default','Manage customized lists of content.','','7.34'),(6425,'/ar','default','Add new view','','7.34'),(6426,'/ar','default','Add view from template','','7.34'),(6427,'/ar','default','Block types','','7.34'),(6428,'/ar','default','Manage block types, including fields, settings, etc.','','7.34'),(6429,'/ar','default','Add block type','','7.34'),(6430,'/ar','default','TB Mega Menu','','7.34'),(6431,'/ar','default','Request','','7.34'),(6432,'/ar','default','Weebpal Banner','','7.34'),(6433,'/ar','default','Configure the Weebpal Banner.','','7.34'),(6434,'/ar','default','Default Banner','','7.34'),(6435,'/ar','default','A page for the weebpal banner settings','','7.34'),(6436,'/ar','default','Add Banner','','7.34'),(6437,'/ar','default','block','','7.34'),(6438,'/ar','default','color','','7.34'),(6439,'/ar','default','comment','','7.34'),(6440,'/ar','default','contextual','','7.34'),(6441,'/ar','default','dashboard','','7.34'),(6442,'/ar','default','dblog','','7.34'),(6443,'/ar','default','field_sql_storage','','7.34'),(6444,'/ar','default','field_ui','','7.34'),(6445,'/ar','default','help','','7.34'),(6446,'/ar','default','list','','7.34'),(6447,'/ar','default','number','','7.34'),(6448,'/ar','default','options','','7.34'),(6449,'/ar','default','path','','7.34'),(6450,'/ar','default','rdf','','7.34'),(6451,'/ar','default','shortcut','','7.34'),(6452,'/ar','default','update','','7.34'),(6453,'/ar','default','admin_menu','','7.34'),(6454,'/ar','default','devel','','7.34'),(6455,'/ar','default','field_collection','','7.34'),(6456,'/ar','default','jcarousel','','7.34'),(6457,'/ar','default','jquery_update','','7.34'),(6458,'/ar','default','pathauto','','7.34'),(6459,'/ar','default','quicktabs','','7.34'),(6460,'/ar','default','rules','','7.34'),(6461,'/ar','default','token','','7.34'),(6462,'/ar','default','views_slideshow','','7.34'),(6463,'/ar','default','views_slideshow_cycle','','7.34'),(6464,'/ar','default','blog','','7.34'),(6465,'/ar','default','commerce_checkout','','7.34'),(6466,'/ar','default','commerce_customer_ui','','7.34'),(6467,'/ar','default','commerce_line_item_ui','','7.34'),(6468,'/ar','default','commerce_order_ui','','7.34'),(6469,'/ar','default','commerce_payment_ui','','7.34'),(6470,'/ar','default','commerce_product_pricing_ui','','7.34'),(6471,'/ar','default','commerce_product_ui','','7.34'),(6472,'/ar','default','commerce_tax_ui','','7.34'),(6473,'/ar','default','title','','7.34'),(6474,'/ar','default','overlay','','7.34'),(6475,'/ar','default','simplenews','','7.34'),(6476,'/ar','default','sharethis','','7.34'),(6477,'/ar','default','webform','','7.34'),(6478,'/ar','default','Store','','7.34'),(6479,'/ar','default','Administer your store.','','7.34'),(6480,'/ar','default','Configure settings and business rules for your store.','','7.34'),(6481,'/ar','default','Checkout settings','','7.34'),(6482,'/ar','default','Customize the checkout form and configure checkout rules.','','7.34'),(6483,'/ar','default','Checkout form','','7.34'),(6484,'/ar','default','Build your checkout pages using module defined checkout form elements.','','7.34'),(6485,'/ar','default','Checkout rules','','7.34'),(6486,'/ar','default','Enable and configure checkout completion rules.','','7.34'),(6487,'/ar','default','Add a checkout rule','','7.34'),(6488,'/ar','default','Adds an additional checkout completion rule configuration.','','7.34'),(6489,'/ar','default','Currency settings','','7.34'),(6490,'/ar','default','Configure the default currency and display settings.','','7.34'),(6491,'/ar','default','Line item types','','7.34'),(6492,'/ar','default','Manage line item types for your store.','','7.34'),(6493,'/ar','default','Order settings','','7.34'),(6494,'/ar','default','Configure general order settings, fields, and displays.','','7.34'),(6495,'/ar','default','Payment methods','','7.34'),(6496,'/ar','default','Enable and configure payment method rule configurations.','','7.34'),(6497,'/ar','default','Add a payment method rule','','7.34'),(6498,'/ar','default','Adds an additional payment method rule configuration.','','7.34'),(6499,'/ar','default','Product pricing rules','','7.34'),(6500,'/ar','default','Enable and configure product pricing rules and pre-calculation.','','7.34'),(6501,'/ar','default','Administer the rules used for calculating product sell prices.','','7.34'),(6502,'/ar','default','Add a pricing rule','','7.34'),(6503,'/ar','default','Adds an additional sell price calculation rule configuration.','','7.34'),(6504,'/ar','default','Pre-calculation','','7.34'),(6505,'/ar','default','Configure the price pre-calculation settings.','','7.34'),(6506,'/ar','default','Taxes','','7.34'),(6507,'/ar','default','Manage tax rates and types.','','7.34'),(6508,'/ar','default','Tax rates','','7.34'),(6509,'/ar','default','Manage tax rates.','','7.34'),(6510,'/ar','default','Add a tax rate','','7.34'),(6511,'/ar','default','Create a new tax rate.','','7.34'),(6512,'/ar','default','Tax types','','7.34'),(6513,'/ar','default','Manage tax types.','','7.34'),(6514,'/ar','default','Edit a tax type.','','7.34'),(6515,'/ar','default','Configure rule','','7.34'),(6516,'/ar','default','Add conditions to the rule used to apply taxes of this type to products.','','7.34'),(6517,'/ar','default','Add a tax type','','7.34'),(6518,'/ar','default','Create a new tax type.','','7.34'),(6519,'/ar','default','Customer profiles','','7.34'),(6520,'/ar','default','Manage customer profiles and profile types in the store.','','7.34'),(6521,'/ar','default','Add a customer profile','','7.34'),(6522,'/ar','default','Add a new customer profile.','','7.34'),(6523,'/ar','default','Profile types','','7.34'),(6524,'/ar','default','Manage customer profile types for your store.','','7.34'),(6525,'/ar','default','Orders','','7.34'),(6526,'/ar','default','Manage orders in the store.','','7.34'),(6527,'/ar','default','Create an order','','7.34'),(6528,'/ar','default','Create a new order.','','7.34'),(6529,'/ar','default','Shopping carts','','7.34'),(6530,'/ar','default','Products','','7.34'),(6531,'/ar','default','Manage products and product types in the store.','','7.34'),(6532,'/ar','default','Add a product','','7.34'),(6533,'/ar','default','Add a new product for sale.','','7.34'),(6534,'/ar','default','Create !name','','7.34'),(6535,'/ar','default','Variable price product','','7.34'),(6536,'/ar','default','A basic product type.','','7.34'),(6537,'/ar','default','Product types','','7.34'),(6538,'/ar','default','Manage products types for your store.','','7.34'),(6539,'/ar','default','Add product type','','7.34'),(6540,'/ar','default','Node: Teaser','','7.34'),(6541,'/ar','default','Break lock','','7.34'),(6542,'/ar','default','Run updates','','7.34'),(6543,'/ar','default','@project issue queue','','7.34'),(6544,'/ar','default','Flush all caches','','7.34'),(6545,'/ar','default','CSS and JavaScript','','7.34'),(6546,'/ar','default','Page and else','','7.34'),(6547,'/ar','default','Class registry','','7.34'),(6548,'/ar','default','Theme registry','','7.34'),(6549,'/ar','default','Update data','','7.34'),(6550,'/ar','default','Disable developer modules','','7.32'),(6551,'/ar','default','Execute PHP Code','','7.34'),(6552,'/ar','default','Execute some PHP code','','7.34'),(6553,'/ar','default','Function reference','','7.34'),(6554,'/ar','default','View a list of currently defined user functions with documentation links.','','7.34'),(6555,'/ar','default','Hook_elements()','','7.34'),(6556,'/ar','default','View the active form/render elements for this site.','','7.34'),(6557,'/ar','default','PHPinfo()','','7.34'),(6558,'/ar','default','View your server\'s PHP configuration','','7.34'),(6559,'/ar','default','Reinstall modules','','7.34'),(6560,'/ar','default','Run hook_uninstall() and then hook_install() for a given module.','','7.34'),(6561,'/ar','default','Session viewer','','7.34'),(6562,'/ar','default','List the contents of $_SESSION.','','7.34'),(6563,'/ar','default','Variable editor','','7.34'),(6564,'/ar','default','Edit and delete site variables.','','7.34'),(6565,'/ar','default','Clear the CSS cache and all database cache tables which store page, node, theme and variable caches.','','7.34'),(6566,'/ar','default','Entity info','','7.34'),(6567,'/ar','default','View entity information across the whole site.','','7.34'),(6568,'/ar','default','Field info','','7.34'),(6569,'/ar','default','View fields information across the whole site.','','7.34'),(6570,'/ar','default','Menu item','','7.34'),(6571,'/ar','default','Details about a given menu item.','','7.34'),(6572,'/ar','default','Rebuild menus','','7.34'),(6573,'/ar','default','Rebuild menu based on hook_menu() and revert any custom changes. All menu items return to their default settings.','','7.34'),(6574,'/ar','default','View a list of available theme functions across the whole site.','','7.34'),(6575,'/ar','default','This user can switch back.','','7.34'),(6576,'/ar','default','Caution: this user will be unable to switch back.','','7.34'),(6577,'/ar','default','Add Block','','7.34'),(6578,'/ar','default','A newsletter issue to be sent to subscribed email addresses.','','7.34'),(6579,'/ar','default','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','','7.34'),(6580,'/ar','default','Token registry','','7.34'),(6581,'/ar','default','If you have problems accessing administrative pages on this site, disable the overlay on your profile page.','','7.34'),(6582,'/ar','default','Default Style','','7.34'),(6583,'/ar','default','Default Layout','','7.34'),(6584,'/ar','default','Config TB Mega Menu','','7.34'),(6585,'/ar','default','Edit quicktab','','7.34'),(6586,'/ar','default','Product module SKU form element','','7.34'),(6587,'/ar','default','Product module title form element','','7.34'),(6588,'/ar','default','Product module status form element','','7.34'),(6589,'/ar','default','The human readable identifier of the product','','7.34'),(6590,'/ar','default','Full product title','','7.34'),(6591,'/ar','default','Whether the product is active or disabled','','7.34'),(6592,'/ar','default','Edit Block','','7.34'),(6593,'/ar','default','Back to Top','','7.34'),(6594,'/ar','default','Options for the administrative overlay','','7.34'),(6595,'/ar/users/admin','default','Subscribed to','','7.34'),(6596,'/ar/users/admin','default','Manage <a href=\"!url\">subscriptions</a>','','7.34'),(6597,'/ar/users/admin','default','Load','','7.34'),(6598,'/ar/users/admin','default','Order number','','7.34'),(6599,'/ar/users/admin','default','You have not placed any orders with us yet.','','7.34'),(6600,'/ar/users/admin','default','Display all results for the specified field','','7.34'),(6601,'/ar/users/admin','default','Provide default value','','7.34'),(6602,'/ar/users/admin','default','Hide view','','7.34'),(6603,'/ar/users/admin','default','Display a summary','','7.34'),(6604,'/ar/users/admin','default','Display contents of \"No results found\"','','7.34'),(6605,'/ar/users/admin','default','Display \"Access Denied\"','','7.34'),(6606,'/ar/users/admin','default','Show \"Page not found\"','','7.34'),(6607,'/ar/users/admin','default','Render','','7.34'),(6608,'/ar/users/admin','default','Bean module element','','7.34'),(6609,'/ar/users/admin','default','Revision settings','','7.34'),(6610,'/ar/users/admin','default','View mode','','7.34'),(6611,'/ar/users/admin','default','Line item module label form element','','7.34'),(6612,'/ar/users/admin','default','Line item module quantity form element','','7.34'),(6613,'/ar/users/admin','default','Short descriptive label for the line item','','7.34'),(6614,'/ar/users/admin','default','Product: @label','','7.34'),(6615,'/ar/users/admin','default','Field from a referenced product.','','7.34'),(6616,'/ar/users/admin','default','Path module form elements','','7.34'),(6617,'/ar/users/admin','default','ShareThis links','','7.34'),(6618,'/ar/users/admin','default','Newsletter subscriptions of the user','','7.34'),(6619,'/ar/users/admin','default','User module timezone form element.','','7.34'),(6620,'/ar/users/admin','default','User module history view element.','','7.34'),(6621,'/ar/users/admin','default','User picture','','7.34'),(6622,'/ar/users/admin','default','Administrative overlay','','7.34'),(6623,'/ar/users/admin','default','Contact user element','','7.34'),(6624,'/ar/users/admin','default','Language settings for the user account.','','7.34'),(6625,'/ar/blog','default','Blog quicktab','','7.34'),(6626,'/ar/blog','default','Most Popular','','7.34'),(6627,'/ar/blog','default','Ads','','7.34'),(6628,'/ar/blog','default','<a href=\"[field_link-url]\" target=\"_blank\" title=\"[field_link-title]\" [field_link-attributes]>[field_image]</a>','','7.34'),(6629,'/ar/blog','default','Tags in @voc','','7.34'),(6630,'/ar/blog','default','<span >@date</span>','','7.34'),(6631,'/ar/about','default','Curabitur molestie sed leo et lobortis. Nulla congue, arcu et gravida egestas, ipsum eros hendrerit tellus.','','7.34'),(6632,'/ar/about','default','Our Team','','7.34'),(6633,'/ar/about','default','الصورة','','7.34'),(6634,'/ar/about','default','Full Name','','7.34'),(6635,'/ar/about','default','Position','','7.34'),(6636,'/ar/about','default','<a href=\"mailto:[field_email]\"><i class=\"fa fa-envelope-o\"></i> [field_email]</a>','','7.34'),(6637,'/ar/about','default','Phone','','7.34'),(6638,'/ar/about','default','<i class=\"fa fa-mobile\"></i> [field_phone]','','7.34'),(6639,'/ar/about','default','Facebook','','7.34'),(6640,'/ar/about','default','<a href=\"[field_facebook-url]\" title=\"[field_facebook-title]\">[field_facebook-title]</a>','','7.34'),(6641,'/ar/about','default','Gplus','','7.34'),(6642,'/ar/about','default','<a href=\"[field_gplus-url]\" title=\"[field_gplus-title]\"></a>','','7.34'),(6643,'/ar/about','default','LinkedIn','','7.34'),(6644,'/ar/about','default','<a href=\"[field_instagram-url]\" title=\"[field_instagram-title]\"></a>','','7.34'),(6645,'/ar/about','default','Twitter','','7.34'),(6646,'/ar/about','default','Curabitur eget interdum felis. Quisque auctor porttitor magna, id suscipit neque. Nunc eleifend nec odio et tempor.','','7.34'),(6647,'/ar/about','default','Only has the \'authenticated user\' role','','7.34'),(6648,'/ar/about','default','Has roles in addition to \'authenticated user\'','','7.34'),(6649,'/ar/about','default','Testimonials','','7.34'),(6650,'/ar/about','default','Read More Testimonials','','7.34'),(6651,'/ar/about','default','!instance_label @count','','7.34'),(6652,'/ar/about','default','Featured','','7.34'),(6653,'/ar/about','default','Triptych first','','7.34'),(6654,'/ar/about','default','Triptych middle','','7.34'),(6655,'/ar/about','default','Triptych last','','7.34'),(6656,'/ar/about','default','Newsletter: Multi Subscription','','7.34'),(6657,'/ar/about','default','Newsletter: @title','','7.34'),(6658,'/ar/about','default','The default display of Weebpal Banner','','7.34'),(6659,'/ar/about','default','View: !view: !display','','7.34'),(6660,'/ar/about','default','Get Involved','','7.34'),(6661,'/ar/about','default','Browse More','','7.34'),(6662,'/ar/about','default','Visit Our Shop With The Best Deal!','','7.34'),(6663,'/ar/about','default','Contact Information','','7.34'),(6664,'/ar/about','default','Execute PHP','','7.34'),(6665,'/ar/about','default','Switch user','','7.34'),(6666,'/ar/about','default','Display an Add to Cart message','','7.34'),(6667,'/ar/about','default','Reset the cart order status on product add or remove','','7.34'),(6668,'/ar/about','default','Unset the price of disabled products in the cart','','7.34'),(6669,'/ar/about','default','Set the order created date to the checkout completion date','','7.34'),(6670,'/ar/about','default','Update the order status on checkout completion','','7.34'),(6671,'/ar/about','default','Assign an anonymous order to a pre-existing user','','7.34'),(6672,'/ar/about','default','Fetched account','','7.34'),(6673,'/ar/about','default','Create a new account for an anonymous order','','7.34'),(6674,'/ar/about','default','Created account','','7.34'),(6675,'/ar/about','default','Send an order notification e-mail','','7.34'),(6676,'/ar/about','default','Order [commerce-order:order-number] at [site:name]','','7.34'),(6677,'/ar/about','default','Thanks for your order [commerce-order:order-number] at [site:name].\n\nIf this is your first order with us, you will receive a separate e-mail with login instructions. You can view your order history with us at any time by logging into our website at:\n\n[site:login-url]\n\nYou can find the status of your current order at:\n\n[commerce-order:customer-url]\n\nPlease contact us if you have any questions about your order.','','7.34'),(6678,'/ar/about','default','Before adding a product to the cart','','7.34'),(6679,'/ar/about','default','Shopping cart order','','7.34'),(6680,'/ar/about','default','After adding a product to the cart','','7.34'),(6681,'/ar/about','default','Product line item','','7.34'),(6682,'/ar/about','default','Unchanged product line item','','7.34'),(6683,'/ar/about','default','After removing a product from the cart','','7.34'),(6684,'/ar/about','default','Completing the checkout process','','7.34'),(6685,'/ar/about','default','Completed order','a drupal commerce order','7.34'),(6686,'/ar/about','default','Select available payment methods for an order','','7.34'),(6687,'/ar/about','default','unchanged entity','','7.34'),(6688,'/ar/about','default','Last completed transaction','','7.34'),(6689,'/ar/about','default','When an order is first paid in full','','7.34'),(6690,'/ar/about','default','Calculating the sell price of a product','','7.34'),(6691,'/ar/about','default','After saving a new @entity','','7.34'),(6692,'/ar/about','default','created @entity','','7.34'),(6693,'/ar/about','default','After updating an existing @entity','','7.34'),(6694,'/ar/about','default','updated @entity','','7.34'),(6695,'/ar/about','default','Before saving a @entity','','7.34'),(6696,'/ar/about','default','saved @entity','','7.34'),(6697,'/ar/about','default','After deleting a @entity','','7.34'),(6698,'/ar/about','default','deleted @entity','','7.34'),(6699,'/ar/about','default','@entity is viewed','','7.34'),(6700,'/ar/about','default','viewed @entity','','7.34'),(6701,'/ar/about','default','view mode','','7.34'),(6702,'/ar/about','default','created content','','7.34'),(6703,'/ar/about','default','After updating existing content','','7.34'),(6704,'/ar/about','default','updated content','','7.34'),(6705,'/ar/about','default','unchanged content','','7.34'),(6706,'/ar/about','default','Before saving content','','7.34'),(6707,'/ar/about','default','saved content','','7.34'),(6708,'/ar/about','default','Content is viewed','','7.34'),(6709,'/ar/about','default','Note that if drupal\'s page cache is enabled, this event won\'t be generated for pages served from cache.','','7.34'),(6710,'/ar/about','default','viewed content','','7.34'),(6711,'/ar/about','default','deleted content','','7.34'),(6712,'/ar/about','default','Drupal is initializing','','7.34'),(6713,'/ar/about','default','Be aware that some actions might initialize the theme system. After that, it\'s impossible for any module to change the used theme.','','7.34'),(6714,'/ar/about','default','Cron maintenance tasks are performed','','7.34'),(6715,'/ar/about','default','System log entry is created','','7.34'),(6716,'/ar/about','default','Log entry','','7.34'),(6717,'/ar/about','default','After saving a new user account','','7.34'),(6718,'/ar/about','default','registered user','','7.34'),(6719,'/ar/about','default','After updating an existing user account','','7.34'),(6720,'/ar/about','default','updated user','','7.34'),(6721,'/ar/about','default','unchanged user','','7.34'),(6722,'/ar/about','default','Before saving a user account','','7.34'),(6723,'/ar/about','default','saved user','','7.34'),(6724,'/ar/about','default','User account page is viewed','','7.34'),(6725,'/ar/about','default','viewed user','','7.34'),(6726,'/ar/about','default','After a user account has been deleted','','7.34'),(6727,'/ar/about','default','deleted user','','7.34'),(6728,'/ar/about','default','User has logged in','','7.34'),(6729,'/ar/about','default','logged in user','','7.34'),(6730,'/ar/about','default','User has logged out','','7.34'),(6731,'/ar/about','default','logged out user','','7.34'),(6732,'/ar/about','default','created comment','','7.34'),(6733,'/ar/about','default','After updating an existing comment','','7.34'),(6734,'/ar/about','default','updated comment','','7.34'),(6735,'/ar/about','default','unchanged comment','','7.34'),(6736,'/ar/about','default','Before saving a comment','','7.34'),(6737,'/ar/about','default','saved comment','','7.34'),(6738,'/ar/about','default','A comment is viewed','','7.34'),(6739,'/ar/about','default','viewed comment','','7.34'),(6740,'/ar/about','default','deleted comment','','7.34'),(6741,'/ar/about','default','After saving a new term','','7.34'),(6742,'/ar/about','default','created term','','7.34'),(6743,'/ar/about','default','After updating an existing term','','7.34'),(6744,'/ar/about','default','updated term','','7.34'),(6745,'/ar/about','default','unchanged term','','7.34'),(6746,'/ar/about','default','Before saving a taxonomy term','','7.34'),(6747,'/ar/about','default','saved term','','7.34'),(6748,'/ar/about','default','deleted term','','7.34'),(6749,'/ar/about','default','After saving a new vocabulary','','7.34'),(6750,'/ar/about','default','created vocabulary','','7.34'),(6751,'/ar/about','default','After updating an existing vocabulary','','7.34'),(6752,'/ar/about','default','updated vocabulary','','7.34'),(6753,'/ar/about','default','unchanged vocabulary','','7.34'),(6754,'/ar/about','default','Before saving a vocabulary','','7.34'),(6755,'/ar/about','default','saved vocabulary','','7.34'),(6756,'/ar/about','default','After deleting a vocabulary','','7.34'),(6757,'/ar/about','default','deleted vocabulary','','7.34'),(6758,'/ar/about','default','Calculate taxes: @title','','7.34'),(6759,'/ar/event','default','Video','','7.34'),(6760,'/ar/event','default','Donate Counter','','7.34'),(6761,'/ar/event','default','[field_donate_counter-value] People Donated','','7.34'),(6762,'/ar/event','default','<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\n<div>\n<span>[field_donate_counter] [field_donate_total] / [field_donate_goal]</span>\n</div>','','7.34'),(6763,'/ar/event','default','term from field_type','','7.34'),(6764,'/ar/event','default','<p>Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio. estibulum eu odio. </p>','','7.34'),(6765,'/ar/event','default','Items per page','','7.34'),(6766,'/ar/event','default','- All -','','7.34'),(6767,'/ar/event','default','Offset','','7.34'),(6768,'/ar/blog-full-width','default','Blog Type','','7.34'),(6769,'/ar/blog-full-width','default','<p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>','','7.32'),(6770,'/ar/donation','default','<p>Ut non enim eleifend felis pretium feugiat. Fusce egestas elit eget lorem. Donec vitae orci sed dolor rutrum auctor. Nam adipiscing. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>','','7.32'),(6771,'/ar/shop','default','Products referenced by field_product','','7.34'),(6772,'/ar/shop','default','<p>Nam et justo accumsan, fringilla massa ut, vestibulum quam. Etiam eget sapien arcu. In hac habitasse platea dictumst.</p>','','7.34'),(6773,'/ar/shop','default','Add to cart','','7.32'),(6774,'/ar/contact','default','<h3>Contact Information</h3>\n<address>\n<p>Glocal Foundation, Inc.<br>12345 Name Snow Dr.<br>Keller, Tx 76248</p>\n<hr>\n<p>T: 817-123-4567<br>F: 817-123-4568</p>\n<hr>\n<p><a href=\"mailto:info@hermiofoundation.org\">info@hermiofoundation.org</a><br><a href=\"https://www.facebook.com\">Share this site with a friend</a></p>\n<hr>\n</address>','','7.34'),(6775,'/ar/content/contact-webform','default','Presents month, day, and year fields.','','7.34'),(6776,'/ar/content/contact-webform','default','A special textfield that accepts e-mail addresses.','','7.34'),(6777,'/ar/content/contact-webform','default','Fieldsets allow you to organize multiple fields into groups.','','7.34'),(6778,'/ar/content/contact-webform','default','Allows creation of grid questions, denoted by radio buttons.','','7.34'),(6779,'/ar/content/contact-webform','default','A field which is not visible to the user, but is recorded with the submission.','','7.34'),(6780,'/ar/content/contact-webform','default','Markup','','7.34'),(6781,'/ar/content/contact-webform','default','Displays text as HTML in the form; does not render a field.','','7.34'),(6782,'/ar/content/contact-webform','default','A numeric input field (either as textfield or select list).','','7.34'),(6783,'/ar/content/contact-webform','default','Page break','','7.34'),(6784,'/ar/content/contact-webform','default','Organize forms into multiple pages.','','7.34'),(6785,'/ar/content/contact-webform','default','Select options','','7.34'),(6786,'/ar/content/contact-webform','default','Allows creation of checkboxes, radio buttons, or select menus.','','7.34'),(6787,'/ar/content/contact-webform','default','Textarea','','7.34'),(6788,'/ar/content/contact-webform','default','A large text area that allows for multiple lines of input.','','7.34'),(6789,'/ar/content/contact-webform','default','Textfield','','7.34'),(6790,'/ar/content/contact-webform','default','Basic textfield type.','','7.34'),(6791,'/ar/content/contact-webform','default','Presents the user with hour and minute fields. Optional am/pm fields.','','7.34'),(6792,'/ar/content/contact-webform','default','Allow users to upload files of configurable types.','','7.34'),(6793,'/ar/content/contact-webform','default','Submit','','7.32'),(6794,'/ar/content/contact-webform','default','Form components','','7.32'),(6795,'/ar/content/contact-webform','default','Conditionals','','7.32'),(6796,'/ar/content/contact-webform','default','Submissions','','7.32'),(6797,'/ar/content/contact-webform','default','Analysis','','7.32'),(6798,'/ar/content/contact-webform','default','Form settings','','7.32'),(6799,'/ar/content/contact-webform','default','Clear','','7.32'),(6800,'/ar/content/contact-webform','default','Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/en/admin/structure/block\">block administration</a> page.','','7.34'),(6801,'/ar/mega-menus','default','Config Mega Menus','','7.32'),(6802,'/ar/mega-menus','default','Webform client form.','','7.34'),(6803,'/ar/home-2','default','<h2>Featured Stories & Updates</h2><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>','','7.34'),(6804,'/ar/cart','default','Unit price','','7.34'),(6805,'/ar/cart','default','Cart summary','','7.34'),(6806,'/ar/cart','default','<a href=\"/hermio\" class=\"continue-shopping\">Continue shopping</a>','','7.32'),(6807,'/ar/cart','default','Update cart','','7.34'),(6808,'/ar/cart','default','Shopping cart (1 item)','','7.32'),(6809,'/ar/donation/aenean-tellus-metus-bibendum','default','@sku: @title','','7.32'),(6810,'/ar/donation/aenean-tellus-metus-bibendum','default','Created as a shopping cart order.','','7.32'),(6811,'/ar/donation/aenean-tellus-metus-bibendum','default','%title added to <a href=\"!cart-url\">your cart</a>.','','7.32'),(6812,'/ar/donation/aenean-tellus-metus-bibendum','default','Order status updated via Rules.','','7.32'),(6813,'sites/all/modules/context/plugins/context_reaction_block.js','default','Desired block weight exceeds available weight options, please check weights for blocks before saving','','none'),(6814,'sites/all/modules/context/plugins/context_reaction_block.js','default','Now Editing: ','','none'),(6815,'/ar/blog','default','Mobile Menu','','7.34'),(6816,'/ar/blog','default','context','','7.34'),(6817,'/ar/blog','default','contexts','','7.34'),(6818,'/ar/blog','default','Contexts','','7.34'),(6819,'/ar/blog','default','Associate menus, views, blocks, etc. with different contexts to structure your site.','','7.34'),(6820,'/ar/blog','default','context_layouts','','7.34'),(6821,'/ar/blog','default','context_ui','','7.34'),(6822,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(6823,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(6824,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(6825,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(6826,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(6827,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<i class=\"fa fa-envelope-o\"></i> [field_email]','','7.34'),(6828,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_facebook-url]\" title=\"[field_facebook-title]\" target=\"_blank\"><i class=\"fa fa-facebook\"></i></a>','','7.34'),(6829,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_gplus-url]\" title=\"[field_gplus-url]\" target=\"_blank\"><i class=\"fa fa-google-plus\"></i></a>','','7.34'),(6830,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_linkedIn-url]\" title=\"[field_linkedIn-title]\" target=\"_blank\"><i class=\"fa fa-linkedin\"></i></a>\n','','7.34'),(6831,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_twitter-url]\" title=\"[field_twitter-title]\" target=\"_blank\"><i class=\"fa fa-twitter\"></i></a>','','7.34'),(6832,'sites/all/modules/token/token.js','default','Loading token browser...','','none'),(6833,'sites/all/modules/token/token.js','default','Available tokens','','none'),(6834,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(6835,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(6836,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_instagram-url]\" title=\"[field_instagram-title]\" target=\"_blank\"><i class=\"fa fa-linkedin\"></i></a>\n','','7.34'),(6837,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_gplus-title]\" title=\"[field_gplus-url]\" target=\"_blank\"><i class=\"fa fa-google-plus\"></i></a>','','7.34'),(6838,'/en/admin/structure/views/view/our_team/edit/block?destination=node%2F63&render=overlay&render=overlay','default','<a href=\"[field_gplus-url]\" title=\"[field_gplus-title]\" target=\"_blank\"><i class=\"fa fa-google-plus\"></i></a>','','7.34'),(6839,'/ar','default','All values','','7.34'),(6840,'/ar','default','Displays all values as submitted by a user.','','7.34'),(6841,'/ar','default','Search result highlighting input','','7.34'),(6842,'/ar','default','Sub Premise (i.e. Suite, Apartment, Floor, Unknown.','','7.34'),(6843,'/ar','default','Result summary with additional tokens','','7.34'),(6844,'/ar','default','Shows result summary, for example the items per page (and links to change the items per page).','','7.34'),(6845,'/ar','default','Redirect the checkout to the previous pane','','7.34'),(6846,'/ar','default','Redirect the checkout to the next pane','','7.34'),(6847,'/ar','default','Exclude Node Title','','7.34'),(6848,'/ar','default','Exclude Node Title from display','','7.34'),(6849,'/ar','default','Context (any)','','7.34'),(6850,'/ar','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass if <em>any</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.34'),(6851,'/ar','default','Context (all)','','7.34'),(6852,'/ar','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass only if <em>all</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.34'),(6853,'/ar','default','Node type','','7.34'),(6854,'/ar','default','Set this context when viewing a node page or using the add/edit form of one of these content types.','','7.34'),(6855,'/ar','default','Sitewide context','','7.34'),(6856,'/ar','default','Should this context always be set? If <strong>true</strong>, this context will be active across your entire site.','','7.34'),(6857,'/ar','default','Default context','','7.34'),(6858,'/ar','default','This context will be set if no other context is active except sitewide contexts.','','7.34'),(6859,'/ar','default','Set this context when any of the paths above match the page path. Put each path on a separate line. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to exclude one or more paths. Use &lt;front&gt; for the site front page.','','7.34'),(6860,'/ar','default','Query String','','7.34'),(6861,'/ar','default','Set this context when any of the query strings above match the page query string. Put each query string on a separate line. You can use the \"*\" character as a wildcard and <code>~</code> to exclude one or more query strings.','','7.34'),(6862,'/ar','default','User role','','7.34'),(6863,'/ar','default','Set this context when the current user has one of the selected role(s).','','7.34'),(6864,'/ar','default','User page','','7.34'),(6865,'/ar','default','Set this context when viewing a user page.','','7.34'),(6866,'/ar','default','Set this context when any of the selected menu items belong to the current active menu trail.','','7.34'),(6867,'/ar','default','Set this context when displaying the page of one of these views.','','7.34'),(6868,'/ar','default','Set this context when viewing the site in the selected language.','','7.34'),(6869,'/ar','default','Set this context when viewing a node with the selected taxonomy terms.','','7.34'),(6870,'/ar','default','Set this context when viewing a taxonomy term page.','','7.34'),(6871,'/ar','default','Control block visibility using context.','','7.34'),(6872,'/ar','default','Regions','','7.34'),(6873,'/ar','default','Control Region visiblity using context.','','7.34'),(6874,'/ar','default','Breadcrumb','','7.34'),(6875,'/ar','default','Set the breadcrumb trail to the selected menu item.','','7.34'),(6876,'/ar','default','Template suggestions','','7.34'),(6877,'/ar','default','Add template suggestions using context.','','7.34'),(6878,'/ar','default','Theme Page','','7.34'),(6879,'/ar','default','Control page theme variables using context.','','7.34'),(6880,'/ar','default','Theme HTML','','7.34'),(6881,'/ar','default','Control HTML theme variables using context.','','7.34'),(6882,'/ar','default','Debug output reaction for SimpleTest.','','7.34'),(6883,'/ar','default','Control menu active class using context.','','7.34'),(6884,'/ar','default','A log message associated with the revision.','','7.34'),(6885,'/ar','default','A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.','','7.34'),(6886,'/ar','default','Table that contains field group entries and settings.','','7.34'),(6887,'/ar','default','Showing @start - @end of @total','','7.34'),(6888,'/ar','default','Serial Number','','7.34'),(6889,'/ar','default','[serial]','','7.34'),(6890,'/ar','default','Showing @start - @end of @total @items_per_page_links','','7.34'),(6891,'/ar','default','#','','7.34'),(6892,'/ar','default','Reply to','','7.34'),(6893,'/ar','default','Recent posts','','7.34'),(6894,'/ar','default','Last Post','','7.34'),(6895,'/ar','default',' new','','7.34'),(6896,'/ar','default','Recent posts for %1','','7.34'),(6897,'/ar','default','Defaults','','7.34'),(6898,'/ar','default','Line Item','','7.34'),(6899,'/ar','default','Filter by names containing','','7.34'),(6900,'/ar','default','Admin page','','7.34'),(6901,'/ar','default','Empty line item text.','','7.34'),(6902,'/ar','default','No line items found.','','7.34'),(6903,'/ar','default','([line_item_label])','','7.34'),(6904,'/ar','default','Customer profile','','7.34'),(6905,'/ar','default','-','','7.34'),(6906,'/ar','default','There are currently no shopping cart orders.','','7.34'),(6907,'/ar','default','User Orders','','7.34'),(6908,'/ar','default','Created on','','7.34'),(6909,'/ar','default','Created by','','7.34'),(6910,'/ar','default','Order Revisions','','7.34'),(6911,'/ar','default','Result message','','7.34'),(6912,'/ar','default','Filter by SKUs containing','','7.34'),(6913,'/ar','default','Product Revisions','','7.34'),(6914,'/ar','default','Monthly archive','','7.34'),(6915,'/ar','default','%1','','7.34'),(6916,'/ar','default','No backlinks found.','','7.34'),(6917,'/ar','default','Pages that link to %1','','7.34'),(6918,'/ar','default','What links here','','7.34'),(6919,'/ar','default','Vocabulary terms','','7.34'),(6920,'/ar','default','All the terms in a vocabulary.','','7.34'),(6921,'/ar','default','The picture of a user.','','7.34'),(6922,'/ar','default','User profile','','7.34'),(6923,'/ar','default','The profile of a user.','','7.34'),(6924,'/ar','default','User signature','','7.34'),(6925,'/ar','default','The signature of a user.','','7.34'),(6926,'/ar','default','Term description.','','7.34'),(6927,'/ar','default','List of related terms','','7.34'),(6928,'/ar','default','Terms related to an existing term; may be child, siblings or top level.','','7.34'),(6929,'/ar','default','Advanced search form','','7.34'),(6930,'/ar','default','A search form with advanced options.','','7.34'),(6931,'/ar','default','Widgets','','7.34'),(6932,'/ar','default','The results of a search using keywords.','','7.34'),(6933,'/ar','default','Add the action links (local tasks) as content.','','7.34'),(6934,'/ar','default','Page elements','','7.34'),(6935,'/ar','default','Add the breadcrumb trail as content.','','7.34'),(6936,'/ar','default','Feed icons','','7.34'),(6937,'/ar','default','Add the site feed_icons statement as content.','','7.34'),(6938,'/ar','default','Add the help text of the current page as content.','','7.34'),(6939,'/ar','default','Site logo','','7.34'),(6940,'/ar','default','Add the logo trail as content.','','7.34'),(6941,'/ar','default','Status messages','','7.34'),(6942,'/ar','default','Add the status messages of the current page as content.','','7.34'),(6943,'/ar','default','Primary navigation links','','7.34'),(6944,'/ar','default','Add the primary_links (local tasks) as content.','','7.34'),(6945,'/ar','default','Secondary navigation links','','7.34'),(6946,'/ar','default','Add the secondary_links (local tasks) as content.','','7.34'),(6947,'/ar','default','Add the site\'s slogan as content.','','7.34'),(6948,'/ar','default','Tabs','','7.34'),(6949,'/ar','default','Add the tabs (local tasks) as content.','','7.34'),(6950,'/ar','default','Add the page title as content.','','7.34'),(6951,'/ar','default','Node form author information','','7.34'),(6952,'/ar','default','Author information on the Node form.','','7.34'),(6953,'/ar','default','Form','','7.34'),(6954,'/ar','default','Node form submit buttons','','7.34'),(6955,'/ar','default','Submit buttons for the node form.','','7.34'),(6956,'/ar','default','Node form comment settings','','7.34'),(6957,'/ar','default','Comment settings on the Node form.','','7.34'),(6958,'/ar','default','Node form languages','','7.34'),(6959,'/ar','default','The language selection form.','','7.34'),(6960,'/ar','default','Node form revision log message','','7.34'),(6961,'/ar','default','Revision log message for the node.','','7.34'),(6962,'/ar','default','Node form menu settings','','7.34'),(6963,'/ar','default','Menu settings on the Node form.','','7.34'),(6964,'/ar','default','Node form url path settings','','7.34'),(6965,'/ar','default','Publishing options on the Node form.','','7.34'),(6966,'/ar','default','Node form publishing options','','7.34'),(6967,'/ar','default','Node form title field','','7.34'),(6968,'/ar','default','The node title form.','','7.34'),(6969,'/ar','default','Attached files','','7.34'),(6970,'/ar','default','A list of files attached to the node.','','7.34'),(6971,'/ar','default','Node author','','7.34'),(6972,'/ar','default','The author of the referenced node.','','7.34'),(6973,'/ar','default','Node body','','7.34'),(6974,'/ar','default','The body of the referenced node.','','7.34'),(6975,'/ar','default','Node comments','','7.34'),(6976,'/ar','default','The comments of the referenced node.','','7.34'),(6977,'/ar','default','Comment form','','7.34'),(6978,'/ar','default','A form to add a new comment.','','7.34'),(6979,'/ar','default','Node content','','7.34'),(6980,'/ar','default','The content of the referenced node.','','7.34'),(6981,'/ar','default','Node created date','','7.34'),(6982,'/ar','default','The date the referenced node was created.','','7.34'),(6983,'/ar','default','Node links','','7.34'),(6984,'/ar','default','Node links of the referenced node.','','7.34'),(6985,'/ar','default','Node terms','','7.34'),(6986,'/ar','default','Taxonomy terms of the referenced node.','','7.34'),(6987,'/ar','default','Node title','','7.34'),(6988,'/ar','default','The title of the referenced node.','','7.34'),(6989,'/ar','default','Node type description','','7.34'),(6990,'/ar','default','Node type description.','','7.34'),(6991,'/ar','default','Node last updated date','','7.34'),(6992,'/ar','default','The date the referenced node was last updated.','','7.34'),(6993,'/ar','default','Existing node','','7.34'),(6994,'/ar','default','Add a node from your site as content.','','7.34'),(6995,'/ar','default','Entity field','','7.34'),(6996,'/ar','default','General form','','7.34'),(6997,'/ar','default','Everything in the form that is not displayed by other content.','','7.34'),(6998,'/ar','default','Entity extra field','','7.34'),(6999,'/ar','default','Custom content','','7.34'),(7000,'/ar','default','The site contact form that allows users to send a message to site administrators.','','7.34'),(7001,'/ar','default','User contact form','','7.34'),(7002,'/ar','default','The site contact form that allows users to contact other users.','','7.34'),(7003,'/ar','default','Comment Reply Form','','7.34'),(7004,'/ar','default','A form to add a new comment reply.','','7.34'),(7005,'/ar','default','ShareThis Widget','','7.34'),(7006,'/ar','default','ShareThis Widget pane','','7.34'),(7007,'/ar','default','Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.','','7.34'),(7008,'/ar','default','Context editor','','7.34'),(7009,'/ar','default','Context inspector','','7.34'),(7010,'/ar','default','Exclude node title from display.','','7.34'),(7011,'/ar','default','items','product count on a Commerce order','7.34'),(7012,'/ar','default','@count[2] items','product count on a Commerce order','7.34'),(7013,'/ar/checkout/11/review','default','Base price','','7.34'),(7014,'/ar/checkout/11/review','default','Subtotal','','7.34'),(7015,'/ar/checkout/11/review','default','Discount','','7.34'),(7016,'/ar/checkout/11/review','default','Fee','','7.34'),(7017,'/ar/checkout/11/review','default','Address form (country-specific)','','7.34'),(7018,'/ar/checkout/11/review','default','Address 1','','7.34'),(7019,'/ar/checkout/11/review','default','Address 2','','7.34'),(7020,'/ar/checkout/11/review','default','City','','7.34'),(7021,'/ar/checkout/11/review','default','Caribbean Netherlands','','7.34'),(7022,'/ar/checkout/11/review','default','South Sudan','','7.34'),(7023,'/ar/checkout/11/review','default','Sint Maarten','','7.34'),(7024,'/ar/checkout/11/review','default','Name (single line)','','7.34'),(7025,'/ar/checkout/11/review','default','Visa','','7.34'),(7026,'/ar/checkout/11/review','default','Mastercard','','7.34'),(7027,'/ar/checkout/11/review','default','American Express','','7.34'),(7028,'/ar/checkout/11/review','default','Discover','','7.34'),(7029,'/ar/checkout/11/review','default','eCheck','','7.34'),(7030,'/ar/checkout/11/review','default','!logo PayPal - pay securely without sharing your financial information','','7.34'),(7031,'/ar/blog','default','@count[3] items','product count on a Commerce order','7.34'),(7032,'/ar/node/add/blog','default','Video URL','','7.34'),(7033,'/ar/node/add/blog','default','Node Class settings','','7.34'),(7034,'/ar/node/add/blog','default','Assign CSS classes to the node.','','7.34'),(7035,'/ar/node/add/blog','default','CSS class(es)','','7.34'),(7036,'/ar/node/add/blog','default','Separate classes with a space.','','7.34'),(7037,'/ar/node/add/blog','default','Generate automatic URL alias','','7.34'),(7038,'/ar/node/add/blog','default','Uncheck this to create a custom alias below.','','7.34'),(7039,'/ar/node/add/blog','default','Configure URL alias patterns.','','7.34'),(7040,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','All unsaved changed has been reseted!','','none'),(7041,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Saved config sucessfully!','','none'),(7042,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Remove this block','','none'),(7043,'/ar/event','default','Panel Mobile Menu','','7.34'),(7044,'/en/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay&render=overlay','default','<a href=\"/\" class=\"continue-shopping\">Continue shopping</a>','','7.34'),(7045,'/ar/cart','default','Shopping cart (@count[2] items)','','7.34'),(7046,'/ar/cart','default','Use PHP code.','','7.34'),(7047,'/ar/cart','default','Use PHP code to construct the output of an area.','','7.34'),(7048,'/ar/cart','default','Use PHP code to construct the output of a field.','','7.34'),(7049,'/ar/cart','default','Use PHP code to filter the result of the view.','','7.34'),(7050,'/ar/cart','default','Use PHP code to sort the result of the view.','','7.34'),(7051,'/ar/cart','default','Use PHP code to grant access.','','7.34'),(7052,'/ar/cart','default','Use PHP code to determine whether a should be cached.','','7.34'),(7053,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Click on an item to edit that item\'s details.','','7.34'),(7054,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','* All changes are stored temporarily. Click Save to make your changes permanent. Click Cancel to discard your changes.','','7.34'),(7055,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Modify the display(s) of your view below or add new displays.','','7.34'),(7056,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Displays','','7.34'),(7057,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','edit view name/description','','7.34'),(7058,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','analyze view','','7.34'),(7059,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','clone view','','7.34'),(7060,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','export view','','7.34'),(7061,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','reorder displays','','7.34'),(7062,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','revert view','','7.34'),(7063,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Add !display','','7.34'),(7064,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','@display_title details','','7.34'),(7065,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Filters','','7.34'),(7066,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Pager','','7.34'),(7067,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Exposed form','','7.34'),(7068,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','No comment','','7.34'),(7069,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Comment or document this display.','','7.34'),(7070,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change the title that this display will use.','','7.34'),(7071,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change the way content is formatted.','','7.34'),(7072,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change settings for this format','','7.34'),(7073,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Use AJAX','','7.34'),(7074,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change whether or not this display will use AJAX.','','7.34'),(7075,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Hide attachments in summary','','7.34'),(7076,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change whether or not to display attachments when displaying a contextual filter summary.','','7.34'),(7077,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Hide contextual links','','7.34'),(7078,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change whether or not to display contextual links for this view.','','7.34'),(7079,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','All items','','7.34'),(7080,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Use pager','','7.34'),(7081,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change this display\'s pager setting.','','7.34'),(7082,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change settings for this pager type.','','7.34'),(7083,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','More link','','7.34'),(7084,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Specify whether this display will provide a \"more\" link.','','7.34'),(7085,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Group results together','','7.34'),(7086,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Count DISTINCT','','7.34'),(7087,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Sum','','7.34'),(7088,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Average','','7.34'),(7089,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Standard deviation','','7.34'),(7090,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Use aggregation','','7.34'),(7091,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Allow grouping and aggregation (calculation) of fields.','','7.34'),(7092,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Query settings','','7.34'),(7093,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Allow to set some advanced settings for the query plugin','','7.34'),(7094,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Current user\'s language','','7.34'),(7095,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Default site language','','7.34'),(7096,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Field Language','','7.34'),(7097,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','All fields which support translations will be displayed in the selected language.','','7.34'),(7098,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Unrestricted','','7.34'),(7099,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Specify access control type for this display.','','7.34'),(7100,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Specify caching type for this display.','','7.34'),(7101,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Link display','','7.34'),(7102,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Specify which display or custom url this display will link to.','','7.34'),(7103,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Exposed form style','','7.34'),(7104,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Select the kind of exposed filter to use.','','7.34'),(7105,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Exposed form settings for this exposed form style.','','7.34'),(7106,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','CSS class','','7.34'),(7107,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Change the CSS class name(s) that will be added to this display.','','7.34'),(7108,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Theme','','7.34'),(7109,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Information','','7.34'),(7110,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Get information on how to theme this display','','7.34'),(7111,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Rearrange','','7.34'),(7112,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','!group: !title','','7.34'),(7113,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','And/Or, Rearrange','','7.34'),(7114,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','False','','7.34'),(7115,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','asc','','7.34'),(7116,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Auto preview','','7.34'),(7117,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Preview with contextual filters:','','7.34'),(7118,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Separate contextual filter values with a \"/\". For example, %example.','','7.34'),(7119,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Update preview','','7.34'),(7120,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default',':','','7.34'),(7121,'/ar/admin/structure/views/view/commerce_cart_form/edit/default?destination=cart&render=overlay','default','Close overlay','','7.34'),(7122,'/ar/admin/structure/views/view/commerce_cart_form/preview/default/ajax','default','Edit @section','','7.34'),(7123,'/ar/admin/structure/views/view/commerce_cart_form/preview/default/ajax','default','Add new','','7.34'),(7124,'/hermio/ar/404','default','Execute custom PHP code','','7.34'),(7125,'/hermio/ar/404','default','PHP code','','7.34'),(7126,'/hermio/ar/404','default','Enter PHP code without &lt;?php ?&gt; delimiters that returns a boolean value; e.g. <code>@code</code>.','','7.34'),(7127,'/hermio/ar/404','default','Enter PHP code without &lt;?php ?&gt; delimiters.','','7.34'),(7128,'/hermio/ar/404','default','Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/hermio/en/admin/structure/block\">block administration</a> page.','','7.34'),(7129,'/en/admin/structure/views/view/events/edit/page?destination=event&render=overlay&render=overlay','default','Block Tab','','7.34'),(7130,'/en/admin/structure/views/view/events/edit/page?destination=event&render=overlay&render=overlay','default','Block Footer','','7.34'),(7131,'/en/admin/structure/views/view/events/edit/page?destination=event&render=overlay&render=overlay','default','Block 2','','7.34'),(7132,'/en/admin/structure/views/view/events/edit/page?destination=event&render=overlay&render=overlay','default','<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\n<div>\n<span>$[field_donate_counter] $[field_donate_total] / $[field_donate_goal]</span>\n</div>','','7.34'),(7133,'/en/admin/structure/views/view/events/edit/page?destination=event&render=overlay&render=overlay','default','<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\n<div>\n<span>[field_donate_counter] $[field_donate_total] / $[field_donate_goal]</span>\n</div>','','7.34'),(7134,'/en/admin/structure/views/view/view_shop/edit/page?destination=shop&render=overlay&render=overlay','default','<h2>Visit Our Shop With The Best Deal!</h2><span>Nam et justo accumsan, fringilla massa ut, vestibulum quam. Etiam eget sapien arcu. In hac habitasse platea dictumst.</span>','','7.34'),(7135,'/en/admin/structure/views/view/view_shop/edit/page?destination=shop&render=overlay&render=overlay','default','Shop Full','','7.34'),(7136,'/en/admin/structure/views/view/view_shop/edit/page?destination=shop&render=overlay&render=overlay','default','Most popular','','7.34'),(7137,'misc/drupal.js','default','CustomMessage: !customMessage','','none'),(7138,'misc/ajax.js','default','The response failed verification so will not be processed.','','none'),(7139,'misc/ajax.js','default','The callback URL is not local and not trusted: !url','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_target` VALUES (1,'حدث خطأ أجاكس HTTP.','ar',0,0),(2,'نتيجة كود PHP: !status','ar',0,0),(3,'تم إنهاء طلب AJAX HTTP بشكل غير عادي.','ar',0,0),(4,'يليه معلومات التنقيح.','ar',0,0),(5,'المسار: !uri','ar',0,0),(6,'نص الحالة: !statusText','ar',0,0),(7,'ResponseText: !responseText','ar',0,0),(8,'ReadyState: !readyState','ar',0,0),(9,'جاري التحميل','ar',0,0),(10,'(علامة التبويب النشطة)','ar',0,0),(11,'إخفاء','ar',0,0),(12,'عرض','ar',0,0),(17,'الكل','ar',0,0),(25,'إعادة ترتيب السطور حسب وزن رقمي بدلا من سحبها.','ar',0,0),(26,'إظهار أوزان الأسطر','ar',0,0),(27,'إخفاء أوزان السطور','ar',0,0),(28,'اسحب لتغير الترتيب','ar',0,0),(29,'التغييرات الحادثة على هذا الجدول لن تُحفظ إلا بعد إرسال الاستمارة.','ar',0,0),(30,'الرئيسية','ar',0,0),(31,'واجهة المستخدم','ar',0,0),(32,'العنوان','ar',0,0),(33,'المتن','ar',0,0),(34,'التالي','ar',0,0),(35,'مستخدم','ar',0,0),(36,'الصفحات','ar',0,0),(37,'حفظ الإعدادات','ar',0,0),(38,'استرجاع الإعدادات الافتراضية','ar',0,0),(39,'حذف','ar',0,0),(40,'الحالة','ar',0,0),(41,'أنشئ حساب مستخدم جديد.','ar',0,0),(42,'طلب كلمة مرور جديدة عن طريق البريد الإلكتروني.','ar',0,0),(43,'سابقة','ar',0,0),(44,'لاحقة','ar',0,0),(45,'موافقة','ar',0,0),(46,'البريد الإلكتروني','ar',0,0),(47,'الموافقة','ar',0,0),(48,'حذف','ar',0,0),(49,'عمليات','ar',0,0),(50,'المحتوى','ar',0,0),(51,'اسم المستخدم','ar',0,0),(52,'عنوان البريد الإلكتروني','ar',0,0),(53,'المحتوى','ar',0,0),(54,'التطوير','ar',0,0),(55,'المجموعة','ar',0,0),(56,'النوع','ar',0,0),(57,'المؤلف','ar',0,0),(58,'الردود','ar',0,0),(59,'مغلق','ar',0,0),(60,'نعم','ar',0,0),(61,'لائحة','ar',0,0),(62,'الموضوع','ar',0,0),(63,'مغلق','ar',0,0),(64,'الإجراءات','ar',0,0),(65,'معطَّل','ar',0,0),(66,'تأكيد','ar',0,0),(67,'إلغاء','ar',0,0),(68,'حذف','ar',0,0),(69,'مدير','ar',0,0),(70,'الوصف','ar',0,0),(71,'اللغة','ar',0,0),(72,'تلقيمة آر.إس.إس','ar',0,0),(73,'تفعيل','ar',0,0),(74,'تعطيل','ar',0,0),(75,'الشرح أو توجيهات الإرسال','ar',0,0),(76,'مقال','ar',0,0),(77,'معطل','ar',0,0),(78,'مفعل','ar',0,0),(79,'الإدارة','ar',0,0),(80,'التعليقات','ar',0,0),(81,'المزيد','ar',0,0),(82,'لم يتم التحقق','ar',0,0),(83,'إجراء','ar',0,0),(84,'آخر تحديث','ar',0,0),(85,'جديد','ar',0,0),(86,'خطأ','ar',0,0),(87,'وسوم','ar',0,0),(88,'عنوان الصندوق','ar',0,0),(89,'عنوان الصندوق كما يظهر للمستخدم.','ar',0,0),(90,'التصنيف','ar',0,0),(91,'نعم','ar',0,0),(92,'لا','ar',0,0),(93,'مجدول الأعمال (كرون)','ar',0,0),(94,'بحيرة زرقاء (المبدئية)','ar',0,0),(95,'رماد','ar',0,0),(96,'زبرجد','ar',0,0),(97,'شكولاتة بلجيكية','ar',0,0),(98,'أزرق بحري','ar',0,0),(99,'انفجار ليموني','ar',0,0),(100,'يوم بارد','ar',0,0),(101,'شعاع أخضر','ar',0,0),(102,'بحر متوسط','ar',0,0),(103,'زئبق','ar',0,0),(104,'ليلي','ar',0,0),(105,'زيتونة','ar',0,0),(106,'لدائن زهرية','ar',0,0),(107,'طماطم لامعة','ar',0,0),(108,'أزرق مخضر','ar',0,0),(109,'أنواع المحتوى','ar',0,0),(110,'الصفحة الأولى','ar',0,0),(111,'الصفحة الرئيسية','ar',0,0),(112,'التصنيفات','ar',0,0),(113,'تحميل','ar',0,0),(114,'النسخة','ar',0,0),(115,'عرض','ar',0,0),(116,'التحديث','ar',0,0),(117,'نظرة عامة','ar',0,0),(118,'معلومات الملف','ar',0,0),(119,'ملف','ar',0,0),(120,'الخيارات المتقدمة','ar',0,0),(121,'ملاحظات النسخة','ar',0,0),(122,'تحرير','ar',0,0),(123,'التاريخ','ar',0,0),(124,'الحجم','ar',0,0),(125,'بحث','ar',0,0),(126,'إعادة الضبط','ar',0,0),(127,'يوميًا','ar',0,0),(128,'أسبوعيًا','ar',0,0),(129,'لا شيء','ar',0,0),(130,'إعدادات العرض','ar',0,0),(131,'لا يمكن التراجع عن هذة العملية.','ar',0,0),(132,'الاختبار','ar',0,0),(133,'رقم','ar',0,0),(134,'الرسالة','ar',0,0),(135,'لا توجد رسائل سجل.','ar',0,0),(136,'كلمة المرور','ar',0,0),(137,'- لا شيء -','ar',0,0),(138,'الوزن','ar',0,0),(139,'تم حفظ خيارات الضبط.','ar',0,0),(140,'رابط','ar',0,0),(141,'الصورة','ar',0,0),(142,'المركز','ar',0,0),(143,'نص المساعدة','ar',0,0),(144,'الأنواع','ar',0,0),(145,'ضروري','ar',0,0),(146,'جذر','ar',0,0),(147,'الأب','ar',0,0),(148,'الصفحات في مستو واحد ترتب بالوزن أولا، ثم بالعنوان.','ar',0,0),(149,'لا شيء','ar',0,0),(150,'التصنيف','ar',0,0),(151,'أضف حاوية','ar',0,0),(152,'الإعدادات','ar',0,0),(153,'أضف تصنيفا','ar',0,0),(154,'الاسم','ar',0,0),(155,'تحرير الحاوية','ar',0,0),(156,'تحرير','ar',0,0),(157,'لا يوجد تصنيفات.','ar',0,0),(158,'▸ ','ar',0,0),(159,'الذهاب إلى الصفحة السابقة','ar',0,0),(160,'فوق','ar',0,0),(161,'الذهاب إلى الصفحة الأم','ar',0,0),(162,' ◂','ar',0,0),(163,'الذهاب إلى الصفحة التالية','ar',0,0),(164,'استيراد','ar',0,0),(165,'الوثيقة','ar',0,0),(166,'تصدير','ar',0,0),(167,'مصطلح تصنيف','ar',0,0),(168,'الحقل','ar',0,0),(169,'الهيكل','ar',0,0),(170,'التسمية','ar',0,0),(171,'معاينة','ar',0,0),(172,'حفظ','ar',0,0),(173,'تم فتح جلسة لـ%name.','ar',0,0),(174,'المساعدة','ar',0,0),(175,'الافتراضي','ar',0,0),(176,'الملخص','ar',0,0),(177,'تحديث','ar',0,0),(178,'مفتوح','ar',0,0),(179,'الأحد','ar',0,0),(180,'الاثنين','ar',0,0),(181,'الثلاثاء','ar',0,0),(182,'الأربعاء','ar',0,0),(183,'الخميس','ar',0,0),(184,'الجمعة','ar',0,0),(185,'السبت','ar',0,0),(186,'النواة','ar',0,0),(187,'الوقت','ar',0,0),(188,'إضافة','ar',0,0),(189,'عرض','ar',0,0),(190,'التنسيق','ar',0,0),(191,'الأرشيف','ar',0,0),(192,'العنوان URL','ar',0,0),(193,'المسار','ar',0,0),(194,'اسم الملف','ar',0,0),(195,'المعاجم','ar',0,0),(196,'الوحدات','ar',0,0),(197,'امسح الفهرس','ar',0,0),(198,'النقاش العام','ar',0,0),(199,'تحرير المنتدى','ar',0,0),(200,'اسم المنتدى','ar',0,0),(201,'منتدى','ar',0,0),(202,'هل أنت متأكد أنك راغب في حذف منتدى %name؟','ar',0,0),(203,'تحديث','ar',0,0),(204,'المنطقة','ar',0,0),(205,'مرئي','ar',0,0),(206,'المرساة','ar',0,0),(207,'العرض','ar',0,0),(208,'القائمة','ar',0,0),(209,'إعدادات متقدمة','ar',0,0),(210,'النتائج','ar',0,0),(211,'ابحث','ar',0,0),(212,'موجز','ar',0,0),(213,'أبدا','ar',0,0),(214,'لا وجود للمستخدم %name.','ar',0,0),(215,'البريد','ar',0,0),(216,'التحديث','ar',0,0),(217,'الإجراءات','ar',0,0),(218,'نص','ar',0,0),(219,'مجمع','ar',0,0),(220,'اقرأ المزيد','ar',0,0),(221,'معدل التحديث','ar',0,0),(222,'مسار التلقيمة بالكامل.','ar',0,0),(223,'أضف منتدى','ar',0,0),(224,'إضافة مصطلح','ar',0,0),(225,'حلة','ar',0,0),(226,'لا توجد لقطة','ar',0,0),(227,'الختم الزمني','ar',0,0),(228,'الكلمات المفتاحية','ar',0,0),(229,'إعدادات سجل الوصول','ar',0,0),(230,'فعّل سجل الوصول','ar',0,0),(231,'أهمل سجلات الوصول الأقدم من','ar',0,0),(232,'معاينة التعليق','ar',0,0),(233,'<لا يوجد>','ar',0,0),(234,'ألغ الربط','ar',0,0),(235,'الإحصائيات','ar',0,0),(236,'البحث المتقدم','ar',0,0),(237,'غير مسموح لك بالوصول إلى هذه الصفحة.','ar',0,0),(238,'غير معروف','ar',0,0),(239,'المرفق','ar',0,0),(240,'غير متوفر','ar',0,0),(241,'رفع','ar',0,0),(242,'الصورة','ar',0,0),(243,'النوع','ar',0,0),(244,'المحتوى','ar',0,0),(245,'نوع قاعدة البيانات','ar',0,0),(246,'المستخدم','ar',0,0),(247,'نوع المحتوى','ar',0,0),(248,'إجراء','ar',0,0),(249,'متابعة','ar',0,0),(250,'ضبط','ar',0,0),(251,'البريد الإلكتروني','ar',0,0),(252,'الملفات','ar',0,0),(253,'ملف','ar',0,0),(254,'الحالة','ar',0,0),(255,'معرف المستخدم','ar',0,0),(256,'خطأ','ar',0,0),(257,'الخيارات','ar',0,0),(258,'اتصل','ar',0,0),(259,'لا','ar',0,0),(260,'الإنشاء','ar',0,0),(261,'العقدة','ar',0,0),(262,'أُرسل البريد إلى %recipient','ar',0,0),(263,'تعذّر إرسال البريد إلى %recipient','ar',0,0),(264,'موضوع الرسالة.','ar',0,0),(265,'أنشئ','ar',0,0),(266,'هل أنت متأكد أنك راغب في حذف %title؟','ar',0,0),(267,'حفظ التصنيفات','ar',0,0),(268,'رابط أم','ar',0,0),(269,'السؤال','ar',0,0),(270,'أضف صفحة فرعية','ar',0,0),(271,'نسخة للطباعة','ar',0,0),(272,'نوع المحتوى للصفحات الفرعية','ar',0,0),(273,'خيارات التحديث','ar',0,0),(274,'احذف من هيكل الوثيقة','ar',0,0),(275,'صيغة تصدير غير معروفة.','ar',0,0),(276,'نشط','ar',0,0),(277,'تمّ','ar',0,0),(278,'آخر موضوع','ar',0,0),(279,'الوصول مرفوض','ar',0,0),(280,'السنة','ar',0,0),(281,'تنسيق التاريخ','ar',0,0),(282,'إضافة محتوى','ar',0,0),(283,'عنوان الصفحة','ar',0,0),(284,'الصندوق','ar',0,0),(285,'أضف صندوقا','ar',0,0),(286,'الصفحة','ar',0,0),(287,'آر.إس.إس','ar',0,0),(288,'ساعة واحدة','ar',0,0),(289,'أقل من ساعة','ar',288,1),(290,'ساعتين','ar',289,2),(291,'@count[3] ساعات','ar',290,3),(292,'@count[4] ساعة','ar',291,4),(293,'@count[5] ساعة','ar',292,5),(294,'يوم واحد','ar',0,0),(295,'أقل من يوم','ar',294,1),(296,'يومين','ar',295,2),(297,'@count[3] أيام','ar',296,3),(298,'@count[4] يوما','ar',297,4),(299,'@count[5] يوم','ar',298,5),(300,'تم حفظ الإعدادات.','ar',0,0),(301,'الوسوم','ar',0,0),(302,'الشعار','ar',0,0),(303,'اسم الموقع','ar',0,0),(304,'شعار الموقع','ar',0,0),(305,'جيد','ar',0,0),(306,'php','ar',0,0),(307,'يمكن للإداريين فقط إنشاء حسابات مستخدمين جديدة.','ar',0,0),(308,'دروبال','ar',0,0),(309,'غير موجود','ar',0,0),(310,'المسار','ar',0,0),(311,'PHP','ar',0,0),(312,'المستضيف','ar',0,0),(313,'PostgreSQL','ar',0,0),(314,'التحديثات المتوفرة','ar',0,0),(315,'التماس يدوي للتحديثات','ar',0,0),(316,'أبدا','ar',0,0),(317,'التحقق يدوياً','ar',0,0),(318,'محَدَّث','ar',0,0),(319,'يوجد تحديث','ar',0,0),(320,'حالة تحديث قلب دروبال','ar',0,0),(321,'قديم','ar',0,0),(322,'الترويسة','ar',0,0),(323,'العمود الجانبي اﻷيسر','ar',0,0),(324,'العمود الجانبي اﻷيمن','ar',0,0),(325,'التذييل','ar',0,0),(326,'داخل المحتوى','ar',0,0),(327,'المتسلمون','ar',0,0),(328,'محدد','ar',0,0),(329,'اختر <em>نعم</em> إذا كنت تود أن يتم اختيار هذا التصنيف مبدئيا.','ar',0,0),(330,'يجب أن تدخل تصنيفا.','ar',0,0),(331,'هل تود فعلا حذف التصنيف %category؟','ar',0,0),(332,'تم حذف تصنيف %category.','ar',0,0),(333,'اسمك','ar',0,0),(334,'عنوان بريدك الإلكتروني','ar',0,0),(335,'إرسال بريد إلكتروني','ar',0,0),(336,'عليك أن تختار تصنيفا صحيحا.','ar',0,0),(337,'يجب أن تدخل عنوان بريد إلكتروني سليم.','ar',0,0),(338,'[!category] !subject','ar',0,0),(339,'رابط القائمة','ar',0,0),(340,'إلى','ar',0,0),(341,'وصف التلقيم','ar',0,0),(342,'مخصص','ar',0,0),(343,'الرؤية','ar',0,0),(344,'الأدوار','ar',0,0),(345,'معرف المراجعة','ar',0,0),(346,'التعليق','ar',0,0),(347,'معرف التعليق','ar',0,0),(348,'اسم المستضيف','ar',0,0),(349,'منشور','ar',0,0),(350,'التوقيع','ar',0,0),(351,'انتقاء','ar',0,0),(352,'الموضع','ar',0,0),(353,'المحليات','ar',0,0),(354,'لافتة حقل العنوان','ar',0,0),(355,'مرقّى إلى الصفحة الرئيسية','ar',0,0),(356,'مُثَبَّت أعلى القوائم','ar',0,0),(357,'المراجعات','ar',0,0),(358,'بديل المسار','ar',0,0),(359,'مدة استطلاع الرأي','ar',0,0),(360,'خيارات الاستبيان','ar',0,0),(361,'أصوات الاستبيان','ar',0,0),(362,'الشرح','ar',0,0),(363,'خيارات الاختيار','ar',0,0),(364,'معرف الملف','ar',0,0),(365,'اسم الملف','ar',0,0),(366,'حجم الملف','ar',0,0),(367,'المعجم','ar',0,0),(368,'المعرف ID للمعجم','ar',0,0),(369,'اسم المعجم','ar',0,0),(370,'معرف الوسم','ar',0,0),(371,'اسم الدور','ar',0,0),(372,'عنوان البريد الإلكتروني','ar',0,0),(373,'آخر وصول','ar',0,0),(374,'آخر تسجيل للدخول','ar',0,0),(375,'النطاق الزمني','ar',0,0),(376,'الحدة','ar',0,0),(377,'اسم الحقل','ar',0,0),(378,'نوع الحقل','ar',0,0),(379,'إعدادات عامة','ar',0,0),(380,'نوع الويدجة','ar',0,0),(381,'صوّت','ar',0,0),(382,'العدد','ar',0,0),(383,'متجاوز','ar',0,0),(384,'اسم المجموعة','ar',0,0),(385,'الصورة الأصلية','ar',0,0),(386,'تلقيمات - المدونات','ar',0,0),(387,'الترويسة','ar',0,0),(388,'إعدادات البحث','ar',0,0),(389,'النمط','ar',0,0),(390,'تحذير','ar',0,0),(391,'ممنوع','ar',0,0),(392,'نشط','ar',0,0),(393,'غير موجود','ar',0,0),(394,'موافق','ar',0,0),(395,'تلقيمة أو.بي.إم.إل','ar',0,0),(396,'ضبط','ar',0,0),(397,'عدد عناصر الأخبار في الصندوق','ar',0,0),(398,'اعرض آخر أخبار هذه التلقيمة.','ar',0,0),(399,'اعرض آخر الأخبار في هذا التصنيف.','ar',0,0),(400,'عرض عام للتلقيمات','ar',0,0),(401,'أخبار','ar',0,0),(402,'آخر تحديث','ar',0,0),(403,'التحديث القادم','ar',0,0),(404,'باقي %time','ar',0,0),(405,'احذف الأخبار','ar',0,0),(406,'حدِّث الأخبار','ar',0,0),(407,'عرض عام للتصنيفات','ar',0,0),(408,'صنّف','ar',0,0),(409,'تم حفظ التصنيفات.','ar',0,0),(410,'المسار:','ar',0,0),(411,'آخر تحديث:','ar',0,0),(412,'منذ %age','ar',0,0),(413,'منذ %ago','ar',0,0),(414,'العقد','ar',0,0),(415,'ألّفه','ar',0,0),(416,'تم تحديث تلقيمة %feed.','ar',0,0),(417,'تم حذف تلقيمة %feed.','ar',0,0),(418,'تم حذف تلقيمة %feed.','ar',0,0),(419,'تمت إضافة تلقيمة %feed.','ar',0,0),(420,'تمت إضافة تلقيمة %feed.','ar',0,0),(421,'تم حذف الأخبار القادمة من موقع %site.','ar',0,0),(422,'الأداء','ar',0,0),(423,'العرض','ar',0,0),(424,'الارتفاع','ar',0,0),(425,'هذا الحقل ضروري.','ar',0,0),(426,'أقصى قيمة','ar',0,0),(427,'السطر','ar',0,0),(428,'توسيع النطاق','ar',0,0),(429,'متوسط','ar',0,0),(430,'ميديا','ar',0,0),(431,'نص عادي','ar',0,0),(432,'التخزين المؤقت','ar',0,0),(433,'بالشهر','ar',0,0),(434,'التفاصيل','ar',0,0),(435,'ودجة','ar',0,0),(436,'آخر رد','ar',0,0),(437,'السابق','ar',0,0),(438,'النظام','ar',0,0),(439,'النطاق','ar',0,0),(440,'المعالجات','ar',0,0),(441,'غير محدود','ar',0,0),(442,'أرسل','ar',0,0),(443,'الكود','ar',0,0),(444,'أدخل اسم مستخدم صحيح.','ar',0,0),(445,'المالك','ar',0,0),(446,'المتسلم','ar',0,0),(447,'أضف دورا إلى المستخدمين المختارين','ar',0,0),(448,'احذف دورا من المستخدمين المختارين','ar',0,0),(449,'أمن','ar',0,0),(450,'عقدة','ar',0,0),(451,'إدارة المحتوى','ar',0,0),(452,'عام','ar',0,0),(453,'الطريقة','ar',0,0),(454,'مصر','ar',0,0),(455,'ناميبيا','ar',0,0),(456,'إسرائيل','ar',0,0),(457,'إيران','ar',0,0),(458,'نيوزيلندا','ar',0,0),(459,'تونجا','ar',0,0),(460,'كوبا','ar',0,0),(461,'البرازيل','ar',0,0),(462,'تشيلي','ar',0,0),(463,'باراجواي','ar',0,0),(464,'جامايكا','ar',0,0),(465,'اليابان','ar',0,0),(466,'ليبيا','ar',0,0),(467,'نافاجية','ar',0,0),(468,'بولندا','ar',0,0),(469,'البرتغال','ar',0,0),(470,'سنغافورة','ar',0,0),(471,'تركيا','ar',0,0),(472,'باليوم','ar',0,0),(473,'جدول','ar',0,0),(474,'اثنين','ar',0,0),(475,'ثلاثاء','ar',0,0),(476,'أربعاء','ar',0,0),(477,'خميس','ar',0,0),(478,'جمعة','ar',0,0),(479,'سبت','ar',0,0),(480,'أحد','ar',0,0),(481,'يناير','ar',0,0),(482,'فبراير','ar',0,0),(483,'مارس','ar',0,0),(484,'أبريل','ar',0,0),(485,'مايو','ar',0,0),(486,'يونيو','ar',0,0),(487,'يوليو','ar',0,0),(488,'أغسطس','ar',0,0),(489,'سبتمبر','ar',0,0),(490,'أكتوبر','ar',0,0),(491,'نوفمبر','ar',0,0),(492,'ديسمبر','ar',0,0),(493,'ص','ar',0,0),(494,'م','ar',0,0),(495,'المنتدى','ar',0,0),(496,'الإعدادات','ar',0,0),(497,'منذ !time','ar',0,0),(498,'لون الخلفية','ar',0,0),(499,'لون النص','ar',0,0),(500,'الإبحار','ar',0,0),(501,'الأساسي','ar',0,0),(502,'اللون','ar',0,0),(503,'المظهر','ar',0,0),(504,'الدور','ar',0,0),(505,'دخول المستخدم','ar',0,0),(506,'تسجيل الدخول','ar',0,0),(507,'تم تحديث مسار تلقيمة %title إلى %url.','ar',0,0),(508,'المدونة','ar',0,0),(509,'اذهب إلى أول تعليق في هذه الصفحة.','ar',0,0),(510,'اذهب إلى أول تعليق جديد في هذه الصفحة.','ar',0,0),(511,'إضافة تعليق جديد','ar',0,0),(512,'أضف تعليقا جديدا على هذه الصفحة.','ar',0,0),(513,'شارك بأفكارك وآراؤك المتعلقة بهذه الصفحة.','ar',0,0),(514,'أعد الضبط','ar',0,0),(515,'المقطع','ar',0,0),(516,'المستخدمين','ar',0,0),(517,'غير مركب','ar',0,0),(518,'الخيارات','ar',0,0),(519,'أدنى مدة للتخزين المؤقت','ar',0,0),(520,'أحال إليه','ar',0,0),(521,'صوت واحد','ar',0,0),(522,'لا أصوات','ar',521,1),(523,'صوتان','ar',522,2),(524,'@count[3] أصوات','ar',523,3),(525,'@count[4] صوتا','ar',524,4),(526,'@count[5] صوت','ar',525,5),(527,'@site حاليا تحت الصيانة. يعود قريبا. شكرا على صبرك.','ar',0,0),(528,'الصفحة الرئيسية الافتراضية','ar',0,0),(529,'أشهر الصفحات','ar',0,0),(530,'معالجة النصوص','ar',0,0),(531,'أقصى طول','ar',0,0),(532,'صفوف','ar',0,0),(533,'حفظ التغييرات','ar',0,0),(534,'الوصول مرفوض','ar',0,0),(535,'مجهول','ar',0,0),(536,'إزالة','ar',0,0),(537,'تثبيت','ar',0,0),(538,'اختياري','ar',0,0),(539,'الترتيب','ar',0,0),(540,'أحدث التعليقات','ar',0,0),(541,'الطلبات الحديثة','ar',0,0),(542,'تعيين كافتراضي','ar',0,0),(543,'عدد صحيح','ar',0,0),(544,'العنوان IP','ar',0,0),(545,'تم حذف التعليق و كل الردود عليه.','ar',0,0),(546,'منسق مسبقا','ar',0,0),(547,'ملفات المستخدمين','ar',0,0),(548,'المستخدمون المجهولون','ar',0,0),(549,'مسح ذاكرة التخزين المؤقت','ar',0,0),(550,'إعدادات العرض','ar',0,0),(551,'الأصوات','ar',0,0),(552,'وصف المصطلح','ar',0,0),(553,'حفظ الإعدادات','ar',0,0),(554,'عملية','ar',0,0),(555,'رد','ar',0,0),(556,'الوظيفة','ar',0,0),(557,'انتهت جلسة %name.','ar',0,0),(558,'المتتبع','ar',0,0),(559,'يجب أن تحدد تاريخا صحيحا.','ar',0,0),(560,'إعدادات الخادم','ar',0,0),(561,'الحقل %field ضروري.','ar',0,0),(562,'ألمانيا','ar',0,0),(563,'خروج','ar',0,0),(564,'واحد جديد','ar',0,0),(565,'لا جديد','ar',564,1),(566,'اثنان جديدان','ar',565,2),(567,'@count[3] جدد','ar',566,3),(568,'@count[4] جديدا','ar',567,4),(569,'@count[5] جديد','ar',568,5),(570,'اللغة الافتراضية','ar',0,0),(571,'أفغانستان','ar',0,0),(572,'ألبانيا','ar',0,0),(573,'الجزائر','ar',0,0),(574,'ساموا الأمريكية','ar',0,0),(575,'أندورا','ar',0,0),(576,'أنغولا','ar',0,0),(577,'أنغويلا','ar',0,0),(578,'القطب الجنوبي','ar',0,0),(579,'أنتيغوا وبربودا','ar',0,0),(580,'الأرجنتين','ar',0,0),(581,'أرمينيا','ar',0,0),(582,'أروبا','ar',0,0),(583,'أستراليا','ar',0,0),(584,'النمسا','ar',0,0),(585,'أذربيجان','ar',0,0),(586,'الباهامس','ar',0,0),(587,'البحرين','ar',0,0),(588,'بنغلادش','ar',0,0),(589,'باربادوس','ar',0,0),(590,'بيلاروسيا','ar',0,0),(591,'بلجيكا','ar',0,0),(592,'بيليز','ar',0,0),(593,'بينين','ar',0,0),(594,'برمودا','ar',0,0),(595,'بوتان','ar',0,0),(596,'بوليفيا','ar',0,0),(597,'البوسنة والهرسك','ar',0,0),(598,'بوتسوانا','ar',0,0),(599,'جزيرة بوفيه','ar',0,0),(600,'بروناي','ar',0,0),(601,'بلغاريا','ar',0,0),(602,'بوركينا فاسو','ar',0,0),(603,'بوروندي','ar',0,0),(604,'كمبوديا','ar',0,0),(605,'الكاميرون','ar',0,0),(606,'كندا','ar',0,0),(607,'الرأس الأخضر','ar',0,0),(608,'جزر الكايمان','ar',0,0),(609,'جمهورية إفريقيا الوسطى','ar',0,0),(610,'تشاد','ar',0,0),(611,'الصين','ar',0,0),(612,'جزيرة الكريسماس','ar',0,0),(613,'جزر الكوكوس','ar',0,0),(614,'كولومبيا','ar',0,0),(615,'جزر القمر','ar',0,0),(616,'جزر كووك','ar',0,0),(617,'كوستاريكا','ar',0,0),(618,'قبرص','ar',0,0),(619,'جمهورية التشيك','ar',0,0),(620,'الدانمارك','ar',0,0),(621,'جيبوتي','ar',0,0),(622,'دومينيكا','ar',0,0),(623,'جمهورية الدومينيكان','ar',0,0),(624,'الإكوادور','ar',0,0),(625,'السلفادور','ar',0,0),(626,'غينيا الإستوائية','ar',0,0),(627,'اريتريا','ar',0,0),(628,'إستونيا','ar',0,0),(629,'إثيوبيا','ar',0,0),(630,'جزر فارو','ar',0,0),(631,'فنلندا','ar',0,0),(632,'فرنسا','ar',0,0),(633,'غويانا الفرنسية','ar',0,0),(634,'بولينيزيا الفرنسية','ar',0,0),(635,'الغابون','ar',0,0),(636,'غامبيا','ar',0,0),(637,'جورجيا','ar',0,0),(638,'غانا','ar',0,0),(639,'جبل طارق','ar',0,0),(640,'اليونان','ar',0,0),(641,'غرينلاند','ar',0,0),(642,'غرينادا','ar',0,0),(643,'غواديلوب','ar',0,0),(644,'غوام','ar',0,0),(645,'غواتيمالا','ar',0,0),(646,'غينيا','ar',0,0),(647,'غينيا-بيساو','ar',0,0),(648,'غوايانا','ar',0,0),(649,'هاييتي','ar',0,0),(650,'جزيرة هيرد وجزر ماكدونالد','ar',0,0),(651,'الهندوراس','ar',0,0),(652,'هنغاريا','ar',0,0),(653,'آيسلندا','ar',0,0),(654,'الهند','ar',0,0),(655,'أندونيسيا','ar',0,0),(656,'العراق','ar',0,0),(657,'ايرلندا','ar',0,0),(658,'إيطاليا','ar',0,0),(659,'الأردن','ar',0,0),(660,'كازاخستان','ar',0,0),(661,'كينيا','ar',0,0),(662,'كيريباتي','ar',0,0),(663,'الكويت','ar',0,0),(664,'قيرغيزستان','ar',0,0),(665,'لاوس','ar',0,0),(666,'لاتفيا','ar',0,0),(667,'لبنان','ar',0,0),(668,'ليسوتو','ar',0,0),(669,'ليبيريا','ar',0,0),(670,'ليختنشتاين','ar',0,0),(671,'ليتوانيا','ar',0,0),(672,'لكسمبورغ','ar',0,0),(673,'مدغشقر','ar',0,0),(674,'الملاوي','ar',0,0),(675,'ماليزيا','ar',0,0),(676,'المالديف','ar',0,0),(677,'مالي','ar',0,0),(678,'مالطا','ar',0,0),(679,'جزر مارشال','ar',0,0),(680,'المارتينيك','ar',0,0),(681,'موريتانيا','ar',0,0),(682,'موريشيوس','ar',0,0),(683,'مايوت','ar',0,0),(684,'المكسيك','ar',0,0),(685,'ميكرونيزيا','ar',0,0),(686,'مولدوفا','ar',0,0),(687,'موناكو','ar',0,0),(688,'منغوليا','ar',0,0),(689,'مونتسيرات','ar',0,0),(690,'المغرب','ar',0,0),(691,'موزمبيق','ar',0,0),(692,'ميانمار','ar',0,0),(693,'ناورو','ar',0,0),(694,'نيبال','ar',0,0),(695,'هولندا','ar',0,0),(696,'جزر الأنتيل الهولندية','ar',0,0),(697,'كاليدونيا الجديدة','ar',0,0),(698,'نيكاراغوا','ar',0,0),(699,'النيجر','ar',0,0),(700,'نيجيريا','ar',0,0),(701,'نيوي','ar',0,0),(702,'جزيرة نورفولك','ar',0,0),(703,'كوريا الشمالية','ar',0,0),(704,'جزر ماريانا الشمالية','ar',0,0),(705,'النرويج','ar',0,0),(706,'عمان','ar',0,0),(707,'باكستان','ar',0,0),(708,'بالاو','ar',0,0),(709,'بنما','ar',0,0),(710,'بابوا غينيا الجديدة','ar',0,0),(711,'البيرو','ar',0,0),(712,'الفليبين','ar',0,0),(713,'بورتو ريكو','ar',0,0),(714,'قطر','ar',0,0),(715,'ريونيون','ar',0,0),(716,'رومانيا','ar',0,0),(717,'روسيا','ar',0,0),(718,'رواندا','ar',0,0),(719,'ساموا','ar',0,0),(720,'سان مارينو','ar',0,0),(721,'المملكة العربية السعودية','ar',0,0),(722,'السنغال','ar',0,0),(723,'سيشل','ar',0,0),(724,'سيراليون','ar',0,0),(725,'سلوفاكيا','ar',0,0),(726,'سلوفينيا','ar',0,0),(727,'جزر سليمان','ar',0,0),(728,'الصومال','ar',0,0),(729,'جنوب أفريقيا','ar',0,0),(730,'جورجيا الجنوبية وجزر ساندويتش الجنوبية','ar',0,0),(731,'إسبانيا','ar',0,0),(732,'سيريلانكا','ar',0,0),(733,'السودان','ar',0,0),(734,'سورينام','ar',0,0),(735,'سفالبارد وجان ماين','ar',0,0),(736,'سوازيلاند','ar',0,0),(737,'السويد','ar',0,0),(738,'سويسرا','ar',0,0),(739,'سوريا','ar',0,0),(740,'تايوان','ar',0,0),(741,'طاجكستان','ar',0,0),(742,'تنزانيا','ar',0,0),(743,'تايلاند','ar',0,0),(744,'توغو','ar',0,0),(745,'توكيلاو','ar',0,0),(746,'ترينيداد وتوباغو','ar',0,0),(747,'تونس','ar',0,0),(748,'تركمانستان','ar',0,0),(749,'جزر تيركس وكايكوس','ar',0,0),(750,'توفالو','ar',0,0),(751,'أوغندا','ar',0,0),(752,'أوكرانيا','ar',0,0),(753,'الإمارات العربية المتحدة','ar',0,0),(754,'المملكة المتحدة','ar',0,0),(755,'الولايات المتحدة الأمريكية','ar',0,0),(756,'الولايات المتحدة الجزر الصغيرة النائية','ar',0,0),(757,'أوروغواي','ar',0,0),(758,'أوزبكستان','ar',0,0),(759,'فانواتو','ar',0,0),(760,'فنزويلا','ar',0,0),(761,'واليس وفوتونا','ar',0,0),(762,'اليمن','ar',0,0),(763,'زامبيا','ar',0,0),(764,'زيمبابوي','ar',0,0),(765,'بادئة الجدول','ar',0,0),(766,'اسم مستخدم قاعدة البيانات','ar',0,0),(767,'كلمة مرور قاعدة البيانات','ar',0,0),(768,'اسم قاعدة البيانات','ar',0,0),(769,'أضف مستخدما','ar',0,0),(770,'منفذ','ar',0,0),(771,'حجم حقل النص','ar',0,0),(772,'معلومات التاليف','ar',0,0),(773,'أُنشِئ يوم','ar',0,0),(774,'دعها فارغة ل%anonymous.','ar',0,0),(775,'مخفي','ar',0,0),(776,'تفعيل أو تعطيل التخزين المؤقت للصفحات للمستخدمين المجهولين وضبط خيارات تحسين CSS وJS.','ar',0,0),(777,'سجل النظام','ar',0,0),(778,'المفتاح','ar',0,0),(779,'اللغات المفعلة','ar',0,0),(780,'عربية','ar',0,0),(781,'إنجليزية','ar',0,0),(782,'فرنسية','ar',0,0),(783,'إيطالية','ar',0,0),(784,'أسبانية','ar',0,0),(785,'يابانية','ar',0,0),(786,'كورية','ar',0,0),(787,'عنوان بريد إلكتروني صحيح. سيتم إرسال كل رسائل النظام إلى هذا العنوان. سيتم إخفاء هذا العنوان البريدي و لن يستخدم إلا في حال رغبتك في استلام كلمة مرور جديدة، أو في حال رغبتك في استقبال بعض الأخبار و التنبيهات عبر البريد الإلكتروني.','ar',0,0),(788,'عنوان البريد الإلكتروني %email مسجل سابقا. <a href=\"@password\">هل نسيت كلمة مرورك؟</a>','ar',0,0),(789,'استيراد OPML','ar',0,0),(790,'احذف الأخبار','ar',0,0),(791,'ملف OPML','ar',0,0),(792,'وسوم إتش.تي.إم.إل المسموح بها','ar',0,0),(793,'المصادر','ar',0,0),(794,'آخر أخبار تصنيف !title','ar',0,0),(795,'آخر أخبار تلقيمة !title','ar',0,0),(796,'تم تحديث التصنيف %category.','ar',0,0),(797,'تم حذف التصنيف %category.','ar',0,0),(798,'تم حذف التصنيف %category.','ar',0,0),(799,'تمت إضافة التصنيف %category.','ar',0,0),(800,'تمت إضافة التصنيف %category.','ar',0,0),(801,'مجمِّع - @title','ar',0,0),(802,'خبر واحد','ar',0,0),(803,'لا أخبار','ar',802,1),(804,'خبران','ar',803,2),(805,'@count[3] أخبار','ar',804,3),(806,'@count[4] خبرا','ar',805,4),(807,'@count[5] خبر','ar',806,5),(808,'أضف قائمة','ar',0,0),(809,'قائمة','ar',0,0),(810,'‹ السابقة','ar',0,0),(811,'التالية ›','ar',0,0),(812,'لم تختر أي عناصر.','ar',0,0),(813,'تم التحديث.','ar',0,0),(814,'المتصفّح','ar',0,0),(815,'عرض ملف المستخدم.','ar',0,0),(816,'العناوين فقط','ar',0,0),(817,'كامل المتن','ar',0,0),(818,'لا يمكن التراجع عن هذا.','ar',0,0),(819,'ارفع صورة','ar',0,0),(820,'الرسالة:','ar',0,0),(821,'ملف اللغة','ar',0,0),(822,'منشور','ar',0,0),(823,'متوسط زمن توليد الصفحة','ar',0,0),(824,'تم حفظ التغييرات.','ar',0,0),(825,'لا تعرض إلا المستخدمين الذين','ar',0,0),(826,'تحسين','ar',0,0),(827,'تراجع','ar',0,0),(828,'مسجل بالموقع منذ','ar',0,0),(829,'منذ @time','ar',0,0),(830,'لا مستخدمين مختارين.','ar',0,0),(831,'تم اكتشاف محاولة للتلاعب بخانات مستخدم محمية.','ar',0,0),(832,'اختر كل الصفوف في هذا الجدول','ar',0,0),(833,'ألغ اختيار كل الصفوف في هذا الجدول','ar',0,0),(834,'نتائج البحث','ar',0,0),(835,'لا نتائج لعملية البحث','ar',0,0),(836,'من فضلك أدخل بعض الكلمات المفتاحية.','ar',0,0),(837,'الصفحة الرئيسية','ar',0,0),(838,'طلب كلمة مرور جديدة','ar',0,0),(839,'محذوف','ar',0,0),(840,'اللغات','ar',0,0),(841,'المناقشات','ar',0,0),(842,'المناقشة','ar',0,0),(843,'قائمة القيم المسموح بها','ar',0,0),(844,'اليوم','ar',0,0),(845,'تحرير القائمة','ar',0,0),(846,'احذف القائمة','ar',0,0),(847,'خيارات النشر','ar',0,0),(848,'أنشئ نسخة جديدة','ar',0,0),(849,'أقل ارتفاع','ar',0,0),(850,'أقل عرض','ar',0,0),(851,'إعدادات المحلية','ar',0,0),(852,'ضبط الصندوق','ar',0,0),(853,'عدد العناصر التي ستعرض في قائمة \"اليوم\".','ar',0,0),(854,'يناير','ar',0,0),(855,'فبراير','ar',0,0),(856,'مارس','ar',0,0),(857,'أبريل','ar',0,0),(858,'يونيو','ar',0,0),(859,'يوليو','ar',0,0),(860,'أغسطس','ar',0,0),(861,'سبتمبر','ar',0,0),(862,'أكتوبر','ar',0,0),(863,'نوفمبر','ar',0,0),(864,'ديسمبر','ar',0,0),(865,'لائحة الخيارات','ar',0,0),(866,'خانة نصية','ar',0,0),(867,'طويل','ar',0,0),(868,'قصير','ar',0,0),(869,'المحتوى','ar',0,0),(870,'ضبط الصلاحيات','ar',0,0),(871,'سيرة العمل','ar',0,0),(872,'عشوائي','ar',0,0),(873,'استرجع','ar',0,0),(874,'فارغ','ar',0,0),(875,'مسار نظام موجود سابقا','ar',0,0),(876,'مسار بديل','ar',0,0),(877,'حدد مسارا بديلا يمكن باتباعه الوصول لهذه البيانات. مثلا، أدخل \'about\' عند كتابة صفحة \"حول الموقع\" استخدم مسارا نسبيا، ولا تضع / أخيرة، و إلا فلن يعمل البديل.','ar',0,0),(878,'أكبر من','ar',0,0),(879,'أصغر من','ar',0,0),(880,'أياً','ar',0,0),(881,'اختيار','ar',0,0),(882,'خروج','ar',0,0),(883,'عدد أشهر ما عرض اليوم','ar',0,0),(884,'عدد أشهر ما عرض في عمر الموقع','ar',0,0),(885,'عدد أحدث ما عرض','ar',0,0),(886,'لم يتم حفظ الإعدادات بسبب الأخطاء.','ar',0,0),(887,'الأحرف','ar',0,0),(888,'ملف مستخدم','ar',0,0),(889,'الأحد','ar',0,0),(890,'الإثنين','ar',0,0),(891,'الثلاثاء','ar',0,0),(892,'الأربعاء','ar',0,0),(893,'الخميس','ar',0,0),(894,'الجمعة','ar',0,0),(895,'السبت','ar',0,0),(896,'أول يوم في الأسبوع','ar',0,0),(897,'أكمل التصنيف آليا','ar',0,0),(898,'أرسل نسخة إلى نفسك.','ar',0,0),(899,'أُرسلت رسالتك.','ar',0,0),(900,'إنشاء حساب جديد','ar',0,0),(901,'دور','ar',0,0),(902,'هل أنت متأكد أنك راغب في حذف صندوق %name؟','ar',0,0),(903,'تم حذف الصندوق %name.','ar',0,0),(904,'معلومات','ar',0,0),(905,'الأشخاص','ar',0,0),(906,'اسرد المفردات','ar',0,0),(907,'أضف مفردات','ar',0,0),(908,'أُنشأت المفردة الجديدة %term.','ar',0,0),(909,'هل أنت متأكد أنك راغب في حذف المفردة %title؟','ar',0,0),(910,'تم حذف المصطلح %name.','ar',0,0),(911,'تحذير','ar',0,0),(912,'لا توجد إحصائيات متوفرة.','ar',0,0),(913,'آخر تشغيل منذ !time','ar',0,0),(914,'معلومات الموقع','ar',0,0),(915,'ممنوع','ar',0,0),(916,'المرشحات المفعلة','ar',0,0),(917,'حرِج','ar',0,0),(918,'النتائج','ar',0,0),(919,'استطلاعات الرأي الأقدم','ar',0,0),(920,'اعرض قائمة استطلاعات الرأي الموجودة على هذا الموقع.','ar',0,0),(921,'إعدادات استطلاعات الرأي','ar',0,0),(922,'يجب أن تملأ اختيارين على الأقل.','ar',0,0),(923,'مفتوح','ar',0,0),(924,'يسرد هذا الجدول كل الأصوات المسجلة لاستطلاع الرأي هذا. في حال السماح للمستخدمين المجهولين بالتصويت، سيسجلوا بعنوان إنترنت للحواسيب التي استخدموها للتصويت.','ar',0,0),(925,'الزائر','ar',0,0),(926,'إلغاء صوتك','ar',0,0),(927,'اعرض نتائج الاستطلاع الحالية.','ar',0,0),(928,'حذف مفردة يحذف كل المفردات تحتها. لا يمكن الرجوع عن هذا العمل.','ar',0,0),(929,'مفردة أم','ar',0,0),(930,'مفردات أم','ar',0,0),(931,'تلقيم','ar',0,0),(932,'مدونات','ar',0,0),(933,'الوثائق','ar',0,0),(934,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\" في السطر %line.','ar',0,0),(935,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\" في السطر %line.','ar',0,0),(936,'المنتديات','ar',0,0),(937,'مراجعات %title','ar',0,0),(938,'!date بواسطة !username','ar',0,0),(939,'استرجاع','ar',0,0),(940,'مراجعة','ar',0,0),(941,'المراجعة الحالية','ar',0,0),(942,'كلمتا السر غير متطابقين.','ar',0,0),(943,'الجلسة','ar',0,0),(944,'تتبع','ar',0,0),(945,'لا منتديات معرفة','ar',0,0),(946,'تم نقل المناقشة','ar',0,0),(947,'الصلاحيات','ar',0,0),(948,'تم حفظ إعداداتك.','ar',0,0),(949,'مجدول الأعمال (كرون)','ar',0,0),(950,'مثبت','ar',0,0),(951,'صلاحية','ar',0,0),(952,'سُجّل صوتك.','ar',0,0),(953,'تسمح لموقعك بجمع التصويتات حول موضوعات مختلفة على شكل أسئلة متعددة الاختيارات.','ar',0,0),(954,'لون الروابط','ar',0,0),(955,'تاريخ الإنشاء','ar',0,0),(956,'جار الاختبار','ar',0,0),(957,'معياري','ar',0,0),(958,'جزر ألاند','ar',0,0),(959,'فيجية','ar',0,0),(960,'جزر الفوكلاند','ar',0,0),(961,'سانت كيتس ونيفيس','ar',0,0),(962,'كوريا الجنوبية','ar',0,0),(963,'سانت لوسيا','ar',0,0),(964,'سانت هيلينا','ar',0,0),(965,'ساو تومي وبرينسيبي','ar',0,0),(966,'مناطق فرنسا الجنوبية','ar',0,0),(967,'سان فنسنت وغريناديس','ar',0,0),(968,'الجزر العذراء البريطانية','ar',0,0),(969,'الجزر العذراء الأمريكية','ar',0,0),(970,'فيتنام','ar',0,0),(971,'غيرنسي','ar',0,0),(972,'جيرسي','ar',0,0),(973,'إعدادات %type','ar',0,0),(974,'لم ينشر','ar',0,0),(975,'إعدادات القائمة','ar',0,0),(976,'خطة الألوان','ar',0,0),(977,'غير منسق','ar',0,0),(978,'تنسيقات','ar',0,0),(979,'@type: %title حُذف.','ar',0,0),(980,'لواحق الملفات المسموح بها','ar',0,0),(981,'تعليقات جديدة','ar',0,0),(982,'وجّه إلى مسار','ar',0,0),(983,'تفاصيل','ar',0,0),(984,'الاسم %name غير مفعل أو ممنوع.','ar',0,0),(985,'لقد فشلت محاولة دخول %user.','ar',0,0),(986,'صورة','ar',0,0),(987,'نسخة %date من %title','ar',0,0),(988,'اسم المستخدم الذي تريد نسبة الموضوع إليه.','ar',0,0),(989,'إدارة الإجراءات المعرفة على موقعك.','ar',0,0),(990,'احذف الإجراء','ar',0,0),(991,'تم حفظ الإجراء بنجاح.','ar',0,0),(992,'إجراء محذوف %aid‏ (%action)','ar',0,0),(993,'تمت إضافة الإجراء \'%action\'.','ar',0,0),(994,'حذف الإجراءات اليتيمة','ar',0,0),(995,'الحلل','ar',0,0),(996,'جودة JPEG','ar',0,0),(997,'%','ar',0,0),(998,'احذف التعليقات','ar',0,0),(999,'غير منشور','ar',0,0),(1000,'تعليقات منشورة','ar',0,0),(1001,'حقل \"!name\" ضروري.','ar',0,0),(1002,'محمي','ar',0,0),(1003,'إعدادات التعليق','ar',0,0),(1004,'الطلبات','ar',0,0),(1005,'غير مُثَبَّت','ar',0,0),(1006,'مُثَبَّت','ar',0,0),(1007,'غير مُرَق','ar',0,0),(1008,'مُرَقَّى','ar',0,0),(1009,'أنت هنا','ar',0,0),(1010,'الخيارات الافتراضية','ar',0,0),(1011,'إعدادات الاتصال','ar',0,0),(1012,'إعادة ضبط كلمة المرور','ar',0,0),(1013,'قيد المعالجة','ar',0,0),(1014,'اكتمل','ar',0,0),(1015,'تعطيل','ar',0,0),(1016,'الدليل المؤقت','ar',0,0),(1017,'تاريخ','ar',0,0),(1018,'خطأ في رفع الملف. لم يمكن نقل الملف الذي تم رفعه.','ar',0,0),(1019,'الاختصارات','ar',0,0),(1020,'اختصار','ar',0,0),(1021,'القيمة الافتراضية','ar',0,0),(1022,'المنطقة الزمنية','ar',0,0),(1023,'التاريخ المحدد باطل.','ar',0,0),(1024,'درحة تعقيد كلمة المرور :','ar',0,0),(1025,'تتطابق كلمتا السر:','ar',0,0),(1026,'الشعار','ar',0,0),(1027,'الاسم المستخدم للإشارة إلى المستخدمين المجهولين.','ar',0,0),(1028,'النص البديل','ar',0,0),(1029,'يرجى الانتظار...','ar',0,0),(1030,'اربط','ar',0,0),(1031,'غير مترجم','ar',0,0),(1032,'الذهاب إلى الصفحة الأولى','ar',0,0),(1033,'الذهاب إلى الصفحة الأخيرة','ar',0,0),(1034,'الذهاب إلى الصفحة @number','ar',0,0),(1035,'أدخل العبارات التي تريد البحث عنها.','ar',0,0),(1036,'مسطر','ar',0,0),(1037,'المهام','ar',0,0),(1038,'احذف الدور','ar',0,0),(1039,'اﻹعدادات الأساسية','ar',0,0),(1040,'اعرض القوائم','ar',0,0),(1041,'تطويع قائمة','ar',0,0),(1042,'إقليم المحيط الهندي البريطاني','ar',0,0),(1043,'كرواتيا','ar',0,0),(1044,'مقدونيا','ar',0,0),(1045,'بيتكيرن','ar',0,0),(1046,'الصحراء الغربية','ar',0,0),(1047,'الاسم بالإنجليزية','ar',0,0),(1048,'الاسم الأصلي','ar',0,0),(1049,'وصف الصندوق','ar',0,0),(1050,'اسم الاستمارة','ar',0,0),(1051,'عنوان الحقل الجديد. سيتم عرض العنوان للمستخدم. كمثال على عنوان: \"لونك المفضل\".','ar',0,0),(1052,'شرح اختياري للحقل الجديد. سيظهر الشرح للمستخدم.','ar',0,0),(1053,'حفظ الحقل','ar',0,0),(1054,'الصناديق','ar',0,0),(1055,'اضبط محتويات الصناديق التي تظهر في الأعمدة الجانبية و في المناطق الأخرى من موقعك.','ar',0,0),(1056,'احذف الصندوق','ar',0,0),(1057,'حفظ الصناديق','ar',0,0),(1058,'تم تحديث إعدادات الصندوق.','ar',0,0),(1059,'صندوق \'%name\'','ar',0,0),(1060,'اسمح للمستخدمين الأفراد بتفصيل عرض هذا الصندوق أثناء ضبطهم حساباتهم.','ar',0,0),(1061,'أظهر الصندوق لأدوار محددة','ar',0,0),(1062,'لا تعرض هذا الصندوق إلا للأدوار المختارة. إذا لم تختر أية أدوار، سيظهر الصندوق لكل المستخدمين.','ar',0,0),(1063,'أظهر الصندوق في صفحات محددة','ar',0,0),(1064,'حفظ الصندوق','ar',0,0),(1065,'تم حفظ إعدادات الصندوق.','ar',0,0),(1066,'تم إنشاء الصندوق.','ar',0,0),(1067,'متن الصندوق','ar',0,0),(1068,'محتوى الصندوق كما يظهر للمستخدم.','ar',0,0),(1069,'القوائم','ar',0,0),(1070,'أي تعديلات ستحذف. لا يمكن الرجوع عن هذا الفعل.','ar',0,0),(1071,'تسمح للإداريين بتطويع قائمة تصفح الموقع.','ar',0,0),(1072,'إضافة معجم','ar',0,0),(1073,'تحرير المعجم','ar',0,0),(1074,'تم إنشاء المعجم %name.','ar',0,0),(1075,'تم تحديث المعجم %name.','ar',0,0),(1076,'هل أنت متأكد أنك تريد حذف المعجم %title؟','ar',0,0),(1077,'حذف معجم يحذف كل مصطلحاته. هذا الإجراء غير قابل للإلغاء.','ar',0,0),(1078,'تم حذف المعجم %name.','ar',0,0),(1079,'أعلاه','ar',0,0),(1080,'عدد القيم','ar',0,0),(1081,'المنطقة الزمنية الافتراضية','ar',0,0),(1082,'أضف عنصراً آخراً','ar',0,0),(1083,'تسيير الحقول','ar',0,0),(1084,'أضف خانة','ar',0,0),(1085,'شُذِب','ar',0,0),(1086,'مستخدمة في','ar',0,0),(1087,'إضافة حقل موجود','ar',0,0),(1088,'إذا كان هناك أي محتوى فى هذه الخانة، فسوف يتم حذفه ولن يمكن استرجاعه مرة أخرى.','ar',0,0),(1089,'حفظ إعدادات الحقل','ar',0,0),(1090,'حدث خطأ أثناء التحديث.','ar',0,0),(1091,'تمت معالجة عنصر واحد:','ar',0,0),(1092,'لم تُعالج أي عناصر:','ar',1091,1),(1093,'تمت معالجة عنصرين:','ar',1092,2),(1094,'تمت معالجة @count[3] عناصر:','ar',1093,3),(1095,'تمت معالجة @count[4] عنصرا:','ar',1094,4),(1096,'تمت معالجة @count[5] عنصر:','ar',1095,5),(1097,'عدد عشري','ar',0,0),(1098,'عدد حقيقي','ar',0,0),(1099,'أقل قيمة','ar',0,0),(1100,'الدقة','ar',0,0),(1101,'العدد الإجمالي للأرقام التي يمكن تخزينها في قاعدة البيانات، بما في ذلك الأرقام على يمين الفاصلة العشرية.','ar',0,0),(1102,'عدد الأرقام بعد الفاصلة.','ar',0,0),(1103,'الفاصلة العشرية','ar',0,0),(1104,'رمز الفاصلة العشرية الذي سيدخله المستخدمون في الاستمارات.','ar',0,0),(1105,'تعين أنواع الحقول الرقمية','ar',0,0),(1106,'من أجل \'خانة اختيار نعم/لا\'، قم بتعيين قيمة \'لا\' أولاً، ثم قيمة \'نعم\' في قسم <strong>القيم المسموح بها</strong>. علماً أن خانة الاختيار يتم تعليمها بمعلم القيمة \'نعم\'.','ar',0,0),(1107,'خانات اختيار/مربعات التحديد','ar',0,0),(1108,'خانة اختيار نعم/لا وحيدة','ar',0,0),(1109,'يعرف ويدجات لقوائم الاختيار ومربعات الاختيار وأزرار الانتقاء للحقول النصية والعددية.','ar',0,0),(1110,'منطقة النص (عدة سطور)','ar',0,0),(1111,'تعريف أنواع حقول نصية بسيطة.','ar',0,0),(1112,'الفهرس','ar',0,0),(1113,'تفعيل المسارات النظيفة','ar',0,0),(1114,'الرابط الثابت','ar',0,0),(1115,'إعدادات خاصة بمحرك الحلة','ar',0,0),(1116,'تنقيح','ar',0,0),(1117,'الاستثناء','ar',0,0),(1118,'الصلاحية','ar',0,0),(1119,'وحدة @module','ar',0,0),(1120,'غير متوافق مع هذه النسخة من PHP.','ar',0,0),(1121,'تتطلب هذه الوحدة النسخة @php_required من بي.إتش.بي ولا تتوافق مع النسخة !php_version منها.','ar',0,0),(1122,'المزيد من المعلومات','ar',0,0),(1123,'‏!title ‏!required','ar',0,0),(1124,'مدونتي','ar',0,0),(1125,'تعليق مجهول الهوية','ar',0,0),(1126,'المستخدم المجهول لا يمكنه أن يدخل بيانات الاتصال به','ar',0,0),(1127,'المستخدم المجهول يمكن أن يدخل بيانات الاتصال به','ar',0,0),(1128,'المستخدم المجهول لابد أن يدخل بيانات الاتصال به','ar',0,0),(1129,'محتويات هذا الحقل سرية ولن تظهر للآخرين.','ar',0,0),(1130,'يظهر توقيعك علنا في نهاية تعليقاتك.','ar',0,0),(1131,'التاريخ - الأحدث أولا','ar',0,0),(1132,'التاريخ - الأقدم أولا','ar',0,0),(1133,'تعليق واحد','ar',0,0),(1134,'لا تعليقات','ar',1133,1),(1135,'تعليقان','ar',1134,2),(1136,'@count[3] تعليقات','ar',1135,3),(1137,'@count[4] تعليقا','ar',1136,4),(1138,'@count[5] تعليق','ar',1137,5),(1139,'تعليق واحد جديد','ar',0,0),(1140,'لا تعليقات جديدة','ar',1139,1),(1141,'تعليقان جديدان','ar',1140,2),(1142,'@count[3] تعليقات جديدة','ar',1141,3),(1143,'@count[4] تعليقا جديدا','ar',1142,4),(1144,'@count[5] تعليق جديد','ar',1143,5),(1145,'حفظ نوع المحتوى','ar',0,0),(1146,'عرض الأوصاف','ar',0,0),(1147,'عنوان ثان','ar',0,0),(1148,'رمز اللغة','ar',0,0),(1149,'حفظ الدور','ar',0,0),(1150,'تنقيح','ar',0,0),(1151,'نظام الملفات','ar',0,0),(1152,'عنوان رابط القائمة','ar',0,0),(1153,'يخزن نظام القوائم مسارات النظام فقط، لكن سيستخدم المسار البديل للعرض. حُفِظ %link_path على الصورة %normal_path','ar',0,0),(1154,'المسار \'@link_path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0,0),(1155,'خطأ أثناء حفظ رابط القائمة.','ar',0,0),(1156,'اسم القائمة','ar',0,0),(1157,'هل أنت متأكد أنك راغب في حذف القائمة %title؟','ar',0,0),(1158,'عدد المستخدمين المعروضة أسمائهم','ar',0,0),(1159,'تلقيمات - !title','ar',0,0),(1160,'...','ar',0,0),(1161,'RDF','ar',0,0),(1162,'ملفات المستخدمين','ar',0,0),(1163,'تحرير الحاوية','ar',0,0),(1164,'آخر زيارة','ar',0,0),(1165,'عتبة المناقشات الساخنة','ar',0,0),(1166,'عدد المناقشات في الصفحة','ar',0,0),(1167,'المواضيع - الأكثر نشاطا أولا','ar',0,0),(1168,'المواضيع - الأقل نشاطا أولا','ar',0,0),(1169,'إعدادات المسار','ar',0,0),(1170,'صورة @user','ar',0,0),(1171,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0,0),(1172,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0,0),(1173,'أكبر حجم للملف المرفوع','ar',0,0),(1174,'ك.بايت','ar',0,0),(1175,'فراغ','ar',0,0),(1176,'المناقشات الجديدة','ar',0,0),(1177,'@type: تم حذف المراجعة %revision من %title.','ar',0,0),(1178,'الصفحة غير موجودة','ar',0,0),(1179,'اسم اللغة','ar',0,0),(1180,'المزيد من المساعدة','ar',0,0),(1181,'معاينة المقتطف','ar',0,0),(1182,'معاينة الإصدار الكامل','ar',0,0),(1183,'تم حظر الحساب','ar',0,0),(1184,'توسيع','ar',0,0),(1185,'الاسم %name مستخدم بالفعل.','ar',0,0),(1186,'معلومات','ar',0,0),(1187,'تحويل OpenID','ar',0,0),(1188,'تسجيل الدخول بهوية OpenID','ar',0,0),(1189,'احذف هوية OpenID','ar',0,0),(1190,'تسجيل الدخول باستخدام OpenID','ar',0,0),(1191,'إلغاء دخول OpenID','ar',0,0),(1192,'ما هي هوية OpenID؟','ar',0,0),(1193,'فشل في استخدام OpenID للولوج.','ar',0,0),(1194,'تم إلغاء OpenID للدخول.','ar',0,0),(1195,'تم إضافة %identity بنجاح','ar',0,0),(1196,'المعرف المفتوح (OpenID)','ar',0,0),(1197,'أضف هوية OpenID','ar',0,0),(1198,'هوية OpenID هذه مستخدمة بالفعل في هذا الموقع.','ar',0,0),(1199,'هل أنت متأكد من حذف هوية OpenID %authname للمستخدم %user؟','ar',0,0),(1200,'تم حذف هوية OpenID.','ar',0,0),(1201,'تحرير القائمة','ar',0,0),(1202,'« الأولى','ar',0,0),(1203,'الأخيرة »','ar',0,0),(1204,'تغيير الحجم','ar',0,0),(1205,'المجلد %directory غير موجود.','ar',0,0),(1206,'يعرّف نوع الحقل ملف.','ar',0,0),(1207,'مواصفات انتقاء المحتوى المعروض','ar',0,0),(1208,'لا تعليقات.','ar',0,0),(1209,'حسنا','ar',0,0),(1210,'أعد بناء الصلاحيات','ar',0,0),(1211,'@type: تم تحديث %title.','ar',0,0),(1212,'@type: تمت إضافة %title.','ar',0,0),(1213,'خطأ أثناء حفظ حساب المستخدم.','ar',0,0),(1214,'أُلغي ربط الإجراء %action.','ar',0,0),(1215,'أضف دورا','ar',0,0),(1216,'يجب أن تدخل اسم دور صحيح.','ar',0,0),(1217,'تمت إضافة الدور.','ar',0,0),(1218,'مسار الشعار الطيع','ar',0,0),(1219,'تصنيف','ar',0,0),(1220,'حُدِّثت المفردة %term.','ar',0,0),(1221,'- اختر رجاء -','ar',0,0),(1222,'- لا شيء محدد -','ar',0,0),(1223,'المحلل','ar',0,0),(1224,'أهمل الأخبار الأقدم من','ar',0,0),(1225,'‏@site_name - تلقيمات مجمعة في التصنيف @title','ar',0,0),(1226,'‏@site_name - تلقيمات مجمعة','ar',0,0),(1227,'مجمِّع أخبار @site_name','ar',0,0),(1228,'تلقيمة !title','ar',0,0),(1229,'مجمع','ar',0,0),(1230,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\".','ar',0,0),(1231,'لا توجد محتويات جديدة على %site.','ar',0,0),(1232,'يوجد محتوى جديد على %site.','ar',0,0),(1233,'يبدو أن تلقيمة %site قد انقطعت بسبب \"%error\".','ar',0,0),(1234,'مجمِّع التلقيمات','ar',0,0),(1235,'تجمع المحتوى المتزامن (تلقيمات RSS وRDF وAtom).','ar',0,0),(1236,'البديل','ar',0,0),(1237,'إعدادات الحساب','ar',0,0),(1238,'تم حذف نوع المحتوى %name.','ar',0,0),(1239,'تم حذف نوع المحتوى %name.','ar',0,0),(1240,'أدخل كلمات البحث','ar',0,0),(1241,'المسارات النظيفة','ar',0,0),(1242,'حسابي','ar',0,0),(1243,'عدد المناقشات','ar',0,0),(1244,'المناقشات النشطة','ar',0,0),(1245,'اقرأ أحدث المناقشات.','ar',0,0),(1246,'مصادقة HTTP','ar',0,0),(1247,'نشاط المستخدم','ar',0,0),(1248,'التصنيف الذي يفترض أن يتبع له الحقل الجديد. تستخدم التصنيفات لتجميع الخانات منطقيا. مثال: تصنيف \"البيانات الشخصية\".','ar',0,0),(1249,'يجب أن يدخل المستخدم قيمة ما هنا.','ar',0,0),(1250,'ظاهر في استمارة تسجيل المستخدمين.','ar',0,0),(1251,'الأخبار الجديدة في هذه التلقيمة ستضاف آليا إلى التصنيفات المختارة.','ar',0,0),(1252,'تحسب فترة وجود المستخدم عالخط منذ آخر عرض لصفحة.','ar',0,0),(1253,'أقصى عدد يعرض للمستخدمين الموجودين عالخط.','ar',0,0),(1254,'أجاكس','ar',0,0),(1255,'السياق','ar',0,0),(1256,'تصفح الوثيقة','ar',0,0),(1257,'معجم الوسوم','ar',0,0),(1258,'سنة واحدة','ar',0,0),(1259,'أقل من سنة','ar',1258,1),(1260,'سنتان','ar',1259,2),(1261,'@count[3] سنوات','ar',1260,3),(1262,'@count[4] سنة','ar',1261,4),(1263,'@count[5] سنة','ar',1262,5),(1264,'أسبوع واحد','ar',0,0),(1265,'أقل من أسبوع','ar',1264,1),(1266,'أسبوعين','ar',1265,2),(1267,'@count[3] أسابيع','ar',1266,3),(1268,'@count[4] أسبوعا','ar',1267,4),(1269,'@count[5] أسبوع','ar',1268,5),(1270,'دقيقة واحدة','ar',0,0),(1271,'أقل من دقيقة','ar',1270,1),(1272,'دقيقتين','ar',1271,2),(1273,'@count[3] دقائق','ar',1272,3),(1274,'@count[4] دقيقة','ar',1273,4),(1275,'@count[5] دقيقة','ar',1274,5),(1276,'ثانية واحدة','ar',0,0),(1277,'أقل من ثانية','ar',1276,1),(1278,'ثانيتين','ar',1277,2),(1279,'@count[3] ثوان','ar',1278,3),(1280,'@count[4] ثانية','ar',1279,4),(1281,'@count[5] ثانية','ar',1280,5),(1282,'-بلا-','ar',0,0),(1283,'تم العثور على الزر @submit','ar',0,0),(1284,'لا يمكن تعيين القيمة @value في الحقل @name','ar',0,0),(1285,'لا دليل مؤقت لحذفه.','ar',0,0),(1286,'تشغيل الاختبارات على نواة دروبال و الوحدات المفعلة. هذه الاختبارات تسمح بالتأكد من ضمان عمل كود موقعك كما هو متوقع.','ar',0,0),(1287,'فلسطين','ar',0,0),(1288,'الفاتيكان','ar',0,0),(1289,'بلغارية','ar',0,0),(1290,'كرواتية','ar',0,0),(1291,'تشيكية','ar',0,0),(1292,'دنماركية','ar',0,0),(1293,'هولندية','ar',0,0),(1294,'فنلندية','ar',0,0),(1295,'ألمانية','ar',0,0),(1296,'يونانية','ar',0,0),(1297,'عبرية','ar',0,0),(1298,'مجرية','ar',0,0),(1299,'إندونيسية','ar',0,0),(1300,'بولندية','ar',0,0),(1301,'رومانية','ar',0,0),(1302,'روسية','ar',0,0),(1303,'سلوفاكية','ar',0,0),(1304,'سويدية','ar',0,0),(1305,'تركية','ar',0,0),(1306,'إرسال رسالة','ar',0,0),(1307,'الاسم الآلي','ar',0,0),(1308,'السماح بالتكبير','ar',0,0),(1309,'السماح لأداة التحجيم بجعل الصور أكبر حجماً من حجمها الأصلي','ar',0,0),(1310,'زاوية التدوير','ar',0,0),(1311,'عدد الدرجات لتدوير الصورة. الأرقام الموجبة مع اتجاه عقارب الساعة، الأرقام السالبة بعكس عقارب الساعة.','ar',0,0),(1312,'توليد عشوائي لزاوية التدوير لكل صورة. الزاوية المحددة أعلاه تستخدم كحد أقصى.','ar',0,0),(1313,'الطباعة','ar',0,0),(1314,'لم يتم إنشاء الملف.','ar',0,0),(1315,'مقفل','ar',0,0),(1316,'تم إرسال تعليمات إعادة ضبط كلمة المرور إلى %name على البريد %email.','ar',0,0),(1317,'عنوان البريد الإلكتروني %mail غير صالح.','ar',0,0),(1318,'الحساب','ar',0,0),(1319,'مستخدم معرف','ar',0,0),(1320,'أي من','ar',0,0),(1321,'عنوان بريد إلكتروني لإخطاره عند وجود تحديثات','ar',0,0),(1322,'كلما التمس موقعك التحديثات ووجد إصدارات جديدة، يستطيع أن يخطر قائمة من المستخدمين بالبريد. ضع العناوين منفصلة كل في سطر. إذا ترك فارغا فلن تُرسل أي رسائل.','ar',0,0),(1323,'التمس التحديثات','ar',0,0),(1324,'كل الإصدارات الجديدة','ar',0,0),(1325,'التحديثات الأمنية فقط','ar',0,0),(1326,'ليس %email عنوان بريد إلكتروني سليم.','ar',0,0),(1327,'ليست %emails عناوين بريد إلكترونية سليمة.','ar',0,0),(1328,'لا توجد تحديثات','ar',0,0),(1329,'ليس آمنا','ar',0,0),(1330,'منقوض','ar',0,0),(1331,'نسخة غير مدعومة','ar',0,0),(1332,'تعذّر تحديد الحالة','ar',0,0),(1333,'(تتوفر النسخة @version)','ar',0,0),(1334,'راجع صفحة التحديثات المتوفرة لمزيد من المعلومات:','ar',0,0),(1335,'توجد تحديثات لموقع !site_name','ar',0,0),(1336,'يوجد تحديث أمني لنسخة دروبال المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0,0),(1337,'لقد سُحبت نسخة دروبال المركبة لديك ولم تعد متاحة للتنزيل. يُنصح بالترقية بشدة.','ar',0,0),(1338,'لقد سُحبت النسخة المركبة من واحد أو أكثر من الوحدات أو السمات ولم تعد متاحة للتنزيل. يُنصح بشدة بترقيتها أو تعطيلها.','ar',0,0),(1339,'لم تعد النسخة المركبة من دروبال مدعوم. يُنصح بالترقية بشدة.','ar',0,0),(1340,'توجد تحديثات للنسخة المركبة من دروبال. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0,0),(1341,'راجع صفحة <a href=\"@available_updates\">التحديثات المتوفرة</a> لمزيد من المعلومات.','ar',0,0),(1342,'المشروع غير آمن','ar',0,0),(1343,'هذا المشروع غير آمن طبقا لفريق أمن دروبال، ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(1344,'المشروع مسحوب','ar',0,0),(1345,'لقد سُحب هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(1346,'المشروع غير مدعوم','ar',0,0),(1347,'لقد توقف دعم هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(1348,'لا تتوفر أي إصدارات','ar',0,0),(1349,'سُحبت النسخة','ar',0,0),(1350,'لقد سُحبت النسخة المركبة حاليا ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0,0),(1351,'النسخة غير مدعومة','ar',0,0),(1352,'النسخة المركبة حاليا غير مدعومة الآن، ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0,0),(1353,'معلومات غير سليمة','ar',0,0),(1354,'تحديث أمني ضروري.','ar',0,0),(1355,'غير مدعوم','ar',0,0),(1356,'النسخة المزكاة:','ar',0,0),(1357,'تحديث أمني:','ar',0,0),(1358,'آخر نسخة:','ar',0,0),(1359,'النسخة التطويرية:','ar',0,0),(1360,'يتوفر أيضا:','ar',0,0),(1361,'عدد العقد','ar',0,0),(1362,'إعدادات الحقل','ar',0,0),(1363,'تجاوز إلى المحتوى الرئيسي','ar',0,0),(1364,'@title','ar',0,0),(1365,'تحرير المنتدى','ar',0,0),(1366,'الترتيب الافتراضي','ar',0,0),(1367,'هذا معجم مفردات المنتدى. تم إزالة بعض المفردات الطبيعية.','ar',0,0),(1368,'اترك نسخة ظل','ar',0,0),(1369,'إذا نقلت المناقشة، يمكنك ترك رابط في المنتدى القديم يشير إلى الجديد.','ar',0,0),(1370,'اسم الحاوية','ar',0,0),(1371,'حاوية منتدى','ar',0,0),(1372,'أنشئ @type %term جديد.','ar',0,0),(1373,'تم تحديث @type %term.','ar',0,0),(1374,'إضافة حقل جديد','ar',0,0),(1375,'تحتوي على أي من الكلمات','ar',0,0),(1376,'تحتوي على العبارة','ar',0,0),(1377,'لا تحتوي على الكلمات','ar',0,0),(1378,'فقط من النوع','ar',0,0),(1379,'تقييم المحتوى','ar',0,0),(1380,'مدى مناسبة الكلمة المفتاحية','ar',0,0),(1381,'نشر حديثا','ar',0,0),(1382,'عدد التعليقات','ar',0,0),(1383,'عدد مرات العرض','ar',0,0),(1384,'المعامل','ar',0,0),(1385,'تمديد النسق ليتضمن الأوصاف.','ar',0,0),(1386,'إخفاء الأوصاف','ar',0,0),(1387,'ضغط النسق بإخفاء الأوصاف.','ar',0,0),(1388,'أو','ar',0,0),(1389,'مجموعة الألوان','ar',0,0),(1390,'معرف المحتوى','ar',0,0),(1391,'حول','ar',0,0),(1392,'مستضيف قاعدة البيانات','ar',0,0),(1393,'أقصى طول لنص الرابط','ar',0,0),(1394,'ستقطع المسارات التي عدد حروفها أكبر من هذا الرقم، و ذلك لمنع المقاطع الطويلة التي تخرب العرض. سيظل الرابط نفسه كما هو، إلا أن الجزء النصي في الرابط سيقطع.','ar',0,0),(1395,'التقارير','ar',0,0),(1396,'الصورة المبدئية','ar',0,0),(1397,'مسار الصورة الشخصية التي تعرض للمستخدمين الذين لم يختاروا صورة شخصية لأنفسهم. اتركها خالية كي لا تعرض صورة.','ar',0,0),(1398,'إذا كانت عدد الخيارات بالأعلى غير كاف، أشر على هذا المربع، ثم انقر زر \"عرض مسبق\" في الأسفل لإضافة المزيد من الخيارات.','ar',0,0),(1399,'غيِّر العرض','ar',0,0),(1400,'إذا لم بكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع شعارك.','ar',0,0),(1401,'ملف الإعدادات','ar',0,0),(1402,'لاحة التركيب','ar',0,0),(1403,'أعيدت فهرسة %percentage من الموقع.','ar',0,0),(1404,'دليل الملف','ar',0,0),(1405,'الحلة الافتراضية','ar',0,0),(1406,'خادم ويب','ar',0,0),(1407,'هناك عنصر واحد لم يفهرس بعد.','ar',0,0),(1408,'لا عناصر لم تفهرس بعد.','ar',1407,1),(1409,'هناك عنصران لم يفهرسا بعد.','ar',1408,2),(1410,'هناك @count[3] عناصر لم تفهرس بعد.','ar',1409,3),(1411,'هناك @count[4] عنصرا لم يفهرسوا بعد.','ar',1410,4),(1412,'هناك @count[5] عنصر لم تفهرس بعد.','ar',1411,5),(1413,'أُعيد بناء صلاحيات الوصول للمحتوى.','ar',0,0),(1414,'رتب حسب @s','ar',0,0),(1415,'عذرا، لم يتم التعرف على اسم المستخدم أو كلمة المرور. <a href=\"@password\">هل نسيت كلمة مرورك؟</a>','ar',0,0),(1416,'نشر المحتوى','ar',0,0),(1417,'فيض المكدّس: استدعاءات كثيرة جدا لدالة ‪actions_do()‬. ستُجهض لمنع التكرار لمالا نهاية.','ar',0,0),(1418,'تم حفظ الإجراء \'%action\'.','ar',0,0),(1419,'ربما تريد الذهاب إلى صفحة <a href=\"@url\">المُطلقات</a> لربط هذه الإجراءات بأحداث النظام.','ar',0,0),(1420,'تسيير الإجراءات','ar',0,0),(1421,'ضبط إجراء متقدم','ar',0,0),(1422,'احذف إجراء.','ar',0,0),(1423,'احذف الأيتام','ar',0,0),(1424,'المُطلِقات','ar',0,0),(1425,'ألغِ ربط إجراء بمُطلِق.','ar',0,0),(1426,'اختر إجراء متقدما','ar',0,0),(1427,'نوع الإجراء','ar',0,0),(1428,'أمتأكد أنك ترغب في حذف الإجراء %action؟','ar',0,0),(1429,'تم حذف الإجراء %action','ar',0,0),(1430,'حذف إجراء يتيم (%action).','ar',0,0),(1431,'أمتأكد من رغبتك في إلغاء ربط الإجراء %title؟','ar',0,0),(1432,'تستطيع ربطه لاحقا إذا أردت.','ar',0,0),(1433,'ألغ الربط','ar',0,0),(1434,'اختر إجراءً','ar',0,0),(1435,'الإجراء الذي اخترته مربوط بالفعل بهذا المُطلِق.','ar',0,0),(1436,'عند تشغيل الدورية','ar',0,0),(1437,'المسار الذي سيُوجّه إليه المستخدم. يمكن أن يكون مساراً داخلياً مثل node/1234 أو مساراً خارجياً مثل http://drupal.org.','ar',0,0),(1438,'اعرض رسالة للمستخدم','ar',0,0),(1439,'تراجع عن نشر التعليق','ar',0,0),(1440,'تراجع عن نشر التعليق المحتوي الكلمة المفتاحية','ar',0,0),(1441,'احظر رقم إنترنت (IP) المستخدم الحالي','ar',0,0),(1442,'جعل @type %title منشورا.','ar',0,0),(1443,'جعل @type %title غير منشور.','ar',0,0),(1444,'جعل @type %title مثبّتا.','ar',0,0),(1445,'جعل @type %title غير مثبّت.','ar',0,0),(1446,'رُقَِيَ @type %title للصفحة الرئيسية.','ar',0,0),(1447,'رُفع @type %title من الصفحة الرئيسية.','ar',0,0),(1448,'حُفِظ @type %title','ar',0,0),(1449,'غُيّر مالك @type %title إلى %name.','ar',0,0),(1450,'بعد حفظ تعليق جديد','ar',0,0),(1451,'بعد حفظ تعليق محدّث','ar',0,0),(1452,'بعد حذف تعليق','ar',0,0),(1453,'عندما يعرض مستخدم مستوثق تعليقا','ar',0,0),(1454,'تعليق غير منشور %subject.','ar',0,0),(1455,'بعد حذف مستخدم','ar',0,0),(1456,'بعد ولوج المستخدم','ar',0,0),(1457,'بعد خروج المستخدم','ar',0,0),(1458,'عند عرض صفحة المستخدم الشخصية','ar',0,0),(1459,'مُنع المستخدم: %name.','ar',0,0),(1460,'حُظِر رقم الإنترنت %ip','ar',0,0),(1461,'بعد حفظ مصطلح جديد في قاعدة البيانات','ar',0,0),(1462,'بعد حفظ مفردة مُحدّثة في قاعدة البيانات','ar',0,0),(1463,'بعد حذف مصطلح','ar',0,0),(1464,'تمكّن إطلاق إجراءات استجابة لأحداث معينة في النظام، عند إنشاء محتوى جديد مثلا.','ar',0,0),(1465,'قرأت مرة واحدة','ar',0,0),(1466,'لم تقرأ','ar',1465,1),(1467,'قرأت مرتين','ar',1466,2),(1468,'قرأت @count[3] مرات','ar',1467,3),(1469,'قرأت @count[4] مرة','ar',1468,4),(1470,'قرأت @count[5] مرة','ar',1469,5),(1471,'- اختر -','ar',0,0),(1472,'تتيح تصنيف المحتوى.','ar',0,0),(1473,'سابقة المسار','ar',0,0),(1474,'احذف الاتصال','ar',0,0),(1475,'رد آلي','ar',0,0),(1476,'رد آلي اختياري. اتركه فارغا إذا لم تكن ترغب في إرسال ردود آلية للمستخدمين.','ar',0,0),(1477,'عنوان البريد الإلكتروني %recipient غير صحيح.','ar',0,0),(1478,'ليتوانية','ar',0,0),(1479,'ترجمة حديثة','ar',0,0),(1480,'ترجمة قديمة','ar',0,0),(1481,'يجب تفعيل بعض الوحدات المطلوبة','ar',0,0),(1482,'مواضيع جديدة','ar',0,0),(1483,'mm/dd/yy','ar',0,0),(1484,'ترجمة','ar',0,0),(1485,'الملف غير موجود.','ar',0,0),(1486,'فشل استيراد الترجمة، لتعذر قراءة الملف %filename.','ar',0,0),(1487,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr\" كان متوقعا، و لكن لا يوجد على السطر %line.','ar',0,0),(1488,'يحتوي ملف الترجمة %filename على خطأ: \"msgid_plural\" كان متوقعا و لكن لم يوجد على السطر %line.','ar',0,0),(1489,'يحتوي ملف الترجمة %filename على خطأ صياغي في السطر %line.','ar',0,0),(1490,'يحتوي ملف الترجمة %filename على خطأ: \"msgid\" غير متوقع في السطر %line.','ar',0,0),(1491,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr[]\" غير متوقع في السطر %line.','ar',0,0),(1492,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr\" غير متوقع في السطر %line.','ar',0,0),(1493,'يحتوي ملف الترجمة %filename على خطأ: هناك مقطع غير متوقع في السطر %line.','ar',0,0),(1494,'انتهى ملف الترجمة %filename بشكل غير متوقع في السطر %line.','ar',0,0),(1495,'حفظ الترجمات','ar',0,0),(1496,'صدّر القالب','ar',0,0),(1497,'أنشئ @name','ar',0,0),(1498,'تم حذف القائمة %title.','ar',0,0),(1499,'تم حذف ال@type‏ %title.','ar',0,0),(1500,'الاقتصاص','ar',0,0),(1501,'غير مُفعّل','ar',0,0),(1502,'التعليمات التي تظهر للمستخدم تحت هذا الحقل، في استمارة التحرير. <br /> وسوم HTML المسموحة: @tags','ar',0,0),(1503,'مستخدم مجهول','ar',0,0),(1504,'@module (<span class=\"admin-disabled\">معطل</span>)','ar',0,0),(1505,'@module (<span class=\"admin-enabled\">مُفَعَّل</span>)','ar',0,0),(1506,'خدمات الويب','ar',0,0),(1507,'حفظ الصلاحيات','ar',0,0),(1508,'عنوان البريد الإلكتروني %email مستخدم بالفعل.','ar',0,0),(1509,'التأثير','ar',0,0),(1510,'رسالة الخطأ','ar',0,0),(1511,'النص الأصلى','ar',0,0),(1512,'حذف نوع المحتوى','ar',0,0),(1513,'غير الوثيقة (حدّث قائمة الآباء)','ar',0,0),(1514,'إنشاء وثائق جديدة','ar',0,0),(1515,'حرر الصلاحيات','ar',0,0),(1516,'تحرير الترتيب والعناوين','ar',0,0),(1517,'إدارة هيكل وثائق موقعك.','ar',0,0),(1518,'لأسباب أمنية تم تغيير اسم الملف المرفوع إلى %filename.','ar',0,0),(1519,'النسخة المثبة','ar',0,0),(1520,'النسخة الموصى بها','ar',0,0),(1521,'تم تشغيل الدورية بنجاح.','ar',0,0),(1522,'إخطار','ar',0,0),(1523,'حساب المستخدم','ar',0,0),(1524,'تنزيل الملف','ar',0,0),(1525,'اختصار','ar',0,0),(1526,'الأصلية','ar',0,0),(1527,'فشل في رفع الصورة. الدليل %directory غير موجود. أو غير مسموح بالكتابة فيه.','ar',0,0),(1528,'التواريخ','ar',0,0),(1529,'تم تحديث الحقل.','ar',0,0),(1530,'بكسلات','ar',0,0),(1531,'شهر واحد','ar',0,0),(1532,'أقل من شهر','ar',1531,1),(1533,'شهران','ar',1532,2),(1534,'@count[3] أشهر','ar',1533,3),(1535,'@count[4] شهراً','ar',1534,4),(1536,'@count[5] شهر','ar',1535,5),(1537,'حفظ الترتيب','ar',0,0),(1538,'تم','ar',0,0),(1539,'سرد وإضافة وتحرير أدوار المستخدمين.','ar',0,0),(1540,'تحرير الدور','ar',0,0),(1541,'نسق خاص','ar',0,0),(1542,'الاتجاه','ar',0,0),(1543,'%name: قيمة غير صحيحة.','ar',0,0),(1544,'نحرير %title','ar',0,0),(1545,'نواة دروبال','ar',0,0),(1546,'عرض صندوق تصفح الوثائق','ar',0,0),(1547,'العلاقات','ar',0,0),(1548,'حقل كلمة المرور مطلوب.','ar',0,0),(1549,'تأكيد كلمة المرور','ar',0,0),(1550,'لا يوجد محتوى.','ar',0,0),(1551,'سمة الإدارة','ar',0,0),(1552,'نشكرك لطلبك حسابا. حسابك حاليا في انتظار موافقة إداري الموقع.<br /> حتى يحين ذلك، أرسلت رسالة ترحيب إلى عنوان بريدك الإلكتروني، و معها مزيد من التوجيهات.','ar',0,0),(1553,'الكونغو (كينشاسا)','ar',0,0),(1554,'الكونغو (برازافيل)','ar',0,0),(1555,'ساحل العاج','ar',0,0),(1556,'هونغ كونغ - الصين','ar',0,0),(1557,'جزيرة مان','ar',0,0),(1558,'الجبل الأسود','ar',0,0),(1559,'ماكاو','ar',0,0),(1560,'سان بيير وميكويلون','ar',0,0),(1561,'صربيا','ar',0,0),(1562,'أفارية','ar',0,0),(1563,'صومالية','ar',0,0),(1564,'كومية','ar',0,0),(1565,'تشغيل مجدول الأعمال (كرون)','ar',0,0),(1566,'رسالة التحذير','ar',0,0),(1567,'تحذير أمني: لا يمكن الكتابة على ملف \"‪.htaccess‬\". من فضلك أنشئ ملف ‪.htaccess‬ في الدليل %directory، على أن يحتوى الملف على السطر التالي: <code>!htaccess</code>','ar',0,0),(1568,'الملف %file لا يمكن نسخه. لا يوجد ملف بذلك الاسم. من فضلك تأكد أن اسم الملف صحيح.','ar',0,0),(1569,'لم يتم نسخ الملف المحدد %file لأنه سيستبدل نفسه.','ar',0,0),(1570,'لا يمكن حفظ الملف %file. لأنه يتجاوز %maxsize، الحجم الأقصى المسموح به للملفات المرفوعة.','ar',0,0),(1571,'لا يمكن حفظ الملف %file. لأن عملية التحميل لم تكتمل.','ar',0,0),(1572,'لا يمكن حفظ الملف %file. لسبب مجهول.','ar',0,0),(1573,'لم يتم تحويل الملف المحدد %name.','ar',0,0),(1574,'اسم الملف فارغ. الرجاء إعطاء اسم للملف.','ar',0,0),(1575,'يُسمح بالملفات التي تحمل هذه الامتدادات فقط: %files-allowed.','ar',0,0),(1576,'حجم الملف %filesize يتجاوز الحجم الأقصى للملفات %maxsize.','ar',0,0),(1577,'حجم الملف %filesize وهو ما قد يتجاوز حصتك من القرص (%quota).','ar',0,0),(1578,'يسمح بالصور من امتدادات JPEG و PNG و GIF فقط.','ar',0,0),(1579,'تم تغيير أبعاد الصورة حتى تلائم أكبر أبعاد مسموح بها، و هو %dimensions بكسل.','ar',0,0),(1580,'الصورة كبيرة جدا؛ الحد الأقصى هو %dimensions بكسل.','ar',0,0),(1581,'الصورة صغيرة جداً؛ الحد الأدنى هو %dimensions بكسل.','ar',0,0),(1582,'لم يتم حذف الملف %path لأنه غير موجود.','ar',0,0),(1583,'خطأ في رفع الملف. لم يمكن نقل الملف %file إلى الوجهة %destination.','ar',0,0),(1584,'أضف إلى هيكل الوثيقة','ar',0,0),(1585,'Stark','ar',0,0),(1586,'مجموعة جديدة','ar',0,0),(1587,'قديمة','ar',0,0),(1588,'<strong>@language_name</strong> (الأصل)','ar',0,0),(1589,'إضافة ترجمة','ar',0,0),(1590,'ترجمات %title','ar',0,0),(1591,'تسيير توسيم وتصنيف وتقسيم محتواك.','ar',0,0),(1592,'منفذ قاعدة البيانات','ar',0,0),(1593,'أعد فهرسة الموقع','ar',0,0),(1594,'هل أنت متأكد أنك ترغب في إعادة فهرسة الموقع؟','ar',0,0),(1595,'cURL','ar',0,0),(1596,'نجاح','ar',0,0),(1597,'فشل','ar',0,0),(1598,'لا توجد نتائج اختبارات لعرضها.','ar',0,0),(1599,'حفظ ومتابعة','ar',0,0),(1600,'هذه الخيارات ضرورية لبعض المواقع. إن لم تكن متأكدا مما يجب أن تدخل هنا، اترك الإعدادات المبدئية أو راجع مقدم خدمة الاستضافة أولا.','ar',0,0),(1601,'إذا كانت قاعدة بياناتك على خادم آخر، غيّر هذا.','ar',0,0),(1602,'إذا كانت قاعدة البيانات مضبوطة على منفذ غير معياري، أدخل رقمه هنا.','ar',0,0),(1603,'يجب أن يكون منفذ قاعدة البيانات رقما.','ar',0,0),(1604,'يسمح باستعمال الفراغات؛ لا يسمح باستعمال الترقيم ما عدا النقط والشرطات والشرطات السفلية','ar',0,0),(1605,'عنوان الـIP','ar',0,0),(1606,'أقصى ارتفاع','ar',0,0),(1607,'أقصى عرض','ar',0,0),(1608,'تيمور الشرقية','ar',0,0),(1609,'التبويبات الأساسية','ar',0,0),(1610,'التبويبات الفرعية','ar',0,0),(1611,'فعل أو عطل عرض عناصر معينة بالصفحة.','ar',0,0),(1612,'إضافة محتوى جديد','ar',0,0),(1613,'قيمة منطقية','ar',0,0),(1614,'أقصى دقة للصورة','ar',0,0),(1615,'تم التعرف على اختيار غير مسموح به. من فضلك اتصل بإداري الموقع.','ar',0,0),(1616,'اختيار %choice غير مسموح به في حقل !name.','ar',0,0),(1617,'العمود الجانبي اﻷول','ar',0,0),(1618,'تقرير الحالة','ar',0,0),(1619,'غير قابل للكتابة عليه','ar',0,0),(1620,'نقطة عشرية','ar',0,0),(1621,'هيكل الوثيقة','ar',0,0),(1622,'هذه ستكون الصفحة الأم في هذه الوثيقة.','ar',0,0),(1623,'معلومات المراجعة','ar',0,0),(1624,'إبلاغ المستخدم بإنشاء حسابه','ar',0,0),(1625,'عرض التعليق','ar',0,0),(1626,'فاصلة','ar',0,0),(1627,'الاستخدامات','ar',0,0),(1628,'مسار الأيقونة المخصصة','ar',0,0),(1629,'المستخدم الحالي','ar',0,0),(1630,'موجز','ar',0,0),(1631,'لست مخولا بنشر تعليقات.','ar',0,0),(1632,'التعليق الذي ترد عليه غير موجود.','ar',0,0),(1633,'هذه المناقشة مغلقة: لا يمكنك نشر تعليقات جديدة.','ar',0,0),(1634,'لست مخولا بعرض التعليقات.','ar',0,0),(1635,'هل أنت متأكد أنك راغب في حذف التعليق %title؟','ar',0,0),(1636,'أي ردود على هذا التعليق سوف تضيع، و لن يمكن التراجع عن هذا الفعل.','ar',0,0),(1637,'نشر التعليقات المحددة','ar',0,0),(1638,'إلغاء نشر التعليقات المحددة','ar',0,0),(1639,'هل ترغب فعلا في حذف هذه التعليقات مع كل الردود عليها؟','ar',0,0),(1640,'يجب أن تحدد مؤلفا صحيحا.','ar',0,0),(1641,'الاسم الذي اخترته مسجل لمستخدم آخر.','ar',0,0),(1642,'عنوان البريد الإلكتروني ليس صحيحا.','ar',0,0),(1643,'مسار موقعك غير صحيح. تذكر أن المسار يجب أن يكتب بالصورة الكاملة مثلا: <code>http://example.com/directory</code>.','ar',0,0),(1644,'(لا موضوع)','ar',0,0),(1645,'الصورة الافتراضية','ar',0,0),(1646,'سيتم استخدام هذا النص من طرف قارئات الشاشة، محركات البحث، أو عند الفشل بتحميل الصورة.','ar',0,0),(1647,'إضافة تلقيمة','ar',0,0),(1648,'سرد الروابط','ar',0,0),(1649,'نوع MIME','ar',0,0),(1650,'نظام الملفات','ar',0,0),(1651,'مدونة @name','ar',0,0),(1652,'شريط الأدوات','ar',0,0),(1653,'أدخل اسم مستخدم @s الخاص بك.','ar',0,0),(1654,'نُشِر في','ar',0,0),(1655,'ملاحظة: تعليق غير مخوّل به أو تعليق أرسل إلى الموضوع المغلق %subject.','ar',0,0),(1656,'مدونة !name','ar',0,0),(1657,'البريد الإلكتروني:','ar',0,0),(1658,'كل اللغات','ar',0,0),(1659,'لوحة التحكم','ar',0,0),(1660,'فهرس البحث','ar',0,0),(1661,'حجم الملف.','ar',0,0),(1662,'نوع MIME للملف.','ar',0,0),(1663,'تم إنشاء ال@type‏ %title.','ar',0,0),(1664,'تم تحديث ال@type‏ %title.','ar',0,0),(1665,'تعذر حفظ الموضوع.','ar',0,0),(1666,'محرف','ar',0,0),(1667,'محرف واحد','ar',1666,1),(1668,'محرفان','ar',1667,2),(1669,'@count[3] أحرف','ar',1668,3),(1670,'@count[4] حرفاً','ar',1669,4),(1671,'@count[5] حرف','ar',1670,5),(1672,'إعدادات المرشح','ar',0,0),(1673,'ليس لديك أي عناصر إدارية.','ar',0,0),(1674,'ظهرت مشكلة أو أكثر في نسخة دروبال المركبة. راجع <a href=\"@status\">تقرير الحالة</a> لمزيد من المعلومات.','ar',0,0),(1675,'مواضيع المساعدة','ar',0,0),(1676,'تتوفر مساعدة للعناصر التالية:','ar',0,0),(1677,'لا توجد مساعدة لوحدة %module.','ar',0,0),(1678,'صفحات إدارة @module','ar',0,0),(1679,'ترجمة الواجهة','ar',0,0),(1680,'أضف لغة','ar',0,0),(1681,'تحرير المقطع','ar',0,0),(1682,'احذف المقطع','ar',0,0),(1683,'هل أنت متأكد من حذف لغة %name؟','ar',0,0),(1684,'تم حذف لغة %locale.','ar',0,0),(1685,'أمتأكد أنك ترغب في حذف المقطع \"%source\"؟','ar',0,0),(1686,'حذف المقطع سيحذف كل ترجماته بكل اللغات. لا يمكن التراجع عن هذا الفعل.','ar',0,0),(1687,'المحلية','ar',0,0),(1688,'صباحا','ar',0,0),(1689,'مساء','ar',0,0),(1690,'إضافات PHP','ar',0,0),(1691,'التعليقات في كل صفحة','ar',0,0),(1692,'دعم تعدد اللغات','ar',0,0),(1693,'مفعّل، مع الترجمة','ar',0,0),(1694,'نشر التعليق','ar',0,0),(1695,'تعذر رفع الملف.','ar',0,0),(1696,'طقم أدوات مناولة الصور \'%toolkit\' لا يستطيع معالجة \'%function\'.','ar',0,0),(1697,'FTP','ar',0,0),(1698,'المجلد %file غير محمي من التعديلات و قد يشكل خطورة على الأمان. ينبغي عليك تغيير صلاحيات الملف كي لا يقبل الكتابة فيه. ','ar',0,0),(1699,'تعاون','ar',0,0),(1700,'صفحات الإدارة','ar',0,0),(1701,'يستخدم الآن !item !version','ar',0,0),(1702,'تم إنشاء نوع المحتوى %type.','ar',0,0),(1703,'تم إنشاء حساب المستخدم %name وكلمة مروره %pass','ar',0,0),(1704,'الصلاحيات المنشأة : @perms','ar',0,0),(1705,'الصلاحية %permission غير صحيحة.','ar',0,0),(1706,'تم العثور على حقل اسم المستخدم.','ar',0,0),(1707,'تم العثور على حقل كلمة المرور.','ar',0,0),(1708,'!method @url أرجعت @status (!length).','ar',0,0),(1709,'HTML صحيح في \"@path\"','ar',0,0),(1710,'تم تحليل الصفحة بنجاح','ar',0,0),(1711,'تم العثور على حقول الاستمارة المطلوبة في المسار @path','ar',0,0),(1712,'لم يتم العثور على الحقل عن طريق اسمه @name','ar',0,0),(1713,'تم العثور على الحقل عن طريق معرفه @id','ar',0,0),(1714,'لم يتم العثور على الحقل عن طريق معرفه @id','ar',0,0),(1715,'رد اش.تي.تي.بي المتوقع هو !code والرد المتحصل عليه هو !curl_code','ar',0,0),(1716,'واجه الموقع خطأ غير متوقع. يرجى المحاولة في وقت لاحق.','ar',0,0),(1717,'الاختبارات','ar',0,0),(1718,'تشعيل الاختبارات','ar',0,0),(1719,'تنظيف بيئة الاختبارات','ar',0,0),(1720,'إزالة الجداول ذات البادئة \"simpletest\" والمجلدات المؤقتة التي خلفتها الاختبارات الفاشلة. هذا موجه للمطورين أثناء إنشاء الاختبارات.','ar',0,0),(1721,'تنظيف البيئة','ar',0,0),(1722,'لا توجد اختبارات للعرض.','ar',0,0),(1723,'@pass، @fail، و @exception','ar',0,0),(1724,'لم يتم تحديد أي اختبار.','ar',0,0),(1725,'تشغيل الاختبار @num من @max - %test.','ar',0,0),(1726,'@name: @summary','ar',0,0),(1727,'تم تشغيل الاختبار @num من @max - %test.','ar',0,0),(1728,'واحد ناجح','ar',0,0),(1729,'واحد ناجح','ar',1728,1),(1730,'إثنان ناجحان','ar',1729,2),(1731,'@count[3] ناجحة','ar',1730,3),(1732,'@count[4] ناجح','ar',1731,4),(1733,'@count[5] ناجح','ar',1732,5),(1734,'واحد فاشل','ar',0,0),(1735,'واحد فاشل','ar',1734,1),(1736,'إثنان فاشلان','ar',1735,2),(1737,'@count[3] فاشلة','ar',1736,3),(1738,'@count[4] فاشل','ar',1737,4),(1739,'@count[5] فاشل','ar',1738,5),(1740,'استثناء واحد','ar',0,0),(1741,'استثناء واحد','ar',1740,1),(1742,'استنثناءان إثنان','ar',1741,2),(1743,'@count[3] استثناءات','ar',1742,3),(1744,'@count[4] استثناء','ar',1743,4),(1745,'@count[5] استثناء','ar',1744,5),(1746,'PHP DOMDocument class','ar',0,0),(1747,'توفر بيئة للاختبارات الفردية والوظيفية.','ar',0,0),(1748,'القائمة الرئيسية','ar',0,0),(1749,'هندية','ar',0,0),(1750,'قام %name باستخدام رابط الولوج في %timestamp.','ar',0,0),(1751,'تم إنشاء حساب مستخدم جديد ل<a href=\"@url\">%name</a>. لم يتم إرسال أي بريد إلكتروني.','ar',0,0),(1752,'نجح التسجل، لقد ولجت الآن.','ar',0,0),(1753,'مستخدم جديد: %name‏ (%email).','ar',0,0),(1754,'المُطلِق','ar',0,0),(1755,'إضافة رابط','ar',0,0),(1756,'عرض التعليقات','ar',0,0),(1757,'اسم المستخدم، أو عنوان البريد الإلكتروني','ar',0,0),(1758,'%name: لا يمكن لهذا الحقل أن يحتوي أكثر من @count قيمة.','ar',0,0),(1759,'لا حقول متاحة.','ar',0,0),(1760,'بعد حفظ محتوى جديد','ar',0,0),(1761,'بعد حذف محتوى','ar',0,0),(1762,'التبويبات العمودية','ar',0,0),(1763,'ليس في الكتاب','ar',0,0),(1764,'كتاب جديد','ar',0,0),(1765,'من @name بتاريخ  @date','ar',0,0),(1766,'من %name','ar',0,0),(1767,'غير موجود في القائمة','ar',0,0),(1768,'البديل: @alias','ar',0,0),(1769,'لا يوجد بدائل','ar',0,0),(1770,'إكمال آلي لاسم المستخدم','ar',0,0),(1771,'التجهيز.','ar',0,0),(1772,'حدث خطأ.','ar',0,0),(1773,'من فضلك انتقل إلى <a href=\"@error_url\">صفحة الخطأ</a>','ar',0,0),(1774,'‏HTTP POST ضروري.','ar',0,0),(1775,'ستكون صفحتك جزء من الوثيقة المختارة.','ar',0,0),(1776,'0 ثانية','ar',0,0),(1777,'استمارة','ar',0,0),(1778,'تنبيه','ar',0,0),(1779,'حالة طارئة','ar',0,0),(1780,'ترشيح رسائل السجل','ar',0,0),(1781,'يجب أن تختار مرشح.','ar',0,0),(1782,'مراجعة جديدة','ar',0,0),(1783,'لتغير كلمة مرور المستخدم الحالية، أدخل كلمة المرور الجديدة في كلا الحقلين.','ar',0,0),(1784,'لقد حاولت استخدام رابط ولوج انتهت صلاحيته. من فضلك اطلب رابطا جديدا مستخدما الاستمارة بالأدنى.','ar',0,0),(1785,'يمكن استخدام هذا الدخول مرة واحدة فقط.','ar',0,0),(1786,'فشلت عملية استيراد %filename.','ar',0,0),(1787,'المزيد من الخيارات','ar',0,0),(1788,'اختصار','ar',0,0),(1789,'مضاف','ar',0,0),(1790,'أدخل كلمة مرور للحساب الجديد في كلا الخانتين.','ar',0,0),(1791,'(@language)','ar',0,0),(1792,'مرشح','ar',0,0),(1793,'عنوان التعليق','ar',0,0),(1794,'عدد التعليقات','ar',0,0),(1795,'عنوان العقدة.','ar',0,0),(1796,'تاريخ نشر العقدة.','ar',0,0),(1797,'استطلاع رأي','ar',0,0),(1798,'مشاهدة اليوم','ar',0,0),(1799,'اتصال','ar',0,0),(1800,'استخدم كلمة <strong>OR</strong> بالحروف الكبيرة لتقوم بالبحث عن أيا من كلمتين. مثلا <strong>قطط OR كلاب</strong>.','ar',0,0),(1801,'فلتر  PHP','ar',0,0),(1802,'إعدادات اللغات','ar',0,0),(1803,'محاولة إعادة تشغيل مجدول الأعمال (كرون) وهو مشغل.','ar',0,0),(1804,'اكتمل تشغيل مجدول الأعمال (كرون).','ar',0,0),(1805,'حالة طلب HTTP','ar',0,0),(1806,'فشلت','ar',0,0),(1807,'الزوار','ar',0,0),(1808,'أقصى طول للحقل بعدد الحروف.','ar',0,0),(1809,'الاسم المقروء آليا','ar',0,0),(1810,'اللغات المضافة','ar',0,0),(1811,'أحدث التدوينات','ar',0,0),(1812,'المستخدمون الجدد','ar',0,0),(1813,'اسم اللغة','ar',0,0),(1814,'تحرير اللغة','ar',0,0),(1815,'سرد الروابط','ar',0,0),(1816,'تحرير التصنيف','ar',0,0),(1817,'تم تحديث نوع المحتوى %name.','ar',0,0),(1818,'أُضيف نوع المحتوى %name.','ar',0,0),(1819,'كتلانية','ar',0,0),(1820,'استمارة الاتصال','ar',0,0),(1821,'البحيرة الزرقاء (الافتراضية)','ar',0,0),(1822,'تعذر العثور على الصفحة المطلوبة.','ar',0,0),(1823,'حساب المستخدم %id غير موجود.','ar',0,0),(1824,'محاولة إلغاء حساب مستخدم غير موجود: %id.','ar',0,0),(1825,'مشكلة متطلبات','ar',0,0),(1826,'إعدادات قاعدة البيانات','ar',0,0),(1827,'نوع قاعدة البيانات التي ستخزن فيها بيانات @drupal.','ar',0,0),(1828,'اسم قاعدة البيانات التي ستخزن فيها بيانات @drupal. يجب أن تكون موجودة على خادمك لتتمكن من تركيب @drupal.','ar',0,0),(1829,'في حالة تقاسم قاعدة البيانات بين أكثر من تطبيق، أدخل بادئة مثل %prefix لجداول @drupal.','ar',0,0),(1830,'اختر تعريف تثبيت','ar',0,0),(1831,'اختيار اللغة','ar',0,0),(1832,'تعلّم كيف تُركّب دروبال بلغات أخرى','ar',0,0),(1833,'(مدمجة)','ar',0,0),(1834,'لا تتوفر لاحات','ar',0,0),(1835,'دروبال مركّب بالفعل','ar',0,0),(1836,'<ul><li>كي تبدأ من جديد، عليك أولا أن تفرغ قاعدة البيانات الموجودة حاليا.</li><li>لتركب الموقع على قاعدة بيانات مختلفة، حرر ملف <em>settings.php</em> المناسب في دليل <em>sites</em>.</li><li>لترقي التركيبة الحالية، تقدم إلى <a href=\"@base-url/update.php\">برمجية الترقية</a>.</li><li> اعرض<a href=\"@base-url\"> موقعك الحالي </a>.</li></ul>','ar',0,0),(1837,'تركيب @drupal','ar',0,0),(1838,'واجه التركيب خطأ.','ar',0,0),(1839,'ضبط الموقع','ar',0,0),(1840,'اكتمل تركيب @drupal','ar',0,0),(1841,'تم تركيب وحدة %module.','ar',0,0),(1842,'اختر لاحة','ar',0,0),(1843,'التحقق من المتطلبات','ar',0,0),(1844,'ضبط قاعدة البيانات','ar',0,0),(1845,'ضبط الترجمات','ar',0,0),(1846,'تركيب الموقع','ar',0,0),(1847,'إكمال الترجمات','ar',0,0),(1848,'البريد الإلكتروني للموقع','ar',0,0),(1849,'حقل <em>من</em> في البريد الإلكتروني الآلي المرسل أثناء التسجيل وطلبات كلمات السر الجديدة والإخطارات الأخرى. (استخدم عنوانا ينتهي بنطاق موقعك لتفادي اعتبار هذا البريد سخاما.)','ar',0,0),(1850,'تعرض التواريخ و التوقيتات في الموقع كله باستخدام هذا التوقيت.','ar',0,0),(1851,'إخطارات التحديثات','ar',0,0),(1852,'مراقبة التحديثات تلقائيا','ar',0,0),(1853,'تم حذف الإجراء اليتيم \'%action\' من قاعدة البيانات.','ar',0,0),(1854,'تجاوز مجدول الأعمال (كرون) الحد الزمني و تم إجهاضه.','ar',0,0),(1855,'بايت واحد','ar',0,0),(1856,'0 بايت','ar',1855,1),(1857,'بايتان','ar',1856,2),(1858,'@count[3] بايتات','ar',1857,3),(1859,'@count[4] بايت','ar',1858,4),(1860,'@count[5] بايت','ar',1859,5),(1861,'لا يمكن أن يتجاوز !name ‏%max حرفاً إلا أن طوله الحالي %legnth حرفاً.','ar',0,0),(1862,'اختيار %choice غير مسموح به في حقل %name.','ar',0,0),(1863,'طقم الأدوات GD2 لمناولة الصور','ar',0,0),(1864,'طقم أدوات جي.دي مركب ويعمل بشكل صحيح.','ar',0,0),(1865,'حدد جودة الصور لمناولة JPEG. تتراوح بين 0 و 100. القيم الأعلى تعني جودة صور أفضل، و ملفات أكبر حجما.','ar',0,0),(1866,'طقم أدوات جي.دي يحتاج أن تكون وحدة جي.دي لبي.إتش.بي مركبة و معدة. بشكل صحيح. لمزيد من المعلومات طالع <a href=\"@url\">توثيق بي.إش.بي للصور</a>.','ar',0,0),(1867,'يجب أن تكون جودة JPEG رقما بين 0 و 100.','ar',0,0),(1868,'من اليمين لليسار','ar',0,0),(1869,'من اليسار لليمين','ar',0,0),(1870,'اللغات المعرفة مسبقا','ar',0,0),(1871,'لغة طيعة','ar',0,0),(1872,'أضف لغة طيعة','ar',0,0),(1873,'حفظ اللغة','ar',0,0),(1874,'معرّف لغة متوافق مع معيار <a href=\"@rfc4646\">RFC 4646</a>. رموز اللغات تتكون عادة من رمز الدولة و -اختياريا- اسم نظام الكتابة أو التنويعة المحلية. <em>مثلا: \"en\"، \"en-US\" و \"zh-Hant\".</em>','ar',0,0),(1875,'اسم اللغة بالإنجليزية','ar',0,0),(1876,'اسم اللغة بالإنجليزية. سيكون متوفرا للترجمة في جميع اللغات.','ar',0,0),(1877,'اسم اللغة الأصلي','ar',0,0),(1878,'اسم اللغة باللغة نفسها.','ar',0,0),(1879,'نطاق اللغة','ar',0,0),(1880,'اتجاه الكتابة المستخدم في هذه اللغة.','ar',0,0),(1881,'اللغة %language ‏(%code) موجودة سلفا.','ar',0,0),(1882,'رمز اللغة غير سليم.','ar',0,0),(1883,'تم إنشاء اللغة %language، ويمكن استخدامها الآن. لمزيد من المعلومات، طالع <a href=\"@locale-help\">صفحة المساعدة</a>.','ar',0,0),(1884,'يجب عدم تحديد قيم النطاق وسابقة المسار في ذات الوقت.','ar',0,0),(1885,'النطاق (%domain) مرتبط بلغة أخرى (%language).','ar',0,0),(1886,'في اللغة المبدئية فقط يمكن أن يكون النطاق والسابقة خاليين.','ar',0,0),(1887,'السابقة (%prefix) مربوطة بلغة أخرى (%language).','ar',0,0),(1888,'لا يمكن حذف اللغة الإنجليزية.','ar',0,0),(1889,'لا يمكن حذف اللغة المبدئية.','ar',0,0),(1890,'حذف لغة سيحذف كل ترجمات الواجهة المرتبطة بها، وكل المواضيع المكتوبة بهذا اللغة ستجعل محايدة اللغة. هذا العمل لا يمكن التراجع عنه.','ar',0,0),(1891,'تم حفظ إعدادات تفاوض اللغة.','ar',0,0),(1892,'الإنجليزية (مدمجة)','ar',0,0),(1893,'المقطع يحتوي','ar',0,0),(1894,'اتركه خاليا لعرض جميع المقاطع. البحث حساس للحروف اللاتينية الكبيرة و الصغيرة.','ar',0,0),(1895,'الإنجليزية (موفرة من دروبال)','ar',0,0),(1896,'البحث في','ar',0,0),(1897,'كلا المقاطع المترجمة وغير المترجمة','ar',0,0),(1898,'فقط المقاطع المترجمة','ar',0,0),(1899,'فقط المقاطع غير المترجمة','ar',0,0),(1900,'حصر البحث في','ar',0,0),(1901,'كل مجموعات النصوص','ar',0,0),(1902,'اللغات التي لم تُضف بعد','ar',0,0),(1903,'استيراد ترجمة','ar',0,0),(1904,'ملف جتتكست (<em>‭‪.po‬‬</em>).','ar',0,0),(1905,'استيراد إلى','ar',0,0),(1906,'اختر اللغة التي تريد إضافة الكلمات إليها. ستُضاف اللغة إذا لم تكن قد أُعدت من قبل.','ar',0,0),(1907,'مجموعة النصوص','ar',0,0),(1908,'ستضاف الترجمات المستوردة إلى مجموعة النصوص هذه.','ar',0,0),(1909,'تم إنشاء اللغة %language.','ar',0,0),(1910,'تصدير الترجمة','ar',0,0),(1911,'اختر اللغة التي تود تصديرها إلى ملف جتتكست (<em>‭‪.po‬‬</em>).','ar',0,0),(1912,'ولد ملف قالب جتتكست (<em>‭‪.pot‬‬</em>) بكامل إعدادات الواجهة من قاعدة بيانات محلية دروبال.','ar',0,0),(1913,'المقطع غير موجود.','ar',0,0),(1914,'المقطع المُرسل يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0,0),(1915,'تم حفظ المقطع.','ar',0,0),(1916,'تم حذف المقطع.','ar',0,0),(1917,'اللغة التي اختيرت للاستيراد ليست مدعومة.','ar',0,0),(1918,'يبدو أن ملف الترجمة %filename لا يحتوي على ترويسة سليمة.','ar',0,0),(1919,'تم استيراد الترجمة بنجاح. يوجد الآن %number مقطعاً مترجماً جديداً، و %update مقطعاً تم تحديثه، و %delete مقطعاً تم حذفه.','ar',0,0),(1920,'يتم استيراد ترجمات الواجهة','ar',0,0),(1921,'يبدأ الاستيراد','ar',0,0),(1922,'خطأ أثناء استيراد ترجمة الواجهة','ar',0,0),(1923,'محاولة لإرسال مقطع ترجمة يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0,0),(1924,'رمز اللغة %language ‏(%code) موجودة سلفا.','ar',0,0),(1925,'تم استيراد %file إلى %locale: أضيف %number مقطعا جديدا و %update مقطعا تم تحديثها و %delete مقطعا تم حذفها.','ar',0,0),(1926,'تم تصدير ملف ترجمة %locale و اسم الملف: %filename.','ar',0,0),(1927,'تم تصدير ملف الترجمة: %filename.','ar',0,0),(1928,'تم تحديث ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(1929,'تم إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(1930,'تم حذف ملف ترجمة جافا سكربت للغة %language لعدم وجود أي ترجمة حاليا لهذه اللغة.','ar',0,0),(1931,'حدث خطأ أثناء إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(1932,'تُخطّيت ترجمة واحدة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',0,0),(1933,'لم تتخطى أي ترجمة.','ar',1932,1),(1934,'تُخطّيت ترجمتين لأنهما تحتويان إتش.تي.إم.إل غير مسموح به.','ar',1933,2),(1935,'تُخطّيت @count[3] ترجمات لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',1934,3),(1936,'تُخطّيت @count[4] ترجمة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',1935,4),(1937,'تُخطّيت @count[5] ترجمة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',1936,5),(1938,'تم استيراد ملف ترجمة واحد للوحدة المثبتة حديثا.','ar',0,0),(1939,'لم يتم استيراد أي ملفات ترجمة للوحدة المثبتة حديثا.','ar',1938,1),(1940,'تم استيراد ملفي ترجمة للوحدة المثبتة حديثا.','ar',1939,2),(1941,'تم استيراد @count[3] ملفات ترجمة للوحدة المثبتة حديثا.','ar',1940,3),(1942,'تم استيراد @count[4] ملف ترجمة للوحدة المثبتة حديثا.','ar',1941,4),(1943,'تم استيراد @count[5] ملف ترجمة للوحدة المثبتة حديثا.','ar',1942,5),(1944,'تم استيراد ملف ترجمة واحد للوحدات المفعّلة.','ar',0,0),(1945,'لم يتم استيراد أي ملفات ترجمة للوحدات المفعّلة.','ar',1944,1),(1946,'تم استيراد ملفي ترجمة للوحدات المفعّلة.','ar',1945,2),(1947,'تم استيراد @count[3] ملفات ترجمة للوحدات المفعّلة.','ar',1946,3),(1948,'تم استيراد @count[4] ملف ترجمة للوحدات المفعّلة.','ar',1947,4),(1949,'تم استيراد @count[5] ملف ترجمة للوحدات المفعّلة.','ar',1948,5),(1950,'أبخازية','ar',0,0),(1951,'أفستانية','ar',0,0),(1952,'أفريكانية','ar',0,0),(1953,'أقانية','ar',0,0),(1954,'أمهرية','ar',0,0),(1955,'أسامية','ar',0,0),(1956,'عفارية','ar',0,0),(1957,'أيمارية','ar',0,0),(1958,'أذرية','ar',0,0),(1959,'بشكيرية','ar',0,0),(1960,'بيلاروسية','ar',0,0),(1961,'بيهارية','ar',0,0),(1962,'بيسلامية','ar',0,0),(1963,'بمبارية','ar',0,0),(1964,'بنغالية','ar',0,0),(1965,'تبتية','ar',0,0),(1966,'بريتونية','ar',0,0),(1967,'بوسنية','ar',0,0),(1968,'ششنية','ar',0,0),(1969,'شامورية','ar',0,0),(1970,'كورسية','ar',0,0),(1971,'كيرية','ar',0,0),(1972,'سلافونية قديمة','ar',0,0),(1973,'تشوفاش','ar',0,0),(1974,'ولزية','ar',0,0),(1975,'مالديفية','ar',0,0),(1976,'بوتانية','ar',0,0),(1977,'إيوية','ar',0,0),(1978,'أسبيرية','ar',0,0),(1979,'إستونية','ar',0,0),(1980,'باسكية','ar',0,0),(1981,'فارسية','ar',0,0),(1982,'فولية','ar',0,0),(1983,'فايروسية','ar',0,0),(1984,'فريزية','ar',0,0),(1985,'إيرلندية','ar',0,0),(1986,'اسكوتلندية جيلية','ar',0,0),(1987,'جالية','ar',0,0),(1988,'جوارانية','ar',0,0),(1989,'جوجاراتية','ar',0,0),(1990,'كانسية','ar',0,0),(1991,'هاوسية','ar',0,0),(1992,'هيري موتية','ar',0,0),(1993,'أرمنية','ar',0,0),(1994,'هيريرية','ar',0,0),(1995,'إنترلينجوة','ar',0,0),(1996,'إنترلينجا','ar',0,0),(1997,'إيغبو','ar',0,0),(1998,'إينوبياك','ar',0,0),(1999,'إيسلندية','ar',0,0),(2000,'إينوكتيتو','ar',0,0),(2001,'جافية','ar',0,0),(2002,'جورجية','ar',0,0),(2003,'كونجولية','ar',0,0),(2004,'كيكويو','ar',0,0),(2005,'كوانياما','ar',0,0),(2006,'كازاخية','ar',0,0),(2007,'جرينلندية','ar',0,0),(2008,'كمبودية','ar',0,0),(2009,'كندية','ar',0,0),(2010,'كانورية','ar',0,0),(2011,'كشميرية','ar',0,0),(2012,'كردية','ar',0,0),(2013,'كورنيشية','ar',0,0),(2014,'لاتينية','ar',0,0),(2015,'لكسمبورجية','ar',0,0),(2016,'موغندية','ar',0,0),(2017,'لينغالية','ar',0,0),(2018,'لوثانية','ar',0,0),(2019,'لاتفية','ar',0,0),(2020,'مالاجية','ar',0,0),(2021,'مارشالية','ar',0,0),(2022,'مقدونية','ar',0,0),(2023,'مالايالامية','ar',0,0),(2024,'منغولية','ar',0,0),(2025,'مولدوفية','ar',0,0),(2026,'ماراتية','ar',0,0),(2027,'مالاية','ar',0,0),(2028,'مالطية','ar',0,0),(2029,'بورمية','ar',0,0),(2030,'نيبيلية شمالية','ar',0,0),(2031,'نيبالية','ar',0,0),(2032,'ندونغا','ar',0,0),(2033,'نرويجية بوكمال','ar',0,0),(2034,'نرويجية نينورسك','ar',0,0),(2035,'نيبيلية جنوبية','ar',0,0),(2036,'شيشيوا','ar',0,0),(2037,'أوسيتانية','ar',0,0),(2038,'أورومية','ar',0,0),(2039,'أورية','ar',0,0),(2040,'أوسيتانية','ar',0,0),(2041,'بنجابية','ar',0,0),(2042,'بالية','ar',0,0),(2043,'بشتية','ar',0,0),(2044,'برتغالية، البرتغال','ar',0,0),(2045,'برتغالية، البرازيل','ar',0,0),(2046,'كيشوا','ar',0,0),(2047,'رايتو-رومانس','ar',0,0),(2048,'كيروندية','ar',0,0),(2049,'كينياروندية','ar',0,0),(2050,'سنسيكريتية','ar',0,0),(2051,'سردينية','ar',0,0),(2052,'سينديهية','ar',0,0),(2053,'سامية شمالية','ar',0,0),(2054,'سنغالية','ar',0,0),(2055,'صرب-كرواتية','ar',0,0),(2056,'صنهالا','ar',0,0),(2057,'سلوفينية','ar',0,0),(2058,'ساموية','ar',0,0),(2059,'شونا','ar',0,0),(2060,'ألبانية','ar',0,0),(2061,'صربية','ar',0,0),(2062,'سيسواتية','ar',0,0),(2063,'سيزوتو','ar',0,0),(2064,'سودانية','ar',0,0),(2065,'سواحيلية','ar',0,0),(2066,'تاميلية','ar',0,0),(2067,'تيلوغية','ar',0,0),(2068,'طاجيكية','ar',0,0),(2069,'تايلندية','ar',0,0),(2070,'تيغيانية','ar',0,0),(2071,'تركمانية','ar',0,0),(2072,'تاجالية','ar',0,0),(2073,'سيستوانية','ar',0,0),(2074,'تسونغا','ar',0,0),(2075,'تترية','ar',0,0),(2076,'توي','ar',0,0),(2077,'تاهيتية','ar',0,0),(2078,'أوكرانية','ar',0,0),(2079,'أردية','ar',0,0),(2080,'أوزبكية','ar',0,0),(2081,'فندية','ar',0,0),(2082,'فيتنامية','ar',0,0),(2083,'ولوف','ar',0,0),(2084,'خوسية','ar',0,0),(2085,'يديشية','ar',0,0),(2086,'يوروبية','ar',0,0),(2087,'زوانجية','ar',0,0),(2088,'صينية مبسطة','ar',0,0),(2089,'صينية تقليدية','ar',0,0),(2090,'زولووية','ar',0,0),(2091,'عطل في إرسال البريد (من %from إلى %to).','ar',0,0),(2092,'رتب تصاعديا','ar',0,0),(2093,'رتب تنازليا','ar',0,0),(2094,'العمليات على نصوص يونيكود تقريبية للقدر الممكن. يرجى تثبيت <a href=\"@url\">خاصية البي.اش.بي mbstring</a> لدعم أفضل لليونيكود.','ar',0,0),(2095,'التحميل الزائد لدوال المقاطع متعددة البايتات مفعل في PHP، و يجب أن يتم إيقافه. راجع إعداد <em>mbstring.func_overload</em> في ملف php.ini. لمزيد من المعلومات، من فضلك ارجع إلى <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(2096,'تحويل مدخلات المقاطع متعددة البايتات مفعل في PHP و يجب إيقافه. راجع إعداد <em>mbstring.encoding_translation</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في PHP</a>.','ar',0,0),(2097,'تحويل مدخلات المقاطع متعددة البايتات مفعل في بي.إتش.بي و يجب إيقافه. راجع إعداد <em>mbstring.encoding_input</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(2098,'تحويل مخرجات المقاطع متعددة البايتات مفعل في بي.إتش.بي ويجب إيقافه. راجع إعداد <em>mbstring.encoding_output</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(2099,'PHP قياسي','ar',0,0),(2100,'امتداد المقاطع المتعددة البايتات في  PHP','ar',0,0),(2101,'مكتبة يونيكود','ar',0,0),(2102,'تعذّر تحويل ترميز لغة النص الموسع \'%s\' إلى UTF-8.','ar',0,0),(2103,'الترميز \'%s\' غير مدعوم. من فضلك ركب iconv‏، GNU recode، أو مقاطع الأحرف متعددة البايتات (mbstring) في بي.إتش.بي.','ar',0,0),(2104,'خطأ تحليلي. الصيغة غير صحيحة','ar',0,0),(2105,'خطأ تحليلي. الصيغة غير صحيحة.','ar',0,0),(2106,'خطأ في الخادم. XML-RPC غير صالح. يجب أن يكون الطلب methodCall.','ar',0,0),(2107,'خطأ في الخادم. الطريقة المطلوبة %methodname غير محددة.','ar',0,0),(2108,'خطأ في الخادم. عدد خاطئ من معاملات الطريقة.','ar',0,0),(2109,'خطأ في الخادم. معاملات الطريقة غير صالحة.','ar',0,0),(2110,'خطأ في الخادم. الدالة المطلوبة @method غير موجودة.','ar',0,0),(2111,'صيغة دالة نظام متعددة النداء غير مقبولة.','ar',0,0),(2112,'لا يسمح بالنداء الذاتي لدوال النظام متعددة النداء.','ar',0,0),(2113,'خطأ في الخادم. توقيع الطريقة المطلوبة %methodname  غير محدد.','ar',0,0),(2114,'اسم التلقيمة (أو اسم الموقع الذي يرد منه المحتوى).','ar',0,0),(2115,'صنّف الأخبار','ar',0,0),(2116,'هل أنت متأكد أنك ترغب في حذف كل أخبار التلقيمة %feed؟','ar',0,0),(2117,'مربعات اختيار','ar',0,0),(2118,'صندوق اختيار من متعدد','ar',0,0),(2119,'تنشر الآلاف من المواقع (خاصية المواقع الإخبارية والمدونات) آخر العناوين والمواضيع في تلقيمات باستخدام عدد من الأنساق المعيارية. تشمل الأنساق التي يدعمها المجمّع <a href=\"@rss\">RSS</a>، و <a href=\"@rdf\">RDF</a> و <a href=\"@atom\">Atom</a>.','ar',0,0),(2120,'التلقيمات الحالية مسرودة أدناه، و<a href=\"@addfeed\">يمكن إضافة تلقيمات جديدة</a>. يمكن تفعيل <em>أحدث العناصر</em> لكل تلقيم أو تصنيف في <a href=\"@block\">صفحة إدارة الصناديق</a>.','ar',0,0),(2121,'أضف تلقيما بنسق RSS أو RDF أو Atom. لكل تلقيم خانة واحدة فقط.','ar',0,0),(2122,'تتيح التصنيفات جمع التلقيمات من مصادر مختلفة معا. مثلا قد تُجمع التلقيمات الرياضية المختلفة في تصنيف باسم <em>رياضة</em>. يمكن جمع التلقيمات آليا (باختيار تصنيف أثناء إضافة التلقيم) أو يدويا (عبر صفحة <em>التصنيفات</em> المتاحة من صفحة التلقيمات). لكل تصنيف صفحته الخاصة وصندوقه.','ar',0,0),(2123,'اضبط المحتوى الذي يرد للموقع من مواقع أخرى، و معدل تحديثه، و كيفية تصنيفه.','ar',0,0),(2124,'حدِّث الأخبار','ar',0,0),(2125,'تحرير التلقيمة','ar',0,0),(2126,'لا صناديق في هذه المنطقة','ar',0,0),(2127,'الصندوق %info كان مسندا إلى منطقة غير صالحة (%region) ولذا تم تعطيله.','ar',0,0),(2128,'لن تُحفظ التغييرات في هذه الصناديق قبل النقر على زر <em>احفظ الصناديق</em>.','ar',0,0),(2129,'أرسل تدوينة جديدة.','ar',0,0),(2130,'غير مسموح لك بإنشاء تدوينات جديدة.','ar',0,0),(2131,'لم تُنشئ أي تدوينات.','ar',0,0),(2132,'لم ينشئ !author أي تدوينات.','ar',0,0),(2133,'لم تُنشأ أي تلقيمات.','ar',0,0),(2134,'تدوينة','ar',0,0),(2135,'اعرض التدوينات الحديثة','ar',0,0),(2136,'اقرأ أحدث تدوينات !username.','ar',0,0),(2137,'مدونة !username','ar',0,0),(2138,'اقرأ أحدث التدوينات في هذه المدونة.','ar',0,0),(2139,'يجب أن يكون نوع المحتوى في الوصلة %add-child واحدا من تلك الأنواع المسموح بها في هياكل الوثائق.','ar',0,0),(2140,'احفظ صفحات الوثيقة','ar',0,0),(2141,'لقد عدّل هذا المحتوى مستخدم آخر. لا يمكن حفظ التعديلات.','ar',0,0),(2142,'تغيّر العنوان من %original إلى %current.','ar',0,0),(2143,'حُدّثت وثيقة %title.','ar',0,0),(2144,'وثيقة: حُدّث %title.','ar',0,0),(2145,'حدّث ملخص الوثيقة','ar',0,0),(2146,'احذف من هيكل الوثيقة','ar',0,0),(2147,'لم يحدث أي تغيير','ar',0,0),(2148,'أضيفت المادة للوثيقة المختار. يمكنك الآن تحديد موضعها بالنسبة للآخرين.','ar',0,0),(2149,'تم تحديث هيكل الوثيقة.','ar',0,0),(2150,'حدث خطأ أثناء إضافة المادة إلى الوثيقة.','ar',0,0),(2151,'‏%title ترتبط به صفحات فرعية، والتي ستنتقل تلقائيا للمحافظة على ارتباطها بالوثيقة. لإعادة إنشاء الهيكل (كما كانت قبل حذف الصفحة) يمكن إضافة %title مرة ثانية باستخدام لسان الهيكلية، وستحتاج لإعادة وضع كل الصفحات الفرعية منه يدويا.','ar',0,0),(2152,'يمكن إضافة %title للهيكل مرة ثانية باستخدام لسان الهيكل.','ar',0,0),(2153,'هل أنت متأكد أنك راغب في حذف %title من هيكل الوثيقة؟','ar',0,0),(2154,'تم حذف المادة من الوثيقة.','ar',0,0),(2155,'أظهر نسخة للطباعة من صفحة الوثيقة هذه و من صفحاتها التي تتفرع منها.','ar',0,0),(2156,'أظهر الصندوق في كل الصفحات','ar',0,0),(2157,'أظهر الصندوق في صفحات الوثيقة فقط','ar',0,0),(2158,'في حالة اختيار <em>أظهر الصندوق في كل الصفحات</em> سيحتوى الصندوق على قائمة بكل الوثائق على الموقع. أما في حالة اختيار <em>أظهر الصندوق في صفحات الوثيقة فقط</em> سيحتوى الصندوق على قائمة بالصفحات الفرعية للوثيقة الحالية، و لن يظهر الصندوق في حالة عرض أي أنواع محتوى أخرى.','ar',0,0),(2159,'هذه الصفحة الأم في هذه الوثيقة.','ar',0,0),(2160,'لم تختر أي صناديق.','ar',0,0),(2161,'الصفحة الأم للوثيقة. الحد الأقصى لعمق الوثيقة هو !maxdepth. لا يمكن إضافة صفحات فرعية أعمق من هذا الحد و بالتالي لن تتوفر بعض الصفحات كخيار الصفحة الأم.','ar',0,0),(2162,'‏%title جزء من هيكل الوثيقة وله صفحات فرعية مرتبطة. إذا حذفته ستنقل الصفحات الفرعية آليا.','ar',0,0),(2163,'أعد ترتيب صفحات الوثيقة وغير العناوين','ar',0,0),(2164,'صفحة وثيقة','ar',0,0),(2165,'اللون الأساسي','ar',0,0),(2166,'قمة الترويسة','ar',0,0),(2167,'أسفل الترويسة','ar',0,0),(2168,'لا توجد ذاكرة كافية ليغير بي.إتش.بي خطة الألوان هذه. تحتاج على الأقل إلى %size مزيد. راجع <a href=\"@url\">توثيق بي.إتش.بي</a> لمزيد من المعلومات.','ar',0,0),(2169,'حذف التعليقات المحددة','ar',0,0),(2170,'تسمح للمستخدمين بالتعليق على المحتوى المنشور و مناقشته.','ar',0,0),(2171,'مثلا: \'آراء عن الموقع\' أو \'معلومات حول المنتج\'.','ar',0,0),(2172,'عند سرد التصنيفات، تلك ذات الوزن الأخف (الأقل) ستعرض قبل الأثقل وزنا. التصنيفات المتساوية الأوزان سترتب أبجديا.','ar',0,0),(2173,'تم إعداد استمارة الاتصال. <a href=\"@add\">أضف تصنيفا أو أكثر</a> للاستمارة.','ar',0,0),(2174,'استمارة الاتصال الشخصية','ar',0,0),(2175,'تنشئ استمارة اتصال عامة، و تعد تصنيفات لتستخدمها هذه الاستمارة.','ar',0,0),(2176,'حرر تصنيف الاتصال','ar',0,0),(2177,'تفعل استعمال كلي استماراتي الاتصال الشخصية والشاملة للموقع.','ar',0,0),(2178,'تسجيل قاعدة البيانات','ar',0,0),(2179,'مشاهدة الأحداث التي تم تسجيلها حديثا.','ar',0,0),(2180,'أكثر أخطاء \'الصفحة غير موجودة\'','ar',0,0),(2181,'عرض أخطاء \'الصفحة غير موجودة\' (404).','ar',0,0),(2182,'أكثر أخطاء \'الوصول ممنوع\'','ar',0,0),(2183,'يعرض أخطاء \'الوصول ممنوع\' (403).','ar',0,0),(2184,'تسجل أحداث النظام في قاعدة البيانات.','ar',0,0),(2185,'لا يمكن لأي دور استخدام هذا النسق','ar',0,0),(2186,'وسوم إتش.تي.إم.إل المسموح بها: @tags','ar',0,0),(2187,'تستخدم المراسي لعمل روابط لصفحات أخرى.','ar',0,0),(2188,'مبدئيا، تضاف وسوم فصل السطور تلقائيا. استخدم هذا الوسم لإضافة وسوم أخرى زائدة. يختلف هذا الوسم عن الوسوم الأخرى لأنه لا يستخدم في زوج فتح و إغلاق مثل الآخرين. استخدم \"/\" داخل الوسم لكي تحافظ على التوافق مع معايير إكس.إتش.تي.إم.إل 1.0.','ar',0,0),(2189,'نص مع<br /> فواصل السطور','ar',0,0),(2190,'افتراضيا، تضاف وسوم الفقرات تلقائيا. استخدم هذا الوسم لإضافة وسوم إضافية.','ar',0,0),(2191,'الفقرة الأولى.','ar',0,0),(2192,'الفقرة الثانية.','ar',0,0),(2193,'مهم','ar',0,0),(2194,'موضّح','ar',0,0),(2195,'مقتبس','ar',0,0),(2196,'نص أكواد يُستخدم لعرض الكود المصدري للبرمجيات','ar',0,0),(2197,'مُكَوَّد','ar',0,0),(2198,'عريض','ar',0,0),(2199,'مائل','ar',0,0),(2200,'نص علوي','ar',0,0),(2201,'نص <sup>علوي</sup>','ar',0,0),(2202,'نص سفلي','ar',0,0),(2203,'نص <sub>سفلي</sub>','ar',0,0),(2204,'<abbr title=\"اختصار\">اخ</abbr>','ar',0,0),(2205,'<acronym title=\"اختصار ثلاثي الحروف\">اثح</acronym>','ar',0,0),(2206,'فقرة مقتبسة','ar',0,0),(2207,'مقتبس داخل السطر','ar',0,0),(2208,'رأس الجدول','ar',0,0),(2209,'خلية في جدول','ar',0,0),(2210,'قائمة مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0,0),(2211,'أول عنصر','ar',0,0),(2212,'ثاني عنصر','ar',0,0),(2213,'قائمة غير مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0,0),(2214,'قوائم التعريفات مشابهة للقوائم في إتش.تي.إم.إل. رقم &lt;dl&gt; يبدأ قائمة التعريفات، و رقم &lt;dt&gt; يبدأ المصطلح، و رقم &lt;dd&gt; يبدأ تعريف المصطلح.','ar',0,0),(2215,'أول مصطلح','ar',0,0),(2216,'أول تعريف','ar',0,0),(2217,'ثاني مصطلح','ar',0,0),(2218,'ثاني تعريف','ar',0,0),(2219,'عنوان ثالث','ar',0,0),(2220,'عنوان رابع','ar',0,0),(2221,'عنوان خامس','ar',0,0),(2222,'عنوان سادس','ar',0,0),(2223,'وصف الوسم','ar',0,0),(2224,'عند كتابة','ar',0,0),(2225,'يظهر لك','ar',0,0),(2226,'لا توجد مساعده متوفرة للوسم %tag.','ar',0,0),(2227,'رمز &','ar',0,0),(2228,'علامة التنصيص','ar',0,0),(2229,'وصف الحرف','ar',0,0),(2230,'تفصل السطور و الفقرات تلقائيا.','ar',0,0),(2231,'يتم التعرف على السطور والفقرات تلقائيا. وسم فصل السطر &lt;br /&gt;، و وسم بداية الفقرة &lt;p&gt;، و وسم إغلاق الفقرة &lt;/p&gt; تضاف تلقائيا. إذا لم تعرف الفقرات تلقائيا، أضف سطرين فارغين بينها.','ar',0,0),(2232,'تتحول مسارات مواقع وب و عناوين البريد الإلكتروني إلى روابط آليا.','ar',0,0),(2233,'تضبط كيفية ترشيح المحتوى الذي يدخله المستخدمون، بما فيه وسوم إتش.تي.إم.إل المسموح بها، و تسمح أيضا بتفعيل مرشحات إضافية توفرها الوحدات.','ar',0,0),(2234,'نصائح للكتابة','ar',0,0),(2235,'اسم مختصر لكن ذو مغزى لهذه المجموعة من النقاشات المتفرعة.','ar',0,0),(2236,'وصف عام و قواعد النقاش لهذا المنتدى.','ar',0,0),(2237,'تُعرض المنتديات بترتيب تصاعدي حسب الوزن (المنتديات المتساوية في الوزن ترتب أبجديا).','ar',0,0),(2238,'اسم مختصر لكن ذو مغزى لهذه المجموعة من المنتديات المتقاربة.','ar',0,0),(2239,'وصف عام و قواعد المنتديات في هذه الحاوية.','ar',0,0),(2240,'تُعرض الحاويات بترتيب تصاعدي حسب الوزن (الحاويات المتساوية في الوزن ترتب أبجديا).','ar',0,0),(2241,'حذف منتدى أو حاوية سيحذف أيضا كل المنتديات الفرعية والمناقشات التابعة له. ان كنت تريد فقط حذف مواضيع من المنتدى استخدم صفحة <a href=\"content\">إدارة المحتوى</a>. لا يمكن التراجع عن هذا الفعل.','ar',0,0),(2242,'العدد المبدئي للمناقشات التي ستعرض في صفحة واحدة.','ar',0,0),(2243,'الترتيب الافتراضي لعرض المواضيع.','ar',0,0),(2244,'عادة ما توضع الحاويات في المستوى الأعلى (الجذر) من المنتدى. ولكن يظل بالإمكان وضع حاوية داخل حاوية أخرى أو منتدى.','ar',0,0),(2245,'يمكن وضع المنتديات بالمستوى الأعلى (الجذر)، أو بداخل حاوية.','ar',0,0),(2246,'لمزيد من المعلومات، طالع صفحة <a href=\"@forum\">وحدة المنتديات</a> في كتيب الاستخدام.','ar',0,0),(2247,'مناقشة منتدى','ar',0,0),(2248,'غير مسموح لك بإنشاء نقاشات جديدة في المنتدى.','ar',0,0),(2249,'تسير عرض المساعدة المباشرة.','ar',0,0),(2250,'توفر هذى الصفحة معلومات عن النصوص الممكن ترجمتها. يعرض دروبال النصوص الممكن ترجمتها في مجموعات نصية، يمكن للوحدات تعريف مجموعات نصية إضافية تحتوي على نصوص يمكن ترجمتها. توفر المجموعات النصية طريقة لجمع النصوص المتعلقة ببعضها معا حيث تستخدم لتركز مجهودات الترجمة نحو أجزاء محددة من واجهة دروبال.','ar',0,0),(2251,'لاحظ أن ملفات الترجمة <em>.po</em> المتواجدة بحزمة ترجمة يتم استيرادها تلقائيا (في حال وجودها) عند تفعيل وحدات أو حلل جديدة أو عند إضافة لغات جديدة. بما أن هذه الصفحة تسمح باستيراد ملف <em>.po</em> واحد فقط في كل مرة، فقد يكون من الأسهل تحميل وتفكيك حزمة ترجمة داخل مجلدك الذي ثُبّت فيه دروبال و<a href=\"@language-add\">أضافة اللغة</a> (هذا سيستورد تلقائيا كل ملفات <em>.po</em> الموجودة بالحزمة). حزم الترجمة متوفرة للتحميل في <a href=\"@translations\">صفحة ترجمة دروبال</a>.','ar',0,0),(2252,'تصدّر هذه الصفحة النصوص المترجمة المستعملة من طرف موقعك. ملف التصدير يكون أن يكون على شكل Gettext Portable Object (<em>.po</em>)، الذي يضم كلا من المقطعبن الأصلي و الترجمة (مستعمل لمشاركة الترجمة مع الآخرين)، أو على شكل Gettext Portable Object Template (<em>.pot</em>)، الذي يضم المقطع الأصلي فقط (يستخدم لإنشاء ترجمات جديدة باستخدام محرر ترجمة Gettext).','ar',0,0),(2253,'واجهة مدمجة','ar',0,0),(2254,'اللغة المبدئية للرسائل البريدية و لعرض الموقع الخاصة بهذا الحساب.','ar',0,0),(2255,'اللغة المبدئية للرسائل البريدية الخاصة بهذا الحساب.','ar',0,0),(2256,'المسار البديل المحدد للغة معينة سوف يستخدم دائما عند عرض هذه الصفحة بهذه اللغة. و سوف يكون له أسبقية عن المسار البديل المحدد <em>لكل اللغات</em>.','ar',0,0),(2257,'تفعيل دعم تعدد اللغات لهذا النوع من المحتوى. إذا تم التفعيل سوف يظهر حقل لاختيار اللغة في استمارة إضافة هذا النوع من المحتوى لكي يسمح لك باختيار واحدة من <a href=\"!languages\">اللغات المفعلة</a>. إذا لم تُفعّل هذه الخاصية فستُدرج كل الرسائل الجديدة تحت اللغة المبدئية للموقع. المحتوى الموجود مسبقا بالموقع لن يتأثر بأي تغيير يطرأ على هذه الخاصية.','ar',0,0),(2258,'اضبط اللغات المتاحة للمحتوى و ترجمة واجهة الاستخدام.','ar',0,0),(2259,'ترجمة الواجهة المدمجة و النصوص الأخرى.','ar',0,0),(2260,'تضيف خصائص التعامل مع اللغات وتمكن المستخدم من تغيير لغة واجهة الاستخدام إلى لغات غير الإنجليزية.','ar',0,0),(2261,'إعدادات استمارة النشر','ar',0,0),(2262,'ليس لنوع المحتوى خانة عنوان.','ar',0,0),(2263,'يمكن أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة وأرقام وشرطات سفلية فقط.','ar',0,0),(2264,'الاسم الموجه للبشر %name مستخدم بالفعل.','ar',0,0),(2265,'هل أنت متأكد أنك راغب في حذف نوع المحتوى %type؟','ar',0,0),(2266,'أُضيف نوع المحتوى %name.','ar',0,0),(2267,'تم تغيير نوع محتوى موضوع واحد من %old-type إلى %type.','ar',0,0),(2268,'لم يُغيّر نوع محتوى أي موضوع.','ar',2267,1),(2269,'تم تغيير نوع محتوى موضوعين من %old-type إلى %type.','ar',2268,2),(2270,'تم تغيير نوع محتوى @count[3] مواضيع من %old-type إلى %type.','ar',2269,3),(2271,'تم تغيير نوع محتوى @count[4] موضوعا من %old-type إلى %type.','ar',2270,4),(2272,'تم تغيير نوع محتوى @count[5] موضوع من %old-type إلى %type.','ar',2271,5),(2273,'هل أنت متأكد أنك ترغب في إعادة بناء صلاحيات محتوى الموقع؟','ar',0,0),(2274,'يُعيد هذا الإجراء بناء كل صلاحيات محتوى الموقع، و لن يمكن التراجع عنه.','ar',0,0),(2275,'اللغة','ar',0,0),(2276,'حدث خطأ ولم تكتمل المعالجة.','ar',0,0),(2277,'يعرض لك المقتطف ما يظهر من الموضوع حال ترقيته إلى الصفحة الرئيسية، أو في تلقيمة آر.إس.إس.<span class=\"no-js\"> يمكنك إضافة &lt;!--break--&gt; لتحدد مكان قطع الموضوع.</span>','ar',0,0),(2278,'نسخة من مراجعة %date.','ar',0,0),(2279,'استُرجِع @type %title إلى مراجعة %revision-date.','ar',0,0),(2280,'حذُفت مراجعة @type %title بتاريخ %revision-date.','ar',0,0),(2281,'@type: تم إعادة %title إلى وضعه في النسخة %revision.','ar',0,0),(2282,'تحتاج صلاحيات الوصول للمحتوى إلى إعادة بنائها.','ar',0,0),(2283,'<strong>اضبط موقعك</strong> بمجرد ولوجك، زر <a href=\"@admin\">قسم الإدارة</a> حيث يمكنك <a href=\"@config\">تطويع و ضبط</a> كل النواحي في موقعك.','ar',0,0),(2284,'<strong>فَعِّل خصائص إضافية</strong> بعدها، زر <a href=\"@modules\">قائمة الوحدات</a> و فعل الخصائص التي تناسب احتياجاتك. بإمكانك معرفة المزيد عن الوحدات الإضافية في <a href=\"@download_modules\">قسم تنزيل وحدات دروبال</a>.','ar',0,0),(2285,'<strong>خصص مظهر موقعك</strong> لتغير شكل ومظهر الموقع، زر <a href=\"@themes\">قسم الثيمات</a>. بإمكانك هناك اختيار واحد من الثيمات الموجودة، كما بإمكانك تحميل ثيمات إضافية من <a href=\"@download_themes\">قسم تحميل ثيمات دروبال</a>.','ar',0,0),(2286,'يعيد بناء صلاحيات الوصول للمحتوى','ar',0,0),(2287,'أُعيد بناء صلاحيات المحتوى.','ar',0,0),(2288,'لم يتم إعادة بناء صلاحيات الوصول للمحتوى بشكل سليم.','ar',0,0),(2289,'إضافة نوع محتوى','ar',0,0),(2290,'استعد مراجعة سابقة','ar',0,0),(2291,'احذف مراجعة سابقة','ar',0,0),(2292,'تسمح بنشر المحتوى على الموقع و عرضه في صفحات.','ar',0,0),(2293,'لاستخدام OpenID يجب أولا أن تنشئ هوية على خادم OpenID عام أو خاص. إذا لم يكن لديك OpenID و تود أن يكون لك واحد، راجع واحدا من <a href=\"@openid-providers\">المزودين العامين المجانين</a>.  يمكنك معرفة المزيد عن OpenID في <a href=\"@openid-net\">هذا الموقع</a>.','ar',0,0),(2294,'هويات OpenID','ar',0,0),(2295,'يمكن دخول المستخدمين إلى موقعك باستخدام OpenID.','ar',0,0),(2296,'البديل %alias سبق استخدامه في هذه اللغة.','ar',0,0),(2297,'تم حفظ البديل.','ar',0,0),(2298,'هل أنت متأكد أنك ترغب في حذف المسار البديل %title؟','ar',0,0),(2299,'رشح المسارات البديلة','ar',0,0),(2300,'أدخل المسار الذي ترغب في إنشاء بديل له، و أتبعه باسم المسار الجديد.','ar',0,0),(2301,'بدائل المسارات','ar',0,0),(2302,'غيّر مسارات موقعك بتعيين بدائل لها.','ar',0,0),(2303,'تحرير البديل','ar',0,0),(2304,'احذف البديل','ar',0,0),(2305,'أضف بديلا','ar',0,0),(2306,'تمكن المستخدمين من إعادة تسمية المسارات.','ar',0,0),(2307,'يوجد بموقع <a href=\"@drupal\">Drupal.org</a> <a href=\"@php-snippets\">بعض الأمثلة بكود PHP</a> أو يمكنك كتابة الكود الخاص بك إذا كان لديك بعض الخبرة في لغة PHP و نظام دروبال.','ar',0,0),(2308,'يمكنك كتابة كود بلغة بي.إتش.بي. يجب أن تضيف أوسمة &lt;?php ?&gt;.','ar',0,0),(2309,'استخدام كود PHP','ar',0,0),(2310,'يمكن كتابة كود PHP في المحتوى بالموقع و في الصناديق. بالرغم من أن إضافة كود PHP في المحتوى أو الصناديق قد يكون ذو فائدة كبيرة إذا أضافه مستخدمون موثوق بهم و ذوي خبرة في لغة PHP إلا أنه قد يكون في غاية الخطورة على أمن الموقع إذا ما استخدم بطريقة خاطئة. مجرد خطأ بسيط في كود PHP يمكن أن يؤدي إلى اختراق موقعك.','ar',0,0),(2311,'إذا لم يكن لديك معرفة كافية بدروبال و لغتي PHP و SQL ابتعد عن استخدام كود PHP في المحتوى. تجربة الكود قد يؤدي إلى تخريب قاعدة البيانات، إيقاف الموقع عن العمل، أو تعريضه للاختراق.','ar',0,0),(2312,'ملاحظات:','ar',0,0),(2313,'تذكر أن تراجع كل سطر أكثر من مرة لتتأكد من خلوه من أي أخطاء في نحو اللغة أو في المنطق الذي تريد تنفيذه <strong>قبل</strong> الحفظ.','ar',0,0),(2314,'يجب أن تقفل كل جملة برمجية بفاصلة منقوطة.','ar',0,0),(2315,'المتغيرات العامة المستخدمة في كود PHP سوف تعود إلى قيمتها الأولية بعد أن ينتهي تنفيذ النص البرمجي الخاص بك.','ar',0,0),(2316,'خيار <code>register_globals</code> <strong>معطل</strong>. إذا كنت تريد أن تستخدم الاستمارات ادرس و استخدم الوظائف الموجودة في <a href=\"@formapi\">واجهة الاستمارات البرمجية بدروبال</a>.','ar',0,0),(2317,'استخدم <code>print</code> أو <code>return</code> في شيفرتك لتقوم بعرض أي محتوى.','ar',0,0),(2318,'قم بتطوير كود PHP التي تريد استخدامها في برمجية مستقلة و قاعدة بيانات أخرى بعيدة عن موقعك قبل أن تقوم بوضعها في الموقع.','ar',0,0),(2319,'فكر في كتابة كود PHP التي تريد استخدامه في وحدة مخصصة لذلك أو في ملف <code>template.php</code> بدل من وضعها مباشرة في صندوق أو في محتوى.','ar',0,0),(2320,'احترس من أن إمكانية إضافة كود PHP في المحتوى توفرها وحدة مرشح PHP. إذا حذّفت عطّلت هذه الوحدة فإن الكود الذي أضفته إلى المحتوى سوف يظهر كما هو بدلا من تنفيذه.','ar',0,0),(2321,'مثال بسيط: <em> عمل صندوق \"ترحيب\" بالزوار برسالة بسيطة. </em>','ar',0,0),(2322,'مقيم PHP','ar',0,0),(2323,'يشغل كود بي.إتش.بي. يجب أن يتاح استخدام هذا المرشح للإداريين فقط!','ar',0,0),(2324,'تمكن تقييم كود/قصاصات بي.إتش.بي المضمّنة.','ar',0,0),(2325,'مجموع الأصوات : @votes','ar',0,0),(2326,'أحدث استطلاع رأي','ar',0,0),(2327,'<em>استطلاع الرأي</em> عبارة عن سؤال مرفق بمجموعة من الخيارات. يتابع استطلاع الرأي عدد الأصوات التي حصل عليها كل اختيار.','ar',0,0),(2328,'حالة استطلاع الرأي','ar',0,0),(2329,'لا يمكن للزائرين التصويت بعد إغلاق الاستطلاع.','ar',0,0),(2330,'يغلق استطلاع الرأي بعد هذه الفترة بشكل آلي.','ar',0,0),(2331,'غير مسموح بالقيم السالبة.','ar',0,0),(2332,'تعذّر تسجيل صوتك لأنك لم تختر أي من الخيارات المتاحة.','ar',0,0),(2333,'عدد الأصوات','ar',0,0),(2334,'استطلاعات الرأي','ar',0,0),(2335,'تم تحديث الحقل.','ar',0,0),(2336,'لا حقول تحت هذا التصنيف. ان لم تضف أي حقول سيحذف التصنيف عند الحفظ.','ar',0,0),(2337,'اسم الحقل. لن يعرض اسم الحقل للمستخدمين، إلا أنه سيستخدم داخليا في شفرة إتش.تي.إم.إل وفي المسارات.\nإلا إذا كنت متأكدا مما تفعل، فمن الموصى به جدا أن تسبق اسم الاستمارة بـ<code>profile_</code>، و ذلك لتلافي أي تعارضات مع أسماء خانات أخرى. غير مسموح بالمسافات أو أي حروف خاصة أخرى باستثناء الشرطة (-) و الشرطة على السطر (_).مثال على أسماء الاستمارات \"profile_favorite_color\"، أو ربما فقط \"profile_color\".','ar',0,0),(2338,'قائمة بكل الخيارات. ضع كل منها في سطر مستقل. أمثلة على الخيارات: \"أحمر\"؛ \"أزرق\"؛ \"أخضر\"...','ar',0,0),(2339,'حقول ملف المستخدم المخفية، متاحة فقط للإداريين، و الوحدات، و السمات.','ar',0,0),(2340,'حقل خاص. لا يظهر المحتوى إلا للمستخدمين ذوي الصلاحية.','ar',0,0),(2341,'حقل عام. يظهر المحتوى في صفحة الملف، لكنه لن يظهر في صفحة قائمة الأعضاء.','ar',0,0),(2342,'حقل عام. يظهر المحتوى في صفحة الملف، و في صفحة قائمة الأعضاء.','ar',0,0),(2343,'يحدد الوزن ترتيب إظهار حقول الاستمارة. تترتب الحقول من الأخف إلى الأثقل في التصنيف الواحد.','ar',0,0),(2344,'ستكمل الاستمارة آليا بينما يملأها المستخدم.','ar',0,0),(2345,'إن لم يكن للمستخدم صلاحية عرض ملفات المستخدمين سيعطل الإكمال الآلي كاحتياط أمني.','ar',0,0),(2346,'اسم الاستمارة المحدد يحتوي حرفا واحدا على الأقل غير مسموح به. غير مسموح بالمسافات أو أي حروف خاصة باستثناء الشرطة (-) و الشرطة على السطر (_).','ar',0,0),(2347,'اسم الاستمارة المحدد محجوز لاستخدام دروبال.','ar',0,0),(2348,'اسم التصنيف المحدد محجوز لاستخدام دروبال.','ar',0,0),(2349,'العنوان المحدد مستخدم فعلا.','ar',0,0),(2350,'الاسم المحدد مستخدم فعلا.','ar',0,0),(2351,'لا يمكن جعل حقل مخفي ضروري.','ar',0,0),(2352,'لا يمكن ضبط الحقول المخفية بحيث تظهر في استمارة التسجيل.','ar',0,0),(2353,'تم إنشاء الحقل.','ar',0,0),(2354,'هل أنت متأكد أنك ترغب في حذف الحقل %field؟','ar',0,0),(2355,'لا يمكن الرجوع عن هذا الفعل. إذا كان المستخدمون قد أدخلوا قيما لهذا الحقل في ملفاتهم الشخصية فستمسح تلك المعلومات أيضا. إذا كنت ترغب في الحفاظ على المعلومات التي أدخلها هؤلاء، بدلا من أن تمسح الحقل ربما ترغب في <a href=\"@edit-field\">تحرير هذا الحقل</a> و تغيير عرضه بحيث لا يصل إليه إلا الإداريين.','ar',0,0),(2356,'تم حذف الحقل %field.','ar',0,0),(2357,'تم إضافة الحقل %field تحت التصنيف %category.','ar',0,0),(2358,'تم حذف حقل ملف المستخدمين %field.','ar',0,0),(2359,'قائمة المستخدمين','ar',0,0),(2360,'حقل نصي من سطر واحد','ar',0,0),(2361,'حقل نصي متعددة السطور','ar',0,0),(2362,'مربع اختيار','ar',0,0),(2363,'قائمة اختيار','ar',0,0),(2364,'قائمة حرة','ar',0,0),(2365,'معلومات المؤلف','ar',0,0),(2366,'اربط بالملف الكامل للمستخدم','ar',0,0),(2367,'حقول الملف الشخصي التي ستعرض','ar',0,0),(2368,'اختر حقول ملف معلومات المستخدمين التي ترغب في ظهورها في الصندوق. الحقول المتاحة هي فقط التي تم تحديدها كحقول عامة في <a href=\"@profile-admin\">إعدادات حقول ملف المستخدم</a>.','ar',0,0),(2369,'اعرض كامل ملف المستخدم','ar',0,0),(2370,'عن %name','ar',0,0),(2371,'ضع كل عنصر في سطر مستقل أو افصل بينها بعلامة الفاصلة. من غير المسموح استخدام إتش.تي.إم.إل.','ar',0,0),(2372,'المسار الذي أدخلته في حقل %field غير صحيح.','ar',0,0),(2373,'أنشئ خانات طيعة لمستخدميك.','ar',0,0),(2374,'أكمل خانة الملف آليا','ar',0,0),(2375,'تحرير الحقل','ar',0,0),(2376,'احذف الحقل','ar',0,0),(2377,'إكمال ملف المستخدم آليا','ar',0,0),(2378,'تدعم إمكانية ضبط ملفات المستخدمين.','ar',0,0),(2379,'سيعاد بناء الفهرس.','ar',0,0),(2380,'حالة الفهرسة','ar',0,0),(2381,'صمام الفهرسة','ar',0,0),(2382,'عدد العناصر التي ستتم فهرستها خلال كل عمل لمجدول الأعمال (كرون)','ar',0,0),(2383,'أقصى عدد من العناصر التي ستتم فهرستها خلال كل <a href=\"@cron\">مهمة صيانة بمجدول الأعمال (كرون)</a>. عند الحاجة، اِخفض هذا العدد لتفادى أخطاء تجاوز المهلات وأخطاء الذاكرة خلال الفهرسة.','ar',0,0),(2384,'إعدادات الفهرسة','ar',0,0),(2385,'<p><em>تغيير الإعدادات التالية سيتسبب في إعادة بناء فهرس الموقع. لن يتم حذف فهرس البحث، و لكن سيتم تحديثه نظاميا ليعكس الإعدادات الجديدة. سيستمر نظام البحث في العمل إلا أن المحتويات الجديدة لن تفهرس حتى تتم إعادة فهرسة كامل المواد الموجودة.</em></p><p><em>يفترض أن تكون الإعدادات الافتراضية مناسبة لغالبية المواقع.</em></p>','ar',0,0),(2386,'الحد الأدنى لطول الكلمة التي تفهرس','ar',0,0),(2387,'عدد أحرف الكلمة التي يجب أن تحتوي عليها الكلمة حتى تتم فهرستها. القيم الأقل يعني رتبة أفضل لنتائج البحث و لكن يتسبب في كبر حجم قاعدة البيانات. كل استعلام بحث يجب أن يحتوي على الأقل على كلمة واحدة بهذا العدد من الأحرف (أو أطول).','ar',0,0),(2388,'تعمل مع الصينية/اليابانية/الكورية المبسطة','ar',0,0),(2389,'تطبيق tokenizer للصينية/الكورية/اليابانية المبسطة مبني على التتابعات المتقاطعة. الغ تشغيل هذه الخاصية إذا كنت تود استخدام برنامج معالجة خارجي لهذا الغرض. لا يؤثر هذا الخيار في اللغات الأخرى.','ar',0,0),(2390,'يحافظ محرك البحث على فهرس للكلمات الموجودة في محتوى موقعك. يتطلب بناء وصيانة هدا الفهرس <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a> معَدة إعدادا صحيحا. يمكن تعديل طريقة الفهرسة باستعمال الإعدادات أسفله.','ar',0,0),(2391,'استمارة البحث','ar',0,0),(2392,'أكثر العبارات بحثا','ar',0,0),(2393,'يعرض أشهر العبارات التي بُحِث عنها.','ar',0,0),(2394,'تفعل البحث على مستوى الموقع كله.','ar',0,0),(2395,'زمن توليد الصفحة الكلي','ar',0,0),(2396,'%time ملي ثانية','ar',0,0),(2397,'أشهر الصفحات في آخر %interval','ar',0,0),(2398,'أهم الزوار في آخر %interval','ar',0,0),(2399,'أكثر من يربط للموقع في آخر %interval','ar',0,0),(2400,'سجل الوصول إلى كل صفحة. ضروري لإحصاء من يربط إلى الموقع.','ar',0,0),(2401,'سيُتخلص من سجلات الوصول القديمة (بما في ذلك إحصائيات المحيل). (يتطلب <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a> معَدة إعدادا صحيحا.)','ar',0,0),(2402,'إعدادات عداد عرض المحتوى','ar',0,0),(2403,'عدد مرات عرض المحتوى','ar',0,0),(2404,'عد كل مرة يعرض فيها المحتوى.','ar',0,0),(2405,'إعدادات المعلومات الإحصائية التي سيقوم دروبال بحفظها عن الموقع.طالع <a href=\"@statistics\"> إحصائيات الموقع</a> للمعلومات الفعلية.','ar',0,0),(2406,'تظهر هذه الصفحة أحدث الزيارات للموقع.','ar',0,0),(2407,'تظهر هذه الصفحة الروابط الواردة التي يصل منها الزوار لموقعك أو المواقع التي تذكر موقعك.','ar',0,0),(2408,'عندما تحجب زائرا، فأنت تمنع أي وصول إلى موقعك من عنوان IP الخاص به. بعكس إيقاف مستخدم ما فإن حجب زائر يعمل حتى وإن كان مستخدما مجهولا. الاستخدام الأكثر شيوعا لهذه الميزة هو في حجب آليات محركات البحث التي تستنفذ موارد النظام.','ar',0,0),(2409,'المحتوى المشهور','ar',0,0),(2410,'عدد العناصر التي ستعرض في قائمة \"في عمر الموقع\".','ar',0,0),(2411,'عدد العناصر التي ستعرض في قائمة \"المعروض حديثا\".','ar',0,0),(2412,'اليوم:','ar',0,0),(2413,'في عمر الموقع:','ar',0,0),(2414,'آخر ما عرض:','ar',0,0),(2415,'اعرض الصفحات التي طلبت مؤخرا.','ar',0,0),(2416,'اعرض الصفحات التي تطلب كثيرا.','ar',0,0),(2417,'أهم الزوار','ar',0,0),(2418,'اعرض الزوار الذين يطلبون صفحات كثيرة.','ar',0,0),(2419,'أصحاب الروابط الواردة','ar',0,0),(2420,'اعرض أكثر من يربط إلى الموقع','ar',0,0),(2421,'اعرض سجل الوصول.','ar',0,0),(2422,'تابع زيارات الصفحات','ar',0,0),(2423,'تحتفظ بسجلات الوصول لموقعك.','ar',0,0),(2424,'تسجل أحداث النظام في سجل النظام.','ar',0,0),(2425,'صور المستخدمين في الرسائل','ar',0,0),(2426,'صور المستخدمين في التعليقات','ar',0,0),(2427,'رمز الاختصار','ar',0,0),(2428,'إعدادات صورة الشعار','ar',0,0),(2429,'عند تفعيلها، يعرض الشعار التالي.','ar',0,0),(2430,'استخدم الشعار المبدئي','ar',0,0),(2431,'اختر هنا إذا أردت أن تستخدم السمة الشعار الذي صمم معها.','ar',0,0),(2432,'مسار الملف الذي تود استخدامه كشعار لك بدلا من الشعار المبدئي.','ar',0,0),(2433,'رفع صورة الشعار','ar',0,0),(2434,'إعدادات أيقونة الاختصار','ar',0,0),(2435,'تظهر أيقونة الاختصار أو أيقونتك المفضلة في شريط العنوان وفي قائمة المواقع المفضلة في غالبية المتصفحات.','ar',0,0),(2436,'استخدم أيقونة الاختصار المبدئية.','ar',0,0),(2437,'أشر هنا إذا أردت أن تستخدم السمة الأيقونة المبدئية.','ar',0,0),(2438,'مسار ملف الصورة الذي تود استخدامه كأيقونة اختصار.','ar',0,0),(2439,'رفع صورة الأيقونة','ar',0,0),(2440,'إذا لم يكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع أيقونتك الاختصار.','ar',0,0),(2441,'@module (<span class=\"admin-missing\">مفقود</span>)','ar',0,0),(2442,'ستزال هذه الوحدات من على موقعك بشكل كامل، <em>و ستلغى كل البيانات المرتبطة بها</em>!','ar',0,0),(2443,'تأكيد الإزالة','ar',0,0),(2444,'هل ترغب في إكمال إزالة ما سبق؟','ar',0,0),(2445,'لم يتم اختيار أي وحدات.','ar',0,0),(2446,'تمت إزالة الوحدات المحددة.','ar',0,0),(2447,'صفحة 403 (الوصول ممنوع) الافتراضية','ar',0,0),(2448,'صفحة 404 (غير موجود) الافتراضية','ar',0,0),(2449,'تم مسح ذاكرات التخزين الموقت.','ar',0,0),(2450,'اختر أداة التعامل مع الصور','ar',0,0),(2451,'عدد العناصر في كل تلقيمة','ar',0,0),(2452,'العدد الافتراضي للعناصر التي سيتم إدراجها في التلقيمة.','ar',0,0),(2453,'محتوى التلقيمات','ar',0,0),(2454,'العناوين بالإضافة للمقتطف','ar',0,0),(2455,'الإعدادات العامة للعرض الافتراضي لعناصر المحتوى في كل تلقيمة.','ar',0,0),(2456,'اكتمل مجدول الأعمال (كرون) بنجاح.','ar',0,0),(2457,'فشل عمل كرون.','ar',0,0),(2458,'لا توجد وحدات يمكن إزالتها.','ar',0,0),(2459,'تتطلب هذه السمة النسخة @php_required من بي.إتش.بي ولا تتوافق مع النسخة !php_version منها.','ar',0,0),(2460,'تظهر لك هذه الصفحة كل المهام الإدارية الممكنة لكل وحدة.','ar',0,0),(2461,'تتحكم هذه الخيارات في العرض المبدئي للموقع بأكمله بغض النظر عن السمة المستخدمة. تستخدم هذه الإعدادات طالما لم يتم تجاوزها في سمة بعينها.','ar',0,0),(2462,'يوفر صندوق <em>يستخدم دروبال</em> وصلة اختيارية إلى صفحة مشروع دروبال. مع أن إضافة وصلة كهذه ليس مطلبا على الإطلاق، إلا أنه يمكن استخدامه لإظهار الدعم لمشروع دروبال.','ar',0,0),(2463,'تجد هنا عرض عام لمؤشرات الموقع بالإضافة للمشاكل التي تحدث أثناء التثبيت. في حال حدوث مشكلة يمكنك نسخ\\لصق نص المشكلة عند طلب الدعم في موقع دروبال أو في صفحة الوحدة التي سببت هذه المشكلة.','ar',0,0),(2464,'يستخدم دروبال','ar',0,0),(2465,'تعذّر حذف الملف المؤقت \"%path\" أثناء جمع القمامة','ar',0,0),(2466,'الوضع المصغر','ar',0,0),(2467,'أخبر دروبال عن مكان تخزين الملفات المرفوعة، و عن كيفية الوصول إليها.','ar',0,0),(2468,'عدة الصور','ar',0,0),(2469,'اختر عدة الصور التي ترغب في استخدامها، إذا كنت قد ركبت عددا اختيارية.','ar',0,0),(2470,'التلقيم','ar',0,0),(2471,'التاريخ والتوقيت','ar',0,0),(2472,'عرض التاريخ والتوقيت','ar',0,0),(2473,'تفعيل أو تعطيل المسارات النظيفة في موقعك.','ar',0,0),(2474,'فحص المسارات النظيفة','ar',0,0),(2475,'الحصول على تقرير حالة عن عمل موقعك و عن أي مشكلات تم اكتشافها.','ar',0,0),(2476,'-1 (غير محدود)','ar',0,0),(2477,'نسخة بي.إتش.بي قديمة جدا. يتطلب دروبال على الأقل نسخة بي.إتش.بي %version.','ar',0,0),(2478,'PHP register globals','ar',0,0),(2479,'‏<em>register_globals</em> مُفعّل. يتطلب دروبال تعطيل خيار التضبيط هذا. قد لا يكون موقعك آمنا عند تفعيل <em>register_globals</em>. يحتوي كتيّب بي.إتش.بي على <a href=\"http://php.net/configuration.changes\">تعليمات لتعطيل هذا التضبيط.</a>.','ar',0,0),(2480,'مُفعّل (\'@value\')','ar',0,0),(2481,'الحد الأقصى لذاكرة PHP','ar',0,0),(2482,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التركيب.','ar',0,0),(2483,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التحديث.','ar',0,0),(2484,'حسب تضبيطاتك، يستطيع دروبال العمل مع حد ذاكرة بي.إتش.بي %memory_limit. مع هذا يُنصح بحد ذاكرة يساوي %memory_minimum_limit أو أكثر، خاصة إذا كان موقعة يستخدم وحدات إضافية.','ar',0,0),(2485,'ارفع حد الذاكرة بتغيير قيمة المعامل memory_limit في الملف %configuration-file ثم أعد تشغيل خادمك للويب (أو اتصل بمدير نظامك أو مقدم خدمة الاستضافة للحصول على مساعدة).','ar',0,0),(2486,'إتصل بإدارة النظام أو مقدم الإستضافة للمساعدة في تزويد حد ذاكرة الـ PHP.','ar',0,0),(2487,'راجع <a href=\"@url\">متطلبات دروبال</a> لمزيد من المعلومات.','ar',0,0),(2488,'غير مَحْمي','ar',0,0),(2489,'الملف %file غير محم من التعديلات و قد يشكل خطورة على الأمان. ينبغي عليك تغيير صلاحيات الملف كي لا يقبل الكتابة فيه.','ar',0,0),(2490,'للمزيد من المعلومات، راجع مقال الدليل على الشبكة عن <a href=\"@cron-handbook\">إعداد وظائف كرون</a>.','ar',0,0),(2491,'لم يتم تشغيل الدورية مؤخرا.','ar',0,0),(2492,'مهام الصيانة الدورية','ar',0,0),(2493,'بإمكانك <a href=\"@cron\">تشغيل الدورية يدويا</a>.','ar',0,0),(2494,'لا يمكن الكتابة في الدليل %directory.','ar',0,0),(2495,'تحتاج إلى ضبط الدليل في <a href=\"@admin-file-system\">صفحة إعدادات نظام الملفات</a>، أو إلى أن تغير صلاحيات الدليل الحالي ليقبل الكتابة فيه.','ar',0,0),(2496,'قابل للكتابة (طريقة تنزيل <em>عمومية</em>)','ar',0,0),(2497,'قابل للكتابة (طريقة تنزيل <em>خاصة</em>)','ar',0,0),(2498,'تحديثات قاعدة البيانات','ar',0,0),(2499,'تتطلب بعض الوحدات تركيب مخطط جديد في قاعدة البيانات. ينبغي عليك تشغيل <a href=\"@update\">برمجية تحديث قاعدة البيانات</a> حالا.','ar',0,0),(2500,'يستطيع أي شخص الوصول إلى update.php دون استيثاق، ما يمثل خطرا أمنيا. يجب أن تُعيد قيمة $update_free_access في ملف settings.php إلى FALSE.','ar',0,0),(2501,'الوصول إلى update.php','ar',0,0),(2502,'تتعامل مع ضبط الموقع العام للإداريين.','ar',0,0),(2503,'أعد إلى الأبجدي','ar',0,0),(2504,'تُعرض المفردات تصاعديا مرتبة حسب الوزن.','ar',0,0),(2505,'يجب أن تكون قيمة الوزن عددية.','ar',0,0),(2506,'هل أنت متأكد أنك ترغب في إعادة معجم %title إلى الترتيب الأبجدي؟','ar',0,0),(2507,'إعادة المعجم إلى الترتيب الأبجدي سيحذف أيضا أي ترتيب يدوي.','ar',0,0),(2508,'إعادة المعجم %name إلى الترتيب الأبجدي.','ar',0,0),(2509,'تدار ترجمات أي جزء من المحتوى عبر أطقم الترجمة. لكل طقم ترجمة موضوع أصل وأي عدد من الترجمات بأي من <a href=\"!languages\">اللغات المفعّلة</a>. يحدد ما إذا كانت الترجمة حديثة أو قديمة على حسب مدى تغير الموضوع الأصل.','ar',0,0),(2510,'إعدادات الترجمة','ar',0,0),(2511,'علّم الترجمات قديمة','ar',0,0),(2512,'إذا كنت قد غيّرت كثيرا في الأصل بحيث تحتاج الترجمات إلى تحديث، فيمكنك تعليم كل ترجمات هذا الموضوع على أنها قديمة. لن يغير هذا أي من الخصائص الأخرى لهذه المواضيع كحالة النشر من عدمه.','ar',0,0),(2513,'تحتاج هذه الترجمة إلى تحديث','ar',0,0),(2514,'عند تحديد هذا الخيار فستحتاج هذه الترجمة لتحديثها لأن الأصل تغير. ارفع تحديد هذا الخيار بعد تحديث الترجمة.','ar',0,0),(2515,'ترجمة المحتوى','ar',0,0),(2516,'تسمح بترجمة المحتوى إلى لغات مختلفة.','ar',0,0),(2517,'تاريخ إصدار مجهول','ar',0,0),(2518,'آخر تحقق : منذ @time','ar',0,0),(2519,'آخر تحقق: لم يتم التحقق بعد','ar',0,0),(2520,'تشمل: %includes','ar',0,0),(2521,'وحدات مُعَطَّلة','ar',0,0),(2522,'سمات مُعَطَّلة','ar',0,0),(2523,'حدد الوتيرة التي تريد لمراقبة الإصدارات الجديدة لوحداتك وحللك المثبتة حاليا.','ar',0,0),(2524,'عتبة الإخطار بالبريد','ar',0,0),(2525,'يمكنك أن تختار إخطارك بالتحديثات الأمنية فقط أو إخطارك بكل الإصدارات الجديدة. عند توفر تحديثات جديدة لقلب دروبال أو أي من الوحدات والسمات المركبة، فسيعرض موقعك دائما رسالة في صفحة <a href=\"@status_report\">تقرير الحالة</a>، وسيعرض أيضا رسالة خطأ في صفحات الإدارة عند توفر تحديثات أمنية.','ar',0,0),(2526,'تجد هنا معلومات عن التحديثات المتوفرة للوحدات والسمات المركبة. لاحظ أن كل وحدة أو سمة جزء من \"مشروع\" والذي قد يحمل نفس الاسم أو لا، وقد يشتمل على أكثر من وحدة أو سمة.','ar',0,0),(2527,'حالة تحديث الوحدات الحلل','ar',0,0),(2528,'يوجد تحديث أمني لواحد أو أكثر من الوحدات أو السمات المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0,0),(2529,'توجد تحديثات لواحد أو أكثر من الوحدات أو السمات المركبة. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0,0),(2530,'الحصول على تقرير عن حالة التحديثات المتوفرة لوحداتك وحللك المثبتة.','ar',0,0),(2531,'أخطِر المستخدم عند تفعيل حسابه.','ar',0,0),(2532,'أخطِر المستخدم عند منع حسابه.','ar',0,0),(2533,'إرشادات الصور','ar',0,0),(2534,'يعرض هذا النص في استمارة رفع الصور، و ذلك بالإضافة إلى التعليمات المبدئية. يفيد النص في توجيه المستخدمين.','ar',0,0),(2535,'اسم الدور. مثلا: \"مشرف\"؛ \"محرر\"؛ \"مصمم\".','ar',0,0),(2536,'تمت إعادة تسمية الدور.','ar',0,0),(2537,'تم حذف الدور.','ar',0,0),(2538,'إرسال كلمة المرور الجديدة إلى البريد الإلكتروني','ar',0,0),(2539,'عفوا، لم يتم التعرف على %name كاسم مستخدم أو عنوان بريد إلكتروني.','ar',0,0),(2540,'تم إرسال تعليمات إضافية إلى عنوان بريدك الإلكتروني.','ar',0,0),(2541,'تم حذف %name.','ar',0,0),(2542,'يجب أن تدخل اسم مستخدم.','ar',0,0),(2543,'يجب ألا يبدأ اسم المستخدم بمسافة.','ar',0,0),(2544,'يجب ألا ينتهي اسم المستخدم بمسافة.','ar',0,0),(2545,'يجب ألا يحتوى اسم المستخدم على مسافات متتالية.','ar',0,0),(2546,'يحتوى اسم المستخدم على حرف غير مسموح به.','ar',0,0),(2547,'اسم المستخدم %name طويل جدا: يجب الا يزيد أسم المستخدم عن %max حرفا.','ar',0,0),(2548,'يجب أن تدخل بريدك الإلكترونى.','ar',0,0),(2549,'المتصلون الأن','ar',0,0),(2550,'طول قائمة المستخدمين','ar',0,0),(2551,'أدخل كلمة المرور المصاحبة لاسم مستخدمك.','ar',0,0),(2552,'إعدادات التوقيع','ar',0,0),(2553,'احذف الصورة','ar',0,0),(2554,'اختر هذا الصندوق لتحذف صورتك الحالية.','ar',0,0),(2555,'ارفع المنع عن المستخدمين المختارين','ar',0,0),(2556,'امنع المستخدمين المختارين','ar',0,0),(2557,'تمكن هذه الصفحة الإداريين من تسجيل مستخدمين جدد. يجب أن تكون عناوين البريد الإلكتروني وأسماء المستخدمين فريدة.','ar',0,0),(2558,'أدخل نمطا بسيطا (يمكن استخدام \"*\" كجوكر) للبحث عن اسم مستخدم.مثلا، يمكن البحث عن \"مح\" ليعطي دروبال يعطى نتائج مثل \"محمد\" و \"محمود\" و \"محفوظ\".','ar',0,0),(2559,'حُذف المستخدم: %name ‏%email.','ar',0,0),(2560,'حدد الوصول إلى الخصائص باختيار صلاحيات الأدوار.','ar',0,0),(2561,'تحرير الدور','ar',0,0),(2562,'تدير نظام تسجيل و ولوج المستخدمين.','ar',0,0),(2563,'جَرلاند','ar',0,0),(2564,'تشغيل اختبار المسارات النظيفة','ar',0,0),(2565,'يظهر العنوان عندما يمر سهم الماوس فوق الصورة.','ar',0,0),(2566,'مؤشر التقدم','ar',0,0),(2567,'شريط مع مقياس التقدم','ar',0,0),(2568,'Throbber','ar',0,0),(2569,'فشل في رفع الملف. %upload','ar',0,0),(2570,'رابط الملف','ar',0,0),(2571,'حدث خطأ غير قابل للاسترجاع. حجم الملف على الأرجح تجاوز الحد الأقصى (@size) الذي يتحمله الخادم.','ar',0,0),(2572,'يتم الرفع...','ar',0,0),(2573,'جاري الرفع... (@current من @total)','ar',0,0),(2574,'لا يستطيع خادمك عرض تقدم رفع الملفات. يتطلب عرض تقدم رفع الملفات أن يعمل PHP مع mod_php وليس كـFastCGI.','ar',0,0),(2575,'بإمكان خادمك عرض حالة تقدم رفع الملفات بواسطة APC، ولكنه غير مفعل. يرجى إضافة <code>apc.rfc1867 = 1</code> إلى ملف الإعدادات php.ini. بدلا من ذلك، يوصى باستخدام <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>، التي تدعم رفع أكثر من ملف واحد في نفس الوقت.','ar',0,0),(2576,'مفعل (<a href=\"http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867\">APC RFC1867</a>)','ar',0,0),(2577,'مفعل (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','ar',0,0),(2578,'تقدم حالة الرفع','ar',0,0),(2579,'الواجهة','ar',0,0),(2580,'@size كيلوبايت','ar',0,0),(2581,'@size ميغابايت','ar',0,0),(2582,'@size جيغابايت','ar',0,0),(2583,'@size تيرابايت','ar',0,0),(2584,'@size بيتابايت','ar',0,0),(2585,'@size إكسابايت','ar',0,0),(2586,'@size زيتابايت','ar',0,0),(2587,'@size يوتابايت','ar',0,0),(2588,'كل الرسائل','ar',0,0),(2589,'(فارغ)','ar',0,0),(2590,'تنسيق النص','ar',0,0),(2591,'لا توجد مواضيع جديدة','ar',0,0),(2592,'موضوع مثبت','ar',0,0),(2593,'يحتوي ملف الترجمة %filename على خطأ: \"msgctxt\" غير متوقع في السطر %line.','ar',0,0),(2594,'اسم الموقع.','ar',0,0),(2595,'إعدادات المنطقة','ar',0,0),(2596,'مقطع التنسيق','ar',0,0),(2597,'هل أنت متأكد أنك تريد إلغاء التنسيق %format ؟','ar',0,0),(2598,'تم حذف التنسيق %format.','ar',0,0),(2599,'إضافة تنسيق','ar',0,0),(2600,'السماح للمستخدمين بإضافة تنسيقات تواريخ إضافية.','ar',0,0),(2601,'حذف تنسيق التاريخ','ar',0,0),(2602,'السماح للمستخدمين بحذف تنسيق تاريخ مضبوط مسبقاً.','ar',0,0),(2603,'ضبط تنسيقات التاريخ لكل محلية','ar',0,0),(2604,'اسم نوع المحتوى','ar',0,0),(2605,'اللوح','ar',0,0),(2606,'تسيير الحقول','ar',0,0),(2607,'@field_name (مقفل)','ar',0,0),(2608,'- اختر نوع الحقل -','ar',0,0),(2609,'- اختر Widget -','ar',0,0),(2610,'نوع البيانات التي سيتم حفظها.','ar',0,0),(2611,'عنصر الاستمارة لتحرير البيانات.','ar',0,0),(2612,'- اختر حقل موجود -','ar',0,0),(2613,'الحقل المشترك','ar',0,0),(2614,'إضافة حقل جديد: يجب إضافة تسمية.','ar',0,0),(2615,'إضافة حقل جديد: يجب كتابة اسم الحقل.','ar',0,0),(2616,'إضافة حقل جديد: يجب عليك تحديد نوع الحقل.','ar',0,0),(2617,'إضافة حقل جديد: يجب عليك تحديد ويدجت.','ar',0,0),(2618,'إضافة حقل جديد: ويدجت غير صالحة.','ar',0,0),(2619,'إضافة حقل موجود: يجب توفير تسمية.','ar',0,0),(2620,'إضافة حقل موجود: يجب تحديد حقل.','ar',0,0),(2621,'إضافة حقل موجود: يجب تحديد ويدجت.','ar',0,0),(2622,'إضافة حقل موجود: ويدجت غير صالحة.','ar',0,0),(2623,'@type: @field (@label)','ar',0,0),(2624,'الحقل %field مقفل ولا يمكن تعديله.','ar',0,0),(2625,'العدد الأقصى للقيم التي يمكن أن يدخلها المستخدم لهذا الحقل.','ar',0,0),(2626,'’غير محدود’ توفر زر ’إضافة المزيد’ للسماح للمستخدمين بإضافة العديد من القيم التي يرغبون بها.','ar',0,0),(2627,'يجب أن يكون %name عدد صحيح.','ar',0,0),(2628,'يجب أن يكون %name عدداً صحيحاً موجباً.','ar',0,0),(2629,'%name يجب أن يكون عدد.','ar',0,0),(2630,'يسمح فقط بالأرقام في %field.','ar',0,0),(2631,'اﻹعدادات الإقليمية','ar',0,0),(2632,'update.php','ar',0,0),(2633,'التدوير','ar',0,0),(2634,'أعلى الصفحة','ar',0,0),(2635,'أسفل الصفحة','ar',0,0),(2636,'مرحباً <strong>@username</strong>','ar',0,0),(2637,'عرض الاختصارات','ar',0,0),(2638,'عرض @width','ar',0,0),(2639,'ارتفاع @height','ar',0,0),(2640,'التكبير مسموح','ar',0,0),(2641,'توليد عشوائي بين - @degrees&deg و @degrees&deg','ar',0,0),(2642,'@degrees&deg','ar',0,0),(2643,'العمود الجانبي الأول','ar',0,0),(2644,'قاعدة البيانات بترميز UTF-8','ar',0,0),(2645,'لم يستطع دروبال تحديد ما إذا كان  ترميز قاعدة البيانات هو UTF-8','ar',0,0),(2646,'قام PostgreSQL بتهيئة نفسه','ar',0,0),(2647,'الهيكلية','ar',0,0),(2648,'تم إنشاء دور باسم: @name ومعرف: @rid','ar',0,0),(2649,'تم تسجيل دخول @name بنجاح.','ar',0,0),(2650,'تم العثور على النص \"@text\"','ar',0,0),(2651,'لم يتم العثور على النص \"@text\"','ar',0,0),(2652,'تم العثور على النمط \"@pattern\"','ar',0,0),(2653,'لم يتم العثور على النمط \"@pattern\"','ar',0,0),(2654,'تم تحديد مربع الاختيار @id.','ar',0,0),(2655,'لم يتم تحديد مربع الاختيار @id.','ar',0,0),(2656,'رسالة مستنبطة','ar',0,0),(2657,'حدد الاختبار (الاختبارات) أو مجموعة (مجموعات) الاختبارات التي تريد تشغيلها، وانقر على <em>بدء الاختبارات</em>.','ar',0,0),(2658,'الكل (@count)','ar',0,0),(2659,'الناجحة (@count)','ar',0,0),(2660,'الفاشلة (@count)','ar',0,0),(2661,'العودة إلى القائمة','ar',0,0),(2662,'مسح النتائج بعد كل عملية تشغيل كاملة لسلسلة من الاختبارات','ar',0,0),(2663,'تقديم المعلومات المستنبطة عند تشغيل الاختبارات','ar',0,0),(2664,'إعدادات مصادقة HTTP التي ستستخدم من طرف متصفح SimpleTest أثناء الاختبارات. هي مفيدة عندما يتطلب الموقع مصادقة HTTP أساسية.','ar',0,0),(2665,'@pass، @fail، @exception، و @debug','ar',0,0),(2666,'لم يتم إكمال الاختبار بنجاح.','ar',0,0),(2667,'تم تعطيل مسح النتائج ولن يتم حذف جدول نتائج الاختبارات.','ar',0,0),(2668,'لم يتبق أي جدول لإزالته.','ar',0,0),(2669,'رسالة تصحيح واحدة','ar',0,0),(2670,'رسالة تصحيح واحدة','ar',2669,1),(2671,'رسالتا تصحيح إثنتان','ar',2670,2),(2672,'@count[3] رسائل تصحيح','ar',2671,3),(2673,'@count[4] رسالة تصحيح','ar',2672,4),(2674,'@count[5] رسالة تصحيح','ar',2673,5),(2675,'تم حذف نتيجة اختبار واحدة','ar',0,0),(2676,'تم حذف نتيجة اختبار واحدة','ar',2675,1),(2677,'تم حذف نتيجتي اختبار إثنتين','ar',2676,2),(2678,'تم حذف @count[3] نتائج اختبار','ar',2677,3),(2679,'تم حذف @count[4] نتيجة اختبار','ar',2678,4),(2680,'تم حذف @count[5] نتيجة اختبار','ar',2679,5),(2681,'تم حذف جدول واحد متروك','ar',0,0),(2682,'تم حذف جدول واحد متروك','ar',2681,1),(2683,'تم حذف جدولين متروكين','ar',2682,2),(2684,'تم حذف @count[3] جداول متروكة','ar',2683,3),(2685,'تم حذف @count[4] جدولاً متروكاً','ar',2684,4),(2686,'تم حذف @count[5] جدول متروكة','ar',2685,5),(2687,'تم حذف جدول مؤقت واحد.','ar',0,0),(2688,'تم حذف جدول مؤقت واحد.','ar',2687,1),(2689,'تم حذف جدولين مؤقتين.','ar',2688,2),(2690,'تم حذف @count[3] جداول مؤقتة.','ar',2689,3),(2691,'تم حذف @count[4] جدولا مؤقت.','ar',2690,4),(2692,'تم حذف @count[5] جدول مؤقتة.','ar',2691,5),(2693,'نتائج الاختبار','ar',0,0),(2694,'عرض نتيجة الاختبارات.','ar',0,0),(2695,'hash','ar',0,0),(2696,'الرابط الدائم للتعليق','ar',0,0),(2697,'مدونات !site_name','ar',0,0),(2698,'صندوق البحث','ar',0,0),(2699,'تحرير النمط','ar',0,0),(2700,'حذف النمط','ar',0,0),(2701,'التحقق من تحديثات الوحدات الحلل المعطلة.','ar',0,0),(2702,'الجالب','ar',0,0),(2703,'هذه الصلاحية منبثقة من دور المستخدم المعرف.','ar',0,0),(2704,'Seven','ar',0,0),(2705,'openid','ar',0,0),(2706,'أضافه !username في !datetime','ar',0,0),(2707,'إدارة المنتديات','ar',0,0),(2708,'إلغاء الحساب','ar',0,0),(2709,'القائمة الثانوية','ar',0,0),(2710,'دور إداري','ar',0,0),(2711,'لا توجد أي مراجعة','ar',0,0),(2712,'@number تعليق في الصفحة','ar',0,0),(2713,'العنوان ضروري','ar',0,0),(2714,'الملفات الخاصة','ar',0,0),(2715,'غير مقيد','ar',0,0),(2716,'صناديق أخرى','ar',0,0),(2717,'المعرف الفريد للتعليق.','ar',0,0),(2718,'عنوان الإيبي للجهاز الذي أرسل منه التعليق.','ar',0,0),(2719,'الاسم المدخل من طرف صاحب التعليق.','ar',0,0),(2720,'عنوان البريد الإلكتروني المدخل من طرف صاحب التعليق.','ar',0,0),(2721,'رابط الموقع المدخل من طرف صاحب التعليق.','ar',0,0),(2722,'تنسيق محتوى التعليق.','ar',0,0),(2723,'مسار التعليق.','ar',0,0),(2724,'تحرير العنوان URL','ar',0,0),(2725,'مسار صفحة تحرير التعليق.','ar',0,0),(2726,'تاريخ إرسال التعليق.','ar',0,0),(2727,'التعليق الأب، إذا كان تسنن التعليقات مفعّل.','ar',0,0),(2728,'العقدة التي تم التعليق عليها.','ar',0,0),(2729,'صاحب التعليق، إذا كان قد سجل دخوله.','ar',0,0),(2730,'عدد التعليقات المرسلة في عقدة.','ar',0,0),(2731,'عدد التعليقات الجديدة','ar',0,0),(2732,'عدد التعليقات المرسلة على مشاركة منذ آخر زيارة للقارئ.','ar',0,0),(2733,'المعرف الفريد لآخر مراجعة للعقدة.','ar',0,0),(2734,'معرف مجموعة الترجمة','ar',0,0),(2735,'المعرف الفريد لنسخة اللغة الأصلية لهذه العقدة، في حال كانت موجودة.','ar',0,0),(2736,'نوع العقدة.','ar',0,0),(2737,'الاسم الظاهر للمستخدم لهذا النوع من المحتوى','ar',0,0),(2738,'اللغة المستخدمة في العقدة','ar',0,0),(2739,'عنوان رابط العقدة.','ar',0,0),(2740,'URL صفحة تحرير العقدة.','ar',0,0),(2741,'تاريخ التعديل','ar',0,0),(2742,'تاريخ آخر تحديث للعقدة.','ar',0,0),(2743,'مؤلف العقدة.','ar',0,0),(2744,'الفائز في الاستبيان','ar',0,0),(2745,'الإجابة الفائزة في الاستبيان.','ar',0,0),(2746,'أصوات الفائز في الاستبيان','ar',0,0),(2747,'عدد الأصوات التي حصلت عليها الإجابة الفائزة في الاستبيان.','ar',0,0),(2748,'النسبة المئوية من الأصوات التي حصل عليها الفائز','ar',0,0),(2749,'النسبة المئوية للأصوات التي تلقتها الإجابة الفائزة في الاستبيان.','ar',0,0),(2750,'عدد مرات قراءة المشاركة.','ar',0,0),(2751,'عدد مرات قراءة المشاركة اليوم.','ar',0,0),(2752,'آخر مشاهدة','ar',0,0),(2753,'تاريخ آخر قراءة للمشاركة.','ar',0,0),(2754,'شعار الموقع.','ar',0,0),(2755,'عنوان البريد الإلكتروني الإداري للموقع.','ar',0,0),(2756,'رابط الصفحة الرئيسية للموقع.','ar',0,0),(2757,'صفحة الدخول','ar',0,0),(2758,'رابط صفحة الدخول إلى الموقع.','ar',0,0),(2759,'المعرف الفريد (ID) للملف المرفوع.','ar',0,0),(2760,'اسم الملف على القرص.','ar',0,0),(2761,'رابط الملف القابل للوصول من الويب.','ar',0,0),(2762,'تاريخ آخر تغيير للملف.','ar',0,0),(2763,'المستخدم الذي قام برفع الملف أولاً.','ar',0,0),(2764,'المعرف الفريد للوسم.','ar',0,0),(2765,'اسم الوسم.','ar',0,0),(2766,'الوصف الاختياري للوسم.','ar',0,0),(2767,'عدد العقد الموسومة بمصطلح التصنيف.','ar',0,0),(2768,'العنوان URL لمصطلح التصنيف.','ar',0,0),(2769,'المعجم الذي ينتمي إليه مصطلح التصنيف.','ar',0,0),(2770,'المصطلح الأب لمصطلح التصنيف، إذا وجد.','ar',0,0),(2771,'المعرف ID الفريد لمعجم التصنيف.','ar',0,0),(2772,'اسم معجم التصنيف.','ar',0,0),(2773,'الوصف الاختياري لمعجم التصنيف.','ar',0,0),(2774,'عدد العقد الموسومة بمصطلحات تنتمي إلى معجم التصنيف.','ar',0,0),(2775,'عدد الوسوم','ar',0,0),(2776,'عدد المصطلحات التي تنتمي إلى معجم التصنيف.','ar',0,0),(2777,'المعرف الوحيد (ID) لحساب المستخدم.','ar',0,0),(2778,'اسم الدخول لحساب المستخدم.','ar',0,0),(2779,'عنوان البريد الإلكتروني لحساب المستخدم.','ar',0,0),(2780,'عنوان رابط الصفحة الشخصية للحساب.','ar',0,0),(2781,'تاريخ إنشاء حساب المستخدم.','ar',0,0),(2782,'OpenID الخاص بك','ar',0,0),(2783,'سيتم ربط هوية OpenID هذه بحسابك بعد التسجيل.','ar',0,0),(2784,'محتوى الصفحة الرئيسية','ar',0,0),(2785,'لا يسمح لك بالوصول إلى هذه الصفحة.','ar',0,0),(2786,'السماح بالتغييرات على نظام الملفات','ar',0,0),(2787,'يبدو أنك وصلت إلى هذه الصفحة عن طريق الخطأ.','ar',0,0),(2788,'authorize.php','ar',0,0),(2789,'تعذر تشغيل مجدول الأعمال (كرون) لأنه تم استخدام مفتاح غير صالح.','ar',0,0),(2790,'لا يمكن تشغيل مجدول الأعمال (كرون) لأن الموقع في وضع الصيانة.','ar',0,0),(2791,'البلد الافتراضي','ar',0,0),(2792,'تحقق من رسائل الخطأ و <a href=\"!url\">تابع التثبيت</a>.','ar',0,0),(2793,'في ملفك %settings_file أعددت @drupal لاستخدام خادم %driver، ولكن تثبيتك الحالي لـPHP لا يدعم هذا النوع من قاعدة البيانات.','ar',0,0),(2794,'عذراً، ولكن يجب أن تحدد لغة لمتابعة التثبيت.','ar',0,0),(2795,'تعذر العثور على أي ملف تثبيت. تحدد لنا ملفات التثبيت الوحدات التي بنبغي تفعيلها والمخطط الذي ينبغي تثبيته في قاعدة البيانات. ملف التثبيت ضروري لمتابعة عملية التثبيت.','ar',0,0),(2796,'عذرا، لا يمكن تحميل الملف الشخصي الذي اخترته.','ar',0,0),(2797,'تمت كل التغييرات المطلوبة على %dir و %file، لذا يُمكنك الآن إزالة صلاحيات الكتابة منهم لتفادي الأخطار الأمنية. إذا لم تكن متأكداً كيف تفعل ذلك، راجع <a href=\"@handbook_url\">كتيب الاستخدام</a>.','ar',0,0),(2798,'هنيئا، لقد قمت بتثبيت @drupal!','ar',0,0),(2799,'من فضلك راجع الرسائل أعلاه قبل التوجه إلى <a href=\"@url\">موقعك الجديد</a>.','ar',0,0),(2800,'<a href=\"@url\">زيارة موقعك الجديد</a>.','ar',0,0),(2801,'ملف الإعدادات','ar',0,0),(2802,'ملف الإعدادات غير موجود.','ar',0,0),(2803,'يحتاج مثبت @drupal لأن تقوم بإنشاء ملف الإعدادات كجزء من عملية التثبيت. قم بنسخ الملف %default_file إلى %file. مزيد من التفاصيل حول تثبيت دروبال متوفرة في <a href=\"@install_txt\">INSTALL.txt</a> .','ar',0,0),(2804,'الملف %file موجود.','ar',0,0),(2805,'ملف الإعدادات غير قابل للكتابة.','ar',0,0),(2806,'يحتاج مثبت @drupal إلى صلاحيات للكتابة على %file أثناء عملية التثبيت. إذا لم تكن متأكد من كيفية القيام بذلك يرجى مراجعة <a href=\"@handbook_url\">الدليل بموقع دروبال</a>','ar',0,0),(2807,'الرسائل الإلكترونية المولدة آلياً كمعلومات التسجيل، سترسل من هذا العنوان. استخدم عنوان في نهايته موقعك الشخصي للمساعدة في منع اعتبار هذه الرسائل كرسائل غير مرغوب بها عند استقبالها.','ar',0,0),(2808,'حساب صيانة الموقع','ar',0,0),(2809,'اختر الدولة الافتراضية للموقع.','ar',0,0),(2810,'استقبال تنبيهات البريد الإلكتروني','ar',0,0),(2811,'سيبلغك النظام عند توفر تحديثات وإصدارات أمنية مهمة للمكونات المثبتة. يتم إرسال معلومات مجهولة المصدر حول موقعك إلى <a href=\"@drupal\">Drupal.org</a>.','ar',0,0),(2812,'لا توجد تحديثات معلقة.','ar',0,0),(2813,'لا توجد تحديثات بالانتظار','ar',0,0),(2814,'يوجد تحديث واحد بالانتظار','ar',2813,1),(2815,'يوجد تحديثان بالانتظار','ar',2814,2),(2816,'يوجد @count[3] تحديثات بالانتظار','ar',2815,3),(2817,'يوجد @count[4] تحديثاً بالانتظار','ar',2816,4),(2818,'يوجد @count[5] تحديث بالانتظار','ar',2817,5),(2819,'حدث خطأ أثناء معالجة الطلب: تلقى الخادم إدخال غير صالح.','ar',0,0),(2820,'بيانات POST في الاستمارة غير صالحة.','ar',0,0),(2821,'تعذرت المتابعة، لا توجد انماط متوفرة لنقل الملفات.','ar',0,0),(2822,'تحذير : أنت لا تستخدم اتصال مشفر، لذلك سيتم إرسال كلمة المرور الخاصة بك بشكل نصي واضح. <a href=\"@https-link\">لمعرفة المزيد</a>.','ar',0,0),(2823,'للاستمرار, زود تفاصيل الاتصال بخادمك.','ar',0,0),(2824,'نمط الاتصال','ar',0,0),(2825,'أدخل إعدادات الاتصال','ar',0,0),(2826,'إعدادات الاتصال @backend','ar',0,0),(2827,'تغيير نوع الاتصال','ar',0,0),(2828,'خطأ، هذا النوع من بروتوكولات الاتصال (%backend) غير موجود.','ar',0,0),(2829,'لا توجد دفعة نشطة.','ar',0,0),(2830,'الموقع قيد الصيانة','ar',0,0),(2831,'لا يمكن أن تعمل الأرشفة إلا على الملفات المحلية: %file غير مدعوم.','ar',0,0),(2832,'تعذر رفع الملف لأن الوجهة %destination غير صحيحة.','ar',0,0),(2833,'تعذر رفع الملف %source لأنه يوجد ملف بنفس هذا الاسم في الدليل %directory.','ar',0,0),(2834,'طول اسم الملف أكثر من 240 حرفاً. أعد تسمية الملف من فضلك ثم حاول من جديد.','ar',0,0),(2835,'%path عبارة عن دليل ولا يمكن حذفه باستخدام file_unmanaged_delete().','ar',0,0),(2836,'الملف %path ليس من نوع معروف لذا لم يتم حذفه.','ar',0,0),(2837,'لا يمكن تطبيق صلاحيات الملف على %uri.','ar',0,0),(2838,'تم @current من @total.','ar',0,0),(2839,'تعذر تشغيل كافة المهام على خادم قاعدة البيانات. لم يتم العثور على المهمة %task.','ar',0,0),(2840,'فشل في تغيير %settings. من فضلك تحقق من صلاحيات الملفات.','ar',0,0),(2841,'فشل في فتح %settings، من فضلك تحقق من صلاحيات الملفات.','ar',0,0),(2842,'الوحدات المطلوبة','ar',0,0),(2843,'لم يتم العثور على وحدات مطلوبة.','ar',0,0),(2844,'الوحدات التالية مطلوبة ولكن لم يتم العثور عليها. اُنقلها إلى المجلد الفرعي للوحدات المناسب، مثل <em>sites/all/modules</em>. الوحدات المفقودة: !modules','ar',0,0),(2845,'النظام','ar',0,0),(2846,'تمت إزالة وحدة %module.','ar',0,0),(2847,'سانت بارتيليمي','ar',0,0),(2848,'سانت مارتن (الجزء الفرنسي)','ar',0,0),(2849,'إستخدم اللغة الافتراضية للموقع (@language_name).','ar',0,0),(2850,'ملف الترجمة %filepath يحتوي على خطأ: تعذر تحليل صيغة الجمع.','ar',0,0),(2851,'لا يوجد أي مقطع متوفر.','ar',0,0),(2852,'@count سلسلة HTML غير مسموح بها في %file','ar',0,0),(2853,'تم فقدان ملف ترجمة الجافاسكريبت %file.js.','ar',0,0),(2854,'تعذر إرسال البريد الإلكتروني. الرجاء الاتصال بإدارة الموقع إذا استمرت المشكلة.','ar',0,0),(2855,'صنف %class لا يطبق الواجهة %interface','ar',0,0),(2856,'الموقع قيد الصيانة. <a href=\"@url\">رفع حالة الصيانة.</a>','ar',0,0),(2857,'يعمل في وضع الصيانة.','ar',0,0),(2858,'تم تفعيل الوحدة %module.','ar',0,0),(2859,'وحدة %module معطلة.','ar',0,0),(2860,'رسالة الحالة','ar',0,0),(2861,'تعذر تحديد نوع الدليل المصدر.','ar',0,0),(2862,'تعذر تحديد نوع المشروع.','ar',0,0),(2863,'خطأ فادح أثناء التحديث، تعذر حذف دليل التثبيت.','ar',0,0),(2864,'فشل في رفع الملف، بسبب : !reason','ar',0,0),(2865,'تعذر إنشاء %directory بسبب: %reason','ar',0,0),(2866,'لا يمكن إعداد دروبال بشكل صحيح مع قاعدة البيانات الموجودة. يرجى مراجعة أية أخطاء.','ar',0,0),(2867,'لا توجد تلقيمات متاحة. <a href=\"@link\">أضف تلقيمة</a>.','ar',0,0),(2868,'لا توجد تصنيفات متاحة. <a href=\"@link\">أضف تصنيف</a>.','ar',0,0),(2869,'المدة الزمنية بين تحديث التلقيمات. يتطلب <a href=\"@cron\">مهمة دورية</a> معدة بشكل سليم.','ar',0,0),(2870,'عدد الأخبار في الصندوق','ar',0,0),(2871,'بإمكان دروبال عمل صندوق لأحدث الأخبار في هذه التلقيمة. بإمكانك <a href=\"@block-admin\">إعداد الصناديق</a> للعرض في الشريط الجانبي الخاص بصفحتك. يسمح لك هذا الإعداد بتحديد عدد عناصر الأخبار التي ستظهر في صندوق التلقيمة هذا. إذا اخترت \'0\' سوف يعطل هذا الصندوق.','ar',0,0),(2872,'المسار %url ليس صحيحاً. يرجى إدخال مسار كامل، مثل http://www.example.com/feed.xml.','ar',0,0),(2873,'توجد فعلا تلقيمة باسم %feed. من فضلك أدخل عنواناً مختلفاً.','ar',0,0),(2874,'توجد فعلا تلقيمة للمسار %url. من فضلك أدخل مساراً مختلفاً.','ar',0,0),(2875,'رفع ملف OPML يحتوي على قائمة التلقيمات المراد استيرادها.','ar',0,0),(2876,'مسار OPML البعيد','ar',0,0),(2877,'أدخل مسار ملف OPML. سيتم تحميل ومعالجة هذا الملف عند إرسال الاستمارة.','ar',0,0),(2878,'بإمكان دروبال عمل صندوق لأحدث الأخبار في تلقيمة. بإمكانك <a href=\"@block-admin\">إعداد الصناديق</a> للعرض في الشريط الجانبي الخاص بصفحتك. يسمح لك هذا الإعداد بتحديد عدد عناصر الأخبار التي ستظهر في صندوق التلقيمة. إذا اخترت \'0\' سوف تعطل هذه الصناديق التلقيمية.','ar',0,0),(2879,'يجب عليك رفع ملف أو إدخال مسار <em>حسب اختيارك</em>.','ar',0,0),(2880,'هذا المسار غير صحيح.','ar',0,0),(2881,'لم تتم إضافة أي تلقيمة جديدة.','ar',0,0),(2882,'المسار %url غير صحيح.','ar',0,0),(2883,'توجد فعلا تلقيمة بعنوان %title.','ar',0,0),(2884,'توجد فعلا تلقيمة للمسار %url.','ar',0,0),(2885,'تقوم الجوالب بتحميل البيانات من مصدر خارجي. اختر جالبا مناسبا للمصدر الخارجي المراد التحميل منه.','ar',0,0),(2886,'تقوم المحللات بمطابقة البيانات المحملة على البنية المبدئية. اختر محلل مناسب لنوع التلقيمة المراد تجميع الأخبار منها.','ar',0,0),(2887,'تعمل المعالجات علي بيانات التلقيمات المحللة، على سبيل المثال تخزين عناصر التلقيمة. اختر المعالجات المناسبة لمُهمتك.','ar',0,0),(2888,'الإعدادت الافتراضية مناسبة لأغلب مهام التجميع.','ar',0,0),(2889,'توجد فعلا فئة بعنوان %category. يرجى إدخال عنوان مختلف.','ar',0,0),(2890,'الجالب الافتراضي','ar',0,0),(2891,'يُحمِّل معطيات من عنوان URL باستخدام معالج الطلبات HTTP لدروبال.','ar',0,0),(2892,'المحلل الإفتراضي','ar',0,0),(2893,'يحلل تلقيمات RSS ،Atom و RDF.','ar',0,0),(2894,'المعالج الافتراضي','ar',0,0),(2895,'ينشأ سجلات خفيفة من عناصر التلقيمة.','ar',0,0),(2896,'إعدادات المعالج الافتراضي','ar',0,0),(2897,'عدد العناصر المعروضة في صفحات السرد','ar',0,0),(2898,'يتطلب <a href=\"@cron\">مهمة دورية</a> معدة بشكل سليم.','ar',0,0),(2899,'تحديد الفئات باستخدام','ar',0,0),(2900,'تعتبر مربعات الاختيار أسهل استخداماً بالنسبة لعدد قليل من التصنيفات، في حين أن الاختيار المتعدد يعمل بشكل أفضل بالنسبة لعدد كبير من التصنيفات.','ar',0,0),(2901,'طول ملخص الوصف','ar',0,0),(2902,'العدد الأقصى للحروف المستخدمة في ملخص المحتوى.','ar',0,0),(2903,'وحدة المجمع عبارة عن منظم وقارئ أخبار يجمع ويعرض أحدث المحتويات من التلقيمات المستندة إلى ار.اس.اس، ار.دي.اف و أتوم المتوفرة على شبكة الإنترنت. آلاف المواقع (خصوصا مواقع الأخبار والمدونات) تقوم بنشر آخر عناوين أخبارها في تلقيمات، باستخدام عدد من الأشكال الأساسية المبنية على اكس.ام.ال. لمزيد من المعلومات، يرجى مراجعة <a href=\"@aggregator-module\">وحدة المجمع<> بالكتيب المتوفر على موقع دروبال.','ar',0,0),(2904,'عرض التلقيمات','ar',0,0),(2905,'تحتوي التلقيمات على المحتويات المنشورة، والتي يمكن فرزها في تصنيفات، حسب الموضوع بصفة عامة. بإمكان المستخدمين عرض محتوى التلقيمة <a href=\"@aggregator\">بالصفحة الرئيسية للمجمع</a>، أو <a href=\"@aggregator-sources\">حسب المصدر</a> (بصفة أساسية، عن طريق قارئ تلقيمات RSS). بالإمكان عرض أحدث المحتويات في تلقيمة أو تصنيف معينة في <a href=\"@admin-block\">صفحة إدارة الصناديق</a>.','ar',0,0),(2906,'إضافة، تحرير وحذف التلقيمات','ar',0,0),(2907,'بإمكان الإداريين إضافة، تحرير وحذف التلقيمات، واختيار الطريقة التي تتم بها عملية التحقق من التلقيمات للبحث عن العناصر المحدثة في <a href=\"@feededit\">صفحة إدارة مجمع التلقيمات</a>.','ar',0,0),(2908,'تضمين OPML','ar',0,0),(2909,'لكل التلقيمات يتاح <a href=\"@aggregator-opml\">ملف نظام OPML</a>. OPML عبارة عن ملف مبني على شكل XML يستخدم لتبادل المعلومات المنظمة مثلا كقائمة تلقيمات RSS بالإمكان أيضاً <a href=\"@import-opml\">جلب التلقيمات عن طريق ملف OPML</a>.','ar',0,0),(2910,'إعداد مجدول الأعمال (كرون)','ar',0,0),(2911,'يجب أن يكون <a href=\"@cron\">مجدول الأعمال (كرون)</a> معدا إعدادا صحيحا حتى يتم تحديث التلقيمات تلقائيا.','ar',0,0),(2912,'<acronym title=\"Outline Processor Markup Language\">OPML</acronym> هو شكل من أشكال XML ويستخدم لتبادل العديد من التلقيمات بين المجمعات. يمكن لملف OPML واحد أن يحتوي على مجموعة من التلقيمات. بإمكان دروبال تحليل هذا النوع من الملفات وجلب جميع التلقيمات دفعة واحدة، وذلك لتوفير مجهود إضافتها يدوياً. بإمكانك رفع ملف من جهازك أو إدخال مسار الملف ليقوم دروبال بتحميله.','ar',0,0),(2913,'إدارة تلقيمات الأخبار','ar',0,0),(2914,'عرض تلقيمات الأخبار','ar',0,0),(2915,'إعداد حالة مجمع التلقيمات، بما في ذلك متى يتم تجاهل تلقيمات وطريقة عرض التلقيمات والتصنيفات.','ar',0,0),(2916,'تجاوز العنوان المبدئي للصندوق. استخدم <em>!placeholder</em> كي لا تعرض أي عنوان، أو اتركه فارغاً لاستخدام العنوان المبدئي للصندوق.','ar',0,0),(2917,'حدد أية حلل وأية مناطق سيتم عرض هذا الصندوق فيها.','ar',0,0),(2918,'كل الصفحات باستثناء تلك المدرجة في القائمة','ar',0,0),(2919,'فقط الصفحات المدرجة في القائمة','ar',0,0),(2920,'حدد الصفحات باستخدام المسارات الخاصة بها، أدخل مسار واحد في كل سطر. العلامة \'*\' تحل محل أي سلسلة حرفية. مثلاً %blog لمسار المدونة و %blog-wildcard لأي مدونة شخصية. %front هي الصفحة الرئيسية.','ar',0,0),(2921,'الصفحات التي تعيد <code>TRUE</code> لكود PHP هذا (للخبراء فقط)','ar',0,0),(2922,'الصفحات أو كود PHP','ar',0,0),(2923,'أدخل الكود بين %php إذا اخترت نمط PHP وانتبه إلى أن تنفيذ كود PHP غير صحيح سيؤدي إلى تعطل موقعك.','ar',0,0),(2924,'يمكن تخصيصه من قبل المستخدم','ar',0,0),(2925,'غير قابل للتخصيص','ar',0,0),(2926,'يمكن تخصيصه، مبدئياً ظاهر','ar',0,0),(2927,'يمكن تخصيصه، مبدئياً مخفي','ar',0,0),(2928,'تأكد أن كل صندوق له وصف فريد.','ar',0,0),(2929,'وحدة Block تسمح لك بإنشاء صناديق من المحتوى معروضة في مناطق من صفحة أو عدة صفحات من موقعك. على سبيل المثال، حلة الإدارة Seven، المدمجة مع دروبال، توفر مناطق: \"المحتوى\" و\"المساعدة\" و\"لوحة الجدول الرئيسي\" و\"حافة الشريط الجانبي\"، ويمكن لأي صندوق أن يظهر في أي من هذه المناطق. توفر <a href=\"@block\">صفحة إدارة الصناديق</a> واجهة سحب وإفلات لإسناد صندوق إلى منطقة، وللتحكم في ترتيب الصناديق في منطقة ما. لمزيد من المعلومات يرجى مراجعة دليل <a href=\"@block\">وحدة الصندوق</a>  على الشبكة.','ar',0,0),(2930,'تموضع المحتوى','ar',0,0),(2931,'أثناء العمل مع الصناديق، تذكر أنه <em>ليست كل</em> الثيمات توفر نفس المناطق، أو تعرض المناطق بنفس الطريقة. يتم وضع الصناديق حسب بنية كل ثيمة. بإمكان المستخدمين ذوي صلاحية <em>إدارة الصناديق</em> تعطيل الصناديق. الصناديق المعطلة مدرجة في <a href=\"@blocks\">صفحة إدارة الصناديق</a>، ولكن لا يتم عرضها في أي منطقة.','ar',0,0),(2932,'التحكم بالظهور','ar',0,0),(2933,'يمكن ضبط الصناديق لتكون مرئية على بعض الصفحات فقط لبعض المستخدمين ذوي صلاحيات معينة، أو بعض الصفحات التي تعرض بعضاً من <a href=\"@content-type\">أنواع المحتوى</a>. أيضاً بإمكان الإداريين تمكين المستخدمين من إظهار أو إخفاء صناديق محددة أثناء تحريرهم لصفحة <a href=\"@user\">الملف الشخصي</a> الخاصة بهم. يتم عرض بعض الصناديق الحيوية، كتلك المنشأة عن طريق الوحدات، على صفحات معينة فقط.','ar',0,0),(2934,'إنشاء صناديق مخصصة','ar',0,0),(2935,'بإمكان المستخدمين ذوي صلاحية <em>إدارة الصناديق</em> <a href=\"@block-add\">إضافة صناديق مخصصة</a>، والتي سيتم إدراجها بعد ذلك على <a href=\"@blocks\">صفحة إدارة الصناديق</a>. بعد إنشائها، تتصرف هذه الصناديق كالصناديق المبدئية والصناديق المولدة من طرف الوحدات.','ar',0,0),(2936,'توفر هذه الصفحة واجهة سحب وإفلات لإسناد صندوق ما إلى منطقة ما، وللتحكم في ترتيب الصناديق داخل المناطق. بما أن كل الحلل لا توفر نفس المناطق، أو تعرض المناطق بنفس الطريقة، فسيتم وضع الصناديق حسب بنية الحلة. تذكر أنه لن يتم حفظ تغييراتك إلا بعد النقر على زر <em>حفظ الصناديق</em> في أسفل الصفحة. انقر على رابط <em>ضبط</em> المقابل لكل صندوق لضبط عنوانه وإعدادات عرضه.','ar',0,0),(2937,'معاينة مناطق الصناديق (@theme)','ar',0,0),(2938,'إدارة الصناديق','ar',0,0),(2939,'وصف موجز لصندوقك. يستخدم في <a href=\"@overview\">صفحة إدارة الصناديق</a>.','ar',0,0),(2940,'تخصيص الصناديق','ar',0,0),(2941,'تتألف الصناديق من محتوى أو معلومات تكمل المحتوى الرئيسي للصفحة. قم بتعطيل أو تفعيل الصناديق الاختيارية باستخدام مربعات الاختيار أدناه.','ar',0,0),(2942,'تخزين الصناديق','ar',0,0),(2943,'التخزين المؤقت للصناديق معطل لأنك قمت بتفعيل وحدات تحدد قيود للوصول إلى المحتوى.','ar',0,0),(2944,'التحكم في البناء الشكلي للصناديق من خلال الصفحة التي انشئ من خلالها. الصناديق هي أطر يتم عرض محتوي بها بالعرض في منطقه او نطاق ما من صفحة الويب.','ar',0,0),(2945,'خاضع لبعض الصفحات','ar',0,0),(2946,'لا يمكن وضع الصندوق في هذه المنطقة.','ar',0,0),(2947,'للاستخدام مع المدونات المتعددة المستخدمين. كل مستخدم يحصل على مدونة شخصية.','ar',0,0),(2948,'المدونات الفردية','ar',0,0),(2949,'يتم عرض كل تدوينة آلياً مع رابط للصفحة الرئيسية لمدونة المستخدم. بإمكانك إنشاء مدونة شخصية لكل عضو في الموقع مع صلاحية إنشاء تدوينات.','ar',0,0),(2950,'المدونات المتعددة المستخدمين','ar',0,0),(2951,'يتم تجميع تدوينات المستخدمين في مدونة متعددة المستخدمين، تعرض محتوى مدونات كل المستخدمين في قائمة واحدة.','ar',0,0),(2952,'يوجد عنصر قائمة اختياري باسم <em>المدونات</em>، يضاف إلى قائمة الإبحار، والذي يقوم بعرض جميع المدونات المتوفرة في موقعك، و عنصر باسم <em>مدونتي</em> والذي يعرض تدوينات المستخدم الحالي.','ar',0,0),(2953,'توفر وحدة المدونة  أيضا الصندوق المبدئي <em>أحدث التدوينات</em> والذي يمكن تفعيله من <a href=\"@blocks\">صفحة إدارة الصناديق</em>.','ar',0,0),(2954,'إنشاء تدوينة جديدة','ar',0,0),(2955,'تفعل المدونات المتعددة المستخدمين.','ar',0,0),(2956,'لا يوجد كتب.','ar',0,0),(2957,'أنواع المحتوى المسموح بها في فهارس الكتب','ar',0,0),(2958,'بإمكان المستخدمين ذوي صلاحية %outline-perm إضافة كل أنواع المحتوى.','ar',0,0),(2959,'إدارة فهرس (هيكلية) الكتاب','ar',0,0),(2960,'تستخدم وحدة الكتاب لإنشاء محتوى منظم على عدة صفحات، كدليل استخدام الموقع، صفحات المساعدة، وصفحات الويكي. فهي تسمح لك بإنشاء فصول، أقسام وفروع للمحتوى، أو أي هيكل منظم آخر. لمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@book\">وحدة الكتاب</a> بموقع دروبال.','ar',0,0),(2961,'إضافة وإدارة محتوى الكتاب','ar',0,0),(2962,'بإمكانك تعيين صلاحيات منفصلة لإنشاء، تحرير، وحذف محتوى الكتاب، وأيضا <em>إضافة محتوى إلى الكتب</em>، و <em>إنشاء كتب جديدة</em>. بإمكان المستخدمين ذوي صلاحية <em>إدارة هيكل الكتاب</em> إضافة <em>أي</em> نوع محتوى إلى الكتاب وذلك بتحديد فهرس الكتاب المناسب أثناء تحرير محتوى. بإمكانهم أيضاً عرض قائمة بكل الكتب، وتحرير وإعادة ترتيب عناوين الأقسام في <a href=\"@admin-book\">صفحة إدارة الكتاب</a>.','ar',0,0),(2963,'تمتلك صفحات كتاب صندوق إبحار افتراضيا خاصا بالكتاب. يحتوي صندوق الإبحار هذا على روابط تؤدي  إلى الصفحات السابقة والتالية وإلى المستوى الأعلى من الصفحة الحالية من بنية الكتاب. يمكن تفعيل هذا الصندوق من <a href=\'@admin-block\'>صفحة إدارة الصناديق</a>. حتى تظهر صفحات كتاب في صندوق الإبحار يجب إضافتها إلى هيكل كتاب .','ar',0,0),(2964,'بالإمكان التعاون في إنشاء الكتب، من خلال السماح للأعضاء بإضافة صفحات إلى الكتب الموجودة، وإضافة هذه الصفحات إلى جدول أو قائمة محتويات مخصصة.','ar',0,0),(2965,'طباعة الكتب','ar',0,0),(2966,'يمكن للمستخدمين ذوي صلاحية <em>عرض نسخة للطباعة من الكُتب</em> تحديد رابط <em>نسخة للطباعة</em> الموجود أسفل كل صفحة كتاب لتكوين نسخة قابله للطباعة من الصفحة وكل أقسامها الفرعية.','ar',0,0),(2967,'توفر الوحدة Book وسائل لتنظيم مجموعة من صفحات المحتوى المرتبطة والتي يسمّى مجموعها كتابا. عند عرضه، يُظهر المحتوى تلقائيا روابط لصفحات الكتاب المجاورة، موفرا بذلك نظام تصفح بسيط لإنشاء ومراجعة محتوى منظّم.','ar',0,0),(2968,'تمكنك ميزة الهيكلة من إدراج صفحات في <a href=\"@book\">هرم الكتاب</a> وكذا نقلها داخل الهرم أو <a href=\"@book-admin\">إعادة ترتيب الكتاب بأكمله</a>.','ar',0,0),(2969,'إنشاء كتب جديدة','ar',0,0),(2970,'إضافة محتوى و صفحات فرعية للكتب','ar',0,0),(2971,'عرض نسخة للطباعة من الكتب','ar',0,0),(2972,'عرض صفحة الكتاب وكل صفحاتها الفرعية في مستند واحد من أجل تسهيل الطباعة. من الممكن ان يؤدي الى انخفاض الأداء.','ar',0,0),(2973,'لدى <em>الكتب</em> تصفح هرمي مدمج. استعمله للكُتيبات أو الدروس.','ar',0,0),(2974,'تسمح للمستخدمين بإنشاء وتنظيم المحتوى المرتبط ضمن هيكل.','ar',0,0),(2975,'تسمح وحدة الألوان للمستخدمين ذوي صلاحية <em>إدارة إعدادت الموقع</em> بتغيير خطة ألوان الثيمة المتوافقة معها بسهولة وسرعة. لمزيد من المعلومات راجع كتيب <a href=\"@color\">وحدة الألوان</em> بموقع دروبال.','ar',0,0),(2976,'تغيير الألوان','ar',0,0),(2977,'باستخدام الوحدة Color يمكنك أن تغير بسهولة لون الروابط والخلفيات والنصوص وعناصر الحلة الأخرى. لتغيير إعدادت الألوان لحلة متوافقة، اختر رابط <em>الإعدادات</em> للحلة في <a href=\'@configure\'>صفحة إدارة الحلل</a>. إذا لم ترى منتقي الألوان على هذه الصفحة، فهذا يعني أن حلتك غير متوافقة مع الوحدة Color. إذا كنت متأكدا أن الحلة متوافقة مع الوحدة Color، ورغم ذلك لا يظهر منتقي الألوان، فعليك <a href=\'@troubleshoot\'>اتباع خطوات اكتشاف الخلل هذه</a>.','ar',0,0),(2978,'تحفظ الوحدة Color نسخة معدلة لملفات شكل الحلة المعينة في مجلد الملفات. هذا يعني أنك إذا قمت بأي تغييرات يدوية على شكل حلتك، <em>فيجب عليك إعادة تسجيل إعداداتك للألوان، حتى ولو لم تتغير</em>. هذه الخطوة ضرورية لأن أشكلب الوحدة (في مجلد الملفات) تحتاج إلى إعادة الإنشاء لاحتواء تغييراتك.','ar',0,0),(2979,'مكتبة جي.دي في بي.إتش.بي مفعلة، لكن تم تجميعه بدون دعم بي.إن.جي. من فضلك راجع <a href=\"@url\">توثيق بي.إتش.بي للصور</a> من أجل معلومات عن كيفية تصحيح هذا الأمر.','ar',0,0),(2980,'مكتبة GB الخاصة بال PHP مفقودة أو قديمة. راجع <a href=\"@url\">الوثائق الخاصة بالصور في PHP</a> لمعرفة كيفية تصحيح هذا الأمر.','ar',0,0),(2981,'تسمح للإداريين بتعديل مخطط الألوان للثيمات المتوافقة.','ar',0,0),(2982,'من فضلك اختر تعليقاً أو أكثر لتطبيق التحديثات عليهم.','ar',0,0),(2983,'يبدو أنه لا توجد أي تعليقات للحذف أو أن التعليقات التي اخترتها قد حذفها إداري آخر.','ar',0,0),(2984,'تم حذف @count تعليق.','ar',0,0),(2985,'تم حذف التعليق @cid وكل الردود عليه.','ar',0,0),(2986,'تمت الموافقة على التعليق.','ar',0,0),(2987,'رموز (Tokens) للتعليقات المنشورة في الموقع.','ar',0,0),(2988,'تسمح الوحدة Comment للمستخدمين بالتعليق على محتوى الموقع وتعيين إعدادات وصلاحيات التعليق الافتراضية ومراجعة التعليقات. للمزيد من المعلومات، راجع صفحة الدليل على الشبكة الخاصة <a href=\"@comment\">بالوحدة Comment</a>.','ar',0,0),(2989,'الإعدادت الإفتراضية والمخصصة','ar',0,0),(2990,'يمكن لكل <a href=\'@content-type\'>نوع محتوى</a> أن يحصل على إعدادات تعليق افتراضية خاصة به يتم ضبطها على الشكل: <em>مفتوح</em> للسماح بالتعليقات الجديدة، <em>مخفي</em> لإخفاء التعليقات الموجودة ومنع التعليقات الجديدة، أو <em>مغلق</em> لعرض التعليقات الموجودة، ومنع التعليقات الجديدة. سيتم تطبيق هذه الإعدادت الافتراضية على كل المحتويات الجديدة (تغيير إعدادات المحتويات الموجودة مسبقاً سيكون يدوياً). يمكن أيضاً تعديل إعدادت التعليق الأخرى بحسب كل نوع محتوى، ويمكن لكل محتوى أن يعدل إعداداته بشكل مستقل. ويبقى التعليق قابل للتعديل من طرف مؤلفه مادام لم يتم الرد عليه، إذا كان صاحب التعليق مسجل الدخول على الموقع.','ar',0,0),(2991,'التعليق بأكمله','ar',0,0),(2992,'التعليقات غير الموافق عليها (@count)','ar',0,0),(2993,'إدارة التعليقات وإعدادات التعليق','ar',0,0),(2994,'تعديل تعليقاته','ar',0,0),(2995,'عدد التعليقات الحديثة','ar',0,0),(2996,'التسنن','ar',0,0),(2997,'عرض ردود التعليقات في لائحة مسننة.','ar',0,0),(2998,'إعدادات التعليق الافتراضية على المحتوى الجديد','ar',0,0),(2999,'السماح بعنوان التعليق','ar',0,0),(3000,'عرض استمارة الرد في نفس صفحة التعليقات','ar',0,0),(3001,'يمكن للمستخدمين ذوي صلاحية \"إرسال تعليقات\" المشاركة في التعليقات.','ar',0,0),(3002,'لا يمكن للمستخدمين إرسال تعليقات، لكن يتم عرض التعليقات الموجودة.','ar',0,0),(3003,'التعليقات مخفية من العرض.','ar',0,0),(3004,'لا يمكن للمستخدمين إرسال تعليقات.','ar',0,0),(3005,'تم وضع تعليقك في وضع الانتظار للمعاينة من طرف إدارة الموقع وسيتم نشره بعد الموافقة عليه.','ar',0,0),(3006,'تم إرسال التعليق.','ar',0,0),(3007,'يرجى <a href=\"@login\">تسجيل الدخول</a> أو <a href=\"@register\">إنشاء حساب جديد</a> لإضافة تعليقات','ar',0,0),(3008,'يرجى <a href=\"@login\">تسجيل الدخول</a> لإضافة تعليقات','ar',0,0),(3009,'قائمة مسطحة','ar',0,0),(3010,'قائمة هرمية','ar',0,0),(3011,'حفظ التعليق','ar',0,0),(3012,'سيتم إلغاء نشر التعليق إذا كان يحتوي على أي من العبارات أعلاه. استخدم قائمة من العبارات المفصولة بفواصل. مثلا: مضحك، مبارة، \"شركة\"','ar',0,0),(3013,'تم نشر التعليق %subject.','ar',0,0),(3014,'تم حفظ التعليق %title','ar',0,0),(3015,'سرد و تحرير التعليقات في الموقع و في طابور الموافقة على النشر.','ar',0,0),(3016,'التعليقات الغير موافق عليها','ar',0,0),(3017,'مثال: \'webmaster@example.com\' أو \'sales@example.com,support@example.com\'. لتحديد أكثر من مرسل إليه، استخدم الفاصلة للفصل بين عناوين البريد الإلكتروني.','ar',0,0),(3018,'تمت إضافة التصنيف %category.','ar',0,0),(3019,'لا يمكنك إرسال أكثر من %limit من الرسائل في @interval. حاول مرة أخرى لاحقا.','ar',0,0),(3020,'الاتصال بـ @username','ar',0,0),(3021,'قام %sender-name (@sender-from) بإرسال رسالة حول %category.','ar',0,0),(3022,'قام %sender-name (@sender-from) بإرسال بريد إلكتروني إلى %recipient-name.','ar',0,0),(3023,'تسمح وحدة الاتصال للزوار بالاتصال بإدارة الموقع والأعضاء الآخرين. يقوم المستخدمين بتحديد الموضوع، كتابة رسالتهم، ويمكنهم الحصول على نسخة من هذه الرسالة إلى بريدهم الإلكتروني. للمزيد من المعلومات يرجى مراجعة دليل <a href=\"@contact\">وحدة الاتصال</a> على الإنترنت.','ar',0,0),(3024,'استمارات الاتصال بالمستخدم','ar',0,0),(3025,'استمارات الاتصال العامة','ar',0,0),(3026,'عند تفعيل استمارة الاتصال الشاملة للموقع، يتم إنشاء رابط في القائمة الرئيسية <em>للتصفح</em>، ولكن الرابط يكون معطلا افتراضيا. يمكن تفعيل رابط القائمة من <a href=\'@menu\'>صفحة إدارة القوائم</a>.','ar',0,0),(3027,'التخصيص','ar',0,0),(3028,'إذا أردت أن يظهر نص إضافي في استمارة الاتصال الشاملة للموقع أو في استمارة الاتصال الشخصية، استخدم صندوقا. بإمكانك إنشاء وتعديل الصناديق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(3029,'أضف فئة على الأقل في هذه الصفحة لتتمكن من تعديل <a href=\"@form\">استمارة الاتصال</a>.','ar',0,0),(3030,'إذا أردت أن يظهر نص إضافي في استمارة الاتصال الشاملة للموقع، استخدم صندوقا. بإمكانك إنشاء وتعديل الصناديق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(3031,'إدارة وإعدادات استمارة الاتصال.','ar',0,0),(3032,'استخدام استمارة اتصال الموقع','ar',0,0),(3033,'استخدام استمارة الاتصال الشخصية للأعضاء','ar',0,0),(3034,'قام !sender-name (!sender-url) بإرسال رسالة باستخدام استمارة الاتصال التالية: !form-url.','ar',0,0),(3035,'[!site-name] !subject','ar',0,0),(3036,'لقد أرسل إليك !sender-name ‏(!sender-url) رسالة بواسطة استمارة الاتصال الخاصة بك (!form-url) في !site-name.','ar',0,0),(3037,'إذا كنت لا تريد تلقي رسائل البريد الإلكتروني هذه، يمكنك تغيير الإعدادات الخاصة بك هنا: !recipient-edit-url.','ar',0,0),(3038,'السماح لمستخدمين آخرين بمراسلتك من <a href=\"@url\">استمارة الاتصال الشخصية</a> مما يبقي عنوان بريدك الإلكتروني مخفيا. يرجى الانتباه أن بإمكان بعض المستخدمين المتميزين كمديري الموقع مراسلتك حتى ولو اخترت تعطيل هذه الميزة.','ar',0,0),(3039,'تفعيل استمارة معلومات الاتصال الشخصية بشكل افتراضي للمستخدمين الجدد.','ar',0,0),(3040,'تغيير هذا الإعداد لا يؤثر على الأعضاء المسجلين.','ar',0,0),(3041,'عرض الروابط السياقية','ar',0,0),(3042,'يتم توفير الروابط القياسية من طرف الوحدات لمنحك وصول سريع إلى المهام المرتبطة بمناطق من الصفحات بموقعك. مثلاً إذا كان لديك صندوق لقائمة مخصصة معروض على الشريط الجانبي لموقعك، فإن وحدات <em>القوائم</em> و <em>الصناديق</em> ستقوم بإضافة روابط لضبط الصندوق وتغيير القائمة. تقوم وحدة <em>الروابط القياسية</em> بجمع هذه الروابط بقائمة ليتم عرضها من طرف القالب. كما تقوم أيضاً هذه الروابط بإضافة كود جافاسكربت لإخفاء هذه الروابط مبدئياً ثم عرضها عند تمرير مؤشر الفأرة عليها.','ar',0,0),(3043,'استخدام الروابط السياقية','ar',0,0),(3044,'استخدم الارتباطات السياقية لتنفيذ المهام المرتبطة بعناصر الصفحة.','ar',0,0),(3045,'الروابط السياقية','ar',0,0),(3046,'توفر روابط سياقية لتفيذ إجراءات مرتبطة بعناصر في الصفحة.','ar',0,0),(3047,'تتبع نشاط المستخدم','ar',0,0),(3048,'بتمكين بلوكات مثل <em>المتصلون الآن</em> و <em>المستخدمون الجدد</em>، فإنك تسمح لمستخدمي الموقع بمتابعة المستخدمين الجدد والمتصلين الآن في نفس المكان.','ar',0,0),(3049,'تتبع نشاط المحتوى','ar',0,0),(3050,'بتفعيل صناديق مثل <em> أحدث الرسائل في المدونة </em>,<em>مواضيع جديدة في المنتدى</em> و <em>آخر التعليقات</em>, مستخدموا الموقع سيتمكنون بسرعة من مشاهدة المحتويات المضافة جديداً في الموقع.','ar',0,0),(3051,'عرض لوحة التحكم الإدارية','ar',0,0),(3052,'هذه المنطقة من لوحة التحكم فارغة. انقر على <em>تخصيص لوحة التحكم</em> لإضافة صناديق إليها.','ar',0,0),(3053,'اسحب هنا','ar',0,0),(3054,'توفر صفحة لوحة تحكم في واجهة الإدارة لتنظيم العمليات ومتابعة المعلومات الخاصة بموقعك.','ar',0,0),(3055,'تخصيص لوحة التحكم','ar',0,0),(3056,'حذف رسائل السجل','ar',0,0),(3057,'هذه العملية تقوم بحذف جميع رسائل السجل من قاعدة البيانات.','ar',0,0),(3058,'تم حذف رسائل السجل من قاعدة البيانات.','ar',0,0),(3059,'تقوم وحدة سجل قاعدة البيانات بتخزين جميع أحداث النظام في قاعدة البيانات. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\"@dblog\">وحدة سجل قاعدة البيانات</a> على موقع دروبال.','ar',0,0),(3060,'مراقبة موقعك','ar',0,0),(3061,'تصحيح مشاكل الموقع','ar',0,0),(3062,'أخطاء التحقق من صحة الحقل','ar',0,0),(3063,'محاولة إنشاء حقل باستخدام اسم أطول من 32 حرف: %name','ar',0,0),(3064,'محاولة إنشاء الحقل باسم %name والحقل موجود سابقا وهو نشط.','ar',0,0),(3065,'محاولة إنشاء الحقل باسم %name والحقل موجود سابقا ولكنه معطل.','ar',0,0),(3066,'محاولة إنشاء اسم الحقل %name والذي هو محجوز من قبل كينونة %type .','ar',0,0),(3067,'محاولة إنشاء حقل من نوع غير معروف %type.','ar',0,0),(3068,'محاولة إنشاء حقل بنوع تخزين غير معروف %type.','ar',0,0),(3069,'محاولة إنشاء مثيل للحقل @field_name بدون حزمة.','ar',0,0),(3070,'تفعيل أنواع الحقول','ar',0,0),(3071,'توفر وحدة الحقل البنية الأساسية للحقول ولواحقها، أنواع الحقول وواجهات الإدخال توفر من وحدات إضافية. بعض الوحدات ضرورية، ويتم تفعيل الوحدات الاختيارية من <a href=\"@modules\">صفحة إدارة الوحدات</a>. يتضمن دروبال أنواع الحقول التالية: العدد (ضروري)، النص (ضروري)، القائمة (ضروري)، التصنيف (اختياري)، الصورة (اختياري) والملف (اختياري)، وحدة الخيارات (ضروري) توفر واجهات إدخال وحدات الحقول الأخرى. يمكن توفير حقول وواجهات إضافية من طرف وحدات إضافية يمكنك إيجادها في <a href=\"@contrib\">صفحة الوحدات الإضافية لدروبال</a>. وحدات الحقول والواجهات المفعلة حالياً هي:','ar',0,0),(3072,'إدارة تخزين بيانات الحقل','ar',0,0),(3073,'بإمكان مطوري وحدات الحقول استخدام <a href=\"@sql-store\">وحدة تخزين حقل SQL</a> الافتراضي لتخزين بيانات حقولهم، أو استخدام وحدة إضافية، أو وحدة معدلة ومطورة باستخدام <a href=\"@storag-api\">تخزين حقل API</a>.','ar',0,0),(3074,'تقوم وحدة حقل تخزين SQL بتخزين بيانات الحقول بقاعدة البيانات. وهي وحدة تخزين الحقل الافتراضية. يمكن توفر آليات تخزين حقول أخرى على شكل وحدات إضافية. للمزيد من المعلومات حول الحقول، يرجى مراجعة <a href=\"@field-help\">الحقل</a> على موقع دروبال.','ar',0,0),(3075,'تخزين SQL افتراضياً','ar',0,0),(3076,'يقوم يتخزين الحقول في قاعدة البيانات SQL المحلية، باستخدام جدول لكل حقل.','ar',0,0),(3077,'حقل تخزين SQL.','ar',0,0),(3078,'يخزن بيانات الحقل في قاعدة بيانات SQL.','ar',0,0),(3079,'توفر وحدة القائمة حقول متنوعة تسمح بتخزين قائمة من العناصر، لاستخدامها مع وحدة <em>الحقل</em>. عادة، يتم إدخال هذه العناصر عن طريق قائمة من خانات الاختيار أو أزرار التحديد. للمزيد من المعلومات حول هذه الحقول، يرجى مراجعة صفحة <a href=\"@field-help\">الحقل</a> على موقع دروبال.','ar',0,0),(3080,'يخزن هذا الحقل خيارات ابتدائية مثل مشغل/معطل أو نعم/لا.','ar',0,0),(3081,'قائمة (نص)','ar',0,0),(3082,'تقوم واجهة \'خانة الاختيار/مربع التحديد\' بعرض خانات اختيار إذا كان الخيار <em>عدد القيم</em> أكبر من 1 لهذا الحقل، وعرض مربعات التحديد في حالة العكس.','ar',0,0),(3083,'وسوم HTML المسموح بها في التسميات: @tags','ar',0,0),(3084,'قيمة هذا الحقل محددة من طرف %function ولا يجب تغييرها.','ar',0,0),(3085,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عدد صحيح أو عشري.','ar',0,0),(3086,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عبارة نصية تتكون من 255 حرف كحد أقصى.','ar',0,0),(3087,'قائمة القيم المسموحة: يجب أن تكون كل المفاتيح أعداد صحيحة.','ar',0,0),(3088,'تعريف أنواع حقول قائمة. تستخدم مع خيارات لإنشاء قائمة إختيارات.','ar',0,0),(3089,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد صحيح.','ar',0,0),(3090,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد كسري.','ar',0,0),(3091,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد عشري.','ar',0,0),(3092,'أدنى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أدنى.','ar',0,0),(3093,'أقصى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أقصى.','ar',0,0),(3094,'يسمح فقط بالأعداد و الفاصلة العشرية (@separator) في الحقل %field.','ar',0,0),(3095,'توفر وحدة الخيارات خانات اختيار، مربعات تحديد، وأشكال أخرى لوحدة الحقل. للمزيد من المعلومات يرجى مراجعة <a href=\"@field-helo\">صفحة المساعدة لوحدة الحقل</a>.','ar',0,0),(3096,'توفر وحدة النص أنواع مختلفة من الحقول النصية لوحدة الحقل. لا ينبغي لحقل نصي أن يحتوي إلا على نصوص عادية، أو كخيار، يمكنه أن يتضمن <a href=\"@filter-help\">نص مرشح</a> من دروبال لمعالجة وسوم HTML بشكل آمن. يمكن للحقول النصية أن تكون في سطر واحد (حقل نصي) أو في عدة سطور (نص متعدد الأسطر)، أو قائمة منسدلة، خانة اختيار أو مربع اختيار لضمان تحكم أفضل في الإدخال. كما يمكنك التحقق من صحة الحقل وذلك بالسماح لقائمة محددة من القيم. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\'@field-help\'>الحقول</a> على موقع دروبال.','ar',0,0),(3097,'هذا الحقل يخز ن نص (varchar) في قاعدة البيانات.','ar',0,0),(3098,'نص طويل','ar',0,0),(3099,'هذا الحقل يخزن نص طويل في قاعدة البيانات.','ar',0,0),(3100,'نص طويل وملخص','ar',0,0),(3101,'هذا الحقل يخزن نص طويل في قاعدة البيانات مع ملخص اختياري للنص.','ar',0,0),(3102,'نص مرشح (يقوم المستخدم يتحديد تنسيق النص)','ar',0,0),(3103,'إدخال الملخص','ar',0,0),(3104,'يسمح هذا للمستخدمين بإدخال ملخص المحتوى، ليتم عرضه عوضاً عن النص المشذب، عند استخدام نوع العرض \"الملخص أو المشذب\".','ar',0,0),(3105,'%name : لا ينبغي للنص أن يكون أطول من %max حرف.','ar',0,0),(3106,'%name : لا ينبغي للملخص أن يكون أطول من %max حرف.','ar',0,0),(3107,'الملخص أو المشذب','ar',0,0),(3108,'نص متعدد السطور مع ملخص','ar',0,0),(3109,'اتركه فارغا لاستخراج قيمة مشذبة من النص الكامل كملخص.','ar',0,0),(3110,'إخفاء الموجز','ar',0,0),(3111,'تعديل الملخص','ar',0,0),(3112,'يتطلب الحقل %field (@field_name) الويدجة %widget_type التي توفرها الوحدة %widget_module','ar',0,0),(3113,'لا يتم عرض الحقول غير النشطة ما لم يتم تفعيل الوحدات الأصلية لها. الحقول التالية غير مفعلة : !list','ar',0,0),(3114,'تحرير إعدادات الحقل.','ar',0,0),(3115,'تغيير نوع الودجة','ar',0,0),(3116,'تعديل إعدادات المثيل.','ar',0,0),(3117,'حذف المثيل.','ar',0,0),(3118,'لا يمكن إضافة الحقل %label لأنه مقفل.','ar',0,0),(3119,'حدثت مشكلة أثناء إنشاء مثيل للحقل %label: @message.','ar',0,0),(3120,'لم تتم إضافة أية حقول. بإمكانك إضافة حقول جديدة في صفحة <a href=\"@link\">إدارة الحقول</a>.','ar',0,0),(3121,'يتم تطبيق هذه الإعدادات على الحقل %field في أي مكان يستخدم فيه. تؤثر هذه الإعدادات على كيفية تخزين المعلومات في قاعدة البيانات ولا يمكن تغييرها بعد إنشاء البيانات.','ar',0,0),(3122,'الحقل %field ليس له إعدادات.','ar',0,0),(3123,'تم تحديث إعدادات الحقل %label.','ar',0,0),(3124,'فشل محاولة تحديث الحقل %label : %message.','ar',0,0),(3125,'تغيير widget','ar',0,0),(3126,'نوع عنصر الاستمارة الذي تريد تقديمه للمستخدم أثناء إنشاء هذا الحقل في النوع %type.','ar',0,0),(3127,'تم تغيير الويدجت للحقل %label.','ar',0,0),(3128,'حدثت مشكلة أثناء تغيير الويدجت للحقل %label.','ar',0,0),(3129,'هذا الحقل <strong>مقفل</strong> ولا يمكن حذفه.','ar',0,0),(3130,'تم حذف الحقل %field من نوع المحتوى %type.','ar',0,0),(3131,'حدثت مشكلة أثناء حذف الحقل %field من نوع المحتوى %type.','ar',0,0),(3132,'يتم تطبيق هذه الإعدادات فقط على الحقل %field عند استخدامه في النوع %type.','ar',0,0),(3133,'حقل ضروري','ar',0,0),(3134,'يتم تطبيق هذه الإعدادات على الحقل %field في كل مكان يستخدم فيه. لا يمكن تغيير بعض الإعدادات، لأن هذا الحقل يحتوي مسبقا على بيانات.','ar',0,0),(3135,'يتم تطبيق هذه الإعدادات على الحقل %field في كل مكان يستخدم فيه.','ar',0,0),(3136,'إعدادات الحقل %field','ar',0,0),(3137,'القيمة الافتراضية لهذا الحقل، تستخدم عند إنشاء محتوى جديد.','ar',0,0),(3138,'تم حفظ خيارات ضبط %label.','ar',0,0),(3139,'تعرض هذه القائمة كافة الحقول المستخدمة حاليا لتسهيل الرجوع إليها.','ar',0,0),(3140,'حفظ وإضافة الحقول','ar',0,0),(3141,'قائمة الحقول','ar',0,0),(3142,'تسيير العرض','ar',0,0),(3143,'واجهة الحقل','ar',0,0),(3144,'هذا الحقل يخزن معرف الملف (ID) على شكل عدد صحيح.','ar',0,0),(3145,'تفعيل الحقل <em>عرض</em>','ar',0,0),(3146,'يسمح خيار العرض للمستخدمين باختيار ما إذا كان الملف يتم عرضه أثناء معاينة المحتوى.','ar',0,0),(3147,'الملفات المعروضة بشكل افتراضي','ar',0,0),(3148,'ليس لهذا الإعداد مفعول إلا عند تفعيل خيار العرض.','ar',0,0),(3149,'وجهة الرفع','ar',0,0),(3150,'حدد أين يجب تخزين الملفات النهائية. التخزين الخاص للملف يضع قيودا أكثر من التخزين العام، لكنه يسمح بوصول محدود للملفات لهذا الحقل.','ar',0,0),(3151,'مجلد فرعي اختياري في مجلد الرفع الذي ستخزّن فيه الملفات. لا تدرج خط مائلا لا قبل ولا بعد.','ar',0,0),(3152,'يرجى إدخال قيمة مثل \"512\" (بايت)، \"80 KB\" (كيلوبايت) أو \"50 MB\" (ميغابايت) لتحديد حجم الملف المسموح به. في حالة تركه فارغاً يتم تحديد حجم الملف بالحد الأقصى للرفع من إعدادات PHP (والذي قيمته حالياً <strong>%limit</strong>).','ar',0,0),(3153,'تمكين حقل <em>الوصف</em>','ar',0,0),(3154,'يسمح حقل الوصف للمستخدمين بإضافة وصف للملف المراد رفعه.','ar',0,0),(3155,'يجب أن يحتوي الخيار \"!name\" على قيمة صحيحة. يمكنك تركه فارغاً أو إدخال قيمة من الشكل \"512\" (بايت)، \"80 KB\" (كيلوبايت) أو \"50 MB\"(ميغابايت).','ar',0,0),(3156,'قائمة اللواحق المسموح بها غير صحيحة. يرجى التأكد من عدم إدخال النقطة التي تسبق اللاحقة وفصل اللواحق بمسافة أو فاصلة.','ar',0,0),(3157,'ملف عام','ar',0,0),(3158,'جدول الملفات','ar',0,0),(3159,'إضافة ملف جديد','ar',0,0),(3160,'تضمين الملف في العرض','ar',0,0),(3161,'يمكن استخدام الوصف كتسمية لرابط الملف.','ar',0,0),(3162,'يجب أن يكون حجم الملفات أقل من !size.','ar',0,0),(3163,'أنواع الملفات المسموح بها: !extensions.','ar',0,0),(3164,'يجب أن تكون الصور بحجم !size بيكسل تماماً.','ar',0,0),(3165,'يجب أن يكون حجم الصور بين !min و !max بيكسل.','ar',0,0),(3166,'يجب أن يكون حجم الصور أكبر من !min بيكسل.','ar',0,0),(3167,'يجب أن يكون حجم الصور أقل من !max بيكسل.','ar',0,0),(3168,'إرفاق ملفات إلى المحتوى','ar',0,0),(3169,'تسمح وحدة الملفات للمستخدمين بإرفاق ملفات مع المحتوى (مثلاً، ملف PDF، ملف إكسل، إلخ)، عند إضافة حقل <em>ملف</em> إلى نوع من المحتوى عن طريق <a href=\"@fieldui-help\"><em>وحدة واجهة الحقل</em></a>. بإمكانك إضافة خيارات التحقق إلى حقل الملف، كتحديد حد أقصى لحجم الملف واللواحق المسموح بها.','ar',0,0),(3170,'إدارة عرض الملفات المرفقة','ar',0,0),(3171,'إدارة أماكن الملفات','ar',0,0),(3172,'حدث خطأ غير قابل للاسترداد. انتهت مدة صلاحية استخدام هذه الاستمارة. يرجى إعادة محاولة تحميل الصفحة والطلب من جديد.','ar',0,0),(3173,'الملف المشار إليه بواسطة الحقل !name غير موجود.','ar',0,0),(3174,'فشل في محاولة رفع الملف الموجود في الحقل !name.','ar',0,0),(3175,'لا يمكن إنشاء أو الوصول إلى دليل الرفع %directory لحقل الملف !name. وبذلك لا يمكن رفع ملف جديد إلى هذا الدليل، ولذلك تم إلغاء عملية الرفع.','ar',0,0),(3176,'خادمك غير قادر على عرض حالة تقدم رفع الملفات. هذا العرض يتطلب خادم أباتشي مع دعم PHP mod_php.','ar',0,0),(3177,'بإمكان كل الأدوار استخدام هذا التنسيق','ar',0,0),(3178,'تم حفظ ترتيب تنسيق النص.','ar',0,0),(3179,'إضافة تنسيق نص','ar',0,0),(3180,'يجب تمكين كل الأدوار لهذا التنسيق ولا يمكن تغييرها.','ar',0,0),(3181,'ترتيب معالجة المرشحات','ar',0,0),(3182,'يجب أن تكون أسماء تنسيقات النصوص فريدة. يوجد مسبقاً نسق باسم %name.','ar',0,0),(3183,'تم إضافة تنسيق النص %format.','ar',0,0),(3184,'تم تحديث تنسيق النص %format.','ar',0,0),(3185,'تنسيقات النص','ar',0,0),(3186,'تطبيق المرشحات على النص','ar',0,0),(3187,'تعريف تنسيقات النص','ar',0,0),(3188,'اختيار تنسيق نص','ar',0,0),(3189,'تحذير : قد تؤثر هذه الصلاحية على الأمن بحسب الطريقة التي يتم بها تكوين تنسيق النص.','ar',0,0),(3190,'استخدام تنسيق النص !text_format','ar',0,0),(3191,'المزيد من المعلومات حول تنسيقات النص','ar',0,0),(3192,'الحد من وسوم HTML المسموح بها','ar',0,0),(3193,'تحويل فواصل السطور إلى HTML (مثلا، <code>&lt;br&gt;</code> و <code>&lt;p&gt;</code>)','ar',0,0),(3194,'تحويل عناوين المواقع إلى روابط','ar',0,0),(3195,'تصحيح كود HTML الناقص أو الخاطئ','ar',0,0),(3196,'عرض كود HTML كنص عادي','ar',0,0),(3197,'عرض مساعدة لتعليمات HTML في النصائح الخاصة بالمرشحات','ar',0,0),(3198,'إضافة rel=\"nofollow\" إلى كل الروابط','ar',0,0),(3199,'للمزيد من المعلومات، يرجى مراجعة <a href=\"@html-specifications\">مواصفات اش.تي.ام.ال</a> بموقع W3C أو استخدام محرك البحث المفضل لإيجاد مواقع أخرى تقدم توضيحات أكثر حول اش.تي.ام.ال.','ar',0,0),(3200,'يمكن إدخال معظم الأحرف غير المعهودة دون أية مشكلة.','ar',0,0),(3201,'في حالة مواجهة مشاكل، حاول محارف كينونات HTML من الأمثلة الشائعة لذلك استخدام &amp; لعرض &. للحصول على قائمة كاملة، يرجى مراجعة صفحة <a href=\"@html-entities\">كينونات HTML</a>. بعض الأحرف المتاحة تشمل:','ar',0,0),(3202,'لا يسمح بوسوم HTML.','ar',0,0),(3203,'يرشح المحتوى لتحضيره للعرض.','ar',0,0),(3204,'كتبها !author منذ @time','ar',0,0),(3205,'تم حذف المنتدى %term وكل المنتديات الفرعية منه.','ar',0,0),(3206,'عدد الردود الواجب توفرها في موضوع ما ليعتبر \"ساخن\".','ar',0,0),(3207,'لا توجد حاويات أو منتديات متاحة. <a href=\"@container\">إضافة حاوية</a> أو <a href=\"@forum\">إضافة منتدى</a>.','ar',0,0),(3208,'المنتدى : تم حذف %term وكل المنتديات الفرعية منه.','ar',0,0),(3209,'تسمح لك وحدة المنتدى بإنشاء نظام مناقشة حسب الارتباطات بوظائف مشابهة لأدوات المنتدى الأخرى. المنتديات مفيدة لأنها تسمح للأعضاء بمناقشة مواضيع مختلفة مع ضمان الاحتفاظ بأرشيف جيد للمحادثات ما يسمح بتصفحها لاحقاً. في المنتدى، ينشر المستخدمون مشاركاتهم في تسلسل هرمي يسمح بتجميع وتصنيف المناقشات. هذا التسلسل الهرمي يتألف من:','ar',0,0),(3210,'حاويات اختيارية (مثلاً، <em>الدعم الفني</em>)، والتي قد تحتوي على:','ar',0,0),(3211,'المنتديات (مثلاً، <em>تثبيت دروبال</em>)، والتي قد تحتوي على:','ar',0,0),(3212,'مواضيع المنتدى المرسلة من طرف المستخدمين (مثلاً، <em>كيفية إنشاء مواقع متعددة بدروبال</em>)، ما يؤدي إلى بداية النقاش لـ:','ar',0,0),(3213,'التعليقات المرسلة من طرف المستخدمين (مثلاً، <em>لديك هذه الخيارات ...</em>).','ar',0,0),(3214,'إنشاء هيكل المنتدى','ar',0,0),(3215,'قم بزيارة <a href=\"@forums\">صفحة المنتديات</em> لوضع الحاويات والمنتديات الخاصة بمواضيع النقاشات.','ar',0,0),(3216,'بدء مناقشة','ar',0,0),(3217,'يقوم رابط <a href=\"@create-topic\">موضوع منتدى</a> في صفحة <a href=\"@content-add\">إضافة محتوى جديد</a> بإنشاء المشاركة الأولى لمناقشة جديدة أو موضوع.','ar',0,0),(3218,'تفعيل وحدة المنتدى يوفر عنصر قائمة افتراضي اسمه <em>المنتديات</em> في قائمة التصفح يشير إلى <a href=\"@forums\">صفحة المنتديات</a>.','ar',0,0),(3219,'نقل مواضيع المنتدى','ar',0,0),(3220,'بالإمكان نقل موضوع منتدى (وجميع التعليقات عليه) من منتدى إلى آخر بتعيين منتدى مختلف أثناء تعديل الموضوع. عند نقل موضوع من منتدى إلى آخر، فإن خيار <em>ترك نسخة مخفية</em> يقوم بإنشاء رابط في المنتدى الأصلي نحو مكانه الجديد.','ar',0,0),(3221,'قفل وتعطيل التعليقات','ar',0,0),(3222,'اختيار <em>مغلق</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة. اختيار <em>مخفي</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة ويقوم بإخفاء كل التعليقات الموجودة..','ar',0,0),(3223,'تحتوي المنتديات على مواضيع مناقشات. استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0,0),(3224,'استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0,0),(3225,'المنتدى يحوي مواضيع المناقشات المرتبطة.','ar',0,0),(3226,'ضبط عرض مواضيع المنتدى. قم بتنظيم منتدياتك على <a href=\"@forum-structure\">صفحة هيكل المنتديات</a>.','ar',0,0),(3227,'إضافة @node_type جديد','ar',0,0),(3228,'يرجى <a href=\"@login\">تسجيل الدخول</a> لإضافة محتوى جديد في المنتدى.','ar',0,0),(3229,'العنصر %forum عبارة عن حاوية، وليس منتدى. اختر واحد من المنتديات أدناه بدلا منه.','ar',0,0),(3230,'<em>موضوع منتدى</em> يبدأ مناقشة جديدة في المنتدى.','ar',0,0),(3231,'التحقق من إعدادات التسلسل الهرمي للمنتديات.','ar',0,0),(3232,'معجم الإبحار في المنتديات','ar',0,0),(3233,'توفر منتديات مناقشة.','ar',0,0),(3234,'اتبع هذه الخطوات للتكوين ثم البدء باستخدام موقعك:','ar',0,0),(3235,'<strong>ابدأ بإضافة المحتوى</strong>: أخيرا يمكنك <a href=\"@content\">إضافة محتوى جديد</a> لموقعك.','ar',0,0),(3236,'للمزيد من المعلومات، راجع المواضيع المعالجة في الفقرة التالية أو قم بزيارة <a href=\"@handbook\">دليل دروبال على الإنترنت</a>. يمكنك أيضا المشاركة في المناقشات في <a href=\"@forum\">منتديات دروبال</a> أو تصفح <a href=\"@support\">مجموعة واسعة من خيارات الدعم</a> المتاحة.','ar',0,0),(3237,'توفر وحدة المساعدة <a href=\"@help-page\">صفحات دعم</a> ونصائح لإرشادك في تكوين ثم استخدام الوحدات. هي نقطة البدء <a href=\"@handbook\">لدليل دروبال على الإنترنت</a>. هذا الدليل يحتوي على معلومات أكثر إثراء، ومحدثة دوماً بمشاركات المستخدمين. الدليل على الإنترنت هو المرجع النهائي للوثائق. للمزيد من المعلومات، يرجى مراجعة دليل دروبال على الإنترنت لوحدة <a href=\"@help\">المساعدة</a>.','ar',0,0),(3238,'تقديم المساعدة المرجعية','ar',0,0),(3239,'تعرض وحدة المساعدة تعليمات استخدام لكل وحدة مذكورة على <a href=\"@help\">الصفحة الرئيسية للمساعدة</a>.','ar',0,0),(3240,'تقديم المساعدة السياقية','ar',0,0),(3241,'تعرض وحدة المساعدة نصائح وتعليمات على مختلف الصفحات حسب الحاجة.','ar',0,0),(3242,'تعديل النمط %name','ar',0,0),(3243,'نمط هذه الصور متوفر حالياً من طرف وحدة. انقر فوق زر \"تجاوز الإعدادات الافتراضية\" لتغيير هذه الإعدادات.','ar',0,0),(3244,'اسم نمط الصورة','ar',0,0),(3245,'يُستعمل الاسم في العناوين URL للصور المولدة. استعمل الحروف اللاتينية والأرقام والشرطات السفلية (_) والشرطات(-) فقط.','ar',0,0),(3246,'اختيار تأثير جديد','ar',0,0),(3247,'تجاوز الإعدادات الافتراضية','ar',0,0),(3248,'تحديث النمط','ar',0,0),(3249,'اختيار تأثير لإضافته.','ar',0,0),(3250,'تم تطبيق تأثير الصورة بنجاح.','ar',0,0),(3251,'تم تجاوز النمط %style لتكون قادراُ على تغيير إعداداته.','ar',0,0),(3252,'اسم النمط','ar',0,0),(3253,'إنشاء نمط جديد','ar',0,0),(3254,'تم إنشاء النمط %style.','ar',0,0),(3255,'اسم النمط %name مستخدم حالياً.','ar',0,0),(3256,'رجاء استخدم فقط أحرفا لاتينية صغيرة وأرقاما وشرطات سفلية (_) وشرطات (-) في أسماء الأشكال.','ar',0,0),(3257,'فقط حذف بدون تبديل','ar',0,0),(3258,'نمط الاستبدال','ar',0,0),(3259,'يمكنك اختيار نمط قبل حذف %style','ar',0,0),(3260,'إذا كان هذا النمط قيد الاستخدام على الموقع، فيجب عليك اختيار نمط آخر ليحل محله. جميع الصور المولدة بهذا النمط سيتم حذفها نهائياً.','ar',0,0),(3261,'تم حذف النمط %style.','ar',0,0),(3262,'استعادة النمط %style ؟','ar',0,0),(3263,'استعادة هذا النمط سيحذف الإعدادات المعدلة ويستعيد الإعدادت الافتراضية المقدمة من طرف وحدة <em>@module</em>.','ar',0,0),(3264,'تعديل التأثير %label','ar',0,0),(3265,'إضافة التأثير %label','ar',0,0),(3266,'تحديث التأثير','ar',0,0),(3267,'إضافة تأثير','ar',0,0),(3268,'هل أنت متأكد من حذف التأثير @effect من النمط %style ؟','ar',0,0),(3269,'تم حذف تأثير الصورة %name.','ar',0,0),(3270,'يجب أن يكون !name عدد صحيح.','ar',0,0),(3271,'يجب أن يكون !name عدداً صحيحياً موجباً.','ar',0,0),(3272,'يجب أن يكون !name قيمة لون ست عشرية hexadecimal.','ar',0,0),(3273,'لا يمكن للارتفاع والعرض أن يكون كلاهما فارغاً.','ar',0,0),(3274,'الجزء من الصورة الذي سيتم إزالته عند قصها.','ar',0,0),(3275,'لون الخلفية المستخدم في المناطق الفارغة من الصورة. استخدم ألوان الويب الست عشرية (هيكساديسيمال) (على سبيل المثال #FFFFFF للون الأبيض أو #000000 للون الأسود). اتركه فارغاً لاستخدام الشفافية للصور التي تدعم هذه الخاصية.','ar',0,0),(3276,'لا توجد حاليا أية أشكال. <a href=\"!url\">إضافة شكل جديد</a>.','ar',0,0),(3277,'لا توجد حاليا أية تأثيرات في هذا الشكل. أضف تأثيرا جديدا باختيار أحد الخيارات أسفله.','ar',0,0),(3278,'عرض الحجم الحالي','ar',0,0),(3279,'مثال عن الصورة الأصلية','ar',0,0),(3280,'مثال عن الصورة المعدلة','ar',0,0),(3281,'تغيير الحجم لا يحترم أبعاد الصورة. ما قد يؤدي إلى الحصور على صور ممدة أو مضغوطة.','ar',0,0),(3282,'المقياس يحافظ على نسبة الأبعاد الأصلية للصورة. إذا تم تعيين أحد الأبعاد، فسيتم حساب البعد الآخر تلقائياً.','ar',0,0),(3283,'القياس والاقتصاص','ar',0,0),(3284,'يحذق القص أجزاء من الصورة لتحجيمها على الحجم المطلوب.','ar',0,0),(3285,'إزالة الإشباع','ar',0,0),(3286,'إزالة الإشباع تحول صورة إلى تدرج رمادي.','ar',0,0),(3287,'قد يؤدي تطبيق استدارة على الصورة إلى زيادة في أبعاد الصورة لتتناسب مع القطر.','ar',0,0),(3288,'فشل في تغيير حجم الصورة باستخدام مربع الأدوات %toolkit في %path (%mimetype، %dimensions)','ar',0,0),(3289,'فشل تحجيم الصورة باستخدام مربع الأدوات %toolkit على المسار %path (%mimetype, %dimensions)','ar',0,0),(3290,'فشل في قص الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(3291,'فشل في تغيير حجم الصورة وقصها باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(3292,'فشل في إلغاء تشبيع الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(3293,'فشل في تدوير الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(3294,'يخزن هذا الحقل المعرف (ID) لملف الصورة على شكل عدد صحيح.','ar',0,0),(3295,'إذا لم يتم رفع أي صورة، ستستخدم هذه الصورة للعرض.','ar',0,0),(3296,'الحجم الأقصى المسموح به للصورة مكتوب بالشكل العرض×الارتفاع (مثلاً: 640×480). اترك الحقل فارغاً لعدم وضع قيود. إذا تم رفع صورة أكبر، سيتم تصغيرها لتتوافق مع الطول والعرض المحددين. تصغير حجم الصورة أثناء رفعها قد يؤدي إلى فقدان <a href=\"http://fr.wikipedia.org/wiki/Exchangeable_image_file_format\">بيانات EXIF</a> في الصورة.','ar',0,0),(3297,'الحد الأدنى لدقة الصورة','ar',0,0),(3298,'الحجم الأدنى المسموح به للصورة مكتوب بالشكل العرض×الارتفاع (مثلاً: 640×480). اترك الحقل فارغا لعدم وضع قيود. إذا تم رفع صورة أصغر، سيتم رفضها.','ar',0,0),(3299,'تفعيل حقل <em>Alt</em>','ar',0,0),(3300,'يتم استخدام الخاصية Alt (النص البديل) في محركات البحث، قارئات الشاشة، وعند الفشل في تحميل الصورة.','ar',0,0),(3301,'تفعيل حقل <em>Title</em>','ar',0,0),(3302,'محتوى الخاصية <em>Title</em> يظهر عند مرور مؤشر الفأرة فوق الصورة.','ar',0,0),(3303,'يجب أن يكون كل من الارتفاع والعرض أعداد صحيحة.','ar',0,0),(3304,'يجب أن تكون قيم كل من الارتفاع والعرض محددة في حقل !name.','ar',0,0),(3305,'معاينة نمط الصورة','ar',0,0),(3306,'لا توجد معاينة','ar',0,0),(3307,'سيتم عرض معاينة الصورة أثناء تعديل المحتوى.','ar',0,0),(3308,'تعديل الصور','ar',0,0),(3309,'استناداً إلى المكان الذي ستستخدم فيه: على سبيل المثال <em>profile-picture</em>','ar',0,0),(3310,'وصف مظهرها : مثلا <em>مربع-85×85</em>','ar',0,0),(3311,'إرفاق الصور إلى المحتوى كحقول','ar',0,0),(3312,'إدارة أنماط الصور','ar',0,0),(3313,'إنشاء وتحرير أشكال لتوليد الصور المعدلة كالصور المصغرة.','ar',0,0),(3314,'لا توجد أشكال معرفة','ar',0,0),(3315,'يجري توليد الصورة، حاول مجددا بعد قليل.','ar',0,0),(3316,'خطأ في توليد الصورة.','ar',0,0),(3317,'تعذر توليد الصورة المشتقة الموجودة في %path.','ar',0,0),(3318,'فشل في إنشاء مجلدات الأنماط: %directory','ar',0,0),(3319,'توليد نمط صورة','ar',0,0),(3320,'أنماط الصور','ar',0,0),(3321,'قائمة أنماط الصور بالموقع.','ar',0,0),(3322,'إضافة نمط','ar',0,0),(3323,'إضافة نمط صورة جديد','ar',0,0),(3324,'إعداد نمط صورة.','ar',0,0),(3325,'حذف نمط صورة','ar',0,0),(3326,'استعادة النمط','ar',0,0),(3327,'استعادة نمط صورة','ar',0,0),(3328,'تغيير تأثير الصورة','ar',0,0),(3329,'حذف تأثير الصورة','ar',0,0),(3330,'إضافة تأثير الصورة','ar',0,0),(3331,'إضافة تأثير جديد للنمط.','ar',0,0),(3332,'توفر أدوات لمعالجة الصور.','ar',0,0),(3333,'استخدم <em>اللغة المخصصة</em> أدناه إذا لم تتوفر اللغة التي تريدها في القائمة.','ar',0,0),(3334,'كود لغة بادئة المسار','ar',0,0),(3335,'كود اللغة أو نص مخصص آخر مستخدم كبادئة مسار للكشف عن اللعة بواسطة الرابط، إذا كانت إعدادات <em>الكشف والتحديد</em> الخاصة بك تستخدم بادئة مسار الرابط. بالنسبة للغة المبدئية، بالإمكان ترك هذه القيمة فارغة. <strong>تغيير هذه القائمة قد يؤدي إلى تعطيل الروابط الحالية. استخدم هذا الإعداد بحذر.</strong> مثلاً: استخدام \"deutsch\" كرمز لبادئة المسار للروابط المؤدية إلى الصفحات باللغة الألمانية، كما هو الحال في المثال : \"example.com/deutsch/contact\"','ar',0,0),(3336,'طريقة الكشف','ar',0,0),(3337,'جزء من الرابط الذي يحدد اللغة','ar',0,0),(3338,'إعداد الطلب/الجلسة','ar',0,0),(3339,'اسم إعداد الطلب/الجلسة المستخدم لتحديد اللغة المرغوبة.','ar',0,0),(3340,'فلترة النصوص القابلة للترجمة','ar',0,0),(3341,'نوع التاريخ','ar',0,0),(3342,'هل أنت متأكد من إعادة تعيين تنسيقات التواريخ في %language والعودة إلى الإعدادات الافتراضية العالمية؟','ar',0,0),(3343,'إعادة التعيين تحذف جميع تنسيقات التواريخ المترجمة لهذه اللغة. لا يمكن التراجع عن هذه العملية.','ar',0,0),(3344,'تسمح وحدة الترجمة بعرض موقعك بلغات أخرى غير الإنجليزية الافتراضية، وليكون الموقع أيضاً متعدد اللغات. تعمل وحدة الترجمة عن طريق الحفاظ على قاعدة بيانات للترجمات، وتحليل النص المراد عرضه. عند توفر ترجمة للنص باللغة المراد عرضها، يتم استخدام الترجمة بدلاً من النص الأصلي. وعند عدم توفر الترجمة، يتم عرض النص الأصلي، ثم يتم حفظ النص الأصلي في حال عدم وجود ترجمة لتتم مراجعته من طرف مترجم. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@locale\">وحدة الترجمة</a> على الإنترنت.','ar',0,0),(3345,'ترجمة نص الواجهة','ar',0,0),(3346,'يمكن توفير ترجمات نصوص واجهة دروبال بواسطة:','ar',0,0),(3347,'الترجمة من موقعك باستخدام <a href=\'@translate\'>واجهة الترجمة</a> المتكاملة مع وحدة المحلية.','ar',0,0),(3348,'ضبط موقع متعدد اللغات','ar',0,0),(3349,'إضافة لغة لاستخدامها في موقعك. إذا لم تكن اللغة المطلوبة متاحة في القائمة المنسدلة <em>اسم اللغة</em>، انقر على اللغة المخصصة وأدخل رمز اللغة والتفاصيل الأخرى يدوياً. عند تعيين اللغة بشكل يدوي، تأكد من إدخال رمز اللغة القياسي، ليكون مفهوم من طرف المتصفحات لكي تستطيع استخدام اللغة المناسبة.','ar',0,0),(3350,'راجع <a href=\"@languages\">صفحة اللغات</a> للمزيد من المعلومات حول إضافة لغات أخرى.','ar',0,0),(3351,'تستورد هذه الصفحة النصوص المترجمة من ملف Gettext (<em>.po</em>) واحد. موفر عادة كجزء من حزمة ترجمة (كل حزمة ترجمة يمكن أن تحتوي على عدة ملفات <em>.po</em>)، قد يحتاج ملف <em>.po</em> أن يستورد بعد ترجمة خارجية في برنامج جيتتكست. قد تكون عملية استيراد ملف <em>.po</em> بطيئة نوعاً ما.','ar',0,0),(3352,'تسمح هذه الصفحة للمترجم بالبحث عن النصوص المترجمة وغير المترجمة، ويتم استخدامها لإنشاء أو تعديل الترجمات. (ملاحظة : لمهام الترجمة على عدة نصوص، من الأفضل <a href=\"@export\">تصدير</a> النصوص لتعديلها باستخدام برنامج ترجمة من نوع Gettext.) يمكن أن تقتصر عملية البحث على نصوص موجودة في مجموعة معينة أو في لغة معينة.','ar',0,0),(3353,'إدارة اللغات','ar',0,0),(3354,'ترجمة نصوص الواجهة','ar',0,0),(3355,'ترتيب خيارات كشف لغة المحتويات. إذا توافر محتوى بلغة معروفة، سيتم عرضه.','ar',0,0),(3356,'ترتيب أساليب الكشف عن اللعات لنص واجهة المستخدم. إذا توفرت نسخة نص مترجمة من واجهة المستخدم في اللغة المحددة، فسيتم عرضها.','ar',0,0),(3357,'تحديد اللغة من عنوان الرابط (بادئة المسار أو النطاق).','ar',0,0),(3358,'تحديد اللغة من تكوين معامل الطلب/الجلسة.','ar',0,0),(3359,'تتبع إعدادات اللغة الخاصة بالمستخدم.','ar',0,0),(3360,'تحديد اللغة من إعدادات اللغة للمتصفح.','ar',0,0),(3361,'مبدل اللغة (@type)','ar',0,0),(3362,'الكشف والتحديد','ar',0,0),(3363,'ضبط التحقق عن اللغة في عنوان الرابط','ar',0,0),(3364,'ضبط التحقق عن اللغة في الجلسة','ar',0,0),(3365,'المحليات','ar',0,0),(3366,'ترجمة تنسيقات التواريخ','ar',0,0),(3367,'إعادة تعيين تنسيقات التواريخ','ar',0,0),(3368,'إعادة تعيين تنسيقات التواريخ المحلية إلى التنسيقات الافتراضية','ar',0,0),(3369,'يناير','ar',0,0),(3370,'فبراير','ar',0,0),(3371,'مارس','ar',0,0),(3372,'أبريل','ar',0,0),(3373,'مايو','ar',0,0),(3374,'يونيو','ar',0,0),(3375,'يوليو','ar',0,0),(3376,'أغسطس','ar',0,0),(3377,'سبتمبر','ar',0,0),(3378,'أكتوبر','ar',0,0),(3379,'نوفمبر','ar',0,0),(3380,'ديسمبر','ar',0,0),(3381,'إضافة رابط','ar',0,0),(3382,'لا توجد روابط قائمة حالياً. <a href=\"@link\">إضافة رابط</a>.','ar',0,0),(3383,'النص المستخدم لهذا الرابط في القائمة.','ar',0,0),(3384,'مسار هذا الرابط من القائمة. قد يكون مسار داخلي لدروبال مثل %add-node أو رابط خارجي مثل %drupal. استخدم %front للربط بالصفحة الرئيسية.','ar',0,0),(3385,'الروابط الغير مفعلة لا ينم عرضها في القوائم.','ar',0,0),(3386,'الإظهار بشكل موسع','ar',0,0),(3387,'إذا اخترت هذا الخيار وكان للعنصر أبناء، فإن قائمته ستظهر دائماً بشكل موسع.','ar',0,0),(3388,'الرابط اﻷب','ar',0,0),(3389,'أقصى عمق للرابط وكل فروعه محدد إلى !maxdepth. لا يمكن استخدام بعض الروابط كرئيسية إذا تم تجاوز الحد الأقصى.','ar',0,0),(3390,'اختياري. في كل قائمة، ترتب الروابط ابتداء بالأخف وانتهاء بالأثقل.','ar',0,0),(3391,'هل تريد بالتأكيد حذف رابط القائمة المخصص %item؟','ar',0,0),(3392,'تم حذف رابط القائمة %title.','ar',0,0),(3393,'هل أنت متأكد من إعادة تعيين الرابط %item والعودة إلى القيم الافتراضية؟','ar',0,0),(3394,'تم إعادة تعيين رابط القائمة إلى إعداداته الافتراضية.','ar',0,0),(3395,'لا يوجد أي رابط رئيسي','ar',0,0),(3396,'مصدر الروابط الرئيسية','ar',0,0),(3397,'تحديد ما ينبغي عرضه كروابط رئيسية (عادة في أعلى الصفحة).','ar',0,0),(3398,'لا يوجد أي رابط ثانوي','ar',0,0),(3399,'مصدر الروابط الثانوية','ar',0,0),(3400,'تم حذف القائمة المخصصة %title وجميع روابطها.','ar',0,0),(3401,'تم حذف رابط القائمة %title.','ar',0,0),(3402,'<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',0,0),(3403,'<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',3402,1),(3404,'<strong>تحذير:</strong> يوجد الآن رابطا قائمة إثنان في %title. سيتم حذفهما (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',3403,2),(3405,'<strong>تحذير:</strong> يوجد الآن @count[3] روابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',3404,3),(3406,'<strong>تحذير:</strong> يوجد الآن @count[4] رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',3405,4),(3407,'<strong>تحذير:</strong> يوجد الآن @count[5] رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',3406,5),(3408,'إدارة القوائم','ar',0,0),(3409,'عرض القوائم','ar',0,0),(3410,'بعد قيامك بإنشاء قائمة، يجب عليك تفعيل واختيار موضع الصندوق المرتبط بها عن طريق صفحة <a href=\"@blocks\">إدارة الصناديق</a>.','ar',0,0),(3411,'بإمكانك تفعيل الصندوق المنشأ حديثاً لهذه القائمة على <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(3412,'لكل قائمة صندوق مرتبط بها يتم التحكم فيه في صفحة <a href=\"@blocks\">إدارة الصناديق</a>.','ar',0,0),(3413,'إدارة القوائم وعناصر القائمة','ar',0,0),(3414,'يوفر رابط قائمة','ar',0,0),(3415,'تعرض الروابط ذات الوزن الخفيف قبل الروابط ذات الوزن الثقيل.','ar',0,0),(3416,'القوائم المتوفرة','ar',0,0),(3417,'القوائم المتوفرة لوضع روابط لهذا النوع من المحتوى.','ar',0,0),(3418,'العنصر اﻷب الافتراضي','ar',0,0),(3419,'اختر عنصر القائمة الذي سيصبح العنصر اﻷب الافتراضي للروابط الجديدة في استمارات إنشاء المحتوى.','ar',0,0),(3420,'إضافة قوائم جديدة للموقع, تعديل قوائم موجودة, و إعادة تسمية وتنظيم روابط القائمة.','ar',0,0),(3421,'عناصر قائمة الأب','ar',0,0),(3422,'تحرير رابط القائمة','ar',0,0),(3423,'إعادة تعيين رابط القائمة','ar',0,0),(3424,'حذف رابط القائمة','ar',0,0),(3425,'تحتوي قائمة <em>الإبحار</em> على الروابط المخصصة لزوار الموقع. تتم إضافة روابط إلى هذه القائمة تلقائياً من طرف بعض الوحدات.','ar',0,0),(3426,'تحتوي قائمة <em>المستخدم</em> على الروابط ذات الصلة بحساب المستخدم، كرابط \'تسجيل الخروج\'.','ar',0,0),(3427,'تحتوي قائمة <em>الإدارة</em> على روابط المهام الإدارية.','ar',0,0),(3428,'يتم استخدام القائمة <em>الرئيسية</em> لعرض الأقسام الرئيسية في الموقع، وغالباً ما تظهر في ترويسة الصفحة.','ar',0,0),(3429,'إدارة العرض','ar',0,0),(3430,'لا يوجد أي نوع محتوى متوفر. <a href=\"@link\">إضافة نوع محتوى</a>.','ar',0,0),(3431,'اسم نوع من المحتوى \"الذي يظهر للمستخدمين\". سيتم عرض هذا النص كعنصر قائمة في صفحة <em>إضافة محتوى جديد</em>. من الأفضل أن يحتوي هذا النص على حروف، أرقام وفراغات فقط. يجب أن يكون هذ الاسم فريداً.','ar',0,0),(3432,'وصف هذا النوع من المحتوى. سيتم عرض هذا النص في صفحة <em>إضافة محتوى جديد</em>.','ar',0,0),(3433,'المعاينة قبل الإرسال','ar',0,0),(3434,'سيتم عرض هذا النص في أعلى الصفحة أثناء إنشاء أو تعديل هذا النوع من المحتوى.','ar',0,0),(3435,'المستخدمون الذين لهم صلاحية <em>إدارة المحتوى</em> يمكنهم تجاوز هذه الخيارات.','ar',0,0),(3436,'عرض معلومات المؤلف والتاريخ.','ar',0,0),(3437,'سيتم عرض اسم المستخدم للمؤلف وتاريخ النشر.','ar',0,0),(3438,'الاسم البرمجي غير صحيح. يرجى إدخال اسم مختلف عن %invalid.','ar',0,0),(3439,'%type مستخدم من طرف محتوى واحد على موقعك. لن تتمكن من عرضه أو تعديله بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',0,0),(3440,'%type مستخدم من طرف محتوى واحد على موقعك. لن تتمكن من عرضه أو تعديله بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',3439,1),(3441,'%type مستخدم من طرف محتويان إثنان على موقعك. لن تتمكن من عرضهما أو تعديلهما بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',3440,2),(3442,'%type مستخدم من طرف @count[3] محتويات على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',3441,3),(3443,'%type مستخدم من طرف @count[4] محتوى على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',3442,4),(3444,'%type مستخدم من طرف @count[5] محتوى على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',3443,5),(3445,'نشر المحتوى المحدد','ar',0,0),(3446,'إلغاء نشر المحتوى المحدد','ar',0,0),(3447,'ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0,0),(3448,'إلغاء ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0,0),(3449,'ثبت المحتوى المحدد','ar',0,0),(3450,'إلغاء تثبيت المحتوى المحدد','ar',0,0),(3451,'حذف المحتوى المحدد','ar',0,0),(3452,'تم حذف @count مشاركة.','ar',0,0),(3453,'هل أنت متأكد من حذف هذا العنصر؟','ar',0,0),(3454,'هل أنت متأكد من حذف هذا العنصر؟','ar',3453,1),(3455,'تعديل @title (@type)','ar',0,0),(3456,'لم تقم بإنشاء أي أنواع محتوى. إذهب إلى  <a href=\"@create-content\">صفحة إنشاء أنواع المحتوى</a> من أجل إنشاء نوع محتوى جديد.','ar',0,0),(3457,'رسالة سجل المراجعة','ar',0,0),(3458,'أوضح التغيرات التي أجريتها. هذا التوضيح سيساعد باقي المؤلفين على فهم أسباب التغييرات. ','ar',0,0),(3459,'العلامات المميزة (tokens) المتعلقة بعناصر المحتوى، أو \"العقد\".','ar',0,0),(3460,'المعرف الفريد لعنصر المحتوى، أو \"العقدة\".','ar',0,0),(3461,'متن النص الرئيسي للعقدة.','ar',0,0),(3462,'ملخص متن النص الرئيسي للعقدة.','ar',0,0),(3463,'تحتاج صلاحيات الوصول إلى المحتوى إلى إعادة البناء. <a href=\"@node_access_rebuild\">إعادة بناء الصلاحيات</a>.','ar',0,0),(3464,'تقوم وحدة العقدة بالتحكم في إنشاء، تعديل، حذف، إعداد وعرض المحتوى الرئيسي للموقع. عناصر المحتوى (<strong>العقد</strong>) التي تديرها وحدة العقد يتم عرضها عادة كصفحات بالموقع الخاص بك، وتتضمن عنوان، عدد معين من البيانات (المؤلف، تاريخ الإنشاء، نوع المحتوى، ... إلخ) وبعض الحقول الاختيارية التي يمكن أن تحتوي نصوص أو أنواع أخرى من البيانات (يتم التحكم في الحقول من طرف <a href=\"@field\">وحدة الحقول</a>). للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@node\">وحدة العقد</a> على الإنترنت.','ar',0,0),(3465,'إنشاء محتوى','ar',0,0),(3466,'عندما يتم إنشاء محتوى جديد، تقوم وحدة العقده بتخزين المعلومات الأساسية ذات الصلة بهذا المحتوى وهي تشمل المؤلف، تاريخ الإنشاء، و <a href=\"@content-type\">نوع المحتوى</a>.كما يتم أيضا التحكم في <em>خيارات النشر</em>، فهي تسمح بتحديد ما إذا كان سيتم نشر المحتوى أم لا، ترقيته إلى الصفحة الرئيسية، و/أو تثبيته في أعلى قائمة المحتويات. يمكن ضبط الإعدادات الافتراضية لكل <a href=\"@content-type\">نوع محتوى</a> على موقعك.','ar',0,0),(3467,'إنشاء أنواع محتوى مخصصة','ar',0,0),(3468,'إدارة المحتوى','ar',0,0),(3469,'تسمح لك صفحة <a href=\"@content\">إدارة المحتوى</a> بمتابعة وإدارة المحتوى على موقعك.','ar',0,0),(3470,'إنشاء المراجعات','ar',0,0),(3471,'تتيح أيضاً وحدة العقد إنشاء عدة نسخ من أي محتوى، واستعادة النسخ السابقة باستخدام إعدادات <em>معلومات المراجعة</em>.','ar',0,0),(3472,'صلاحيات المستخدم','ar',0,0),(3473,'تقدم وحدة العقد عدد معين من الصلاحيات المتوفرة لكل نوع من المحتوى، يمكن ضبطها لكل دور في صفحة <a href=\"@permissions\">الصلاحيات</a>.','ar',0,0),(3474,'بإمكان كل نوع محتوى أن يحتوي على حقول، تصرفات، وصلاحيات منفصلة على حدة.','ar',0,0),(3475,'يمكن عرض عناصر المحتوى باستخدام أساليب مختلفة من العرض: الملخص، المحتوى الكامل، الطباعة، RSS، ... إلخ. <em>الموجز</em> هو تنسيق قصير يستخدم عادة في صفحات السرد التي تحتوي على عناصر عديدة من المحتوى. <em>المحتوى الكامل</em> يستخدم عادة عند عرض المحتوى في صفحته الخاصة.','ar',0,0),(3476,'هنا يمكنك تحديد الحقول التي سيتم عرضها أو إخفاؤها لكل وضع عرض لنوع المحتوى %type، وتحديد كيفية عرض الحقول في كل وضع عرض.','ar',0,0),(3477,'تسمح لك المراجعات بتعقب الاختلافات بين مختلف نسخ المحتوى الخاص بك، واستعادة النسخ قديمة.','ar',0,0),(3478,'المحتوى الكامل','ar',0,0),(3479,'تم تعديل محتوى هذه الصفحة من طرف مستخدم آخر، أو أنت من قام بالقيام بالتغييرات باستخدام هذا النموذج. لذلك، لا يمكن حفظ تعديلاتك.','ar',0,0),(3480,'إدارة أنواع المحتوى','ar',0,0),(3481,'تحذير : هذه الصلاحية تؤثر على الأمن، لا تمنحها إلا للأدوار الموثوق بها.','ar',0,0),(3482,'مشاهدة المحتوى المنشور','ar',0,0),(3483,'الوصول إلى صفحة النظرة العامة على المحتوى','ar',0,0),(3484,'تجاوز صلاحيات الوصول إلى المحتوى','ar',0,0),(3485,'مشاهدة مراجعات المحتوى','ar',0,0),(3486,'استعادة مراجعات المحتوى','ar',0,0),(3487,'حذف مراجعات المحتوى','ar',0,0),(3488,'مشاهدة محتواه غير المنشور','ar',0,0),(3489,'المحتوى مثبت أعلى القوائم','ar',0,0),(3490,'المحتوى مرقى إلى الصفحة الرئيسية','ar',0,0),(3491,'أحدث المحتويات','ar',0,0),(3492,'عدد عناصر المحتوى الجديدة التي سيتم عرضها','ar',0,0),(3493,'عرض صندوق لنوع معين من المحتوى','ar',0,0),(3494,'مرحبا بك في @site-name','ar',0,0),(3495,'لم يتم حتى الآن إنشاء محتوى للصفحة الرئيسية.','ar',0,0),(3496,'إلغاء نشر المحتوى','ar',0,0),(3497,'تثبيت المحتوى','ar',0,0),(3498,'إلغاء جعل المحتوى مثبت','ar',0,0),(3499,'ترقية المحتوى إلى الصفحة الرئيسية','ar',0,0),(3500,'ارفع الموضوع من الصفحة الرئيسية','ar',0,0),(3501,'غيّر مؤلف الموضوع','ar',0,0),(3502,'حفظ المحتوى','ar',0,0),(3503,'إلغاء نشر محتوى يتضمن الكلمات المفتاحية','ar',0,0),(3504,'سيتم إلغاء نشر المحتوى إذا كان يحتوي على أي من العبارات الواردة أعلاه. استخدم قائمة عبارات مفصولة بفواصل، العبارات حساسة لحالة الأحرف. مثال : مسلي، مباراة،\"شركة\"','ar',0,0),(3505,'صلاحيات الوصول إلى العقدة','ar',0,0),(3506,'صلاحية واحدة مستخدمة','ar',0,0),(3507,'صلاحية واحدة مستخدمة','ar',3506,1),(3508,'صلاحيتان مستخدمتان','ar',3507,2),(3509,'@count[3] صلاحيات مستخدمة','ar',3508,3),(3510,'@count[4] صلاحية مستخدمة','ar',3509,4),(3511,'@count[5] صلاحية مستخدمة','ar',3510,5),(3512,'إيجاد وإدارة المحتوى','ar',0,0),(3513,'إدارة أنواع المحتوى، بما في ذلك الحالات الافتراضية والترقية إلى الصفحة الرئيسية وإعدادات التعليقات، الخ.','ar',0,0),(3514,'تحرير نوع المحتوى','ar',0,0),(3515,'عدم عرض معلومات المشاركة','ar',0,0),(3516,'هذا الموقع متوافق مع هوية <a href=\"@openid-net\">OpenID</a>، وسيلة آمنة لتسجيل الدخول في العديد من المواقع باستخدام اسم مستخدم واحد وكلمة مرور واحدة. هوية OpenID يمكن أن تقلل من ضرورة التحكم في العديد من أسماء المستخدم وكلمات المرور للعديد من المواقع.','ar',0,0),(3517,'إذا كانت لديك هوية OpenID، قم بإدخال عنوان رابط الخادم الخاص بهوية OpenID أدناه (مثلاً: myusername.openidprovider.com). في المرة القادمة التي تقوم بها بتسجيل الدخول، يمكنك استخدام هذا الرابط بدلاً من اسم المستخدم وكلمة المرور. يمكنك اختيار أكثر من خادم OpenID إذا أردت، فقط قم بإضافتهم هنا.','ar',0,0),(3518,'الدخول باستخدام OpenID','ar',0,0),(3519,'لتسجيل الدخول باستخدام هوية OpenID، يجب أن يكون للمستخدم معرف OpenID مسبقاً. عندها يمكنهم إنشاء حسابات على الموقع باسخدام معرف OpenID الخاص بهم، ربط هوية أو عدة هويات OpenID بحسابهم، وتسجيل الدخول باستخدام معرف OpenID. هذا يخفف من عناء التسجيل، ويمنح المستخدمين المزيد من الراحة والأمن. نظراً إلى أن نظام هوية OpenID لا تضمن صحة حساب المستخدم، فإن التحقق من البريد الإلكتروني يبقى ضرورياً. أثناء تسجيل الدخول، يظهر للمستخدمين خيار لإدخال عنوان رابط معرف OpenID والذي يبدو على الشكل: <em>mon-nom.openidprovider.com</em>. يقوم الموقع بالاتصال بسيرفر OpenID، ويطلب التحقق من هوية المستخدم. إذا كان المستخدم مسجل الدخول مسبقاً بخادم OpenID الخاص به، يقوم الخادم بالرد على الموقع، والمصادقة على المستخدم. أما إذا لم يكن مسجل الدخول، فسيقوم خادم OpenID بطلب كلمة مرور المستخدم. في كل الحالات، الموقع لا يسجل كلمة مرور معرف OpenID الخاصة بالمستخدم.','ar',0,0),(3520,'بعد التحقق من صحة بريدك الإلكتروني، يمكنك تسجيل الدخول باستخدام هوية OpenID.','ar',0,0),(3521,'عذراً، هذه ليست هوية OpenID صحيحة. تأكد من إدخال معرف الهوية بشكل صحيح.','ar',0,0),(3522,'أكمل التسجيل بملأ النموذج أدناه. إذا كان لديك حساب فيمكنك <a href=\"@login\">تسجيل الدخول</a> الآن وإضافة معرف OpenID الخاص بك من صفحتك الشخصية.','ar',0,0),(3523,'حوار @title','ar',0,0),(3524,'إنشاء بدائل','ar',0,0),(3525,'<em>member/jane-smith</em> هو بديل المسار الداخلي <em>user/123</em>','ar',0,0),(3526,'<em>about-us/team</em> هو بديل المسار الداخلي <em>node/456</em>','ar',0,0),(3527,'إدارة المسارات','ar',0,0),(3528,'توفر وحدة المسار طريقة لبحث وعرض <a href=\"@aliases\">قائمة بجميع البدائل</a> قيد الاستخدام بموقعك. يمكن إضافة، تعديل وحذف البدائل من هذه القائمة.','ar',0,0),(3529,'البديل يعين مسار مختلف لمسار رابط موجود. مثل البديل\'حول-الموقع\' لمسار الرابط \'node/1\'. يمكن لمسار رابط أن يكون له عدة بدائل.','ar',0,0),(3530,'إدارة بدائل المسارات','ar',0,0),(3531,'إنشاء وتحرير بدائل المسارات','ar',0,0),(3532,'البديل مستخدم مسبقاً.','ar',0,0),(3533,'تمكين PHP في الحقول النصية','ar',0,0),(3534,'استخدام PHP للإعدادات','ar',0,0),(3535,'تم تعطيل وحدة PHP. برجاء الانتباه إلى أن أي محتوى موجود الآن و يحتوي على كود PHP سوف يظهر الكود كنص عادي. قد يسبب هذا خطورة على أمن الموقع و يقوم بعرض بعض المعلومات الحساسة إذا ما تم استخدامها في كود PHP.','ar',0,0),(3536,'يمكن استخدام وحدة الاستبيان لإنشاء استبيانات أو أسئلة بسيطة تعرض خيارات للتصويت. الاستبيان هو طريقة جيدة لتلقي آراء الزوار والمستخدمين. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@poll\">وحدة الاستطلاع</a>.','ar',0,0),(3537,'إنشاء استبيان','ar',0,0),(3538,'بإمكان المستخدمين إنشاء استبيان بالنقر فوق الاستبيان في صفحة <a href=\"@add-content\">إضافة محتوى جديد</a>، ثم كتابة سؤال، والأجوبة المحتملة وتعيين القيمة المبدئية لعدد اﻷصوات. كما يمكن أيضاً تحديد الحالة (مغلق أو مفتوح) والمدة (الفترة التي يبقى فيها الاستطلاع مفتوح للتصويت).','ar',0,0),(3539,'عرض الاستبيانات','ar',0,0),(3540,'بإمكانك زيارة صفحة <a href=\"@poll\">الاستبيانات</a> لعرض جميع الاستبيانات الحالية، ويمكنك أيضاً تفعيل صندوق <em>أحدث  الاستبيانات</em> على صفحة <a href=\"@blocks\">إدارة الصناديق</a>. وللمشاركة في استبيان معين أو عرض نتائجه، انقر على ذلك الاستبيان.','ar',0,0),(3541,'المشاركة في الاستبيانات','ar',0,0),(3542,'إلغاء أو تعديل تصويته على الاستبيانات','ar',0,0),(3543,'تم إلغاء تصويتك.','ar',0,0),(3544,'لتفعيل تصفح هذا الحقل حسب القيمة، أدخل عنواناً لصفحة النتائج. يتم تعويض كلمة <code>%value</code> بالقيمة المناسبة. مثال على عنوان الصفحة \"المستخدمون الذين لونهم المفضل هو %value\". وهذه الميزة لا تستخدم إلا للحقول العامة.','ar',0,0),(3545,'لتفعيل تصفح هذا الحقل حسب القيمة، أدخل عنواناً لصفحة النتائج. مثال على عنوان الصفحة \"الأعضاء الذين لديهم عمل\". وهذه الميزة لا تستخدم إلا للحقول العامة.','ar',0,0),(3546,'تسمح وحدة الملف الشخصي لإداريي الموقع بتعريف حقول مخصصة (كالبلد، الاسم، اللقب والسن) لملفات المستخدمين، والتي سيتم عرضها لاحقاً في <a href=\"@user\">الصفحة الشخصية</a>. مما يسمح لمستخدمي الموقع بتبادل المزيد من المعلومات المتعلقة بهم، ويمكن أن يساعد المواقع الاجتماعية على تنظيم المستخدمين حسب معلومات معينة. للمزيد يرجى مراجعة صفحة الدليل حول <a href=\"@profile\">وحدة الملف الشخصي</a>.','ar',0,0),(3547,'إضافة حقول إلى الملف الافتراضي','ar',0,0),(3548,'لتوفير إمكانية إدخال معلومات إضافية للمستخدمين حول أنفسهم، تسمح وحدة Profile بإضافة حقول إضافية للملف الشخصي المبدئي للمستخدم. أمثلة عن الإضافات الكلاسيكية: <em>العنوان</em>، <em>المؤسسة</em>، <em>السن</em> أو <em>الهوايات</em>.','ar',0,0),(3549,'صفحات معلومات المستخدم','ar',0,0),(3550,'تسمح وحدة الملف الشخصي بتفعيل روابط لعرض المزيد من المعلومات حول مستخدمي الموقع. يمكنك عرض <a href=\"@profile\">صفحة بقائمة المستخدمين</a>، وصفحات معينة بالنقر على الحقول التي توفر رابط من أي ملف مستخدم. على سبيل المثال، قائمة <a href=\"@profile-country\">المستخدمين القاطنين بكندا</a> على موقع دروبال تعرض جميع المستخدمين الذين أدخلوا <em>كندا</em> في حقل <em>البلد</em> على ملفهم الشخصي.','ar',0,0),(3551,'صندوق معلومات المؤلف','ar',0,0),(3552,'هذه الصفحة تسرد الحقول المخصصة الموجودة التي يمكن عرضها على صفحة <em>حسابي</em> لمستخدم ما. لتوفير هيكلية معينة، يمكن وضع الحقول المتشابهة أو المشتركة في فئة ما. لإضافة فئة جديدة (أو تعديل فئة موجودة)، قم بتعديل حقل من ملف المستخدم و غير اسم الفئة.','ar',0,0),(3553,'تم تغيير وحدات البحث المفعلة.','ar',0,0),(3554,'البحث في %type عن %key.','ar',0,0),(3555,'البحث عن المحتوى والمستخدمين','ar',0,0),(3556,'المستخدمون الذين لديهم صلاحية <em>استخدام البحث</em> يمكنهم استخدام صندوق البحث و <a href=\"@search\">صفحة البحث</a>. المستخدمون الذين لديهم صلاحية <em>مشاهدة المحتوى المنشور</em> يمكنهم البحث عن المحتوى الذي يحتوي على كلمات معينة. المستخدمون الذين لديهم صلاحية <em>عرض الصفحات الشخصية للمستخدمين</em> يمكنهم البحث عن المستخدمين عن طريق كلمات معينة، والمستخدمون الذين لديهم صلاحية <em>إدارة المستخدمين</em> يمكنهم البحث عن المستخدمين عن طريق بريدهم الإلكتروني. بالإضافة إلى ذلك، المستخدمون الذين لديهم صلاحية <em>استخدام البحث المتقدم</em> يمكنهم إيجاد المحتويات باستخدام أساليب البحث وفلترة أكثر تعقيداً بتحديد خيار <em>البحث المتقدم</em> على <a href=\"@search\">صفحة البحث</a>.','ar',0,0),(3557,'فهرسة المتحوى بمجدول الأعمال (كرون)','ar',0,0),(3558,'ضبط إعدادات البحث','ar',0,0),(3559,'وحدة البحث تتضمن <em>صندوق بحث</em> افتراضي, والذي يمكن تفعيله وضبطه من <a href=\"@blocks\">صفحة إدارة الصناديق</a>. الصندوق سيظهر فقط للمستخدمين الذي لديهم صلاحية <em>البحث ضمن المحتوى</em>.','ar',0,0),(3560,'توسيع وحدة البحث','ar',0,0),(3561,'<ul>\r\n<li>تحقق من كتابة الكلمات بشكل صحيح.</li>\r\n<li>احذف علامات الاقتباس حول العبارة للبحث عن كل كلمة على انفراد <em>مرأب السيارة</em> غالباً تعطي نتائج أكثر من <em>&quot;مرأب السيارة&quot;</em>.</li>\r\n<li>حاول توسيع نطاق البحث باستخدام <em>OR</em>. <em>مرأب OR سيارة</em> غالباً تعطي نتائج أكثر من <em>مرأب سيارة</em>.</li>\r\n</ul>','ar',0,0),(3562,'إدارة البحث','ar',0,0),(3563,'استخدام البحث','ar',0,0),(3564,'استخدام البحث المتقدم','ar',0,0),(3565,'ضبط إعدادات البحث وخيارات الفهرسة.','ar',0,0),(3566,'اختر مجموعة اختصارات لاستخدامها','ar',0,0),(3567,'اختر مجموعة اختصارات لهذا المستخدم','ar',0,0),(3568,'أنت تستخدم الآن مجموعة الاختصارات الجديدة %set_name. يمكنك تغييرها من خلال هذه الصفحة أو <a href=\"@switch-url\">التغيير لمجموعة مختلفة</a>.','ar',0,0),(3569,'%user يستخدم الآن مجموعة الاختصارات الجديدة %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0,0),(3570,'أنت تستخدم الآن مجموعة الاختصارات %set_name.','ar',0,0),(3571,'%user يستخدم الآن مجموعة الاختصارات %set_name.','ar',0,0),(3572,'تغيير المجموعة','ar',0,0),(3573,'تم تحديث مجموعة الاختصارات.','ar',0,0),(3574,'إضافة اختصار جديد','ar',0,0),(3575,'تغيير @shortcut','ar',0,0),(3576,'اسم الاختصار.','ar',0,0),(3577,'مسار الاختصار.','ar',0,0),(3578,'يجب أن يؤدي الرابط إلى مسار صحيح على الموقع.','ar',0,0),(3579,'تم تحديث الاختصار %link.','ar',0,0),(3580,'إضافة اختصار إلى العنوان %title.','ar',0,0),(3581,'هل أنت متأكد من حذف الاختصار %title؟','ar',0,0),(3582,'تم حذف الاختصار %title.','ar',0,0),(3583,'لا يمكن إضافة اختصار إلى %title.','ar',0,0),(3584,'إضافة وحذف الاختصارات','ar',0,0),(3585,'عرض الاختصارات','ar',0,0),(3586,'إدارة الاختصارات','ar',0,0),(3587,'اختصارات @shortcut_set','ar',0,0),(3588,'إضافة إلى اختصارات %shortcut_set','ar',0,0),(3589,'إضافة إلى الاختصارات','ar',0,0),(3590,'حذف من اختصارات %shortcut_set','ar',0,0),(3591,'حذف من الاختصارات','ar',0,0),(3592,'تحرير الاختصارات','ar',0,0),(3593,'إضافة اختصار','ar',0,0),(3594,'تعديل اختصار','ar',0,0),(3595,'حذف اختصار','ar',0,0),(3596,'يتيح للمستخدمين إدارة قوائم مطوّعة للروابط المقصرة.','ar',0,0),(3597,'قيمة @value هي TRUE.','ar',0,0),(3598,'قيمة @value هي FALSE.','ar',0,0),(3599,'قيمة @value هي NULL.','ar',0,0),(3600,'قيمة @value هي not NULL.','ar',0,0),(3601,'القيمة @first تساوي القيمة @second.','ar',0,0),(3602,'القيمة @first لا تساوي القيمة @second.','ar',0,0),(3603,'القيمة @first مطابقة للقيمة @second.','ar',0,0),(3604,'القيمة @first غير مطابقة للقيمة @second.','ar',0,0),(3605,'لم يتم إكمال الاختبار لوجود خطأ فادح.','ar',0,0),(3606,'تم العثور على ارتباط مع التسمية %label.','ar',0,0),(3607,'لم يتم العثور على ارتباط مع التسمية %label.','ar',0,0),(3608,'تم العثور على ارتباط يتضمن href %href.','ar',0,0),(3609,'لم يتم العثور على أي رابط يتضمن href %href.','ar',0,0),(3610,'تم النقر على ارتباط %label (@url_target) من @url_before','ar',0,0),(3611,'تم تحديد الخيار @option للحقل @id.','ar',0,0),(3612,'لم يتم تحديد الخيار @option للحقل @id.','ar',0,0),(3613,'مفاوضات GSS','ar',0,0),(3614,'NTLM','ar',0,0),(3615,'بأمان','ar',0,0),(3616,'تشغيل الاختبارات','ar',0,0),(3617,'قم بزيارة <a href=\"@admin-simpletest\">صفحة الاختبارات</a> لعرض قائمة الاختبارات المتاحة. لتشغيل مجموعة اختبارات، حدد <em>الكل</em> أو حدد الاختبارات فردياً للقيام باختبارات أكثر تحديداً. انتبه فقد تستغرق العملية عدة دقائق لإنهاء جميع الاختبارات، يرجى مراجعة دليل <a href=\"@simpletest-api\">توثيق API للاختبارات</a> على الإنترنت.','ar',0,0),(3618,'بعد تشغيل الاختبارات، سيتم عرض رسالة بجانب كل مجموعة اختبار للإشارة ما إذا كان الاختبار ناجح، فاشل أو قام بتوليد استثناءات. النجاح يعني أن الاختبار استجاب بالنتائج المتوقعة، في حين أن الفشل يعني العكس. الاستثناء يشير عادة إلى خطأ خارج الاختبار، كتحذير أو ملاحظة من PHP. عند وجود فشل أو استثناء، سوف يتم تقديم النتائج مع التفاصيل والاختبارات التي أدت إلى على فشل أو استثناء سيتم الإشارة إليها باللون الأحمر أو الوردي. يمكنك استخدام هذه النتائج لمراجعة الكود الخاص بك وإعادة الاختبار إلى أن تحصل على نتائج ناجحة.','ar',0,0),(3619,'إدارة الاختبارات','ar',0,0),(3620,'تم إكمال تنفيذ الاختبار في @elpsed','ar',0,0),(3621,'استخدم زر <em>مسح البيئة</em> لحذف الملفات والجداول المؤقتة.','ar',0,0),(3622,'بيئة الاختبار تتطلب أن يكون تقييد <a href=\"@open_basedir-url\">open basedir</a> PHP معطل.تحقق من إعدادات خادم الويب أو اتصل بالمستضيف الخاص بك.','ar',0,0),(3623,'تعذر تثبيت إطار الاختبار لأن مكتبة PHP <a href=\"@curl_url\">cURL</a> غير متوفرة.','ar',0,0),(3624,'لا يمكن تثبيت بيئة الاختبار لأن إضافة PHP <a href=\"@hash_url\">hash</a> معطلة.','ar',0,0),(3625,'تقييد PHP open_basedir','ar',0,0),(3626,'إلغاء حظر عنوان IP','ar',0,0),(3627,'حظر عنوان IP','ar',0,0),(3628,'وحدة الإحصاءات تظهر لك عدد مرادة مشاهدة صفحة ما، من شاهدها، الصفحة السابقة التي زارها المستخدم (عنوان الرابط) وتاريخ عرض هذه الصفحة. هذه الإحصاءات مفيدة لتحديد كيفية زيارة وتنقل المستخدمين على الموقع. للمزيد من المعلومات، يرجى مراجعة <a href=\"@statics\">وحدة الإحصاءات</a> على الإنترنت.','ar',0,0),(3629,'إدارة السجلات','ar',0,0),(3630,'عرض استخدام الموقع','ar',0,0),(3631,'قد تساعدك وحدة الإحصاءات على تحليل التفاصيل الخاصة بالمستخدمين والطريقة التي يستخدمون بها الموقع. توفر الوحدة 4 تقارير :','ar',0,0),(3632,'عرض المحتوى الأكثر شعبية','ar',0,0),(3633,'الوحدة توفر صندوق <em>المحتويات اﻷكثر زيارة</em> والذي يعرض الصفحات الأكثر مشاهدةً. لاستخدام هذا الصندوق، يرجى تفعيل <em>عداد مشاهدة المحتوى</em> على <a href=\"@statics-settings\">صفحة إعدادات الإحصائيات</a> ثم بعد ذلك يمكنك تفعيل وإعداد هذا الصندوق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(3634,'عداد الصفحات المعروضة','ar',0,0),(3635,'توفر وحدة الإحصائيات عداد لكل صفحة والذي يزيد في كل مرة تتم بها زيارة الصفحة. لاستخدام العداد، يرجى تفعيل <em>عداد مشاهدة المحتوى</em> على <a href=\"@statics-settings\">صفحة إعدادات الإحصائيات</a> وتعيين <a href=\"@permissions\">الصلاحيات</a> المناسبة لتمكين المستخدمين من مشاهدة هذا العداد.','ar',0,0),(3636,'إدارة الإحصاءات','ar',0,0),(3637,'عرض إحصاءات الوصول إلى المحتوى','ar',0,0),(3638,'عرض طلبات المحتوى','ar',0,0),(3639,'التحكم في التفاصيل الخاصة بكيفية تسجيل موقعك لإحصائيات الوصول.','ar',0,0),(3640,'التسجيل لـ UNIX، Linux و Mac OS X.','ar',0,0),(3641,'التسجيل لمايكروسوفت ويندوز','ar',0,0),(3642,'في نظام تشغيل مايكروسوفت ويندوز، يتم إرسال الرسائل دوماً إلى سجل الأحداث باستخدام الكود <code>LOG_USER</code>.','ar',0,0),(3643,'خدمة Syslog (سجل النظام)','ar',0,0),(3644,'بحسب إعدادات النظام، Syslog وأدوات التسجيل تستخدم هذا الكود لتعريف أو فلترة رسائل سجل النظام بأكمله.','ar',0,0),(3645,'تعذر تدوير الصورة %file لأن الدالة imagerorate() غير متوفرة في هذه النسخة من PHP.','ar',0,0),(3646,'تعذر إلغاء تشبيع الصورة %file لأن الدالة imagefilter() غير متوفرة في هذه النسخة من PHP.','ar',0,0),(3647,'لقطة شاشة للحلة !theme','ar',0,0),(3648,'إعدادات الحلة !theme','ar',0,0),(3649,'تعطيل الحلة !theme','ar',0,0),(3650,'تحديد !theme كحلة افتراضية','ar',0,0),(3651,'تفعيل الحلة !theme','ar',0,0),(3652,'تفعيل واختيارها كافتراضي','ar',0,0),(3653,'تفعيل !theme كحلة افتراضية','ar',0,0),(3654,'الحلة الافتراضية','ar',0,0),(3655,'اختر \"theme افتراضية\" لاستخدامها بشكل دائم على كل الموقع.','ar',0,0),(3656,'استخدام theme الإدارة عند إنشاء أو تعديل محتوى','ar',0,0),(3657,'تم تفعيل الحلة %theme.','ar',0,0),(3658,'الحلة %theme غير موجودة.','ar',0,0),(3659,'%theme هي الحلة الافتراضية ولا يمكن تعطيلها.','ar',0,0),(3660,'تم تعطيل الحلة %theme.','ar',0,0),(3661,'الرجاء الأخذ بعين الاعتبار أن theme الإدارة هي دوماً theme %admin_theme. بناء على ذلك فإن theme هذه الصفحة لا تتغير. ومع ذلك فإن كل أقسام هذا الموقع غير المتعلقة بالإدارة تستخدم theme الافتراضية %selected_theme','ar',0,0),(3662,'%theme هي الآن theme الافتراضية.','ar',0,0),(3663,'حالة التحقق من المستخدم في التعليقات','ar',0,0),(3664,'تتوفر هذه الإعدادات في theme التي تعتمد على محرك theme %engine.','ar',0,0),(3665,'تعذر رفع الشعار.','ar',0,0),(3666,'تعذر رفع الأيقونة.','ar',0,0),(3667,'مسار الشعار المخصص غير صحيح.','ar',0,0),(3668,'مسار الأيقونة المخصصة غير صحيح.','ar',0,0),(3669,'@module (<span class=\"admin-missing\">غير متوافق مع</span> النسخة @version)','ar',0,0),(3670,'هذه النسخة غير متوافقة مع دروبال !core_version ويجب تبديلها.','ar',0,0),(3671,'هل ترغب بالمتابعة بناء على ماسبق؟','ar',0,0),(3672,'الرجاء إدخال عنوان IP صحيح.','ar',0,0),(3673,'عنوان IP هذا محظور بالفعل.','ar',0,0),(3674,'لا يمكنك حظر عنوان IP الخاص بك.','ar',0,0),(3675,'تم حظر عنوان IP %ip.','ar',0,0),(3676,'هل تود فعلاً حذف %ip؟','ar',0,0),(3677,'تم حذف عنوان IP %ip.','ar',0,0),(3678,'طريقة استعمال هذا تعتمد على حلة موقعك.','ar',0,0),(3679,'عدد المواضيع في الصفحة الرئيسية','ar',0,0),(3680,'العدد الأقصى للمشاركات التي سيتم عرضها على صفحات النظرة العامة كالصفحة الرئيسية.','ar',0,0),(3681,'يتم عرض هذه الصفحة عند رفض عرض المستند المطلب للمستخدم الحالي. اتركه فارغاً لعرض صفحة \"الوصول ممنوع\" العامة.','ar',0,0),(3682,'يتم عرض هذه الصفحة عند عدم وجود أي محتوى يطابق المستند المطلوب. اتركه فارغاً لعرض صفحة \"الصفحة غير موجودة\" العامة.','ar',0,0),(3683,'الأخطاء والتحذيرات','ar',0,0),(3684,'مسح كل ذواكر التخزين المؤقت','ar',0,0),(3685,'<strong class=\"error\">أعدّ <a href=\"!file-system\">مجلد الملفات العامة</a> لتوفير هذه التحسينات.</strong>','ar',0,0),(3686,'تحسين سعة قناة الاتصال','ar',0,0),(3687,'ضغط الصفحات المخزنة تخزين مؤقت.','ar',0,0),(3688,'مسار نظام الملفات العام.','ar',0,0),(3689,'مسار على نظام الملف المحلي حيث سيتم تخزين الملفات العامة. يجب أن يكون هذا الدليل موجوداً وقابل للكتابة من طرف دروبال. يجب أن يقع هذا الدليل تحت دليل تثبيت دروبال وأن يكون قابل للوصول من الإنترنت أيضاً.','ar',0,0),(3690,'مسار نظام الملفات الخاص.','ar',0,0),(3691,'مسار على نظام الملفات المحلي حيث سيتم تخزين الملفات المؤقتة. ينبغي أن يكون هذا الدليل غير قابل للوصول إليه من الإنترنت.','ar',0,0),(3692,'طريقة التحميل الافتراضية','ar',0,0),(3693,'يعين هذا التكوين طريقة التحميل المفضلة. استخدام الملفات العامة أكثر فعالية لكن لا يوفر أي تحكم في الوصول.','ar',0,0),(3694,'وصف لموقعك، يتم إدراجه في كل تلقيمة.','ar',0,0),(3695,'المناطق الزمنية','ar',0,0),(3696,'بإمكان المستخدمين تحديد المنطقة الزمنية الخاصة بهم.','ar',0,0),(3697,'تذكير المستخدمين بتعيين المنطقة الزمنية لهم عند تسجيل الدخول، إذا لم يتم تعيينها.','ar',0,0),(3698,'لا يطبق إلا إذا كان بإمكان المستخدمين تعيين المنطقة الزمنية الخاصة بهم.','ar',0,0),(3699,'المنطقة الزمنية للمستخدمين الجدد','ar',0,0),(3700,'المنطقة الزمنية الافتراضية.','ar',0,0),(3701,'منطقة زمنية فارغة.','ar',0,0),(3702,'بإمكان المستخدمين تحديد منطقتهم الزمنية أثناء التسجيل.','ar',0,0),(3703,'لا يوجد أي نوع تاريخ متوفر. <a href=\"@link\">إضافة نوع تاريخ</a>.','ar',0,0),(3704,'إضافة نوع تاريخ','ar',0,0),(3705,'يجب أن يحتوي نوع التاريخ على حروف لاتينية وأرقام وشرطات وشرطات سفلية فقط.','ar',0,0),(3706,'هذا النوع من التاريخ موجود مسبقاً. الرجاء إدخال نوع فريد.','ar',0,0),(3707,'تم إضافة نوع تاريخ بنجاح.','ar',0,0),(3708,'نقل الموقع لوضع الصيانة','ar',0,0),(3709,'رسالة وضع الصيانة','ar',0,0),(3710,'الرسالة المعروضة للزوار عندما يكون الموقع في وضع الصيانة.','ar',0,0),(3711,'استخدام الروابط على الشكل <code>example.com/user</code> بدلاً من <code>example.com/?=user</code>.','ar',0,0),(3712,'تتطلب: !module-list','ar',0,0),(3713,'تتطلبها: !module-list','ar',0,0),(3714,'هل أنت متأكد من حذف نوع التاريخ %type؟','ar',0,0),(3715,'حذف نوع التاريخ %type.','ar',0,0),(3716,'لا توجد أي صيغة تاريخ متاحة. <a href=\"@link\">إضافة صيغة تاريخ</a>.','ar',0,0),(3717,'عرض بشكل','ar',0,0),(3718,'عرض بشكل %date','ar',0,0),(3719,'صيغة تاريخ معينة من طرف المستخدم. راجع <a href=\"@url\">دليل PHP</a> للخيارات المتاحة.','ar',0,0),(3720,'حفظ الصيغة','ar',0,0),(3721,'هذه الصيغة موجودة مسبقاً. الرجاء إدخال صيغة فريدة.','ar',0,0),(3722,'تم تحديث صيغة التاريخ المخصصة.','ar',0,0),(3723,'تمت إضافة صيغة التاريخ المخصصة.','ar',0,0),(3724,'الإجراءات المتاحة:','ar',0,0),(3725,'إنشاء إجراء متقدم','ar',0,0),(3726,'تسمية فريدة لهذا الإجراء المتقدم. سيتم عرض هذه التسمية في واجهة الوحدات التي تدمج الإجراءات، كوحدة Trigger.','ar',0,0),(3727,'حذف %ip','ar',0,0),(3728,'الحلة النشطة','ar',0,0),(3729,'لا توجد أية حلة نشطة','ar',3728,1),(3730,'الحلة المعطلة','ar',0,0),(3731,'رموز إعدادات الموقع ككل ومعلومات شاملة أخرى.','ar',0,0),(3732,'Tokens المتعلقة بالتواقيت والتواريخ.','ar',0,0),(3733,'Tokens المتعلقة بالملفات المرفوعة.','ar',0,0),(3734,'عنوان الرابط (قصير) URL','ar',0,0),(3735,'عنوان رابط الصفحة الرئيسية للموقع بدون البروتوكول.','ar',0,0),(3736,'صيغة قصيرة','ar',0,0),(3737,'التاريخ بالصيغة القصيرة. (%date)','ar',0,0),(3738,'صيغة متوسطة','ar',0,0),(3739,'التاريخ بالصيغة المتوسطة. (%date)','ar',0,0),(3740,'صيغة طويلة','ar',0,0),(3741,'التاريخ بالصيغة الطويلة. (%date)','ar',0,0),(3742,'التاريخ بصيغة مخصصة. للتفاصيل راجع !php-date.','ar',0,0),(3743,'دليل PHP','ar',0,0),(3744,'الوقت المنقضي منذ','ar',0,0),(3745,'الطابع الزمني الخام','ar',0,0),(3746,'التاريخ بصيغة الطابع الزمني يونيكس (%date)','ar',0,0),(3747,'وحدة النظام هي أساس الموقع، فهي توفر وظائف أساسية قابلة للتوسع والتي سيتم استخدامها من طرف الوحدات الأخرى والثيمات. بعض الوحدات الأساسية لدروبال هي جزء من وحدة النظام أو هي من يقوم بالتحكم بها، وهذا يشمل نظام التخزين المؤقت، تمكين وتعطيل الوحدات والثيمات، تحضير وعرض صفحات الإدارة، إضافة إلى تطوين الإعدادات الرئيسية للموقع. عدد معين من العمليات الأساسية لنظام الصيانة هي أيضا جزء من وحدة النظام. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@system\">وحدة النظام</a> على الإنترنت.','ar',0,0),(3748,'إدارة الوحدات','ar',0,0),(3749,'إدارة الثيمات','ar',0,0),(3750,'إدارة ذاكرة التخزين المؤقت','ar',0,0),(3751,'تشغيل صيانة النظام','ar',0,0),(3752,'ضبط الإعدادات الأساسية للموقع','ar',0,0),(3753,'ضبط الإجراءات','ar',0,0),(3754,'تحديد وتكوين الثيمة المبدئية لموقعك. <a href=\"@themes\">ثيمات</a> أخرى متاحة.','ar',0,0),(3755,'تحميل <a href=\"@modules\">وحدات إضافية</a> لتوسيع الأداء الوظيفي لدروبال.','ar',0,0),(3756,'راقب بانتظام وثبت <a href=\"@updates\">التحديثات المتاحة</a> للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكريبت التحديث</a> بعد كل تحديث ﻷي وحدة.','ar',0,0),(3757,'راقب بشكل دوري وثبت <a href=\"@updates\">التحديثات المتاحة</a> للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكريبت التحديث</a> بعد كل تحديث ﻷي وحدة.','ar',0,0),(3758,'راقب بانتظام التحديثات المتاحة للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكربت التحديث</a> في كل مرة يتم فيها تحديث وحدة. وفعل وحدة إدارة التحديثات لتحديث وتثبيت الوحدات والثيمات.','ar',0,0),(3759,'إذا كنت تقوم بالتحديث إلى نسخة أحدث من دروبال أو تحديث الوحدات أو الحلل المشارك بها، فقد تحتاج إلى تشغيل <a href=\"@update-php\">سكريبت التحديث</a>.','ar',0,0),(3760,'إدارة الوحدات','ar',0,0),(3761,'إدارة ضبط الموقع','ar',0,0),(3762,'إدارة الحلل','ar',0,0),(3763,'إدارة الإجراءات','ar',0,0),(3764,'استخدام صفحات الإدارة والمساعدة','ar',0,0),(3765,'استخدام الموقع في وضع الصيانة','ar',0,0),(3766,'عرض تقارير الموقع','ar',0,0),(3767,'حظر عناوين IP','ar',0,0),(3768,'الملفات العامة','ar',0,0),(3769,'الملفات المحلية العامة مخدمة من قبل الخادم.','ar',0,0),(3770,'الملفات المحلية الخاصة مخدمة من قبل دروبال.','ar',0,0),(3771,'الملفات المؤقتة','ar',0,0),(3772,'الملفات المحلية المؤقتة للرفع والمعاينات.','ar',0,0),(3773,'تحديث الوحدات','ar',0,0),(3774,'تحديث الحلل','ar',0,0),(3775,'SSH','ar',0,0),(3776,'لن يتم حفظ كلمة المرور في قاعدة البيانات وستستخدم فقط لبدء لإنشاء اتصال.','ar',0,0),(3777,'سيتم إنشاء الاتصال بين خادم الويب الخاص بك والجهاز المستضيف لملفات الخادم. في أغلب الحالات سيكون الجهاز نفسه و \"localhost\" هو الأصح.','ar',0,0),(3778,'اضبط <a href=\"@user-edit\">إعدادات المنطقة الزمنية</a> الخاصة بك.','ar',0,0),(3779,'حدد منطقتك الزمنية وتوقيتك المحلي. سيتم عرض الأوقات والتواريخ الموجودة على الموقع وفقاً لهذه المنطقة الزمنية.','ar',0,0),(3780,'سيتم كشف وتحديد المنطقة الزمنية الخاصة بك تلقائيا إذا أمكن ذلك. قم بتأكيد ذلك وانقر على حفظ.','ar',0,0),(3781,'مساعدة النظام','ar',0,0),(3782,'الدليل %directory غير موجود وتعذر إنشاؤه.','ar',0,0),(3783,'الدليل %directory موجود لكنه غير قابل للكتابة وتعذر جعله كذلك.','ar',0,0),(3784,'عنوان البريد الإلكتروني الذي يجب إرسال الرسالة إليه أو استخدام [node:author:mail], [comment:author:mail]، إلخ. إذا أردت إرسال بريد إلى مؤلف المشاركة الأصلية.','ar',0,0),(3785,'الرسالة التي سيتم إرسالها. يمكنك استخدام سلاسل استبدال مثل [node:title]، [user:name]، و [comment:body] لتمثيل البيانات المختلفة في كل رسالة مرسلة. ليست جميع سلاسل الاستبدال متاحة في جميع السياقات.','ar',0,0),(3786,'الرسالة التي سيتم عرضها للمتخدم الحالي. يمكنك عناصر نائبة مثل [node:title] و [user:name] و [comment:body] لتمثيل البيانات التي ستتغير مع كل إرسال. لن تكون جميع العناصر النائبة متاحة في جميع السياقات.','ar',0,0),(3787,'@zone: @date','ar',0,0),(3788,'يستخدم <a href=\"@poweredby\">دروبال</a>','ar',0,0),(3789,'AHAH callback','ar',0,0),(3790,'إدارة الصناديق، أنواع المحتوى، القوائم، إلخ.','ar',0,0),(3791,'اختيار وضبط حلتك','ar',0,0),(3792,'تفعيل الحلة','ar',0,0),(3793,'تعطيل الحلة','ar',0,0),(3794,'تحديد الحلة الافتراضية','ar',0,0),(3795,'ضبط الإعدادات الافتراضية و الخاصة بالحلل.','ar',0,0),(3796,'حظر عنوان IP','ar',0,0),(3797,'إدارة عناوين الإيبي المحظورة','ar',0,0),(3798,'حذف عنوان IP','ar',0,0),(3799,'أدوات الميديا.','ar',0,0),(3800,'أدوات متعلقة بخدمات الويب.','ar',0,0),(3801,'ضبط عدد العناصر في التلقيمة، والتلقيمات التي تحتوى على عناوين أو موجز أو المحتوى الكامل.','ar',0,0),(3802,'أدوات التطوير.','ar',0,0),(3803,'وضع الصيانة','ar',0,0),(3804,'وضع الموقع خارج الخدمة للصيانة أو إعادة وضعه بالخدمة.','ar',0,0),(3805,'السجلات والأخطاء','ar',0,0),(3806,'إعدادت للسجلات وتنبيهات الوحدات. وحدات كثيرة يمكنها إعادة توجيه أحداث النظام لدروبال نحو وجهات مختلفة كملف syslog، قاعدة البيانات، عنوان بريد إلكتروني، إلخ.','ar',0,0),(3807,'الإقليمية واللغة','ar',0,0),(3808,'الإعدادات الإقليمية والتوطين والترجمة.','ar',0,0),(3809,'إعدادات المنطقة الزمنية والدولة الافتراضيين للموقع.','ar',0,0),(3810,'ضبط صيغة عرض التاريخ والوقت.','ar',0,0),(3811,'إضافة نوع تاريخ جديد.','ar',0,0),(3812,'حذف نوع التاريخ','ar',0,0),(3813,'السماح للمستخدمين بحذف تنسيق تاريخ تم ضبطه.','ar',0,0),(3814,'ضبط مقاطع صيغة العرض للتاريخ والوقت.','ar',0,0),(3815,'تعديل صيغة التاريخ','ar',0,0),(3816,'السماح للمستخدمين بتعديل صيغة تاريخ مضبوطة مسبقاً.','ar',0,0),(3817,'البحث والبيانات الفوقية','ar',0,0),(3818,'البحث على الموقع، metadata و SEO.','ar',0,0),(3819,'الضبط العام للنظام.','ar',0,0),(3820,'أدوات تحسين واجهة المستخدم.','ar',0,0),(3821,'سيرة عمل المحتوى، أدوات سيرة العمل الافتتاحي.','ar',0,0),(3822,'تأليف المحتوى','ar',0,0),(3823,'إعدادات متعلقة بتنسيق وتأليف المحتوى.','ar',0,0),(3824,'المضيف !host أزيل من قائمة الحظر ﻷن عنوان IP الخاص به غير صحيح.','ar',0,0),(3825,'تم تعطيل نظام ذاكرة التخزين المؤقت العنيف وتعويضه بالتخزين المؤقت العادي. راجع دليل ذاكرة التخزين المؤقت للصفحة في default.settings.php للمزيد من المعلومات حول كيفية تفعيل وظائف مشابهة.','ar',0,0),(3826,'%profile_name (%profile-%version)','ar',0,0),(3827,'المزيد من المعلومات','ar',0,0),(3828,'تم تعطيل دالة phpinfo() لأسباب أمنية. لعرض معلومات phpinfo() الخاصة بالسيرفر، قم بتعديل إعدادت PHP أو اتصل بمدير الخادم. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\"@phpinfo\">تفعيل وتعطيل phpinfo()</a> على الدليل.','ar',0,0),(3829,'لتشغيل الدورية من خارج الموقع، انتقل إلى <a href=\"!cron\">!cron</a>','ar',0,0),(3830,'فشل في محاولة آلية لإنشاء هذا الدليل، ربما بسبب مشاكل في الصلاحيات. لمتابعة التثبيت، الرجاء إنشاء الدليل أو تعديل الصلاحيات يدوياً، أو التأكد من أن برنامج التثبيت يملك الصلاحيات لإنشائه آلياً. للمزيد من المعلومات، راجع INSTALL.txt أو <a href=\"@handbook_url\">الدليل على الإنترنت</a>.','ar',0,0),(3831,'تم حفظ إعداداتك.','ar',0,0),(3832,'لا يوجد معاجم. <a href=\"@link\">اضف معجم</a>.','ar',0,0),(3833,'لا يوجد مصطلحات.<a href=\"@link\">اضف مصطلح</a>.','ar',0,0),(3834,'لا يوجد محتويات مصنفة ضمن هذا المصطلح.','ar',0,0),(3835,'رموز متعلقة بمصطلحات التصنيف.','ar',0,0),(3836,'رموز متعلقة بمعاجم التصنيف.','ar',0,0),(3837,'تسمح لك وحدة التصنيفات بتصنيف محتوى موقعك. لتصنيف المحتوى، يمكنك تعييم <em>معاجم</em>، والتي تحتوي على <em>مصطلحات</em> مرتبطة، ثم قم بربط المعاجم بأنواع المحتوى. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@taxonomy\">وحدة التصنيفات</a> على الإنترنت.','ar',0,0),(3838,'إنشاء معاجم','ar',0,0),(3839,'<em>معجم</em>: موسيقا','ar',0,0),(3840,'<em>مصطلح</em>: موسيقا الـJazz','ar',0,0),(3841,'<em>مصطلح فرعي</em>:موسيقا الـSwing','ar',0,0),(3842,'<em>مصطلح فرعي</em>: Fusion','ar',0,0),(3843,'<em>مصطلح</em>: روك','ar',0,0),(3844,'<em>مصطلح فرعي</em>: كاونتري روك','ar',0,0),(3845,'<em>مصطلح فرعي</em>: هارد روك','ar',0,0),(3846,'المصطلحات التي تكون في<em>معجم بتوسيم حر</em> يمكن بناؤها تدريجيا كلما أنشأت أو عدلت محتوى. هذا هو الحال غالبا في تطبيقات  المدونات أو إدارة الصور.','ar',0,0),(3847,'ربط المعاجم إلى أنواع المحتوى.','ar',0,0),(3848,'تصنيف المحتوى','ar',0,0),(3849,'عرض قوائم تلقيمات الـRSS حسب المصطلح','ar',0,0),(3850,'تمديد وحدة التصنيفات','ar',0,0),(3851,'توجد <a href=\"@taxcontrib\">العديد من الوحدات المساهم بها</a> التي توسع تصرف وحدة التصنيفات في كل من العرض وتنظيم المصطلحات.','ar',0,0),(3852,'تستخدم التصنيفات لتصنيف المحتوى. يتم تجميع المصطلحات في معاجم. مثلا، سيحتوي معجم باسم \"فواكه\" على المصطلحات \"تفاح\" و\"موز\".','ar',0,0),(3853,'يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصتين بها، وتجميع المصطلحات تحت مصطلح رئيسي بإزلاقها تحت وعلى يسار الأب.','ar',0,0),(3854,'تحتوي %capital_name على مصطلحات مجمعة تحت مصطلحات أب. يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصة بها.','ar',0,0),(3855,'تحتوي %capital_name على مصطلحات متعددة الأب. سحب وإفلات المصطلحات المتعددة الأب غير مدعوم، لكن يمكنك إعادة تفعيل دعم السحب والإفلات بتحرير كل مصطلح بحيث يتضمن مصطلح أب واحد فقط.','ar',0,0),(3856,'إدارة المعاجم والمصطلحات','ar',0,0),(3857,'تحرير وسوم في %vocabulary','ar',0,0),(3858,'حذف وسوم من %vocabulary','ar',0,0),(3859,'صفحة مصطلح تصنيف','ar',0,0),(3860,'مرجع المصطلح','ar',0,0),(3861,'يخزن هذا الحقل مرجعا لمصطلح تصنيف.','ar',0,0),(3862,'ودجة الإكمال التلقائي للمفردات (توسيم)','ar',0,0),(3863,'المعجم الذي يوفر خيارات لهذا الحقل.','ar',0,0),(3864,'تعرض وحدة شريط الأدوات روابط نحو عناصر القائمة الإدارية التي لها أعلى مستوى وروابط من وحدات أخرى في أعلى الشاشة. للمزيد من المعلومات، راجع المقال عن<a href=\"@toolbar\">وحدة شريط الأدوات</a> الموجود في الكتيب على الشبكة.','ar',0,0),(3865,'عرض الروابط الإدارية','ar',0,0),(3866,'استخدم شريط أدوات الإدارة','ar',0,0),(3867,'تبديل ظهور الجارور','ar',0,0),(3868,'يوفر شريط أدوات يعرض عناصر المستوى اﻷعلى من الروابط الإدارية وباقي الوحدات.','ar',0,0),(3869,'تعرض وحدة التعقب آخر المحتويات المضافة والمحدثة على موقعك، وتسمح لك بتتبع المحتوى الجديد المضاف لكل مستخدم. لا تملك هذه الوحدة خيارات للضبط. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@tracker\">وحدة التعقب</a> على الإنترنت.','ar',0,0),(3870,'تضيف وحدة التعقب عنصراً جديداً إلى قائمة الإبحار، تسمى <em>المحتويات الحديثة</em>. يمكنك ضبط عناصر القائمة من <a href=\"@menus\">صفحة إدارة القوائم</a>.','ar',0,0),(3871,'تتبع محتويات الموقع الجديدة والمحدثة','ar',0,0),(3872,'تعرض صفحة <a href=\'@recent\'>المحتوى الحديث</a> المحتوى الجديد والمحتوى المحدث بترتيب زمني معكوس، مدرجة في القائمة نوع المحتوى والعنوان واسم المؤلف وعدد التعليقات ووقت آخر تحديث. يعتبر المحتوى معدلا عند حدوث تغييرات في النص، أو عند إضافة تعليقات جديدة. يحد اللسان <em>محتوياتي الحديثة</em> القائمة في المستخدم المسجل حاليا.','ar',0,0),(3873,'تتبع المحتوى الخاص بمستخدم معين','ar',0,0),(3874,'لتتبع المحتوى الجديد أو المحدث لمستخدم معين، اختر تبويب <em>تتبع</em> من الصفحة الشخصية لهذا المستخدم.','ar',0,0),(3875,'كل المحتويات الحديثة','ar',0,0),(3876,'محتوياتي الحديثة','ar',0,0),(3877,'تتبع المحتوى','ar',0,0),(3878,'تسمح بتتبع المحتوى الذي نشره المستخدمون حديثاً.','ar',0,0),(3879,'تسمح وحدة ترجمة المحتوى بترجمة المحتويات إلى عدة لغات. تعمل مع <a href=\"@locale\">وحدة المحلية</a> (التي تتحكم في اللغات المفعلة وتوفر ترجمات لواجهة الموقع)، وحدة ترجمة المحتوى هي المفتاح الأساسي لإنشاء والحفاظ على محتوى الموقع مترجم. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@translation\">وحدة ترجمة المحتوى</a> على الإنترنت.','ar',0,0),(3880,'ضبط أنواع المحتوى للترجمة','ar',0,0),(3881,'إسناد لغة للمحتوى','ar',0,0),(3882,'استخدم القائمة المنسدلة <em>اللغة</em> لتحديد اللغة المناسبة عند إنشاء أو تعديل محتوى.','ar',0,0),(3883,'ترجمة محتوى','ar',0,0),(3884,'صيانة الترجمات','ar',0,0),(3885,'ترجمة المحتوى','ar',0,0),(3886,'توجد مسبقاً ترجمة بهذه اللغة.','ar',0,0),(3887,'الزناد: !description','ar',0,0),(3888,'لا توجد إجراءات متوفرة لهذا المسبب. <a href=\"@link\">إضافة إجراء</a>.','ar',0,0),(3889,'إجراء عملية حفظ (%save_aid) مفقودة أو غير معينة للإجراء %aid.','ar',0,0),(3890,'تمت إضافة الإجراء %label، وهو ضروري لحفظ التغييرات على الخاصية.','ar',0,0),(3891,'تم نقل الإجراء %label لحفظ التغيير على الخاصية.','ar',0,0),(3892,'إعداد المسببات والإجراءات','ar',0,0),(3893,'غند حفظ محتوى جديد أو تحديث محتوى موجود.','ar',0,0),(3894,'بعد حفظ محتوى محدث','ar',0,0),(3895,'غند حفظ تعليق جديد أو تحديث تعليق موجود.','ar',0,0),(3896,'عند إنشاء حساب مستخدم جديد','ar',0,0),(3897,'عند تحديث حساب مستخدم','ar',0,0),(3898,'إعداد وقت تنفيذالإجراءات.','ar',0,0),(3899,'تثبيت التحديث','ar',0,0),(3900,'تحضير تحديث موقعك','ar',0,0),(3901,'تثبيت %project','ar',0,0),(3902,'التحضير للتثبيت','ar',0,0),(3903,'خطأ في التثبيت \\ التحديث','ar',0,0),(3904,'تم تثبيت %project_name بنجاح','ar',0,0),(3905,'تم اكتمال التحديث بنجاح. تم رفع حالة الصيانة.','ar',0,0),(3906,'تم التحديث بنجاح.','ar',0,0),(3907,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه.','ar',0,0),(3908,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0,0),(3909,'تم اكتمال التثبيت بنجاح. تم رفع حالة الصيانة.','ar',0,0),(3910,'تم التثبيت بنجاح.','ar',0,0),(3911,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه.','ar',0,0),(3912,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0,0),(3913,'فشل في جلب بيانات التحديث المتاحة.','ar',0,0),(3914,'لا توجد بيانات تحديث متاحة.','ar',0,0),(3915,'التحقق من بيانات التحديث المتاحة.','ar',0,0),(3916,'محاولة التحقق من بيانات التحديث المتاحة ...','ar',0,0),(3917,'خطأ في التحقق من بيانات التحديث المتاحة.','ar',0,0),(3918,'التحقق من بيانات التحديث المتاحة ...','ar',0,0),(3919,'تم التحقق من بيانات التحديث المتاحة لـ %title.','ar',0,0),(3920,'فشل في التحقق من بيانات التحديث المتاحة لـ %title.','ar',0,0),(3921,'حدث خطأ أثناء محاولة التحقق من بيانات التحديث المتاحة.','ar',0,0),(3922,'حدثت مشكلة عند جلب معلومات التحديث. الرجاء إعادة المحاولة لاحقاً.','ar',0,0),(3923,'(الحلة)','ar',0,0),(3924,'(ملاحظات اﻹصدار)','ar',0,0),(3925,'(تحديث أمني)','ar',0,0),(3926,'(غير مدعوم)','ar',0,0),(3927,'جميع المشاريع بأحدث نسخة.','ar',0,0),(3928,'تحميل هذه التحديثات','ar',0,0),(3929,'تتطلب تحديثات يدوية','ar',0,0),(3930,'تحديثات نواة دروبال غير مدعومة حالياً.','ar',0,0),(3931,'يجب عليك تحديد مشروع على الأقل لتحديثه.','ar',0,0),(3932,'جاري تحميل التحديثات','ar',0,0),(3933,'التحضير لتحميل التحديثات المحددة','ar',0,0),(3934,'فشل تحميل التحديثات:','ar',0,0),(3935,'تم تحميل التحديثات بنجاح.','ar',0,0),(3936,'خطأ قاتل أثناء محاولة التحميل.','ar',0,0),(3937,'أنشأ نسخة احتياطية لقاعدة البيانات قبل المتابعة. <a href=\"@backup_url\">تعلم كيفية القيام بذلك</a>.','ar',0,0),(3938,'تنفيذ عمليات التحديث والموقع في وضع الصيانة (موصى به بشدة)','ar',0,0),(3939,'التثبيت من عنوان الرابط','ar',0,0),(3940,'مثلاً: %url','ar',0,0),(3941,'رفع أرشيف وحدة أو حلة للتثبيت','ar',0,0),(3942,'مثلاً: %filename من جهاز الكمبيوتر الخاص بك.','ar',0,0),(3943,'يجب عليك إما توفير عنوان رابط، أو رفع أرشيف للتثبيت.','ar',0,0),(3944,'عنوان الرابط غير صحيح.','ar',0,0),(3945,'تعذر استرداد مشروع دروبال من %url.','ar',0,0),(3946,'الأرشيف المحدد لا يحتوي على أي ملفات.','ar',0,0),(3947,'تعذر تحديد اسم %project.','ar',0,0),(3948,'%project مثبت بالفعل.','ar',0,0),(3949,'تعذر استرداد %file، ﻷنه ليس أرشيف صحيح.','ar',0,0),(3950,'جاري تحميل %project','ar',0,0),(3951,'فشل في تحميل %project من %url','ar',0,0),(3952,'يحتوي:','ar',0,0),(3953,'المفعلة: %includes','ar',0,0),(3954,'المعطلة: %disabled','ar',0,0),(3955,'%base_theme (!base_label)','ar',0,0),(3956,'يعتمد على: !basethemes','ar',0,0),(3957,'يتطلبه: %subthemes','ar',0,0),(3958,'تسمح أيضا إدارة التحديثات للإداريين بتحديث وتثبيت الوحدات والثيمات من خلال واجهة الإدارة.','ar',0,0),(3959,'التحقق من التحديثات المتاحة','ar',0,0),(3960,'إجراء التحديث من خلال واجهة المستخدم.','ar',0,0),(3961,'تثبيت الوحدات والثيمات الجديدة من خلال واجهة المستخدم.','ar',0,0),(3962,'لا توجد أي معلومات تحديث متوفرة. <a href=\"@run_cron\">شغل مجدول الأعمال (كرون)</a> أو <a href=\"@check_manually\">تحقق يدويا</a>.','ar',0,0),(3963,'يمكنك تثبيت التحديثات المفقودة باستخدام مدير التحديثات:','ar',0,0),(3964,'موقعك معد حالياً لإرسال رسائل بريد إلكتروني عند توفر أي تحديث. لكي يتم إعلامك بالتحديثات الأمنية. !url.','ar',0,0),(3965,'موقعك معد حالياً لإرسال رسائل بريد إلكتروني عند توفر تحديثات أمنية فقط. لكي يتم إعلامك بكافة التحديثات المتوفرة، !url.','ar',0,0),(3966,'حدثت مشكلة في التحقق من <a href=\"@update-report\">التحديثات المتاحة</a> لدروبال.','ar',0,0),(3967,'حدثت مشكلة في التحقق من <a href=\"@update-report\">التحديثات المتاحة</a> للوحدات أو الثيمات الخاصة بك.','ar',0,0),(3968,'راجع صفحة <a href=\"@available_updates\">التحديثات المتاحة</a> لمعرفة المزيد من المعلومات ولتثبيت التحديثات المفقودة.','ar',0,0),(3969,'جاهز للتحديث','ar',0,0),(3970,'مسيّر التحديث','ar',0,0),(3971,'يراقب التحديثات المتوفرة، وبإمكانه تثبيت أو تحديث الوحدات والحلل بشكل آمن عن طريق واجهة ويب.','ar',0,0),(3972,'لا يوجد أشخاص.','ar',0,0),(3973,'التسجيل والإلغاء','ar',0,0),(3974,'من بإمكانه التسجيل؟','ar',0,0),(3975,'المديرون فقط','ar',0,0),(3976,'الزوار، لكن بموافقة الإدارة.','ar',0,0),(3977,'طلب التحقق من عنوان البريد الإلكتروني عندما يقوم زائر بإنشاء حساب.','ar',0,0),(3978,'عند إلغاء حساب مستخدم','ar',0,0),(3979,'بإمكان المستخدمين ذوي <a href=\"@permissions-url\">صلاحيات</a> %select-cancel-method أو %administer-users تغيير هذه الطريقة الافتراضية.','ar',0,0),(3980,'اختر طريقة لإلغاء الحساب','ar',0,0),(3981,'إدارة المستخدمين','ar',0,0),(3982,'التخصيص','ar',0,0),(3983,'تفعيل التواقيع.','ar',0,0),(3984,'الدليل %directory غير موجود أو غير قابل للكتابة.','ar',0,0),(3985,'تفعيل صور المستخدمين.','ar',0,0),(3986,'دليل الصور','ar',0,0),(3987,'نمط عرض الصور','ar',0,0),(3988,'أبعاد الصور المرفوعة','ar',0,0),(3989,'حجم ملف الصورة المرفوعة','ar',0,0),(3990,'بريد إلكتروني','ar',0,0),(3991,'ترحيب (مستخدم جديد أنشأه مدير)','ar',0,0),(3992,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى حسابات المستخدمين الجديدة التي تم إنشاؤها بواسطة إداري.','ar',0,0),(3993,'ترحيب (في انتظار الموافقة)','ar',0,0),(3994,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى الأعضاء الجدد أثناء تسجيلهم، عندما يتطلب الموافقة الإدارية.','ar',0,0),(3995,'ترحيب (موافقة غير مطلوبة)','ar',0,0),(3996,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى الأعضاء الجدد أثناء تسجيلهم، عندما لا يتطلب الموافقة الإدارية.','ar',0,0),(3997,'استعادة كلمة المرور','ar',0,0),(3998,'تحرير رسائل البريد الإلكتروني المرسلة إلى الأعضاء الذين يطلبون كلمة مرور جديدة.','ar',0,0),(3999,'تفعيل الحساب','ar',0,0),(4000,'تفعيل وتعديل رسائل البريد الإلكتروني المرسلة إلى المستخدمين عند تفعيل حساباتهم (عندما يقوم مسؤول بتفعيل الحساب الذي يتطلب موافقة إدارية).','ar',0,0),(4001,'تفعيل وتعديل رسائل البريد الإلكتروني المرسلة إلى المستخدمين عند حظر حساباتهم.','ar',0,0),(4002,'تأكيد إلغاء الحساب','ar',0,0),(4003,'تحرير رسائل البريد الإلكتروني المرسلة إلى المستخدمين عندما يطلبون إلغاء حسابهم.','ar',0,0),(4004,'تم إلغاء الحساب','ar',0,0),(4005,'تفعيل وتحرير رسائل البريد الإلكتروني المرسلة للمستخدمين عند إلغاء حسابهم.','ar',0,0),(4006,'إعلام المستخدم عند إلغاء حسابه.','ar',0,0),(4007,'اسم الدور %name موجود سابقا. اختر اسم دور مختلف.','ar',0,0),(4008,'تم تسجيل دخولك باسم %user. <a href=\"!user_edit\">قم بتغيير كلمة المرور.</a>','ar',0,0),(4009,'الرابط  وحيد الاستعمال لتسجيل الدخول الذي نقرت عليه غير صالح.','ar',0,0),(4010,'لقد استخدمت رابطك الوحيد الاستعمال لتسجيل الدخول. لا حاجة إلى استعمال هذا الرابط لتسجيل الدخول. الرجاء تغيير كلمة مرورك.','ar',0,0),(4011,'<p>هذا رابط تسجيل دخول صالح مرة واحدة للمستخدم %user_name وستنتهي صلاحيته في %expiration_date.</p><p>انقر على هذا الزر لتسجيل الدخول إلى الموقع و تغيير كلمة مرورك.</p>','ar',0,0),(4012,'عند إلغاء حسابك','ar',0,0),(4013,'عند إلغاء الحساب','ar',0,0),(4014,'طلب تأكيد البريد الإلكتروني لإلغاء الحساب.','ar',0,0),(4015,'عند تفعيله، على المستخدم أن يؤكد إلغاء الحساب بالبريد الإلكتروني.','ar',0,0),(4016,'عند تفعيله، سيستلم المستخدم تأكيدا بالبريد الإلكتروني بعد إلغاء الحساب.','ar',0,0),(4017,'هل تريد فعلا إلغاء حسابك؟','ar',0,0),(4018,'هل تريد فعلا إلغاء حساب %name؟','ar',0,0),(4019,'اختيار طريقة إلغاء الحساب المذكور أعلاه.','ar',0,0),(4020,'تم إرسال رسالة تأكيد إلغاء طلب الحساب الخاص بك إلى عنوان بريدك الإلكتروني.','ar',0,0),(4021,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. ستظل جميع محتوياتك مرتبطة باسمك.','ar',0,0),(4022,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم إخفاء جميع محتوياتك عن كافة المستخدمين ماعدا الإداريين.','ar',0,0),(4023,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم ربط جميع محتوياتك بالمستخدم %anonymous-name.','ar',0,0),(4024,'سيتم حذف حسابك وإزالة كافة معلومات الحساب. سيتم أيضا حذف كافة المحتويات الخاصة بك.','ar',0,0),(4025,'لقد حاولت استخدام رابط إلغاء حساب انتهت صلاحيته. الرجاء طلب رابط جديد باستخدام الاستمارة أدناه.','ar',0,0),(4026,'تم إرسال طلب إلغاء حساب إلى %name %email.','ar',0,0),(4027,'الرموز (Token) المرتبطة بالحسابات الفردية للمستخدم.','ar',0,0),(4028,'الرموز (Token) المرتبطة بالمستخدم المتصل حاليا.','ar',0,0),(4029,'إنشاء وإدارة المستخدمين','ar',0,0),(4030,'تسمح وحدة المستخدم للأعضاء ذوي <a href=\"@permissions\">الصلاحيات</a> المناسبة بإنشاء حسابات للمستخدمين من خلال <a href=\"@people\">صفحة إدارة المستخدمين</a>، حيث يمكنهم أيضاً ربط المستخدمين بدور أو أدوار عدة، وحظر أو حذف حسابات الأعضاء. بإمكان المستخدمين بدون حسابات (المستخدمون المجهولون) إنشاء حسابات خاصة بهم (إذا كان ذلك مسموحاً) على صفحة <a href=\"@register\">إنشاء حساب جديد</a>.','ar',0,0),(4031,'أدوار وصلاحيات المستخدمين','ar',0,0),(4032,'بشكل افتراضي، تأتي دروبال مع دورين للمستخدمين:','ar',0,0),(4033,'المستخدمون المجهولون: يستخدم هذا الدور للمستخدمين الذين ليس لهم حسابات، أو الذين لم تتم الموافقة عليهم.','ar',0,0),(4034,'المستخدمون المعرفون: يتم تعيين هذا الدور تلقائياً لكافة المستخدمين المسجلين.','ar',0,0),(4035,'تسمح هذه الاستمارة للإداريين بإضافة، تعديل، وتنظيم الحقول التي تسمح بتخزين بيانات المستخدمين.','ar',0,0),(4036,'تسمح هذه الاستمارة للإداريين بتكوين طريقة عرض الحقول على الصفحات الشخصية للمستخدمين.','ar',0,0),(4037,'إدارة الصلاحيات','ar',0,0),(4038,'عرض الصفحات الشخصية للمستخدمين','ar',0,0),(4039,'تغيير اسم المستخدم الخاص به','ar',0,0),(4040,'إلغاء حسابه الخاص','ar',0,0),(4041,'اختيار طريقة إلغاء حسابك.','ar',0,0),(4042,'يسمح باستعمال المسافات ولايسمح باستعمال علامات التنقيط ما عدا النقط والشرطات والشرطات التحتية والفواصل العليا.','ar',0,0),(4043,'التوقيع أطول من اللازم: يجب أن يتكون من %max حرفا أو أقل.','ar',0,0),(4044,'إلغاء الحساب','ar',0,0),(4045,'إلغاء حساب مستخدم','ar',0,0),(4046,'تم تعطيل %name.','ar',0,0),(4047,'تفاصيل حساب [user:name] على [site:name]','ar',0,0),(4048,'أنشأ مدير حساب لك في [site:name]','ar',0,0),(4049,'تفاصيل حساب [user:name] على [site:name] (في انتظار الموافقة)','ar',0,0),(4050,'[user:name]،\r\n\r\nشكرا لتسجيلك في موقع [site:name]. طلب تسجيلك حالياً في انتظار الموافقة عليه. بمجرد القبول، ستتلقى رسالة أخرى تحتوي على معلومات الدخول، تعيين كلمة المرور، وتفاصيل أخرى.\r\n\r\n\r\n-- إدارة موقع [site:name]','ar',0,0),(4051,'قام [user:name] بطلب إنشاء حساب جديد.\r\n\r\n[user:edit-url]','ar',0,0),(4052,'استبدال معلومات تسجيل دخول [user:name] في [site:name]','ar',0,0),(4053,'تفاصيل حساب [user:name] على [site:name] (تمت الموافقة)','ar',0,0),(4054,'تفاصيل حساب [user:name] على [site:name] (تم المنع)','ar',0,0),(4055,'طلب إلغاء حساب [user:name] على [site:name]','ar',0,0),(4056,'تفاصيل حساب [user:name] على [site:name] (تم الإلغاء)','ar',0,0),(4057,'إلغاء حسابات المستخدمين المحددة','ar',0,0),(4058,'لا يمكن إلغاء حساب المستخدم %name.','ar',0,0),(4059,'عند إلغاء هذه الحسابات','ar',0,0),(4060,'هل أنت متأكد من إلغاء هذه الحسابات؟','ar',0,0),(4061,'إلغاء الحسابات','ar',0,0),(4062,'من أجل زيادة قوة كلمة المرور الخاصة بك:','ar',0,0),(4063,'استخدم 6 أحرف على الأقل','ar',0,0),(4064,'أضف حروف لاتينية صغيرة','ar',0,0),(4065,'أضف حروف لاتينية كبيرة','ar',0,0),(4066,'أضف أرقام','ar',0,0),(4067,'أضف علامة ترقيم','ar',0,0),(4068,'اجعله مختلفاً عن اسم المستخدم','ar',0,0),(4069,'ضعيف','ar',0,0),(4070,'مقبول','ar',0,0),(4071,'مستخدم ممنوع: %name %email.','ar',0,0),(4072,'عذرا، حدثت هناك أكثر من محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',0,0),(4073,'عذرا، حدثت هناك أكثر من محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',4072,1),(4074,'عذرا، حدثت هناك أكثر من محاولتي دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',4073,2),(4075,'عذرا، حدثت هناك أكثر من @count[3] محاولات دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',4074,3),(4076,'عذرا، حدثت هناك أكثر من @count[4] محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',4075,4),(4077,'عذرا، حدثت هناك أكثر من @count[5] محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',4076,5),(4078,'بحث وإدارة الأشخاص المتفاعلين مع موقعك.','ar',0,0),(4079,'تأكيد إلغاء الحساب','ar',0,0),(4080,'تمت إعادة تشفير كلمات المرور لتعزيز الأمن.','ar',0,0),(4081,'تم ترحيل المناطق الزمنية للمستخدم.','ar',0,0),(4082,'أقلي','ar',0,0),(4083,'الصفحة الأساسية','ar',0,0),(4084,'استخدم <em>الصفحات الأساسية</em> للمحتوى الثابت، مثل صفحة \'عن الموقع\'.','ar',0,0),(4085,'أدخل قائمة كلمات مفصولة بفواصل لوصف المحتوى الخاص بك.','ar',0,0),(4086,'عرض المحتوى','ar',0,0),(4087,'نمط الصورة','ar',0,0),(4088,'لا توجد تحديثات بالانتظار','ar',0,0),(4089,'يوجد تحديث واحد بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',4088,1),(4090,'يوجد تحديثان بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',4089,2),(4091,'يوجد @count[3] تحديثات بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',4090,3),(4092,'يوجد @count[4] تحديثاً بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',4091,4),(4093,'يوجد @count[5] تحديث بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',4092,5),(4094,'تسمح وحدة المدونة للمستخدمين بإنشاء مدونات. تتكون المدونات من عدد من التدوينات، يتم عرض التدوينات بترتيب تنازلي حسب تاريخ الإنشاء (اﻷحدث أولاً)، وتتم ترقيتها إلى الصفحة الرئيسية للموقع. لمزيد من المعلومات يرجى مراجعة <a href=\'@blog\'>وحدة المدونة</a> على موقع دروبال.','ar',0,0),(4095,'حقل المؤلف','ar',0,0),(4096,'حقل الموضوع','ar',0,0),(4097,'توجد مسبقا استمارة اتصال مع الفئة %category.','ar',0,0),(4098,'مرحباً !recipient-name،','ar',0,0),(4099,'محاولة إنشاء مثيل للحقل @field_name والذي هو غير موجود أو غير مفعل حالياً.','ar',0,0),(4100,'محاولة إنشاء مثيل للحقل @field_name على الحزمة @bundle والتي لديها بالفعل مثيل لهذا الحقل.','ar',0,0),(4101,'يستعمل تطبيق Field API لإضافة حقول للكيانات مثل العقد والمستخدمين.','ar',0,0),(4102,'معاينة الحقول لكل أنواع الكيانات.','ar',0,0),(4103,'إعداد تنسيقات النص','ar',0,0),(4104,'عرض المزيد من المحتوى','ar',0,0),(4105,'طي','ar',0,0),(4106,'بيئة الاختبار تتطلب أن يكون الصنف DOMDocument موجود. راجع ضبط الأمر على <a href=\"@link-phpinfo\">صفحة معلومات PHP</a>.','ar',0,0),(4107,'رسائل الأخطاء المعروضة','ar',0,0),(4108,'ينصح بعدم عرض الأخطاء على موقع في وضع العمل.','ar',0,0),(4109,'تعذر فتح %file_path','ar',0,0),(4110,'حقل نص اسم الوسم','ar',0,0),(4111,'نص متعدد الأسطر لوصف المصطلح','ar',0,0),(4112,'يتم إرسال تعليمات إعادة تعيين كلمة المرور إلى %email. يجب عليك تسجيل الخروج لاستخدام رابط إعادة تعيين كلمة المرور الموجود في رسالة البريد الإلكتروني.','ar',0,0),(4113,'أدخل كلمة المرور الحالية لتغيير %mail أو %pass. !request_new.','ar',0,0),(4114,'كلمة المرور الحالية','ar',0,0),(4115,'كلمة المرور الحالية مفقودة أو غير صحيحة، هي ضرورية لتغيير %name.','ar',0,0),(4116,'تم إرسال رسالة ترحيب مع تعليمات إضافية إلى عنوان البريد الإلكتروني للعضو الجديد <a href=\"@url\">%name</a>.','ar',0,0),(4117,'تم إرسال رسالة ترحيب مع تعليمات إضافية إلى عنوان بريدك الإلكتروني.','ar',0,0),(4118,'تكوين الشكل المبدئي للمستخدمين، بما في ذلك شورط التسجيل، رسائل البريد الإلكتروني، حقول وصور المستخدمين.','ar',0,0),(4119,'تم تثبيت وحدة %module.','ar',0,0),(4120,'استخدم هذه الصفحة لإنشاء صندوق مخصص جديد.','ar',0,0),(4121,'عدد التدوينات الحديثة التي يتم عرضها','ar',0,0),(4122,'تعليق على @node_type','ar',0,0),(4123,'تحرير التعليق %comment','ar',0,0),(4124,'تخطيط الحقول','ar',0,0),(4125,'اسم الحقل','ar',0,0),(4126,'يملك الحقل <em>عنوانا</em> (الاسم المعروض في واجهة المستخدم) و <em>اسما آليا</em> (الاسم المستخدم داخليا). يمكن تغيير العنوان بعد إنشاء الحقل، إذا لزم الأمر، ولكن لا يمكن تغيير الاسم الآلي بعد إنشاء الحقل.','ar',0,0),(4127,'نوع البيانات التي يخزنها الحقل.','ar',0,0),(4128,'يمكن لكل حقل تخزين نوع واحد من البيانات (نص، عدد، ملف، إلخ). عند تعريف الحقل، تختار <em>نوع حقل</em> محدد، يتوافق مع نوع البيانات المراد تخزينها. لا يمكن تغيير نوع الحقل بعد إنشائه.','ar',0,0),(4129,'طريقة إدخال وعرض البيانات','ar',0,0),(4130,'عدد القيم التي يخزنها الحقل','ar',0,0),(4131,'يمكنك تخزين قيمة واحدة، عدد معين من القيم أو عدد غير محدود من القيم لكل حقل. مثلاً، بإمكان حقل معرف الموظف أن يحتوي على رقم واحد بينما حقل رقم الهاتف يمكن أن يحوي عدة أرقام. يمكن تغيير هذا الخيار بعد إنشاء الحقل، ولكن إذا قمت بتحديد حد أقصى للقيم فقد تفقد المعلومات.','ar',0,0),(4132,'إعادة استخدام الحقول','ar',0,0),(4133,'عندما تقوم بتعريف حقل ما، يمكنك إعادة استخدامه. مثلا، إذا قمت بتعيين حقل صورة مخصص لنوع من المحتوى، وأردت حقلا آخر للصورة بنفس الإعدادات في نوع آخر من المحتوى، فيمكنك إضافة نفس الحقل إلى النوع الثاني من المحتوى، في جزء <em>إضافة حقل موجود</em> من واجهة المستخدم. بإمكانك أيضا إضافة هذا الحقل إلى مفرد مصطلحات، التعليقات، حسابات المستخدم، إلخ.','ar',0,0),(4134,'بعض إعدادات الحقل المعاد استخدامه محددة لكل استخدام للحقل، وأخرى مشتركة بين النسخ التي تستخدم هذا الحقل. مثلاً، تسمية حقل النص تختلف حسب الاستخدام بينما إعدادات عدد القيم متشابهة.','ar',0,0),(4135,'حقول على المحتويات','ar',0,0),(4136,'حقول على الوسوم','ar',0,0),(4137,'يتم تعيين حقول مفردات المصطلحات على مستوى التصنيفات، في علامة التبيوب <em>إدارة الحقول</em> في صفحة تعديل المفردات (والتي يمكنك الوصول إليها في صفحة <a href=\"@taxonomy\">التصنيفات</a>). عندما تقوم بتعيين حقل للمفردات، فإن كل مصطلح من المفردات سيمتلك هذا الحقل. يمكنك على سبيل المثال تعيين حقل صورة للمفردات لتخزين أيقونة لكل مصطلح.','ar',0,0),(4138,'حقول على حسابات المستخدمين','ar',0,0),(4139,'يتم تعيين حقول حسابات المستخدمين للموقع بأكمله في علامة التبويب <a href=\"@fields\">إدارة الحقول</a> في صفحة <a href=\"@accounts\">إعدادات المستخدم</a>. عندما تقوم بتعيين حقل لحساب المستخدم، فسيكون لكل حساب مستخدم هذا الحقل. يمكنك على سبيل المثال إضافة حقل نصي للسماح للمستخدمين بإضافة سيرتهم الذاتية.','ar',0,0),(4140,'حقول على التعليقات','ar',0,0),(4141,'يتم تعيين حقول التعليقات على مستوى أنواع المحتوى، في علامة التبيوب <em>حقول التعليقات</em> في صفحة تعديل أنواع المحتوى (والتي يمكنك الوصول إليها في صفحة <a href=\"@types\">أنواع المحتوى</a>). عندما تقوم بتعيين حقل للتعليقات، فإن كل تعليق من هذا النوع من المحتوى سيمتلك هذا الحقل. يمكنك على سبيل المثال تعيين حقل رابط للتعليقات على المنتديات للسماح للمستخدمين بإضافة موقعهم.','ar',0,0),(4142,'إدارة تنسيقات النص والترشيحات','ar',0,0),(4143,'الكشف عن اللغة @type','ar',0,0),(4144,'يتم الاحتفاظ بالنصوص الموجودة والجمع، بينما تضاف النصوص الجديدة فقط.','ar',0,0),(4145,'حدد كيفية تحديد اللغة المستخدمة لعرض عناصر الصفحة (خاصة النصوص الموفرة من طرف دروبال والوحدات، كالتسميات ونصوص المساعدة). يؤخذ هذا التحديد أثناء تقييم سلسلة من الأساليب المستخدمة في الكشف عن اللغات. الطريقة الأولى التي تحصل على نتيجة ستحدد اللغة المستخدمة لهذا النوع من النص. حدد ترتيب أساليب الكشف عن اللغة من هذه الصفحة.','ar',0,0),(4146,'نص واجهة المستخدم','ar',0,0),(4147,'استخدام لغة الواجهة المكتشفة.','ar',0,0),(4148,'أضف %type جديد','ar',0,0),(4149,'تم إنشاء المجموعة الجديدة بنسخ العناصر من مجموعة الاختصارات الافتراضية الخاصة بك.','ar',0,0),(4150,'تم إنشاء المجموعة الجديدة بنسخ العناصر من المجموعة %default.','ar',0,0),(4151,'أنت تستخدم حالياً مجموعة الاختصارات %set-name.','ar',0,0),(4152,'تعديل اسم المجموعة','ar',0,0),(4153,'حذف المجموعة','ar',0,0),(4154,'إنشاء مجموعة جديدة','ar',0,0),(4155,'تم إنشاء مجموعة الاختصارات %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0,0),(4156,'تم تحديث اسم المجموعة إلى %set-name.','ar',0,0),(4157,'إذا اخترت مجموعة الاختصارات هذه كافتراضية لبعض أو لكل المستخدمين، فقد يتأثرون عند حذفها.','ar',0,0),(4158,'هل أنت متأكد من حذف مجموعة الاختصارات %title؟','ar',0,0),(4159,'تم حذف مجموعة الاختصارات %title.','ar',0,0),(4160,'عضو واحد يستخدم هذه المجموعة من الاختصارات.','ar',0,0),(4161,'عضو واحد يستخدم هذه المجموعة من الاختصارات.','ar',4160,1),(4162,'عضوان إثنان يستخدمان هذه المجموعة من الاختصارات.','ar',4161,2),(4163,'@count[3] أعضاء يستخدمون هذه المجموعة من الاختصارات.','ar',4162,3),(4164,'@count[4] عضوا يستخدمون هذه المجموعة من الاختصارات.','ar',4163,4),(4165,'@count[5] عضو يستخدمون هذه المجموعة من الاختصارات.','ar',4164,5),(4166,'إدارة الاختصارات','ar',0,0),(4167,'اختيار مجموعات الاختصارات','ar',0,0),(4168,'يمكن للمستخدمين الذين لديهم صلاحية تغيير مجموعة الاختصارات اختيار مجموعة الاختصارات المراد استخدامها في تبويب الاختصارات على صفحتهم الشخصية.','ar',0,0),(4169,'تحديد مجموعة الاختصارات التي تستخدمها في <a href=\"@shortcut-link\">تبويب الاختصارات</a> على صفحتك الشخصية.','ar',0,0),(4170,'تعديل مجموعة الاختصارات الحالية','ar',0,0),(4171,'اختيار مجموعة اختصارات','ar',0,0),(4172,'إضافة وتعديل مجموعات الاختصارات.','ar',0,0),(4173,'إضافة مجموعة اختصارات','ar',0,0),(4174,'تعديل اسم المجموعة','ar',0,0),(4175,'حذف مجموعة اختصارات','ar',0,0),(4176,'تعذر حفظ @remote على @path.','ar',0,0),(4177,'يتطلب دروبال تفعيل إضافات PHP المذكورة في القائمة التالية (راجع <a href=\"@system_requirements\">صفحة متطلبات النظام</a> للمزيد من المعلومات):','ar',0,0),(4178,'دعم قاعدة البيانات','ar',0,0),(4179,'يبدو أن خادمك لا يدعم إضافات PDO لقاعدة البيانات. تحقق من مضيفك لمعرفة إذا كان يدعم  PDO(PHP Data Objects) وإذا كان لديه إحدى قواعد البيانات التي <a href=\"@drupal-databases\">يدعمها دروبال</a>.','ar',0,0),(4180,'العمود الأول لتذييل الصفحة','ar',0,0),(4181,'العمود الثاني لتذييل الصفحة','ar',0,0),(4182,'العمود الثالث لتذييل الصفحة','ar',0,0),(4183,'العمود الرابع لتذييل الصفحة','ar',0,0),(4184,'قرقيزية','ar',0,0),(4185,'لن يتم استدعاء الدالة theme() إلى حين تحميل كافة الوحدات.','ar',0,0),(4186,'دعم مكتبة معالجة الصور GD لصيغة ملفات PNG','ar',0,0),(4187,'التاريخ الذي تم به آخر تحديث للتعليق.','ar',0,0),(4188,'تم إرسال التعليق: %subject.','ar',0,0),(4189,'قيمة نعم','ar',0,0),(4190,'سيستخدم \"1\" إذا ترك فارغاً.','ar',0,0),(4191,'قيمة لا','ar',0,0),(4192,'سيستخدم \"0\" إذا ترك فارغاً.','ar',0,0),(4193,'تم تعطيل هذا الحقل لأنه ليس لديك الصلاحية الكافية لتعديله.','ar',0,0),(4194,'اختيار منتدى.','ar',0,0),(4195,'تأثيرات الدوران وعدم التشبع لمكتبة GD','ar',0,0),(4196,'عرض، تعديل وحذف كافة المحتويات دون مراعاة قيود الحقوق.','ar',0,0),(4197,'يجب أن تثبت صحة عنوان بريدك الإلكتروني لهذا الحساب قبل تسجيل الدخول باستخدام OpenID.','ar',0,0),(4198,'معرف (ID) اش.تي.ام.ال %id فريد ووحيد.','ar',0,0),(4199,'تنسيق Syslog','ar',0,0),(4200,'يمكن تحسين الموارد الخارجية تلقائيا، مما يمكن من تقليل حجم وعدد الطلبات المقدمة لموقعك.','ar',0,0),(4201,'تاريخ بصيغة \"الوقت المنقضي منذ\". (%date)','ar',0,0),(4202,'موقع الملف تبعا لجذر دروبال.','ar',0,0),(4203,'حدث خطأ HTTP @errorcode أثناء محاولة جلب @remote.','ar',0,0),(4204,'توجد مسبقاً ترجمة لـ %title باللغة %language. سيتم إنشاء %type جديد(ة) بدلاً عن إنشاء ترجمة.','ar',0,0),(4205,'تم تحميل وتحديث وحداتك.','ar',0,0),(4206,'<a href=\"@update\">تشغيل تحديث قاعدة البيانات</a>','ar',0,0),(4207,'@name <em>(مغلق)</em>','ar',0,0),(4208,'هل أنت متأكد من حذف الدور %name؟','ar',0,0),(4209,'استخدم <em>المقال</em> للمحتويات المتغيرة كالأخبار، والنشرات الصحفية أو ملاحظات المدونة.','ar',0,0),(4210,'فيلبينية','ar',0,0),(4211,'ألمانية سويسرية','ar',0,0),(4212,'اسكوتلندية','ar',0,0),(4213,'لا يمكن رفع الملف المحدد %filename. يسمح فقط بالملفات ذات اللواحق التالية: %extensions.','ar',0,0),(4214,'تخزين صفحات للمستخدمين المجهولين.','ar',0,0),(4215,'Bartik','ar',0,0),(4216,'مبرز','ar',0,0),(4217,'الشريط الجانبي الثاني','ar',0,0),(4218,'الخلفية الرئيسية','ar',0,0),(4219,'خلفية العمود الجانبي','ar',0,0),(4220,'إطار العمود الجانبي','ar',0,0),(4221,'خلفية حاشية الصفحة','ar',0,0),(4222,'الخوخ','ar',0,0),(4223,'!local-task-title!active','ar',0,0),(4224,'قائمة مفصولة بفراغات من وسوم HTML المسموح بها في محتوى عناصر التلقيمات. يتم تلقائياً إزالة العلامات الغير مسموح بها.','ar',0,0),(4225,'بإمكان %field أن يحتوي فقط على الأحرف a-z والشرطات السفلية والشرطات.','ar',0,0),(4226,'لا يمكن لـ %field أن يحتوي على أي ترميز.','ar',0,0),(4227,'لا توجد بدائل مسارات متاحة. <a href=\"@link\">إضافة بديل مسار</a>.','ar',0,0),(4228,'لتمكين البحث باستعمال الكلمات المفتاحية، يحتفظ محرك البحث بفهرس للكلمات الموجودة في المحتوى والحقول، إضافة إلى النص المضاف إلى المحتواك من طرف وحدات أخرى (كالتعليقات من وحدة التعليقات المدمجة في النواة ومصطلحات الفئات من وحدة التصنيفات المدمجة في النواة). لإنشاء وتحديث هذا الفهرس، يجب إعداد <a href=\"@cron\">مهمة صيانة من طرف مجدول الأعمال (cron)</a> إعدادا صحيحا. يمكن للمستخدمين ذوي صلاحية <em>إدارة البحث</em> تكوين إعدادات مجدول الأعمال (cron) على <a href=\"@searchsettings\">صفحة إعدادات البحث</a>.','ar',0,0),(4229,'إعادة فهرسة المحتوى','ar',0,0),(4230,'التغييرات في محتوى موقعك (إنشاء، تعديل أو حذف محتوى أو تعليقات) تضيف تلقائياً هذه العناصر لفهرستها أو إعادة فهرستها عند التشغيل التالي للدورية. عند تعليم عنصر ما لإعادة الفهرسة، المحتوى الأسبق يبقى في الفهرس إلى غاية تشغيل الدورية، بعدها يتم تعويضه بالمحتوى الجديد. خلافاً للعمليات المرتبطة بالمحتوى، فإن العمليات المرتبطة بهيكلية موقعك لا تؤثر على إعادة الفهرسة للمحتوى ذي الصلة. العمليات المرتبطة بالهيكلية والتي تؤثر على المحتوى هي مثلاً حذف أو تعديل الوسوم، تفعيل أو تعطيل الوحدات التي تضيف نص إلى المحتوى (الوسوم، التعليقات، والوحدات التي توفر الحقول) وتعديل الحقول أو إعدادات العرض الخاصة بأنواع المحتوى. إذا أجريت إحدى هذه العمليات وأردت التأكد من تحديث فهرس البحث لكي يعكس التغييرات، يمكنك تحديد كل المحتوى لإعادة الفهرسة بالنقر على زر \"إعادة فهرسة الموقع\" على <a href=\"@searchsettings\">صفحة إعدادات البحث</a>. إذا كان لديك الكثير من المحتويات على موقعك، فقد يتطلب ذلك تشغيل الدورية عدة مرات لإعادة فهرسة الموقع بأكمله.','ar',0,0),(4231,'لن يتم إعادة إنشاء صفحات ذاكرة التخزين المؤقت حتى انقضاء هذه المدة.','ar',0,0),(4232,'نهاية صلاحية الصفحات المخزنة مؤقتا','ar',0,0),(4233,'أقصى مدة يمكن أن تستخدم فيها ذاكرة تخزين مؤقت خارجية نسخة قديمة من صفحة.','ar',0,0),(4234,'تتحكم هذه الخيارات في إعدادات عرض الحلة %name. عند عرض موقعك باستخدام هذه الحلة، سيتم تطبيق هذه الإعدادات.','ar',0,0),(4235,'إدارة التحديثات','ar',0,0),(4236,'الرجاء إدخال عنوان بريد إلكتروني صحيح أو استخدام رمز مميز للبريد الإلكتروني مثل %author.','ar',0,0),(4237,'@required_name (مفقود)','ar',0,0),(4238,'@required_name (يتطلب النسخة @compatibility)','ar',0,0),(4239,'يتطلب @name النسخة @version على الأقل من PHP.','ar',0,0),(4240,'@name يحتاج إلى هذه الوحدة.','ar',0,0),(4241,'@name يحتاج إلى هذه الوحدة وهذه النسخة. حالياً لديك @required_name النسخة @version','ar',0,0),(4242,'تفاصيل الموقع','ar',0,0),(4243,'العنوان والشعار','ar',0,0),(4244,'محطة الإطفاء','ar',0,0),(4245,'الجليد','ar',0,0),(4246,'ليس من الممكن تحديد أكثر من محرك تخزين لهذا الحقل','ar',0,0),(4247,'لم يتم العثور على محرك التخزين للحقل.','ar',0,0),(4248,'يجب تحديد نوع الكيان لهذا الاستعلام.','ar',0,0),(4249,'كينونة %entity ليس لديها جدول أساسي في قاعدة البيانات.','ar',0,0),(4250,'لا يمكن ترتيب @entity_type حسب @key','ar',0,0),(4251,'بادئة جداول قاعدة البيانات %db_prefix التي أدخلتها غير صالحة. يمكن أن تحتوي البادئة على حروف لاتينية وأرقام وشرطات ونقط وشرطات سفلى فقط.','ar',0,0),(4252,'ملف الإعدادات الافتراضية','ar',0,0),(4253,'ملف الإعدادات غير موجود.','ar',0,0),(4254,'مثبت @drupal يتطلب عدم تغيير الملف %default-file في أي حالة من الحالات.','ar',0,0),(4255,'ماورية','ar',0,0),(4256,'محاولة إنشاء مثيل للحقل @field_name بدون نوع كينونة.','ar',0,0),(4257,'محاولة إنشاء مثيل للحقل @field_name باستخدام نوع كينونة ممنوعة @entity_type.','ar',0,0),(4258,'محاولة إنشاء مثيل لحقل غير موجود @field.','ar',0,0),(4259,'محاولة تحديث مثيل للحقل @field على الحزمة @bundle والتي هي غير موجودة.','ar',0,0),(4260,'محاولة تنظيف الحقل @field والذي لايزال يتضمن مثيل.','ar',0,0),(4261,'%name : لا يمكن للقيمة أن تكون أقل من %min.','ar',0,0),(4262,'%name : لا يمكن للقيمة أن تكون أكبر من %max.','ar',0,0),(4263,'لم يتم بعد تعريف أي حقول.','ar',0,0),(4264,'وزن الحقل الجديد','ar',0,0),(4265,'وزن الحقل المضاف','ar',0,0),(4266,'إعدادات العرض المخصصة','ar',0,0),(4267,'استخدام إعدادات العرض المخصصة لأنواع العرض التالية','ar',0,0),(4268,'يستخدم وضع العرض %view_mode إعدادات عرض مخصصة. يمكنك <a href=\"@url\">ضبطها هنا</a>.','ar',0,0),(4269,'واجهة المستخدم لتطبيق Field API.','ar',0,0),(4270,'افصل لواحق الملفات بمسافة أو فاصلة ولا تضع النقطة.','ar',0,0),(4271,'تعديل تأثير موجود في نمط.','ar',0,0),(4272,'حذف تأثير موجود في نمط.','ar',0,0),(4273,'عنصر وحدة العقد','ar',0,0),(4274,'إعدادات وحدة الاستبيانات','ar',0,0),(4275,'أصوات الاستبيان','ar',0,0),(4276,'نتائج الاستطلاع','ar',0,0),(4277,'اسم المجموعة الجديدة ضروري.','ar',0,0),(4278,'مجموعة الاختصارات %name موجودة بالفعل. اختر اسماً مختلفاً.','ar',0,0),(4279,'العثور على النص المنتظر في @field لرسالة البريد الإلكتروني : \"@expected\".','ar',0,0),(4280,'تم إرسال بريد إلكتروني واحد أثناء هذا الاختبار.','ar',0,0),(4281,'تم إرسال بريد إلكتروني واحد أثناء هذا الاختبار.','ar',4280,1),(4282,'تم إرسال رسالتا بريد إلكتروني أثناء هذا الاختبار.','ar',4281,2),(4283,'تم إرسال @count[3] رسائل بريد إلكترونية أثناء هذا الاختبار.','ar',4282,3),(4284,'تم إرسال @count[4] رسالة بريد إلكترونية أثناء هذا الاختبار.','ar',4283,4),(4285,'تم إرسال @count[5] رسالة بريد إلكترونية أثناء هذا الاختبار.','ar',4284,5),(4286,'عناوين IP المحظورة','ar',0,0),(4287,'عناوين IP المذكورة هنا محظورة على موقعك. العناوين المحظورة ممنوعة بشكل كامل من الوصول إلى الموقع ويتم عرض رسالة قصيرة توضح ذلك.','ar',0,0),(4288,'نوع المحتوى %rowtype كانت به المرفقات معطلة لكنه يحتوي على ملفات مرفقة. تم تمكين المرفقات لنقل البيانات الموجودة. يجب عليك حذف الحقل \"ملف مرفق\" في النوع %rowtype إذا كان هذا الحقل غير ضروري.','ar',0,0),(4289,'تم نقل وحدة الرفع لتصبح في وحدة الملف.','ar',0,0),(4290,'القيم المتاحة هي: [site:name]، [site:url]، [user:name]، [user:mail]، [site:login-url]، [site:url-brief]، [user:edit-url]، [user:one-time-login-url]، [user:cancel-url].','ar',0,0),(4291,'لم يتم الإسناد بعد','ar',0,0),(4292,'لم يتم الإنشاء بعد','ar',0,0),(4293,'[user:name]،\r\n\r\nشكرا لتسجيلك في [site:name]. يمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو بنسخه ولصقه في متصفحك: \r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استخدام هذا الرابط مرة واحدة لتسجيل الدخول فقط وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك.\r\n\r\nبعد تحديد كلمة مرورك، يمكنك تسجيل الدخول من [site:login-url] في المستقبل باستعمال:\r\n\r\nاسم المستخدم: [user:name]\r\nكلمة المرور: كلمة مرورك\r\n\r\n-- فريق [site:name]','ar',0,0),(4294,'[user:name]،\r\n\r\nأنشأ مدير في موقع [site:name] حسابا لك. يمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو نسخه ثم لصقه في متصفحك:\r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استعمال هذا الرابط مرة واحدة فقط لتسجيل الدخول وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك.\r\n\r\nبعد تحديد كلمة مرورك، يمكنك تسجيل الدخول من [site:login-url] في المرات القادمة باستعمال:\r\n\r\nاسم المستخدم: [user:name]\r\nكلمة المرور: كلمة مرورك\r\n\r\n-- إدارة موقع [site:name]','ar',0,0),(4295,'[user:name]،\r\n\r\nتم تقديم طلب إعادة تحديد كلمة مرور لحسابك في [site:name]\r\n\r\nيمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو نسخه ثم لصقه في متصفحك:\r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استعمال هذا الرابط مرة واحدة فقط لتسجيل الدخول وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك. تنتهي صلاحيته بعد يوم ولن يحصل شيئ إذا لم يُستعمل.\r\n\r\n-- فريق [site:name]','ar',0,0),(4296,'لا يوجد (الصورة الأصلية)','ar',0,0),(4297,'عنوان رابط صفحة تعديل الحساب.','ar',0,0),(4298,'عرض التعليقات','ar',0,0),(4299,'اسم الحقل الجديد','ar',0,0),(4300,'خطأ أثناء فتح المأخذ @socket','ar',0,0),(4301,'دالة رد النداء (callback) غير موجودة','ar',0,0),(4302,'callback @callback غير موجود : %q.','ar',0,0),(4303,'تعذر نسخ الملف المحدد %file لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(4304,'تعذر نسخ الملف المحدد %file لأن دليل الوجهة غير معد بشكل صحيح.قد يكون هذا بسبب مشكل في الأذونات على الملف أو الدليل. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(4305,'تعذر نسخ الملف %file لأنه يوجد ملف بنفس هذا الاسم في دليل الوجهة.','ar',0,0),(4306,'تعذر نقل الملف المحدد %file لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(4307,'تعذر حذف الملف المحدد %file، لأنه ليس URI صحيح. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(4308,'تعذر حفظ البيانات لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(4309,'تعذر نسخ الملف %file (%realpath) لأن الوجهة %destination غير صحيحة. غالباً ما يكون هذا نتيجة استخدام غير سليم لـ file_copy() أو علامة إطار مفقودة.','ar',0,0),(4310,'تعذر نسخ الملف %file (%realpath) لأنه غير موجود.','ar',0,0),(4311,'تعذر نسخ الملف %file لأنه يوجد ملف بنفس هذا الاسم في دليل الوجهة (%directory)','ar',0,0),(4312,'لم يتم نسخ الملف المحدد %file لأنه سيستبدل نفسه.','ar',0,0),(4313,'تعذر نسخ الملف المحدد %file إلى %destination.','ar',0,0),(4314,'تعذر نقل الملف %file (%realpath)، لأن الوجهة %destination غير صالحة. قد يكون هذا بسبب استخدام غير سليم لـ file_move() أو حاوية تدفق مفقودة.','ar',0,0),(4315,'تعذر حذف الملف %file (%realpath) لأنه ليس بعنوان URI صالح. قد يكون ذلك بسبب استخدام غير سليم لـ file_delete() أو غياب حاوية تدفق.','ar',0,0),(4316,'تعذر حفظ البيانات لأن الوجهة %destination غير صالحة. قد يكون هذا بسبب استخدام غير سليم لـ file_save() أو غياب حاوية تدفق.','ar',0,0),(4317,'إعدادات PHP الخاص بك تدعم نوع واحد فقط من قواعد البيانات، لذا تم اختيارها تلقائياً.','ar',0,0),(4318,'فشل في الاتصال بخادم قاعدة البيانات. قام الخادم بإرجاع الرسالة التالية: %error. <ul><li>هل خادم قاعدة البيانات يعمل؟</li><li>هل قاعدة البيانات موجودة، وهل أنت متأكد من كتابة اسمها بشكل صحيح؟</li><li>هل أنت متأكد من كتابة اسم المستخدم وكلمة المرور بشكل صحيح؟</li><li>هل أنت متأكد من كتابة خادم قاعدة البيانات بشكل صحيح؟</li></ul>','ar',0,0),(4319,'نسخة البي.اش.بي التي تستخدمها لا تدعم PostgreSQL. يجب عليك تحديث نسختك إلى 5.2.11، 5.3.1 أو أكثر.','ar',0,0),(4320,'الخروج من وضع معاينة مناطق الصناديق','ar',0,0),(4321,'تخصيص لوحة التحكم يتطلب صلاحية !permission-name.','ar',0,0),(4322,'لتعديل صفحة لوحة التحكم، قم بنقل صناديق إلى منطقة لوحة التحكممن <a href=\"@dashboard\"> صفحة إدارة لوحة المعلومات</a> أو قم بتمكين دعم جافاسكربت على هذه الصفحة لاستخدام واجهة السحب والإفلات.','ar',0,0),(4323,'ضبط صناديق لوحة التحكم المتوفرة','ar',0,0),(4324,'قم بسحب وإفلات هذه الصناديق على العمود أدناه. يتم حفظ التغييرات تلقائياً.المزيد من الخيارات في <a href=\"@dashboard-url\">صفحة الإعدادت</a>.','ar',0,0),(4325,'ضبط الصناديق التي ستُعرض في لوحة التحكم.','ar',0,0),(4326,'يسمح لك سجل قاعدة البيانات بمشاهدة تسجيل حدث على صفحة <a href=\"@dblog\">آخر رسائل السجل</a>. السجل هو قائمة بالتسلسل الزمني للأحداث المسجلة يحتوي على البيانات المستخدمة، بيانات الأداء، الأخطاء، التحذيرات والمعلومات التنفيذية. يجب على الإداريين التحقق من السجل بصفة منتظمة للتأكد من عمل الموقع بشكل الصحيح.','ar',0,0),(4327,'في حال حدوث مشاكل أو أخطاء بالموقع، فإن صفحة <a href=\"@dblog\">آخر رسائل السجل</a> قد تكون مفيدة لتتبع الأخطاء، حيث أنها تعرض تسلسل الأحداث. يتضمن سجل الأحداث معلومات حول الاستخدام، تحذيرات وأخطاء الموقع.','ar',0,0),(4328,'تراقب وحدة سجل قاعدة البيانات نظامك مسجلة أحداث النظام في سجل ليراجعها المستخدمون المسموح لهم بذلك. هذا السجل عبارة عن قائمة بالأحداث تحتوي على معلومات حول الاستخدام، الأداء، الأخطاء، التحذيرات، بالإضافة إلى بعض المعلومات التنفيذية الأخرى. من الضروري مراجعة آخر رسائل السجل بشكل منتظم للتأكد من عمل الموقع بشكل جيد.','ar',0,0),(4329,'رسائل سجل قاعدة البيانات المحتفظ بها','ar',0,0),(4330,'أقصى عدد من الرسائل التي يتم الاحتفاظ بها في سجل قاعدة البيانات. يتطلب <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a>.','ar',0,0),(4331,'آخر رسائل السجل','ar',0,0),(4332,'تعريف نص يجب أن يتقدم القيمة، مثل \'م\' أو \'كيلوبت/ثانية\'. اتركه فارغا في حال لا شيء. افصل قيم المفرد والجمع بإشارة عصا (\'4جنيه|جنيهات\').','ar',0,0),(4333,'علامة الآلاف','ar',0,0),(4334,'عرض السابقة واللاحقة.','ar',0,0),(4335,'عرض مع السابقة واللاحقة.','ar',0,0),(4336,'- اختر قيمة -','ar',0,0),(4337,'طول المقطع المشذب','ar',0,0),(4338,'لا يوجد أي حقل معروض.','ar',0,0),(4339,'لا يوجد أي حقل مخفي.','ar',0,0),(4340,'إعدادات التنسيق:','ar',0,0),(4341,'لا يمكن الإشارة إلى الملف المستخدم في الحقل !name.','ar',0,0),(4342,'تنسيق نص مفقود : %format.','ar',0,0),(4343,'ربط الصورة إلى','ar',0,0),(4344,'نمط الصورة: @style','ar',0,0),(4345,'مرتبط بالمحتوى','ar',0,0),(4346,'مرتبط بالملف','ar',0,0),(4347,'يظهر عند المرور فوق رابط القائمة.','ar',0,0),(4348,'تسمح وحدة القوائم بإنشاء روابط في القائمة عن طريق استمارات إنشاء المحتوى. لضبط هذه الإعدادات لنوع معين من المحتوى، يرجى زيارة صفحة <a href=\"@content-types\">أنواع المحتوى</a>، والنقر على رابط <em>تعديل</em> لنوع المحتوى والانتقال إلى جزء <em>إعدادات القائمة</em>.','ar',0,0),(4349,'لغة غير معينة (@lagncode)','ar',0,0),(4350,'تنسيق: تنسيق التاريخ هو YYYY-MM-DD و %timezone يمثل المنطقة الزمنية من UTC. اتركه فارغاً لاستخدام تاريخ إرسال الاستمارة.','ar',0,0),(4351,'عرض الصفحات الإدارية فوق الصفحة الحالية.','ar',0,0),(4352,'تم إنشاء تنسيق نص <a href=\"@php-code\">كود PHP</a>.','ar',0,0),(4353,'اختيار وحدات البحث النشطة من بين الوحدات المتاحة.','ar',0,0),(4354,'وحدة البحث الافتراضية','ar',0,0),(4355,'اختيار وحدة البحث الافتراضية.','ar',0,0),(4356,'وحدة البحث الافتراضية غير مفعلة.','ar',0,0),(4357,'البحث معطل حالياً.','ar',0,0),(4358,'... !excerpt ... !excerpt ...','ar',0,0),(4359,'هوية Syslog','ar',0,0),(4360,'العبارة التي ستتم إضافتها قبل كل رسالة مخزنة على Syslog. إذا كان لديك عدة مواقع تكتب على نفس ملف Syslog، فتعيين هوية فريدة لكل موقع يسهل من قراءة السجلات.','ar',0,0),(4361,'يمكنك تعيين عنوان رابط نسبي لاستخدامه كصفحة رئيسية. اتركه فارغاً لعرض محتوى الموقع بشكله الافتراضي.','ar',0,0),(4362,'صفحات اﻷخطاء','ar',0,0),(4363,'المسار \'@path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0,0),(4364,'آخر تشغيل: منذ %cron-last.','ar',0,0),(4365,'تشغيل الدورية كل','ar',0,0),(4366,'تغيير اسم الموقع، عنوان البريد الإلكتروني، الشعار، الصفحة الرئيسية الافتراضية، عدد المشاركات في كل صفحة وصفحات الأخطاء.','ar',0,0),(4367,'إدارة مهام الصيانة التلقائية للموقع.','ar',0,0),(4368,'لم يحذف الملف المؤقت \"%path\" أثناء تنظيف الذاكرة لأنه مستخدم من طرف الوحدات التالية: %modules.','ar',0,0),(4369,'وزن المصطلح المُضاف','ar',0,0),(4370,'المجلد الفرعي لمجلد رفع الملفات الذي سيتم حفظ الصور فيه.','ar',0,0),(4371,'ستتم تحجيم الصور الأكبر من هذا إلى هذا الحجم.','ar',0,0),(4372,'رفع صورة لإضافتها لهذا المقال','ar',0,0),(4373,'ملف الإعدادات قابل للكتابة','ar',0,0),(4374,'ملف الإعدادات ينتمي إلى خادم الويب.','ar',0,0),(4375,'فشل مثبت @drupal في إنشاء ملف إعدادت بملكية مناسبة. سجل الدخول إلى خادم الويب الخاص بك واحذف الملف %file الموجود وأنشئ ملفا جديدا بنسخ الملف %default_file إلى %file. المزيد من التفاصيل عن تثبيت دروبال في الملف <a href=\"@install_txt\">INSTALL.txt</a>. إذا واجهت مشاكل مع ملكيات الملفات على خادمك، راجع <a href=\"@handbook_url\">الدليل على الشبكة</a>.','ar',0,0),(4376,'استعلام مزج غير صالح: لا توجد شروط','ar',0,0),(4377,'وزن الصندوق @block','ar',0,0),(4378,'منطقة الصندوق @block','ar',0,0),(4379,'الموافقة على التعليق','ar',0,0),(4380,'يتم نشر تعليقات المستخدمين ذوي صلاحية <em>تجاهل الموافقة على التعليق</em> مباشرة. يتم وضع باقي التعليقات الأخرى في طابور <a href=\'@comment-approval\'>التعليقات غير الموافق عليها بعد</a>، حتى يقوم مستخدم ذو صلاحية <em>إدارة التعليقات</em> بنشرها أو حذفها. بالإمكان التحكم في التعليقات المنشورة في صفحة إدارة <a href=\'@admin-comment\'>التعليقات المنشورة</a>.','ar',0,0),(4381,'إرسال تعليقات','ar',0,0),(4382,'تجاهل الموافقة على التعليق','ar',0,0),(4383,'مشاهدة وتخصيص لوحة معلوماتك.','ar',0,0),(4384,'تخصيص لوحة التحكم الخاصة بك.','ar',0,0),(4385,'يمكن استخدام هذه الوظيفة فقط لحذف الحقول التي لا تحتوي على بيانات.','ar',0,0),(4386,'هل أنت متأكد أنك تريد إلغاء تنسيق النص %format ؟','ar',0,0),(4387,'تتم إزالة تنسيقات النص المعطلة تماما من واجهة الإدارة، ولن يتم عرض أي محتوى محفوظ بهذا التنسيق. لا يمكن التراجع هذا الإجراء.','ar',0,0),(4388,'تنسيق النص %format معطل.','ar',0,0),(4389,'تنسيقات النص','ar',0,0),(4390,'إلغاء تنسيق النص','ar',0,0),(4391,'موضوع ساخن، تعليقات جديدة','ar',0,0),(4392,'موضوع ساخن','ar',0,0),(4393,'موضوع عادي','ar',0,0),(4394,'موضوع مغلق','ar',0,0),(4395,'مرجع للاستخدام، التكوين والوحدات.','ar',0,0),(4396,'وحيث %property هي %value','ar',0,0),(4397,'عندما يكون %property هو %value','ar',0,0),(4398,'وحيث','ar',0,0),(4399,'الرابط الحالي هو @url.','ar',0,0),(4400,'عنوان الصفحة @actual مطابق لـ @expected.','ar',0,0),(4401,'عنوان الصفحة @actual غير مطابق لـ @expected.','ar',0,0),(4402,'استجابة اش.تي.تي.بي غير متوقعة !code، الحالي !curl_code','ar',0,0),(4403,'ضبط صلاحيات @module','ar',0,0),(4404,'اختيار وإعداد حللك.','ar',0,0),(4405,'إدارة الإعدادات.','ar',0,0),(4406,'عرض التقارير والتحديثات والأخطاء.','ar',0,0),(4407,'يخزن البيانات المؤقتة لـ system_update_7061.','ar',0,0),(4408,'شريط الأدوات الإداري','ar',0,0),(4409,'تثبيت وحدة أو حلة جديدتين','ar',0,0),(4410,'تثبيت وحدة جديدة','ar',0,0),(4411,'تثبيت حلة جديدة','ar',0,0),(4412,'%property قيمته %value','ar',0,0),(4413,'إدارة حسابات المستخدمين والأدوار والصلاحيات.','ar',0,0),(4414,'لا شيء','ar',0,0),(4415,'Lolspeak','ar',0,0),(4416,'%type :!message في %function (السطر %line من %file).','ar',0,0),(4417,'تحديث @title','ar',0,0),(4418,'اسم فريد مقروء من طرف الجهاز. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة وأرقام وشرطات سفلية.','ar',0,0),(4419,'يجب أن يحتوي الاسم المقروء آليا على أحرف فريدة غير مستعملة.','ar',0,0),(4420,'يجب أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة، أرقام وعلامات الوصل فقط.','ar',0,0),(4421,'الاسم المقروء من طرف الجهاز مستخدم مسبقا. يجب أن يكون فريدا.','ar',0,0),(4422,'أسترية','ar',0,0),(4423,'إنجليزية بريطانية','ar',0,0),(4424,'كريول هايتية','ar',0,0),(4425,'برتغالية دولية','ar',0,0),(4426,'الوزن لـ @title','ar',0,0),(4427,'وزن السطر @number','ar',0,0),(4428,'أب لـ @title','ar',0,0),(4429,'تسمية الحقل الجديد','ar',0,0),(4430,'أب لحقل جديد','ar',0,0),(4431,'نوع الحقل الجديد','ar',0,0),(4432,'ويدجت لحقل جديد','ar',0,0),(4433,'تسمية الحقل الموجود','ar',0,0),(4434,'أب لحقل موجود','ar',0,0),(4435,'حقل موجود للمشاركة','ar',0,0),(4436,'ودجت لحقل موجود مسبقا','ar',0,0),(4437,'التسمية المعروضة لـ @title','ar',0,0),(4438,'تنسيق @title','ar',0,0),(4439,'أصل @title','ar',0,0),(4440,'رؤية @title','ar',0,0),(4441,'توجد بيانات لهذا الحقل في قاعدة البيانات. لا يمكن تغيير إعدادات هذا الحقل.','ar',0,0),(4442,'الوزن للملف الجديد','ar',0,0),(4443,'اختر ملفا','ar',0,0),(4444,'وزن التأثير الجديد','ar',0,0),(4445,'موفر اللغة @title','ar',0,0),(4446,'تفعيل رابط القائمة @title','ar',0,0),(4447,'اسم فريد لإنشاء عنوان رابط القائمة. يجب أن يحتوي فقط على الحروف اللاتينية الصغيرة، الأرقام والشرطات.','ar',0,0),(4448,'اسم برمجي فريد لهذا النوع من المحتوى. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة، أرقام، وشرطات سفلى (_). سيتم استخدام هذا الاسم لإنشاء عنوان رابط للصفحة %node_add، وعندها سيتم تحويل الشرطات السفلى (_) إلى شرطات (-).','ar',0,0),(4449,'تسمية الخيار','ar',0,0),(4450,'تسمية خيار جديدة','ar',0,0),(4451,'عد الأصوات للخيار @label','ar',0,0),(4452,'عد الأصوات للخيار الجديد','ar',0,0),(4453,'وزن الخيار @label','ar',0,0),(4454,'وزن الخيار الجديد','ar',0,0),(4455,'تصنيف @title','ar',0,0),(4456,'الوحدات المفعلة','ar',0,0),(4457,'@original_title (@parent_title)','ar',0,0),(4458,'تثبيت PHP الخاص بك قديم. يتطلب دروبال على الأقل PHP 5.2.5 أو PHP @version مطبق عليه الترقيع اﻷمني htmlspecialchars.','ar',0,0),(4459,'يبدو أن خادمك لا يدعم PDO (PHP Data Objects). إذا كان مضيفك يدعم PDO فاطلب منه تفعيلها. للمزيد من المعلومات، يرجى مراجعة <a href=\"@link\">متطلبات النظام</a>.','ar',0,0),(4460,'يبدو أن خادمك لديه نسخة خاطئة مثبتة من PDO. يتطلب دروبال 7 خاصية PDO الموجودة بنواة PHP. النظام الحالي لديه نسخة قديمة من PECL. لمزيد من المعلومات يرجى مراجعة صفحة <a href=\"@link\">متطلبات النظام</a>.','ar',0,0),(4461,'لائحة لمسببات الإجراءات عند !description','ar',0,0),(4462,'النسخة %version من قاعدة البيانات أقدم من الإصدار الأدنى المطلوب %minimum_version.','ar',0,0),(4463,'!theme (الحلة الإفتراضية)','ar',0,0),(4464,'!theme (ثيمة الإدارة)','ar',0,0),(4465,'توفر وحدة لوحة التحكم <a href=\"@dashboard\">صفحة تحكم</a> في واجهة الإدارة لتنظيم المهام الإدارية، والتنقل وبيانات المتابعة بموقعك. تحتوي لوحة التحكم على صناديق يمكنك إضافتها وإعادة ترتيبها باستخدام واجهة السحب واﻹفلات التي تظهر عند النقر على رابط <em>تعديل لوحة التحكم</em>. في هذه الواجهة، الصناديق الغير مستخدمة لا تظهر بشكل افتراضي، لكن يمكن إضافتها برابط <em>إضافة صندوق آخر</em>. للمزيد من المعلومات، يرجى مراجعة <a href=\"@handbook\">وحدة لوحة التحكم</a> بموقع دروبال.','ar',0,0),(4466,'إعادة ترتيب عرض الصناديق على <a href=\"@dashboard-url\">صفحة لوحة التحكم</a>.لا يتم عرض الصناديق الموضوعة في منطقة لوحة التحكم(غير نشط) أثناء معاينة صفحة لوحة التحكم، ولكن يمكن الوصول إليها في واجهة <em>تخصيص لوحة التحكم</em>.  عند إزالة صندوق من واجهة لوحة التحكم نشطة يمكن الوصول له من خلال <a href=\"@blocks-url\">صفحة إدارة الصتاديق</a>.','ar',0,0),(4467,'إضافة صناديق أخرى','ar',0,0),(4468,'عنوان الرابط البديل','ar',0,0),(4469,'اسنخدام لغة تم التحقق منها مسبقاً من عناوين الروابط إذا لم يتم العثور على أية لغة.','ar',0,0),(4470,'%type_name: إنشاء محتوى جديد','ar',0,0),(4471,'%type_name: تحرير محتواه','ar',0,0),(4472,'%type_name: تحرير المحتويات','ar',0,0),(4473,'%type_name: يحذف محتوياته','ar',0,0),(4474,'%type_name: حذف أي محتوى','ar',0,0),(4475,'حذف هذه الرسالة.','ar',0,0),(4476,'الخطوات التالية','ar',0,0),(4477,'تعذر نسخ الملف %file لأن دليل الوجهة %destination غير معد بشكل صحيح.','ar',0,0),(4478,'إعدادات @driver_name','ar',0,0),(4479,'MySQL، MariaDB، أو ما يعادلهما.','ar',0,0),(4480,'SQLite','ar',0,0),(4481,'نوع قاعدة البيانات','ar',0,0),(4482,'المسار المطلق (الكامل) للملفات التي سيتم حفظ بيانات @drupal بها. ينبغي أن تكون هذه الملفات قابلة للكتابة من طرف خادم الويب وأن تكون خارج دليل جذر الخادم.','ar',0,0),(4483,'الدليل الذي حددته غير قابل للكتابة من قبل خادم الويب.','ar',0,0),(4484,'نافذة الإكمال التلقائي','ar',0,0),(4485,'جاري البحث عن الكلمات المطابقة...','ar',0,0),(4486,'تسمح وحدة Field بتعديل بيانات الحقول لتعريفها إلى أنواع <em>الكيانات</em> (تشمل الكيانات عناصر المحتوى والتعليقات وحسابات المستخدمين ومفردات التصنيفات). تتولى وحدة Field تخزين وتحميل وتعديل وترتيب بيانات الحقول. معظم المستخدمين لا يتعاملون مع وحدة Field مباشرة، لكن يستخدمون بدلاً عن ذلك وحدة <a href=\"@field-ui-help\">Field UI</a>. بإمكان مطوري الوحدات استخدام تطبيق Field API لإنشاء أنواع جديدة من الكيانات مما يسمح بربطها بالحقول. للمزيد من المعلومات يرجى مراجعة دليل <a href=\"@field\">وحدة Field</a> على الشبكة.','ar',0,0),(4487,'لا يوجد أي حقل حاضر بعد.','ar',0,0),(4488,'غامق','ar',0,0),(4489,'قراءة المزيد<span class=\"element-invisible\">حول @title</span>','ar',0,0),(4490,'حدد رابط بديل يمكن من خلاله الوصول إلى هذا المحتوى. على سبيل المثال، اكتب\"about\"عند كتابة صفحة لوصف الموقع . استخدم مسار نسبي بدون إضافة الخط المائل في النهاية، وإلا فلن يعمل بديل المسار.','ar',0,0),(4491,'عدد الأصوات المسجلة لاستبيان.','ar',0,0),(4492,'الفترة التي يبقى فيها الاستبيان متاحاً للتصويت.','ar',0,0),(4493,'إزالة وحدة @module','ar',0,0),(4494,'تجميع وضغط ملفات CSS.','ar',0,0),(4495,'تجميع ملفات جافاسكريبت.','ar',0,0),(4496,'لإزالة @module، يجب أولاً إزالة الوحدة التالية: @required_modules','ar',0,0),(4497,'لإزالة @module، يجب أأولاً إزالة الوحدة التالية: @required_modules','ar',4496,1),(4498,'تفعيل الوحدات المضافة حديثاً','ar',0,0),(4499,'تفعيل theme المضافة حديثاً','ar',0,0),(4500,'عملية الإزالة تحذف جميع البيانات المتعلقة بالوحدة. لإزالة وحدة ما، يجب أولاً تعطيلها من صفحة <a href=\"@modules\">الوحدات</a>.','ar',0,0),(4501,'عرض حلة الإدارة','ar',0,0),(4502,'نظام قاعدة البيانات','ar',0,0),(4503,'إصدار نظام قاعدة البيانات','ar',0,0),(4504,'تعرض وحدة شريط الأدوات شريطا يحتوي على الروابط الإدارية الأعلى مستوى على مدى أعلى الشاشة. هناك تحت هذا الشريط، توفر وحدة شريط الأدوات قسما يعمل<em>كجارور</em> والذي تعرض فيه الروابط الموفرة من وحدات أخرى، <a href=\"@shortcuts-help\">كوحدة الاختصارات</a> المدمجة في النواة. يمكن إظهار/إخفاء الجارور باستخدام اختصارات إظهار/إخفاء في نهاية شريط الأدوات.','ar',0,0),(4505,'إخفاء الاختصارات','ar',0,0),(4506,'تمت فهرسة @count محتوى للتتبع.','ar',0,0),(4507,'ملاحظات الإصدار لـ %project_title','ar',0,0),(4508,'تم تحديث إعدادات الأدوار.','ar',0,0),(4509,'تعطيل الحساب والحفاظ على محتواه.','ar',0,0),(4510,'تعطيل الحساب وإلغاء نشر محتواه.','ar',0,0),(4511,'حذف الحساب وجعل محتوياته ملكا للمستخدم %anonymous-name.','ar',0,0),(4512,'حذف الحساب ومحتوياته.','ar',0,0),(4513,'عرضه على استمارة تسجيل الأعضاء.','ar',0,0),(4514,'هذا إجباري للحقول \'الضرورية\'.','ar',0,0),(4515,'@count إجراء يتيم (%orphans) موجود في جدول الإجراءات. !link','ar',0,0),(4516,'تم حذف تعليق واحد','ar',0,0),(4517,'تم حذف تعليقان','ar',2984,2),(4518,'تم حذف @count[3] تعليقات','ar',4517,3),(4519,'تم حذف @count[4] تعليقا','ar',4518,4),(4520,'تم حذف @count[5] تعليق','ar',4519,5),(4521,'استخدام تسمية الحقل بدلا من التسمية \"قيمة نعم\".','ar',0,0),(4522,'تم حذف مشاركة','ar',0,0),(4523,'تم حذف مشاركتان','ar',3452,2),(4524,'تم حذف @count[3] مشاركة','ar',4523,3),(4525,'تم حذف @count[4] مشاركة','ar',4524,4),(4526,'تم حذف @count[5] مشاركة','ar',4525,5),(4527,'متتبع','ar',0,0),(4528,'التحديث التلقائي لنواة دروبال غير معتمد. يرجى العودة إلى <a href=\"@upgrade-guide\">دليل التحديث</a> للحصول على معلومات حول طريقة تحديث نواة دروبال يدويا.','ar',0,0),(4529,'يحتوي %archive_file على إصدار %name غير متوافق مع دروبال !version','ar',0,0),(4530,'لا يحتوي %archive_file على أي إصدار %name غير متوافق مع دروبال !version','ar',4529,1),(4531,'الإعداد %setting معين حاليا على \'%current_value\'، ولكنه يجب أن يكون على \'%needed_value\'. يرجى تغيير ذلك بتشغيل العملية التالية : !query','ar',0,0),(4532,'قائمة (رقم صحيح)','ar',0,0),(4533,'يقوم هذا الحقل بتخزين الأعداد الصحيحة من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’عدد الأيام’: 1 => يوم واحد، 7 => أسبوع واحد، 31 => شهر واحد.','ar',0,0),(4534,'قائمة (رقم عشري)','ar',0,0),(4535,'يقوم هذا الحقل بتخزين القيم العشرية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’الكسور’: 0 => 0، 0.25 => 1/4، 0.75 => 3/4، 1 => 1.','ar',0,0),(4536,'يقوم هذا الحقل بتخزين قيم نصية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’ولايات الجزائر’: 04 => أم البواقي، 25 => قسنطينة، 23 => عنابة.','ar',0,0),(4537,'القيم المحتملة التي يمكن أن يحتويها هذا الحقل. قم بإدخال قيمة في كل سطر، بالشكل مفتاح|تسمية.','ar',0,0),(4538,'المفتاح هو قيمة مسجلة، ويجب أن يكون رقمي. سوف تستخدم التسمية في القيم المعروضة و الاستمارات.','ar',0,0),(4539,'التسمية اختيارية. إذا تضمن السطر رقم واحد، فسيستخدم كمفتاح وتسمية.','ar',0,0),(4540,'قائمة التسميات هي أيضا مقبولة (تسمية في كل سطر)، فقط إذا كانت الحقول لا تتضمن أي قيمة، وسيتم إنشاء مفاتيح رقمية تلقائياً بحسب الترتيب في القائمة.','ar',0,0),(4541,'المفتاح هو قيمة مسجلة. سوف تستخدم التسمية أثناء عرض القيم و تعديل الاستمارات.','ar',0,0),(4542,'التسمية اختيارية: إذا تضمن السطر قيمة نصية بسيطة، سيتم استخدامها كمفتاح وتسمية.','ar',0,0),(4543,'قائمة القيم المسموح بها: إدخال غير صحيح.','ar',0,0),(4544,'قائمة القيم المسموح بها: ستتم إزالة بعض القيم في حين يتم استخدامها حاليا.','ar',0,0),(4545,'إخفاق محاولة الاتصال بالخادم حيث أعطى الرسالة التالية: !message للحصول على تعليمات إضافية حول تثبيت أو تحديث الكود على الخادك الخاص بك، راجع <a href=\"@handbook_url\">الدليل</a>.','ar',0,0),(4546,'غير قادر على تحليل ملف المعلومات : %info_file','ar',0,0),(4547,'ملف المعلومات (%info_file) لم يعرف خاصية \'name\'.','ar',0,0),(4548,'إطار الاختبارات يتطلب أن تكون ذاكرة PHP على الأقل %memory_minimum_limit. القيمة الحالية هي %memory_limit. <a href=\"@url\">للمواصلة اتبع هذه الخطوات</a>.','ar',0,0),(4549,'لا يحتوي %archive_file على أي ملف .info','ar',0,0),(4550,'إدارة المحتوى والتعليقات.','ar',0,0),(4551,'حقول التعليقات','ar',0,0),(4552,'فئة RSS','ar',0,0),(4553,'%name يجب أن يكون قيمة صحيحة لقيمة لون بالستعشري (هيكساديسمال).','ar',0,0),(4554,'كل نوع حقل لديه <em>widgets</em> واحدة أو أكثر مرتبطة به، كل widget تقدم طريقة لإدخال البيانات عند التحرير (مربع نص، قائمة اختيار، رفع ملف، إلخ...). أيضاً كل نوع حقل لديه عدة خيارات للعرض، والتي ستحدد كيف سيظهر هذا الحقل لزوار الموقع. يمكنك أيضاً تغيير ال widget وخيارات العرض بعد إنشاء الحقل.','ar',0,0),(4555,'لايمكن إعادة تسمية الحقل %id (%old_field_name) إلى %new_field_name ﻷنه لايستخدم مُخزّن من نوع field_sql_storage.','ar',0,0),(4556,'تم حفظ التغييرات على النمط.','ar',0,0),(4557,'هذا الصندوق سيظهر فقط في حال <a href=\"@languages\">وجود لغتين مفعلتين على اﻷقل</a> و <a href=\"@configuration\">مفاوض اللغة</a> هو إما <em>URL</em> أو <em>Session</em>.','ar',0,0),(4558,'وحدة القائمة تحوي واجهة لإدارة القوائم. القائمة هي مجموعة من الروابط بشكل هرمي (أب وأولاد) تؤدي لصفحات داخل أو خارج الموقع، تستخدم عادة للتصفح. كل قائمة لها صندوق خاص بها يمكن تفعيله وتغيير مكانه من <a href=\"@blocks\">صفحة إدارة الصناديق</a>. يمكنك استعراض وإدارة القوائم من <a href=\"@menus\">صفحة إدارة القوائم</a>. للمزيد من المعلومات راجع صفحة الدليل الإلكتروني حول <a href=\"@menu\">وحدة القائمة</a>.','ar',0,0),(4559,'(الإسم الآلى: @type)','ar',0,0),(4560,'OpenID يقترح عليك استخدام إما <a href=\"@gmp\">GMP Math</a> (لتحسين اﻷداء) أو مكتبات <a href=\"@bc\">BC Math</a> لتفعيل ربط OpenID.','ar',0,0),(4561,'غير مُحسّن','ar',0,0),(4562,'ينصح OpenID باستخدام مكتبة GMP Math لـ PHP ﻷداء أفضل. راجع <a href=\"@url\">توثيق مكتبة GMP Math</a> لتعليمات التثبيت.','ar',0,0),(4563,'مكتبة OpenID Math','ar',0,0),(4564,'وحدة @module مفقودة، لذلك سيتم تعطيل: @depends.','ar',0,0),(4565,'وحدة @module مفقودة، لذلك سيتم تعطيل: @depends.','ar',4564,1),(4566,'الاسم البرمجي لايمكن أن يكون \"add\" أو \"list\".','ar',0,0),(4567,'تفعيل دعم تعددية اللغات لنوع المحتوى هذا. في حال تفعيله سيضاف حقل اختيار اللغة إلى استمارة التحرير، وسيسمح لك باختيار لغة من <a href=\"!languages\">اللغات المفعلة</a>. بإمكانك أيضاً تفعيل الترجمة لنوع المحتوى هذا، والذي يسمح لك بترجمة المحتوى ﻷي لغة مفعلة. في حال تعطيل خيار تعددية اللغات سيتم نشر المحتوى باللغة الافتراضية. المحتوى الموجود مسبقاً لن يتأثر بتغيير هذا الخيار.','ar',0,0),(4568,'استعلام موسوم بأنه يخص الدخول إلى العقد (node) لكن ليس هناك nid. لإصلاح هذا، أضف مفتاحًا أجنبيا إلى node.nid في المخطط.','ar',0,0),(4569,'جملتك لاستعلام قائمة العقد تستخدم @fallback كجدول أساسي في جملة الاستعلام المعلمة للوصول للعقدة. قد لا يكون هذا آمنا وقد لن يعمل حتى. حدد مفاتبح أجنبية في هيكليتك نحو node.nid ','ar',0,0),(4570,'حقل غير معروف: @field_name','ar',0,0),(4571,'%field: يجب ان يكون هنالك فاصلة عشرية (@separator) واحدة فقط.','ar',0,0),(4572,'تفعيل  !title','ar',0,0),(4573,'جعل  !title هو الافتراضي','ar',0,0),(4574,'الوحدات المفعلة: %modules','ar',0,0),(4575,'تعذر نسخ الملف %file، لأن الوجهة %destination غير صالحة. غالبا ما يكون السبب استعمالا خاطئا لـfile_copy() أو غياب حاوية تدفق.','ar',0,0),(4576,'لا يمكن نسخ الملف %file لأنه غير موجود.','ar',0,0),(4577,'تعذر نقل الملف %file، لأن الوجهة %destination غير صالحة. قد يكون السبب استعمالا خاطئا لـfile_move() أو غياب حاوية التدفق.','ar',0,0),(4578,'تعذر حذف الملف %file، لأنه عنوان URI غير صالح. قد يكون السبب استعمالا خاطئا لـfile_delete() أو غياب حاوية التدفق.','ar',0,0),(4579,'كوراساو','ar',0,0),(4580,'خاصية الحزمة مفقودة للكينونة من نوع @entity_type .','ar',0,0),(4581,'نوع الحقل (الحقول) المستخدم(ة)','ar',0,0),(4582,'الحقول بإنتظار الحذف','ar',0,0),(4583,'(وحدة: !module)','ar',0,0),(4584,'توسيع وظائف الموقع.','ar',0,0),(4585,'لقد تعذر العثور على الصفحة المطلوبة \"@path\".','ar',0,0),(4586,'أصبحت الاستمارة قديمة. انسخ أي عمل غير محفوظ في الاستمارة أسفله ثم <a href=\"@link\">أعد تحميل هذه الصفحة</a>.','ar',0,0),(4587,'هناك العديد من القرارات التي عليك اتخاذها قبل تعريف حقل للمحتوى أو تعليقات، الخ:','ar',0,0),(4588,'عرض النابض لا يظهر حالة الرفع ولكنه يأخذ مساحة أصغر. شريط التقدم مفيد لمراقبة التقدم في الرفع الكبير.','ar',0,0),(4589,'اسم النطاق الذي ينبغي استخدامه لهذه اللغة إذا كانت نطاقات عناوين URL مستخدمة <em>للاكتشاف والاختيار</em>. المرجو تركه فارغا للغة الافتراضية. <strong>تغيير هذه القيمة قد يعطل عناوين URL الموجودة</strong>. مثال: تحديد \"de.example.com\" كنطاق لغة  للألمانية سيعطي عنوانا URL مثل \"http://de.example.com/contact\".','ar',0,0),(4590,'وحدات البحث النشط','ar',0,0),(4591,'لا توجد اختصارات <a href=\"@link\">أضف اختصارا</a>.','ar',0,0),(4592,'اترك هذه فارغة لحذف اسم المستخدم و كلمة السر الحاليتين.','ar',0,0),(4593,'لتغيير كلمة المرور، ادخل كلمة المرور الجديدة هنا.','ar',0,0),(4594,'يجب أن تشتمل بيانات مصادقة HTTP على اسم مستخدم بالإضافة الى كلمة مرور.','ar',0,0),(4595,'غير متوافق مع هذا الإصدار لنواة دروبال.','ar',0,0),(4596,'يتكلف كرون بإنجاز المهمات الدورية كالتحقق من وجود تحديثات وفهرسة المحتوى من أجل البحث.','ar',0,0),(4597,'تم اجتياز اختبار العنوان URL النظيف بنجاح.','ar',0,0),(4598,'عناوين URL النظيفة مفعلة، لكن اختبار عناوين URL النظيفة فشل. أزل العلامة من المربع أسفله لتعطيل عناوين URL النظيفة.','ar',0,0),(4599,'فشل اختبار المسار النظيف.','ar',0,0),(4600,'لا يمكن تفعيل عناوين URL النظيفة. إذا تم توجيهك إلى هذه الصفحة أو إلى خطأ <em>صفحة غير موجودة (404)</em> بعد اختبار عناوين URL النظيفة، راجع <a href=\"@handbook\">الدليل على الشبكة</a>','ar',0,0),(4601,'اسم المستخدم و كلمة المرور','ar',0,0),(4602,'عناصر استمارة الحساب لوحدة المستخدم.','ar',0,0),(4603,'ُوجدت هنالك مشكلة في إنشاء الحقل %label: !message','ar',0,0),(4604,'@module (<span class=\"admin-missing\">غير متوافق مع </span> هذا الإصدار من نواة دروبال)','ar',0,0),(4605,'إشعارات التحديث غير مفعلة. <strong>ينصح بشدة</strong> تفعيل وحدة مدير التحديث من <a href=\"@module\">صفحة إدارة الوحدات</a> للبقاء في النسخة الحديثة عند بروز إصدارات جديدة. للمزيد من المعلومات، راجع <a href=\"@update\">صفحة حالة التحديث في الدليل</a>.','ar',0,0),(4606,'بحثك يحتوي على العدد من تعابير AND/OR. فقط أول @count مصطلحات تم ادامجهم في هذا البحث.','ar',0,0),(4607,'لا يمكن تنفيذ الإختبار لأنه لم يتم إعداده بشكل صحيح.','ar',0,0),(4608,'وجد حقل باسم @name','ar',0,0),(4609,'وجد حقل باسم @name و قيمة @value','ar',0,0),(4610,'لا يمكن تغيير مفاتيح قائمة منسدلة (@field_name) تتوفر على معلومات.','ar',0,0),(4611,'اسم فريد مقروء آليا يحتوي على أحرف وأرقام وشرطات سفلية.','ar',0,0),(4612,'تم إعادة الشكل %style إلى قيمته الافتراضية.','ar',0,0),(4613,'إذا لم يتم رفع أية صورة، سيتم إظهار هذه الصورة عند العرض وستحل محل الصورة الافتراضية لهذا الحقل.','ar',0,0),(4614,'مشاهدة تفاصيل جميع التصويتات','ar',0,0),(4615,'لا توجد عناوين IP محظورة.','ar',0,0),(4616,'لم يتم العثور على حقل التصنيف @field_name.','ar',0,0),(4617,'اشترك ب !feed-title','ar',0,0),(4618,'مربط الحلة %hook غير موجود.','ar',0,0),(4619,'لا يوجد أي محتوى في كتاب.','ar',0,0),(4620,'نوع (أنواع) الحقل (الحقول) المستخدم(ة) - أنظر <a href=\"@fields-page\"> قائمة الحقول</a>','ar',0,0),(4621,'المستخدون المسجلون فقط','ar',0,0),(4622,'لا يوجد معرفات OpenID متوفرة لهذا الحساب.','ar',0,0),(4623,'الأغورية','ar',0,0),(4624,'تركيب وحدة أخرى','ar',0,0),(4625,'الحصول على نظرة عامة إلى <a href=\"@url\">كل المحتوى</a>.','ar',0,0),(4626,'الحصول على نظرة عامة إلى كل المحتوى.','ar',0,0),(4627,'ذاكرة التخزين المؤقت غير صالحة أو مفقودة: %bin','ar',0,0);
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `megamenus`
--

DROP TABLE IF EXISTS `megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `megamenus`
--

LOCK TABLES `megamenus` WRITE;
/*!40000 ALTER TABLE `megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `megamenus` VALUES ('main-menu','{\"direction\":\"horizontal\",\"style\":\"\",\"animation\":\"none\",\"auto-arrow\":\"0\",\"always-show-submenu\":\"1\",\"duration\":400,\"delay\":200,\"import_from_tb_menu\":\"1\"}','[{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"221\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"972\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"952\",\"level\":1}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"535\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"948\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"829\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"827\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"945\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"949\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"944\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"536\",\"level\":1}},{\"config\":{\"align-submenu\":\"center\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"540\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"950\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"830\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"538\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"968\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"947\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"995\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"994\",\"level\":1,\"align-submenu\":0}}]');
/*!40000 ALTER TABLE `megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('devel','Development','Development link'),('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=2014 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,2,0,0,0,0,0,0,0,0,0),('navigation',3,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('navigation',6,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,6,0,0,0,0,0,0,0,0,0),('management',7,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,7,0,0,0,0,0,0,0,0),('management',8,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,8,0,0,0,0,0,0,0,0),('management',9,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,9,0,0,0,0,0,0,0,0),('user-menu',10,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,10,0,0,0,0,0,0,0,0),('management',11,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,11,0,0,0,0,0,0,0,0),('management',12,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,12,0,0,0,0,0,0,0,0),('user-menu',13,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,13,0,0,0,0,0,0,0,0),('user-menu',14,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,14,0,0,0,0,0,0,0,0,0),('management',15,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,15,0,0,0,0,0,0,0,0),('navigation',16,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,16,0,0,0,0,0,0,0,0,0),('management',17,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,17,0,0,0,0,0,0,0,0),('management',18,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,18,0,0,0,0,0,0,0,0),('user-menu',19,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,19,0,0,0,0,0,0,0,0),('management',20,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,20,0,0,0,0,0,0,0,0),('management',21,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,21,0,0,0,0,0,0,0,0),('navigation',22,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,22,0,0,0,0,0,0,0,0,0),('navigation',23,3,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,3,23,0,0,0,0,0,0,0,0),('navigation',24,3,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,3,24,0,0,0,0,0,0,0,0),('navigation',25,3,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,3,25,0,0,0,0,0,0,0,0),('navigation',26,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,26,0,0,0,0,0,0,0,0,0),('navigation',27,3,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,3,27,0,0,0,0,0,0,0,0),('management',28,17,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,17,28,0,0,0,0,0,0,0),('management',29,20,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,20,29,0,0,0,0,0,0,0),('navigation',30,16,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,16,30,0,0,0,0,0,0,0,0),('management',31,9,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,9,31,0,0,0,0,0,0,0),('management',32,11,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,32,0,0,0,0,0,0,0),('management',33,9,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,9,33,0,0,0,0,0,0,0),('management',34,8,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,8,34,0,0,0,0,0,0,0),('management',35,20,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,35,0,0,0,0,0,0,0),('management',36,11,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,36,0,0,0,0,0,0,0),('navigation',37,5,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,5,37,0,0,0,0,0,0,0,0),('management',38,8,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,8,38,0,0,0,0,0,0,0),('navigation',39,16,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,16,39,0,0,0,0,0,0,0,0),('navigation',40,5,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,5,40,0,0,0,0,0,0,0,0),('management',41,15,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,15,41,0,0,0,0,0,0,0),('management',42,17,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,17,42,0,0,0,0,0,0,0),('management',43,7,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,7,43,0,0,0,0,0,0,0),('management',44,8,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,8,44,0,0,0,0,0,0,0),('management',45,20,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,20,45,0,0,0,0,0,0,0),('management',46,8,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,8,46,0,0,0,0,0,0,0),('management',47,17,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,17,47,0,0,0,0,0,0,0),('management',48,18,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,18,48,0,0,0,0,0,0,0),('management',49,8,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,8,49,0,0,0,0,0,0,0),('navigation',50,5,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,5,50,0,0,0,0,0,0,0,0),('management',51,8,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,8,51,0,0,0,0,0,0,0),('management',52,7,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,7,52,0,0,0,0,0,0,0),('management',53,18,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,18,53,0,0,0,0,0,0,0),('management',54,8,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,8,54,0,0,0,0,0,0,0),('management',55,20,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,20,55,0,0,0,0,0,0,0),('management',56,18,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,18,56,0,0,0,0,0,0,0),('management',57,18,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,18,57,0,0,0,0,0,0,0),('management',58,15,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,15,58,0,0,0,0,0,0,0),('management',59,8,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,8,59,0,0,0,0,0,0,0),('navigation',60,5,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,5,60,0,0,0,0,0,0,0,0),('navigation',61,16,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,16,61,0,0,0,0,0,0,0,0),('management',62,8,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,8,62,0,0,0,0,0,0,0),('management',63,8,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,1,0,5,3,0,1,8,63,0,0,0,0,0,0,0),('navigation',64,26,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,26,64,0,0,0,0,0,0,0,0),('navigation',65,26,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,26,65,0,0,0,0,0,0,0,0),('management',66,55,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,1,0,0,4,0,1,20,55,66,0,0,0,0,0,0),('management',67,46,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,8,46,67,0,0,0,0,0,0),('management',68,54,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,8,54,68,0,0,0,0,0,0),('management',69,29,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,69,0,0,0,0,0,0),('management',70,35,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,35,70,0,0,0,0,0,0),('management',71,45,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,20,45,71,0,0,0,0,0,0),('management',72,55,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,20,55,72,0,0,0,0,0,0),('management',73,52,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,73,0,0,0,0,0,0),('management',74,51,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,8,51,74,0,0,0,0,0,0),('management',75,54,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,8,54,75,0,0,0,0,0,0),('management',76,49,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,8,49,76,0,0,0,0,0,0),('management',77,18,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,18,77,0,0,0,0,0,0,0),('management',78,44,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,8,44,78,0,0,0,0,0,0),('management',79,52,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,79,0,0,0,0,0,0),('management',80,52,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,7,52,80,0,0,0,0,0,0),('management',81,52,'admin/appearance/settings/hermio','admin/appearance/settings/hermio','Hermio','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,81,0,0,0,0,0,0),('management',82,46,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,8,46,82,0,0,0,0,0,0),('management',83,44,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,8,44,83,0,0,0,0,0,0),('management',84,35,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,35,84,0,0,0,0,0,0),('management',85,41,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,15,41,85,0,0,0,0,0,0),('management',86,55,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,55,86,0,0,0,0,0,0),('management',87,45,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,45,87,0,0,0,0,0,0),('management',88,38,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,8,38,88,0,0,0,0,0,0),('management',89,38,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,8,38,89,0,0,0,0,0,0),('management',90,38,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,8,38,90,0,0,0,0,0,0),('management',91,47,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,17,47,91,0,0,0,0,0,0),('management',92,31,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,9,31,92,0,0,0,0,0,0),('management',93,62,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,8,62,93,0,0,0,0,0,0),('management',94,49,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,8,49,94,0,0,0,0,0,0),('management',95,47,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,17,47,95,0,0,0,0,0,0),('management',96,45,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,45,96,0,0,0,0,0,0),('management',97,52,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,97,0,0,0,0,0,0),('management',98,54,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,8,54,98,0,0,0,0,0,0),('management',99,52,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,99,0,0,0,0,0,0),('management',100,34,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,8,34,100,0,0,0,0,0,0),('management',101,31,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,9,31,101,0,0,0,0,0,0),('management',102,58,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,15,58,102,0,0,0,0,0,0),('navigation',103,39,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,16,39,103,0,0,0,0,0,0,0),('management',104,100,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,8,34,100,104,0,0,0,0,0),('management',105,66,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,20,55,66,105,0,0,0,0,0),('management',106,100,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,8,34,100,106,0,0,0,0,0),('management',107,29,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,107,0,0,0,0,0,0),('management',108,68,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,8,54,68,108,0,0,0,0,0),('management',109,45,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,20,45,109,0,0,0,0,0,0),('management',110,66,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,55,66,110,0,0,0,0,0),('management',111,35,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,20,35,111,0,0,0,0,0,0),('management',112,76,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,8,49,76,112,0,0,0,0,0),('management',113,29,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,113,0,0,0,0,0,0),('management',114,29,'admin/structure/block/list/hermio','admin/structure/block/list/hermio','Hermio','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,29,114,0,0,0,0,0,0),('management',115,100,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,34,100,115,0,0,0,0,0),('management',116,66,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,20,55,66,116,0,0,0,0,0),('management',117,68,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,8,54,68,117,0,0,0,0,0),('management',118,67,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,46,67,118,0,0,0,0,0),('management',119,29,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,119,0,0,0,0,0,0),('management',120,29,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,120,0,0,0,0,0,0),('management',121,76,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,8,49,76,121,0,0,0,0,0),('navigation',122,50,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,122,0,0,0,0,0,0,0),('navigation',123,50,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,123,0,0,0,0,0,0,0),('navigation',124,50,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,5,50,124,0,0,0,0,0,0,0),('management',125,113,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,113,125,0,0,0,0,0),('management',127,119,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,119,127,0,0,0,0,0),('management',128,120,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,120,128,0,0,0,0,0),('management',129,121,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,76,121,129,0,0,0,0),('management',130,112,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,76,112,130,0,0,0,0),('management',131,109,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,109,131,0,0,0,0,0),('management',132,29,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,20,29,132,0,0,0,0,0,0),('navigation',133,30,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,16,30,133,0,0,0,0,0,0,0),('management',134,111,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,35,111,134,0,0,0,0,0),('management',135,82,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,8,46,82,135,0,0,0,0,0),('management',136,68,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,8,54,68,136,0,0,0,0,0),('management',137,109,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,20,45,109,137,0,0,0,0,0),('management',138,45,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,138,0,0,0,0,0,0),('management',139,95,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,139,0,0,0,0,0),('management',140,104,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,8,34,100,104,140,0,0,0,0),('management',141,111,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,35,111,141,0,0,0,0,0),('management',142,109,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,109,142,0,0,0,0,0),('management',143,45,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,143,0,0,0,0,0,0),('management',144,95,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,144,0,0,0,0,0),('management',145,109,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,45,109,145,0,0,0,0,0),('management',146,45,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,146,0,0,0,0,0,0),('management',147,111,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,20,35,111,147,0,0,0,0,0),('management',148,111,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,20,35,111,148,0,0,0,0,0),('management',149,132,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,149,0,0,0,0,0),('management',150,132,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,150,0,0,0,0,0),('management',151,112,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,112,151,0,0,0,0),('management',152,121,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,121,152,0,0,0,0),('management',153,112,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,112,153,0,0,0,0),('management',154,45,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,154,0,0,0,0,0,0),('management',155,45,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,155,0,0,0,0,0,0),('management',156,45,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,156,0,0,0,0,0,0),('management',157,45,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,157,0,0,0,0,0,0),('navigation',158,0,'search','search','Search','a:0:{}','system',1,0,0,0,0,1,0,158,0,0,0,0,0,0,0,0,0),('navigation',159,158,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,158,159,0,0,0,0,0,0,0,0),('navigation',160,158,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,158,160,0,0,0,0,0,0,0,0),('management',161,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,161,0,0,0,0,0,0,0,0),('navigation',162,159,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,158,159,162,0,0,0,0,0,0,0),('management',163,18,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,18,163,0,0,0,0,0,0,0),('navigation',164,16,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,16,164,0,0,0,0,0,0,0,0),('management',165,18,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,18,165,0,0,0,0,0,0,0),('navigation',166,160,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,158,160,166,0,0,0,0,0,0,0),('management',167,161,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,167,0,0,0,0,0,0,0),('management',168,161,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,161,168,0,0,0,0,0,0,0),('management',169,161,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,161,169,0,0,0,0,0,0,0),('management',170,161,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,161,170,0,0,0,0,0,0,0),('management',171,161,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,161,171,0,0,0,0,0,0,0),('management',172,161,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,172,0,0,0,0,0,0,0),('management',173,161,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,161,173,0,0,0,0,0,0,0),('management',174,161,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,161,174,0,0,0,0,0,0,0),('management',175,161,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,175,0,0,0,0,0,0,0),('management',176,161,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,161,176,0,0,0,0,0,0,0),('management',177,161,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,161,177,0,0,0,0,0,0,0),('management',178,161,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,161,178,0,0,0,0,0,0,0),('management',179,161,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,161,179,0,0,0,0,0,0,0),('management',180,161,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,161,180,0,0,0,0,0,0,0),('management',181,161,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,181,0,0,0,0,0,0,0),('management',182,161,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,161,182,0,0,0,0,0,0,0),('management',183,161,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,161,183,0,0,0,0,0,0,0),('management',184,161,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,161,184,0,0,0,0,0,0,0),('management',186,161,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,161,186,0,0,0,0,0,0,0),('management',188,161,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,161,188,0,0,0,0,0,0,0),('management',189,161,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,161,189,0,0,0,0,0,0,0),('management',190,161,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,161,190,0,0,0,0,0,0,0),('management',191,161,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,161,191,0,0,0,0,0,0,0),('management',192,161,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,161,192,0,0,0,0,0,0,0),('management',193,161,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,161,193,0,0,0,0,0,0,0),('management',194,44,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,8,44,194,0,0,0,0,0,0),('management',195,51,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,8,51,195,0,0,0,0,0,0),('management',196,59,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,8,59,196,0,0,0,0,0,0),('management',197,51,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,8,51,197,0,0,0,0,0,0),('management',198,197,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,197,198,0,0,0,0,0),('management',199,196,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,8,59,196,199,0,0,0,0,0),('management',200,194,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,8,44,194,200,0,0,0,0,0),('management',201,195,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,195,201,0,0,0,0,0),('management',202,196,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,202,0,0,0,0,0),('management',203,197,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,51,197,203,0,0,0,0,0),('management',204,194,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,8,44,194,204,0,0,0,0,0),('management',205,202,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,205,0,0,0,0),('management',206,197,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,206,0,0,0,0,0),('management',207,202,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,202,207,0,0,0,0),('management',208,197,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,208,0,0,0,0,0),('management',209,202,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,8,59,196,202,209,0,0,0,0),('management',210,196,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,210,0,0,0,0,0),('management',211,194,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,8,44,194,211,0,0,0,0,0),('management',212,202,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,212,0,0,0,0),('management',213,194,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,213,0,0,0,0,0),('management',214,194,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,214,0,0,0,0,0),('management',215,210,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,210,215,0,0,0,0),('management',216,211,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,8,44,194,211,216,0,0,0,0),('management',217,211,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,8,44,194,211,217,0,0,0,0),('management',218,217,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,8,44,194,211,217,218,0,0,0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0),('main-menu',221,0,'<front>','','Home','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,1,1,1,-50,1,1,221,0,0,0,0,0,0,0,0,0),('navigation',222,6,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,6,222,0,0,0,0,0,0,0,0),('navigation',223,6,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,6,223,0,0,0,0,0,0,0,0),('management',263,15,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,15,263,0,0,0,0,0,0,0),('management',264,7,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,7,264,0,0,0,0,0,0,0),('management',265,15,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,15,265,0,0,0,0,0,0,0),('management',266,18,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,18,266,0,0,0,0,0,0,0),('management',267,7,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,7,267,0,0,0,0,0,0,0),('management',268,161,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,268,0,0,0,0,0,0,0),('management',269,266,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,18,266,269,0,0,0,0,0,0),('management',270,266,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,18,266,270,0,0,0,0,0,0),('management',271,266,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,18,266,271,0,0,0,0,0,0),('management',272,266,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,18,266,272,0,0,0,0,0,0),('navigation',311,0,'tagclouds','tagclouds','Tags','a:0:{}','system',1,0,0,0,0,1,0,311,0,0,0,0,0,0,0,0,0),('devel',312,0,'devel/settings','devel/settings','Devel settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:171:\"Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/en/admin/structure/block\">block administration</a> page.\";}}','system',0,0,0,0,0,1,0,312,0,0,0,0,0,0,0,0,0),('devel',313,0,'devel/php','devel/php','Execute PHP Code','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Execute some PHP code\";}}','system',0,0,0,0,0,1,0,313,0,0,0,0,0,0,0,0,0),('devel',314,0,'devel/reference','devel/reference','Function reference','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:73:\"View a list of currently defined user functions with documentation links.\";}}','system',0,0,0,0,0,1,0,314,0,0,0,0,0,0,0,0,0),('devel',315,0,'devel/elements','devel/elements','Hook_elements()','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"View the active form/render elements for this site.\";}}','system',0,0,0,0,0,1,0,315,0,0,0,0,0,0,0,0,0),('devel',316,0,'devel/phpinfo','devel/phpinfo','PHPinfo()','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View your server\'s PHP configuration\";}}','system',0,0,0,0,0,1,0,316,0,0,0,0,0,0,0,0,0),('devel',317,0,'devel/reinstall','devel/reinstall','Reinstall modules','a:2:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Run hook_uninstall() and then hook_install() for a given module.\";}s:5:\"alter\";b:1;}','system',0,0,0,0,0,1,0,317,0,0,0,0,0,0,0,0,0),('devel',318,0,'devel/run-cron','devel/run-cron','Run cron','a:0:{}','system',0,0,0,0,0,1,0,318,0,0,0,0,0,0,0,0,0),('devel',319,0,'devel/session','devel/session','Session viewer','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"List the contents of $_SESSION.\";}}','system',0,0,0,0,0,1,0,319,0,0,0,0,0,0,0,0,0),('devel',320,0,'devel/variable','devel/variable','Variable editor','a:2:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Edit and delete site variables.\";}s:5:\"alter\";b:1;}','system',0,0,0,0,0,1,0,320,0,0,0,0,0,0,0,0,0),('navigation',322,311,'tagclouds/chunk/%','tagclouds/chunk/%','Tags','a:0:{}','system',1,0,0,0,0,2,0,311,322,0,0,0,0,0,0,0,0),('management',323,8,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,1,8,323,0,0,0,0,0,0,0),('devel',324,0,'devel/cache/clear','devel/cache/clear','Clear cache','a:2:{s:10:\"attributes\";a:1:{s:5:\"title\";s:100:\"Clear the CSS cache and all database cache tables which store page, node, theme and variable caches.\";}s:5:\"alter\";b:1;}','system',0,0,0,0,0,1,0,324,0,0,0,0,0,0,0,0,0),('navigation',325,3,'comment/%/devel','comment/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,3,325,0,0,0,0,0,0,0,0),('navigation',326,5,'node/%/devel','node/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,5,326,0,0,0,0,0,0,0,0),('navigation',327,16,'user/%/devel','user/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,16,327,0,0,0,0,0,0,0,0),('devel',328,0,'devel/entity/info','devel/entity/info','Entity info','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"View entity information across the whole site.\";}}','system',0,0,0,0,0,1,0,328,0,0,0,0,0,0,0,0,0),('devel',329,0,'devel/field/info','devel/field/info','Field info','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"View fields information across the whole site.\";}}','system',0,0,0,0,0,1,0,329,0,0,0,0,0,0,0,0,0),('management',330,20,'admin/structure/field-collections','admin/structure/field-collections','Field collections','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage fields on field collections.\";}}','system',0,0,1,0,0,3,0,1,20,330,0,0,0,0,0,0,0),('devel',331,0,'devel/menu/item','devel/menu/item','Menu item','a:2:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Details about a given menu item.\";}s:5:\"alter\";b:1;}','system',0,0,0,0,0,1,0,331,0,0,0,0,0,0,0,0,0),('management',333,20,'admin/structure/quicktabs','admin/structure/quicktabs','Quicktabs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Create blocks of tabbed content.\";}}','system',0,0,1,0,0,3,0,1,20,333,0,0,0,0,0,0,0),('devel',334,0,'devel/menu/reset','devel/menu/reset','Rebuild menus','a:2:{s:10:\"attributes\";a:1:{s:5:\"title\";s:113:\"Rebuild menu based on hook_menu() and revert any custom changes. All menu items return to their default settings.\";}s:5:\"alter\";b:1;}','system',0,0,0,0,0,1,0,334,0,0,0,0,0,0,0,0,0),('devel',336,0,'devel/theme/registry','devel/theme/registry','Theme registry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:63:\"View a list of available theme functions across the whole site.\";}}','system',0,0,0,0,0,1,0,336,0,0,0,0,0,0,0,0,0),('management',337,20,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,1,20,337,0,0,0,0,0,0,0),('management',338,18,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,18,338,0,0,0,0,0,0,0),('management',339,161,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,339,0,0,0,0,0,0,0),('management',340,161,'admin/help/devel','admin/help/devel','devel','a:0:{}','system',-1,0,0,0,0,3,0,1,161,340,0,0,0,0,0,0,0),('management',341,161,'admin/help/field_collection','admin/help/field_collection','field_collection','a:0:{}','system',-1,0,0,0,0,3,0,1,161,341,0,0,0,0,0,0,0),('management',343,161,'admin/help/jcarousel','admin/help/jcarousel','jcarousel','a:0:{}','system',-1,0,0,0,0,3,0,1,161,343,0,0,0,0,0,0,0),('management',344,161,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,344,0,0,0,0,0,0,0),('management',345,161,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,161,345,0,0,0,0,0,0,0),('management',346,161,'admin/help/quicktabs','admin/help/quicktabs','quicktabs','a:0:{}','system',-1,0,0,0,0,3,0,1,161,346,0,0,0,0,0,0,0),('management',347,161,'admin/help/rules','admin/help/rules','rules','a:0:{}','system',-1,0,0,0,0,3,0,1,161,347,0,0,0,0,0,0,0),('management',348,161,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,161,348,0,0,0,0,0,0,0),('management',349,161,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,1,161,349,0,0,0,0,0,0,0),('management',350,161,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,1,161,350,0,0,0,0,0,0,0),('management',351,333,'admin/structure/quicktabs/add','admin/structure/quicktabs/add','Add Quicktabs Instance','a:0:{}','system',-1,0,0,0,0,4,0,1,20,333,351,0,0,0,0,0,0),('management',352,337,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,1,20,337,352,0,0,0,0,0,0),('management',353,337,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,1,20,337,353,0,0,0,0,0,0),('management',354,323,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,1,8,323,354,0,0,0,0,0,0),('navigation',355,26,'taxonomy/term/%/devel','taxonomy/term/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,26,355,0,0,0,0,0,0,0,0),('management',356,38,'admin/config/development/devel','admin/config/development/devel','Devel settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:171:\"Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/en/admin/structure/block\">block administration</a> page.\";}}','system',0,0,0,0,0,4,0,1,8,38,356,0,0,0,0,0,0),('management',357,337,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,337,357,0,0,0,0,0,0),('management',358,337,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,337,358,0,0,0,0,0,0),('management',359,163,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,163,359,0,0,0,0,0,0),('management',360,333,'admin/structure/quicktabs/list','admin/structure/quicktabs/list','List quicktabs','a:0:{}','system',-1,0,0,0,0,4,0,1,20,333,360,0,0,0,0,0,0),('navigation',361,325,'comment/%/devel/load','comment/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,3,325,361,0,0,0,0,0,0,0),('navigation',362,326,'node/%/devel/load','node/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,5,326,362,0,0,0,0,0,0,0),('navigation',363,327,'user/%/devel/load','user/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,16,327,363,0,0,0,0,0,0,0),('management',364,59,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,1,8,59,364,0,0,0,0,0,0),('navigation',366,325,'comment/%/devel/render','comment/%/devel/render','Render','a:0:{}','system',-1,0,0,0,100,3,0,3,325,366,0,0,0,0,0,0,0),('navigation',367,326,'node/%/devel/render','node/%/devel/render','Render','a:0:{}','system',-1,0,0,0,100,3,0,5,326,367,0,0,0,0,0,0,0),('navigation',368,327,'user/%/devel/render','user/%/devel/render','Render','a:0:{}','system',-1,0,0,0,100,3,0,16,327,368,0,0,0,0,0,0,0),('management',370,63,'admin/config/workflow/rules','admin/config/workflow/rules','Rules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Manage reaction rules and rule components.\";}}','system',0,0,0,0,0,4,0,1,8,63,370,0,0,0,0,0,0),('management',371,337,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,20,337,371,0,0,0,0,0,0),('management',372,34,'admin/config/content/tagclouds','admin/config/content/tagclouds','TagClouds configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.\";}}','system',0,0,0,0,0,4,0,1,8,34,372,0,0,0,0,0,0),('navigation',373,325,'comment/%/devel/token','comment/%/devel/token','Tokens','a:0:{}','system',-1,0,0,0,5,3,0,3,325,373,0,0,0,0,0,0,0),('navigation',374,326,'node/%/devel/token','node/%/devel/token','Tokens','a:0:{}','system',-1,0,0,0,5,3,0,5,326,374,0,0,0,0,0,0,0),('navigation',375,327,'user/%/devel/token','user/%/devel/token','Tokens','a:0:{}','system',-1,0,0,0,5,3,0,16,327,375,0,0,0,0,0,0,0),('management',376,163,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,18,163,376,0,0,0,0,0,0),('management',378,38,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,1,8,38,378,0,0,0,0,0,0),('management',380,371,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,1,20,337,371,380,0,0,0,0,0),('management',381,371,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,371,381,0,0,0,0,0),('management',382,197,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk generate','a:0:{}','system',-1,0,0,0,30,5,0,1,8,51,197,382,0,0,0,0,0),('management',383,370,'admin/config/workflow/rules/components','admin/config/workflow/rules/components','Components','a:0:{}','system',-1,0,0,0,0,5,0,1,8,63,370,383,0,0,0,0,0),('management',386,197,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,8,51,197,386,0,0,0,0,0),('management',387,333,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','a:0:{}','system',0,0,0,0,0,4,0,1,20,333,387,0,0,0,0,0,0),('navigation',391,355,'taxonomy/term/%/devel/load','taxonomy/term/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,26,355,391,0,0,0,0,0,0,0),('management',392,197,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,197,392,0,0,0,0,0),('navigation',393,355,'taxonomy/term/%/devel/render','taxonomy/term/%/devel/render','Render','a:0:{}','system',-1,0,0,0,100,3,0,26,355,393,0,0,0,0,0,0,0),('management',394,370,'admin/config/workflow/rules/reaction','admin/config/workflow/rules/reaction','Rules','a:0:{}','system',-1,0,0,0,-1,5,0,1,8,63,370,394,0,0,0,0,0),('management',396,197,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,8,51,197,396,0,0,0,0,0),('management',397,370,'admin/config/workflow/rules/settings','admin/config/workflow/rules/settings','Settings','a:0:{}','system',-1,0,0,0,1,5,0,1,8,63,370,397,0,0,0,0,0),('navigation',401,355,'taxonomy/term/%/devel/token','taxonomy/term/%/devel/token','Tokens','a:0:{}','system',-1,0,0,0,5,3,0,26,355,401,0,0,0,0,0,0,0),('management',402,337,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,337,402,0,0,0,0,0,0),('management',404,383,'admin/config/workflow/rules/components/add','admin/config/workflow/rules/components/add','Add new component','a:0:{}','system',-1,0,0,0,0,6,0,1,8,63,370,383,404,0,0,0,0),('management',406,394,'admin/config/workflow/rules/reaction/add','admin/config/workflow/rules/reaction/add','Add new rule','a:0:{}','system',-1,0,0,0,0,6,0,1,8,63,370,394,406,0,0,0,0),('management',409,397,'admin/config/workflow/rules/settings/advanced','admin/config/workflow/rules/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,0,6,0,1,8,63,370,397,409,0,0,0,0),('management',410,397,'admin/config/workflow/rules/settings/basic','admin/config/workflow/rules/settings/basic','Basic','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,63,370,397,410,0,0,0,0),('management',411,402,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,411,0,0,0,0,0),('management',412,387,'admin/structure/quicktabs/manage/%/clone','admin/structure/quicktabs/manage/%/clone','Clone quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,333,387,412,0,0,0,0,0),('management',415,387,'admin/structure/quicktabs/manage/%/delete','admin/structure/quicktabs/manage/%/delete','Delete quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,333,387,415,0,0,0,0,0),('management',416,387,'admin/structure/quicktabs/manage/%/edit','admin/structure/quicktabs/manage/%/edit','Edit quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,20,333,387,416,0,0,0,0,0),('management',417,402,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,337,402,417,0,0,0,0,0),('management',418,387,'admin/structure/quicktabs/manage/%/export','admin/structure/quicktabs/manage/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,333,387,418,0,0,0,0,0),('management',421,383,'admin/config/workflow/rules/components/import','admin/config/workflow/rules/components/import','Import component','a:0:{}','system',-1,0,0,0,0,6,0,1,8,63,370,383,421,0,0,0,0),('management',422,394,'admin/config/workflow/rules/reaction/import','admin/config/workflow/rules/reaction/import','Import rule','a:0:{}','system',-1,0,0,0,0,6,0,1,8,63,370,394,422,0,0,0,0),('management',432,402,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,432,0,0,0,0,0),('management',433,402,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,433,0,0,0,0,0),('management',434,402,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,434,0,0,0,0,0),('management',435,402,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,435,0,0,0,0,0),('management',436,383,'admin/config/workflow/rules/components/manage/%','admin/config/workflow/rules/components/manage/%','','a:0:{}','system',-1,0,1,0,0,6,0,1,8,63,370,383,436,0,0,0,0),('management',437,394,'admin/config/workflow/rules/reaction/manage/%','admin/config/workflow/rules/reaction/manage/%','','a:0:{}','system',-1,0,1,0,0,6,0,1,8,63,370,394,437,0,0,0,0),('management',441,337,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,337,441,0,0,0,0,0,0),('management',442,402,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,1,20,337,402,442,0,0,0,0,0),('management',443,337,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,337,443,0,0,0,0,0,0),('management',449,436,'admin/config/workflow/rules/components/manage/%/clone','admin/config/workflow/rules/components/manage/%/clone','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,449,0,0,0),('management',450,437,'admin/config/workflow/rules/reaction/manage/%/clone','admin/config/workflow/rules/reaction/manage/%/clone','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,450,0,0,0),('management',451,436,'admin/config/workflow/rules/components/manage/%/execute','admin/config/workflow/rules/components/manage/%/execute','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,451,0,0,0),('management',452,437,'admin/config/workflow/rules/reaction/manage/%/execute','admin/config/workflow/rules/reaction/manage/%/execute','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,452,0,0,0),('management',453,436,'admin/config/workflow/rules/components/manage/%/export','admin/config/workflow/rules/components/manage/%/export','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,453,0,0,0),('management',454,437,'admin/config/workflow/rules/reaction/manage/%/export','admin/config/workflow/rules/reaction/manage/%/export','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,454,0,0,0),('management',456,436,'admin/config/workflow/rules/components/manage/%/%','admin/config/workflow/rules/components/manage/%/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,456,0,0,0),('management',457,437,'admin/config/workflow/rules/reaction/manage/%/%','admin/config/workflow/rules/reaction/manage/%/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,457,0,0,0),('management',466,436,'admin/config/workflow/rules/components/manage/%/delete/event','admin/config/workflow/rules/components/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,466,0,0,0),('management',467,437,'admin/config/workflow/rules/reaction/manage/%/delete/event','admin/config/workflow/rules/reaction/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,467,0,0,0),('management',468,436,'admin/config/workflow/rules/components/manage/%/add/event','admin/config/workflow/rules/components/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,468,0,0,0),('management',469,437,'admin/config/workflow/rules/reaction/manage/%/add/event','admin/config/workflow/rules/reaction/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,469,0,0,0),('management',470,436,'admin/config/workflow/rules/components/manage/%/delete/%','admin/config/workflow/rules/components/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,470,0,0,0),('management',471,437,'admin/config/workflow/rules/reaction/manage/%/delete/%','admin/config/workflow/rules/reaction/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,471,0,0,0),('management',472,436,'admin/config/workflow/rules/components/manage/%/edit/%','admin/config/workflow/rules/components/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,472,0,0,0),('management',473,437,'admin/config/workflow/rules/reaction/manage/%/edit/%','admin/config/workflow/rules/reaction/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,473,0,0,0),('management',474,436,'admin/config/workflow/rules/components/manage/%/add/%','admin/config/workflow/rules/components/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,383,436,474,0,0,0),('management',475,437,'admin/config/workflow/rules/reaction/manage/%/add/%','admin/config/workflow/rules/reaction/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,63,370,394,437,475,0,0,0),('management',534,107,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,107,534,0,0,0,0,0),('main-menu',535,0,'blog','blog','Blog','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-48,1,1,535,0,0,0,0,0,0,0,0,0),('main-menu',536,0,'donation','donation','Donate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-46,1,1,536,0,0,0,0,0,0,0,0,0),('main-menu',537,0,'events','events','Event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,537,0,0,0,0,0,0,0,0,0),('main-menu',538,0,'contact','contact','Contact','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-44,1,1,538,0,0,0,0,0,0,0,0,0),('main-menu',540,0,'shop','shop','Shop','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-45,1,1,540,0,0,0,0,0,0,0,0,0),('navigation',542,0,'blog','blog','Blogs','a:0:{}','system',1,0,1,0,0,1,0,542,0,0,0,0,0,0,0,0,0),('navigation',543,542,'blog/%','blog/%','My blog','a:0:{}','system',0,0,0,0,0,2,0,542,543,0,0,0,0,0,0,0,0),('navigation',544,6,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,6,544,0,0,0,0,0,0,0,0),('management',545,161,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,545,0,0,0,0,0,0,0),('navigation',546,0,'cart','cart','Shopping cart','a:0:{}','system',0,0,0,0,0,1,0,546,0,0,0,0,0,0,0,0,0),('navigation',547,546,'cart/my','cart/my','Shopping cart (# items)','a:0:{}','system',1,0,0,0,0,2,0,546,547,0,0,0,0,0,0,0,0),('management',548,1,'admin/commerce','admin/commerce','Store','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Administer your store.\";}}','system',0,0,1,0,-7,2,0,1,548,0,0,0,0,0,0,0,0),('management',549,548,'admin/commerce/config','admin/commerce/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure settings and business rules for your store.\";}}','system',0,0,1,0,50,3,0,1,548,549,0,0,0,0,0,0,0),('navigation',550,6,'node/add/donation','node/add/donation','Donation','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Drupal Commerce donation product\";}}','system',0,0,0,0,0,2,0,6,550,0,0,0,0,0,0,0,0),('management',551,161,'admin/help/commerce_checkout','admin/help/commerce_checkout','commerce_checkout','a:0:{}','system',-1,0,0,0,0,3,0,1,161,551,0,0,0,0,0,0,0),('management',552,161,'admin/help/commerce_customer_ui','admin/help/commerce_customer_ui','commerce_customer_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,552,0,0,0,0,0,0,0),('management',553,161,'admin/help/commerce_line_item_ui','admin/help/commerce_line_item_ui','commerce_line_item_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,553,0,0,0,0,0,0,0),('management',554,161,'admin/help/commerce_order_ui','admin/help/commerce_order_ui','commerce_order_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,554,0,0,0,0,0,0,0),('management',555,161,'admin/help/commerce_payment_ui','admin/help/commerce_payment_ui','commerce_payment_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,555,0,0,0,0,0,0,0),('management',556,161,'admin/help/commerce_product_pricing_ui','admin/help/commerce_product_pricing_ui','commerce_product_pricing_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,556,0,0,0,0,0,0,0),('management',557,161,'admin/help/commerce_product_ui','admin/help/commerce_product_ui','commerce_product_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,557,0,0,0,0,0,0,0),('management',558,161,'admin/help/commerce_tax_ui','admin/help/commerce_tax_ui','commerce_tax_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,558,0,0,0,0,0,0,0),('management',559,548,'admin/commerce/customer-profiles','admin/commerce/customer-profiles','Customer profiles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:56:\"Manage customer profiles and profile types in the store.\";}}','system',0,0,1,0,0,3,0,1,548,559,0,0,0,0,0,0,0),('management',560,548,'admin/commerce/orders','admin/commerce/orders','Orders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Manage orders in the store.\";}}','system',0,0,1,0,0,3,0,1,548,560,0,0,0,0,0,0,0),('management',561,548,'admin/commerce/products','admin/commerce/products','Products','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Manage products and product types in the store.\";}}','system',0,0,1,0,0,3,0,1,548,561,0,0,0,0,0,0,0),('navigation',562,16,'user/%/orders','user/%/orders','Orders','a:0:{}','system',-1,0,1,0,15,2,0,16,562,0,0,0,0,0,0,0,0),('management',563,559,'admin/commerce/customer-profiles/%','admin/commerce/customer-profiles/%','','a:0:{}','system',0,0,0,0,0,4,0,1,548,559,563,0,0,0,0,0,0),('management',564,560,'admin/commerce/orders/%','admin/commerce/orders/%','','a:0:{}','system',0,0,0,0,0,4,0,1,548,560,564,0,0,0,0,0,0),('navigation',565,562,'user/%/orders/%','user/%/orders/%','','a:0:{}','system',0,0,0,0,0,3,0,16,562,565,0,0,0,0,0,0,0),('management',566,561,'admin/commerce/products/%','admin/commerce/products/%','','a:0:{}','system',0,0,0,0,0,4,0,1,548,561,566,0,0,0,0,0,0),('management',567,559,'admin/commerce/customer-profiles/add','admin/commerce/customer-profiles/add','Add a customer profile','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Add a new customer profile.\";}}','system',0,0,1,0,10,4,0,1,548,559,567,0,0,0,0,0,0),('management',568,561,'admin/commerce/products/add','admin/commerce/products/add','Add a product','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Add a new product for sale.\";}}','system',0,0,1,0,10,4,0,1,548,561,568,0,0,0,0,0,0),('management',569,549,'admin/commerce/config/checkout','admin/commerce/config/checkout','Checkout settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Customize the checkout form and configure checkout rules.\";}}','system',0,0,0,0,0,4,0,1,548,549,569,0,0,0,0,0,0),('management',570,560,'admin/commerce/orders/add','admin/commerce/orders/add','Create an order','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"Create a new order.\";}}','system',0,0,1,0,10,4,0,1,548,560,570,0,0,0,0,0,0),('management',571,549,'admin/commerce/config/currency','admin/commerce/config/currency','Currency settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Configure the default currency and display settings.\";}}','system',0,0,0,0,0,4,0,1,548,549,571,0,0,0,0,0,0),('management',572,549,'admin/commerce/config/line-items','admin/commerce/config/line-items','Line item types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Manage line item types for your store.\";}}','system',0,0,1,0,0,4,0,1,548,549,572,0,0,0,0,0,0),('management',573,549,'admin/commerce/config/order','admin/commerce/config/order','Order settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure general order settings, fields, and displays.\";}}','system',0,0,0,0,0,4,0,1,548,549,573,0,0,0,0,0,0),('management',574,549,'admin/commerce/config/payment-methods','admin/commerce/config/payment-methods','Payment methods','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:56:\"Enable and configure payment method rule configurations.\";}}','system',0,0,1,0,0,4,0,1,548,549,574,0,0,0,0,0,0),('management',575,549,'admin/commerce/config/product-pricing','admin/commerce/config/product-pricing','Product pricing rules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:63:\"Enable and configure product pricing rules and pre-calculation.\";}}','system',0,0,0,0,0,4,0,1,548,549,575,0,0,0,0,0,0),('management',576,561,'admin/commerce/products/types','admin/commerce/products/types','Product types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Manage products types for your store.\";}}','system',-1,0,1,0,0,4,0,1,548,561,576,0,0,0,0,0,0),('management',577,559,'admin/commerce/customer-profiles/types','admin/commerce/customer-profiles/types','Profile types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage customer profile types for your store.\";}}','system',-1,0,1,0,0,4,0,1,548,559,577,0,0,0,0,0,0),('management',578,549,'admin/commerce/config/taxes','admin/commerce/config/taxes','Taxes','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Manage tax rates and types.\";}}','system',0,0,0,0,0,4,0,1,548,549,578,0,0,0,0,0,0),('management',579,559,'admin/commerce/customer-profiles/list','admin/commerce/customer-profiles/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,548,559,579,0,0,0,0,0,0),('management',580,560,'admin/commerce/orders/list','admin/commerce/orders/list','Orders','a:0:{}','system',-1,0,0,0,-10,4,0,1,548,560,580,0,0,0,0,0,0),('management',581,560,'admin/commerce/orders/carts','admin/commerce/orders/carts','Shopping carts','a:0:{}','system',-1,0,0,0,0,4,0,1,548,560,581,0,0,0,0,0,0),('management',582,561,'admin/commerce/products/list','admin/commerce/products/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,548,561,582,0,0,0,0,0,0),('management',583,574,'admin/commerce/config/payment-methods/add','admin/commerce/config/payment-methods/add','Add a payment method rule','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Adds an additional payment method rule configuration.\";}}','system',0,0,0,0,0,5,0,1,548,549,574,583,0,0,0,0,0),('management',585,576,'admin/commerce/products/types/add','admin/commerce/products/types/add','Add product type','a:0:{}','system',-1,0,0,0,0,5,0,1,548,561,576,585,0,0,0,0,0),('management',586,577,'admin/commerce/customer-profiles/types/billing','admin/commerce/customer-profiles/types/billing','Billing information','a:0:{}','system',0,0,0,0,0,5,0,1,548,559,577,586,0,0,0,0,0),('management',587,569,'admin/commerce/config/checkout/form','admin/commerce/config/checkout/form','Checkout form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:70:\"Build your checkout pages using module defined checkout form elements.\";}}','system',-1,0,1,0,0,5,0,1,548,549,569,587,0,0,0,0,0),('management',588,569,'admin/commerce/config/checkout/rules','admin/commerce/config/checkout/rules','Checkout rules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Enable and configure checkout completion rules.\";}}','system',-1,0,0,0,5,5,0,1,548,549,569,588,0,0,0,0,0),('management',589,568,'admin/commerce/products/add/donation','admin/commerce/products/add/donation','Create !name','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Variable price product\";}}','system',0,0,0,0,0,5,0,1,548,561,568,589,0,0,0,0,0),('management',590,568,'admin/commerce/products/add/product','admin/commerce/products/add/product','Create !name','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"A basic product type.\";}}','system',0,0,0,0,0,5,0,1,548,561,568,590,0,0,0,0,0),('management',591,567,'admin/commerce/customer-profiles/add/billing','admin/commerce/customer-profiles/add/billing','Create @name','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:80:\"The profile used to collect billing information on the checkout and order forms.\";}}','system',0,0,0,0,0,5,0,1,548,559,567,591,0,0,0,0,0),('management',592,570,'admin/commerce/orders/add/%','admin/commerce/orders/add/%','Create an order','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Create a new order for the specified user.\";}}','system',0,0,0,0,0,5,0,1,548,560,570,592,0,0,0,0,0),('management',593,564,'admin/commerce/orders/%/delete','admin/commerce/orders/%/delete','Delete','a:0:{}','system',-1,0,0,0,20,5,0,1,548,560,564,593,0,0,0,0,0),('management',594,566,'admin/commerce/products/%/delete','admin/commerce/products/%/delete','Delete','a:0:{}','system',-1,0,0,0,20,5,0,1,548,561,566,594,0,0,0,0,0),('management',595,563,'admin/commerce/customer-profiles/%/delete','admin/commerce/customer-profiles/%/delete','Delete a customer profile','a:0:{}','system',-1,0,0,0,10,5,0,1,548,559,563,595,0,0,0,0,0),('management',596,572,'admin/commerce/config/line-items/commerce-donate','admin/commerce/config/line-items/commerce-donate','Donation','a:0:{}','system',0,0,0,0,0,5,0,1,548,549,572,596,0,0,0,0,0),('management',597,576,'admin/commerce/products/types/donation','admin/commerce/products/types/donation','Donation','a:0:{}','system',0,0,0,0,0,5,0,1,548,561,576,597,0,0,0,0,0),('management',598,563,'admin/commerce/customer-profiles/%/edit','admin/commerce/customer-profiles/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,548,559,563,598,0,0,0,0,0),('management',599,564,'admin/commerce/orders/%/edit','admin/commerce/orders/%/edit','Edit','a:0:{}','system',-1,0,0,0,-5,5,0,1,548,560,564,599,0,0,0,0,0),('management',600,566,'admin/commerce/products/%/edit','admin/commerce/products/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,548,561,566,600,0,0,0,0,0),('management',601,575,'admin/commerce/config/product-pricing/rules','admin/commerce/config/product-pricing/rules','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Administer the rules used for calculating product sell prices.\";}}','system',-1,0,1,0,0,5,0,1,548,549,575,601,0,0,0,0,0),('management',604,575,'admin/commerce/config/product-pricing/pre-calculation','admin/commerce/config/product-pricing/pre-calculation','Pre-calculation','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Configure the price pre-calculation settings.\";}}','system',-1,0,0,0,5,5,0,1,548,549,575,604,0,0,0,0,0),('management',605,578,'admin/commerce/config/taxes/rates','admin/commerce/config/taxes/rates','Tax rates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Manage tax rates.\";}}','system',-1,0,0,0,0,5,0,1,548,549,578,605,0,0,0,0,0),('management',606,578,'admin/commerce/config/taxes/types','admin/commerce/config/taxes/types','Tax types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Manage tax types.\";}}','system',-1,0,1,0,5,5,0,1,548,549,578,606,0,0,0,0,0),('management',607,564,'admin/commerce/orders/%/payment','admin/commerce/orders/%/payment','Payment','a:0:{}','system',-1,0,1,0,10,5,0,1,548,560,564,607,0,0,0,0,0),('management',608,572,'admin/commerce/config/line-items/product','admin/commerce/config/line-items/product','Product','a:0:{}','system',0,0,0,0,0,5,0,1,548,549,572,608,0,0,0,0,0),('management',609,576,'admin/commerce/products/types/product','admin/commerce/products/types/product','Product','a:0:{}','system',0,0,0,0,0,5,0,1,548,561,576,609,0,0,0,0,0),('management',610,573,'admin/commerce/config/order/settings','admin/commerce/config/order/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,548,549,573,610,0,0,0,0,0),('management',611,564,'admin/commerce/orders/%/view','admin/commerce/orders/%/view','View','a:0:{}','system',-1,0,0,0,-10,5,0,1,548,560,564,611,0,0,0,0,0),('management',612,564,'admin/commerce/orders/%/revisions','admin/commerce/orders/%/revisions','Revisions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"View revisions of this order.\";}}','system',-1,0,0,0,20,5,0,1,548,560,564,612,0,0,0,0,0),('management',613,566,'admin/commerce/products/%/revisions','admin/commerce/products/%/revisions','Revisions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"View revisions of this product.\";}}','system',-1,0,0,0,0,5,0,1,548,561,566,613,0,0,0,0,0),('management',614,607,'admin/commerce/orders/%/payment/%','admin/commerce/orders/%/payment/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,560,564,607,614,0,0,0,0),('management',615,606,'admin/commerce/config/taxes/types/sales-tax','admin/commerce/config/taxes/types/sales-tax','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Edit a tax type.\";}}','system',0,0,0,0,0,6,0,1,548,549,578,606,615,0,0,0,0),('management',616,606,'admin/commerce/config/taxes/types/vat','admin/commerce/config/taxes/types/vat','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Edit a tax type.\";}}','system',0,0,0,0,0,6,0,1,548,549,578,606,616,0,0,0,0),('management',617,574,'admin/commerce/config/payment-methods/manage/%','admin/commerce/config/payment-methods/manage/%','','a:0:{}','system',-1,0,1,0,0,5,0,1,548,549,574,617,0,0,0,0,0),('management',618,588,'admin/commerce/config/checkout/rules/add','admin/commerce/config/checkout/rules/add','Add a checkout rule','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Adds an additional checkout completion rule configuration.\";}}','system',-1,0,0,0,0,6,0,1,548,549,569,588,618,0,0,0,0),('management',619,601,'admin/commerce/config/product-pricing/rules/add','admin/commerce/config/product-pricing/rules/add','Add a pricing rule','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:61:\"Adds an additional sell price calculation rule configuration.\";}}','system',0,0,0,0,0,6,0,1,548,549,575,601,619,0,0,0,0),('management',620,605,'admin/commerce/config/taxes/rates/add','admin/commerce/config/taxes/rates/add','Add a tax rate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Create a new tax rate.\";}}','system',-1,0,0,0,0,6,0,1,548,549,578,605,620,0,0,0,0),('management',621,606,'admin/commerce/config/taxes/types/add','admin/commerce/config/taxes/types/add','Add a tax type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Create a new tax type.\";}}','system',-1,0,0,0,0,6,0,1,548,549,578,606,621,0,0,0,0),('management',623,599,'admin/commerce/orders/%/edit/refresh','admin/commerce/orders/%/edit/refresh','Apply pricing rules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Executes the cart order refresh used to apply all current pricing rules on the front end.\";}}','system',-1,0,0,0,0,6,0,1,548,560,564,599,623,0,0,0,0),('management',626,609,'admin/commerce/products/types/product/delete','admin/commerce/products/types/product/delete','Delete','a:0:{}','system',-1,0,0,0,10,6,0,1,548,561,576,609,626,0,0,0,0),('management',627,609,'admin/commerce/products/types/product/edit','admin/commerce/products/types/product/edit','Edit','a:0:{}','system',-1,0,0,0,0,6,0,1,548,561,576,609,627,0,0,0,0),('management',628,586,'admin/commerce/customer-profiles/types/billing/display','admin/commerce/customer-profiles/types/billing/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,559,577,586,628,0,0,0,0),('management',629,596,'admin/commerce/config/line-items/commerce-donate/display','admin/commerce/config/line-items/commerce-donate/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,549,572,596,629,0,0,0,0),('management',630,608,'admin/commerce/config/line-items/product/display','admin/commerce/config/line-items/product/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,549,572,608,630,0,0,0,0),('management',631,597,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,561,576,597,631,0,0,0,0),('management',632,609,'admin/commerce/products/types/product/display','admin/commerce/products/types/product/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,561,576,609,632,0,0,0,0),('management',633,586,'admin/commerce/customer-profiles/types/billing/fields','admin/commerce/customer-profiles/types/billing/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,559,577,586,633,0,0,0,0),('management',634,596,'admin/commerce/config/line-items/commerce-donate/fields','admin/commerce/config/line-items/commerce-donate/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,549,572,596,634,0,0,0,0),('management',635,608,'admin/commerce/config/line-items/product/fields','admin/commerce/config/line-items/product/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,549,572,608,635,0,0,0,0),('management',636,597,'admin/commerce/products/types/donation/fields','admin/commerce/products/types/donation/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,561,576,597,636,0,0,0,0),('management',637,609,'admin/commerce/products/types/product/fields','admin/commerce/products/types/product/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,561,576,609,637,0,0,0,0),('management',638,599,'admin/commerce/orders/%/edit/checkout','admin/commerce/orders/%/edit/checkout','Simulate checkout completion','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Directly invokes the checkout completion rules on the order.\";}}','system',-1,0,0,0,0,6,0,1,548,560,564,599,638,0,0,0,0),('management',641,587,'admin/commerce/config/checkout/form/pane/%','admin/commerce/config/checkout/form/pane/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Configure the settings for a checkout pane.\";}}','system',0,0,0,0,0,6,0,1,548,549,569,587,641,0,0,0,0),('management',642,617,'admin/commerce/config/payment-methods/manage/%/clone','admin/commerce/config/payment-methods/manage/%/clone','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,642,0,0,0,0),('management',643,588,'admin/commerce/config/checkout/rules/manage/%','admin/commerce/config/checkout/rules/manage/%','','a:0:{}','system',-1,0,1,0,0,6,0,1,548,549,569,588,643,0,0,0,0),('management',644,601,'admin/commerce/config/product-pricing/rules/manage/%','admin/commerce/config/product-pricing/rules/manage/%','','a:0:{}','system',-1,0,1,0,0,6,0,1,548,549,575,601,644,0,0,0,0),('management',645,617,'admin/commerce/config/payment-methods/manage/%/execute','admin/commerce/config/payment-methods/manage/%/execute','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,645,0,0,0,0),('management',646,617,'admin/commerce/config/payment-methods/manage/%/export','admin/commerce/config/payment-methods/manage/%/export','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,646,0,0,0,0),('management',654,615,'admin/commerce/config/taxes/types/sales-tax/rule','admin/commerce/config/taxes/types/sales-tax/rule','Configure rule','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:72:\"Add conditions to the rule used to apply taxes of this type to products.\";}}','system',-1,0,0,0,5,7,0,1,548,549,578,606,615,654,0,0,0),('management',655,616,'admin/commerce/config/taxes/types/vat/rule','admin/commerce/config/taxes/types/vat/rule','Configure rule','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:72:\"Add conditions to the rule used to apply taxes of this type to products.\";}}','system',-1,0,0,0,5,7,0,1,548,549,578,606,616,655,0,0,0),('management',662,614,'admin/commerce/orders/%/payment/%/delete','admin/commerce/orders/%/payment/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,548,560,564,607,614,662,0,0,0),('management',663,615,'admin/commerce/config/taxes/types/sales-tax/delete','admin/commerce/config/taxes/types/sales-tax/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,548,549,578,606,615,663,0,0,0),('management',664,616,'admin/commerce/config/taxes/types/vat/delete','admin/commerce/config/taxes/types/vat/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,548,549,578,606,616,664,0,0,0),('management',667,615,'admin/commerce/config/taxes/types/sales-tax/edit','admin/commerce/config/taxes/types/sales-tax/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,578,606,615,667,0,0,0),('management',668,616,'admin/commerce/config/taxes/types/vat/edit','admin/commerce/config/taxes/types/vat/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,578,606,616,668,0,0,0),('management',681,617,'admin/commerce/config/payment-methods/manage/%/%','admin/commerce/config/payment-methods/manage/%/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,681,0,0,0,0),('management',689,614,'admin/commerce/orders/%/payment/%/view','admin/commerce/orders/%/payment/%/view','View','a:0:{}','system',-1,0,0,0,0,7,0,1,548,560,564,607,614,689,0,0,0),('management',699,643,'admin/commerce/config/checkout/rules/manage/%/clone','admin/commerce/config/checkout/rules/manage/%/clone','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,699,0,0,0),('management',700,644,'admin/commerce/config/product-pricing/rules/manage/%/clone','admin/commerce/config/product-pricing/rules/manage/%/clone','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,700,0,0,0),('management',701,643,'admin/commerce/config/checkout/rules/manage/%/execute','admin/commerce/config/checkout/rules/manage/%/execute','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,701,0,0,0),('management',702,644,'admin/commerce/config/product-pricing/rules/manage/%/execute','admin/commerce/config/product-pricing/rules/manage/%/execute','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,702,0,0,0),('management',703,643,'admin/commerce/config/checkout/rules/manage/%/export','admin/commerce/config/checkout/rules/manage/%/export','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,703,0,0,0),('management',704,644,'admin/commerce/config/product-pricing/rules/manage/%/export','admin/commerce/config/product-pricing/rules/manage/%/export','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,704,0,0,0),('management',705,643,'admin/commerce/config/checkout/rules/manage/%/%','admin/commerce/config/checkout/rules/manage/%/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,705,0,0,0),('management',706,644,'admin/commerce/config/product-pricing/rules/manage/%/%','admin/commerce/config/product-pricing/rules/manage/%/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,706,0,0,0),('management',707,617,'admin/commerce/config/payment-methods/manage/%/delete/event','admin/commerce/config/payment-methods/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,6,0,1,548,549,574,617,707,0,0,0,0),('management',708,617,'admin/commerce/config/payment-methods/manage/%/add/event','admin/commerce/config/payment-methods/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,708,0,0,0,0),('management',709,617,'admin/commerce/config/payment-methods/manage/%/delete/%','admin/commerce/config/payment-methods/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,709,0,0,0,0),('management',710,617,'admin/commerce/config/payment-methods/manage/%/edit/%','admin/commerce/config/payment-methods/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,710,0,0,0,0),('management',711,617,'admin/commerce/config/payment-methods/manage/%/add/%','admin/commerce/config/payment-methods/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,574,617,711,0,0,0,0),('management',732,643,'admin/commerce/config/checkout/rules/manage/%/delete/event','admin/commerce/config/checkout/rules/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,732,0,0,0),('management',733,644,'admin/commerce/config/product-pricing/rules/manage/%/delete/event','admin/commerce/config/product-pricing/rules/manage/%/delete/event','Remove event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Remove an event from a reaction rule.\";}}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,733,0,0,0),('management',734,643,'admin/commerce/config/checkout/rules/manage/%/add/event','admin/commerce/config/checkout/rules/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,734,0,0,0),('management',735,644,'admin/commerce/config/product-pricing/rules/manage/%/add/event','admin/commerce/config/product-pricing/rules/manage/%/add/event','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,735,0,0,0),('management',736,643,'admin/commerce/config/checkout/rules/manage/%/delete/%','admin/commerce/config/checkout/rules/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,736,0,0,0),('management',737,644,'admin/commerce/config/product-pricing/rules/manage/%/delete/%','admin/commerce/config/product-pricing/rules/manage/%/delete/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,737,0,0,0),('management',738,643,'admin/commerce/config/checkout/rules/manage/%/edit/%','admin/commerce/config/checkout/rules/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,738,0,0,0),('management',739,644,'admin/commerce/config/product-pricing/rules/manage/%/edit/%','admin/commerce/config/product-pricing/rules/manage/%/edit/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,739,0,0,0),('management',740,643,'admin/commerce/config/checkout/rules/manage/%/add/%','admin/commerce/config/checkout/rules/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,569,588,643,740,0,0,0),('management',741,644,'admin/commerce/config/product-pricing/rules/manage/%/add/%','admin/commerce/config/product-pricing/rules/manage/%/add/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,575,601,644,741,0,0,0),('navigation',742,6,'node/add/event','node/add/event','Event','a:0:{}','system',0,0,0,0,0,2,0,6,742,0,0,0,0,0,0,0,0),('management',743,568,'admin/commerce/products/add/commerce-event','admin/commerce/products/add/commerce-event','Create !name','a:0:{}','system',0,0,0,0,0,5,0,1,548,561,568,743,0,0,0,0,0),('management',744,576,'admin/commerce/products/types/commerce-event','admin/commerce/products/types/commerce-event','Event','a:0:{}','system',0,0,0,0,0,5,0,1,548,561,576,744,0,0,0,0,0),('management',745,744,'admin/commerce/products/types/commerce-event/delete','admin/commerce/products/types/commerce-event/delete','Delete','a:0:{}','system',-1,0,0,0,10,6,0,1,548,561,576,744,745,0,0,0,0),('management',746,744,'admin/commerce/products/types/commerce-event/edit','admin/commerce/products/types/commerce-event/edit','Edit','a:0:{}','system',-1,0,0,0,0,6,0,1,548,561,576,744,746,0,0,0,0),('management',747,744,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,548,561,576,744,747,0,0,0,0),('management',748,744,'admin/commerce/products/types/commerce-event/fields','admin/commerce/products/types/commerce-event/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,548,561,576,744,748,0,0,0,0),('navigation',779,6,'node/add/gallery','node/add/gallery','Gallery','a:0:{}','system',0,0,0,0,0,2,0,6,779,0,0,0,0,0,0,0,0),('navigation',780,6,'node/add/sponsor','node/add/sponsor','Sponsor','a:0:{}','system',0,0,0,0,0,2,0,6,780,0,0,0,0,0,0,0,0),('management',781,161,'admin/help/title','admin/help/title','title','a:0:{}','system',-1,0,0,0,0,3,0,1,161,781,0,0,0,0,0,0,0),('management',782,34,'admin/config/content/title','admin/config/content/title','Title settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Settings for the Title module.\";}}','system',0,0,0,0,0,4,0,1,8,34,782,0,0,0,0,0,0),('management',783,66,'admin/structure/taxonomy/%/fields/replace/%','admin/structure/taxonomy/%/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,5,0,1,20,55,66,783,0,0,0,0,0),('management',784,748,'admin/commerce/products/types/commerce-event/fields/replace/%','admin/commerce/products/types/commerce-event/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,744,748,784,0,0,0),('management',785,636,'admin/commerce/products/types/donation/fields/replace/%','admin/commerce/products/types/donation/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,597,636,785,0,0,0),('management',786,637,'admin/commerce/products/types/product/fields/replace/%','admin/commerce/products/types/product/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,609,637,786,0,0,0),('management',787,111,'admin/structure/types/manage/%/fields/replace/%','admin/structure/types/manage/%/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,5,0,1,20,35,111,787,0,0,0,0,0),('management',788,148,'admin/structure/types/manage/%/comment/fields/replace/%','admin/structure/types/manage/%/comment/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,111,148,788,0,0,0,0),('navigation',789,6,'node/add/product','node/add/product','Product','a:0:{}','system',0,0,0,0,0,2,0,6,789,0,0,0,0,0,0,0,0),('management',790,161,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,161,790,0,0,0,0,0,0,0),('navigation',791,5,'node/%/simplenews','node/%/simplenews','Newsletter','a:0:{}','system',-1,0,0,0,2,2,0,5,791,0,0,0,0,0,0,0,0),('management',792,17,'admin/people/simplenews','admin/people/simplenews','Newsletter subscriptions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Newsletter subscription management.\";}}','system',-1,0,1,0,0,3,0,1,17,792,0,0,0,0,0,0,0),('management',793,9,'admin/content/simplenews','admin/content/simplenews','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"List newsletters and newsletter sent status.\";}}','system',-1,0,0,0,0,3,0,1,9,793,0,0,0,0,0,0,0),('management',794,161,'admin/help/simplenews','admin/help/simplenews','simplenews','a:0:{}','system',-1,0,0,0,0,3,0,1,161,794,0,0,0,0,0,0,0),('management',795,792,'admin/people/simplenews/export','admin/people/simplenews/export','Export','a:0:{}','system',-1,0,0,0,10,4,0,1,17,792,795,0,0,0,0,0,0),('management',796,792,'admin/people/simplenews/import','admin/people/simplenews/import','Mass subscribe','a:0:{}','system',-1,0,0,0,8,4,0,1,17,792,796,0,0,0,0,0,0),('management',797,792,'admin/people/simplenews/unsubscribe','admin/people/simplenews/unsubscribe','Mass unsubscribe','a:0:{}','system',-1,0,0,0,9,4,0,1,17,792,797,0,0,0,0,0,0),('management',798,62,'admin/config/services/simplenews','admin/config/services/simplenews','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Configure your sites newsletters.\";}}','system',0,0,0,0,0,4,0,1,8,62,798,0,0,0,0,0,0),('navigation',799,39,'user/%/edit/simplenews','user/%/edit/simplenews','','a:0:{}','system',-1,0,0,0,10,3,0,16,39,799,0,0,0,0,0,0,0),('management',800,798,'admin/config/services/simplenews/add','admin/config/services/simplenews/add','Add newsletter category','a:0:{}','system',-1,0,0,0,-9,5,0,1,8,62,798,800,0,0,0,0,0),('management',801,798,'admin/config/services/simplenews/categories','admin/config/services/simplenews/categories','Newsletters','a:0:{}','system',-1,0,1,0,0,5,0,1,8,62,798,801,0,0,0,0,0),('management',802,798,'admin/config/services/simplenews/settings','admin/config/services/simplenews/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Simplenews settings.\";}}','system',-1,0,0,0,20,5,0,1,8,62,798,802,0,0,0,0,0),('management',803,802,'admin/config/services/simplenews/settings/newsletter','admin/config/services/simplenews/settings/newsletter','Newsletter','a:0:{}','system',-1,0,0,0,-15,6,0,1,8,62,798,802,803,0,0,0,0),('management',804,802,'admin/config/services/simplenews/settings/mail','admin/config/services/simplenews/settings/mail','Send mail','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Send mail, cron and debug options.\";}}','system',-1,0,0,0,-5,6,0,1,8,62,798,802,804,0,0,0,0),('management',805,802,'admin/config/services/simplenews/settings/subscription','admin/config/services/simplenews/settings/subscription','Subscription','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Subscription settings, opt-in/out confirmation email text.\";}}','system',-1,0,0,0,-10,6,0,1,8,62,798,802,805,0,0,0,0),('management',806,792,'admin/people/simplenews/users/edit/%','admin/people/simplenews/users/edit/%','Subscriptions','a:0:{}','system',0,0,0,0,0,4,0,1,17,792,806,0,0,0,0,0,0),('management',810,801,'admin/config/services/simplenews/categories/%/delete','admin/config/services/simplenews/categories/%/delete','Newsletters','a:0:{}','system',0,0,0,0,0,6,0,1,8,62,798,801,810,0,0,0,0),('management',811,801,'admin/config/services/simplenews/categories/%/edit','admin/config/services/simplenews/categories/%/edit','Newsletters','a:0:{}','system',0,0,0,0,0,6,0,1,8,62,798,801,811,0,0,0,0),('navigation',821,6,'node/add/simplenews','node/add/simplenews','Simplenews newsletter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"A newsletter issue to be sent to subscribed email addresses.\";}}','system',0,0,0,0,0,2,0,6,821,0,0,0,0,0,0,0,0),('management',822,161,'admin/help/sharethis','admin/help/sharethis','sharethis','a:0:{}','system',-1,0,0,0,0,3,0,1,161,822,0,0,0,0,0,0,0),('management',823,62,'admin/config/services/sharethis','admin/config/services/sharethis','ShareThis','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:91:\"Choose the widget, button family, and services for using ShareThis to share content online.\";}}','system',0,0,0,0,0,4,0,1,8,62,823,0,0,0,0,0,0),('navigation',824,6,'node/add/ads','node/add/ads','Ads','a:0:{}','system',0,0,0,0,0,2,0,6,824,0,0,0,0,0,0,0,0),('main-menu',825,535,'blog-sidebar','blog-sidebar','Blog With Sidebar','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,2,1,535,825,0,0,0,0,0,0,0,0),('main-menu',826,535,'blog-1-col','blog-1-col','Blog Full Width','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-49,2,1,535,826,0,0,0,0,0,0,0,0),('main-menu',827,535,'blog-grid','blog-grid','Blog Grid','a:0:{}','system',0,0,0,0,-47,2,1,535,827,0,0,0,0,0,0,0,0),('navigation',828,0,'blog-full-width','blog-full-width','','a:0:{}','system',-1,0,0,0,0,1,0,828,0,0,0,0,0,0,0,0,0),('main-menu',829,535,'blog-full-width','blog-full-width','Blog Full Width','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,2,1,535,829,0,0,0,0,0,0,0,0),('main-menu',830,540,'shop-sidebar','shop-sidebar','Shop with sidebar','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,2,1,540,830,0,0,0,0,0,0,0,0),('shortcut-set-1',832,0,'admin/content/blocks','admin/content','Blocks','a:0:{}','menu',0,0,0,0,-18,1,0,832,0,0,0,0,0,0,0,0,0),('navigation',833,0,'block/add','block/add','Add Block','a:0:{}','system',0,0,1,0,0,1,0,833,0,0,0,0,0,0,0,0,0),('navigation',834,0,'block/%','block/%','Block','a:0:{}','system',0,0,0,0,0,1,0,834,0,0,0,0,0,0,0,0,0),('navigation',835,834,'block/%/delete','block/%/delete','Delete Block','a:0:{}','system',-1,0,0,0,1,2,0,834,835,0,0,0,0,0,0,0,0),('navigation',836,834,'block/%/devel','block/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,834,836,0,0,0,0,0,0,0,0),('navigation',837,834,'block/%/edit','block/%/edit','Edit Block','a:0:{}','system',-1,0,0,0,0,2,0,834,837,0,0,0,0,0,0,0,0),('navigation',838,834,'block/%/revisions','block/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,0,2,0,834,838,0,0,0,0,0,0,0,0),('navigation',839,834,'block/%/view','block/%/view','View','a:0:{}','system',-1,0,0,0,-20,2,0,834,839,0,0,0,0,0,0,0,0),('management',840,20,'admin/structure/block-types','admin/structure/block-types','Block types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Manage block types, including fields, settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,840,0,0,0,0,0,0,0),('management',841,9,'admin/content/blocks','admin/content/blocks','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Manage blocks used on your site.\";}}','system',0,0,0,0,0,3,0,1,9,841,0,0,0,0,0,0,0),('navigation',842,836,'block/%/devel/load','block/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,834,836,842,0,0,0,0,0,0,0),('navigation',843,836,'block/%/devel/render','block/%/devel/render','Render','a:0:{}','system',-1,0,0,0,100,3,0,834,836,843,0,0,0,0,0,0,0),('navigation',844,838,'block/%/revisions/%','block/%/revisions/%','','a:0:{}','system',0,0,0,0,0,3,0,834,838,844,0,0,0,0,0,0,0),('management',845,840,'admin/structure/block-types/add','admin/structure/block-types/add','Add block type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,840,845,0,0,0,0,0,0),('management',846,840,'admin/structure/block-types/list','admin/structure/block-types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,840,846,0,0,0,0,0,0),('navigation',847,844,'block/%/revisions/%/delete','block/%/revisions/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,4,0,834,838,844,847,0,0,0,0,0,0),('navigation',848,844,'block/%/revisions/%/edit','block/%/revisions/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,4,0,834,838,844,848,0,0,0,0,0,0),('management',849,840,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit block type','a:0:{}','system',0,0,1,0,0,4,0,1,20,840,849,0,0,0,0,0,0),('navigation',850,844,'block/%/revisions/%/set-active','block/%/revisions/%/set-active','Set active','a:0:{}','system',-1,0,0,0,0,4,0,834,838,844,850,0,0,0,0,0,0),('navigation',851,844,'block/%/revisions/%/view','block/%/revisions/%/view','View','a:0:{}','system',-1,0,0,0,-10,4,0,834,838,844,851,0,0,0,0,0,0),('management',852,849,'admin/structure/block-types/manage/%/delete','admin/structure/block-types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,840,849,852,0,0,0,0,0),('management',853,849,'admin/structure/block-types/manage/%/revert','admin/structure/block-types/manage/%/revert','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,840,849,853,0,0,0,0,0),('management',854,849,'admin/structure/block-types/manage/%/edit','admin/structure/block-types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,840,849,854,0,0,0,0,0),('navigation',879,833,'block/add/bean-statistic','block/add/bean-statistic','Statistic','a:0:{}','system',0,0,0,0,0,2,0,833,879,0,0,0,0,0,0,0,0),('management',885,849,'admin/structure/block-types/manage/%/fields/replace/%','admin/structure/block-types/manage/%/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,5,0,1,20,840,849,885,0,0,0,0,0),('navigation',890,0,'field-collection/field-content/%','field-collection/field-content/%','','a:0:{}','system',0,0,1,0,0,1,0,890,0,0,0,0,0,0,0,0,0),('navigation',891,890,'field-collection/field-content/%/delete','field-collection/field-content/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,2,0,890,891,0,0,0,0,0,0,0,0),('navigation',892,890,'field-collection/field-content/%/edit','field-collection/field-content/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,890,892,0,0,0,0,0,0,0,0),('navigation',893,890,'field-collection/field-content/%/view','field-collection/field-content/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,890,893,0,0,0,0,0,0,0,0),('navigation',895,0,'field-collection/field-content/add/%/%','field-collection/field-content/add/%/%','','a:0:{}','system',0,0,0,0,0,1,0,895,0,0,0,0,0,0,0,0,0),('navigation',896,890,'field-collection/field-content/%/revisions/%','field-collection/field-content/%/revisions/%','','a:0:{}','system',0,0,0,0,0,2,0,890,896,0,0,0,0,0,0,0,0),('navigation',913,0,'contact','contact','Contact','a:0:{}','system',1,0,0,0,0,1,0,913,0,0,0,0,0,0,0,0,0),('navigation',914,16,'user/%/contact','user/%/contact','Contact','a:0:{}','system',-1,0,0,0,2,2,0,16,914,0,0,0,0,0,0,0,0),('management',915,20,'admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:71:\"Create a system contact form and set up categories for the form to use.\";}}','system',0,0,1,0,0,3,0,1,20,915,0,0,0,0,0,0,0),('management',916,161,'admin/help/contact','admin/help/contact','contact','a:0:{}','system',-1,0,0,0,0,3,0,1,161,916,0,0,0,0,0,0,0),('management',917,915,'admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system',-1,0,0,0,1,4,0,1,20,915,917,0,0,0,0,0,0),('management',918,915,'admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system',0,0,0,0,0,4,0,1,20,915,918,0,0,0,0,0,0),('management',919,915,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system',0,0,0,0,0,4,0,1,20,915,919,0,0,0,0,0,0),('main-menu',920,0,'about','about','About','a:0:{}','system',0,0,0,0,-44,1,1,920,0,0,0,0,0,0,0,0,0),('navigation',921,6,'node/add/testimonial','node/add/testimonial','Testimonial','a:0:{}','system',0,0,0,0,0,2,0,6,921,0,0,0,0,0,0,0,0),('navigation',922,5,'node/%/webform-results','node/%/webform-results','Results','a:0:{}','system',-1,0,0,0,2,2,0,5,922,0,0,0,0,0,0,0,0),('navigation',923,6,'node/add/webform','node/add/webform','Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:138:\"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.\";}}','system',0,0,0,0,0,2,0,6,923,0,0,0,0,0,0,0,0),('navigation',924,5,'node/%/webform','node/%/webform','Webform','a:0:{}','system',-1,0,0,0,1,2,0,5,924,0,0,0,0,0,0,0,0),('management',925,9,'admin/content/webform','admin/content/webform','Webforms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"View and edit all the available webforms on your site.\";}}','system',-1,0,0,0,0,3,0,1,9,925,0,0,0,0,0,0,0),('management',926,161,'admin/help/webform','admin/help/webform','webform','a:0:{}','system',-1,0,0,0,0,3,0,1,161,926,0,0,0,0,0,0,0),('navigation',927,922,'node/%/webform-results/analysis','node/%/webform-results/analysis','Analysis','a:0:{}','system',-1,0,0,0,5,3,0,5,922,927,0,0,0,0,0,0,0),('navigation',928,922,'node/%/webform-results/clear','node/%/webform-results/clear','Clear','a:0:{}','system',-1,0,0,0,8,3,0,5,922,928,0,0,0,0,0,0,0),('navigation',929,922,'node/%/webform-results/download','node/%/webform-results/download','Download','a:0:{}','system',-1,0,0,0,7,3,0,5,922,929,0,0,0,0,0,0,0),('navigation',930,924,'node/%/webform/emails','node/%/webform/emails','E-mails','a:0:{}','system',-1,0,0,0,4,3,0,5,924,930,0,0,0,0,0,0,0),('navigation',931,924,'node/%/webform/components','node/%/webform/components','Form components','a:0:{}','system',-1,0,0,0,0,3,0,5,924,931,0,0,0,0,0,0,0),('navigation',932,924,'node/%/webform/configure','node/%/webform/configure','Form settings','a:0:{}','system',-1,0,0,0,5,3,0,5,924,932,0,0,0,0,0,0,0),('navigation',933,922,'node/%/webform-results/submissions','node/%/webform-results/submissions','Submissions','a:0:{}','system',-1,0,0,0,4,3,0,5,922,933,0,0,0,0,0,0,0),('navigation',934,922,'node/%/webform-results/table','node/%/webform-results/table','Table','a:0:{}','system',-1,0,0,0,6,3,0,5,922,934,0,0,0,0,0,0,0),('management',935,34,'admin/config/content/webform','admin/config/content/webform','Webform settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Global configuration of webform functionality.\";}}','system',0,0,0,0,0,4,0,1,8,34,935,0,0,0,0,0,0),('navigation',936,5,'node/%/submission/%/delete','node/%/submission/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,5,936,0,0,0,0,0,0,0,0),('navigation',937,5,'node/%/submission/%/edit','node/%/submission/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,2,0,5,937,0,0,0,0,0,0,0,0),('navigation',938,930,'node/%/webform/emails/%','node/%/webform/emails/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,924,930,938,0,0,0,0,0,0),('navigation',939,931,'node/%/webform/components/%','node/%/webform/components/%','','a:0:{}','system',-1,0,0,0,0,4,0,5,924,931,939,0,0,0,0,0,0),('navigation',940,5,'node/%/submission/%/view','node/%/submission/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,5,940,0,0,0,0,0,0,0,0),('navigation',941,939,'node/%/webform/components/%/clone','node/%/webform/components/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,924,931,939,941,0,0,0,0,0),('navigation',942,938,'node/%/webform/emails/%/delete','node/%/webform/emails/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,924,930,938,942,0,0,0,0,0),('navigation',943,939,'node/%/webform/components/%/delete','node/%/webform/components/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,5,924,931,939,943,0,0,0,0,0),('main-menu',944,945,'node/60','node/%','Event Full Width','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-49,2,1,945,944,0,0,0,0,0,0,0,0),('main-menu',945,0,'event','event','Event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-47,1,1,945,0,0,0,0,0,0,0,0,0),('main-menu',947,538,'node/62','node/%','Contact Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-49,2,1,538,947,0,0,0,0,0,0,0,0),('main-menu',948,535,'blog','blog','Blog Default','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,2,1,535,948,0,0,0,0,0,0,0,0),('main-menu',949,945,'event','event','Event','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,2,1,945,949,0,0,0,0,0,0,0,0),('main-menu',950,540,'shop','shop','Shop','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,2,1,540,950,0,0,0,0,0,0,0,0),('navigation',951,833,'block/add/bean-about','block/add/bean-about','About','a:0:{}','system',0,0,0,0,0,2,0,833,951,0,0,0,0,0,0,0,0),('main-menu',952,0,'node/63','node/%','About','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-49,1,1,952,0,0,0,0,0,0,0,0,0),('navigation',953,0,'field-collection/field-bean-content/%','field-collection/field-bean-content/%','','a:0:{}','system',0,0,1,0,0,1,0,953,0,0,0,0,0,0,0,0,0),('navigation',954,953,'field-collection/field-bean-content/%/delete','field-collection/field-bean-content/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,2,0,953,954,0,0,0,0,0,0,0,0),('navigation',955,953,'field-collection/field-bean-content/%/edit','field-collection/field-bean-content/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,953,955,0,0,0,0,0,0,0,0),('navigation',956,953,'field-collection/field-bean-content/%/view','field-collection/field-bean-content/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,953,956,0,0,0,0,0,0,0,0),('navigation',957,0,'field-collection/field-bean-content/add/%/%','field-collection/field-bean-content/add/%/%','','a:0:{}','system',0,0,0,0,0,1,0,957,0,0,0,0,0,0,0,0,0),('navigation',958,953,'field-collection/field-bean-content/%/revisions/%','field-collection/field-bean-content/%/revisions/%','','a:0:{}','system',0,0,0,0,0,2,0,953,958,0,0,0,0,0,0,0,0),('main-menu',967,221,'home-3','home-3','Homepage 3','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,0,2,1,221,967,0,0,0,0,0,0,0,0),('main-menu',968,538,'contact','contact','Contact Default','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,1,-50,2,1,538,968,0,0,0,0,0,0,0,0),('main-menu',972,221,'home-2','home-2','Homepage 2','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,0,2,1,221,972,0,0,0,0,0,0,0,0),('management',973,20,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,1,20,973,0,0,0,0,0,0,0),('management',974,973,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,973,974,0,0,0,0,0,0),('management',975,973,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,973,975,0,0,0,0,0,0),('management',976,20,'admin/structure/banners','admin/structure/banners','Weebpal Banner','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Configure the Weebpal Banner.\";}}','system',0,0,1,0,0,3,0,1,20,976,0,0,0,0,0,0,0),('management',977,976,'admin/structure/banners/default','admin/structure/banners/default','Default Banner','a:0:{}','system',-1,0,0,0,0,4,0,1,20,976,977,0,0,0,0,0,0),('management',978,976,'admin/structure/banners/list','admin/structure/banners/list','List Banners','a:0:{}','system',0,0,0,0,-10,4,0,1,20,976,978,0,0,0,0,0,0),('management',979,976,'admin/structure/banners/settings','admin/structure/banners/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"A page for the weebpal banner settings\";}}','system',-1,0,0,0,0,4,0,1,20,976,979,0,0,0,0,0,0),('management',980,976,'admin/structure/banners/add/0','admin/structure/banners/add/0','Add Banner','a:0:{}','system',-1,0,0,0,0,4,0,1,20,976,980,0,0,0,0,0,0),('management',981,976,'admin/structure/banners/delete/%','admin/structure/banners/delete/%','Delete Banner','a:0:{}','system',0,0,0,0,0,4,0,1,20,976,981,0,0,0,0,0,0),('management',982,976,'admin/structure/banners/edit/%','admin/structure/banners/edit/%','Edit Banner','a:0:{}','system',0,0,0,0,0,4,0,1,20,976,982,0,0,0,0,0,0),('management',983,20,'admin/structure/megamenus','admin/structure/megamenus','Mega Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Mega Menus\";}}','system',0,0,0,0,0,3,0,1,20,983,0,0,0,0,0,0,0),('navigation',984,924,'node/%/webform/conditionals','node/%/webform/conditionals','Conditionals','a:0:{}','system',-1,0,0,0,1,3,0,5,924,984,0,0,0,0,0,0,0),('management',985,983,'admin/structure/megamenus/load_block','admin/structure/megamenus/load_block','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,983,985,0,0,0,0,0,0),('management',986,983,'admin/structure/megamenus/load_menu','admin/structure/megamenus/load_menu','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,983,986,0,0,0,0,0,0),('management',987,983,'admin/structure/megamenus/save_config','admin/structure/megamenus/save_config','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,983,987,0,0,0,0,0,0),('management',988,983,'admin/structure/megamenus/%/config','admin/structure/megamenus/%/config','Config Mega Menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,983,988,0,0,0,0,0,0),('navigation',989,927,'node/%/webform-results/analysis/%','node/%/webform-results/analysis/%','Analysis','a:0:{}','system',-1,0,0,0,0,4,0,5,922,927,989,0,0,0,0,0,0),('navigation',990,5,'node/%/submission/%/devel','node/%/submission/%/devel','Devel','a:0:{}','system',-1,0,0,0,100,2,0,5,990,0,0,0,0,0,0,0,0),('navigation',991,989,'node/%/webform-results/analysis/%/more','node/%/webform-results/analysis/%/more','In-depth analysis','a:0:{}','system',-1,0,0,0,0,5,0,5,922,927,989,991,0,0,0,0,0),('navigation',992,990,'node/%/submission/%/devel/load','node/%/submission/%/devel/load','Load','a:0:{}','system',-1,0,0,0,0,3,0,5,990,992,0,0,0,0,0,0,0),('navigation',993,990,'node/%/submission/%/devel/token','node/%/submission/%/devel/token','Tokens','a:0:{}','system',-1,0,0,0,5,3,0,5,990,993,0,0,0,0,0,0,0),('management',996,161,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,161,996,0,0,0,0,0,0,0),('management',997,49,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,8,49,997,0,0,0,0,0,0),('management',998,49,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,8,49,998,0,0,0,0,0,0),('management',999,997,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,8,49,997,999,0,0,0,0,0),('management',1000,997,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,997,1000,0,0,0,0,0),('management',1001,998,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,8,49,998,1001,0,0,0,0,0),('management',1002,998,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,8,49,998,1002,0,0,0,0,0),('management',1003,997,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,997,1003,0,0,0,0,0),('management',1004,76,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,8,49,76,1004,0,0,0,0,0),('management',1005,998,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,998,1005,0,0,0,0,0),('management',1006,998,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,998,1006,0,0,0,0,0),('management',1007,997,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,997,1007,0,0,0,0,0),('management',1008,998,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,998,1008,0,0,0,0,0),('management',1009,997,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,997,1009,0,0,0,0,0),('management',1010,998,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,998,1010,0,0,0,0,0),('management',1011,1000,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,997,1000,1011,0,0,0,0),('management',1012,1000,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,997,1000,1012,0,0,0,0),('management',1013,1004,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,8,49,76,1004,1013,0,0,0,0),('management',1014,1004,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,8,49,76,1004,1014,0,0,0,0),('management',1176,20,'admin/structure/context','admin/structure/context','Context','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Associate menus, views, blocks, etc. with different contexts to structure your site.\";}}','system',0,0,0,0,0,3,0,1,20,1176,0,0,0,0,0,0,0),('management',1177,161,'admin/help/context','admin/help/context','context','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1177,0,0,0,0,0,0,0),('management',1178,161,'admin/help/context_layouts','admin/help/context_layouts','context_layouts','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1178,0,0,0,0,0,0,0),('management',1179,161,'admin/help/context_ui','admin/help/context_ui','context_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1179,0,0,0,0,0,0,0),('management',1180,1176,'admin/structure/context/add','admin/structure/context/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,1176,1180,0,0,0,0,0,0),('management',1181,1176,'admin/structure/context/import','admin/structure/context/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,1176,1181,0,0,0,0,0,0),('management',1182,1176,'admin/structure/context/list','admin/structure/context/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,1176,1182,0,0,0,0,0,0),('management',1183,1176,'admin/structure/context/settings','admin/structure/context/settings','Settings','a:0:{}','system',-1,0,0,0,3,4,0,1,20,1176,1183,0,0,0,0,0,0),('management',1184,1182,'admin/structure/context/list/%/edit','admin/structure/context/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,1176,1182,1184,0,0,0,0,0),('management',1185,1182,'admin/structure/context/list/%/export','admin/structure/context/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,1176,1182,1185,0,0,0,0,0),('management',1186,34,'admin/config/content/exclude_node_title','admin/config/content/exclude_node_title','Exclude Node Title','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Exclude Node Title from display\";}}','system',0,0,0,0,0,4,0,1,8,34,1186,0,0,0,0,0,0),('management',1348,161,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1348,0,0,0,0,0,0,0),('management',1671,20,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,1,20,1671,0,0,0,0,0,0,0),('management',1672,1671,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,1,20,1671,1672,0,0,0,0,0,0),('management',1673,1671,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,1,20,1671,1673,0,0,0,0,0,0),('management',1674,1671,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,1,20,1671,1674,0,0,0,0,0,0),('management',1675,1671,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,1,20,1671,1675,0,0,0,0,0,0),('management',1676,52,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,1676,0,0,0,0,0,0),('management',1677,29,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,1677,0,0,0,0,0,0),('management',1678,1677,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,1677,1678,0,0,0,0,0),('navigation',1679,938,'node/%/webform/emails/%/clone','node/%/webform/emails/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,5,924,930,938,1679,0,0,0,0,0),('navigation',1680,4,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,4,1680,0,0,0,0,0,0,0,0),('management',1842,44,'admin/config/media/vef','admin/config/media/vef','Video Embed Field','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Video Embed Field configuration\";}}','system',0,0,1,0,0,4,0,1,8,44,1842,0,0,0,0,0,0),('management',1843,1842,'admin/config/media/vef/settings','admin/config/media/vef/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Video Embed Field module settings\";}}','system',0,0,0,0,0,5,0,1,8,44,1842,1843,0,0,0,0,0),('management',1844,1842,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Video Embed Styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Administer Video Embed Field\'s video styles.\";}}','system',0,0,0,0,0,5,0,1,8,44,1842,1844,0,0,0,0,0),('management',1845,1844,'admin/config/media/vef/vef_video_styles/add','admin/config/media/vef/vef_video_styles/add','Add','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,1842,1844,1845,0,0,0,0),('management',1846,1844,'admin/config/media/vef/vef_video_styles/import','admin/config/media/vef/vef_video_styles/import','Import','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,1842,1844,1846,0,0,0,0),('management',1847,1844,'admin/config/media/vef/vef_video_styles/list','admin/config/media/vef/vef_video_styles/list','List','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,44,1842,1844,1847,0,0,0,0),('management',1848,1847,'admin/config/media/vef/vef_video_styles/list/%/edit','admin/config/media/vef/vef_video_styles/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,1842,1844,1847,1848,0,0,0),('management',1849,1847,'admin/config/media/vef/vef_video_styles/list/%/export','admin/config/media/vef/vef_video_styles/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,1842,1844,1847,1849,0,0,0),('management',1850,18,'admin/reports/libraries','admin/reports/libraries','Libraries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"An overview of libraries installed on this site.\";}}','system',0,0,1,0,0,3,0,1,18,1850,0,0,0,0,0,0,0),('management',1851,161,'admin/help/libraries','admin/help/libraries','libraries','a:0:{}','system',-1,0,0,0,0,3,0,1,161,1851,0,0,0,0,0,0,0),('management',1852,1850,'admin/reports/libraries/%','admin/reports/libraries/%','Library status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Status overview for a single library\";}}','system',0,0,0,0,0,4,0,1,18,1850,1852,0,0,0,0,0,0),('management',1853,330,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','a:0:{}','system',0,0,0,0,1,4,0,1,20,330,1853,0,0,0,0,0,0),('management',1854,573,'admin/commerce/config/order/display','admin/commerce/config/order/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,548,549,573,1854,0,0,0,0,0),('management',1855,1853,'admin/structure/field-collections/%/display','admin/structure/field-collections/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,330,1853,1855,0,0,0,0,0),('management',1856,66,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,55,66,1856,0,0,0,0,0),('management',1857,67,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,46,67,1857,0,0,0,0,0),('management',1858,573,'admin/commerce/config/order/fields','admin/commerce/config/order/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,548,549,573,1858,0,0,0,0,0),('management',1859,1853,'admin/structure/field-collections/%/fields','admin/structure/field-collections/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,330,1853,1859,0,0,0,0,0),('management',1860,66,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,55,66,1860,0,0,0,0,0),('management',1861,67,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,46,67,1861,0,0,0,0,0),('management',1862,1854,'admin/commerce/config/order/display/administrator','admin/commerce/config/order/display/administrator','Administrator','a:0:{}','system',-1,0,0,0,0,6,0,1,548,549,573,1854,1862,0,0,0,0),('management',1863,1854,'admin/commerce/config/order/display/customer','admin/commerce/config/order/display/customer','Customer','a:0:{}','system',-1,0,0,0,1,6,0,1,548,549,573,1854,1863,0,0,0,0),('management',1864,1854,'admin/commerce/config/order/display/default','admin/commerce/config/order/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,548,549,573,1854,1864,0,0,0,0),('management',1865,1855,'admin/structure/field-collections/%/display/default','admin/structure/field-collections/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,330,1853,1855,1865,0,0,0,0),('management',1866,1856,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,55,66,1856,1866,0,0,0,0),('management',1867,1857,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,46,67,1857,1867,0,0,0,0),('management',1868,1855,'admin/structure/field-collections/%/display/full','admin/structure/field-collections/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,330,1853,1855,1868,0,0,0,0),('management',1869,849,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,840,849,1869,0,0,0,0,0),('management',1870,111,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,35,111,1870,0,0,0,0,0),('management',1871,849,'admin/structure/block-types/manage/%/fields','admin/structure/block-types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,840,849,1871,0,0,0,0,0),('management',1872,111,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,35,111,1872,0,0,0,0,0),('management',1873,1856,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,20,55,66,1856,1873,0,0,0,0),('management',1874,1854,'admin/commerce/config/order/display/token','admin/commerce/config/order/display/token','Tokens','a:0:{}','system',-1,0,0,0,2,6,0,1,548,549,573,1854,1874,0,0,0,0),('management',1875,1855,'admin/structure/field-collections/%/display/token','admin/structure/field-collections/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,330,1853,1855,1875,0,0,0,0),('management',1876,1856,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,55,66,1856,1876,0,0,0,0),('management',1877,1857,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,46,67,1857,1877,0,0,0,0),('management',1878,1857,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,8,46,67,1857,1878,0,0,0,0),('management',1879,1858,'admin/commerce/config/order/fields/%','admin/commerce/config/order/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,548,549,573,1858,1879,0,0,0,0),('management',1880,1859,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,330,1853,1859,1880,0,0,0,0),('management',1881,1860,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,55,66,1860,1881,0,0,0,0),('management',1882,1861,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,46,67,1861,1882,0,0,0,0),('management',1883,747,'admin/commerce/products/types/commerce-event/display/full','admin/commerce/products/types/commerce-event/display/full','Admin display','a:0:{}','system',-1,0,0,0,0,7,0,1,548,561,576,744,747,1883,0,0,0),('management',1884,631,'admin/commerce/products/types/donation/display/full','admin/commerce/products/types/donation/display/full','Admin display','a:0:{}','system',-1,0,0,0,0,7,0,1,548,561,576,597,631,1884,0,0,0),('management',1885,632,'admin/commerce/products/types/product/display/full','admin/commerce/products/types/product/display/full','Admin display','a:0:{}','system',-1,0,0,0,0,7,0,1,548,561,576,609,632,1885,0,0,0),('management',1886,628,'admin/commerce/customer-profiles/types/billing/display/administrator','admin/commerce/customer-profiles/types/billing/display/administrator','Administrator','a:0:{}','system',-1,0,0,0,0,7,0,1,548,559,577,586,628,1886,0,0,0),('management',1887,747,'admin/commerce/products/types/commerce-event/display/commerce_line_item_display','admin/commerce/products/types/commerce-event/display/commerce_line_item_display','Commerce Line item: Display','a:0:{}','system',-1,0,0,0,12,7,0,1,548,561,576,744,747,1887,0,0,0),('management',1888,631,'admin/commerce/products/types/donation/display/commerce_line_item_display','admin/commerce/products/types/donation/display/commerce_line_item_display','Commerce Line item: Display','a:0:{}','system',-1,0,0,0,12,7,0,1,548,561,576,597,631,1888,0,0,0),('management',1889,632,'admin/commerce/products/types/product/display/commerce_line_item_display','admin/commerce/products/types/product/display/commerce_line_item_display','Commerce Line item: Display','a:0:{}','system',-1,0,0,0,12,7,0,1,548,561,576,609,632,1889,0,0,0),('management',1890,747,'admin/commerce/products/types/commerce-event/display/commerce_line_item_token','admin/commerce/products/types/commerce-event/display/commerce_line_item_token','Commerce Line item: Tokens','a:0:{}','system',-1,0,0,0,13,7,0,1,548,561,576,744,747,1890,0,0,0),('management',1891,631,'admin/commerce/products/types/donation/display/commerce_line_item_token','admin/commerce/products/types/donation/display/commerce_line_item_token','Commerce Line item: Tokens','a:0:{}','system',-1,0,0,0,13,7,0,1,548,561,576,597,631,1891,0,0,0),('management',1892,632,'admin/commerce/products/types/product/display/commerce_line_item_token','admin/commerce/products/types/product/display/commerce_line_item_token','Commerce Line item: Tokens','a:0:{}','system',-1,0,0,0,13,7,0,1,548,561,576,609,632,1892,0,0,0),('management',1893,628,'admin/commerce/customer-profiles/types/billing/display/customer','admin/commerce/customer-profiles/types/billing/display/customer','Customer','a:0:{}','system',-1,0,0,0,1,7,0,1,548,559,577,586,628,1893,0,0,0),('management',1894,1869,'admin/structure/block-types/manage/%/display/default','admin/structure/block-types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,840,849,1869,1894,0,0,0,0),('management',1895,628,'admin/commerce/customer-profiles/types/billing/display/default','admin/commerce/customer-profiles/types/billing/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,559,577,586,628,1895,0,0,0),('management',1896,629,'admin/commerce/config/line-items/commerce-donate/display/default','admin/commerce/config/line-items/commerce-donate/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,549,572,596,629,1896,0,0,0),('management',1897,630,'admin/commerce/config/line-items/product/display/default','admin/commerce/config/line-items/product/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,549,572,608,630,1897,0,0,0),('management',1898,747,'admin/commerce/products/types/commerce-event/display/default','admin/commerce/products/types/commerce-event/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,561,576,744,747,1898,0,0,0),('management',1899,631,'admin/commerce/products/types/donation/display/default','admin/commerce/products/types/donation/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,561,576,597,631,1899,0,0,0),('management',1900,632,'admin/commerce/products/types/product/display/default','admin/commerce/products/types/product/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,548,561,576,609,632,1900,0,0,0),('management',1901,1870,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,111,1870,1901,0,0,0,0),('management',1902,629,'admin/commerce/config/line-items/commerce-donate/display/display','admin/commerce/config/line-items/commerce-donate/display/display','Display','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,572,596,629,1902,0,0,0),('management',1903,630,'admin/commerce/config/line-items/product/display/display','admin/commerce/config/line-items/product/display/display','Display','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,572,608,630,1903,0,0,0),('management',1904,1870,'admin/structure/types/manage/%/display/email_html','admin/structure/types/manage/%/display/email_html','Email: HTML','a:0:{}','system',-1,0,0,0,6,6,0,1,20,35,111,1870,1904,0,0,0,0),('management',1905,1870,'admin/structure/types/manage/%/display/email_textalt','admin/structure/types/manage/%/display/email_textalt','Email: HTML text alternative','a:0:{}','system',-1,0,0,0,7,6,0,1,20,35,111,1870,1905,0,0,0,0),('management',1906,1870,'admin/structure/types/manage/%/display/email_plain','admin/structure/types/manage/%/display/email_plain','Email: Plain','a:0:{}','system',-1,0,0,0,5,6,0,1,20,35,111,1870,1906,0,0,0,0),('management',1907,1870,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,111,1870,1907,0,0,0,0),('management',1908,747,'admin/commerce/products/types/commerce-event/display/line_item','admin/commerce/products/types/commerce-event/display/line_item','Line item','a:0:{}','system',-1,0,0,0,2,7,0,1,548,561,576,744,747,1908,0,0,0),('management',1909,631,'admin/commerce/products/types/donation/display/line_item','admin/commerce/products/types/donation/display/line_item','Line item','a:0:{}','system',-1,0,0,0,2,7,0,1,548,561,576,597,631,1909,0,0,0),('management',1910,632,'admin/commerce/products/types/product/display/line_item','admin/commerce/products/types/product/display/line_item','Line item','a:0:{}','system',-1,0,0,0,2,7,0,1,548,561,576,609,632,1910,0,0,0),('management',1911,747,'admin/commerce/products/types/commerce-event/display/node_email_html','admin/commerce/products/types/commerce-event/display/node_email_html','Node: Email: HTML','a:0:{}','system',-1,0,0,0,9,7,0,1,548,561,576,744,747,1911,0,0,0),('management',1912,631,'admin/commerce/products/types/donation/display/node_email_html','admin/commerce/products/types/donation/display/node_email_html','Node: Email: HTML','a:0:{}','system',-1,0,0,0,9,7,0,1,548,561,576,597,631,1912,0,0,0),('management',1913,632,'admin/commerce/products/types/product/display/node_email_html','admin/commerce/products/types/product/display/node_email_html','Node: Email: HTML','a:0:{}','system',-1,0,0,0,9,7,0,1,548,561,576,609,632,1913,0,0,0),('management',1914,747,'admin/commerce/products/types/commerce-event/display/node_email_textalt','admin/commerce/products/types/commerce-event/display/node_email_textalt','Node: Email: HTML text alternative','a:0:{}','system',-1,0,0,0,10,7,0,1,548,561,576,744,747,1914,0,0,0),('management',1915,631,'admin/commerce/products/types/donation/display/node_email_textalt','admin/commerce/products/types/donation/display/node_email_textalt','Node: Email: HTML text alternative','a:0:{}','system',-1,0,0,0,10,7,0,1,548,561,576,597,631,1915,0,0,0),('management',1916,632,'admin/commerce/products/types/product/display/node_email_textalt','admin/commerce/products/types/product/display/node_email_textalt','Node: Email: HTML text alternative','a:0:{}','system',-1,0,0,0,10,7,0,1,548,561,576,609,632,1916,0,0,0),('management',1917,747,'admin/commerce/products/types/commerce-event/display/node_email_plain','admin/commerce/products/types/commerce-event/display/node_email_plain','Node: Email: Plain','a:0:{}','system',-1,0,0,0,8,7,0,1,548,561,576,744,747,1917,0,0,0),('management',1918,631,'admin/commerce/products/types/donation/display/node_email_plain','admin/commerce/products/types/donation/display/node_email_plain','Node: Email: Plain','a:0:{}','system',-1,0,0,0,8,7,0,1,548,561,576,597,631,1918,0,0,0),('management',1919,632,'admin/commerce/products/types/product/display/node_email_plain','admin/commerce/products/types/product/display/node_email_plain','Node: Email: Plain','a:0:{}','system',-1,0,0,0,8,7,0,1,548,561,576,609,632,1919,0,0,0),('management',1920,747,'admin/commerce/products/types/commerce-event/display/node_full','admin/commerce/products/types/commerce-event/display/node_full','Node: Full content','a:0:{}','system',-1,0,0,0,3,7,0,1,548,561,576,744,747,1920,0,0,0),('management',1921,631,'admin/commerce/products/types/donation/display/node_full','admin/commerce/products/types/donation/display/node_full','Node: Full content','a:0:{}','system',-1,0,0,0,3,7,0,1,548,561,576,597,631,1921,0,0,0),('management',1922,632,'admin/commerce/products/types/product/display/node_full','admin/commerce/products/types/product/display/node_full','Node: Full content','a:0:{}','system',-1,0,0,0,3,7,0,1,548,561,576,609,632,1922,0,0,0),('management',1923,747,'admin/commerce/products/types/commerce-event/display/node_rss','admin/commerce/products/types/commerce-event/display/node_rss','Node: RSS','a:0:{}','system',-1,0,0,0,5,7,0,1,548,561,576,744,747,1923,0,0,0),('management',1924,631,'admin/commerce/products/types/donation/display/node_rss','admin/commerce/products/types/donation/display/node_rss','Node: RSS','a:0:{}','system',-1,0,0,0,5,7,0,1,548,561,576,597,631,1924,0,0,0),('management',1925,632,'admin/commerce/products/types/product/display/node_rss','admin/commerce/products/types/product/display/node_rss','Node: RSS','a:0:{}','system',-1,0,0,0,5,7,0,1,548,561,576,609,632,1925,0,0,0),('management',1926,747,'admin/commerce/products/types/commerce-event/display/node_search_index','admin/commerce/products/types/commerce-event/display/node_search_index','Node: Search index','a:0:{}','system',-1,0,0,0,6,7,0,1,548,561,576,744,747,1926,0,0,0),('management',1927,631,'admin/commerce/products/types/donation/display/node_search_index','admin/commerce/products/types/donation/display/node_search_index','Node: Search index','a:0:{}','system',-1,0,0,0,6,7,0,1,548,561,576,597,631,1927,0,0,0),('management',1928,632,'admin/commerce/products/types/product/display/node_search_index','admin/commerce/products/types/product/display/node_search_index','Node: Search index','a:0:{}','system',-1,0,0,0,6,7,0,1,548,561,576,609,632,1928,0,0,0),('management',1929,747,'admin/commerce/products/types/commerce-event/display/node_search_result','admin/commerce/products/types/commerce-event/display/node_search_result','Node: Search result highlighting input','a:0:{}','system',-1,0,0,0,7,7,0,1,548,561,576,744,747,1929,0,0,0),('management',1930,631,'admin/commerce/products/types/donation/display/node_search_result','admin/commerce/products/types/donation/display/node_search_result','Node: Search result highlighting input','a:0:{}','system',-1,0,0,0,7,7,0,1,548,561,576,597,631,1930,0,0,0),('management',1931,632,'admin/commerce/products/types/product/display/node_search_result','admin/commerce/products/types/product/display/node_search_result','Node: Search result highlighting input','a:0:{}','system',-1,0,0,0,7,7,0,1,548,561,576,609,632,1931,0,0,0),('management',1932,747,'admin/commerce/products/types/commerce-event/display/node_teaser','admin/commerce/products/types/commerce-event/display/node_teaser','Node: Teaser','a:0:{}','system',-1,0,0,0,4,7,0,1,548,561,576,744,747,1932,0,0,0),('management',1933,631,'admin/commerce/products/types/donation/display/node_teaser','admin/commerce/products/types/donation/display/node_teaser','Node: Teaser','a:0:{}','system',-1,0,0,0,4,7,0,1,548,561,576,597,631,1933,0,0,0),('management',1934,632,'admin/commerce/products/types/product/display/node_teaser','admin/commerce/products/types/product/display/node_teaser','Node: Teaser','a:0:{}','system',-1,0,0,0,4,7,0,1,548,561,576,609,632,1934,0,0,0),('management',1935,747,'admin/commerce/products/types/commerce-event/display/node_token','admin/commerce/products/types/commerce-event/display/node_token','Node: Tokens','a:0:{}','system',-1,0,0,0,11,7,0,1,548,561,576,744,747,1935,0,0,0),('management',1936,631,'admin/commerce/products/types/donation/display/node_token','admin/commerce/products/types/donation/display/node_token','Node: Tokens','a:0:{}','system',-1,0,0,0,11,7,0,1,548,561,576,597,631,1936,0,0,0),('management',1937,632,'admin/commerce/products/types/product/display/node_token','admin/commerce/products/types/product/display/node_token','Node: Tokens','a:0:{}','system',-1,0,0,0,11,7,0,1,548,561,576,609,632,1937,0,0,0),('management',1938,1870,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,20,35,111,1870,1938,0,0,0,0),('management',1939,1870,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,20,35,111,1870,1939,0,0,0,0),('management',1940,1870,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,20,35,111,1870,1940,0,0,0,0),('management',1941,1870,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,111,1870,1941,0,0,0,0),('management',1942,1869,'admin/structure/block-types/manage/%/display/token','admin/structure/block-types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,1,20,840,849,1869,1942,0,0,0,0),('management',1943,628,'admin/commerce/customer-profiles/types/billing/display/token','admin/commerce/customer-profiles/types/billing/display/token','Tokens','a:0:{}','system',-1,0,0,0,2,7,0,1,548,559,577,586,628,1943,0,0,0),('management',1944,629,'admin/commerce/config/line-items/commerce-donate/display/token','admin/commerce/config/line-items/commerce-donate/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,7,0,1,548,549,572,596,629,1944,0,0,0),('management',1945,630,'admin/commerce/config/line-items/product/display/token','admin/commerce/config/line-items/product/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,7,0,1,548,549,572,608,630,1945,0,0,0),('management',1946,747,'admin/commerce/products/types/commerce-event/display/token','admin/commerce/products/types/commerce-event/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,7,0,1,548,561,576,744,747,1946,0,0,0),('management',1947,631,'admin/commerce/products/types/donation/display/token','admin/commerce/products/types/donation/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,7,0,1,548,561,576,597,631,1947,0,0,0),('management',1948,632,'admin/commerce/products/types/product/display/token','admin/commerce/products/types/product/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,7,0,1,548,561,576,609,632,1948,0,0,0),('management',1949,1870,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,8,6,0,1,20,35,111,1870,1949,0,0,0,0),('management',1950,1871,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,840,849,1871,1950,0,0,0,0),('management',1951,633,'admin/commerce/customer-profiles/types/billing/fields/%','admin/commerce/customer-profiles/types/billing/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,559,577,586,633,1951,0,0,0),('management',1952,634,'admin/commerce/config/line-items/commerce-donate/fields/%','admin/commerce/config/line-items/commerce-donate/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,572,596,634,1952,0,0,0),('management',1953,635,'admin/commerce/config/line-items/product/fields/%','admin/commerce/config/line-items/product/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,549,572,608,635,1953,0,0,0),('management',1954,1879,'admin/commerce/config/order/fields/%/delete','admin/commerce/config/order/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,548,549,573,1858,1879,1954,0,0,0),('management',1955,1879,'admin/commerce/config/order/fields/%/edit','admin/commerce/config/order/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,573,1858,1879,1955,0,0,0),('management',1956,1879,'admin/commerce/config/order/fields/%/field-settings','admin/commerce/config/order/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,573,1858,1879,1956,0,0,0),('management',1957,1879,'admin/commerce/config/order/fields/%/widget-type','admin/commerce/config/order/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,548,549,573,1858,1879,1957,0,0,0),('management',1958,748,'admin/commerce/products/types/commerce-event/fields/%','admin/commerce/products/types/commerce-event/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,744,748,1958,0,0,0),('management',1959,636,'admin/commerce/products/types/donation/fields/%','admin/commerce/products/types/donation/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,597,636,1959,0,0,0),('management',1960,637,'admin/commerce/products/types/product/fields/%','admin/commerce/products/types/product/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,548,561,576,609,637,1960,0,0,0),('management',1961,1880,'admin/structure/field-collections/%/fields/%/delete','admin/structure/field-collections/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,330,1853,1859,1880,1961,0,0,0),('management',1962,1880,'admin/structure/field-collections/%/fields/%/edit','admin/structure/field-collections/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,330,1853,1859,1880,1962,0,0,0),('management',1963,1880,'admin/structure/field-collections/%/fields/%/field-settings','admin/structure/field-collections/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,330,1853,1859,1880,1963,0,0,0),('management',1964,1880,'admin/structure/field-collections/%/fields/%/widget-type','admin/structure/field-collections/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,330,1853,1859,1880,1964,0,0,0),('management',1965,1872,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,111,1872,1965,0,0,0,0),('management',1966,1881,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,55,66,1860,1881,1966,0,0,0),('management',1967,1881,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1860,1881,1967,0,0,0),('management',1968,1881,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1860,1881,1968,0,0,0),('management',1969,1881,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,1860,1881,1969,0,0,0),('management',1970,1882,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,46,67,1861,1882,1970,0,0,0),('management',1971,1882,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1861,1882,1971,0,0,0),('management',1972,1882,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1861,1882,1972,0,0,0),('management',1973,1882,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,1861,1882,1973,0,0,0),('management',1974,147,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,111,147,1974,0,0,0,0),('management',1975,147,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,111,147,1975,0,0,0,0),('management',1976,147,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,111,147,1976,0,0,0,0),('management',1977,1950,'admin/structure/block-types/manage/%/fields/%/delete','admin/structure/block-types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,840,849,1871,1950,1977,0,0,0),('management',1978,1950,'admin/structure/block-types/manage/%/fields/%/edit','admin/structure/block-types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,840,849,1871,1950,1978,0,0,0),('management',1979,1950,'admin/structure/block-types/manage/%/fields/%/field-settings','admin/structure/block-types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,840,849,1871,1950,1979,0,0,0),('management',1980,1950,'admin/structure/block-types/manage/%/fields/%/widget-type','admin/structure/block-types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,840,849,1871,1950,1980,0,0,0),('management',1981,148,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,111,148,1981,0,0,0,0),('management',1982,1951,'admin/commerce/customer-profiles/types/billing/fields/%/delete','admin/commerce/customer-profiles/types/billing/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,559,577,586,633,1951,1982,0,0),('management',1983,1951,'admin/commerce/customer-profiles/types/billing/fields/%/edit','admin/commerce/customer-profiles/types/billing/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,559,577,586,633,1951,1983,0,0),('management',1984,1951,'admin/commerce/customer-profiles/types/billing/fields/%/field-settings','admin/commerce/customer-profiles/types/billing/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,559,577,586,633,1951,1984,0,0),('management',1985,1951,'admin/commerce/customer-profiles/types/billing/fields/%/widget-type','admin/commerce/customer-profiles/types/billing/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,559,577,586,633,1951,1985,0,0),('management',1986,1952,'admin/commerce/config/line-items/commerce-donate/fields/%/delete','admin/commerce/config/line-items/commerce-donate/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,549,572,596,634,1952,1986,0,0),('management',1987,1952,'admin/commerce/config/line-items/commerce-donate/fields/%/edit','admin/commerce/config/line-items/commerce-donate/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,596,634,1952,1987,0,0),('management',1988,1952,'admin/commerce/config/line-items/commerce-donate/fields/%/field-settings','admin/commerce/config/line-items/commerce-donate/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,596,634,1952,1988,0,0),('management',1989,1952,'admin/commerce/config/line-items/commerce-donate/fields/%/widget-type','admin/commerce/config/line-items/commerce-donate/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,596,634,1952,1989,0,0),('management',1990,1953,'admin/commerce/config/line-items/product/fields/%/delete','admin/commerce/config/line-items/product/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,549,572,608,635,1953,1990,0,0),('management',1991,1953,'admin/commerce/config/line-items/product/fields/%/edit','admin/commerce/config/line-items/product/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,608,635,1953,1991,0,0),('management',1992,1953,'admin/commerce/config/line-items/product/fields/%/field-settings','admin/commerce/config/line-items/product/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,608,635,1953,1992,0,0),('management',1993,1953,'admin/commerce/config/line-items/product/fields/%/widget-type','admin/commerce/config/line-items/product/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,549,572,608,635,1953,1993,0,0),('management',1994,1958,'admin/commerce/products/types/commerce-event/fields/%/delete','admin/commerce/products/types/commerce-event/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,561,576,744,748,1958,1994,0,0),('management',1995,1958,'admin/commerce/products/types/commerce-event/fields/%/edit','admin/commerce/products/types/commerce-event/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,744,748,1958,1995,0,0),('management',1996,1958,'admin/commerce/products/types/commerce-event/fields/%/field-settings','admin/commerce/products/types/commerce-event/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,744,748,1958,1996,0,0),('management',1997,1958,'admin/commerce/products/types/commerce-event/fields/%/widget-type','admin/commerce/products/types/commerce-event/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,744,748,1958,1997,0,0),('management',1998,1959,'admin/commerce/products/types/donation/fields/%/delete','admin/commerce/products/types/donation/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,561,576,597,636,1959,1998,0,0),('management',1999,1959,'admin/commerce/products/types/donation/fields/%/edit','admin/commerce/products/types/donation/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,597,636,1959,1999,0,0),('management',2000,1959,'admin/commerce/products/types/donation/fields/%/field-settings','admin/commerce/products/types/donation/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,597,636,1959,2000,0,0),('management',2001,1959,'admin/commerce/products/types/donation/fields/%/widget-type','admin/commerce/products/types/donation/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,597,636,1959,2001,0,0),('management',2002,1960,'admin/commerce/products/types/product/fields/%/delete','admin/commerce/products/types/product/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,548,561,576,609,637,1960,2002,0,0),('management',2003,1960,'admin/commerce/products/types/product/fields/%/edit','admin/commerce/products/types/product/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,609,637,1960,2003,0,0),('management',2004,1960,'admin/commerce/products/types/product/fields/%/field-settings','admin/commerce/products/types/product/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,609,637,1960,2004,0,0),('management',2005,1960,'admin/commerce/products/types/product/fields/%/widget-type','admin/commerce/products/types/product/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,548,561,576,609,637,1960,2005,0,0),('management',2006,1965,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,111,1872,1965,2006,0,0,0),('management',2007,1965,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,1872,1965,2007,0,0,0),('management',2008,1965,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,1872,1965,2008,0,0,0),('management',2009,1965,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,1872,1965,2009,0,0,0),('management',2010,1981,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,111,148,1981,2010,0,0,0),('management',2011,1981,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,1981,2011,0,0,0),('management',2012,1981,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,1981,2012,0,0,0),('management',2013,1981,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,1981,2013,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/hermio','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:35:\"sites/all/themes/hermio/hermio.info\";s:4:\"name\";s:6:\"hermio\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Hermio\";s:11:\"description\";s:24:\"Theme for the Charities.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:6:\"banner\";s:6:\"Banner\";s:9:\"main_menu\";s:9:\"Main Menu\";s:9:\"slideshow\";s:9:\"Slideshow\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:15:\"panel_fullwidth\";s:15:\"Panel Fullwidth\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:13:\"panel_seventh\";s:13:\"Panel Seventh\";s:12:\"panel_eighth\";s:12:\"Panel Eighth\";s:18:\"panel_footer_first\";s:18:\"Panel Footer First\";s:21:\"panel_footer_second_1\";s:21:\"Panel Footer Second 1\";s:21:\"panel_footer_second_2\";s:21:\"Panel Footer Second 2\";s:21:\"panel_footer_second_3\";s:21:\"Panel Footer Second 3\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:6:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:27:\"panel_footer_second_1_width\";s:1:\"4\";s:27:\"panel_footer_second_2_width\";s:1:\"4\";s:27:\"panel_footer_second_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:38:\"sites/all/themes/hermio/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499931893;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"hermio\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Hermio','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/commerce','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/commerce','Store','t','','','a:0:{}',6,'Administer your store.','',-7,'modules/system/system.admin.inc'),('admin/commerce/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/commerce/config','Configuration','t','','','a:0:{}',6,'Configure settings and business rules for your store.','',50,'modules/system/system.admin.inc'),('admin/commerce/config/checkout','','','user_access','a:1:{i:0;s:19:\"administer checkout\";}','drupal_get_form','a:1:{i:0;s:30:\"commerce_checkout_builder_form\";}','',15,4,0,'','admin/commerce/config/checkout','Checkout settings','t','','','a:0:{}',6,'Customize the checkout form and configure checkout rules.','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),('admin/commerce/config/checkout/form','','','user_access','a:1:{i:0;s:19:\"administer checkout\";}','drupal_get_form','a:1:{i:0;s:30:\"commerce_checkout_builder_form\";}','',31,5,1,'admin/commerce/config/checkout','admin/commerce/config/checkout','Checkout form','t','','','a:0:{}',140,'Build your checkout pages using module defined checkout form elements.','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),('admin/commerce/config/checkout/form/pane/%','a:1:{i:6;s:27:\"commerce_checkout_pane_load\";}','','user_access','a:1:{i:0;s:19:\"administer checkout\";}','drupal_get_form','a:2:{i:0;s:36:\"commerce_checkout_pane_settings_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/config/checkout/form/pane/%','','commerce_checkout_pane_settings_title','a:1:{i:0;i:6;}','','a:0:{}',6,'Configure the settings for a checkout pane.','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),('admin/commerce/config/checkout/rules','','','user_access','a:1:{i:0;s:19:\"administer checkout\";}','commerce_checkout_complete_rules','a:0:{}','',31,5,1,'admin/commerce/config/checkout','admin/commerce/config/checkout','Checkout rules','t','','','a:0:{}',132,'Enable and configure checkout completion rules.','',5,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),('admin/commerce/config/checkout/rules/add','','','user_access','a:1:{i:0;s:19:\"administer checkout\";}','drupal_get_form','a:2:{i:0;s:40:\"commerce_checkout_add_complete_rule_form\";i:1;s:36:\"admin/commerce/config/checkout/rules\";}','',63,6,1,'admin/commerce/config/checkout/rules','admin/commerce/config/checkout','Add a checkout rule','t','','','a:0:{}',388,'Adds an additional checkout completion rule configuration.','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/commerce/config/checkout/rules/manage/%','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:6;i:2;s:36:\"admin/commerce/config/checkout/rules\";}','',126,7,0,'','admin/commerce/config/checkout/rules/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/%','a:2:{i:6;s:17:\"rules_config_load\";i:7;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:6;i:2;i:7;i:3;s:36:\"admin/commerce/config/checkout/rules\";}','',252,8,0,'','admin/commerce/config/checkout/rules/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/add/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:36:\"admin/commerce/config/checkout/rules\";}','',506,9,0,'','admin/commerce/config/checkout/rules/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:9;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/add/event','a:1:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:6;i:2;s:36:\"admin/commerce/config/checkout/rules\";}','',507,9,0,'','admin/commerce/config/checkout/rules/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/autocomplete','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}','',253,8,0,'','admin/commerce/config/checkout/rules/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/clone','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:6;i:2;s:36:\"admin/commerce/config/checkout/rules\";}','',253,8,0,'','admin/commerce/config/checkout/rules/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/delete/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:6;i:2;i:8;i:3;s:36:\"admin/commerce/config/checkout/rules\";}','',506,9,0,'','admin/commerce/config/checkout/rules/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/delete/event','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:6;i:2;i:9;i:3;s:36:\"admin/commerce/config/checkout/rules\";}','',507,9,0,'','admin/commerce/config/checkout/rules/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/edit/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:6;i:2;i:8;i:3;s:36:\"admin/commerce/config/checkout/rules\";}','',506,9,0,'','admin/commerce/config/checkout/rules/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/execute','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:6;i:2;s:36:\"admin/commerce/config/checkout/rules\";}','',253,8,0,'','admin/commerce/config/checkout/rules/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/checkout/rules/manage/%/export','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:6;i:2;s:36:\"admin/commerce/config/checkout/rules\";}','',253,8,0,'','admin/commerce/config/checkout/rules/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/currency','','','user_access','a:1:{i:0;s:15:\"configure store\";}','drupal_get_form','a:1:{i:0;s:31:\"commerce_currency_settings_form\";}','',15,4,0,'','admin/commerce/config/currency','Currency settings','t','','','a:0:{}',6,'Configure the default currency and display settings.','',0,'sites/all/modules/commerce/includes/commerce_ui.admin.inc'),('admin/commerce/config/line-items','','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','commerce_line_item_ui_types_overview','a:0:{}','',15,4,0,'','admin/commerce/config/line-items','Line item types','t','','','a:0:{}',6,'Manage line item types for your store.','',0,'sites/all/modules/commerce/modules/line_item/includes/commerce_line_item_ui.types.inc'),('admin/commerce/config/line-items/commerce-donate','','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','commerce_line_item_ui_line_item_type_redirect','a:1:{i:0;s:15:\"commerce-donate\";}','',31,5,0,'','admin/commerce/config/line-items/commerce-donate','Donation','t','','','a:0:{}',6,'','',0,''),('admin/commerce/config/line-items/commerce-donate/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:15:\"commerce_donate\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/config/line-items/commerce-donate','admin/commerce/config/line-items/commerce-donate','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:15:\"commerce_donate\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/config/line-items/commerce-donate/display','admin/commerce/config/line-items/commerce-donate','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/display/display','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:7:\"display\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:15:\"commerce_donate\";i:3;s:7:\"display\";}','',127,7,1,'admin/commerce/config/line-items/commerce-donate/display','admin/commerce/config/line-items/commerce-donate','Display','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:15:\"commerce_donate\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/config/line-items/commerce-donate/display','admin/commerce/config/line-items/commerce-donate','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:15:\"commerce_donate\";}','',63,6,3,'admin/commerce/config/line-items/commerce-donate','admin/commerce/config/line-items/commerce-donate','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/config/line-items/commerce-donate/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/commerce-donate/fields/%','admin/commerce/config/line-items/commerce-donate/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/commerce-donate/fields/%','admin/commerce/config/line-items/commerce-donate/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/commerce-donate/fields/%','admin/commerce/config/line-items/commerce-donate/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/commerce-donate/fields/%','admin/commerce/config/line-items/commerce-donate/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/commerce-donate/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/config/line-items/commerce-donate/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/line-items/commerce-donate/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:15:\"commerce_donate\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/config/line-items/commerce-donate/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/line-items/product','','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','commerce_line_item_ui_line_item_type_redirect','a:1:{i:0;s:7:\"product\";}','',31,5,0,'','admin/commerce/config/line-items/product','Product','t','','','a:0:{}',6,'','',0,''),('admin/commerce/config/line-items/product/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:7:\"product\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/config/line-items/product','admin/commerce/config/line-items/product','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:7:\"product\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/config/line-items/product/display','admin/commerce/config/line-items/product','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/display/display','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:7:\"display\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:7:\"product\";i:3;s:7:\"display\";}','',127,7,1,'admin/commerce/config/line-items/product/display','admin/commerce/config/line-items/product','Display','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:7:\"product\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/config/line-items/product/display','admin/commerce/config/line-items/product','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:18:\"commerce_line_item\";i:2;s:7:\"product\";}','',63,6,3,'admin/commerce/config/line-items/product','admin/commerce/config/line-items/product','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/config/line-items/product/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/product/fields/%','admin/commerce/config/line-items/product/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/product/fields/%','admin/commerce/config/line-items/product/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/product/fields/%','admin/commerce/config/line-items/product/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:26:\"administer line item types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/config/line-items/product/fields/%','admin/commerce/config/line-items/product/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/line-items/product/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/config/line-items/product/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/line-items/product/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:18:\"commerce_line_item\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:26:\"administer line item types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/config/line-items/product/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/order','','','user_access','a:1:{i:0;s:24:\"configure order settings\";}','drupal_get_form','a:1:{i:0;s:28:\"commerce_order_settings_form\";}','',15,4,0,'','admin/commerce/config/order','Order settings','t','','','a:0:{}',6,'Configure general order settings, fields, and displays.','',0,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/config/order/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";i:3;s:7:\"default\";}','',31,5,1,'admin/commerce/config/order','admin/commerce/config/order','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/display/administrator','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:13:\"administrator\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";i:3;s:13:\"administrator\";}','',63,6,1,'admin/commerce/config/order/display','admin/commerce/config/order','Administrator','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/display/customer','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:8:\"customer\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";i:3;s:8:\"customer\";}','',63,6,1,'admin/commerce/config/order/display','admin/commerce/config/order','Customer','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";i:3;s:7:\"default\";}','',63,6,1,'admin/commerce/config/order/display','admin/commerce/config/order','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";i:3;s:5:\"token\";}','',63,6,1,'admin/commerce/config/order/display','admin/commerce/config/order','Tokens','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:14:\"commerce_order\";i:2;s:14:\"commerce_order\";}','',31,5,1,'admin/commerce/config/order','admin/commerce/config/order','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/commerce/config/order/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/commerce/config/order/fields/%','admin/commerce/config/order/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/commerce/config/order/fields/%','admin/commerce/config/order/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/commerce/config/order/fields/%','admin/commerce/config/order/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"configure order settings\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/commerce/config/order/fields/%','admin/commerce/config/order/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/config/order/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"configure order settings\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/commerce/config/order/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/order/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:14:\"commerce_order\";i:1;s:14:\"commerce_order\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"configure order settings\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/commerce/config/order/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/config/order/settings','','','user_access','a:1:{i:0;s:24:\"configure order settings\";}','drupal_get_form','a:1:{i:0;s:28:\"commerce_order_settings_form\";}','',31,5,1,'admin/commerce/config/order','admin/commerce/config/order','Settings','t','','','a:0:{}',140,'','',-10,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/config/payment-methods','','','user_access','a:1:{i:0;s:26:\"administer payment methods\";}','commerce_payment_ui_admin_page','a:0:{}','',15,4,0,'','admin/commerce/config/payment-methods','Payment methods','t','','','a:0:{}',6,'Enable and configure payment method rule configurations.','',0,'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),('admin/commerce/config/payment-methods/add','','','user_access','a:1:{i:0;s:26:\"administer payment methods\";}','drupal_get_form','a:2:{i:0;s:41:\"commerce_payment_ui_add_payment_rule_form\";i:1;s:37:\"admin/commerce/config/payment-methods\";}','',31,5,0,'','admin/commerce/config/payment-methods/add','Add a payment method rule','t','','','a:0:{}',6,'Adds an additional payment method rule configuration.','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/commerce/config/payment-methods/manage/%','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:5;i:2;s:37:\"admin/commerce/config/payment-methods\";}','',62,6,0,'','admin/commerce/config/payment-methods/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/%','a:2:{i:5;s:17:\"rules_config_load\";i:6;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:5;i:2;i:6;i:3;s:37:\"admin/commerce/config/payment-methods\";}','',124,7,0,'','admin/commerce/config/payment-methods/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/add/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:5;i:2;i:8;i:3;i:7;i:4;s:37:\"admin/commerce/config/payment-methods\";}','',250,8,0,'','admin/commerce/config/payment-methods/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:8;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/add/event','a:1:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:5;i:2;s:37:\"admin/commerce/config/payment-methods\";}','',251,8,0,'','admin/commerce/config/payment-methods/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/autocomplete','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:7;i:1;i:8;i:2;i:9;}','',125,7,0,'','admin/commerce/config/payment-methods/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/clone','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:5;i:2;s:37:\"admin/commerce/config/payment-methods\";}','',125,7,0,'','admin/commerce/config/payment-methods/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/delete/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:5;i:2;i:7;i:3;s:37:\"admin/commerce/config/payment-methods\";}','',250,8,0,'','admin/commerce/config/payment-methods/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/delete/event','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:5;i:2;i:8;i:3;s:37:\"admin/commerce/config/payment-methods\";}','',251,8,0,'','admin/commerce/config/payment-methods/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/edit/%','a:2:{i:5;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:5;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:5;i:2;i:7;i:3;s:37:\"admin/commerce/config/payment-methods\";}','',250,8,0,'','admin/commerce/config/payment-methods/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:7;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/execute','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:5;i:2;s:37:\"admin/commerce/config/payment-methods\";}','',125,7,0,'','admin/commerce/config/payment-methods/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/payment-methods/manage/%/export','a:1:{i:5;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:5;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:5;i:2;s:37:\"admin/commerce/config/payment-methods\";}','',125,7,0,'','admin/commerce/config/payment-methods/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing','','','user_access','a:1:{i:0;s:26:\"administer product pricing\";}','commerce_product_pricing_ui_sell_price_rules','a:0:{}','',15,4,0,'','admin/commerce/config/product-pricing','Product pricing rules','t','','','a:0:{}',6,'Enable and configure product pricing rules and pre-calculation.','',0,'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),('admin/commerce/config/product-pricing/pre-calculation','','','user_access','a:1:{i:0;s:26:\"administer product pricing\";}','drupal_get_form','a:1:{i:0;s:46:\"commerce_product_pre_calculation_settings_form\";}','',31,5,1,'admin/commerce/config/product-pricing','admin/commerce/config/product-pricing','Pre-calculation','t','','','a:0:{}',132,'Configure the price pre-calculation settings.','',5,'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),('admin/commerce/config/product-pricing/rules','','','user_access','a:1:{i:0;s:26:\"administer product pricing\";}','commerce_product_pricing_ui_sell_price_rules','a:0:{}','',31,5,1,'admin/commerce/config/product-pricing','admin/commerce/config/product-pricing','List','t','','','a:0:{}',140,'Administer the rules used for calculating product sell prices.','',0,'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),('admin/commerce/config/product-pricing/rules/add','','','user_access','a:1:{i:0;s:26:\"administer product pricing\";}','drupal_get_form','a:2:{i:0;s:49:\"commerce_product_pricing_ui_add_pricing_rule_form\";i:1;s:43:\"admin/commerce/config/product-pricing/rules\";}','',63,6,0,'','admin/commerce/config/product-pricing/rules/add','Add a pricing rule','t','','','a:0:{}',6,'Adds an additional sell price calculation rule configuration.','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/commerce/config/product-pricing/rules/manage/%','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:6;i:2;s:43:\"admin/commerce/config/product-pricing/rules\";}','',126,7,0,'','admin/commerce/config/product-pricing/rules/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/%','a:2:{i:6;s:17:\"rules_config_load\";i:7;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:6;i:2;i:7;i:3;s:43:\"admin/commerce/config/product-pricing/rules\";}','',252,8,0,'','admin/commerce/config/product-pricing/rules/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/add/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:43:\"admin/commerce/config/product-pricing/rules\";}','',506,9,0,'','admin/commerce/config/product-pricing/rules/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:9;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/add/event','a:1:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:6;i:2;s:43:\"admin/commerce/config/product-pricing/rules\";}','',507,9,0,'','admin/commerce/config/product-pricing/rules/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/autocomplete','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}','',253,8,0,'','admin/commerce/config/product-pricing/rules/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/clone','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:6;i:2;s:43:\"admin/commerce/config/product-pricing/rules\";}','',253,8,0,'','admin/commerce/config/product-pricing/rules/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/delete/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:6;i:2;i:8;i:3;s:43:\"admin/commerce/config/product-pricing/rules\";}','',506,9,0,'','admin/commerce/config/product-pricing/rules/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/delete/event','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:6;i:2;i:9;i:3;s:43:\"admin/commerce/config/product-pricing/rules\";}','',507,9,0,'','admin/commerce/config/product-pricing/rules/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/edit/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:6;i:2;i:8;i:3;s:43:\"admin/commerce/config/product-pricing/rules\";}','',506,9,0,'','admin/commerce/config/product-pricing/rules/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/execute','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:6;i:2;s:43:\"admin/commerce/config/product-pricing/rules\";}','',253,8,0,'','admin/commerce/config/product-pricing/rules/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/product-pricing/rules/manage/%/export','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:6;i:2;s:43:\"admin/commerce/config/product-pricing/rules\";}','',253,8,0,'','admin/commerce/config/product-pricing/rules/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/commerce/config/taxes','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_overview','a:1:{i:0;s:5:\"rates\";}','',15,4,0,'','admin/commerce/config/taxes','Taxes','t','','','a:0:{}',6,'Manage tax rates and types.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/rates','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_overview','a:1:{i:0;s:5:\"rates\";}','',31,5,1,'admin/commerce/config/taxes','admin/commerce/config/taxes','Tax rates','t','','','a:0:{}',140,'Manage tax rates.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/rates/add','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_tax_rate_add_form_wrapper','a:1:{i:0;a:12:{s:4:\"name\";s:0:\"\";s:5:\"title\";s:0:\"\";s:13:\"display_title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"rate\";i:0;s:4:\"type\";s:0:\"\";s:23:\"default_rules_component\";b:1;s:13:\"tax_component\";s:0:\"\";s:10:\"admin_list\";b:1;s:20:\"calculation_callback\";s:27:\"commerce_tax_rate_calculate\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:6:\"is_new\";b:1;}}','',63,6,1,'admin/commerce/config/taxes/rates','admin/commerce/config/taxes','Add a tax rate','t','','','a:0:{}',388,'Create a new tax rate.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_overview','a:1:{i:0;s:5:\"types\";}','',31,5,1,'admin/commerce/config/taxes','admin/commerce/config/taxes','Tax types','t','','','a:0:{}',132,'Manage tax types.','',5,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/add','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','drupal_get_form','a:2:{i:0;s:29:\"commerce_tax_ui_tax_type_form\";i:1;a:9:{s:4:\"name\";s:0:\"\";s:5:\"title\";s:0:\"\";s:13:\"display_title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:17:\"display_inclusive\";b:0;s:10:\"round_mode\";i:0;s:10:\"admin_list\";b:1;s:6:\"module\";s:15:\"commerce_tax_ui\";s:6:\"is_new\";b:1;}}','',63,6,1,'admin/commerce/config/taxes/types','admin/commerce/config/taxes','Add a tax type','t','','','a:0:{}',388,'Create a new tax type.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/sales-tax','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','drupal_get_form','a:2:{i:0;s:29:\"commerce_tax_ui_tax_type_form\";i:1;a:9:{s:4:\"name\";s:9:\"sales_tax\";s:13:\"display_title\";s:9:\"Sales tax\";s:11:\"description\";s:73:\"A basic type for taxes that do not display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"0\";s:10:\"round_mode\";s:1:\"0\";s:4:\"rule\";s:27:\"commerce_tax_type_sales_tax\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:9:\"Sales tax\";s:10:\"admin_list\";b:1;}}','',63,6,0,'','admin/commerce/config/taxes/types/sales-tax','','commerce_tax_ui_tax_type_title','a:1:{i:0;s:9:\"sales_tax\";}','','a:0:{}',6,'Edit a tax type.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/sales-tax/delete','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_tax_type_delete_form_wrapper','a:1:{i:0;a:9:{s:4:\"name\";s:9:\"sales_tax\";s:13:\"display_title\";s:9:\"Sales tax\";s:11:\"description\";s:73:\"A basic type for taxes that do not display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"0\";s:10:\"round_mode\";s:1:\"0\";s:4:\"rule\";s:27:\"commerce_tax_type_sales_tax\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:9:\"Sales tax\";s:10:\"admin_list\";b:1;}}','',127,7,2,'admin/commerce/config/taxes/types/sales-tax','admin/commerce/config/taxes/types/sales-tax','Delete','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/sales-tax/edit','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','drupal_get_form','a:2:{i:0;s:29:\"commerce_tax_ui_tax_type_form\";i:1;a:9:{s:4:\"name\";s:9:\"sales_tax\";s:13:\"display_title\";s:9:\"Sales tax\";s:11:\"description\";s:73:\"A basic type for taxes that do not display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"0\";s:10:\"round_mode\";s:1:\"0\";s:4:\"rule\";s:27:\"commerce_tax_type_sales_tax\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:9:\"Sales tax\";s:10:\"admin_list\";b:1;}}','',127,7,3,'admin/commerce/config/taxes/types/sales-tax','admin/commerce/config/taxes/types/sales-tax','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/sales-tax/rule','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_goto','a:1:{i:0;s:71:\"admin/config/workflow/rules/reaction/manage/commerce_tax_type_sales_tax\";}','',127,7,2,'admin/commerce/config/taxes/types/sales-tax','admin/commerce/config/taxes/types/sales-tax','Configure rule','t','','','a:0:{}',132,'Add conditions to the rule used to apply taxes of this type to products.','',5,''),('admin/commerce/config/taxes/types/vat','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','drupal_get_form','a:2:{i:0;s:29:\"commerce_tax_ui_tax_type_form\";i:1;a:9:{s:4:\"name\";s:3:\"vat\";s:13:\"display_title\";s:3:\"VAT\";s:11:\"description\";s:66:\"A basic type for taxes that display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"1\";s:10:\"round_mode\";s:1:\"1\";s:4:\"rule\";s:21:\"commerce_tax_type_vat\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:3:\"VAT\";s:10:\"admin_list\";b:1;}}','',63,6,0,'','admin/commerce/config/taxes/types/vat','','commerce_tax_ui_tax_type_title','a:1:{i:0;s:3:\"vat\";}','','a:0:{}',6,'Edit a tax type.','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/vat/delete','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','commerce_tax_ui_tax_type_delete_form_wrapper','a:1:{i:0;a:9:{s:4:\"name\";s:3:\"vat\";s:13:\"display_title\";s:3:\"VAT\";s:11:\"description\";s:66:\"A basic type for taxes that display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"1\";s:10:\"round_mode\";s:1:\"1\";s:4:\"rule\";s:21:\"commerce_tax_type_vat\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:3:\"VAT\";s:10:\"admin_list\";b:1;}}','',127,7,2,'admin/commerce/config/taxes/types/vat','admin/commerce/config/taxes/types/vat','Delete','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/vat/edit','','','user_access','a:1:{i:0;s:16:\"administer taxes\";}','drupal_get_form','a:2:{i:0;s:29:\"commerce_tax_ui_tax_type_form\";i:1;a:9:{s:4:\"name\";s:3:\"vat\";s:13:\"display_title\";s:3:\"VAT\";s:11:\"description\";s:66:\"A basic type for taxes that display inclusive with product prices.\";s:17:\"display_inclusive\";s:1:\"1\";s:10:\"round_mode\";s:1:\"1\";s:4:\"rule\";s:21:\"commerce_tax_type_vat\";s:6:\"module\";s:15:\"commerce_tax_ui\";s:5:\"title\";s:3:\"VAT\";s:10:\"admin_list\";b:1;}}','',127,7,3,'admin/commerce/config/taxes/types/vat','admin/commerce/config/taxes/types/vat','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),('admin/commerce/config/taxes/types/vat/rule','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_goto','a:1:{i:0;s:65:\"admin/config/workflow/rules/reaction/manage/commerce_tax_type_vat\";}','',127,7,2,'admin/commerce/config/taxes/types/vat','admin/commerce/config/taxes/types/vat','Configure rule','t','','','a:0:{}',132,'Add conditions to the rule used to apply taxes of this type to products.','',5,''),('admin/commerce/customer-profiles','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:45:\"administer commerce_customer_profile entities\";}}}','views_page','a:2:{i:0;s:26:\"commerce_customer_profiles\";i:1;s:6:\"page_1\";}','',7,3,0,'','admin/commerce/customer-profiles','Customer profiles','t','','','a:0:{}',6,'Manage customer profiles and profile types in the store.','',0,''),('admin/commerce/customer-profiles/%','a:1:{i:3;s:30:\"commerce_customer_profile_load\";}','','commerce_customer_profile_access','a:2:{i:0;s:6:\"update\";i:1;i:3;}','commerce_customer_ui_customer_profile_form_wrapper','a:1:{i:0;i:3;}','',14,4,3,'','admin/commerce/customer-profiles/%','','commerce_customer_ui_customer_profile_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),('admin/commerce/customer-profiles/%/delete','a:1:{i:3;s:30:\"commerce_customer_profile_load\";}','','commerce_customer_profile_access','a:2:{i:0;s:6:\"delete\";i:1;i:3;}','commerce_customer_ui_customer_profile_delete_form_wrapper','a:1:{i:0;i:3;}','',29,5,2,'admin/commerce/customer-profiles/%','admin/commerce/customer-profiles/%','Delete a customer profile','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),('admin/commerce/customer-profiles/%/edit','a:1:{i:3;s:30:\"commerce_customer_profile_load\";}','','commerce_customer_profile_access','a:2:{i:0;s:6:\"update\";i:1;i:3;}','commerce_customer_ui_customer_profile_form_wrapper','a:1:{i:0;i:3;}','',29,5,3,'admin/commerce/customer-profiles/%','admin/commerce/customer-profiles/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),('admin/commerce/customer-profiles/add','','','commerce_customer_ui_customer_profile_add_any_access','a:0:{}','commerce_customer_ui_customer_profile_add_page','a:0:{}','',15,4,0,'','admin/commerce/customer-profiles/add','Add a customer profile','t','','','a:0:{}',6,'Add a new customer profile.','',10,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),('admin/commerce/customer-profiles/add/billing','','','commerce_customer_profile_access','a:2:{i:0;s:6:\"create\";i:1;O:8:\"stdClass\":8:{s:4:\"type\";s:7:\"billing\";s:3:\"uid\";i:0;s:10:\"profile_id\";N;s:11:\"revision_id\";N;s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:6:\"is_new\";b:1;}}','commerce_customer_ui_customer_profile_form_wrapper','a:1:{i:0;O:8:\"stdClass\":8:{s:4:\"type\";s:7:\"billing\";s:3:\"uid\";i:0;s:10:\"profile_id\";N;s:11:\"revision_id\";N;s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:6:\"is_new\";b:1;}}','',31,5,0,'','admin/commerce/customer-profiles/add/billing','Create @name','t','a:1:{s:5:\"@name\";s:19:\"Billing information\";}','','a:0:{}',6,'The profile used to collect billing information on the checkout and order forms.','',0,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),('admin/commerce/customer-profiles/list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:45:\"administer commerce_customer_profile entities\";}}}','views_page','a:2:{i:0;s:26:\"commerce_customer_profiles\";i:1;s:6:\"page_1\";}','',15,4,1,'admin/commerce/customer-profiles','admin/commerce/customer-profiles','List','t','','','a:0:{}',140,'','',-10,''),('admin/commerce/customer-profiles/types','','','user_access','a:1:{i:0;s:33:\"administer customer profile types\";}','commerce_customer_ui_customer_profile_types_overview','a:0:{}','',15,4,1,'admin/commerce/customer-profiles','admin/commerce/customer-profiles','Profile types','t','','','a:0:{}',132,'Manage customer profile types for your store.','',0,'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profile_types.inc'),('admin/commerce/customer-profiles/types/billing','','','user_access','a:1:{i:0;s:33:\"administer customer profile types\";}','commerce_customer_ui_profile_type_redirect','a:1:{i:0;s:7:\"billing\";}','',31,5,0,'','admin/commerce/customer-profiles/types/billing','Billing information','t','','','a:0:{}',6,'','',0,''),('admin/commerce/customer-profiles/types/billing/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/customer-profiles/types/billing','admin/commerce/customer-profiles/types/billing','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/display/administrator','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:13:\"administrator\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";i:3;s:13:\"administrator\";}','',127,7,1,'admin/commerce/customer-profiles/types/billing/display','admin/commerce/customer-profiles/types/billing','Administrator','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/display/customer','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:8:\"customer\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";i:3;s:8:\"customer\";}','',127,7,1,'admin/commerce/customer-profiles/types/billing/display','admin/commerce/customer-profiles/types/billing','Customer','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/customer-profiles/types/billing/display','admin/commerce/customer-profiles/types/billing','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/customer-profiles/types/billing/display','admin/commerce/customer-profiles/types/billing','Tokens','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:25:\"commerce_customer_profile\";i:2;s:7:\"billing\";}','',63,6,3,'admin/commerce/customer-profiles/types/billing','admin/commerce/customer-profiles/types/billing','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/customer-profiles/types/billing/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/customer-profiles/types/billing/fields/%','admin/commerce/customer-profiles/types/billing/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/customer-profiles/types/billing/fields/%','admin/commerce/customer-profiles/types/billing/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/customer-profiles/types/billing/fields/%','admin/commerce/customer-profiles/types/billing/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:33:\"administer customer profile types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/customer-profiles/types/billing/fields/%','admin/commerce/customer-profiles/types/billing/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/customer-profiles/types/billing/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:33:\"administer customer profile types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/customer-profiles/types/billing/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/customer-profiles/types/billing/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:25:\"commerce_customer_profile\";i:1;s:7:\"billing\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:33:\"administer customer profile types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/customer-profiles/types/billing/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/orders','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:30:\"view any commerce_order entity\";}}}','views_page','a:2:{i:0;s:15:\"commerce_orders\";i:1;s:10:\"admin_page\";}','',7,3,0,'','admin/commerce/orders','Orders','t','','','a:0:{}',6,'Manage orders in the store.','',0,''),('admin/commerce/orders/%','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_order_admin_order_view_access','a:1:{i:0;i:3;}','commerce_order_ui_order_view','a:1:{i:0;i:3;}','',14,4,0,'','admin/commerce/orders/%','','commerce_order_ui_order_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',0,''),('admin/commerce/orders/%/delete','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_order_access','a:2:{i:0;s:6:\"delete\";i:1;i:3;}','commerce_order_ui_order_delete_form_wrapper','a:1:{i:0;i:3;}','',29,5,2,'admin/commerce/orders/%','admin/commerce/orders/%','Delete','t','','','a:0:{}',132,'','',20,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/orders/%/edit','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_order_access','a:2:{i:0;s:6:\"update\";i:1;i:3;}','commerce_order_ui_order_form_wrapper','a:1:{i:0;i:3;}','',29,5,3,'admin/commerce/orders/%','admin/commerce/orders/%','Edit','t','','','a:0:{}',132,'','',-5,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/orders/%/edit/checkout','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_checkout_complete_form_access','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:31:\"commerce_checkout_complete_form\";i:1;i:3;}','',59,6,1,'admin/commerce/orders/%/edit','admin/commerce/orders/%','Simulate checkout completion','t','','','a:0:{}',388,'Directly invokes the checkout completion rules on the order.','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),('admin/commerce/orders/%/edit/refresh','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_cart_order_refresh_form_access','a:1:{i:0;i:3;}','drupal_get_form','a:2:{i:0;s:32:\"commerce_cart_order_refresh_form\";i:1;i:3;}','',59,6,1,'admin/commerce/orders/%/edit','admin/commerce/orders/%','Apply pricing rules','t','','','a:0:{}',388,'Executes the cart order refresh used to apply all current pricing rules on the front end.','',0,'sites/all/modules/commerce/modules/cart/includes/commerce_cart.admin.inc'),('admin/commerce/orders/%/payment','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_payment_transaction_order_access','a:2:{i:0;s:4:\"view\";i:1;i:3;}','commerce_payment_ui_order_tab','a:1:{i:0;i:3;}','',29,5,3,'admin/commerce/orders/%','admin/commerce/orders/%','Payment','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),('admin/commerce/orders/%/payment/%','a:2:{i:3;s:19:\"commerce_order_load\";i:5;s:33:\"commerce_payment_transaction_load\";}','','commerce_payment_transaction_access','a:2:{i:0;s:4:\"view\";i:1;i:5;}','commerce_payment_ui_payment_transaction_view','a:3:{i:0;i:3;i:1;i:5;i:2;s:13:\"administrator\";}','',58,6,0,'','admin/commerce/orders/%/payment/%','','commerce_payment_ui_payment_transaction_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),('admin/commerce/orders/%/payment/%/delete','a:2:{i:3;s:19:\"commerce_order_load\";i:5;s:33:\"commerce_payment_transaction_load\";}','','commerce_payment_transaction_access','a:2:{i:0;s:6:\"delete\";i:1;i:5;}','commerce_payment_ui_payment_transaction_delete_form_wrapper','a:2:{i:0;i:3;i:1;i:5;}','',117,7,2,'admin/commerce/orders/%/payment/%','admin/commerce/orders/%/payment/%','Delete','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),('admin/commerce/orders/%/payment/%/view','a:2:{i:3;s:19:\"commerce_order_load\";i:5;s:33:\"commerce_payment_transaction_load\";}','','commerce_payment_transaction_access','a:2:{i:0;s:4:\"view\";i:1;i:5;}','commerce_payment_ui_payment_transaction_view','a:3:{i:0;i:3;i:1;i:5;i:2;s:13:\"administrator\";}','',117,7,3,'admin/commerce/orders/%/payment/%','admin/commerce/orders/%/payment/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),('admin/commerce/orders/%/revisions','a:1:{i:3;N;}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:34:\"administer commerce_order entities\";}}}','views_page','a:3:{i:0;s:24:\"commerce_order_revisions\";i:1;s:20:\"order_revisions_page\";i:2;i:3;}','',29,5,1,'admin/commerce/orders/%','admin/commerce/orders/%','Revisions','t','','','a:0:{}',132,'View revisions of this order.','',20,''),('admin/commerce/orders/%/view','a:1:{i:3;s:19:\"commerce_order_load\";}','','commerce_order_admin_order_view_access','a:1:{i:0;i:3;}','commerce_order_ui_order_view','a:1:{i:0;i:3;}','',29,5,3,'admin/commerce/orders/%','admin/commerce/orders/%','View','t','','','a:0:{}',140,'','',-10,''),('admin/commerce/orders/add','','','commerce_order_access','a:1:{i:0;s:6:\"create\";}','commerce_order_ui_order_form_wrapper','a:0:{}','',15,4,0,'','admin/commerce/orders/add','Create an order','t','','','a:0:{}',6,'Create a new order.','',10,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/orders/add/%','a:1:{i:4;s:9:\"user_load\";}','','commerce_order_access','a:1:{i:0;s:6:\"create\";}','commerce_order_ui_order_form_wrapper','a:2:{i:0;N;i:1;i:4;}','',30,5,0,'','admin/commerce/orders/add/%','Create an order','t','','','a:0:{}',6,'Create a new order for the specified user.','',0,'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),('admin/commerce/orders/carts','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:30:\"view any commerce_order entity\";}}}','views_page','a:2:{i:0;s:15:\"commerce_orders\";i:1;s:14:\"shopping_carts\";}','',15,4,1,'admin/commerce/orders','admin/commerce/orders','Shopping carts','t','','','a:0:{}',132,'','',0,''),('admin/commerce/orders/list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:30:\"view any commerce_order entity\";}}}','views_page','a:2:{i:0;s:15:\"commerce_orders\";i:1;s:10:\"admin_page\";}','',15,4,1,'admin/commerce/orders','admin/commerce/orders','Orders','t','','','a:0:{}',140,'','',-10,''),('admin/commerce/products','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:36:\"administer commerce_product entities\";}}}','views_page','a:2:{i:0;s:17:\"commerce_products\";i:1;s:10:\"admin_page\";}','',7,3,0,'','admin/commerce/products','Products','t','','','a:0:{}',6,'Manage products and product types in the store.','',0,''),('admin/commerce/products/%','a:1:{i:3;s:21:\"commerce_product_load\";}','','commerce_product_access','a:2:{i:0;s:6:\"update\";i:1;i:3;}','commerce_product_ui_product_form_wrapper','a:1:{i:0;i:3;}','',14,4,3,'','admin/commerce/products/%','','commerce_product_ui_product_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/%/delete','a:1:{i:3;s:21:\"commerce_product_load\";}','','commerce_product_access','a:2:{i:0;s:6:\"delete\";i:1;i:3;}','commerce_product_ui_product_delete_form_wrapper','a:1:{i:0;i:3;}','',29,5,2,'admin/commerce/products/%','admin/commerce/products/%','Delete','t','','','a:0:{}',132,'','',20,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/%/edit','a:1:{i:3;s:21:\"commerce_product_load\";}','','commerce_product_access','a:2:{i:0;s:6:\"update\";i:1;i:3;}','commerce_product_ui_product_form_wrapper','a:1:{i:0;i:3;}','',29,5,3,'admin/commerce/products/%','admin/commerce/products/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/%/revisions','a:1:{i:3;N;}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:36:\"administer commerce_product entities\";}}}','views_page','a:3:{i:0;s:26:\"commerce_product_revisions\";i:1;s:22:\"product_revisions_page\";i:2;i:3;}','',29,5,1,'admin/commerce/products/%','admin/commerce/products/%','Revisions','t','','','a:0:{}',132,'View revisions of this product.','',0,''),('admin/commerce/products/add','','','commerce_product_ui_product_add_any_access','a:0:{}','commerce_product_ui_add_page','a:0:{}','',15,4,0,'','admin/commerce/products/add','Add a product','t','','','a:0:{}',6,'Add a new product for sale.','',10,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/add/commerce-event','','','commerce_product_access','a:2:{i:0;s:6:\"create\";i:1;O:8:\"stdClass\":10:{s:4:\"type\";s:14:\"commerce_event\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','commerce_product_ui_product_form_wrapper','a:1:{i:0;O:8:\"stdClass\":10:{s:4:\"type\";s:14:\"commerce_event\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','',31,5,0,'','admin/commerce/products/add/commerce-event','Create !name','t','a:1:{s:5:\"!name\";s:5:\"Event\";}','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/add/donation','','','commerce_product_access','a:2:{i:0;s:6:\"create\";i:1;O:8:\"stdClass\":10:{s:4:\"type\";s:8:\"donation\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','commerce_product_ui_product_form_wrapper','a:1:{i:0;O:8:\"stdClass\":10:{s:4:\"type\";s:8:\"donation\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','',31,5,0,'','admin/commerce/products/add/donation','Create !name','t','a:1:{s:5:\"!name\";s:8:\"Donation\";}','','a:0:{}',6,'Variable price product','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/add/product','','','commerce_product_access','a:2:{i:0;s:6:\"create\";i:1;O:8:\"stdClass\":10:{s:4:\"type\";s:7:\"product\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','commerce_product_ui_product_form_wrapper','a:1:{i:0;O:8:\"stdClass\":10:{s:4:\"type\";s:7:\"product\";s:10:\"product_id\";N;s:6:\"is_new\";b:1;s:3:\"sku\";s:0:\"\";s:11:\"revision_id\";N;s:5:\"title\";s:0:\"\";s:3:\"uid\";s:0:\"\";s:6:\"status\";i:1;s:7:\"created\";s:0:\"\";s:7:\"changed\";s:0:\"\";}}','',31,5,0,'','admin/commerce/products/add/product','Create !name','t','a:1:{s:5:\"!name\";s:7:\"Product\";}','','a:0:{}',6,'A basic product type.','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),('admin/commerce/products/list','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:36:\"administer commerce_product entities\";}}}','views_page','a:2:{i:0;s:17:\"commerce_products\";i:1;s:10:\"admin_page\";}','',15,4,1,'admin/commerce/products','admin/commerce/products','List','t','','','a:0:{}',140,'','',-10,''),('admin/commerce/products/types','','','user_access','a:1:{i:0;s:24:\"administer product types\";}','commerce_product_ui_types_overview','a:0:{}','',15,4,1,'admin/commerce/products','admin/commerce/products','Product types','t','','','a:0:{}',132,'Manage products types for your store.','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/add','','','user_access','a:1:{i:0;s:24:\"administer product types\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;a:5:{s:4:\"type\";s:0:\"\";s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:8:\"revision\";i:1;}}','',31,5,1,'admin/commerce/products/types','admin/commerce/products','Add product type','t','','','a:0:{}',388,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/commerce-event','','','user_access','a:1:{i:0;s:24:\"administer product types\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;s:14:\"commerce_event\";}','',31,5,0,'','admin/commerce/products/types/commerce-event','Event','t','','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/commerce-event/delete','','','commerce_product_ui_product_type_update_access','a:1:{i:0;s:14:\"commerce_event\";}','commerce_product_ui_product_type_delete_form_wrapper','a:1:{i:0;s:14:\"commerce_event\";}','',63,6,2,'admin/commerce/products/types/commerce-event','admin/commerce/products/types/commerce-event','Delete','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/commerce-event/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/products/types/commerce-event','admin/commerce/products/types/commerce-event','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/commerce_line_item_display','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:26:\"commerce_line_item_display\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:26:\"commerce_line_item_display\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Commerce Line item: Display','t','','','a:0:{}',132,'','',12,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/commerce_line_item_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:24:\"commerce_line_item_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:24:\"commerce_line_item_token\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Commerce Line item: Tokens','t','','','a:0:{}',132,'','',13,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:4:\"full\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Admin display','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/line_item','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:9:\"line_item\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:9:\"line_item\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Line item','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_email_html','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:15:\"node_email_html\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:15:\"node_email_html\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Email: HTML','t','','','a:0:{}',132,'','',9,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_email_plain','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:16:\"node_email_plain\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:16:\"node_email_plain\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Email: Plain','t','','','a:0:{}',132,'','',8,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_email_textalt','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:18:\"node_email_textalt\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:18:\"node_email_textalt\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Email: HTML text alternative','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:9:\"node_full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:9:\"node_full\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Full content','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_rss','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:8:\"node_rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:8:\"node_rss\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: RSS','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_search_index','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:17:\"node_search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:17:\"node_search_index\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Search index','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_search_result','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:18:\"node_search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:18:\"node_search_result\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Search result highlighting input','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_teaser','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:11:\"node_teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:11:\"node_teaser\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Teaser','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/node_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:10:\"node_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:10:\"node_token\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Node: Tokens','t','','','a:0:{}',132,'','',11,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/products/types/commerce-event/display','admin/commerce/products/types/commerce-event','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/edit','','','commerce_product_ui_product_type_update_access','a:1:{i:0;s:14:\"commerce_event\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;s:14:\"commerce_event\";}','',63,6,3,'admin/commerce/products/types/commerce-event','admin/commerce/products/types/commerce-event','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/commerce-event/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";}','',63,6,3,'admin/commerce/products/types/commerce-event','admin/commerce/products/types/commerce-event','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/products/types/commerce-event/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/commerce-event/fields/%','admin/commerce/products/types/commerce-event/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/commerce-event/fields/%','admin/commerce/products/types/commerce-event/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/commerce-event/fields/%','admin/commerce/products/types/commerce-event/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/commerce-event/fields/%','admin/commerce/products/types/commerce-event/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/commerce-event/fields/replace/%','a:1:{i:7;N;}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:16:\"commerce_product\";i:2;s:14:\"commerce_event\";i:3;i:7;}','',254,8,0,'','admin/commerce/products/types/commerce-event/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/commerce/products/types/commerce-event/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/commerce-event/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/products/types/commerce-event/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:14:\"commerce_event\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/commerce-event/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/products/types/donation','','','user_access','a:1:{i:0;s:24:\"administer product types\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;s:8:\"donation\";}','',31,5,0,'','admin/commerce/products/types/donation','Donation','t','','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/donation/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/products/types/donation','admin/commerce/products/types/donation','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/commerce_line_item_display','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:26:\"commerce_line_item_display\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:26:\"commerce_line_item_display\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Commerce Line item: Display','t','','','a:0:{}',132,'','',12,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/commerce_line_item_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:24:\"commerce_line_item_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:24:\"commerce_line_item_token\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Commerce Line item: Tokens','t','','','a:0:{}',132,'','',13,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:4:\"full\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Admin display','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/line_item','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:9:\"line_item\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:9:\"line_item\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Line item','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_email_html','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:15:\"node_email_html\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:15:\"node_email_html\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Email: HTML','t','','','a:0:{}',132,'','',9,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_email_plain','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:16:\"node_email_plain\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:16:\"node_email_plain\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Email: Plain','t','','','a:0:{}',132,'','',8,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_email_textalt','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:18:\"node_email_textalt\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:18:\"node_email_textalt\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Email: HTML text alternative','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:9:\"node_full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:9:\"node_full\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Full content','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_rss','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:8:\"node_rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:8:\"node_rss\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: RSS','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_search_index','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:17:\"node_search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:17:\"node_search_index\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Search index','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_search_result','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:18:\"node_search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:18:\"node_search_result\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Search result highlighting input','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_teaser','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:11:\"node_teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:11:\"node_teaser\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Teaser','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/node_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:10:\"node_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:10:\"node_token\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Node: Tokens','t','','','a:0:{}',132,'','',11,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/products/types/donation/display','admin/commerce/products/types/donation','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";}','',63,6,3,'admin/commerce/products/types/donation','admin/commerce/products/types/donation','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/products/types/donation/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/donation/fields/%','admin/commerce/products/types/donation/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/donation/fields/%','admin/commerce/products/types/donation/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/donation/fields/%','admin/commerce/products/types/donation/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/donation/fields/%','admin/commerce/products/types/donation/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/donation/fields/replace/%','a:1:{i:7;N;}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:16:\"commerce_product\";i:2;s:8:\"donation\";i:3;i:7;}','',254,8,0,'','admin/commerce/products/types/donation/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/commerce/products/types/donation/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/donation/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/products/types/donation/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:8:\"donation\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/donation/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/products/types/product','','','user_access','a:1:{i:0;s:24:\"administer product types\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;s:7:\"product\";}','',31,5,0,'','admin/commerce/products/types/product','Product','t','','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/product/delete','','','commerce_product_ui_product_type_update_access','a:1:{i:0;s:7:\"product\";}','commerce_product_ui_product_type_delete_form_wrapper','a:1:{i:0;s:7:\"product\";}','',63,6,2,'admin/commerce/products/types/product','admin/commerce/products/types/product','Delete','t','','','a:0:{}',132,'','',10,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/product/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:7:\"default\";}','',63,6,3,'admin/commerce/products/types/product','admin/commerce/products/types/product','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/commerce_line_item_display','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:26:\"commerce_line_item_display\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:26:\"commerce_line_item_display\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Commerce Line item: Display','t','','','a:0:{}',132,'','',12,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/commerce_line_item_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:24:\"commerce_line_item_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:24:\"commerce_line_item_token\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Commerce Line item: Tokens','t','','','a:0:{}',132,'','',13,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:7:\"default\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:4:\"full\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Admin display','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/line_item','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:9:\"line_item\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:9:\"line_item\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Line item','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_email_html','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:15:\"node_email_html\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:15:\"node_email_html\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Email: HTML','t','','','a:0:{}',132,'','',9,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_email_plain','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:16:\"node_email_plain\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:16:\"node_email_plain\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Email: Plain','t','','','a:0:{}',132,'','',8,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_email_textalt','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:18:\"node_email_textalt\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:18:\"node_email_textalt\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Email: HTML text alternative','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:9:\"node_full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:9:\"node_full\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Full content','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_rss','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:8:\"node_rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:8:\"node_rss\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: RSS','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_search_index','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:17:\"node_search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:17:\"node_search_index\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Search index','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_search_result','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:18:\"node_search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:18:\"node_search_result\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Search result highlighting input','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_teaser','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:11:\"node_teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:11:\"node_teaser\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Teaser','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/node_token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:10:\"node_token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:10:\"node_token\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Node: Tokens','t','','','a:0:{}',132,'','',11,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;s:5:\"token\";}','',127,7,1,'admin/commerce/products/types/product/display','admin/commerce/products/types/product','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/edit','','','commerce_product_ui_product_type_update_access','a:1:{i:0;s:7:\"product\";}','commerce_product_ui_product_type_form_wrapper','a:1:{i:0;s:7:\"product\";}','',63,6,3,'admin/commerce/products/types/product','admin/commerce/products/types/product','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),('admin/commerce/products/types/product/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";}','',63,6,3,'admin/commerce/products/types/product','admin/commerce/products/types/product','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/commerce/products/types/product/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/product/fields/%','admin/commerce/products/types/product/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/product/fields/%','admin/commerce/products/types/product/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/product/fields/%','admin/commerce/products/types/product/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer product types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/commerce/products/types/product/fields/%','admin/commerce/products/types/product/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/commerce/products/types/product/fields/replace/%','a:1:{i:7;N;}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:16:\"commerce_product\";i:2;s:7:\"product\";i:3;i:7;}','',254,8,0,'','admin/commerce/products/types/product/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/commerce/products/types/product/groups/%/delete','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/product/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/commerce/products/types/product/groups/%/enable','a:1:{i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:16:\"commerce_product\";i:1;s:7:\"product\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer product types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',253,8,0,'','admin/commerce/products/types/product/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/exclude_node_title','','','user_access','a:1:{i:0;s:29:\"administer exclude node title\";}','drupal_get_form','a:1:{i:0;s:33:\"exclude_node_title_admin_settings\";}','',15,4,0,'','admin/config/content/exclude_node_title','Exclude Node Title','t','','','a:0:{}',6,'Exclude Node Title from display','',0,'sites/all/modules/exclude_node_title/exclude_node_title.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/tagclouds','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:18:\"tagclouds_settings\";}','',15,4,0,'','admin/config/content/tagclouds','TagClouds configuration','t','','','a:0:{}',6,'Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','',0,''),('admin/config/content/title','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"title_admin_settings_form\";}','',15,4,0,'','admin/config/content/title','Title settings','t','','','a:0:{}',6,'Settings for the Title module.','',0,'sites/all/modules/title/title.admin.inc'),('admin/config/content/webform','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:22:\"webform_admin_settings\";}','',15,4,0,'','admin/config/content/webform','Webform settings','t','','','a:0:{}',6,'Global configuration of webform functionality.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/devel','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"devel_admin_settings\";}','',15,4,0,'','admin/config/development/devel','Devel settings','t','','','a:0:{}',6,'Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/en/admin/structure/block\">block administration</a> page.','',0,'sites/all/modules/devel/devel.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/vef','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','system_admin_menu_block_page','a:0:{}','',15,4,0,'','admin/config/media/vef','Video Embed Field','t','','','a:0:{}',6,'Video Embed Field configuration','',0,'modules/system/system.admin.inc'),('admin/config/media/vef/settings','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','drupal_get_form','a:1:{i:0;s:31:\"video_embed_field_settings_form\";}','',31,5,0,'','admin/config/media/vef/settings','Settings','t','','','a:0:{}',6,'Video Embed Field module settings','',0,'sites/all/modules/video_embed_field/video_embed_field.admin.inc'),('admin/config/media/vef/vef_video_styles','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',31,5,0,'','admin/config/media/vef/vef_video_styles','Video Embed Styles','t','','','a:0:{}',6,'Administer Video Embed Field\'s video styles.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',126,7,0,'','admin/config/media/vef/vef_video_styles/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/clone','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/delete','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/disable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/edit','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/enable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/export','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/revert','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"revert\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk generate','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/services/sharethis','','','user_access','a:1:{i:0;s:20:\"administer sharethis\";}','drupal_get_form','a:1:{i:0;s:28:\"sharethis_configuration_form\";}','',15,4,0,'','admin/config/services/sharethis','ShareThis','t','','','a:0:{}',6,'Choose the widget, button family, and services for using ShareThis to share content online.','',0,'sites/all/modules/sharethis/sharethis.admin.inc'),('admin/config/services/simplenews','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:27:\"simplenews_admin_categories\";}','',15,4,0,'','admin/config/services/simplenews','Newsletters','t','','','a:0:{}',6,'Configure your sites newsletters.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:30:\"simplenews_admin_category_form\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Add newsletter category','t','','','a:0:{}',388,'','',-9,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:27:\"simplenews_admin_categories\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Newsletters','t','','','a:0:{}',140,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories/%/delete','a:1:{i:5;s:24:\"simplenews_category_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:32:\"simplenews_admin_category_delete\";i:1;i:5;}','',125,7,0,'','admin/config/services/simplenews/categories/%/delete','Newsletters','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories/%/edit','a:1:{i:5;s:24:\"simplenews_category_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:30:\"simplenews_admin_category_form\";i:1;i:5;}','',125,7,0,'','admin/config/services/simplenews/categories/%/edit','Newsletters','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:36:\"simplenews_admin_settings_newsletter\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Settings','t','','','a:0:{}',132,'Simplenews settings.','',20,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/mail','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:30:\"simplenews_admin_settings_mail\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Send mail','t','','','a:0:{}',132,'Send mail, cron and debug options.','',-5,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/newsletter','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:36:\"simplenews_admin_settings_newsletter\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Newsletter','t','','','a:0:{}',140,'','',-15,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/subscription','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:38:\"simplenews_admin_settings_subscription\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Subscription','t','','','a:0:{}',132,'Subscription settings, opt-in/out confirmation email text.','',-10,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/config/workflow/rules','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:29:\"rules_admin_reaction_overview\";i:1;s:36:\"admin/config/workflow/rules/reaction\";}','',15,4,0,'','admin/config/workflow/rules','Rules','t','','','a:0:{}',6,'Manage reaction rules and rule components.','right',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/autocomplete_tags','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','rules_autocomplete_tags','a:1:{i:0;i:5;}','',31,5,0,'','admin/config/workflow/rules/autocomplete_tags','Rules tags autocomplete','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:31:\"rules_admin_components_overview\";i:1;s:38:\"admin/config/workflow/rules/components\";}','',31,5,1,'admin/config/workflow/rules','admin/config/workflow/rules','Components','t','','','a:0:{}',132,'','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/components/add','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:25:\"rules_admin_add_component\";i:1;s:38:\"admin/config/workflow/rules/components\";}','',63,6,1,'admin/config/workflow/rules/components','admin/config/workflow/rules','Add new component','t','','','a:0:{}',388,'','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/components/import','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:20:\"rules_ui_import_form\";i:1;s:38:\"admin/config/workflow/rules/components\";}','',63,6,1,'admin/config/workflow/rules/components','admin/config/workflow/rules','Import component','t','','','a:0:{}',388,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:6;i:2;s:38:\"admin/config/workflow/rules/components\";}','',126,7,0,'','admin/config/workflow/rules/components/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/%','a:2:{i:6;s:17:\"rules_config_load\";i:7;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:6;i:2;i:7;i:3;s:38:\"admin/config/workflow/rules/components\";}','',252,8,0,'','admin/config/workflow/rules/components/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/add/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:38:\"admin/config/workflow/rules/components\";}','',506,9,0,'','admin/config/workflow/rules/components/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:9;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/add/event','a:1:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:6;i:2;s:38:\"admin/config/workflow/rules/components\";}','',507,9,0,'','admin/config/workflow/rules/components/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/autocomplete','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}','',253,8,0,'','admin/config/workflow/rules/components/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/clone','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:6;i:2;s:38:\"admin/config/workflow/rules/components\";}','',253,8,0,'','admin/config/workflow/rules/components/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/delete/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:6;i:2;i:8;i:3;s:38:\"admin/config/workflow/rules/components\";}','',506,9,0,'','admin/config/workflow/rules/components/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/delete/event','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:6;i:2;i:9;i:3;s:38:\"admin/config/workflow/rules/components\";}','',507,9,0,'','admin/config/workflow/rules/components/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/edit/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:6;i:2;i:8;i:3;s:38:\"admin/config/workflow/rules/components\";}','',506,9,0,'','admin/config/workflow/rules/components/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/execute','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:6;i:2;s:38:\"admin/config/workflow/rules/components\";}','',253,8,0,'','admin/config/workflow/rules/components/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/components/manage/%/export','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:6;i:2;s:38:\"admin/config/workflow/rules/components\";}','',253,8,0,'','admin/config/workflow/rules/components/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:29:\"rules_admin_reaction_overview\";i:1;s:36:\"admin/config/workflow/rules/reaction\";}','',31,5,1,'admin/config/workflow/rules','admin/config/workflow/rules','Rules','t','','','a:0:{}',140,'','',-1,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/reaction/add','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:29:\"rules_admin_add_reaction_rule\";i:1;s:36:\"admin/config/workflow/rules/reaction\";}','',63,6,1,'admin/config/workflow/rules/reaction','admin/config/workflow/rules','Add new rule','t','','','a:0:{}',388,'','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/reaction/import','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:2:{i:0;s:20:\"rules_ui_import_form\";i:1;s:36:\"admin/config/workflow/rules/reaction\";}','',63,6,1,'admin/config/workflow/rules/reaction','admin/config/workflow/rules','Import rule','t','','','a:0:{}',388,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:31:\"rules_ui_form_edit_rules_config\";i:1;i:6;i:2;s:36:\"admin/config/workflow/rules/reaction\";}','',126,7,0,'','admin/config/workflow/rules/reaction/manage/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',4,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/%','a:2:{i:6;s:17:\"rules_config_load\";i:7;N;}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:37:\"rules_ui_form_rules_config_confirm_op\";i:1;i:6;i:2;i:7;i:3;s:36:\"admin/config/workflow/rules/reaction\";}','',252,8,0,'','admin/config/workflow/rules/reaction/manage/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/add/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:5:{i:0;s:20:\"rules_ui_add_element\";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:36:\"admin/config/workflow/rules/reaction\";}','',506,9,0,'','admin/config/workflow/rules/reaction/manage/%/add/%','','rules_menu_add_element_title','a:1:{i:0;a:1:{i:0;i:9;}}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/add/event','a:1:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:23:\"rules_ui_add_event_page\";i:1;i:6;i:2;s:36:\"admin/config/workflow/rules/reaction\";}','',507,9,0,'','admin/config/workflow/rules/reaction/manage/%/add/event','','rules_get_title','a:2:{i:0;s:32:\"Adding event to !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/autocomplete','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','rules_ui_form_data_selection_auto_completion','a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}','',253,8,0,'','admin/config/workflow/rules/reaction/manage/%/autocomplete','','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/clone','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:32:\"rules_ui_form_clone_rules_config\";i:1;i:6;i:2;s:36:\"admin/config/workflow/rules/reaction\";}','',253,8,0,'','admin/config/workflow/rules/reaction/manage/%/clone','','rules_get_title','a:2:{i:0;s:24:\"Cloning !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/delete/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:23:\"rules_ui_delete_element\";i:1;i:6;i:2;i:8;i:3;s:36:\"admin/config/workflow/rules/reaction\";}','',506,9,0,'','admin/config/workflow/rules/reaction/manage/%/delete/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/delete/event','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_remove_event\";i:1;i:6;i:2;i:9;i:3;s:36:\"admin/config/workflow/rules/reaction\";}','',507,9,0,'','admin/config/workflow/rules/reaction/manage/%/delete/event','Remove event','t','','','a:0:{}',6,'Remove an event from a reaction rule.','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/edit/%','a:2:{i:6;a:1:{s:17:\"rules_config_load\";a:1:{i:0;i:6;}}i:8;a:1:{s:18:\"rules_element_load\";a:1:{i:0;i:6;}}}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:4:{i:0;s:21:\"rules_ui_edit_element\";i:1;i:6;i:2;i:8;i:3;s:36:\"admin/config/workflow/rules/reaction\";}','',506,9,0,'','admin/config/workflow/rules/reaction/manage/%/edit/%','','rules_get_title','a:2:{i:0;s:24:\"Editing !plugin \"!label\"\";i:1;i:8;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/execute','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:6:\"update\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:34:\"rules_ui_form_execute_rules_config\";i:1;i:6;i:2;s:36:\"admin/config/workflow/rules/reaction\";}','',253,8,0,'','admin/config/workflow/rules/reaction/manage/%/execute','','rules_get_title','a:2:{i:0;s:26:\"Executing !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/reaction/manage/%/export','a:1:{i:6;s:17:\"rules_config_load\";}','','rules_config_access','a:2:{i:0;s:4:\"view\";i:1;i:6;}','drupal_get_form','a:3:{i:0;s:33:\"rules_ui_form_export_rules_config\";i:1;i:6;i:2;s:36:\"admin/config/workflow/rules/reaction\";}','',253,8,0,'','admin/config/workflow/rules/reaction/manage/%/export','','rules_get_title','a:2:{i:0;s:26:\"Export of !plugin \"!label\"\";i:1;i:6;}','','a:0:{}',6,'','',0,'sites/all/modules/rules/ui/ui.forms.inc'),('admin/config/workflow/rules/settings','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:20:\"rules_admin_settings\";}','',31,5,1,'admin/config/workflow/rules','admin/config/workflow/rules','Settings','t','','','a:0:{}',132,'','',1,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:29:\"rules_admin_settings_advanced\";}','',63,6,1,'admin/config/workflow/rules/settings','admin/config/workflow/rules','Advanced','t','','','a:0:{}',132,'','',0,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:20:\"rules_admin_settings\";}','',63,6,1,'admin/config/workflow/rules/settings','admin/config/workflow/rules','Basic','t','','','a:0:{}',140,'','',-10,'sites/all/modules/rules/rules_admin/rules_admin.inc'),('admin/config/workflow/rules/upgrade','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:18:\"rules_upgrade_form\";}','',31,5,0,'','admin/config/workflow/rules/upgrade','Upgrade','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/includes/rules.upgrade.inc'),('admin/config/workflow/rules/upgrade/clear','','','user_access','a:1:{i:0;s:16:\"administer rules\";}','drupal_get_form','a:1:{i:0;s:32:\"rules_upgrade_confirm_clear_form\";}','',63,6,0,'','admin/config/workflow/rules/upgrade/clear','Clear','t','','','a:0:{}',0,'','',0,'sites/all/modules/rules/includes/rules.upgrade.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/blocks','','','user_access','a:1:{i:0;s:20:\"access bean overview\";}','bean_list','a:0:{}','',7,3,1,'admin/content','admin/content','Blocks','t','','','a:0:{}',134,'Manage blocks used on your site.','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/content/simplenews','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:34:\"simplenews_admin_newsletter_issues\";}','',7,3,1,'admin/content','admin/content','Newsletters','t','','','a:0:{}',132,'List newsletters and newsletter sent status.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/content/simplenews/subscriptions/delete','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:47:\"simplenews_subscription_multiple_delete_confirm\";}','',31,5,0,'','admin/content/simplenews/subscriptions/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/content/webform','','','user_access','a:1:{i:0;s:26:\"access all webform results\";}','webform_admin_content','a:0:{}','',7,3,1,'admin/content','admin/content','Webforms','t','','','a:0:{}',132,'View and edit all the available webforms on your site.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_checkout','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_checkout','commerce_checkout','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_customer_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_customer_ui','commerce_customer_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_line_item_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_line_item_ui','commerce_line_item_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_order_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_order_ui','commerce_order_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_payment_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_payment_ui','commerce_payment_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_product_pricing_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_product_pricing_ui','commerce_product_pricing_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_product_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_product_ui','commerce_product_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/commerce_tax_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/commerce_tax_ui','commerce_tax_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contact','contact','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context','context','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_layouts','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_layouts','context_layouts','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_ui','context_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/devel','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/devel','devel','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_collection','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_collection','field_collection','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jcarousel','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jcarousel','jcarousel','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/libraries','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/libraries','libraries','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quicktabs','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quicktabs','quicktabs','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/rules','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/rules','rules','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/sharethis','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/sharethis','sharethis','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/simplenews','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/simplenews','simplenews','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/title','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/title','title','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/webform','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/webform','webform','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/simplenews','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:29:\"simplenews_admin_subscription\";}','',7,3,1,'admin/people','admin/people','Newsletter subscriptions','t','','','a:0:{}',132,'Newsletter subscription management.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/export','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:35:\"simplenews_subscription_list_export\";}','',15,4,1,'admin/people/simplenews','admin/people','Export','t','','','a:0:{}',388,'','',10,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/import','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:32:\"simplenews_subscription_list_add\";}','',15,4,1,'admin/people/simplenews','admin/people','Mass subscribe','t','','','a:0:{}',388,'','',8,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/unsubscribe','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:35:\"simplenews_subscription_list_remove\";}','',15,4,1,'admin/people/simplenews','admin/people','Mass unsubscribe','t','','','a:0:{}',388,'','',9,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/users/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:2:{i:0;s:35:\"simplenews_subscriptions_admin_form\";i:1;i:5;}','',62,6,0,'','admin/people/simplenews/users/edit/%','Subscriptions','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/libraries','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:1:{i:0;s:24:\"libraries_admin_overview\";}','',7,3,0,'','admin/reports/libraries','Libraries','t','','','a:0:{}',6,'An overview of libraries installed on this site.','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/libraries/%','a:1:{i:3;s:17:\"libraries_ui_load\";}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:2:{i:0;s:35:\"libraries_admin_library_status_form\";i:1;i:3;}','',14,4,0,'','admin/reports/libraries/%','Library status report','t','','','a:0:{}',6,'Status overview for a single library','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/banners','','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','weebpal_banner_admin_page','a:0:{}','',7,3,0,'','admin/structure/banners','Weebpal Banner','t','','','a:0:{}',6,'Configure the Weebpal Banner.','',0,''),('admin/structure/banners/add/0','','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','drupal_get_form','a:1:{i:0;s:25:\"weebpal_banner_admin_form\";}','',31,5,1,'admin/structure/banners','admin/structure/banners','Add Banner','t','','','a:0:{}',388,'','',0,''),('admin/structure/banners/default','','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','drupal_get_form','a:1:{i:0;s:25:\"weebpal_banner_admin_form\";}','',15,4,1,'admin/structure/banners','admin/structure/banners','Default Banner','t','','','a:0:{}',388,'','',0,''),('admin/structure/banners/delete/%','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','drupal_get_form','a:1:{i:0;s:35:\"weebpal_banner_admin_delete_confirm\";}','',30,5,0,'','admin/structure/banners/delete/%','Delete Banner','t','','','a:0:{}',6,'','',0,''),('admin/structure/banners/edit/%','a:1:{i:4;N;}','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','drupal_get_form','a:1:{i:0;s:25:\"weebpal_banner_admin_form\";}','',30,5,0,'','admin/structure/banners/edit/%','Edit Banner','t','','','a:0:{}',6,'','',0,''),('admin/structure/banners/list','','','0','a:0:{}','weebpal_banner_admin_page','a:0:{}','',15,4,0,'','admin/structure/banners/list','List Banners','t','','','a:0:{}',6,'','',-10,''),('admin/structure/banners/settings','','','user_access','a:1:{i:0;s:25:\"administer weebpal banner\";}','drupal_get_form','a:1:{i:0;s:23:\"weebpal_banner_settings\";}','',15,4,1,'admin/structure/banners','admin/structure/banners','Settings','t','','','a:0:{}',388,'A page for the weebpal banner settings','',0,''),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:6:\"hermio\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block-types','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',7,3,0,'','admin/structure/block-types','Block types','t','','','a:0:{}',6,'Manage block types, including fields, settings, etc.','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/add','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:1:{i:0;s:23:\"bean_admin_ui_type_form\";}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','Add block type','t','','','a:0:{}',388,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/list','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/block-types/manage/%','Edit block type','bean_admin_ui_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/delete','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/display','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/default','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/token','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/edit','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/fields','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"bean\";i:2;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/block-types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/replace/%','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:0:{}}i:7;N;}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;i:7;}','',246,8,0,'','admin/structure/block-types/manage/%/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/block-types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/revert','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"revert\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/revert','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/hermio','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:35:\"sites/all/themes/hermio/hermio.info\";s:4:\"name\";s:6:\"hermio\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Hermio\";s:11:\"description\";s:24:\"Theme for the Charities.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:6:\"banner\";s:6:\"Banner\";s:9:\"main_menu\";s:9:\"Main Menu\";s:9:\"slideshow\";s:9:\"Slideshow\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:15:\"panel_fullwidth\";s:15:\"Panel Fullwidth\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:13:\"panel_seventh\";s:13:\"Panel Seventh\";s:12:\"panel_eighth\";s:12:\"Panel Eighth\";s:18:\"panel_footer_first\";s:18:\"Panel Footer First\";s:21:\"panel_footer_second_1\";s:21:\"Panel Footer Second 1\";s:21:\"panel_footer_second_2\";s:21:\"Panel Footer Second 2\";s:21:\"panel_footer_second_3\";s:21:\"Panel Footer Second 3\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:6:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:27:\"panel_footer_second_1_width\";s:1:\"4\";s:27:\"panel_footer_second_2_width\";s:1:\"4\";s:27:\"panel_footer_second_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:38:\"sites/all/themes/hermio/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499931893;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"hermio\";}','',31,5,0,'','admin/structure/block/demo/hermio','Hermio','t','','_block_custom_theme','a:1:{i:0;s:6:\"hermio\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/hermio','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:35:\"sites/all/themes/hermio/hermio.info\";s:4:\"name\";s:6:\"hermio\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Hermio\";s:11:\"description\";s:24:\"Theme for the Charities.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:6:\"banner\";s:6:\"Banner\";s:9:\"main_menu\";s:9:\"Main Menu\";s:9:\"slideshow\";s:9:\"Slideshow\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:15:\"panel_fullwidth\";s:15:\"Panel Fullwidth\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:13:\"panel_seventh\";s:13:\"Panel Seventh\";s:12:\"panel_eighth\";s:12:\"Panel Eighth\";s:18:\"panel_footer_first\";s:18:\"Panel Footer First\";s:21:\"panel_footer_second_1\";s:21:\"Panel Footer Second 1\";s:21:\"panel_footer_second_2\";s:21:\"Panel Footer Second 2\";s:21:\"panel_footer_second_3\";s:21:\"Panel Footer Second 3\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:6:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:27:\"panel_footer_second_1_width\";s:1:\"4\";s:27:\"panel_footer_second_2_width\";s:1:\"4\";s:27:\"panel_footer_second_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:38:\"sites/all/themes/hermio/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499931893;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"hermio\";}','',31,5,1,'admin/structure/block','admin/structure/block','Hermio','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','contact_category_list','a:0:{}','',7,3,0,'','admin/structure/contact','Contact form','t','','','a:0:{}',6,'Create a system contact form and set up categories for the form to use.','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:1:{i:0;s:26:\"contact_category_edit_form\";}','',15,4,1,'admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}',388,'','',1,'modules/contact/contact.admin.inc'),('admin/structure/contact/delete/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:28:\"contact_category_delete_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/context','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/context','Context','t','','','a:0:{}',6,'Associate menus, views, blocks, etc. with different contexts to structure your site.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/add','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/context','admin/structure/context','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/import','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/context','admin/structure/context','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/context','admin/structure/context','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/context/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/settings','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','drupal_get_form','a:1:{i:0;s:19:\"context_ui_settings\";}','',15,4,1,'admin/structure/context','admin/structure/context','Settings','t','','','a:0:{}',132,'','',3,''),('admin/structure/field-collections','','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','field_collections_overview','a:0:{}','',7,3,0,'','admin/structure/field-collections','Field collections','t','','','a:0:{}',6,'Manage fields on field collections.','',0,'sites/all/modules/field_collection/field_collection.admin.inc'),('admin/structure/field-collections/%','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',14,4,0,'','admin/structure/field-collections/%','Manage fields','field_collection_admin_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/default','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/full','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/token','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','t','','','a:0:{}',140,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/field-collections/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/edit','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/field-settings','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/widget-type','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/groups/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/field-collections/%/groups/%/enable','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/megamenus','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:1:{i:0;s:24:\"megamenus_admin_settings\";}','',7,3,0,'','admin/structure/megamenus','Mega Menus','t','','','a:0:{}',6,'Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',0,'Config Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/config','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/megamenus/%','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',140,'','',-10,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/convert','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:38:\"megamenus_convert_from_tb_menu_confirm\";i:1;i:3;}','',29,5,0,'','admin/structure/megamenus/%/convert','Import from TB MegaMenu','t','','','a:0:{}',0,'Convert config TB MegaMenu to MegaMenu-VX','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/load_block','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_block','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_block','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/load_menu','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_menu','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_menu','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/save_config','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_save_config','a:0:{}','',15,4,0,'','admin/structure/megamenus/save_config','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/quicktabs','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',7,3,0,'','admin/structure/quicktabs','Quicktabs','t','','','a:0:{}',6,'Create blocks of tabbed content.','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/add','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:14:\"quicktabs_form\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Add Quicktabs Instance','t','','','a:0:{}',388,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/list','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','List quicktabs','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',6,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/clone','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_clone','a:1:{i:0;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Clone quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/delete','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:22:\"quicktabs_block_delete\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Delete quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/edit','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,2,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/export','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:21:\"quicktabs_export_form\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/replace/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:0:{}}i:6;N;}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;i:6;}','',118,7,0,'','admin/structure/taxonomy/%/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/taxonomy/%/groups/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/groups/%/enable','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/replace/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:0:{}}i:8;N;}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;i:8;}','',494,9,0,'','admin/structure/types/manage/%/comment/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/types/manage/%/comment/groups/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/comment/groups/%/enable','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_html','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:10:\"email_html\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:10:\"email_html\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: HTML','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_plain','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:11:\"email_plain\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:11:\"email_plain\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: Plain','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_textalt','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"email_textalt\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"email_textalt\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: HTML text alternative','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',8,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/replace/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:0:{}}i:7;N;}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:4:\"node\";i:2;i:4;i:3;i:7;}','',246,8,0,'','admin/structure/types/manage/%/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('block/%','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',2,2,0,'','block/%','Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/delete','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"bean_delete_confirm\";i:1;i:1;}','',5,3,0,'block/%','block/%','Delete Block','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/devel','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:16:\"administer beans\";}','devel_load_object','a:2:{i:0;s:4:\"bean\";i:1;i:1;}','',5,3,1,'block/%','block/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('block/%/devel/load','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:16:\"administer beans\";}','devel_load_object','a:2:{i:0;s:4:\"bean\";i:1;i:1;}','',11,4,1,'block/%/devel','block/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('block/%/devel/render','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:16:\"administer beans\";}','devel_render_object','a:2:{i:0;s:4:\"bean\";i:1;i:1;}','',11,4,1,'block/%/devel','block/%','Render','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('block/%/edit','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',5,3,3,'block/%','block/%','Edit Block','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:19:\"view bean revisions\";}','bean_revisions_page','a:1:{i:0;i:1;}','',5,3,1,'block/%','block/%','Revisions','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',10,4,0,'','block/%/revisions/%','','bean_revision_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/delete','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:28:\"bean_delete_revision_confirm\";i:1;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','Delete','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/edit','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/set-active','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"bean_set_default_confirm\";i:1;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Set active','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/view','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/view','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',5,3,0,'block/%','block/%','View','t','','','a:0:{}',140,'','',-20,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add','','','bean_add_page_access','a:1:{i:0;s:3:\"add\";}','bean_add_page','a:0:{}','',3,2,0,'','block/add','Add Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add/bean-about','','','bean_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"bean_about\";}','bean_add','a:1:{i:0;s:10:\"bean_about\";}','',7,3,0,'','block/add/bean-about','About','check_plain','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add/bean-statistic','','','bean_access','a:2:{i:0;s:6:\"create\";i:1;s:14:\"bean_statistic\";}','bean_add','a:1:{i:0;s:14:\"bean_statistic\";}','',7,3,0,'','block/add/bean-statistic','Statistic','check_plain','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('blog','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_page_last','a:0:{}','',1,1,0,'','blog','Blogs','t','','','a:0:{}',20,'','',0,'modules/blog/blog.pages.inc'),('blog-full-width','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"blog\";i:1;s:6:\"page_1\";}','',1,1,0,'','blog-full-width','','t','','','a:0:{}',0,'','',0,''),('blog-grid','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"blog\";i:1;s:6:\"page_2\";}','',1,1,0,'','blog-grid','Blog Grid','t','','','a:0:{}',6,'','',0,''),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('cart','','','user_access','a:1:{i:0;s:14:\"access content\";}','commerce_cart_view','a:0:{}','',1,1,0,'','cart','Shopping cart','t','','','a:0:{}',6,'','',0,'sites/all/modules/commerce/modules/cart/includes/commerce_cart.pages.inc'),('cart/my','','','user_access','a:1:{i:0;s:14:\"access content\";}','commerce_cart_menu_item_redirect','a:0:{}','',3,2,0,'','cart/my','Shopping cart (# items)','commerce_cart_menu_item_title','a:1:{i:0;b:1;}','','a:0:{}',20,'','',0,''),('checkout','','','user_access','a:1:{i:0;s:15:\"access checkout\";}','commerce_cart_checkout_router','a:0:{}','',1,1,0,'','checkout','Checkout','t','','','a:0:{}',0,'','',0,'sites/all/modules/commerce/modules/cart/includes/commerce_cart.pages.inc'),('checkout/%','a:1:{i:1;s:19:\"commerce_order_load\";}','','user_access','a:1:{i:0;s:15:\"access checkout\";}','commerce_checkout_router','a:1:{i:0;i:1;}','',2,2,0,'','checkout/%','Checkout','t','','','a:0:{}',0,'','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.pages.inc'),('checkout/%/%','a:2:{i:1;s:19:\"commerce_order_load\";i:2;s:27:\"commerce_checkout_page_load\";}','','user_access','a:1:{i:0;s:15:\"access checkout\";}','commerce_checkout_router','a:2:{i:0;i:1;i:1;i:2;}','',4,3,0,'','checkout/%/%','Checkout','t','','','a:0:{}',0,'','',0,'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.pages.inc'),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/devel','a:1:{i:1;s:12:\"comment_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:7:\"comment\";i:1;i:1;}','',5,3,1,'comment/%','comment/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('comment/%/devel/load','a:1:{i:1;s:12:\"comment_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:7:\"comment\";i:1;i:1;}','',11,4,1,'comment/%/devel','comment/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('comment/%/devel/render','a:1:{i:1;s:12:\"comment_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_render_object','a:2:{i:0;s:7:\"comment\";i:1;i:1;}','',11,4,1,'comment/%/devel','comment/%','Render','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('comment/%/devel/token','a:1:{i:1;s:12:\"comment_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','token_devel_token_object','a:2:{i:0;s:7:\"comment\";i:1;i:1;}','',11,4,1,'comment/%/devel','comment/%','Tokens','t','','','a:0:{}',132,'','',5,'sites/all/modules/token/token.pages.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('commerce_paypal/ipn','','','1','a:0:{}','commerce_paypal_process_ipn','a:0:{}','',3,2,0,'','commerce_paypal/ipn','','t','','','a:0:{}',0,'','',0,''),('commerce_paypal/ipn/%','a:1:{i:2;s:37:\"commerce_payment_method_instance_load\";}','','1','a:0:{}','commerce_paypal_process_ipn','a:1:{i:0;i:2;}','',6,3,0,'','commerce_paypal/ipn/%','','t','','','a:0:{}',0,'','',0,''),('commerce_product/autocomplete','','','1','a:0:{}','commerce_product_autocomplete','a:0:{}','',3,2,0,'','commerce_product/autocomplete','commerce_product autocomplete','t','','','a:0:{}',0,'','',0,''),('contact','','','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','drupal_get_form','a:1:{i:0;s:17:\"contact_site_form\";}','',1,1,0,'','contact','Contact','t','','','a:0:{}',20,'','',0,'modules/contact/contact.pages.inc'),('context-ui/activate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_activate','a:0:{}','',3,2,0,'','context-ui/activate','Activate Context UI','t','','','a:0:{}',0,'','',0,''),('context-ui/deactivate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_deactivate','a:0:{}','',3,2,0,'','context-ui/deactivate','Deactivate Context UI','t','','','a:0:{}',0,'','',0,''),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('devel/arguments','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_querylog_arguments','a:0:{}','',3,2,0,'','devel/arguments','Arguments query','t','','','a:0:{}',0,'Return a given query, with arguments instead of placeholders. Used by query log','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/cache/clear','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_cache_clear','a:0:{}','',7,3,0,'','devel/cache/clear','Clear cache','t','','','a:0:{}',6,'Clear the CSS cache and all database cache tables which store page, node, theme and variable caches.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/elements','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_elements_page','a:0:{}','',3,2,0,'','devel/elements','Hook_elements()','t','','','a:0:{}',6,'View the active form/render elements for this site.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/entity/info','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_entity_info_page','a:0:{}','',7,3,0,'','devel/entity/info','Entity info','t','','','a:0:{}',6,'View entity information across the whole site.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/explain','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_querylog_explain','a:0:{}','',3,2,0,'','devel/explain','Explain query','t','','','a:0:{}',0,'Run an EXPLAIN on a given query. Used by query log','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/field/info','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_field_info_page','a:0:{}','',7,3,0,'','devel/field/info','Field info','t','','','a:0:{}',6,'View fields information across the whole site.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/menu/item','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_menu_item','a:0:{}','',7,3,0,'','devel/menu/item','Menu item','t','','','a:0:{}',6,'Details about a given menu item.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/menu/reset','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','drupal_get_form','a:1:{i:0;s:18:\"devel_menu_rebuild\";}','',7,3,0,'','devel/menu/reset','Rebuild menus','t','','','a:0:{}',6,'Rebuild menu based on hook_menu() and revert any custom changes. All menu items return to their default settings.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/php','','','user_access','a:1:{i:0;s:16:\"execute php code\";}','drupal_get_form','a:1:{i:0;s:18:\"devel_execute_form\";}','',3,2,0,'','devel/php','Execute PHP Code','t','','','a:0:{}',6,'Execute some PHP code','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/phpinfo','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_phpinfo','a:0:{}','',3,2,0,'','devel/phpinfo','PHPinfo()','t','','','a:0:{}',6,'View your server\'s PHP configuration','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/reference','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_function_reference','a:0:{}','',3,2,0,'','devel/reference','Function reference','t','','','a:0:{}',6,'View a list of currently defined user functions with documentation links.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/reinstall','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','drupal_get_form','a:1:{i:0;s:15:\"devel_reinstall\";}','',3,2,0,'','devel/reinstall','Reinstall modules','t','','','a:0:{}',6,'Run hook_uninstall() and then hook_install() for a given module.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',3,2,0,'','devel/run-cron','Run cron','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('devel/session','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_session','a:0:{}','',3,2,0,'','devel/session','Session viewer','t','','','a:0:{}',6,'List the contents of $_SESSION.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"devel_admin_settings\";}','',3,2,0,'','devel/settings','Devel settings','t','','','a:0:{}',6,'Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/en/admin/structure/block\">block administration</a> page.','',0,'sites/all/modules/devel/devel.admin.inc'),('devel/switch','','','_devel_switch_user_access','a:1:{i:0;i:2;}','devel_switch_user','a:0:{}','',3,2,0,'','devel/switch','Switch user','t','','','a:0:{}',0,'','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/theme/registry','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_theme_registry','a:0:{}','',7,3,0,'','devel/theme/registry','Theme registry','t','','','a:0:{}',6,'View a list of available theme functions across the whole site.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/variable','','','user_access','a:1:{i:0;s:24:\"access devel information\";}','drupal_get_form','a:1:{i:0;s:19:\"devel_variable_form\";}','',3,2,0,'','devel/variable','Variable editor','t','','','a:0:{}',6,'Edit and delete site variables.','',0,'sites/all/modules/devel/devel.pages.inc'),('devel/variable/edit/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','drupal_get_form','a:2:{i:0;s:19:\"devel_variable_edit\";i:1;i:3;}','',14,4,0,'','devel/variable/edit/%','Variable editor','t','','','a:0:{}',0,'','',0,'sites/all/modules/devel/devel.pages.inc'),('donation','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"donation\";i:1;s:4:\"page\";}','',1,1,0,'','donation','','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/single/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/single/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/tags/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/tags/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('event','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:6:\"events\";i:1;s:4:\"page\";}','',1,1,0,'','event','','t','','','a:0:{}',0,'','',0,''),('field-collection/field-bean-content/%','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',6,3,0,'','field-collection/field-bean-content/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-bean-content/%/delete','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:36:\"field_collection_item_delete_confirm\";i:1;i:2;}','',13,4,2,'field-collection/field-bean-content/%','field-collection/field-bean-content/%','Delete','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-bean-content/%/edit','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:26:\"field_collection_item_form\";i:1;i:2;}','',13,4,3,'field-collection/field-bean-content/%','field-collection/field-bean-content/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-bean-content/%/revisions/%','a:2:{i:2;s:26:\"field_collection_item_load\";i:4;s:35:\"field_collection_item_revision_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:4;}','field_collection_item_page_view','a:1:{i:0;i:4;}','',26,5,0,'','field-collection/field-bean-content/%/revisions/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-bean-content/%/view','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',13,4,1,'field-collection/field-bean-content/%','field-collection/field-bean-content/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-bean-content/add/%/%','a:2:{i:3;N;i:4;N;}','','1','a:0:{}','field_collection_item_add','a:3:{i:0;s:18:\"field_bean_content\";i:1;i:3;i:2;i:4;}','',28,5,0,'','field-collection/field-bean-content/add/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',6,3,0,'','field-collection/field-content/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/delete','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:36:\"field_collection_item_delete_confirm\";i:1;i:2;}','',13,4,2,'field-collection/field-content/%','field-collection/field-content/%','Delete','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/edit','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','drupal_get_form','a:2:{i:0;s:26:\"field_collection_item_form\";i:1;i:2;}','',13,4,3,'field-collection/field-content/%','field-collection/field-content/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/revisions/%','a:2:{i:2;s:26:\"field_collection_item_load\";i:4;s:35:\"field_collection_item_revision_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:4;}','field_collection_item_page_view','a:1:{i:0;i:4;}','',26,5,0,'','field-collection/field-content/%/revisions/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/view','a:1:{i:2;s:26:\"field_collection_item_load\";}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:21:\"field_collection_item\";i:2;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',13,4,1,'field-collection/field-content/%','field-collection/field-content/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/add/%/%','a:2:{i:3;N;i:4;N;}','','1','a:0:{}','field_collection_item_add','a:3:{i:0;s:13:\"field_content\";i:1;i:3;i:2;i:4;}','',28,5,0,'','field-collection/field-content/add/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('frontpage','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"page\";}','',1,1,0,'','frontpage','','t','','','a:0:{}',0,'','',0,''),('home-2','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:6:\"page_2\";}','',1,1,0,'','home-2','','t','','','a:0:{}',0,'','',0,''),('inline_entity_form/autocomplete','','','1','a:0:{}','inline_entity_form_autocomplete','a:0:{}','',3,2,0,'','inline_entity_form/autocomplete','Inline Entity Form Autocomplete','t','','','a:0:{}',0,'','',0,''),('jcarousel/ajax/views','','','1','a:0:{}','jcarousel_views_ajax','a:0:{}','',7,3,0,'','jcarousel/ajax/views','','t','','','a:0:{}',0,'','',0,'sites/all/modules/jcarousel/includes/jcarousel.views.inc'),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('newsletter/confirm','','','user_access','a:1:{i:0;s:24:\"subscribe to newsletters\";}','simplenews_confirm_subscription','a:0:{}','',3,2,0,'','newsletter/confirm','Confirm newsletter subscriptions','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('newsletter/subscriptions','','','user_access','a:1:{i:0;s:24:\"subscribe to newsletters\";}','drupal_get_form','a:1:{i:0;s:34:\"simplenews_subscriptions_page_form\";}','',3,2,0,'','newsletter/subscriptions','Your newsletter subscriptions','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/devel','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:4:\"node\";i:1;i:1;}','',5,3,1,'node/%','node/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('node/%/devel/load','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:4:\"node\";i:1;i:1;}','',11,4,1,'node/%/devel','node/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('node/%/devel/render','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_render_object','a:2:{i:0;s:4:\"node\";i:1;i:1;}','',11,4,1,'node/%/devel','node/%','Render','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('node/%/devel/token','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','token_devel_token_object','a:2:{i:0;s:4:\"node\";i:1;i:1;}','',11,4,1,'node/%/devel','node/%','Tokens','t','','','a:0:{}',132,'','',5,'sites/all/modules/token/token.pages.inc'),('node/%/done','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_confirmation_page_access','a:1:{i:0;i:1;}','_webform_confirmation','a:1:{i:0;i:1;}','',5,3,0,'','node/%/done','Webform confirmation','t','','','a:0:{}',0,'','',0,''),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/simplenews','a:1:{i:1;s:9:\"node_load\";}','','simplenews_node_tab_access','a:1:{i:0;i:1;}','simplenews_node_tab_page','a:1:{i:0;i:1;}','',5,3,132,'node/%','node/%','Newsletter','t','','','a:0:{}',132,'','',2,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('node/%/submission/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',10,4,0,'','node/%/submission/%','Webform submission','webform_submission_title','a:2:{i:0;i:1;i:1;i:3;}','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:6:\"delete\";}','drupal_get_form','a:3:{i:0;s:30:\"webform_submission_delete_form\";i:1;i:1;i:2;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Delete','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/devel','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:10:\"submission\";i:1;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('node/%/submission/%/devel/load','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:10:\"submission\";i:1;i:3;}','',43,6,1,'node/%/submission/%/devel','node/%/submission/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('node/%/submission/%/devel/token','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','user_access','a:1:{i:0;s:24:\"access devel information\";}','token_devel_token_object','a:3:{i:0;s:18:\"webform-submission\";i:1;i:3;i:2;s:10:\"submission\";}','',43,6,1,'node/%/submission/%/devel','node/%/submission/%','Tokens','t','','','a:0:{}',132,'','',5,'sites/all/modules/token/token.pages.inc'),('node/%/submission/%/edit','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"edit\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"form\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/resend','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_submission_resend\";i:1;i:1;i:2;i:3;}','',21,5,0,'','node/%/submission/%/resend','Resend e-mails','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/view','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;N;i:2;s:4:\"list\";}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:1;i:2;s:2:\"50\";}','',5,3,0,'','node/%/submissions','Submissions','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/webform','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Webform','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform-results','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',5,3,3,'node/%','node/%','Results','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform-results','node/%','Analysis','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',22,5,1,'node/%/webform-results/analysis','node/%','Analysis','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%/more','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',45,6,1,'node/%/webform-results/analysis/%','node/%','In-depth analysis','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/clear','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_clear_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:26:\"webform_results_clear_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Clear','t','','','a:0:{}',132,'','',8,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:29:\"webform_results_download_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Download','t','','','a:0:{}',132,'','',7,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download-file','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_download_callback','a:1:{i:0;i:1;}','',11,4,0,'','node/%/webform-results/download-file','Download','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Submissions','t','','','a:0:{}',140,'','',4,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/table','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_table','a:2:{i:0;i:1;i:1;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Table','t','','','a:0:{}',132,'','',6,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform/components','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform','node/%','Form components','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:0;}','',22,5,1,'node/%/webform/components','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:29:\"webform_component_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/conditionals','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:25:\"webform_conditionals_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Conditionals','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.conditionals.inc'),('node/%/webform/configure','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:22:\"webform_configure_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Form settings','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.pages.inc'),('node/%/webform/emails','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"webform_emails_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','E-mails','t','','','a:0:{}',132,'','',4,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;}','',22,5,1,'node/%/webform/emails','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_email_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/ads','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:3:\"ads\";}','node_add','a:1:{i:0;s:3:\"ads\";}','',7,3,0,'','node/add/ads','Ads','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/donation','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"donation\";}','node_add','a:1:{i:0;s:8:\"donation\";}','',7,3,0,'','node/add/donation','Donation','check_plain','','','a:0:{}',6,'Drupal Commerce donation product','',0,'modules/node/node.pages.inc'),('node/add/event','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:5:\"event\";}','node_add','a:1:{i:0;s:5:\"event\";}','',7,3,0,'','node/add/event','Event','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/gallery','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"gallery\";}','node_add','a:1:{i:0;s:7:\"gallery\";}','',7,3,0,'','node/add/gallery','Gallery','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/product','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"product\";}','node_add','a:1:{i:0;s:7:\"product\";}','',7,3,0,'','node/add/product','Product','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/simplenews','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"simplenews\";}','node_add','a:1:{i:0;s:10:\"simplenews\";}','',7,3,0,'','node/add/simplenews','Simplenews newsletter','check_plain','','','a:0:{}',6,'A newsletter issue to be sent to subscribed email addresses.','',0,'modules/node/node.pages.inc'),('node/add/sponsor','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"sponsor\";}','node_add','a:1:{i:0;s:7:\"sponsor\";}','',7,3,0,'','node/add/sponsor','Sponsor','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/testimonial','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"testimonial\";}','node_add','a:1:{i:0;s:11:\"testimonial\";}','',7,3,0,'','node/add/testimonial','Testimonial','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/webform','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"webform\";}','node_add','a:1:{i:0;s:7:\"webform\";}','',7,3,0,'','node/add/webform','Webform','check_plain','','','a:0:{}',6,'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',0,'modules/node/node.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('quicktabs/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','quicktabs_ajax','a:0:{}','',3,2,0,'','quicktabs/ajax','','t','','','a:0:{}',0,'','',0,''),('rss.xml','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"feed\";}','',1,1,0,'','rss.xml','','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('select-or-other-test-form','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:25:\"select_or_other_test_form\";}','',1,1,0,'','select-or-other-test-form','select_or_other test','t','','','a:0:{}',0,'','',0,''),('shop','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:9:\"view_shop\";i:1;s:4:\"page\";}','',1,1,0,'','shop','','t','','','a:0:{}',0,'','',0,''),('shop-sidebar','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:9:\"view_shop\";i:1;s:6:\"page_1\";}','',1,1,0,'','shop-sidebar','','t','','','a:0:{}',0,'','',0,''),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('tagclouds','','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;N;}','',1,1,0,'','tagclouds','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/chunk/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/chunk/%','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/list/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_list','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/list/%','Tags','t','','','a:0:{}',0,'','',0,''),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',6,3,0,'','taxonomy/term/%','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/devel','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:3:{i:0;s:13:\"taxonomy_term\";i:1;i:2;i:2;s:4:\"term\";}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('taxonomy/term/%/devel/load','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:3:{i:0;s:13:\"taxonomy_term\";i:1;i:2;i:2;s:4:\"term\";}','',27,5,1,'taxonomy/term/%/devel','taxonomy/term/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('taxonomy/term/%/devel/render','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_render_object','a:3:{i:0;s:13:\"taxonomy_term\";i:1;i:2;i:2;s:4:\"term\";}','',27,5,1,'taxonomy/term/%/devel','taxonomy/term/%','Render','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('taxonomy/term/%/devel/token','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','token_devel_token_object','a:2:{i:0;s:13:\"taxonomy_term\";i:1;i:2;}','',27,5,1,'taxonomy/term/%/devel','taxonomy/term/%','Tokens','t','','','a:0:{}',132,'','',5,'sites/all/modules/token/token.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('testimonial','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:12:\"testimonials\";i:1;s:6:\"page_1\";}','',1,1,0,'','testimonial','','t','','','a:0:{}',0,'','',0,''),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:\"user_load\";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:\"contact_personal_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Contact','t','','','a:0:{}',132,'','',2,'modules/contact/contact.pages.inc'),('user/%/devel','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:4:\"user\";i:1;i:1;}','',5,3,1,'user/%','user/%','Devel','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('user/%/devel/load','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_load_object','a:2:{i:0;s:4:\"user\";i:1;i:1;}','',11,4,1,'user/%/devel','user/%','Load','t','','','a:0:{}',140,'','',0,'sites/all/modules/devel/devel.pages.inc'),('user/%/devel/render','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','devel_render_object','a:2:{i:0;s:4:\"user\";i:1;i:1;}','',11,4,1,'user/%/devel','user/%','Render','t','','','a:0:{}',132,'','',100,'sites/all/modules/devel/devel.pages.inc'),('user/%/devel/token','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:24:\"access devel information\";}','token_devel_token_object','a:2:{i:0;s:4:\"user\";i:1;i:1;}','',11,4,1,'user/%/devel','user/%','Tokens','t','','','a:0:{}',132,'','',5,'sites/all/modules/token/token.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/edit/simplenews','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','simplenews_subscription_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:17:\"user_profile_form\";i:1;i:1;i:2;i:3;}','',11,4,1,'user/%/edit','user/%','','check_plain','a:1:{i:0;s:11:\"Newsletters\";}','','a:0:{}',132,'','',10,'modules/user/user.pages.inc'),('user/%/orders','a:1:{i:1;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:20:\"commerce_user_orders\";i:1;s:10:\"order_page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:32:\"view own commerce_order entities\";}}}','views_page','a:3:{i:0;s:20:\"commerce_user_orders\";i:1;s:10:\"order_page\";i:2;i:1;}','',5,3,1,'user/%','user/%','Orders','t','','','a:0:{}',132,'','',15,''),('user/%/orders/%','a:2:{i:1;s:9:\"user_load\";i:3;s:19:\"commerce_order_load\";}','','commerce_order_customer_order_view_access','a:1:{i:0;i:3;}','commerce_order_ui_order_view','a:2:{i:0;i:3;i:1;s:8:\"customer\";}','',10,4,0,'','user/%/orders/%','','commerce_order_ui_order_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',0,''),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('vef/load/%','a:1:{i:2;N;}','','1','a:0:{}','_video_embed_field_show_video','a:1:{i:0;i:2;}','',6,3,0,'','vef/load/%','Video Embed Field - Load Video','t','','','a:0:{}',0,'','',0,''),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('webform/ajax/options/%','a:1:{i:3;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:3;}}}','a:1:{i:3;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:3;}','webform_select_options_ajax','a:0:{}','',14,4,0,'','webform/ajax/options/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/components/select.inc'),('webform/autocomplete','','','user_access','a:1:{i:0;s:16:\"administer views\";}','webform_views_autocomplete','a:0:{}','',3,2,0,'','webform/autocomplete','Webforms','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/views/webform.views.inc');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'blog','und','5 Ways to Sabotage Your Mission Statement',1,1,1409092166,1412326691,2,0,0,0,0),(2,2,'blog','und','6 Content Ideas for Your Nonprofit Website',1,1,1409092208,1412326682,2,0,0,0,0),(3,3,'blog','und','How to Raise Capacity Capital for Your Nonprofit',1,1,1409092243,1412326657,2,1,0,0,0),(4,4,'blog','und','Conserve the lands and waters on which all life depends',1,1,1409092314,1412326630,2,0,0,0,0),(5,5,'blog','und','Praesent metus tellus',1,1,1409092393,1412326343,2,0,0,0,0),(6,6,'blog','und','Praesent ac massa at',1,1,1409092424,1412326325,2,0,0,0,0),(7,7,'blog','und','Vestibulum ante ipsum primis',1,1,1409092455,1412326303,2,0,0,0,0),(8,8,'blog','und','Our work with refugees',1,1,1409092499,1412326274,2,0,0,0,0),(9,9,'article','und','Volunteer',1,1,1409092805,1410337275,2,1,0,0,0),(10,10,'article','und','Give Monthly',1,1,1409092842,1410337263,2,1,0,0,0),(11,11,'article','und','Take Action',1,1,1409092870,1410939846,2,1,0,0,0),(12,12,'event','und','Mauris sollicitudin fermentum libero',1,1,1409098044,1412327588,1,0,0,0,0),(13,13,'event','und','Help us',1,1,1409098501,1412327579,1,1,1,0,0),(14,14,'blog','und','Proin viverra ligula sit occaecat cupidatat',1,1,1409100748,1412326436,2,0,0,0,0),(15,15,'blog','und','Duis vel nibh at',1,1,1409100773,1412131249,2,0,0,0,0),(16,16,'blog','und','Nunc egestas augue at nulla facilisi',1,1,1409100792,1412326420,2,0,0,0,0),(17,17,'blog','und','Pellentesque habitant morbi tristique',1,1,1409100815,1412326402,2,0,0,0,0),(18,18,'event','und','Praesent ac sem eget',1,1,1409100892,1412327568,1,0,0,0,0),(19,19,'event','und','Phasellus ullamcorper ipsum',1,1,1409100936,1412326581,1,0,0,0,0),(20,20,'event','und','Fusce vulputate eleifend',1,1,1409100984,1412326522,1,0,0,0,0),(21,21,'event','und','Cras risus ipsum faucibus',1,1,1409101048,1412334238,1,0,0,0,0),(22,22,'event','und','Sentences That Fit',1,1,1409158364,1412149995,1,0,0,0,0),(23,23,'gallery','und','Donec vitae sapien ut',1,1,1409159468,1412327074,1,0,0,0,0),(24,24,'gallery','und','In enim justo rhoncus',1,1,1409159549,1412327057,1,0,0,0,0),(25,25,'gallery','und','Praesent porttitor nulla vitae',1,1,1409159564,1412327043,1,0,0,0,0),(26,26,'gallery','und','Pellentesque egestas neque sit',1,1,1409159591,1412326963,1,0,0,0,0),(27,27,'gallery','und','Donec elit libero sodales',1,1,1409159607,1412326945,1,0,0,0,0),(28,28,'gallery','und','Ut id nisl quis',1,1,1409159626,1412326924,1,0,0,0,0),(29,29,'gallery','und','Praesent egestas neque eu',1,1,1409159640,1412326910,1,0,0,0,0),(30,30,'gallery','und','Fusce vulputate eleifend sapien',1,1,1409159659,1412326890,1,0,0,0,0),(31,31,'event','und','The World Face Extinction Everyday',1,1,1409161584,1412327555,1,1,1,0,0),(32,32,'sponsor','und','Themeforest',1,1,1409163564,1411975416,1,0,0,0,0),(33,33,'sponsor','und','Photodune',1,1,1409163577,1411974421,1,0,0,0,0),(34,34,'sponsor','und','Graphicriver',1,1,1409163602,1411975203,1,0,0,0,0),(35,35,'sponsor','und','Codecanyon',1,1,1409163613,1411975641,1,0,0,0,0),(36,36,'sponsor','und','Audiojungle',1,1,1409163636,1411974826,1,0,0,0,0),(37,37,'donation','und','Fusce vulputate eleifend sapien',1,1,1409177770,1411686558,1,0,0,0,0),(38,38,'donation','und','Pellentesque habitant morbi tristique',1,1,1409179687,1411686586,1,0,0,0,0),(39,39,'donation','und','Phasellus accumsan cursus velit',1,1,1409179849,1411686479,1,0,0,0,0),(40,40,'donation','und','Phasellus ullamcorper ipsum rutrum',1,1,1409179907,1411686449,1,0,0,0,0),(41,41,'donation','und','Aenean tellus metus bibendum',1,1,1409179961,1411686404,1,0,0,0,0),(42,42,'donation','und','Nunc egestas augue at',1,1,1409179993,1411686374,1,0,0,0,0),(43,43,'product','und','Donec in nisi',1,1,1410145457,1412327676,1,0,0,0,0),(44,44,'ads','und','Ads 1',1,1,1410125424,1412334331,1,0,0,0,0),(45,45,'ads','und','Ads 2',1,1,1410125443,1412334350,1,0,0,0,0),(46,46,'product','und','Donec in nisi',1,1,1410129590,1412327774,1,0,0,0,0),(47,47,'product','und','Phasellus ullamcorper ipsum rutrum',1,1,1410129880,1412327758,1,0,0,0,0),(48,48,'product','und','Pellentesque habitant morbi tristique',1,1,1410129913,1412327745,1,0,0,0,0),(49,49,'product','und','Morbi mollis tellus ac',1,1,1410129948,1412327734,1,0,0,0,0),(50,50,'product','und','Curabitur blandit mollis lacus',1,1,1410129974,1412327721,1,0,0,0,0),(51,51,'product','und','Donec orci lectus aliquam',1,1,1410130035,1412327706,1,0,0,0,0),(52,52,'product','und','Vestibulum ullamcorper mauris at',1,1,1410130720,1412327694,1,0,0,0,0),(53,53,'sponsor','und','Activeden',1,1,1410426831,1422931980,1,0,0,0,0),(54,54,'gallery','und','Fusce vulputate eleifend sapien',1,1,1410428243,1412326862,1,0,0,0,0),(55,55,'gallery','und','Fusce vulputate eleifend sapien',1,1,1410428320,1412326787,1,0,0,0,0),(56,56,'article','und','What we do',1,1,1410751392,1412327416,1,0,0,0,0),(57,57,'article','und','About Hermio',1,1,1410752115,1410752214,2,0,0,0,0),(58,58,'testimonial','und','Steve Jobs',1,1,1410753407,1410863895,1,0,0,0,0),(59,59,'testimonial','und','Carl W. Buechner',1,1,1410753428,1410863879,1,0,0,0,0),(60,60,'page','und','Upcoming Events',1,1,1410925301,1412150292,1,0,0,0,0),(61,61,'event','und','Support Hermio Foundation',1,1,1410929702,1412326476,2,0,0,0,0),(62,62,'webform','und','Contact Us',1,1,1410937024,1412061595,1,0,0,0,0),(63,63,'page','und','About Us',1,1,1411013652,1412060224,1,0,0,0,0),(64,64,'blog','und','Duis in enim a urna venenatis malesuada',1,1,1411372899,1412326381,2,0,0,0,0),(65,65,'donation','und','For A Better Life & A Better World',1,1,1411380021,1411682108,1,0,1,0,0),(66,66,'donation','und','Help Save A Life of A Child',1,1,1411380112,1411682052,1,0,1,0,0),(67,67,'sponsor','und','Audiojungle',1,1,1412317012,1412317012,1,0,0,0,0),(68,68,'testimonial','und','Help Us',1,1,1412317689,1412317689,1,0,0,0,0),(69,69,'testimonial','und','Organizations Around',1,1,1412317951,1412317951,1,0,0,0,0),(70,70,'page','und','Mega Menus',1,1,1414570873,1414570873,1,0,0,0,0),(71,71,'page','en','404',1,1,1422417850,1425025320,1,0,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_class`
--

DROP TABLE IF EXISTS `node_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_class` (
  `nid` varchar(32) NOT NULL,
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_class`
--

LOCK TABLES `node_class` WRITE;
/*!40000 ALTER TABLE `node_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_class` VALUES ('1',''),('10',''),('11',''),('12',''),('13',''),('14',''),('15',''),('16',''),('17',''),('18',''),('19',''),('2',''),('20',''),('21',''),('22',''),('23',''),('24',''),('25',''),('26',''),('27',''),('28',''),('29',''),('3',''),('30',''),('31',''),('32',''),('33',''),('34',''),('35',''),('36',''),('37',''),('38',''),('39',''),('4',''),('40',''),('41',''),('42',''),('43',''),('44',''),('45',''),('46',''),('47',''),('48',''),('49',''),('5',''),('50',''),('51',''),('52',''),('53',''),('54',''),('55',''),('56',''),('57',''),('58',''),('59',''),('6',''),('60',''),('61',''),('62',''),('63',''),('64',''),('65',''),('66',''),('67',''),('68',''),('69',''),('7',''),('70',''),('71',''),('8',''),('9','');
/*!40000 ALTER TABLE `node_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1409092166,NULL,1,0),(2,0,1409092208,NULL,1,0),(3,0,1409092243,NULL,1,0),(4,0,1409092314,NULL,1,0),(5,0,1409092393,NULL,1,0),(6,0,1409092424,NULL,1,0),(7,0,1409092455,NULL,1,0),(8,7,1412241169,'',1,1),(9,0,1409092805,NULL,1,0),(10,0,1409092842,NULL,1,0),(11,0,1409092870,NULL,1,0),(12,0,1409098044,NULL,1,0),(13,0,1409098501,NULL,1,0),(14,0,1409100748,NULL,1,0),(15,0,1409100773,NULL,1,0),(16,0,1409100792,NULL,1,0),(17,0,1409100815,NULL,1,0),(18,0,1409100892,NULL,1,0),(19,0,1409100936,NULL,1,0),(20,0,1409100984,NULL,1,0),(21,0,1409101048,NULL,1,0),(22,0,1409158364,NULL,1,0),(23,0,1409159468,NULL,1,0),(24,0,1409159549,NULL,1,0),(25,0,1409159564,NULL,1,0),(26,0,1409159591,NULL,1,0),(27,0,1409159607,NULL,1,0),(28,0,1409159626,NULL,1,0),(29,0,1409159640,NULL,1,0),(30,0,1409159659,NULL,1,0),(31,0,1409161584,NULL,1,0),(32,0,1409163564,NULL,1,0),(33,0,1409163577,NULL,1,0),(34,0,1409163602,NULL,1,0),(35,0,1409163613,NULL,1,0),(36,0,1409163636,NULL,1,0),(37,0,1409177770,NULL,1,0),(38,0,1409179687,NULL,1,0),(39,0,1409179849,NULL,1,0),(40,0,1409179907,NULL,1,0),(41,0,1409179961,NULL,1,0),(42,0,1409179993,NULL,1,0),(43,0,1410145457,NULL,1,0),(44,0,1410125424,NULL,1,0),(45,0,1410125443,NULL,1,0),(46,0,1410129590,NULL,1,0),(47,0,1410129880,NULL,1,0),(48,0,1410129913,NULL,1,0),(49,0,1410129948,NULL,1,0),(50,0,1410129974,NULL,1,0),(51,0,1410130035,NULL,1,0),(52,0,1410130720,NULL,1,0),(53,0,1410426831,NULL,1,0),(54,0,1410428243,NULL,1,0),(55,0,1410428320,NULL,1,0),(56,0,1410751392,NULL,1,0),(57,0,1410752115,NULL,1,0),(58,0,1410753407,NULL,1,0),(59,0,1410753428,NULL,1,0),(60,0,1410925301,NULL,1,0),(61,3,1412234939,'',11,3),(62,0,1410937024,NULL,1,0),(63,0,1411013652,NULL,1,0),(64,6,1412235252,'',13,3),(65,0,1411380021,NULL,1,0),(66,0,1411380112,NULL,1,0),(67,0,1412317012,NULL,1,0),(68,0,1412317689,NULL,1,0),(69,0,1412317951,NULL,1,0),(70,0,1414570873,NULL,1,0),(71,0,1422417850,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'5 Ways to Sabotage Your Mission Statement','',1412326691,1,2,0,0),(2,2,1,'6 Content Ideas for Your Nonprofit Website','',1412326682,1,2,0,0),(3,3,1,'How to Raise Capacity Capital for Your Nonprofit','',1412326657,1,2,1,0),(4,4,1,'Conserve the lands and waters on which all life depends','',1412326630,1,2,0,0),(5,5,1,'Praesent metus tellus','',1412326343,1,2,0,0),(6,6,1,'Praesent ac massa at','',1412326325,1,2,0,0),(7,7,1,'Vestibulum ante ipsum primis','',1412326303,1,2,0,0),(8,8,1,'Our work with refugees','',1412326274,1,2,0,0),(9,9,1,'Volunteer','',1410337275,1,2,1,0),(10,10,1,'Give Monthly','',1410337263,1,2,1,0),(11,11,1,'Take Action','',1410939846,1,2,1,0),(12,12,1,'Mauris sollicitudin fermentum libero','',1412327588,1,1,0,0),(13,13,1,'Help us','',1412327579,1,1,1,1),(14,14,1,'Proin viverra ligula sit occaecat cupidatat','',1412326436,1,2,0,0),(15,15,1,'Duis vel nibh at','',1412131249,1,2,0,0),(16,16,1,'Nunc egestas augue at nulla facilisi','',1412326420,1,2,0,0),(17,17,1,'Pellentesque habitant morbi tristique','',1412326402,1,2,0,0),(18,18,1,'Praesent ac sem eget','',1412327568,1,1,0,0),(19,19,1,'Phasellus ullamcorper ipsum','',1412326581,1,1,0,0),(20,20,1,'Fusce vulputate eleifend','',1412326522,1,1,0,0),(21,21,1,'Cras risus ipsum faucibus','',1412334238,1,1,0,0),(22,22,1,'Sentences That Fit','',1412149995,1,1,0,0),(23,23,1,'Donec vitae sapien ut','',1412327074,1,1,0,0),(24,24,1,'In enim justo rhoncus','',1412327057,1,1,0,0),(25,25,1,'Praesent porttitor nulla vitae','',1412327043,1,1,0,0),(26,26,1,'Pellentesque egestas neque sit','',1412326963,1,1,0,0),(27,27,1,'Donec elit libero sodales','',1412326945,1,1,0,0),(28,28,1,'Ut id nisl quis','',1412326924,1,1,0,0),(29,29,1,'Praesent egestas neque eu','',1412326910,1,1,0,0),(30,30,1,'Fusce vulputate eleifend sapien','',1412326890,1,1,0,0),(31,31,1,'The World Face Extinction Everyday','',1412327555,1,1,1,1),(32,32,1,'Themeforest','',1411975416,1,1,0,0),(33,33,1,'Photodune','',1411974421,1,1,0,0),(34,34,1,'Graphicriver','',1411975203,1,1,0,0),(35,35,1,'Codecanyon','',1411975641,1,1,0,0),(36,36,1,'Audiojungle','',1411974826,1,1,0,0),(37,37,1,'Fusce vulputate eleifend sapien','',1411686558,1,1,0,0),(38,38,1,'Pellentesque habitant morbi tristique','',1411686586,1,1,0,0),(39,39,1,'Phasellus accumsan cursus velit','',1411686479,1,1,0,0),(40,40,1,'Phasellus ullamcorper ipsum rutrum','',1411686449,1,1,0,0),(41,41,1,'Aenean tellus metus bibendum','',1411686404,1,1,0,0),(42,42,1,'Nunc egestas augue at','',1411686374,1,1,0,0),(43,43,1,'Donec in nisi','',1412327676,1,1,0,0),(44,44,1,'Ads 1','',1412334331,1,1,0,0),(45,45,1,'Ads 2','',1412334350,1,1,0,0),(46,46,1,'Donec in nisi','',1412327774,1,1,0,0),(47,47,1,'Phasellus ullamcorper ipsum rutrum','',1412327758,1,1,0,0),(48,48,1,'Pellentesque habitant morbi tristique','',1412327745,1,1,0,0),(49,49,1,'Morbi mollis tellus ac','',1412327734,1,1,0,0),(50,50,1,'Curabitur blandit mollis lacus','',1412327721,1,1,0,0),(51,51,1,'Donec orci lectus aliquam','',1412327706,1,1,0,0),(52,52,1,'Vestibulum ullamcorper mauris at','',1412327694,1,1,0,0),(53,53,1,'Activeden','',1422931980,1,1,0,0),(54,54,1,'Fusce vulputate eleifend sapien','',1412326862,1,1,0,0),(55,55,1,'Fusce vulputate eleifend sapien','',1412326787,1,1,0,0),(56,56,1,'What we do','',1412327416,1,1,0,0),(57,57,1,'About Hermio','',1410752214,1,2,0,0),(58,58,1,'Steve Jobs','',1410863895,1,1,0,0),(59,59,1,'Carl W. Buechner','',1410863879,1,1,0,0),(60,60,1,'Upcoming Events','',1412150292,1,1,0,0),(61,61,1,'Support Hermio Foundation','',1412326476,1,2,0,0),(62,62,1,'Contact Us','',1412061595,1,1,0,0),(63,63,1,'About Us','',1412060224,1,1,0,0),(64,64,1,'Duis in enim a urna venenatis malesuada','',1412326381,1,2,0,0),(65,65,1,'For A Better Life & A Better World','',1411682108,1,1,0,1),(66,66,1,'Help Save A Life of A Child','',1411682052,1,1,0,1),(67,67,1,'Audiojungle','',1412317012,1,1,0,0),(68,68,1,'Help Us','',1412317689,1,1,0,0),(69,69,1,'Organizations Around','',1412317951,1,1,0,0),(70,70,1,'Mega Menus','',1414570873,1,1,0,0),(71,71,1,'404','',1425025320,1,1,0,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('ads','Ads','node_content','node','','',1,'Title',1,1,0,0,'ads'),('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,1,1,0,'blog'),('donation','Donation','node_content','commerce_donate','Drupal Commerce donation product','',1,'Title',0,1,1,0,'donation'),('event','Event','node_content','node','','',1,'Title',1,1,0,0,'event'),('gallery','Gallery','node_content','node','','',1,'Title',1,1,0,0,'gallery'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('product','Product','node_content','node','','',1,'Title',1,1,0,0,'product'),('simplenews','Simplenews newsletter','node_content','node','A newsletter issue to be sent to subscribed email addresses.','',1,'Title',1,1,0,0,'simplenews'),('sponsor','Sponsor','node_content','node','','',1,'Title',1,1,0,0,'sponsor'),('testimonial','Testimonial','node_content','node','','',1,'Title',1,1,0,0,'testimonial'),('webform','Webform','node_content','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',1,'Title',1,1,0,0,'webform');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `pathauto_state`
--

DROP TABLE IF EXISTS `pathauto_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pathauto_state` (
  `entity_type` varchar(32) NOT NULL COMMENT 'The entity type.',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity ID.',
  `pathauto` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The automatic alias status of the entity.',
  PRIMARY KEY (`entity_type`,`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The status of each entity alias (whether it was...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pathauto_state`
--

LOCK TABLES `pathauto_state` WRITE;
/*!40000 ALTER TABLE `pathauto_state` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `pathauto_state` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quicktabs`
--

DROP TABLE IF EXISTS `quicktabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicktabs` (
  `machine_name` varchar(255) NOT NULL COMMENT 'The primary identifier for a qt block.',
  `ajax` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this is an ajax views block.',
  `hide_empty_tabs` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this tabset hides empty tabs.',
  `default_tab` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Default tab.',
  `title` varchar(255) NOT NULL COMMENT 'The title of this quicktabs block.',
  `tabs` mediumtext NOT NULL COMMENT 'A serialized array of the contents of this qt block.',
  `renderer` varchar(255) NOT NULL COMMENT 'The rendering mechanism.',
  `style` varchar(255) NOT NULL COMMENT 'The tab style.',
  `options` mediumtext COMMENT 'A serialized array of the options for this qt instance.',
  PRIMARY KEY (`machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The quicktabs table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicktabs`
--

LOCK TABLES `quicktabs` WRITE;
/*!40000 ALTER TABLE `quicktabs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quicktabs` VALUES ('blog_sidebar',1,0,0,'Blog Sidebar','a:2:{i:0;a:6:{s:3:\"vid\";s:13:\"blog_quicktab\";s:7:\"display\";s:5:\"block\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:12:\"Most Popular\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:13:\"blog_quicktab\";s:7:\"display\";s:7:\"block_1\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:6:\"Recent\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}}','quicktabs','nostyle','a:0:{}'),('featured_post_tab',1,0,0,'Featured Post Tab','a:3:{i:0;a:6:{s:3:\"vid\";s:4:\"blog\";s:7:\"display\";s:5:\"block\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:13:\"From Our Blog\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:4:\"blog\";s:7:\"display\";s:7:\"block_1\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:11:\"Latest News\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}i:2;a:6:{s:3:\"vid\";s:6:\"events\";s:7:\"display\";s:5:\"block\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:15:\"Upcoming Events\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:4:\"view\";}}','quicktabs','nostyle','a:0:{}'),('shop_sidebar',1,0,0,'Shop sidebar','a:2:{i:0;a:6:{s:3:\"vid\";s:9:\"view_shop\";s:7:\"display\";s:7:\"block_1\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:12:\"Most Popular\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:9:\"view_shop\";s:7:\"display\";s:7:\"block_2\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:6:\"Recent\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}}','quicktabs','nostyle','a:0:{}');
/*!40000 ALTER TABLE `quicktabs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','blog','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:14:\"sioct:BlogPost\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('addressfield_views_handler_field_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','addressfield',0),('addressfield_views_handler_filter_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','addressfield',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('Bean','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanAccess','class','sites/all/modules/bean/bean.test','bean',0),('BeanCustom','class','sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','bean_admin_ui',0),('BeanDefault','class','sites/all/modules/bean/plugins/BeanDefault.class.php','bean',0),('BeanEntityAPIController','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanException','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanInlineEntityFormController','class','sites/all/modules/bean/includes/bean.inline_entity_form.inc','bean',0),('BeanIntegrationTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanMetadataController','class','sites/all/modules/bean/includes/bean.info.inc','bean',0),('BeanPlugin','class','sites/all/modules/bean/plugins/BeanPlugin.class.php','bean',0),('BeanSetup','class','sites/all/modules/bean/bean.test','bean',0),('BeanTestPlugins','class','sites/all/modules/bean/bean.test','bean',0),('BeanTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanTypePluginInterface','interface','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanUnitTests','class','sites/all/modules/bean/bean.test','bean',0),('BEF_TestCheckboxes','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestDatepicker','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestHidden','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestLinks','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestMisc','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestOptions','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRadios','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRewrite','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSecondaryFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSliders','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSort','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestTaxonomyFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('better_exposed_filters_exposed_form_plugin','class','sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','better_exposed_filters',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockClassContextTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassFeaturesTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassPermissionTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassUpdateDisplayTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('CommerceBaseTestCase','class','sites/all/modules/commerce/tests/commerce_base.test','commerce',1),('CommerceBaseTesterTestCase','class','sites/all/modules/commerce/tests/commerce_base.test','commerce',1),('CommerceCartTestCase','class','sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','commerce_cart',0),('CommerceCartTestCaseAnonymousToAuthenticated','class','sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','commerce_cart',0),('CommerceCartTestCaseAttributes','class','sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','commerce_cart',0),('CommerceCartTestCaseMultiProducts','class','sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','commerce_cart',0),('CommerceCartTestCaseSimpleProduct','class','sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','commerce_cart',0),('CommerceCheckoutTestProcess','class','sites/all/modules/commerce/modules/checkout/tests/commerce_checkout.test','commerce_checkout',0),('CommerceCustomerProfileEntityController','class','sites/all/modules/commerce/modules/customer/includes/commerce_customer_profile.controller.inc','commerce_customer',0),('CommerceCustomerUITest','class','sites/all/modules/commerce/modules/customer/tests/commerce_customer_ui.test','commerce_customer_ui',0),('CommerceLineItemEntityController','class','sites/all/modules/commerce/modules/line_item/includes/commerce_line_item.controller.inc','commerce_line_item',0),('CommerceLineItemInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/commerce_line_item.inline_entity_form.inc','inline_entity_form',0),('CommerceOrderCRUDTestCase','class','sites/all/modules/commerce/modules/order/tests/commerce_order.test','commerce_order',0),('CommerceOrderEntityController','class','sites/all/modules/commerce/modules/order/includes/commerce_order.controller.inc','commerce_order',0),('CommerceOrderRulesTest','class','sites/all/modules/commerce/modules/order/tests/commerce_order.rules.test','commerce_order',0),('CommerceOrderUIAdminTest','class','sites/all/modules/commerce/modules/order/tests/commerce_order_ui.test','commerce_order_ui',0),('CommercePaymentOffsiteTest','class','sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test','commerce_payment_ui',0),('CommercePaymentRulesTest','class','sites/all/modules/commerce/modules/payment/tests/commerce_payment.rules.test','commerce_payment',0),('CommercePaymentTransactionEntityController','class','sites/all/modules/commerce/modules/payment/includes/commerce_payment_transaction.controller.inc','commerce_payment',0),('CommercePaymentUITest','class','sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test','commerce_payment_ui',0),('CommerceProductCRUDTestCase','class','sites/all/modules/commerce/modules/product/tests/commerce_product.test','commerce_product',0),('CommerceProductEntityController','class','sites/all/modules/commerce/modules/product/includes/commerce_product.controller.inc','commerce_product',0),('CommerceProductInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/commerce_product.inline_entity_form.inc','inline_entity_form',0),('CommerceProductReferenceAdminTest','class','sites/all/modules/commerce/modules/product_reference/tests/commerce_product_reference.test','commerce_product_reference',0),('CommerceProductRulesTestCase','class','sites/all/modules/commerce/modules/product/tests/commerce_product.test','commerce_product',0),('CommerceProductUIAdminTest','class','sites/all/modules/commerce/modules/product/tests/commerce_product_ui.test','commerce_product_ui',0),('CommerceTaxUIAdminTest','class','sites/all/modules/commerce/modules/tax/tests/commerce_tax_ui.test','commerce_tax_ui',0),('commerce_cart_handler_area_empty_text','class','sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_area_empty_text.inc','commerce_cart',0),('commerce_cart_handler_field_add_to_cart_form','class','sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc','commerce_cart',0),('commerce_cart_handler_field_edit_attributes','class','sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc','commerce_cart',0),('commerce_cart_plugin_argument_default_current_cart_order_id','class','sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc','commerce_cart',0),('commerce_customer_handler_area_empty_text','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_area_empty_text.inc','commerce_customer',0),('commerce_customer_handler_field_customer_profile','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile.inc','commerce_customer',0),('commerce_customer_handler_field_customer_profile_link','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc','commerce_customer',0),('commerce_customer_handler_field_customer_profile_link_delete','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc','commerce_customer',0),('commerce_customer_handler_field_customer_profile_link_edit','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc','commerce_customer',0),('commerce_customer_handler_field_customer_profile_type','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc','commerce_customer',0),('commerce_customer_handler_filter_customer_profile_type','class','sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc','commerce_customer',0),('commerce_line_item_handler_area_line_item_summary','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc','commerce_line_item',0),('commerce_line_item_handler_argument_line_item_line_item_id','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc','commerce_line_item',0),('commerce_line_item_handler_field_edit_delete','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc','commerce_line_item',0),('commerce_line_item_handler_field_edit_quantity','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc','commerce_line_item',0),('commerce_line_item_handler_field_line_item_title','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc','commerce_line_item',0),('commerce_line_item_handler_field_line_item_type','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc','commerce_line_item',0),('commerce_line_item_handler_filter_line_item_is_referenced','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc','commerce_line_item',0),('commerce_line_item_handler_filter_line_item_type','class','sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc','commerce_line_item',0),('commerce_order_handler_area_empty_text','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_empty_text.inc','commerce_order',0),('commerce_order_handler_area_order_total','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_order_total.inc','commerce_order',0),('commerce_order_handler_argument_order_order_id','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_argument_order_order_id.inc','commerce_order',0),('commerce_order_handler_field_order','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order.inc','commerce_order',0),('commerce_order_handler_field_order_link','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link.inc','commerce_order',0),('commerce_order_handler_field_order_link_delete','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_delete.inc','commerce_order',0),('commerce_order_handler_field_order_link_edit','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_edit.inc','commerce_order',0),('commerce_order_handler_field_order_mail','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_mail.inc','commerce_order',0),('commerce_order_handler_field_order_operations','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_operations.inc','commerce_order',0),('commerce_order_handler_field_order_state','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_state.inc','commerce_order',0),('commerce_order_handler_field_order_status','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_status.inc','commerce_order',0),('commerce_order_handler_field_order_type','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_type.inc','commerce_order',0),('commerce_order_handler_filter_order_state','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_state.inc','commerce_order',0),('commerce_order_handler_filter_order_status','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_status.inc','commerce_order',0),('commerce_order_handler_filter_order_type','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_type.inc','commerce_order',0),('commerce_order_plugin_argument_validate_user','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_plugin_argument_validate_user.inc','commerce_order',0),('commerce_order_ui_handler_area_view_order_form','class','sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc','commerce_order_ui',0),('commerce_payment_handler_area_totals','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_area_totals.inc','commerce_payment',0),('commerce_payment_handler_field_amount','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_amount.inc','commerce_payment',0),('commerce_payment_handler_field_balance','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_balance.inc','commerce_payment',0),('commerce_payment_handler_field_currency_code','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_currency_code.inc','commerce_payment',0),('commerce_payment_handler_field_message','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_message.inc','commerce_payment',0),('commerce_payment_handler_field_payment_method','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_method.inc','commerce_payment',0),('commerce_payment_handler_field_payment_transaction_link','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc','commerce_payment',0),('commerce_payment_handler_field_payment_transaction_link_delete','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc','commerce_payment',0),('commerce_payment_handler_field_payment_transaction_operations','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc','commerce_payment',0),('commerce_payment_handler_field_status','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_status.inc','commerce_payment',0),('commerce_payment_handler_filter_currency_code','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_currency_code.inc','commerce_payment',0),('commerce_payment_handler_filter_payment_method','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_method.inc','commerce_payment',0),('commerce_payment_handler_filter_payment_transaction_status','class','sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc','commerce_payment',0),('commerce_price_handler_field_commerce_price','class','sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_field_commerce_price.inc','commerce_price',0),('commerce_price_handler_filter_commerce_price_amount','class','sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc','commerce_price',0),('commerce_product_handler_area_empty_text','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_area_empty_text.inc','commerce_product',0),('commerce_product_handler_argument_product_id','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_argument_product_id.inc','commerce_product',0),('commerce_product_handler_field_product','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product.inc','commerce_product',0),('commerce_product_handler_field_product_link','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link.inc','commerce_product',0),('commerce_product_handler_field_product_link_delete','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_delete.inc','commerce_product',0),('commerce_product_handler_field_product_link_edit','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_edit.inc','commerce_product',0),('commerce_product_handler_field_product_operations','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_operations.inc','commerce_product',0),('commerce_product_handler_field_product_type','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_type.inc','commerce_product',0),('commerce_product_handler_filter_product_type','class','sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_filter_product_type.inc','commerce_product',0),('commerce_product_reference_handler_filter_node_is_product_display','class','sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc','commerce_product_reference',0),('commerce_product_reference_handler_filter_node_type','class','sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc','commerce_product_reference',0),('commerce_product_reference_handler_filter_product_line_item_type','class','sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc','commerce_product_reference',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContactPersonalTestCase','class','modules/contact/contact.test','contact',0),('ContactSitewideTestCase','class','modules/contact/contact.test','contact',0),('ContextConditionBookroot','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionBookTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionContextTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionLanguageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionMenuTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTaxonomyTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionPathTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionSitewideTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserPageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextReactionBlockAjaxAccessTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockAjaxTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBreadcrumbTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionMenuTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionRegionTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionThemeHtmlTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('ContextUiTestCase','class','sites/all/modules/context/context_ui/tests/context_ui.test','context_ui',0),('ContextUnitTest','class','sites/all/modules/context/tests/context.test','context',0),('context_condition','class','sites/all/modules/context/plugins/context_condition.inc','context',0),('context_condition_context','class','sites/all/modules/context/plugins/context_condition_context.inc','context',0),('context_condition_context_all','class','sites/all/modules/context/plugins/context_condition_context_all.inc','context',0),('context_condition_default','class','sites/all/modules/context/plugins/context_condition_default.inc','context',0),('context_condition_language','class','sites/all/modules/context/plugins/context_condition_language.inc','context',0),('context_condition_menu','class','sites/all/modules/context/plugins/context_condition_menu.inc','context',0),('context_condition_node','class','sites/all/modules/context/plugins/context_condition_node.inc','context',0),('context_condition_node_taxonomy','class','sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','context',0),('context_condition_path','class','sites/all/modules/context/plugins/context_condition_path.inc','context',0),('context_condition_query_string','class','sites/all/modules/context/plugins/context_condition_query_string.inc','context',0),('context_condition_sitewide','class','sites/all/modules/context/plugins/context_condition_sitewide.inc','context',0),('context_condition_taxonomy_term','class','sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','context',0),('context_condition_user','class','sites/all/modules/context/plugins/context_condition_user.inc','context',0),('context_condition_user_page','class','sites/all/modules/context/plugins/context_condition_user_page.inc','context',0),('context_condition_views','class','sites/all/modules/context/plugins/context_condition_views.inc','context',0),('context_export_ui','class','sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','context_ui',0),('context_layouts_reaction_block','class','sites/all/modules/context/context_layouts/plugins/context_layouts_reaction_block.inc','context_layouts',0),('context_reaction','class','sites/all/modules/context/plugins/context_reaction.inc','context',0),('context_reaction_block','class','sites/all/modules/context/plugins/context_reaction_block.inc','context',0),('context_reaction_breadcrumb','class','sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','context',0),('context_reaction_debug','class','sites/all/modules/context/plugins/context_reaction_debug.inc','context',0),('context_reaction_menu','class','sites/all/modules/context/plugins/context_reaction_menu.inc','context',0),('context_reaction_region','class','sites/all/modules/context/plugins/context_reaction_region.inc','context',0),('context_reaction_template_suggestions','class','sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','context',0),('context_reaction_theme','class','sites/all/modules/context/plugins/context_reaction_theme.inc','context',0),('context_reaction_theme_html','class','sites/all/modules/context/plugins/context_reaction_theme_html.inc','context',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DevelMailLog','class','sites/all/modules/devel/devel.mail.inc','devel',0),('DevelMailTest','class','sites/all/modules/devel/devel.test','devel',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalCommerceEntityController','class','sites/all/modules/commerce/includes/commerce.controller.inc','commerce',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('Entity','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityAPICommentNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIController','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerExportable','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerRevisionableInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIi18nItegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIRulesIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPITestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityBundleableUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityContentUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDB','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDBExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDefaultExtraFieldsController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultFeaturesController','class','sites/all/modules/entity/entity.features.inc','entity',0),('EntityDefaultI18nStringController','class','sites/all/modules/entity/entity.i18n.inc','entity',0),('EntityDefaultMetadataController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultRulesController','class','sites/all/modules/entity/entity.rules.inc','entity',0),('EntityDefaultUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDefaultViewsController','class','sites/all/modules/entity/views/entity.views.inc','entity',0),('EntityDrupalWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityExtraFieldsControllerInterface','interface','sites/all/modules/entity/entity.info.inc','entity',0),('EntityFieldHandlerHelper','class','sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','entity',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/entity.inline_entity_form.inc','inline_entity_form',0),('EntityInterface','interface','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityListWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityMetadataArrayObject','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeCreateAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeRevisionAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTaxonomyAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperException','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperIterator','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('EntityReferenceAdminTestCase','class','sites/all/modules/entityreference/tests/entityreference.admin.test','entityreference',0),('EntityReferenceBehavior_TaxonomyIndex','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','entityreference',0),('EntityReferenceBehavior_ViewsFilterSelect','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','entityreference',0),('EntityReferenceHandlersTestCase','class','sites/all/modules/entityreference/tests/entityreference.handlers.test','entityreference',0),('EntityReferenceTaxonomyTestCase','class','sites/all/modules/entityreference/tests/entityreference.taxonomy.test','entityreference',0),('EntityReference_BehaviorHandler','interface','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Abstract','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Broken','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('entityreference_plugin_display','class','sites/all/modules/entityreference/views/entityreference_plugin_display.inc','entityreference',0),('entityreference_plugin_row_fields','class','sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','entityreference',0),('entityreference_plugin_style','class','sites/all/modules/entityreference/views/entityreference_plugin_style.inc','entityreference',0),('EntityReference_SelectionHandler','interface','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Broken','class','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Generic','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_comment','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_file','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_node','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_taxonomy_term','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_user','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Views','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','entityreference',0),('EntityStructureWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityTokenTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityTranslationBeanHandler','class','sites/all/modules/bean/includes/translation.handler.bean.inc','bean',0),('EntityTranslationCommerceProductHandler','class','sites/all/modules/commerce/modules/product/includes/commerce_product.translation_handler.inc','commerce_product',0),('EntityTranslationFieldCollectionItemHandler','class','sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','field_collection',0),('EntityValueWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityWebTestCase','class','sites/all/modules/entity/entity.test','entity',0),('entity_views_handler_area_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','entity',0),('entity_views_handler_field_boolean','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','entity',0),('entity_views_handler_field_date','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','entity',0),('entity_views_handler_field_duration','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','entity',0),('entity_views_handler_field_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','entity',0),('entity_views_handler_field_field','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','entity',0),('entity_views_handler_field_numeric','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','entity',0),('entity_views_handler_field_options','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','entity',0),('entity_views_handler_field_text','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','entity',0),('entity_views_handler_field_uri','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','entity',0),('entity_views_handler_relationship','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','entity',0),('entity_views_handler_relationship_by_bundle','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','entity',0),('entity_views_plugin_row_entity_view','class','sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','entity',0),('FacesExtendable','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtendableException','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtender','class','sites/all/modules/rules/includes/faces.inc','rules',0),('FacesExtenderInterface','interface','sites/all/modules/rules/includes/faces.inc','rules',0),('FeedsMapperFieldTestCase','class','sites/all/modules/entityreference/tests/entityreference.feeds.test','entityreference',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCollectionBasicTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionContentTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionEntityTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionItemEntity','class','sites/all/modules/field_collection/field_collection.entity.inc','field_collection',0),('FieldCollectionItemMetadataController','class','sites/all/modules/field_collection/field_collection.info.inc','field_collection',0),('FieldCollectionRulesIntegrationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('field_collection_handler_relationship','class','sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','field_collection',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('FrontPageTestCase','class','modules/system/system.test','system',0),('GroupDisplayTestCase','class','sites/all/modules/field_group/tests/field_group.display.test','field_group',1),('GroupUITestCase','class','sites/all/modules/field_group/tests/field_group.ui.test','field_group',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InlineEntityFormTestBase','class','sites/all/modules/inline_entity_form/tests/inline_entity_form_test_base.test','inline_entity_form',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('InvalidQuickSetException','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('jcarousel_style_plugin','class','sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','jcarousel',0),('LibrariesAdminWebTest','class','sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','libraries',0),('LibrariesLoadWebTest','class','sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','libraries',0),('LibrariesUnitTest','class','sites/all/modules/libraries/tests/LibrariesUnitTest.test','libraries',0),('LibrariesWebTestBase','class','sites/all/modules/libraries/tests/LibrariesWebTestBase.test','libraries',0),('LinkAttributeCrudTest','class','sites/all/modules/link/tests/link.attribute.test','link',0),('LinkBaseTestClass','class','sites/all/modules/link/tests/link.test','link',0),('LinkContentCrudTest','class','sites/all/modules/link/tests/link.crud.test','link',0),('LinkEntityTokenTest','class','sites/all/modules/link/tests/link.entity_token.test','link',0),('LinkTokenTest','class','sites/all/modules/link/tests/link.token.test','link',0),('LinkUITest','class','sites/all/modules/link/tests/link.crud_browser.test','link',0),('LinkValidateSpecificURL','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTest','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestCase','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestNews','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateUrlLight','class','sites/all/modules/link/tests/link.validate.test','link',0),('link_views_handler_argument_target','class','sites/all/modules/link/views/link_views_handler_argument_target.inc','link',0),('link_views_handler_filter_protocol','class','sites/all/modules/link/views/link_views_handler_filter_protocol.inc','link',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateAddressFieldHandler','class','sites/all/modules/addressfield/addressfield.migrate.inc','addressfield',0),('MigrateDestinationFieldCollection','class','sites/all/modules/field_collection/field_collection.migrate.inc','field_collection',0),('MigrateEntityReferenceFieldHandler','class','sites/all/modules/entityreference/entityreference.migrate.inc','entityreference',0),('MigrateLinkFieldHandler','class','sites/all/modules/link/link.migrate.inc','link',0),('MigrateVideoEmbedFieldFieldHandler','class','sites/all/modules/video_embed_field/video_embed_field.migrate.inc','video_embed_field',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultipleValuesWidgetTest','class','sites/all/modules/inline_entity_form/tests/multiple_values_widget.test','inline_entity_form',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/node.inline_entity_form.inc','inline_entity_form',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoMigrationHandler','class','sites/all/modules/pathauto/pathauto.migrate.inc','pathauto',1),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('QuickAccordion','class','sites/all/modules/quicktabs/plugins/QuickAccordion.inc','quicktabs',0),('QuickBlockContent','class','sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','quicktabs',0),('QuickCallbackContent','class','sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','quicktabs',0),('QuickContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickContentRenderable','interface','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickNodeContent','class','sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','quicktabs',0),('QuickPreRenderedContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickQtabsContent','class','sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','quicktabs',0),('QuickQuicktabs','class','sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','quicktabs',0),('QuickRenderer','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickSet','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuicktabsAdminTestCase','class','sites/all/modules/quicktabs/tests/quicktabs.test','quicktabs',0),('quicktabs_style_plugin','class','sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','quicktabs',0),('QuickUiTabs','class','sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','quicktabs',0),('QuickViewContent','class','sites/all/modules/quicktabs/plugins/QuickViewContent.inc','quicktabs',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('Rule','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesAbstractPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesAbstractPluginDefaults','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesAbstractPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesAction','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesActionContainer','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionContainerUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesActionHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesActionSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesAnd','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesCondition','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesConditionContainer','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionContainerUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesConditionHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesConditionInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesContainerPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesContainerPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesData','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesDataDirectInputFormInterface','interface','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataInputEvaluator','class','sites/all/modules/rules/includes/rules.processor.inc','rules',0),('RulesDataInputOptionsListInterface','interface','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataProcessor','class','sites/all/modules/rules/includes/rules.processor.inc','rules',0),('RulesDataUI','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIBoolean','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIBundleEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUICommercePrice','class','sites/all/modules/commerce/modules/price/commerce_price.rules.inc','commerce_price',0),('RulesDataUIDate','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIDecimal','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIDuration','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIEntityExportable','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIInteger','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIIPAddress','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListEntity','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListInteger','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListText','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIListToken','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIPaymentSettings','class','sites/all/modules/commerce/modules/payment/commerce_payment.rules.inc','commerce_payment',0),('RulesDataUITaxonomyVocabulary','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIText','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUITextFormatted','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUITextToken','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataUIURI','class','sites/all/modules/rules/ui/ui.data.inc','rules',20),('RulesDataWrapperSavableInterface','interface','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesDateInputEvaluator','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesDateOffsetProcessor','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesDependencyException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesElementMap','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesEntityController','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesEvaluationException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesEventDefaultHandler','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventDispatcherInterface','interface','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventDispatcherTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesEventHandlerBase','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventHandlerEntityBundle','class','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventHandlerInterface','interface','sites/all/modules/rules/includes/rules.event.inc','rules',0),('RulesEventSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesExtendable','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesFeaturesController','class','sites/all/modules/rules/rules.features.inc','rules',0),('RulesIdentifiableDataWrapper','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesIntegrationTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesIntegrityException','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesInvocationEnabledTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesLog','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesLoop','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesLoopUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesNodeConditionBase','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionPromoted','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionPublished','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionSticky','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNodeConditionType','class','sites/all/modules/rules/modules/node.eval.inc','rules',0),('RulesNumericOffsetProcessor','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesOptimizationInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesOr','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesPHPDataProcessor','class','sites/all/modules/rules/modules/php.eval.inc','rules',0),('RulesPHPEvaluator','class','sites/all/modules/rules/modules/php.eval.inc','rules',0),('RulesPlugin','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginFeaturesIntegrationInterace','interface','sites/all/modules/rules/rules.features.inc','rules',0),('RulesPluginHandlerBase','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginHandlerInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginImplInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesPluginUI','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesPluginUIInterface','interface','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesReactionRule','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesReactionRuleUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesRecursiveElementIterator','class','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesRuleSet','class','sites/all/modules/rules/includes/rules.plugins.inc','rules',20),('RulesRuleSetUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesRuleUI','class','sites/all/modules/rules/ui/ui.plugins.inc','rules',0),('RulesState','class','sites/all/modules/rules/includes/rules.state.inc','rules',20),('RulesTaxonomyVocabularyWrapper','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('RulesTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesTestDataCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesTokenEvaluator','class','sites/all/modules/rules/modules/system.eval.inc','rules',0),('RulesTriggerableInterface','interface','sites/all/modules/rules/includes/rules.core.inc','rules',20),('RulesTriggerTestCase','class','sites/all/modules/rules/tests/rules.test','rules',20),('RulesUICategory','class','sites/all/modules/rules/ui/ui.core.inc','rules',0),('RulesUIController','class','sites/all/modules/rules/ui/ui.controller.inc','rules',0),('RulesURIInputEvaluator','class','sites/all/modules/rules/modules/rules_core.eval.inc','rules',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectOrOtherNumberTestCase','class','sites/all/modules/select_or_other/tests/select_or_other_number.test','select_or_other',1),('SelectOrOtherTextTestCase','class','sites/all/modules/select_or_other/tests/select_or_other_text.test','select_or_other',1),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('SharethisHandlerFieldLink','class','sites/all/modules/sharethis/views/sharethis_handler_field_link.inc','sharethis',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SimpleNewsAdministrationTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsI18nTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSendTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSourceCacheBuild','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheNone','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheStatic','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceNode','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceNodeInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceTest','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSpool','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSpoolInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSubscribeTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsUnitTest','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePath61TestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePath62TestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePathTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('simplenews_handler_field_category_hyperlinks','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc','simplenews',0),('simplenews_handler_field_category_new_account','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_new_account.inc','simplenews',0),('simplenews_handler_field_category_opt_inout','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_opt_inout.inc','simplenews',0),('simplenews_handler_field_newsletter_priority','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_priority.inc','simplenews',0),('simplenews_handler_field_newsletter_send','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_send.inc','simplenews',0),('simplenews_handler_field_newsletter_status','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_status.inc','simplenews',0),('simplenews_handler_filter_category_hyperlinks','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc','simplenews',0),('simplenews_handler_filter_category_new_account','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_new_account.inc','simplenews',0),('simplenews_handler_filter_category_opt_inout','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc','simplenews',0),('simplenews_handler_filter_newsletter_priority','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc','simplenews',0),('simplenews_handler_filter_newsletter_status','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_status.inc','simplenews',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyMenuHierarchyTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuTreeNode','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuUnitTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuWebTestCase','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermInlineEntityFormController','class','sites/all/modules/inline_entity_form/includes/taxonomy_term.inline_entity_form.inc','inline_entity_form',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TitleAdminSettingsTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TitleFieldReplacementTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TitleTranslationTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsBootstrapAccordionPluginStyle','class','sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginRows','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginStyle','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapGridPluginStyle','class','sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapMediaPluginStyle','class','sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTablePluginStyle','class','sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTabPluginStyle','class','sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginRows','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginStyle','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','views_bootstrap',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('viewsFieldViewTestCase','class','sites/all/modules/views_field_view/tests/views_field_view.test','views_field_view',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',0),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',0),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsScatteredPolaroidsPluginRows','class','sites/all/modules/views_scattered_polaroids/includes/views_scattered_polaroids_plugin_rows.inc','views_scattered_polaroids',0),('ViewsScatteredPolaroidsPluginStyle','class','sites/all/modules/views_scattered_polaroids/includes/views_scattered_polaroids_plugin_style.inc','views_scattered_polaroids',0),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_embed_field_views_handler_field_thumbnail_path','class','sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','video_embed_field',0),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_field_view_handler_field_view','class','sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','views_field_view',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',0),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_bean_delete_link','class','sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','bean',0),('views_handler_field_bean_edit_link','class','sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','bean',0),('views_handler_field_bean_operations','class','sites/all/modules/bean/views/views_handler_field_bean_operations.inc','bean',0),('views_handler_field_bean_type','class','sites/all/modules/bean/views/views_handler_field_bean_type.inc','bean',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_bean_type','class','sites/all/modules/bean/views/views_handler_filter_bean_type.inc','bean',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',0),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_handler_title_field','class','sites/all/modules/title/views/views_handler_title_field.inc','title',100),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_php_handler_area','class','sites/all/modules/views_php/plugins/views/views_php_handler_area.inc','views_php',0),('views_php_handler_field','class','sites/all/modules/views_php/plugins/views/views_php_handler_field.inc','views_php',0),('views_php_handler_filter','class','sites/all/modules/views_php/plugins/views/views_php_handler_filter.inc','views_php',0),('views_php_handler_sort','class','sites/all/modules/views_php/plugins/views/views_php_handler_sort.inc','views_php',0),('views_php_plugin_access','class','sites/all/modules/views_php/plugins/views/views_php_plugin_access.inc','views_php',0),('views_php_plugin_cache','class','sites/all/modules/views_php/plugins/views/views_php_plugin_cache.inc','views_php',0),('views_php_plugin_pager','class','sites/all/modules/views_php/plugins/views/views_php_plugin_pager.inc','views_php',0),('views_php_plugin_query','class','sites/all/modules/views_php/plugins/views/views_php_plugin_query.inc','views_php',0),('views_php_plugin_wrapper','class','sites/all/modules/views_php/plugins/views/views_php_plugin_wrapper.inc','views_php',0),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',0),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WebformComponentsTestCase','class','sites/all/modules/webform/tests/WebformComponentsTestCase.test','webform',-1),('WebformConditionals','class','sites/all/modules/webform/includes/webform.webformconditionals.inc','webform',-1),('WebformConditionalsTestCase','class','sites/all/modules/webform/tests/WebformConditionalsTestCase.test','webform',-1),('WebformGeneralTestCase','class','sites/all/modules/webform/tests/WebformGeneralTestCase.test','webform',-1),('WebformPermissionsTestCase','class','sites/all/modules/webform/tests/WebformPermissionsTestCase.test','webform',-1),('WebformSubmissionTestCase','class','sites/all/modules/webform/tests/WebformSubmissionTestCase.test','webform',-1),('WebformTestCase','class','sites/all/modules/webform/tests/WebformTestCase.test','webform',-1),('webform_exporter','class','sites/all/modules/webform/includes/exporters/webform_exporter.inc','webform',-1),('webform_exporter_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','webform',-1),('webform_exporter_excel_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','webform',-1),('webform_exporter_excel_xlsx','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','webform',-1),('webform_handler_area_result_pager','class','sites/all/modules/webform/views/webform_handler_area_result_pager.inc','webform',-1),('webform_handler_field_form_body','class','sites/all/modules/webform/views/webform_handler_field_form_body.inc','webform',-1),('webform_handler_field_is_draft','class','sites/all/modules/webform/views/webform_handler_field_is_draft.inc','webform',-1),('webform_handler_field_node_link_edit','class','sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','webform',-1),('webform_handler_field_node_link_results','class','sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','webform',-1),('webform_handler_field_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_field_submission_count','class','sites/all/modules/webform/views/webform_handler_field_submission_count.inc','webform',-1),('webform_handler_field_submission_data','class','sites/all/modules/webform/views/webform_handler_field_submission_data.inc','webform',-1),('webform_handler_field_submission_link','class','sites/all/modules/webform/views/webform_handler_field_submission_link.inc','webform',-1),('webform_handler_field_webform_status','class','sites/all/modules/webform/views/webform_handler_field_webform_status.inc','webform',-1),('webform_handler_filter_is_draft','class','sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','webform',0),('webform_handler_filter_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_filter_submission_data','class','sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','webform',-1),('webform_handler_filter_webform_status','class','sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','webform',0),('webform_handler_relationship_submission_data','class','sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','webform',-1),('webform_handler_sort_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_views_plugin_row_submission_view','class','sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','webform',-1);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contact/contact.test','655e8d5fe7536a972c2233e438a142166b15a118cc644e94b756c2814c375634'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/modules/addressfield/addressfield.migrate.inc','e380fa7331f04e098224ea0fad8bcd2572bd6680c86f60206f926bb25ce2bc5d'),('sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','e87fd32bd4ba5229040ab7020206774fec2717236d4a39c729362b5c7a55f03c'),('sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','51956e153daca9f27e4c8bbecfa2398a4ef50391d2f5bcac258586a6d1dd1fb2'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/bean/bean.test','a9e4a3181284e8fde14ea84d3d43457db1b88fc3224f593cc80fc261e6991bad'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','00dcdb1b8dad36d2f01be0133f6cfc05058f44c80b14b7cc9ebead32276631db'),('sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','88d197383ee6b796bedd193d9c0bf60cf0434eb038936cabb53b93586b856b11'),('sites/all/modules/bean/includes/bean.core.inc','4c8e26524635bbe37b7023a28e3c15e1184d96a597298ea837647db7d599ac1a'),('sites/all/modules/bean/includes/bean.info.inc','a42eaa64065f453d710efc7158cba691e206fd8c4109a38c9a8ac6c171db7016'),('sites/all/modules/bean/includes/bean.inline_entity_form.inc','ac30e293a60f6253f9572d2aa58cb8738b4d592c47b80159c16e6a2caee4cb86'),('sites/all/modules/bean/includes/translation.handler.bean.inc','511b7fb84c934527ad4ecd8c51121ec60fa95f3ce57dc0447a3d59b338b1de41'),('sites/all/modules/bean/plugins/BeanDefault.class.php','8d1806968fd6cf5458de179115b5707aede67480a10d6e510bbf0b7a9fa9976b'),('sites/all/modules/bean/plugins/BeanPlugin.class.php','6ce3a322d204a39874a9110e4abb4d830394cfd08e9a2880d71c2dc387506484'),('sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','88dc2137059157c3be780594c6e517927176609bb4e7409837b2ba7ae382fb4a'),('sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','868ef7a7053cf5cbdcbf365798dd646b0e9909b99b479d9f1bb677d99333e1f1'),('sites/all/modules/bean/views/views_handler_field_bean_operations.inc','d8101316aff08a185611f4128ea46a00fa8cd94867ec18c3775ecf57f1b1feec'),('sites/all/modules/bean/views/views_handler_field_bean_type.inc','a99634103fa22d9a1b13da43c72fbbe35f5963432fa7096d847843d262c38bfe'),('sites/all/modules/bean/views/views_handler_filter_bean_type.inc','4da64b68eff8dced69f2032d57e68970c385b0a5bace3bcff617c0464ecf52e6'),('sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','64b7e6ba646b8e34d12ab61f6635d3b56acffe4f8220cff22eec0b790a37d5a5'),('sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','6ca4aeb4b38d2efe8df587435dd073b8e1a218faa48f155d27ec2c44b5f88c35'),('sites/all/modules/block_class/block_class.test','ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),('sites/all/modules/commerce/includes/commerce.controller.inc','248037a84c99cddc817e8c1bb5a6b219b5a52ebad9194caee9e81228cbb756bc'),('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_area_empty_text.inc','0e6492974d7c4456f0fad1b8e5222aa24a55a12f35bb6c8069827450bb2da939'),('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc','7f535730f3c0b47b95349a70f99704f0620eea7d839ad3501b0c469c113f8b67'),('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc','688e8399990d3e5853ba59d193047c03df2f4e76bdf3e1b6d7aaa28caf025cd5'),('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc','b84cad387beb045be35f171f5e85a856644b9ac2bb7941191f3e9be77f88a710'),('sites/all/modules/commerce/modules/cart/tests/commerce_cart.test','258debbb7f1251924658b3d27d0f3a60dd9e6a18f114400b0186cf00475429a3'),('sites/all/modules/commerce/modules/checkout/tests/commerce_checkout.test','337b9fbf1afbe746e5e967c1531d3cab994bb0eeadd54e0cba4da0ff00aed1a3'),('sites/all/modules/commerce/modules/customer/includes/commerce_customer_profile.controller.inc','85bf83dabd007703d86c55e8d1f1a8fbee5d5b158a2864f622544d64ee69edcb'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_area_empty_text.inc','fed903be8479497e5a1310d94bb211af51c20274a3e285e2bb1817bfc11fbc3c'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile.inc','ebe35f7320b8dd6bd46c1aba843111af38c0aa9263c02b768daa66d720bd6070'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc','532d0b95202ac3f91dc501f87683dadb25e20d6461f3862582d5884b89484156'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc','e16edf474e1f85f04104595847b96cc1ad9a9f639f71a7d5dc9888b8cdb67628'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc','ccc7610e3c39af5c89525875efe48321144f9a1cb592f59be9adbf54b2b84166'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc','29e0cd35a8bc418c386909733f5fd15a04bb21b74e75e497a1d54b06243ccf6b'),('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc','8f8c4cb4051b7fedb749329396c543fc7202f3cad391eda98cde6a41223812f7'),('sites/all/modules/commerce/modules/customer/tests/commerce_customer_ui.test','48750f3fbd5a6eab95801f7da1be67bcead71e26e8b3ba88d421edf775bbf5f7'),('sites/all/modules/commerce/modules/line_item/includes/commerce_line_item.controller.inc','86c6f46c78e400e3032cd404f7839a912f214de64b2ce71f6ec3116bcdd86ca2'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc','d18bbd5a19ab3a259876ec5b8d0da8d2045e7b82e170ccb9ec201b5da7c58967'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc','81480b49818b241ce78cfb6c077cce289494c237c021664f190f1d8c9ba7800e'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc','68ef6e754dbaaae8229c744c100aafcaa9bf57f049d95a473530e6fabf73d8b9'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc','f490ea63c696d411cbad657301f61763486618a3037748a2820e0504c4ec08de'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc','3822e632c5ea542f71227060d76debdb9097ad369e74fa3a2e89d077f3a22e02'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc','cb2db3c3349cb740f5c77272a56cd6be31d54e36f3482af8ebc1278aa375141b'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc','ea396f7eb8991b6cd243ea9fc60c07e17e1eab6537595c68b1b3dbc8ced7293e'),('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc','659256427a611b407a22c9a2c2f3e8c78b467303ec95841a82c8afcc8c8a727a'),('sites/all/modules/commerce/modules/order/includes/commerce_order.controller.inc','e7f2d8386171d1aa525838e6e2274df2adc155beca2fdab4841e8d32bef3679e'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_empty_text.inc','c9d0a4c48f04d2ab7e87d46f9dfb59bc92c618f8b39204dcce054091b52364c1'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_order_total.inc','aee446ec85e60d9270d957859295e72247a34c363cd9e21a70de0042bdf70f0d'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_argument_order_order_id.inc','cb6ac659e98422f86972b44565128fe6f0d365601443e7e36828a520222cf688'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order.inc','a977f8e47c334e07d31a4c0a18cd04e1e0f56f6821709f5e8e71eec995c38f02'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link.inc','0d8b298a1b45541f0a7553ff5c7309046200b071a6f7f5596693541c7a719db3'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_delete.inc','caec98e1d1fe9bc1d9119991151f42f2fd673c0181779c80034cf15dc5faed6e'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_edit.inc','691ffbd21c9519cb642a9e366b1a4bb1ebdace5f666559d833fb07ab5f079e21'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_mail.inc','f2be853810ce4f954043407ddc1be88aa001101ed9a5fa66aa42ad2c0c1dfff5'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_operations.inc','f2d6ec4603fda04b7fc05ec6ef4e53a3850fc7721664365b3b5e6cdc6b1e2d04'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_state.inc','bcbec60e2fb92fb75dae0bbbbe819e801840cbb3de63ef2a1f9535c725bc1623'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_status.inc','4a25a59b07cfe43385f985cd616411f6c2ad29fa38527d9880f54a8fd559e016'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_type.inc','71e9aa4c5dfcb42eff64f7b8a3232527fc006305e91b72756bb6e439d452153e'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_state.inc','a719a0fd34c099b3eec20c1e5a5ed72acc7119dc9162d3ab6ae90af39de0de9d'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_status.inc','42504b8d7b5f17d02179d70079814c2fee3e40f747d0ff35de4c20186e0c3043'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_type.inc','d8436f1591e9fd62bb0aa1fcc3129fd01268fe0a3c7af3cd0a2342e4d3408636'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_plugin_argument_validate_user.inc','743a72f40e414f7b1928142eb1a8042d4d2fa5281ec750922f2d9e6862882824'),('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc','4483d114736578f480359578047b526762a5c571c982ffdcfd6458c6acf8f662'),('sites/all/modules/commerce/modules/order/tests/commerce_order.rules.test','04ec760068e39ad13ab72a37cf3dc002c6328825a55f822aa7efa3218f2d60e4'),('sites/all/modules/commerce/modules/order/tests/commerce_order.test','904d356edfa8542d083c996e4c06ba7b6f55c62fc0daca26778056d8af1edf22'),('sites/all/modules/commerce/modules/order/tests/commerce_order_ui.test','b185458945355a95cf3a057160cdc690aa80fa03821ed31f2ea9c11628c052c9'),('sites/all/modules/commerce/modules/payment/commerce_payment.rules.inc','0153ad66ca4781078f3ede987c5532f1a472fbe3dd2b6aa72410e888eeb95ee9'),('sites/all/modules/commerce/modules/payment/includes/commerce_payment_transaction.controller.inc','b12a4a18fbc642b0e4081179fccde644d89d7679bf9dde7646e388f4bc8befe2'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_area_totals.inc','f0991a1b4083b5f702fca3f62a597022e49185dec9ad2b4d098af00d78c3c0ec'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_amount.inc','569c5d4c24fe590e2e866d9b9a79645043396c3b431960ac993c1836dfd25ecf'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_balance.inc','de9aeb8e12a4659231ff676095ae819fc88aee4b238f54f3926999be7a539ef1'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_currency_code.inc','6154926f646d9fe3172340d41a62672a0e26611da0872d42b4a82b6cb1486879'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_message.inc','9855e47621475e512cd54baea47a376e5eb4e4b4e42c279f395c2c2f1aab2903'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_method.inc','f3601781c3f0ddc077f58668f405de3639e99315977fde4753e1f8996c6faf16'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc','ef3c32f9836535e18a674bbbad030685a4b81ea08d34547a2055c04dba888090'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc','eaaec1a608b819c4c9e42f3f3ac558a800347b1b732068f89513df5ed407d35e'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc','b8bde7f508f298e45800ab7b2b9c8e9cd9c52fdc61961ff7535bf7f997d3c120'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_status.inc','b746d6dbf127ff715b0e47b3d0c167745f1baad8057b878d4969ea24a016c171'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_currency_code.inc','f0bc3d1da8a2396aa06c01ebfb1d620066a173ffc3bb8565655201d0a1d3ba25'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_method.inc','ca86dba0891054cc2c172ee862341dbd92577187df28c6634c547f9114037199'),('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc','1d7b8959c12c22c909930bff6e90ad5f55db95ed04b258d08f7ebc9d157760e9'),('sites/all/modules/commerce/modules/payment/tests/commerce_payment.rules.test','2fa338eca91d1e212657dd29f505a4fda3b1cb81663e278936befc243a3c18c1'),('sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test','917aea18ebe2def8f90884ce07e63d06216a0687f2ef7e9de457080375366261'),('sites/all/modules/commerce/modules/price/commerce_price.rules.inc','16541b1d9da4f98443003289c228222d33754dfbc8dc07d719ae01c4f8c549ac'),('sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_field_commerce_price.inc','e84d432bb7a02f22344a6a84527aa2d1ca70589a706aae84991a71df7c8b2a27'),('sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc','205b6df491c7c82e22c3f8cd29306994ab2115c7d99f2f24b4a76e4316be3f5f'),('sites/all/modules/commerce/modules/product/includes/commerce_product.controller.inc','ebbd8db4485553c2b3ff3121082de7287156c2263b0a3e9f4d863ecadfa54168'),('sites/all/modules/commerce/modules/product/includes/commerce_product.translation_handler.inc','d88c0e171b4ba03e024d975c4a4410305aa2675795782f37df5d7171a06a30f8'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_area_empty_text.inc','3fc65f87f59bba6c1d5ef7c7969bb1d3a8c91d9d18cda8bb01cbcfd62bc20bdc'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_argument_product_id.inc','651774675d1cb476411fc0bc44949d40bb4fca2760089de187363a5171ae4445'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product.inc','24d037ac9a5ceb9170646770c62f030f5e55ca8b7c1272ad8c6b55539618a526'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link.inc','ee3a40bc879eebfba39543bf62cf34b8d408168b9399dd087bcd628f1d5f31ed'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_delete.inc','4d4877469c84cdeb775b06ad09977efd91d745d6c161753d72bd155dda851529'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_edit.inc','00c8d31f31ce028dbd1a527c7f4c13daae48d0636d30b741842c4dc3829f90e9'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_operations.inc','a58db505803442eec0efc59a4375fcc60314108aa0dc4b934bdfa11d7a9dd86b'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_type.inc','8106f66874127a7c180a97478c5e63d92667543983010be0ce7d71c2c1f3c7ed'),('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_filter_product_type.inc','1ea0f4a8efe1def76619e3d2e576e176330ee61b9eea86775150c646842bb754'),('sites/all/modules/commerce/modules/product/tests/commerce_product.test','0233a8db5a8ec35e8b5bcda18273cb8da152dcfbcb04ad8d88a3459d99e8c9cd'),('sites/all/modules/commerce/modules/product/tests/commerce_product_ui.test','dbddff7a5281eeb93c89d1b89a484fcc05fac0dad7f9524942138638af52f645'),('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc','4aa262c1b96313b4e1e2c53bc99f443e44c259f150cd7ba2e3687e0946d26ea1'),('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc','8f247d3c2b181f650dbb4b76e44be33248b814c14e3cbf8ff36eab5cbd677d18'),('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc','6cde0d9ddbc01fdc70e69182417160e11a79ccb16e8718c1db95fffa9c5978d5'),('sites/all/modules/commerce/modules/product_reference/tests/commerce_product_reference.test','a38ef2ec0c83ad4bd505dd9a9cec7d6395d22635720854ea30a4974bbe6ed78c'),('sites/all/modules/commerce/modules/tax/tests/commerce_tax_ui.test','1dafdb2b604b5e9126562d9ae0a5e7c602cbc7a9a274a9cac1e271cf7dcb8f5c'),('sites/all/modules/commerce/tests/commerce_base.test','01746a2e204743e170423af3e597e139ab7054fc40a3fd889ad3e3eed489990e'),('sites/all/modules/commerce_donate/commerce_donate.rules_defaults.inc','1d7c98f2c1ce91b8f93b2eaef910a1d75155424ae4127ce0e51fe61028a6da91'),('sites/all/modules/commerce_donate/includes/commerce_donate.checkout_pane.inc','bef75f9de35ab53f0eeea083554fe7f54f885a831e56222c838d9d39203eec96'),('sites/all/modules/commerce_donate/includes/commerce_donate.field.inc','563408636e12a9344b0608cbc8303b022d17f17d57cd186f6fab8c47a910bf15'),('sites/all/modules/context/context_layouts/plugins/context_layouts_reaction_block.inc','9d4b9d7b8fc0d2a03804f13c462000e3a233229f954ba85c299a79b052861e69'),('sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','669518a4d1dcbf4b01ac4aea05074e342419a07b7bbda23d2c5ba04c8b3be6a7'),('sites/all/modules/context/context_ui/tests/context_ui.test','c30c5cb7193436a17e7e7892064232dc6b53a4e02ede31d5f12e4ae0f970e903'),('sites/all/modules/context/plugins/context_condition.inc','2701acb0f8667cf922052a9265bb84c936a3b716afaf3a8eff2ad04e332b5a2f'),('sites/all/modules/context/plugins/context_condition_context.inc','cc3630470442db0c92d2def23cc03eeb9de30fb1c00dd2e00660646e292a705c'),('sites/all/modules/context/plugins/context_condition_context_all.inc','80b00ab0cd49aa4cfe4493a2cd08dde594d73ba3f3563d34c15ae2b46fc5983e'),('sites/all/modules/context/plugins/context_condition_default.inc','5764948ea3f0c7b55e14b0cd3690ab279f2237eb45043fac102a82b5d392c4a2'),('sites/all/modules/context/plugins/context_condition_language.inc','edbd457b68a4dd1e213792dce89d89ae17127d21ec3aa7e64eb6e636f11b2034'),('sites/all/modules/context/plugins/context_condition_menu.inc','1043c5b26abfb064ee307a21d8893c97593e1bc3f1b77c848542248afe7b4c89'),('sites/all/modules/context/plugins/context_condition_node.inc','8d54a13f2ed57cd1a36d1dbcba62e32f256ed6e71554643599fca50a3dddbbd0'),('sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','bc21088c7859b6db39417b1ee3124da8b3ea720b18d3731063299d3b0edf1ecb'),('sites/all/modules/context/plugins/context_condition_path.inc','c9ad2e426c75c8ba6bc4c94181aadadf3f474272cd0dc0bc67bd7c6cd810fea7'),('sites/all/modules/context/plugins/context_condition_query_string.inc','3902793c371098e42e0d3336fb8a0c26a0f18685ac03c6ac9a04f755a8ebd0cc'),('sites/all/modules/context/plugins/context_condition_sitewide.inc','cb5061fe6757287744f3db7296380120089c4e56af3298395aeaa3da16aedc3b'),('sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','94eb955d5705e75936cc440417893e341905fa7fb3df3b6d3e7d838fa33e313c'),('sites/all/modules/context/plugins/context_condition_user.inc','a6fd04ce6574d5391427a038da1f158f47b062cde7655811fa5a41271e75d20c'),('sites/all/modules/context/plugins/context_condition_user_page.inc','c5c48146a183e6d2cdfa07222e7f614bd9ba3ff4b745131c9910aeb79bbf4bcd'),('sites/all/modules/context/plugins/context_condition_views.inc','5cd3e84b22977af2d1a72ecc9dffb9b1beb1ac42f2ad2741de5a015a45734473'),('sites/all/modules/context/plugins/context_reaction.inc','497ce814344a5789eebd05e77f9a84625d20f8bf38cf77bf794ac85fdd1c1c0a'),('sites/all/modules/context/plugins/context_reaction_block.inc','e387623a2916d3ecd34eb455a8b62d621edd2f84ba6a2a925bdd835338120fbb'),('sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','74497dfd46b263561fb22e395049edc7ba24d14ff4b6b9c89af0ae1136aba8b5'),('sites/all/modules/context/plugins/context_reaction_debug.inc','c57b92ccf0b1278dce108089989eb32fb532e786f9bc01d2cb694819b468f322'),('sites/all/modules/context/plugins/context_reaction_menu.inc','b4fe6cd7738895c013ba7bae05fe0d23e34003f5bfcf18cd2c89c666a3688eed'),('sites/all/modules/context/plugins/context_reaction_region.inc','fc61c32bcdd8da4db6441424a4b5af8c7ccfd388386b0a0f3e497fe694006241'),('sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','9f819f86c6e2865d33e5a73473ce5ca2bfccd236d7880d6bab04eff56ceb2a4e'),('sites/all/modules/context/plugins/context_reaction_theme.inc','eae05dc2e34947aacc18bdfb4925df9a7946d64d9b23e7cde92ee23610cadffd'),('sites/all/modules/context/plugins/context_reaction_theme_html.inc','b0b4f355aebce29dbaa3e2bf26c35443d134f73649f1e197170e73d5ab93e0a2'),('sites/all/modules/context/tests/context.conditions.test','d13d632b7140e82946c2238bffdaab99893c3cab9d8a59ae6a1e2bebb5a42c88'),('sites/all/modules/context/tests/context.reactions.test','4d1d8d1497fc32e685446e52e387e537a6ec183ed598d224e356ad1461676efa'),('sites/all/modules/context/tests/context.test','05e97800946a534d2a4f3f017f6ac3ee682c7ef8a430cef5bb769574701d9419'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/devel/devel.mail.inc','49da9730e719dd57db1eb0c416874a5bc0b5a0af50d06f0e3e3832514b653e15'),('sites/all/modules/devel/devel.test','6d18fc4c80d6c92d827f967baa36a11a0efc82b02bb79c1ebb53da515322f084'),('sites/all/modules/entity/entity.features.inc','53f537caf6ad9355fb92b2c6db019959abdf399d80764151dd976b0891f37436'),('sites/all/modules/entity/entity.i18n.inc','41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),('sites/all/modules/entity/entity.info.inc','8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),('sites/all/modules/entity/entity.rules.inc','774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),('sites/all/modules/entity/entity.test','aba6490cd2041438d832dc8f63b213e0d171a5a218f6d51a9fe00c51e95069ce'),('sites/all/modules/entity/entity_token.module','0c1ad6fb6f8c430e47a81be6d08180883c5a1ee728ce8b5dd0775713b34fb862'),('sites/all/modules/entity/entity_token.tokens.inc','084edf8f860f3c9843e23cc2e06a9084dcb644ee6d99c21cdd7bd924138d518f'),('sites/all/modules/entity/includes/entity.controller.inc','b85d1882fae38ee8a0e82bf75952f44f65a58fd95e3bf0c3cb2a1321cf4d308a'),('sites/all/modules/entity/includes/entity.inc','02c3c8b1d4b7230f875c4fae8e6ba3bd57431e01f312b32f3ed305a7be734774'),('sites/all/modules/entity/includes/entity.ui.inc','49653cbbccc4b4e51f957727aa95803c149fac9565f53ed553e2cd1c1c3580ff'),('sites/all/modules/entity/includes/entity.wrapper.inc','ba890faf0f18d6262bc211db1fdf0ca7742058b1f454cf3d9a9f281c71bface7'),('sites/all/modules/entity/views/entity.views.inc','089b8ed3103f62778be3395a99ddfbd84da4235f5ad431392f8984eaa4bf349f'),('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','88e4cbbbeab9bbaa4c928118bdefb158ea99f343f813cf88cce01ed7fbf8bf6a'),('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','e489ca209c66b76228383864b8267067e7cf3a1e375d9a195339f89932fed71f'),('sites/all/modules/entityreference/entityreference.migrate.inc','6dfe7be97f3198bff6c145dce9a0f521c3695c380d24fe6d3feb97362363407d'),('sites/all/modules/entityreference/plugins/behavior/abstract.inc','a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','29e0f80ac52c1c313455a531404a3040c9160ecd173afd2e200ff99ffbab491c'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),('sites/all/modules/entityreference/plugins/selection/abstract.inc','9c8cdf704c8e42cc2a63d4c8271d28c7b0aa7e0b1ec081ed7bd84712631e3e72'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','d9535fae7a2ef011de9138b93c5bcaa159de0fdb74a99eaa8a53e0d6e67fc5f8'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','5b2fd228aec8548b2c7b32dd966017bcedbce1c3ca211bd69b114b95a37927f4'),('sites/all/modules/entityreference/plugins/selection/views.inc','7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),('sites/all/modules/entityreference/tests/entityreference.admin.test','f9e581f0fd8481b12ae74779f28942b26d29b0df828ba092b7be87cab29e1172'),('sites/all/modules/entityreference/tests/entityreference.feeds.test','b19193542031d2e1a247ffac8852e9219e5f7f0ed38298207ffe27cd1af9352a'),('sites/all/modules/entityreference/tests/entityreference.handlers.test','501b326e8d8864614b97ccfba75c7f01d5bb76536892422fe66dc284160db42f'),('sites/all/modules/entityreference/tests/entityreference.taxonomy.test','28aed16bd109189d6b2bfc8f59d914c8e237190738fa23d81dbd6cf2c2bced9b'),('sites/all/modules/entityreference/views/entityreference_plugin_display.inc','369e6ef46c06cc651ed209f94aa64ff6a4bbb3f2af678b2f1a8b23e42c81e648'),('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),('sites/all/modules/entityreference/views/entityreference_plugin_style.inc','fef62f9375cbcadbfd1918227434193f45e4cc62964cb4fee22ab1d8d3b3bb26'),('sites/all/modules/exclude_node_title/exclude_node_title.admin.inc','17336fde56eca0021cd93b9cdd7a0e27059d5cb27e6d5f9d0a09704c84710719'),('sites/all/modules/exclude_node_title/exclude_node_title.info','bda33eeb9630085aac53467850671c740ec8717427aeb36df431ea72513aab0c'),('sites/all/modules/exclude_node_title/exclude_node_title.module','1ce6d7d038fb4c0e02222c34e5b2555c7653c4a5301c874521b3c79f174a11d1'),('sites/all/modules/field_collection/field_collection.entity.inc','ffaefd3a88911d2f3cc70e287ff5e1f81ae493fcaffbabdb2f651154f8774e83'),('sites/all/modules/field_collection/field_collection.info.inc','e11b810756dabe6eb24b70a3a84390480a2de7c5d65ea5a1f0d6045802f8405e'),('sites/all/modules/field_collection/field_collection.migrate.inc','e483818782fc66acd36ce6499dcdd8725c8eb16595406dff57471c72366c9187'),('sites/all/modules/field_collection/field_collection.test','064977821eb77d471b4bd876f0c3bbedd8b1ee41ae4e7739598712d45991057a'),('sites/all/modules/field_collection/includes/translation.handler.field_collection_item.inc','8730fcca390a663d98cc781d3327f122541116715605554d45848f1a371ff8be'),('sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','6e8c13805c1ff233410bb408d524786df4ca64fc10ee4bd874a16277243efba1'),('sites/all/modules/field_group/tests/field_group.display.test','68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),('sites/all/modules/field_group/tests/field_group.ui.test','17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),('sites/all/modules/field_slideshow/field_slideshow.module','659d5f7908ca6530df427b4074b1020c2b7b189b0e23d5844ef69242f5afeb3a'),('sites/all/modules/inline_entity_form/includes/commerce_line_item.inline_entity_form.inc','a53470b7433c702c57e60e88affd22789e81ad1ca06a4bf431abba762d778c92'),('sites/all/modules/inline_entity_form/includes/commerce_product.inline_entity_form.inc','53bb71cf44c5845fd9d9edb6e59145898faa8fa16ca7be1e3b126421b8fba9ef'),('sites/all/modules/inline_entity_form/includes/entity.inline_entity_form.inc','95975e814bf1e770dd4b63c8090a2dc0eb2ec71ea4378775f8212b6410bf07fd'),('sites/all/modules/inline_entity_form/includes/node.inline_entity_form.inc','d1731bc641fd32efe96e16bf281a7fd9f050a39674c6c0282a7940ddb70c048c'),('sites/all/modules/inline_entity_form/includes/taxonomy_term.inline_entity_form.inc','6747f3f298cc0d53a82ef176611964e46c1eabace184011808a2b2af79e51255'),('sites/all/modules/inline_entity_form/tests/inline_entity_form_test_base.test','3bbedbfcb3ff5b348787833b7aed2e1d16e1f200aead633dc610a394606ce149'),('sites/all/modules/inline_entity_form/tests/multiple_values_widget.test','194ee6a30dfc4d176a604e2f99289a60079e5b945aa220f3e12f86c4614cca70'),('sites/all/modules/jcarousel/includes/jcarousel.views.inc','690f67684bd4f7dfa0e2e9573fa2db6cb0ea932ad7eebbbcac3868fd721bfe05'),('sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','07c54b3d8b4d0dfc8c02e102d36f30089e673010a3e4dd88cbb24814ab66f18d'),('sites/all/modules/jcarousel/jcarousel.module','2fc24478d406def8c9b14be739f446a344bda59a9bfaad6f8990a713ce59c1af'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','933af00ee9ad342999e20c0a82440ab04933b5d7713ffe2e7371a9af15492bf5'),('sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','4cfaf88ce29e72f8ecd52b02cc9f7bac2ea60a715530cd9ff4fea929dac161ee'),('sites/all/modules/libraries/tests/LibrariesUnitTest.test','08139d770447993484828d0a642b6a771314c74e392074e94c2b7dcebc10b093'),('sites/all/modules/libraries/tests/LibrariesWebTestBase.test','056dfdd67ac9d6a84ffbe0f507e165fd6f07a0c82c3c7efbc1874e870e85e83a'),('sites/all/modules/link/link.migrate.inc','0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),('sites/all/modules/link/link.module','39bc7a76730d855c17544d4a67ef6dbf3e018b74bc2f2b5d2431b6a370e1da3d'),('sites/all/modules/link/tests/link.attribute.test','92c76292e0b2f74ef21d6bca563cf5d47d0331d72bacc454a550c6ace51697cc'),('sites/all/modules/link/tests/link.crud.test','de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),('sites/all/modules/link/tests/link.crud_browser.test','13da1fde2aa1c45ec11c8b343004d116aed074789a5b46f8dd6b299781e9755d'),('sites/all/modules/link/tests/link.entity_token.test','e3c414eb7bdc1a27b8408446ded03b77c52b3419f38f6a3d3ada68effda4b616'),('sites/all/modules/link/tests/link.test','fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),('sites/all/modules/link/tests/link.token.test','74d2a9888005d08fba8c6d3720592a4d9dffa5d30a25fee1714ce89fa0688041'),('sites/all/modules/link/tests/link.validate.test','ff8a018f4ecf621e8f5f0fdec7c8d505305778c615ef17a84c7542bee0e29c47'),('sites/all/modules/link/views/link_views_handler_argument_target.inc','d77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),('sites/all/modules/link/views/link_views_handler_filter_protocol.inc','e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),('sites/all/modules/megamenus/megamenus.admin.inc','918e59841c3f6b2c3a5778b52dbc5ea044f9a5d47f1a31a10ffa4c63cc6fccb5'),('sites/all/modules/megamenus/megamenus.ajax.inc','7559193d973b06aca7dbf0f7b6d2d3b3b33bad63cbed89fdd4fedb57ddd42dc8'),('sites/all/modules/megamenus/megamenus.inc','5472507498653abcd53743f5094e42549a4360fae6c9784defdc05735c719b3b'),('sites/all/modules/megamenus/megamenus.module','f0af80a43e70c397876b80681cc90c251db2fe96bda9db44cda6eeca1524e473'),('sites/all/modules/megamenus/megamenus.themes.inc','1de50bfa5dad27a191ddf4477e971fde435a71ca98d0e25022206d9621de9fcd'),('sites/all/modules/module_filter/css/module_filter.css','23d534ed382a1e7805d4391d8aa72317b79e6c56905036db2cefd6eb5124168d'),('sites/all/modules/module_filter/css/module_filter_tab.css','ed032d26ec91fa509868dca0bcd201808d2b07d8565991fd877f0c77c0ef6af6'),('sites/all/modules/module_filter/js/module_filter.js','fafd3413175777e0a7659cffb41765e9c26c2ecca11a28fbe043759dd56548da'),('sites/all/modules/module_filter/js/module_filter_tab.js','f8b24ea3eaff792ff95e74e940fa4716c682ff73f368a4cd4942a7852b3d6377'),('sites/all/modules/module_filter/module_filter.admin.inc','502ac86b3ab04a4a86ab079e5d47ad8e30d78db6fe88486efc5a532182dfcf6c'),('sites/all/modules/module_filter/module_filter.install','75f3cbebb23c5f14e70d84110ac82649d270a9c37a4f298e661a1c6148acc783'),('sites/all/modules/module_filter/module_filter.module','70a57f95a82053922f415b942e0652e726564baf7383779a68d6c5aad1be9833'),('sites/all/modules/module_filter/module_filter.theme.inc','df066d4c342572d66792b9c1c829edb8f11dcd6eccd2a89e7e6b6b26002bf542'),('sites/all/modules/pathauto/pathauto.migrate.inc','31084f25620be5620aecf9d60356dba662b6eda426c0c94ba996821110e4b1cc'),('sites/all/modules/pathauto/pathauto.test','1297560df48bad9b325d775d3bc64a411c03a0fd630c5e53ff8e46c4550a6977'),('sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','400b8683c88ba26f27604e91c48a2d151aef3618677d89d06b409cfa606b9be5'),('sites/all/modules/quicktabs/plugins/QuickAccordion.inc','772c06425494bb7a51aa1de65e89013989364728eab54ee9fdf8e3744750aca7'),('sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','dfe798caf3a0ea509bbe897953247c17d1c5ec2d201f7dfb29736764ead4aa7b'),('sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','ce0426cf04622b262ab7463e1264adae84e06b2c2e63e4aca783accae4ba9009'),('sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','d790b25dadb846e851aba926660657a29c0760e7ba58b50ffe74ffaeb318f0d7'),('sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','c8e70121dd2fd7e9d37e8db93d16985902717561a011f57498af81d7cca7ac7f'),('sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','5289bbc2f5a6d3cd19897d36114ea19700636bbe3673a3807f3f22944b9bd1c5'),('sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','dec59e70103449784824e96fac41ed00eb8d22b17c3e44508ff8fc101e0281ff'),('sites/all/modules/quicktabs/plugins/QuickViewContent.inc','a099bb06157ec486ea54aa47077c066ceabebcf33d930406541a56ba91dc6da7'),('sites/all/modules/quicktabs/quicktabs.classes.inc','97e83f0f97a4b071ed1a2a4c59b0fe9a1002d07acccd590ca15a2bf895d9d9a5'),('sites/all/modules/quicktabs/quicktabs.module','99e5180f596b704b5b479ba746a85aacd7c531a75f86140a1b8a952468c0304d'),('sites/all/modules/quicktabs/tests/quicktabs.test','d23f9d8cd89eff02a2a9711858951df1d0c60b13d38ba0fba97b1b56b8104a86'),('sites/all/modules/rules/includes/faces.inc','72352c57a12e740b80e235ee5fe245b91c5bca9938f4751670acc8e719626bcb'),('sites/all/modules/rules/includes/rules.core.inc','133fefa0850863e1f4d9ef13fc9c9211ec8976042961b3c088236662eaa9da0f'),('sites/all/modules/rules/includes/rules.event.inc','286bb8005acf30a6f4fdb23ff75843f70a82a99ac3e225c31290aad10e2a50ae'),('sites/all/modules/rules/includes/rules.plugins.inc','d760fa99514c4acdc6e7abf6d820a979615304ed677eb291955356115dcbe44c'),('sites/all/modules/rules/includes/rules.processor.inc','902d554987e019cfe9c8818a83a96db7e02c556efb4c63961ee9d091ee98c988'),('sites/all/modules/rules/includes/rules.state.inc','26cb9d0792e6313e0582816527eef3e1310a07c5e3065b2b26e3408dca500bf0'),('sites/all/modules/rules/modules/node.eval.inc','7873fe5eaa00b0f6b189bb6e4d43efe63d587009e05ae502c15076c63b931a6c'),('sites/all/modules/rules/modules/php.eval.inc','4d579f9d83912a1ff4e3e35b20a7792fb7e282d8d07c706e944ffbb6b20c42f6'),('sites/all/modules/rules/modules/rules_core.eval.inc','edf268c4e9a24d700ef08ca5cf8addc93a437d30cb0129aeb7aa93e76f8f855e'),('sites/all/modules/rules/modules/system.eval.inc','1076decc24a4779c7a582b446b9147d65ddd03cec530ee62809c86e49c62f736'),('sites/all/modules/rules/rules.features.inc','dc219fc6df253743cfe775503edffd6ba8b76fe9d8b549294242b0691cad0302'),('sites/all/modules/rules/rules_admin/rules_admin.inc','5bcd9e3059d4ee4dbcec6dd959bbc518a8c2d0dcadd506cd1c5c31aab2cda463'),('sites/all/modules/rules/rules_admin/rules_admin.module','38cd2e74c2d951d4a4d6025191cf4aa87be9ece9b2bf5b248ce0bfdfc62aa9cb'),('sites/all/modules/rules/tests/rules.test','61d6f9cfb2ff09eb595639a31dbd651de0606288d7b85d29089f564bc91ca516'),('sites/all/modules/rules/ui/ui.controller.inc','c0d16bd7340a766225865d942dcdad23aead4275e3f18b326e23f42f2313f30b'),('sites/all/modules/rules/ui/ui.core.inc','ba58ed06bf4c3471c5958c2072315e016ab563a74291b89666b868214b8b0725'),('sites/all/modules/rules/ui/ui.data.inc','4646714b3c18f527193308316313944a410f95c3cc849c8605d6dcf63ef035c1'),('sites/all/modules/rules/ui/ui.plugins.inc','d290f1ab6933f0a9189c5197c471d422d04d315b137079863ef746ed4ef673c4'),('sites/all/modules/select_or_other/tests/select_or_other_number.test','e6d939d177b746a364b0e4bfc1fb17a0a2511ae0df026102b6a41be525cb2df4'),('sites/all/modules/select_or_other/tests/select_or_other_text.test','4ecc7b7df42fdb5ee5157bcfc4a7cca118414d22ecf5b0297ccd3825fb5c4827'),('sites/all/modules/sharethis/views/sharethis_handler_field_link.inc','33dca851951cda4122200c8957ff216831d5ed5e012a0fc3942c668e570a19b1'),('sites/all/modules/simplenews/includes/simplenews.source.inc','3affac6085f0577baeb11e398f20fd2757ff1eaaf78a64b4dea532bc270c85ea'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc','e2de96b32926704be822451228646de12086858dc79b785a13eccef2cd4c227e'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_new_account.inc','303a46a2615d5b403d2b5195dcf7368590dccfb8aefeb0cb4def7f5744c12b02'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_opt_inout.inc','bd630326309a757ec4c84c551a94af75a45b260695ac1e78470e5deae5aedff7'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_priority.inc','5c2e3aca9eec1066a9d8753f0fecbf5240dccc78c43feabc71ae38d41c8b7444'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_send.inc','5a197d8f083151c3fdf295a826bab995309bc2a7e81add3427177978ee1a9124'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_status.inc','50ee35017d09d35a6a95ade6ef6962b44065ae50a50937cd988792a6d238fbea'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc','ca03538f8aaa4d4aeb144f1ca7981d96bae6e7877911761d89da3e1890167e75'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_new_account.inc','3ec702aba8edee78bd88082edb409e650cc529c6bbf261acdc2696985676f4f8'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc','4022d7c90e8f136fc4123360bf63d9780d0c4c007ed2dfb5f6bb92d62a23221b'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc','c2fad9628acb69a2aae20a54446bbee81e57c5ea98bc7a164769111e72fce5f4'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_status.inc','1060bed3a6b5af84214adab7e2158ee36951d2f2d109ee5829ce836380cdc3a0'),('sites/all/modules/simplenews/tests/simplenews.test','6c3df929bde1bafd77ce0af559d741c6d1534cdca2606813334568d7ddce7087'),('sites/all/modules/taxonomy_menu/taxonomy_menu.batch.inc','e7cf6aa0476da11b29910a108faca5d636e4582340d789ebe9049f3e1f944a5d'),('sites/all/modules/taxonomy_menu/taxonomy_menu.database.inc','ecb8a8713bcb2ec2aec7062137e2bc51dc819bb695da608b03be7be5472902c2'),('sites/all/modules/taxonomy_menu/taxonomy_menu.install','b1b3b627fbc2c55f2dc004d62f2192c51884b4f2667cce63b37da53bb1c9c781'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','0ee1bc326987ffa350b04287e8e9a20821ad8d8ad2129bdb147a9392c7599705'),('sites/all/modules/taxonomy_menu/taxonomy_menu.test','3a99877ef3d1fb93e110e268ea52771054425ce075e3ad11511ab93bd5728fb6'),('sites/all/modules/title/tests/title.test','d8d4884c1f6269a3d3c4a413efe7eb356b6595583e424f85ecb161516da62125'),('sites/all/modules/title/title.module','ad172436fe4a35461650f63cdb1a250e77d658f47df3a964a95f0967e9f6c09c'),('sites/all/modules/title/views/views_handler_title_field.inc','0d3887f86cac0993973710229695f755694e334928355b7fd0b0f98a096be3c6'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/video_embed_field/video_embed_field.migrate.inc','f20af0c10bfad5d51decd0a282ef3d0d643f4963797a352f4367ff0b2e47baff'),('sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','d46f3e07dc50b76b8fd8b3719432746bf6454fe2aa827090d0753148650254e7'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','cd1d10d86d6478f2e09627e584bed61c2b56fbe04ab145f21fff1db57517141f'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','29dc7c5efbed6cce2a1febdca54bf32b68bc86ea44b1aaca20d317afb0c56071'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','1f0914b41bbe43d4aed077ac921aab48c0ed1ebd47842bcb54e830435d6f9933'),('sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','91729a36053b19b9b0dc19e15283145aa52e2ef256dca6fbc137f4373d5a5d21'),('sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','2fb49eab8d79cee51c0f21bd94b4c933b8ca2b0adbd3e5895811f22bfb90a99e'),('sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','9c760e3b195d4a41b3bb60c51a19ad776283ca93b71e6b06e450295b9574308c'),('sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','2e2e63ca485eb5bee8a7e84105a67862d2c6837f51c139d5c8022b25bb779ca5'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','e7865515d7fdfa8ebcda036fe002cd8081ce7042962b6952869227a57a74e8cb'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','5fcf10588197e194f205589755001d3c7ff96e8139ea8f1adc084fd3e8a7cb7c'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','2870256bc954a75a21a134dbb32d02cdc77ab8aadf43539ee3e9ab48ba2c9696'),('sites/all/modules/views_field_view/tests/views_field_view.test','cbc84f9b875e681a61f6401abf0e97b95bbeb55fd6def4800cdca3f62617ac91'),('sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','31d1f7bf2d427a5d04161816a995efb72816d1583f8d69af3a244fa68a6ae0b9'),('sites/all/modules/views_php/plugins/views/views_php_handler_area.inc','daae8b1003fe82ae10b4b122393f1cbd5af0030081f2fef3c2299099962f38fb'),('sites/all/modules/views_php/plugins/views/views_php_handler_field.inc','4100f0e5b23e5ef228e94909400fbc7ba74bfb55b5e6865eb59cc9ba0aa0b2a1'),('sites/all/modules/views_php/plugins/views/views_php_handler_filter.inc','ea8db48b7f1fc4b8a8560cb79ae0c96cfce2946fdef6dc5688e25431f8c08c6e'),('sites/all/modules/views_php/plugins/views/views_php_handler_sort.inc','cb8a468be62e3e1d6fc549ba2eb802e6bf3be7934c11a3860b01fae6905e1306'),('sites/all/modules/views_php/plugins/views/views_php_plugin_access.inc','d36d097c7ab3a6d2a3c3b7a7cc41bcda66e6fbb3d854431a3d9e0ae10f5cf835'),('sites/all/modules/views_php/plugins/views/views_php_plugin_cache.inc','e1f82d3f05db5dc84f3326ae88534c1c3c387a7b51aaa4043327c18007751e18'),('sites/all/modules/views_php/plugins/views/views_php_plugin_pager.inc','264b6428ec86fa68b5e70637bc581fc23798fff21eb25e964a1a137a987eeccf'),('sites/all/modules/views_php/plugins/views/views_php_plugin_query.inc','5c7d86140a537a9f83ccdf13aa2d33d54280371e599d6b9aa19a32e52f698e23'),('sites/all/modules/views_php/plugins/views/views_php_plugin_wrapper.inc','703e76a50ceb8437e3adca47400fdb1376eb6dfae9ada6a536be534a5da45177'),('sites/all/modules/views_scattered_polaroids/includes/views_scattered_polaroids_plugin_rows.inc','81614cd4465d63d9bb6d34c12642d372cc4cf9ad2994750be73770442464fa89'),('sites/all/modules/views_scattered_polaroids/includes/views_scattered_polaroids_plugin_style.inc','e9fa212f31effc78b894586c7687abc72fce34845e1dd755d8fb1710740d3654'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','ebece9df829a44c71f7043d3b972f706d9f05d6d0f548b03c3c0eec39c2902d1'),('sites/all/modules/webform/includes/exporters/webform_exporter.inc','d0ecbf7c7b218e10442b6bf1ef32ac4a67862b0cb1c37f10936dbf69b55c75a1'),('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','deb820b134e34386daa833b78aaaacdd4bc78fcb1832a452145c0851909e1bb4'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),('sites/all/modules/webform/includes/webform.webformconditionals.inc','a9097667c37e229b06f6000d3a3e76f6bb850dd28a4d2ce64d6b8815920e5f2b'),('sites/all/modules/webform/tests/WebformComponentsTestCase.test','c049c524ca26457fc0ab02580feeb65ee530a8c6ee929117bfb1588230ea0b2a'),('sites/all/modules/webform/tests/WebformConditionalsTestCase.test','70d4b6d2d29cca00179ed5e12f902c6e5c4d8aabf2f08d0bb6624a117233d2de'),('sites/all/modules/webform/tests/WebformGeneralTestCase.test','4517422697e246f32906bdf73ee4e8351eb1331c7e4f7d662e17df03b51f53d7'),('sites/all/modules/webform/tests/WebformPermissionsTestCase.test','23f0c6b6489d78e13956e0b4d6e0728bf7e461b5b585d1f21907ff24ebdcb3ee'),('sites/all/modules/webform/tests/WebformSubmissionTestCase.test','896ac04995ad9f634d7457ec35424b4be64438f9375dece837ccaa35d7b48310'),('sites/all/modules/webform/tests/WebformTestCase.test','7722ef29dd244fea0468140de978427bc7e73a41303bbeff2c5eb305a68a616c'),('sites/all/modules/webform/views/webform.views.inc','0afd6ebbcb717b1f21f39347bad1ccdc23424d74a7e53e5e2119f888597ba3ea'),('sites/all/modules/webform/views/webform_handler_area_result_pager.inc','23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),('sites/all/modules/webform/views/webform_handler_field_form_body.inc','60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),('sites/all/modules/webform/views/webform_handler_field_is_draft.inc','1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),('sites/all/modules/webform/views/webform_handler_field_submission_count.inc','1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),('sites/all/modules/webform/views/webform_handler_field_submission_data.inc','eac20f1d2b77d98e1c64e357ac676bb2941f65f6f3521f314e5923f7e372bf45'),('sites/all/modules/webform/views/webform_handler_field_submission_link.inc','faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),('sites/all/modules/webform/views/webform_handler_field_webform_status.inc','c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),('sites/all/modules/webform/views/webform_handler_numeric_data.inc','c5a8fbfa2c74e1db9a4691714cb5c1c6693f2d4350c8a2ea27b4840414b1aa79'),('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1),(4,'staff',3),(5,'volunteer',4);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access checkout','commerce_checkout'),(1,'access comments','comment'),(1,'access content','node'),(1,'access site-wide contact form','contact'),(1,'access user contact forms','contact'),(1,'search content','search'),(1,'subscribe to newsletters','simplenews'),(1,'use advanced search','search'),(1,'use exclude node title','exclude_node_title'),(1,'use text format filtered_html','filter'),(1,'view any bean_about bean','bean'),(1,'view any bean_statistic bean','bean'),(1,'view any statistic bean','bean'),(2,'access checkout','commerce_checkout'),(2,'access comments','comment'),(2,'access content','node'),(2,'access site-wide contact form','contact'),(2,'access user contact forms','contact'),(2,'edit webform components','webform'),(2,'post comments','comment'),(2,'search content','search'),(2,'skip comment approval','comment'),(2,'subscribe to newsletters','simplenews'),(2,'use advanced search','search'),(2,'use exclude node title','exclude_node_title'),(2,'use text format filtered_html','filter'),(2,'view any bean_about bean','bean'),(2,'view any bean_statistic bean','bean'),(2,'view any statistic bean','bean'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access all webform results','webform'),(3,'access bean overview','bean'),(3,'access checkout','commerce_checkout'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access devel information','devel'),(3,'access overlay','overlay'),(3,'access own webform results','webform'),(3,'access own webform submissions','webform'),(3,'access rules debug','rules'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access site-wide contact form','contact'),(3,'access user contact forms','contact'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer bean settings','bean'),(3,'administer bean types','bean'),(3,'administer beans','bean'),(3,'administer block classes','block_class'),(3,'administer blocks','block'),(3,'administer checkout','commerce_checkout'),(3,'administer comments','comment'),(3,'administer commerce_customer_profile entities','commerce_customer'),(3,'administer commerce_order entities','commerce_order'),(3,'administer commerce_product entities','commerce_product'),(3,'administer contact forms','contact'),(3,'administer content types','node'),(3,'administer contexts','context_ui'),(3,'administer customer profile types','commerce_customer'),(3,'administer exclude node title','exclude_node_title'),(3,'administer field collections','field_collection'),(3,'administer fieldgroups','field_group'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer line item types','commerce_line_item'),(3,'administer line items','commerce_line_item'),(3,'administer megamenus','megamenus'),(3,'administer menu','menu'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer newsletters','simplenews'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer payment methods','commerce_payment'),(3,'administer payments','commerce_payment'),(3,'administer permissions','user'),(3,'administer product pricing','commerce_product_pricing_ui'),(3,'administer product types','commerce_product'),(3,'administer quicktabs','quicktabs'),(3,'administer rules','rules'),(3,'administer search','search'),(3,'administer sharethis','sharethis'),(3,'administer shortcuts','shortcut'),(3,'administer simplenews settings','simplenews'),(3,'administer simplenews subscriptions','simplenews'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer taxes','commerce_tax_ui'),(3,'administer taxonomy','taxonomy'),(3,'administer tb_megamenu','tb_megamenu'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer video styles','video_embed_field'),(3,'administer views','views'),(3,'administer weebpal banner','weebpal_banner'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'bypass rules access','rules'),(3,'cancel account','user'),(3,'change own username','user'),(3,'configure order settings','commerce_order'),(3,'configure store','commerce'),(3,'context ajax block access','context_ui'),(3,'create any statistic bean','bean'),(3,'create article content','node'),(3,'create commerce_customer_profile entities','commerce_customer'),(3,'create commerce_customer_profile entities of bundle billing','commerce_customer'),(3,'create commerce_order entities','commerce_order'),(3,'create commerce_order entities of bundle commerce_order','commerce_order'),(3,'create commerce_product entities','commerce_product'),(3,'create commerce_product entities of bundle donation','commerce_product'),(3,'create commerce_product entities of bundle product','commerce_product'),(3,'create page content','node'),(3,'create payments','commerce_payment'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete all webform submissions','webform'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete any statistic bean','bean'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete own webform submissions','webform'),(3,'delete payments','commerce_payment'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit all webform submissions','webform'),(3,'edit any article content','node'),(3,'edit any commerce_customer_profile entity','commerce_customer'),(3,'edit any commerce_customer_profile entity of bundle billing','commerce_customer'),(3,'edit any commerce_order entity','commerce_order'),(3,'edit any commerce_order entity of bundle commerce_order','commerce_order'),(3,'edit any commerce_product entity','commerce_product'),(3,'edit any commerce_product entity of bundle donation','commerce_product'),(3,'edit any commerce_product entity of bundle product','commerce_product'),(3,'edit any page content','node'),(3,'edit any statistic bean','bean'),(3,'edit bean view mode','bean'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own commerce_customer_profile entities','commerce_customer'),(3,'edit own commerce_customer_profile entities of bundle billing','commerce_customer'),(3,'edit own commerce_order entities','commerce_order'),(3,'edit own commerce_order entities of bundle commerce_order','commerce_order'),(3,'edit own commerce_product entities','commerce_product'),(3,'edit own commerce_product entities of bundle donation','commerce_product'),(3,'edit own commerce_product entities of bundle product','commerce_product'),(3,'edit own page content','node'),(3,'edit own webform submissions','webform'),(3,'edit terms in 1','taxonomy'),(3,'exclude any node title','exclude_node_title'),(3,'exclude own node title','exclude_node_title'),(3,'execute php code','devel'),(3,'flush caches','admin_menu'),(3,'notify of path changes','pathauto'),(3,'post comments','comment'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'send newsletter','simplenews'),(3,'skip comment approval','comment'),(3,'subscribe to newsletters','simplenews'),(3,'switch shortcut sets','shortcut'),(3,'switch users','devel'),(3,'translate interface','locale'),(3,'update payments','commerce_payment'),(3,'use advanced search','search'),(3,'use exclude node title','exclude_node_title'),(3,'use PHP for settings','php'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view any commerce_customer_profile entity','commerce_customer'),(3,'view any commerce_customer_profile entity of bundle billing','commerce_customer'),(3,'view any commerce_order entity','commerce_order'),(3,'view any commerce_order entity of bundle commerce_order','commerce_order'),(3,'view any commerce_product entity','commerce_product'),(3,'view any commerce_product entity of bundle donation','commerce_product'),(3,'view any commerce_product entity of bundle product','commerce_product'),(3,'view any statistic bean','bean'),(3,'view bean page','bean'),(3,'view bean revisions','bean'),(3,'view own commerce_customer_profile entities','commerce_customer'),(3,'view own commerce_customer_profile entities of bundle billing','commerce_customer'),(3,'view own commerce_order entities','commerce_order'),(3,'view own commerce_order entities of bundle commerce_order','commerce_order'),(3,'view own commerce_product entities','commerce_product'),(3,'view own commerce_product entities of bundle donation','commerce_product'),(3,'view own commerce_product entities of bundle product','commerce_product'),(3,'view own unpublished content','node'),(3,'view payments','commerce_payment'),(3,'view revisions','node'),(3,'view the administration theme','system'),(4,'use exclude node title','exclude_node_title'),(5,'use exclude node title','exclude_node_title');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_config`
--

DROP TABLE IF EXISTS `rules_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The internal identifier for any configuration.',
  `name` varchar(64) NOT NULL COMMENT 'The name of the configuration.',
  `label` varchar(255) NOT NULL DEFAULT 'unlabeled' COMMENT 'The label of the configuration.',
  `plugin` varchar(127) NOT NULL COMMENT 'The name of the plugin of this configuration.',
  `active` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the configuration is active. Usage depends on how the using module makes use of it.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Weight of the configuration. Usage depends on how the using module makes use of it.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The exportable status of the entity.',
  `dirty` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Dirty configurations fail the integrity check, e.g. due to missing dependencies.',
  `module` varchar(255) DEFAULT NULL COMMENT 'The name of the providing module if the entity has been defined in code.',
  `owner` varchar(255) NOT NULL DEFAULT 'rules' COMMENT 'The name of the module via which the rule has been configured.',
  `access_exposed` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether to use a permission to control access for using components.',
  `data` longblob COMMENT 'Everything else, serialized.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `plugin` (`plugin`,`active`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_config`
--

LOCK TABLES `rules_config` WRITE;
/*!40000 ALTER TABLE `rules_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_config` VALUES (1,'commerce_cart_add_to_cart_message','Display an Add to Cart message','reaction rule',1,0,3,0,'commerce_cart','rules',0,'O:17:\"RulesReactionRule\":21:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"1\";s:12:\"\0*\0elementId\";i:1;s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:4:\"name\";s:33:\"commerce_cart_add_to_cart_message\";s:5:\"label\";s:30:\"Display an Add to Cart message\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";i:1;s:6:\"status\";i:3;s:5:\"dirty\";b:0;s:6:\"module\";s:13:\"commerce_cart\";s:5:\"owner\";s:5:\"rules\";s:14:\"access_exposed\";b:0;s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:13:\"Commerce Cart\";}s:11:\"\0*\0children\";a:2:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";i:4;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:3:\"url\";s:4:\"cart\";s:5:\"force\";i:1;s:11:\"destination\";i:0;s:11:\"url:process\";O:22:\"RulesURIInputEvaluator\":2:{s:10:\"\0*\0setting\";b:1;s:12:\"\0*\0processor\";N;}}s:14:\"\0*\0elementName\";s:8:\"redirect\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";i:3;s:6:\"weight\";i:1;s:8:\"settings\";a:1:{s:23:\"commerce_product:select\";s:16:\"commerce-product\";}s:14:\"\0*\0elementName\";s:33:\"commerce_cart_add_to_cart_message\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";i:2;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:25:\"commerce_cart_product_add\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(2,'commerce_cart_order_status_reset','Reset the cart order status on product add or remove','reaction rule',1,0,2,0,'commerce_cart','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"2\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:32:\"commerce_cart_order_status_reset\";s:5:\"label\";s:52:\"Reset the cart order status on product add or remove\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:13:\"commerce_cart\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:13:\"Commerce Cart\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:21:\"commerce_order:select\";s:14:\"commerce-order\";s:12:\"order_status\";s:4:\"cart\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:28:\"commerce_order_update_status\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:2:{i:0;s:25:\"commerce_cart_product_add\";i:1;s:28:\"commerce_cart_product_remove\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(3,'commerce_cart_unset_disabled_products','Unset the price of disabled products in the cart','reaction rule',1,10,2,0,'commerce_cart','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"3\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:4:\"name\";s:37:\"commerce_cart_unset_disabled_products\";s:5:\"label\";s:48:\"Unset the price of disabled products in the cart\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:13:\"commerce_cart\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:13:\"Commerce Cart\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"data:select\";s:45:\"commerce-line-item:commerce-unit-price:amount\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:3:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:28;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"data:select\";s:31:\"commerce-line-item:line-item-id\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:13:\"data_is_empty\";s:9:\"\0*\0negate\";b:1;}i:1;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:28;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:13:\"entity:select\";s:18:\"commerce-line-item\";s:5:\"field\";s:16:\"commerce_product\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:16:\"entity_has_field\";s:9:\"\0*\0negate\";b:0;}i:2;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:28;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:42:\"commerce-line-item:commerce-product:status\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:1:\"0\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:37:\"commerce_product_calculate_sell_price\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(4,'commerce_checkout_order_created_date_update','Set the order created date to the checkout completion date','reaction rule',1,-10,2,0,'commerce_checkout','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"4\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}s:4:\"name\";s:43:\"commerce_checkout_order_created_date_update\";s:5:\"label\";s:58:\"Set the order created date to the checkout completion date\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:17:\"commerce_checkout\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:17:\"Commerce Checkout\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:22:\"commerce-order:created\";s:12:\"value:select\";s:17:\"site:current-date\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:26:\"commerce_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(5,'commerce_checkout_order_status_update','Update the order status on checkout completion','reaction rule',1,0,2,0,'commerce_checkout','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"5\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:37:\"commerce_checkout_order_status_update\";s:5:\"label\";s:46:\"Update the order status on checkout completion\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:17:\"commerce_checkout\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:17:\"Commerce Checkout\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:21:\"commerce_order:select\";s:14:\"commerce-order\";s:11:\"order_state\";s:7:\"pending\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:27:\"commerce_order_update_state\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:26:\"commerce_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(6,'commerce_checkout_order_convert','Assign an anonymous order to a pre-existing user','reaction rule',1,1,2,0,'commerce_checkout','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"6\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:1;s:8:\"settings\";a:0:{}s:4:\"name\";s:31:\"commerce_checkout_order_convert\";s:5:\"label\";s:48:\"Assign an anonymous order to a pre-existing user\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:17:\"commerce_checkout\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:17:\"Commerce Checkout\";}s:11:\"\0*\0children\";a:2:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:7:{s:4:\"type\";s:4:\"user\";s:8:\"property\";s:4:\"mail\";s:12:\"value:select\";s:19:\"commerce-order:mail\";s:5:\"limit\";i:1;s:20:\"entity_fetched:label\";s:15:\"Fetched account\";s:18:\"entity_fetched:var\";s:15:\"account_fetched\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:12:\"entity_query\";}i:1;O:9:\"RulesLoop\":7:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"list:select\";s:15:\"account-fetched\";s:8:\"item:var\";s:9:\"list_item\";s:10:\"item:label\";s:17:\"Current list item\";s:9:\"item:type\";s:4:\"user\";}s:11:\"\0*\0children\";a:2:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:32;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:18:\"commerce-order:uid\";s:12:\"value:select\";s:13:\"list-item:uid\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:32;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:44:\"commerce-order:commerce-customer-billing:uid\";s:12:\"value:select\";s:13:\"list-item:uid\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}}s:7:\"\0*\0info\";a:0:{}}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:3:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:18:\"commerce-order:uid\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:1:\"0\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}i:1;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:4:\"type\";s:4:\"user\";s:8:\"property\";s:4:\"mail\";s:12:\"value:select\";s:19:\"commerce-order:mail\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:13:\"entity_exists\";s:9:\"\0*\0negate\";b:0;}i:2;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:19:\"commerce-order:type\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:14:\"commerce_order\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:26:\"commerce_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(7,'commerce_checkout_new_account','Create a new account for an anonymous order','reaction rule',1,2,2,0,'commerce_checkout','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"7\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:2;s:8:\"settings\";a:0:{}s:4:\"name\";s:29:\"commerce_checkout_new_account\";s:5:\"label\";s:43:\"Create a new account for an anonymous order\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:17:\"commerce_checkout\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:17:\"Commerce Checkout\";}s:11:\"\0*\0children\";a:5:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:6:{s:4:\"type\";s:4:\"user\";s:17:\"param_name:select\";s:28:\"commerce-order:mail-username\";s:17:\"param_mail:select\";s:19:\"commerce-order:mail\";s:20:\"entity_created:label\";s:15:\"Created account\";s:18:\"entity_created:var\";s:15:\"account_created\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:13:\"entity_create\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:22:\"account-created:status\";s:5:\"value\";i:1;s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}i:2;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:15:\"account-created\";s:9:\"immediate\";i:1;s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:11:\"entity_save\";}i:3;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:7:{s:4:\"type\";s:4:\"user\";s:8:\"property\";s:4:\"mail\";s:12:\"value:select\";s:19:\"commerce-order:mail\";s:5:\"limit\";i:1;s:20:\"entity_fetched:label\";s:15:\"Fetched account\";s:18:\"entity_fetched:var\";s:15:\"account_fetched\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:12:\"entity_query\";}i:4;O:9:\"RulesLoop\":7:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"list:select\";s:15:\"account-fetched\";s:8:\"item:var\";s:9:\"list_item\";s:10:\"item:label\";s:17:\"Current list item\";s:9:\"item:type\";s:4:\"user\";}s:11:\"\0*\0children\";a:3:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:14:\"account:select\";s:9:\"list-item\";s:10:\"email_type\";s:22:\"register_admin_created\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:18:\"send_account_email\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:18:\"commerce-order:uid\";s:12:\"value:select\";s:13:\"list-item:uid\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}i:2;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:65;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:11:\"data:select\";s:44:\"commerce-order:commerce-customer-billing:uid\";s:12:\"value:select\";s:13:\"list-item:uid\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:8:\"data_set\";}}s:7:\"\0*\0info\";a:0:{}}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:3:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:108;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:18:\"commerce-order:uid\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:1:\"0\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}i:1;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:108;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:4:\"type\";s:4:\"user\";s:8:\"property\";s:4:\"mail\";s:12:\"value:select\";s:19:\"commerce-order:mail\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:13:\"entity_exists\";s:9:\"\0*\0negate\";b:1;}i:2;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:108;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:4:{s:11:\"data:select\";s:19:\"commerce-order:type\";s:2:\"op\";s:2:\"==\";s:5:\"value\";s:14:\"commerce_order\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:7:\"data_is\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:26:\"commerce_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(8,'commerce_checkout_order_email','Send an order notification e-mail','reaction rule',1,4,2,0,'commerce_checkout','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"8\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:4;s:8:\"settings\";a:0:{}s:4:\"name\";s:29:\"commerce_checkout_order_email\";s:5:\"label\";s:33:\"Send an order notification e-mail\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:17:\"commerce_checkout\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:17:\"Commerce Checkout\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:5:{s:9:\"to:select\";s:19:\"commerce-order:mail\";s:7:\"subject\";s:50:\"Order [commerce-order:order-number] at [site:name]\";s:7:\"message\";s:412:\"Thanks for your order [commerce-order:order-number] at [site:name].\n\nIf this is your first order with us, you will receive a separate e-mail with login instructions. You can view your order history with us at any time by logging into our website at:\n\n[site:login-url]\n\nYou can find the status of your current order at:\n\n[commerce-order:customer-url]\n\nPlease contact us if you have any questions about your order.\";s:4:\"from\";s:0:\"\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:4:\"mail\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:26:\"commerce_checkout_complete\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(9,'rules_add_donation_value_to_price','Add donation value to price','reaction rule',1,0,2,0,'commerce_donate','rules',0,'O:17:\"RulesReactionRule\":17:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:1:\"9\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:33:\"rules_add_donation_value_to_price\";s:5:\"label\";s:27:\"Add donation value to price\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"status\";i:2;s:6:\"module\";s:15:\"commerce_donate\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:11:\"\0*\0children\";a:2:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:6:{s:18:\"#_needs_processing\";b:1;s:14:\"input_1:select\";s:41:\"commerce-line-item:commerce-donate-amount\";s:2:\"op\";s:1:\"*\";s:7:\"input_2\";s:3:\"100\";s:10:\"result:var\";s:8:\"donation\";s:12:\"result:label\";s:15:\"Donation amount\";}s:14:\"\0*\0elementName\";s:9:\"data_calc\";}i:1;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:5:{s:18:\"#_needs_processing\";b:1;s:25:\"commerce_line_item:select\";s:18:\"commerce_line_item\";s:13:\"amount:select\";s:8:\"donation\";s:14:\"component_name\";s:10:\"base_price\";s:10:\"round_mode\";s:1:\"0\";}s:14:\"\0*\0elementName\";s:36:\"commerce_line_item_unit_price_amount\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:1:{i:0;O:14:\"RulesCondition\":7:{s:9:\"\0*\0parent\";r:41;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:18:\"#_needs_processing\";b:1;s:13:\"entity:select\";s:18:\"commerce-line-item\";s:5:\"field\";s:22:\"commerce_donate_amount\";}s:14:\"\0*\0elementName\";s:16:\"entity_has_field\";s:9:\"\0*\0negate\";b:0;}}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:2:{i:0;s:37:\"commerce_product_calculate_sell_price\";i:1;s:26:\"commerce_line_item_presave\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(10,'commerce_payment_paypal_wps','PayPal WPS','reaction rule',1,0,3,0,'commerce_payment','rules',0,'O:17:\"RulesReactionRule\":21:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"10\";s:12:\"\0*\0elementId\";i:1;s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:4:\"name\";s:27:\"commerce_payment_paypal_wps\";s:5:\"label\";s:10:\"PayPal WPS\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";s:1:\"1\";s:6:\"status\";i:3;s:5:\"dirty\";s:1:\"0\";s:6:\"module\";s:16:\"commerce_payment\";s:5:\"owner\";s:5:\"rules\";s:14:\"access_exposed\";s:1:\"0\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:16:\"Commerce Payment\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";i:3;s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:21:\"commerce_order:select\";s:14:\"commerce-order\";s:14:\"payment_method\";a:2:{s:9:\"method_id\";s:10:\"paypal_wps\";s:8:\"settings\";a:10:{s:8:\"business\";s:18:\"youremail@mail.com\";s:13:\"currency_code\";s:3:\"USD\";s:26:\"allow_supported_currencies\";i:0;s:8:\"language\";s:2:\"US\";s:6:\"server\";s:7:\"sandbox\";s:14:\"payment_action\";s:4:\"sale\";s:11:\"ipn_logging\";s:12:\"notification\";s:15:\"receiver_emails\";s:0:\"\";s:26:\"ipn_create_billing_profile\";i:0;s:25:\"show_payment_instructions\";i:0;}}}s:14:\"\0*\0elementName\";s:34:\"commerce_payment_enable_paypal_wps\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";i:2;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:24:\"commerce_payment_methods\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(11,'commerce_tax_type_sales_tax','Calculate taxes: Sales tax','reaction rule',1,0,2,0,'commerce_tax','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"11\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:27:\"commerce_tax_type_sales_tax\";s:5:\"label\";s:26:\"Calculate taxes: Sales tax\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:12:\"commerce_tax\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:12:\"Commerce Tax\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:25:\"commerce_line_item:select\";s:18:\"commerce-line-item\";s:13:\"tax_type_name\";s:9:\"sales_tax\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:30:\"commerce_tax_calculate_by_type\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:37:\"commerce_product_calculate_sell_price\";}s:16:\"\0*\0eventSettings\";a:0:{}}'),(12,'commerce_tax_type_vat','Calculate taxes: VAT','reaction rule',1,0,2,0,'commerce_tax','rules',0,'O:17:\"RulesReactionRule\":19:{s:9:\"\0*\0parent\";N;s:2:\"id\";s:2:\"12\";s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:4:\"name\";s:21:\"commerce_tax_type_vat\";s:5:\"label\";s:20:\"Calculate taxes: VAT\";s:6:\"plugin\";s:13:\"reaction rule\";s:6:\"active\";b:1;s:6:\"status\";i:2;s:6:\"module\";s:12:\"commerce_tax\";s:5:\"owner\";s:5:\"rules\";s:4:\"data\";r:1;s:4:\"tags\";a:1:{i:0;s:12:\"Commerce Tax\";}s:11:\"\0*\0children\";a:1:{i:0;O:11:\"RulesAction\":6:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:3:{s:25:\"commerce_line_item:select\";s:18:\"commerce-line-item\";s:13:\"tax_type_name\";s:3:\"vat\";s:18:\"#_needs_processing\";b:1;}s:14:\"\0*\0elementName\";s:30:\"commerce_tax_calculate_by_type\";}}s:7:\"\0*\0info\";a:0:{}s:13:\"\0*\0conditions\";O:8:\"RulesAnd\":8:{s:9:\"\0*\0parent\";r:1;s:2:\"id\";N;s:12:\"\0*\0elementId\";N;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:11:\"\0*\0children\";a:0:{}s:7:\"\0*\0info\";a:0:{}s:9:\"\0*\0negate\";b:0;}s:9:\"\0*\0events\";a:1:{i:0;s:37:\"commerce_product_calculate_sell_price\";}s:16:\"\0*\0eventSettings\";a:0:{}}');
/*!40000 ALTER TABLE `rules_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_dependencies`
--

DROP TABLE IF EXISTS `rules_dependencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_dependencies` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `module` varchar(255) NOT NULL COMMENT 'The name of the module that is required for the configuration.',
  PRIMARY KEY (`id`,`module`),
  KEY `module` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_dependencies`
--

LOCK TABLES `rules_dependencies` WRITE;
/*!40000 ALTER TABLE `rules_dependencies` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_dependencies` VALUES (1,'commerce_cart'),(9,'commerce_line_item'),(10,'commerce_payment'),(9,'commerce_product_reference'),(9,'entity'),(1,'rules'),(9,'rules');
/*!40000 ALTER TABLE `rules_dependencies` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_tags`
--

DROP TABLE IF EXISTS `rules_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_tags` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `tag` varchar(255) NOT NULL COMMENT 'The tag string associated with this configuration',
  PRIMARY KEY (`id`,`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_tags`
--

LOCK TABLES `rules_tags` WRITE;
/*!40000 ALTER TABLE `rules_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_tags` VALUES (1,'Commerce Cart'),(2,'Commerce Cart'),(3,'Commerce Cart'),(4,'Commerce Checkout'),(5,'Commerce Checkout'),(6,'Commerce Checkout'),(7,'Commerce Checkout'),(8,'Commerce Checkout'),(10,'Commerce Payment'),(11,'Commerce Tax'),(12,'Commerce Tax');
/*!40000 ALTER TABLE `rules_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rules_trigger`
--

DROP TABLE IF EXISTS `rules_trigger`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rules_trigger` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `event` varchar(127) NOT NULL DEFAULT '' COMMENT 'The name of the event on which the configuration should be triggered.',
  PRIMARY KEY (`id`,`event`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rules_trigger`
--

LOCK TABLES `rules_trigger` WRITE;
/*!40000 ALTER TABLE `rules_trigger` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rules_trigger` VALUES (1,'commerce_cart_product_add'),(2,'commerce_cart_product_add'),(2,'commerce_cart_product_remove'),(3,'commerce_product_calculate_sell_price'),(4,'commerce_checkout_complete'),(5,'commerce_checkout_complete'),(6,'commerce_checkout_complete'),(7,'commerce_checkout_complete'),(8,'commerce_checkout_complete'),(9,'commerce_line_item_presave'),(9,'commerce_product_calculate_sell_price'),(10,'commerce_payment_methods'),(11,'commerce_product_calculate_sell_price'),(12,'commerce_product_calculate_sell_price');
/*!40000 ALTER TABLE `rules_trigger` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' 5 ways to sabotage your mission statement admin s blog the nature conservancy is working with you to make a lasting difference around the world in more than 35 countries all 50 states and your backyard nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(2,'node',' 6 content ideas for your nonprofit website admin s blog the nature conservancy is working with you to make a lasting difference around the world in more than 35 countries all 50 states and your backyard nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(3,'node',' how to raise capacity capital for your nonprofit admin s blog the nature conservancy is working with you to make a lasting difference around the world in more than 35 countries all 50 states and your backyard nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(4,'node',' conserve the lands and waters on which all life depends admin s blog the nature conservancy is working with you to make a lasting difference around the world in more than 35 countries all 50 states and your backyard nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(5,'node',' praesent metus tellus admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(6,'node',' praesent ac massa at admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(7,'node',' vestibulum ante ipsum primis admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog  ',0),(8,'node',' our work with refugees admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo blog abc permalink submitted by admin on thu 10022014 212 asfasfasfasf log in or register to post comments  ',0),(9,'node',' volunteer mauris turpis nunc blandit et volutpat molestie porta ut ligula phasellus blandit leo ut odio pellentesque dapibus hendrerit tortor aenean leo ligula porttitor eu consequat vitae eleifend ac enim praesent porttitor nulla vitae posuere iaculis arcu nisl dignissim dolor a pretium mi sem ut ipsum nam eget dui curabitur at lacus ac velit ornare lobortis curabitur ullamcorper ultricies nisi cras id dui praesent ac massa at ligula laoreet iaculis aliquam lorem ante dapibus in viverra quis feugiat a tellus pellentesque commodo eros a enim vivamus quis mi nullam tincidunt adipiscing enim donec posuere vulputate arcu nunc nonummy metus vestibulum eu odio phasellus gravida semper nisi nulla porta dolor fusce commodo aliquam arcu nullam tincidunt adipiscing enim donec pede justo fringilla vel aliquet nec vulputate eget arcu praesent ac massa at ligula laoreet iaculis nulla sit amet est duis lobortis massa imperdiet quam  ',0),(10,'node',' give monthly sed a libero curabitur ligula sapien tincidunt non euismod vitae posuere imperdiet leo sed fringilla mauris sit amet nibh in hac habitasse platea dictumst phasellus nec sem in justo pellentesque facilisis curabitur vestibulum aliquam leo in dui magna posuere eget vestibulum et tempor auctor justo cras non dolor vestibulum turpis sem aliquet eget lobortis pellentesque rutrum eu nisl phasellus accumsan cursus velit praesent ac massa at ligula laoreet iaculis phasellus ullamcorper ipsum rutrum nunc vivamus quis mi vivamus quis mi nullam sagittis pellentesque posuere phasellus magna sed augue ipsum egestas nec vestibulum et malesuada adipiscing dui phasellus leo dolor tempus non auctor et hendrerit quis nisi suspendisse pulvinar augue ac venenatis condimentum sem libero volutpat nibh nec pellentesque velit pede quis nunc nam at tortor in tellus interdum sagittis nullam sagittis sed augue ipsum egestas nec vestibulum et malesuada adipiscing dui nullam sagittis vivamus elementum semper nisi  ',0),(11,'node',' take action nunc nec neque vivamus quis mi quisque libero metus condimentum nec tempor a commodo mollis magna fusce risus nisl viverra et tempor et pretium in sapien suspendisse potenti duis leo pellentesque posuere curabitur suscipit suscipit tellus donec id justo ut tincidunt tincidunt erat pellentesque ut neque mauris turpis nunc blandit et volutpat molestie porta ut ligula vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed aliquam nisi quis porttitor congue elit erat euismod orci ac placerat dolor lectus quis orci curabitur nisi phasellus nec sem in justo pellentesque facilisis vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed aliquam nisi quis porttitor congue elit erat euismod orci ac placerat dolor lectus quis orci sed aliquam ultrices mauris suspendisse pulvinar augue ac venenatis condimentum sem libero volutpat nibh nec pellentesque velit pede quis nunc phasellus accumsan cursus velit sed libero in hac habitasse platea dictumst curabitur blandit mollis lacus suspendisse feugiat donec venenatis vulputate lorem phasellus volutpat metus eget egestas mollis lacus lacus blandit dui id egestas quam mauris ut lacus  ',0),(12,'node',' mauris sollicitudin fermentum libero nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active environmental charities 100 select a donation amount 500 1000 2000 5000 other 20000 150000  ',0),(13,'node',' help us nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active international ngos 1000 select a donation amount 500 1000 2000 5000 other 40000 200000  ',0),(14,'node',' proin viverra ligula sit occaecat cupidatat admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo news  ',0),(15,'node',' duis vel nibh at admin s blog in hac habitasse platea dictumst maecenas nec odio et ante tincidunt tempus vestibulum facilisis purus nec pulvinar iaculis ligula mi congue nunc vitae euismod ligula urna in dolor cras sagittis nunc nec neque cras varius nulla sit amet est vestibulum volutpat pretium libero pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas aliquam erat volutpat curabitur nisi praesent metus tellus elementum eu semper a adipiscing nec purus in ac felis quis tortor malesuada pretium aenean viverra rhoncus pede ut tincidunt tincidunt erat pellentesque libero tortor tincidunt et tincidunt eget semper nec quam vestibulum purus quam scelerisque ut mollis sed nonummy id metus nam eget dui etiam iaculis nunc ac metus fusce neque maecenas malesuada etiam sit amet orci eget eros faucibus tincidunt aenean posuere tortor sed cursus feugiat nunc augue blandit nunc eu sollicitudin urna dolor sagittis lacus quisque id odio aenean vulputate eleifend tellus news  ',0),(16,'node',' nunc egestas augue at nulla facilisi admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo news  ',0),(17,'node',' pellentesque habitant morbi tristique admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tort sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tort news  ',0),(18,'node',' praesent ac sem eget nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active health charities 10 select a donation amount 500 1000 2000 5000 other 245 1000  ',0),(19,'node',' phasellus ullamcorper ipsum nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active health charities  select a donation amount 500 1000 2000 5000 other  2000  ',0),(20,'node',' fusce vulputate eleifend nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active arts culture charties 2 select a donation amount 500 1000 2000 5000 other 210 3000  ',0),(21,'node',' cras risus ipsum faucibus nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active education charities 200 select a donation amount 500 1000 2000 5000 other 2450 5000  ',0),(22,'node',' sentences that fit nam commodo suscipit quam vestibulum facilisis purus nec pulvinar iaculis ligula mi congue nunc vitae euismod ligula urna in dolor phasellus blandit leo ut odio status active animal charities 200 select a donation amount 500 1000 2000 5000 other 1000 20000  ',0),(23,'node',' donec vitae sapien ut curabitur ullamcorper ultricies nisi integer tincidunt curabitur at lacus ac velit ornare lobortis nullam cursus lacinia erat cras non dolor duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(24,'node',' in enim justo rhoncus praesent ac sem eget est egestas volutpat vivamus laoreet donec pede justo fringilla vel aliquet nec vulputate eget arcu suspendisse potenti nam quam nunc blandit vel luctus pulvinar hendrerit id lorem duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(25,'node',' praesent porttitor nulla vitae sed lectus cras varius quisque id odio integer ante arcu accumsan a consectetuer eget posuere ut mauris sed in libero ut nibh placerat accumsan duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(26,'node',' pellentesque egestas neque sit suspendisse faucibus nunc et pellentesque egestas lacus ante convallis tellus vitae iaculis lacus elit id tortor aliquam eu nunc vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed aliquam nisi quis porttitor congue elit erat euismod orci ac placerat dolor lectus quis orci sed consequat leo eget bibendum sodales augue velit cursus nunc quis gravida magna mi a libero nullam sagittis duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(27,'node',' donec elit libero sodales vestibulum suscipit nulla quis orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos hymenaeos in auctor lobortis lacus suspendisse non nisl sit amet velit hendrerit rutrum duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(28,'node',' ut id nisl quis pellentesque dapibus hendrerit tortor nunc nonummy metus mauris turpis nunc blandit et volutpat molestie porta ut ligula fusce neque nullam vel sem proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(29,'node',' praesent egestas neque eu aenean leo ligula porttitor eu consequat vitae eleifend ac enim phasellus consectetuer vestibulum elit proin faucibus arcu quis ante proin viverra ligula sit amet ultrices semper ligula arcu tristique sapien a accumsan nisi mauris ac eros proin faucibus arcu quis ante duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(30,'node',' fusce vulputate eleifend sapien etiam ultricies nisi vel augue nulla neque dolor sagittis eget iaculis quis molestie non velit donec elit libero sodales nec volutpat a suscipit non turpis praesent porttitor nulla vitae posuere iaculis arcu nisl dignissim dolor a pretium mi sem ut ipsum morbi ac felis duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(31,'node',' the world face extinction everyday nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active international ngos 1300 select a donation amount 500 1000 2000 5000 other 100000 200000  ',0),(32,'node',' themeforest themeforest ',0),(33,'node',' photodune photodune ',0),(34,'node',' graphicriver graphicriver ',0),(35,'node',' codecanyon codecanyon ',0),(36,'node',' audiojungle audiojungle ',0),(37,'node',' fusce vulputate eleifend sapien fusce vulputate eleifend sapien select a donation amount 500 1000 2000 5000 other phasellus magna mauris turpis nunc blandit et volutpat molestie porta ut ligula phasellus magna sed in libero ut nibh placerat accumsan nullam cursus lacinia erat  ',0),(38,'node',' pellentesque habitant morbi tristique pellentesque habitant morbi tristique select a donation amount 500 1000 2000 5000 other donec quam felis ultricies nec pellentesque eu pretium quis sem vestibulum dapibus nunc ac augue maecenas malesuada vivamus aliquet elit ac nisl nunc nec neque  ',0),(39,'node',' phasellus accumsan cursus velit phasellus accumsan cursus velit select a donation amount 500 1000 2000 5000 other nam at tortor in tellus interdum sagittis nunc egestas augue at pellentesque laoreet felis eros vehicula leo at malesuada velit leo quis pede donec elit libero sodales nec volutpat a suscipit non turpis fusce vel dui sed in libero ut nibh placerat accumsan  ',0),(40,'node',' phasellus ullamcorper ipsum rutrum phasellus ullamcorper ipsum rutrum select a donation amount 500 1000 2000 5000 other duis leo curabitur blandit mollis lacus vestibulum dapibus nunc ac augue nunc egestas augue at pellentesque laoreet felis eros vehicula leo at malesuada velit leo quis pede curabitur ligula sapien tincidunt non euismod vitae posuere imperdiet leo  ',0),(41,'node',' aenean tellus metus bibendum aenean tellus metus bibendum select a donation amount 500 1000 2000 5000 other donec mollis hendrerit risus nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede nunc nec neque phasellus gravida semper nisi  ',0),(42,'node',' nunc egestas augue at nunc egestas augue at select a donation amount 500 1000 2000 5000 other etiam sollicitudin ipsum eu pulvinar rutrum tellus ipsum laoreet sapien quis venenatis ante odio sit amet eros aliquam lorem ante dapibus in viverra quis feugiat a tellus proin pretium leo ac pellentesque mollis felis nunc ultrices eros sed gravida augue augue mollis justo in hac habitasse platea dictumst aenean leo ligula porttitor eu consequat vitae eleifend ac enim  ',0),(43,'node',' donec in nisi proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2000 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet volunteer quantity  ',0),(44,'node',' ads 1 aloha ',0),(45,'node',' ads 2 realestast ',0),(46,'node',' donec in nisi proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2500 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet quantity  ',0),(47,'node',' phasellus ullamcorper ipsum rutrum proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2200 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet quantity  ',0),(48,'node',' pellentesque habitant morbi tristique proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  3200 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet quantity  ',0),(49,'node',' morbi mollis tellus ac proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2000 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet foundation quantity  ',0),(50,'node',' curabitur blandit mollis lacus proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  1500 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet quantity  ',0),(51,'node',' donec orci lectus aliquam proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2000 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet quantity  ',0),(52,'node',' vestibulum ullamcorper mauris at proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem  2400 duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet logo quantity  ',0),(53,'node',' activeden activeden ',0),(54,'node',' fusce vulputate eleifend sapien etiam ultricies nisi vel augue nulla neque dolor sagittis eget iaculis quis molestie non velit donec elit libero sodales nec volutpat a suscipit non turpis praesent porttitor nulla vitae posuere iaculis arcu nisl dignissim dolor a pretium mi sem ut ipsum morbi ac felis duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(55,'node',' fusce vulputate eleifend sapien etiam ultricies nisi vel augue nulla neque dolor sagittis eget iaculis quis molestie non velit donec elit libero sodales nec volutpat a suscipit non turpis praesent porttitor nulla vitae posuere iaculis arcu nisl dignissim dolor a pretium mi sem ut ipsum morbi ac felis duis in enim a urna venenatis malesuada  phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et phasellus commodo tincidunt dolor ac aliquam in fermentum ligula aliquet  ',0),(56,'node',' what we do mauris mattis tellus purus ut egestas leo porta nec duis accumsan urna sed posuere fringilla orci odio accumsan quam a rutrum dui magna eget mi phasellus maximus ex sit amet consequat iaculis orci purus fringilla urna vel tristique neque metus a enim morbi accumsan neque vitae tortor pretium aliquet sed iaculis accumsan odio non lacinia erat pretium id phasellus ultricies in metus ultrices luctus proin eget lacus neque praesent tempor sapien eu nisi congue vel varius dui malesuada integer nisl libero eleifend sit amet urna et vulputate auctor sem phasellus bibendum vulputate enim nullam lorem massa cursus a facilisis quis cum sociis natoque penatibus et  ',0),(57,'node',' about hermio interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis interdum et malesuada fames ac ante ipsum primis in faucibus curabitur metus ipsum consequat quis mauris nec condimentum iaculis felis  ',0),(58,'node',' steve jobs suspendisse augue neque malesuada non egestas sed bibendum eu nunc proin rutrum mi in sollicitudin malesuada tortor ex semper eros at interdum ipsum odio eu magna vivamus consequat sem vitae vehicula pulvinar ut porttitor imperdiet finibus  ',0),(59,'node',' carl w buechner quisque elementum sem varius condimentum dignissim libero nisi congue sem fermentum dignissim eros magna a ligula aenean iaculis tellus nisi sit amet ultricies dui volutpat non proin in eros at tortor imperdiet pulvinar maecenas risus tortor commodo a metus a pharetra tincidunt libero  ',0),(60,'node',' upcoming events nam commodo suscipit quam vestibulum facilisis purus nec pulvinar iaculis ligula mi congue nunc vitae euismod ligula urna in dolor phasellus blandit leo ut odio vestibulum eu odio  ',0),(61,'node',' support hermio foundation nam ipsum risus rutrum vitae vestibulum eu molestie vel lacus aenean viverra rhoncus pede duis vel nibh at velit scelerisque suscipit nunc nulla nam eget dui status active support hermio foundation international ngos 3200 20000 select a donation amount 500 1000 2000 5000 other 100000 help us permalink submitted by andy on wed 9242014 117 proin sapien ipsum porta a auctor quis euismod ut mi log in or register to post comments how to write a thank you letter to a donor permalink submitted by heavyladybug230 on thu 10022014 23 at least once per week share a helpful interesting or fun post from another facebook page with your fans log in or register to post comments even online the customer always comes first permalink submitted by jamie on thu 10022014 29 a new fundraising classic is born log in or register to post comments  ',0),(62,'node',' contact us first name last name address city state post code country phone email message  ',0),(63,'node',' about us pellentesque fringilla vehicula pharetra duis feugiat est eget dignissim posuere mi justo accumsan lectus sed ullamcorper lectus eros non urna  ',0),(64,'node',' duis in enim a urna venenatis malesuada admin s blog supporting 160 underprivileged children mostly orphans and victims of hiv aids that visit daily the day centre centre reborn for hope alg finances feeding and education support nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo morbi congue urna at lectus sollicitudin porttitor etiam dapibus vestibulum urna non molestie elit pellentesque vehicula augue vel tortor fringilla sollicitudin id eu lectus aliquam efficitur diam ac ullamcorper fringilla sapien nulla volutpat felis at sagittis est ligula ut tellus nunc volutpat non leo nec consequat sed pretium accumsan fermentum praesent nisi enim scelerisque vel semper ac consequat vel risus suspe news the nonprofit blog carnival tackles social media for good causes permalink submitted by jamie on thu 10022014 30 a new fundraising classic is born log in or register to post comments 5 kinds of facebook posts that work for nonprofits permalink submitted by jamie on thu 10022014 31 facebook is still worth it for nonprofits especially if you use these 5 types of posts log in or register to post comments 7 things successful nonprofits do on pinterest permalink submitted by christy on thu 10022014 34 if your nonprofit has lots of great photo opportunities you really do need to be on pinterest log in or register to post comments  ',0),(65,'node',' for a better life a better world for a better life a better world select a donation amount 500 1000 2000 5000 other vivamus gravida ultricies dolor a ullamcorper ex malesuada ac cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent et dui porttitor maximus erat in ultricies justo etiam rutrum nisl vel vestibulum facilisis nullam a massa a dolor pretium scelerisque nam gravida dui nec sagittis condimentum diam mauris viverra metus nec iaculis metus orci vulputate leo phasellus imperdiet elit pulvinar condimentum laoreet pellentesque posuere eros vel sapien mollis posuere  ',0),(66,'node',' help save a life of a child help save a life of a child select a donation amount 500 1000 2000 5000 other phasellus pretium eleifend lectus quis iaculis est sagittis sed vivamus et vestibulum tellus aliquam sagittis pulvinar placerat phasellus eleifend leo in est mollis non tincidunt arcu rutrum praesent sem metus porta et tempor non interdum a risus duis congue varius efficitur aliquam dui arcu pharetra pulvinar venenatis in ornare eleifend diam praesent maximus neque massa sit amet accumsan justo placerat non pellentesque feugiat eros a pulvinar fringilla  ',0),(67,'node',' audiojungle audiojungle ',0),(68,'node',' help us suspendisse augue neque malesuada non egestas sed bibendum eu nunc proin rutrum mi in sollicitudin malesuada tortor ex semper eros at interdum ipsum odio eu magna vivamus consequat sem vitae vehicula pulvinar ut porttitor imperdiet finibus  ',0),(69,'node',' organizations around suspendisse augue neque malesuada non egestas sed bibendum eu nunc proin rutrum mi in sollicitudin malesuada tortor ex semper eros at interdum ipsum odio eu magna vivamus consequat sem vitae vehicula pulvinar ut porttitor imperdiet finibus  ',0),(70,'node',' mega menus ',0),(71,'node',' 404 404 sorry but we couldn t find the page you are looking for please check to make sure you ve typed the url correctly you may also want to search for what you are looking for return to home ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',1,'node',25.3981),('1',2,'node',25.2944),('1',3,'node',25.2944),('1',4,'node',25.2944),('1',5,'node',25.3981),('1',6,'node',25.3981),('1',7,'node',25.2944),('1',8,'node',25.1915),('1',14,'node',25.1915),('1',16,'node',25.3981),('1',17,'node',25.3981),('1',44,'node',26),('1',64,'node',25.1915),('10',18,'node',1),('100',12,'node',1),('1000',12,'node',1),('1000',13,'node',2),('1000',18,'node',2),('1000',19,'node',1),('1000',20,'node',1),('1000',21,'node',1),('1000',22,'node',2),('1000',31,'node',1),('1000',37,'node',1),('1000',38,'node',1),('1000',39,'node',1),('1000',40,'node',1),('1000',41,'node',1),('1000',42,'node',1),('1000',61,'node',1),('1000',65,'node',1),('1000',66,'node',1),('100000',31,'node',1),('100000',61,'node',1),('10022014',8,'node',0.854391),('10022014',61,'node',2),('10022014',64,'node',2.21141),('117',61,'node',1),('1300',31,'node',1),('1500',50,'node',1),('150000',12,'node',1),('160',5,'node',1),('160',6,'node',1),('160',7,'node',1),('160',8,'node',1),('160',14,'node',1),('160',16,'node',1),('160',17,'node',1),('160',64,'node',1),('2',1,'node',16.7117),('2',2,'node',16.6504),('2',3,'node',16.6504),('2',4,'node',16.6504),('2',5,'node',16.7117),('2',6,'node',16.7117),('2',7,'node',16.7117),('2',8,'node',16.5895),('2',14,'node',16.7117),('2',16,'node',16.7117),('2',17,'node',16.7117),('2',20,'node',1),('2',45,'node',26),('2',64,'node',16.6504),('200',21,'node',1),('200',22,'node',1),('2000',12,'node',1),('2000',13,'node',1),('2000',18,'node',1),('2000',19,'node',2),('2000',20,'node',1),('2000',21,'node',1),('2000',22,'node',1),('2000',31,'node',1),('2000',37,'node',1),('2000',38,'node',1),('2000',39,'node',1),('2000',40,'node',1),('2000',41,'node',1),('2000',42,'node',1),('2000',43,'node',1),('2000',49,'node',1),('2000',51,'node',1),('2000',61,'node',1),('2000',65,'node',1),('2000',66,'node',1),('20000',12,'node',1),('20000',22,'node',1),('20000',61,'node',1),('200000',13,'node',1),('200000',31,'node',1),('210',20,'node',1),('212',8,'node',0.851346),('2200',47,'node',1),('23',61,'node',1),('2400',52,'node',1),('245',18,'node',1),('2450',21,'node',1),('2500',46,'node',1),('29',61,'node',1),('3',1,'node',14.0214),('3',2,'node',13.9701),('3',3,'node',13.9701),('3',4,'node',13.9701),('3',5,'node',14.0214),('3',6,'node',14.0214),('3',7,'node',14.0214),('3',8,'node',13.9192),('3',14,'node',14.0214),('3',16,'node',14.0214),('3',17,'node',14.0214),('3',64,'node',13.9701),('30',64,'node',0.769219),('3000',20,'node',1),('31',64,'node',0.733888),('3200',48,'node',1),('3200',61,'node',1),('34',64,'node',0.705825),('35',1,'node',1),('35',2,'node',1),('35',3,'node',1),('35',4,'node',1),('40000',13,'node',1),('404',71,'node',27),('5',1,'node',26),('5',64,'node',20.1566),('50',1,'node',1),('50',2,'node',1),('50',3,'node',1),('50',4,'node',1),('500',12,'node',1),('500',13,'node',1),('500',18,'node',1),('500',19,'node',1),('500',20,'node',1),('500',21,'node',1),('500',22,'node',1),('500',31,'node',1),('500',37,'node',1),('500',38,'node',1),('500',39,'node',1),('500',40,'node',1),('500',41,'node',1),('500',42,'node',1),('500',61,'node',1),('500',65,'node',1),('500',66,'node',1),('5000',12,'node',1),('5000',13,'node',1),('5000',18,'node',1),('5000',19,'node',1),('5000',20,'node',1),('5000',21,'node',2),('5000',22,'node',1),('5000',31,'node',1),('5000',37,'node',1),('5000',38,'node',1),('5000',39,'node',1),('5000',40,'node',1),('5000',41,'node',1),('5000',42,'node',1),('5000',61,'node',1),('5000',65,'node',1),('5000',66,'node',1),('6',2,'node',26),('7',64,'node',18.6253),('9242014',61,'node',1),('abc',8,'node',22.5366),('about',57,'node',26),('about',63,'node',26),('accumsan',1,'node',1),('accumsan',2,'node',1),('accumsan',3,'node',1),('accumsan',4,'node',1),('accumsan',5,'node',1),('accumsan',6,'node',1),('accumsan',7,'node',1),('accumsan',8,'node',1),('accumsan',10,'node',1),('accumsan',11,'node',1),('accumsan',14,'node',1),('accumsan',16,'node',1),('accumsan',17,'node',1),('accumsan',25,'node',2),('accumsan',29,'node',1),('accumsan',37,'node',1),('accumsan',39,'node',53),('accumsan',56,'node',4),('accumsan',63,'node',1),('accumsan',64,'node',1.81645),('accumsan',66,'node',1),('accusantium',1,'node',3.6769),('accusantium',2,'node',3.66692),('accusantium',3,'node',3.66692),('accusantium',4,'node',3.66692),('accusantium',5,'node',3.6769),('accusantium',6,'node',3.6769),('accusantium',7,'node',3.67331),('accusantium',8,'node',3.65702),('accusantium',14,'node',3.6769),('accusantium',16,'node',3.6769),('accusantium',17,'node',3.6769),('accusantium',64,'node',3.66336),('action',11,'node',26),('active',12,'node',1),('active',13,'node',1),('active',18,'node',1),('active',19,'node',1),('active',20,'node',1),('active',21,'node',1),('active',22,'node',1),('active',31,'node',1),('active',61,'node',1),('activeden',53,'node',37),('address',62,'node',1),('adipisci',1,'node',0.886095),('adipisci',2,'node',0.882818),('adipisci',3,'node',0.882818),('adipisci',4,'node',0.882818),('adipisci',5,'node',0.886095),('adipisci',6,'node',0.886095),('adipisci',7,'node',0.886095),('adipisci',8,'node',0.879565),('adipisci',14,'node',0.886095),('adipisci',16,'node',0.886095),('adipisci',17,'node',0.886095),('adipisci',64,'node',0.882818),('adipiscing',9,'node',2),('adipiscing',10,'node',2),('adipiscing',15,'node',1),('admin',1,'node',11),('admin',2,'node',11),('admin',3,'node',11),('admin',4,'node',11),('admin',5,'node',11),('admin',6,'node',11),('admin',7,'node',11),('admin',8,'node',11.8575),('admin',14,'node',11),('admin',15,'node',11),('admin',16,'node',11),('admin',17,'node',11),('admin',64,'node',11),('ads',44,'node',26),('ads',45,'node',26),('aenean',1,'node',1),('aenean',2,'node',1),('aenean',3,'node',1),('aenean',4,'node',1),('aenean',5,'node',1),('aenean',6,'node',1),('aenean',7,'node',1),('aenean',8,'node',1),('aenean',9,'node',1),('aenean',12,'node',1),('aenean',13,'node',1),('aenean',14,'node',1),('aenean',15,'node',3),('aenean',16,'node',1),('aenean',17,'node',2.67646),('aenean',18,'node',1),('aenean',19,'node',1),('aenean',20,'node',1),('aenean',21,'node',1),('aenean',29,'node',1),('aenean',31,'node',1),('aenean',41,'node',53),('aenean',42,'node',1),('aenean',59,'node',1),('aenean',61,'node',1),('aenean',64,'node',1),('aids',5,'node',1),('aids',6,'node',1),('aids',7,'node',1),('aids',8,'node',1),('aids',14,'node',1),('aids',16,'node',1),('aids',17,'node',1),('aids',64,'node',1),('alg',5,'node',1),('alg',6,'node',1),('alg',7,'node',1),('alg',8,'node',1),('alg',14,'node',1),('alg',16,'node',1),('alg',17,'node',1),('alg',64,'node',1),('aliquam',9,'node',2),('aliquam',10,'node',1),('aliquam',11,'node',3),('aliquam',15,'node',1),('aliquam',17,'node',1.67341),('aliquam',23,'node',1),('aliquam',24,'node',1),('aliquam',25,'node',1),('aliquam',26,'node',3),('aliquam',27,'node',1),('aliquam',28,'node',1),('aliquam',29,'node',1),('aliquam',30,'node',1),('aliquam',42,'node',1),('aliquam',43,'node',1),('aliquam',46,'node',1),('aliquam',47,'node',1),('aliquam',48,'node',1),('aliquam',49,'node',1),('aliquam',50,'node',1),('aliquam',51,'node',27),('aliquam',52,'node',1),('aliquam',54,'node',1),('aliquam',55,'node',1),('aliquam',64,'node',0.845322),('aliquam',66,'node',2),('aliquet',1,'node',1),('aliquet',2,'node',1),('aliquet',3,'node',1),('aliquet',4,'node',1),('aliquet',5,'node',1),('aliquet',6,'node',1),('aliquet',7,'node',1),('aliquet',8,'node',1),('aliquet',9,'node',1),('aliquet',10,'node',1),('aliquet',14,'node',1),('aliquet',16,'node',1),('aliquet',17,'node',1),('aliquet',23,'node',1),('aliquet',24,'node',2),('aliquet',25,'node',1),('aliquet',26,'node',1),('aliquet',27,'node',1),('aliquet',28,'node',1),('aliquet',29,'node',1),('aliquet',30,'node',1),('aliquet',38,'node',1),('aliquet',43,'node',1),('aliquet',46,'node',1),('aliquet',47,'node',1),('aliquet',48,'node',1),('aliquet',49,'node',1),('aliquet',50,'node',1),('aliquet',51,'node',1),('aliquet',52,'node',1),('aliquet',54,'node',1),('aliquet',55,'node',1),('aliquet',56,'node',1),('aliquet',64,'node',1),('all',1,'node',1),('all',2,'node',1),('all',3,'node',1),('all',4,'node',27),('aloha',44,'node',11),('also',71,'node',1),('always',61,'node',26),('amet',1,'node',0.889397),('amet',2,'node',0.886095),('amet',3,'node',0.886095),('amet',4,'node',0.886095),('amet',5,'node',0.889397),('amet',6,'node',0.889397),('amet',7,'node',0.889397),('amet',8,'node',0.882818),('amet',9,'node',1),('amet',10,'node',1),('amet',14,'node',0.889397),('amet',15,'node',2),('amet',16,'node',0.889397),('amet',17,'node',2.56585),('amet',27,'node',1),('amet',28,'node',1),('amet',29,'node',1),('amet',42,'node',1),('amet',43,'node',1),('amet',46,'node',1),('amet',47,'node',1),('amet',48,'node',1),('amet',49,'node',1),('amet',50,'node',1),('amet',51,'node',1),('amet',52,'node',1),('amet',56,'node',2),('amet',59,'node',1),('amet',64,'node',0.886095),('amet',66,'node',1),('amount',12,'node',1),('amount',13,'node',1),('amount',18,'node',1),('amount',19,'node',1),('amount',20,'node',1),('amount',21,'node',1),('amount',22,'node',1),('amount',31,'node',1),('amount',37,'node',1),('amount',38,'node',1),('amount',39,'node',1),('amount',40,'node',1),('amount',41,'node',1),('amount',42,'node',1),('amount',61,'node',1),('amount',65,'node',1),('amount',66,'node',1),('and',1,'node',1),('and',2,'node',1),('and',3,'node',1),('and',4,'node',27),('and',5,'node',2),('and',6,'node',2),('and',7,'node',2),('and',8,'node',2),('and',14,'node',2),('and',16,'node',2),('and',17,'node',2),('and',64,'node',2),('andy',61,'node',1),('anim',1,'node',2.68785),('anim',2,'node',2.67779),('anim',3,'node',2.67779),('anim',4,'node',2.67779),('anim',5,'node',2.68785),('anim',6,'node',2.68785),('anim',7,'node',2.68417),('anim',8,'node',2.6678),('anim',14,'node',2.68785),('anim',16,'node',2.68785),('anim',17,'node',2.68785),('anim',64,'node',2.67414),('animal',22,'node',11),('another',61,'node',1),('ante',7,'node',26),('ante',9,'node',1),('ante',11,'node',2),('ante',15,'node',1),('ante',17,'node',1.6952),('ante',25,'node',1),('ante',26,'node',2),('ante',29,'node',2),('ante',42,'node',2),('ante',57,'node',6),('aperiam',1,'node',3.6769),('aperiam',2,'node',3.66692),('aperiam',3,'node',3.66692),('aperiam',4,'node',3.66692),('aperiam',5,'node',3.6769),('aperiam',6,'node',3.6769),('aperiam',7,'node',3.67331),('aperiam',8,'node',3.65702),('aperiam',14,'node',3.6769),('aperiam',16,'node',3.6769),('aperiam',17,'node',3.6769),('aperiam',64,'node',3.66336),('aptent',27,'node',1),('architecto',1,'node',3.6769),('architecto',2,'node',3.66423),('architecto',3,'node',3.66423),('architecto',4,'node',3.66423),('architecto',5,'node',3.6769),('architecto',6,'node',3.6769),('architecto',7,'node',3.67061),('architecto',8,'node',3.65016),('architecto',14,'node',3.67005),('architecto',16,'node',3.6769),('architecto',17,'node',3.6769),('architecto',64,'node',3.6565),('arcu',9,'node',4),('arcu',17,'node',1.65851),('arcu',24,'node',1),('arcu',25,'node',1),('arcu',29,'node',3),('arcu',30,'node',1),('arcu',54,'node',1),('arcu',55,'node',1),('arcu',66,'node',2),('are',71,'node',2),('around',1,'node',1),('around',2,'node',1),('around',3,'node',1),('around',4,'node',1),('around',69,'node',26),('arts',20,'node',11),('asfasfasfasf',8,'node',0.848323),('aspernatur',1,'node',0.909743),('aspernatur',2,'node',0.906287),('aspernatur',3,'node',0.906287),('aspernatur',4,'node',0.906287),('aspernatur',5,'node',0.909743),('aspernatur',6,'node',0.909743),('aspernatur',7,'node',0.906287),('aspernatur',8,'node',0.902857),('aspernatur',14,'node',0.909743),('aspernatur',16,'node',0.909743),('aspernatur',17,'node',0.909743),('aspernatur',64,'node',0.906287),('auctor',10,'node',2),('auctor',27,'node',1),('auctor',28,'node',1),('auctor',43,'node',1),('auctor',46,'node',1),('auctor',47,'node',1),('auctor',48,'node',1),('auctor',49,'node',1),('auctor',50,'node',1),('auctor',51,'node',1),('auctor',52,'node',1),('auctor',56,'node',1),('auctor',61,'node',1),('audiojungle',36,'node',37),('audiojungle',67,'node',37),('augue',10,'node',3),('augue',11,'node',1),('augue',15,'node',1),('augue',16,'node',26),('augue',26,'node',1),('augue',30,'node',1),('augue',38,'node',1),('augue',39,'node',1),('augue',40,'node',2),('augue',42,'node',54),('augue',54,'node',1),('augue',55,'node',1),('augue',58,'node',1),('augue',64,'node',0.854391),('augue',68,'node',1),('augue',69,'node',1),('aut',1,'node',1.80574),('aut',2,'node',1.79893),('aut',3,'node',1.79893),('aut',4,'node',1.79893),('aut',5,'node',1.80574),('aut',6,'node',1.80574),('aut',7,'node',1.79893),('aut',8,'node',1.79218),('aut',14,'node',1.80574),('aut',16,'node',1.80574),('aut',17,'node',1.80574),('aut',64,'node',1.79893),('backyard',1,'node',1),('backyard',2,'node',1),('backyard',3,'node',1),('backyard',4,'node',1),('beatae',1,'node',3.67421),('beatae',2,'node',3.66007),('beatae',3,'node',3.66007),('beatae',4,'node',3.66007),('beatae',5,'node',3.67421),('beatae',6,'node',3.67421),('beatae',7,'node',3.66645),('beatae',8,'node',3.64604),('beatae',14,'node',3.66592),('beatae',16,'node',3.67421),('beatae',17,'node',3.67421),('beatae',64,'node',3.65238),('better',65,'node',104),('bibendum',23,'node',1),('bibendum',24,'node',1),('bibendum',25,'node',1),('bibendum',26,'node',2),('bibendum',27,'node',1),('bibendum',28,'node',1),('bibendum',29,'node',1),('bibendum',30,'node',1),('bibendum',41,'node',52),('bibendum',43,'node',1),('bibendum',46,'node',1),('bibendum',47,'node',1),('bibendum',48,'node',1),('bibendum',49,'node',1),('bibendum',50,'node',1),('bibendum',51,'node',1),('bibendum',52,'node',1),('bibendum',54,'node',1),('bibendum',55,'node',1),('bibendum',56,'node',1),('bibendum',58,'node',1),('bibendum',68,'node',1),('bibendum',69,'node',1),('blandit',1,'node',1),('blandit',2,'node',1),('blandit',3,'node',1),('blandit',4,'node',1),('blandit',5,'node',1),('blandit',6,'node',1),('blandit',7,'node',1),('blandit',8,'node',1),('blandit',9,'node',2),('blandit',11,'node',3),('blandit',14,'node',1),('blandit',15,'node',1),('blandit',16,'node',1),('blandit',17,'node',1),('blandit',22,'node',1),('blandit',24,'node',1),('blandit',28,'node',1),('blandit',37,'node',1),('blandit',40,'node',1),('blandit',50,'node',26),('blandit',60,'node',1),('blandit',64,'node',1),('blog',1,'node',11.8731),('blog',2,'node',11.87),('blog',3,'node',11.87),('blog',4,'node',11.87),('blog',5,'node',11.8731),('blog',6,'node',11.8731),('blog',7,'node',11.8731),('blog',8,'node',11.8668),('blog',14,'node',11),('blog',15,'node',11),('blog',16,'node',11),('blog',17,'node',11),('blog',64,'node',31.7324),('born',61,'node',1),('born',64,'node',0.759465),('buechner',59,'node',26),('but',71,'node',1),('capacity',3,'node',26),('capital',3,'node',26),('carl',59,'node',26),('carnival',64,'node',20.7324),('causes',64,'node',20.3927),('centre',5,'node',2),('centre',6,'node',2),('centre',7,'node',2),('centre',8,'node',2),('centre',14,'node',2),('centre',16,'node',2),('centre',17,'node',2),('centre',64,'node',2),('charities',12,'node',11),('charities',18,'node',11),('charities',19,'node',11),('charities',21,'node',11),('charities',22,'node',11),('charties',20,'node',11),('check',71,'node',1),('child',66,'node',52),('children',5,'node',1),('children',6,'node',1),('children',7,'node',1),('children',8,'node',1),('children',14,'node',1),('children',16,'node',1),('children',17,'node',1),('children',64,'node',1),('christy',64,'node',0.707906),('city',62,'node',1),('class',27,'node',1),('classic',61,'node',1),('classic',64,'node',0.76188),('code',62,'node',1),('codecanyon',35,'node',37),('comes',61,'node',26),('comments',8,'node',0.836446),('comments',61,'node',3),('comments',64,'node',2.15395),('commodo',9,'node',2),('commodo',11,'node',1),('commodo',22,'node',1),('commodo',23,'node',1),('commodo',24,'node',1),('commodo',25,'node',1),('commodo',26,'node',1),('commodo',27,'node',1),('commodo',28,'node',1),('commodo',29,'node',1),('commodo',30,'node',1),('commodo',43,'node',1),('commodo',46,'node',1),('commodo',47,'node',1),('commodo',48,'node',1),('commodo',49,'node',1),('commodo',50,'node',1),('commodo',51,'node',1),('commodo',52,'node',1),('commodo',54,'node',1),('commodo',55,'node',1),('commodo',59,'node',1),('commodo',60,'node',1),('condimentum',10,'node',1),('condimentum',11,'node',2),('condimentum',57,'node',6),('condimentum',59,'node',1),('condimentum',65,'node',2),('congue',1,'node',1),('congue',2,'node',1),('congue',3,'node',1),('congue',4,'node',1),('congue',5,'node',1),('congue',6,'node',1),('congue',7,'node',1),('congue',8,'node',1),('congue',11,'node',2),('congue',14,'node',1),('congue',15,'node',1),('congue',16,'node',1),('congue',17,'node',1),('congue',22,'node',1),('congue',26,'node',1),('congue',28,'node',1),('congue',43,'node',1),('congue',46,'node',1),('congue',47,'node',1),('congue',48,'node',1),('congue',49,'node',1),('congue',50,'node',1),('congue',51,'node',1),('congue',52,'node',1),('congue',56,'node',1),('congue',59,'node',1),('congue',60,'node',1),('congue',64,'node',1.86995),('congue',66,'node',1),('consectetuer',25,'node',1),('consectetuer',29,'node',1),('consectetur',1,'node',2.8861),('consectetur',2,'node',2.88282),('consectetur',3,'node',2.88282),('consectetur',4,'node',2.88282),('consectetur',5,'node',2.8861),('consectetur',6,'node',2.8861),('consectetur',7,'node',2.8861),('consectetur',8,'node',2.87957),('consectetur',14,'node',2.8861),('consectetur',16,'node',2.8861),('consectetur',17,'node',2.8861),('consectetur',64,'node',2.88282),('consequat',9,'node',1),('consequat',26,'node',1),('consequat',29,'node',1),('consequat',42,'node',1),('consequat',56,'node',1),('consequat',57,'node',6),('consequat',58,'node',1),('consequat',64,'node',1.62752),('consequat',68,'node',1),('consequat',69,'node',1),('conservancy',1,'node',1),('conservancy',2,'node',1),('conservancy',3,'node',1),('conservancy',4,'node',1),('conserve',4,'node',26),('contact',62,'node',26),('content',2,'node',26),('conubia',27,'node',1),('convallis',1,'node',2),('convallis',2,'node',2),('convallis',3,'node',2),('convallis',4,'node',2),('convallis',5,'node',2),('convallis',6,'node',2),('convallis',7,'node',2),('convallis',8,'node',2),('convallis',14,'node',2),('convallis',16,'node',2),('convallis',17,'node',3.6952),('convallis',26,'node',1),('convallis',64,'node',2),('correctly',71,'node',1),('couldn',71,'node',1),('countries',1,'node',1),('countries',2,'node',1),('countries',3,'node',1),('countries',4,'node',1),('country',62,'node',1),('cras',1,'node',1),('cras',2,'node',1),('cras',3,'node',1),('cras',4,'node',1),('cras',5,'node',1),('cras',6,'node',1),('cras',7,'node',1),('cras',8,'node',1),('cras',9,'node',1),('cras',10,'node',1),('cras',14,'node',1),('cras',15,'node',2),('cras',16,'node',1),('cras',17,'node',1),('cras',21,'node',26),('cras',23,'node',1),('cras',25,'node',1),('cras',64,'node',1),('cubilia',11,'node',2),('cubilia',26,'node',1),('culpa',1,'node',2.70669),('culpa',2,'node',2.69648),('culpa',3,'node',2.69648),('culpa',4,'node',2.69648),('culpa',5,'node',2.70669),('culpa',6,'node',2.70669),('culpa',7,'node',2.70286),('culpa',8,'node',2.68634),('culpa',14,'node',2.70669),('culpa',16,'node',2.70669),('culpa',17,'node',2.70669),('culpa',64,'node',2.69268),('culture',20,'node',11),('cum',23,'node',1),('cum',24,'node',1),('cum',25,'node',1),('cum',26,'node',1),('cum',27,'node',1),('cum',28,'node',1),('cum',29,'node',1),('cum',30,'node',1),('cum',43,'node',1),('cum',46,'node',1),('cum',47,'node',1),('cum',48,'node',1),('cum',49,'node',1),('cum',50,'node',1),('cum',51,'node',1),('cum',52,'node',1),('cum',54,'node',1),('cum',55,'node',1),('cum',56,'node',1),('cum',65,'node',1),('cupidatat',1,'node',2.71445),('cupidatat',2,'node',2.70417),('cupidatat',3,'node',2.70417),('cupidatat',4,'node',2.70417),('cupidatat',5,'node',2.71445),('cupidatat',6,'node',2.71445),('cupidatat',7,'node',2.71056),('cupidatat',8,'node',2.69397),('cupidatat',14,'node',28.7106),('cupidatat',16,'node',2.71445),('cupidatat',17,'node',2.71445),('cupidatat',64,'node',2.70031),('curabitur',9,'node',2),('curabitur',10,'node',2),('curabitur',11,'node',3),('curabitur',15,'node',1),('curabitur',23,'node',2),('curabitur',40,'node',2),('curabitur',50,'node',26),('curabitur',57,'node',6),('curae',11,'node',2),('curae',26,'node',1),('cursus',1,'node',2),('cursus',2,'node',2),('cursus',3,'node',2),('cursus',4,'node',2),('cursus',5,'node',2),('cursus',6,'node',2),('cursus',7,'node',2),('cursus',8,'node',2),('cursus',10,'node',1),('cursus',11,'node',1),('cursus',14,'node',2),('cursus',15,'node',1),('cursus',16,'node',2),('cursus',17,'node',3.67952),('cursus',23,'node',2),('cursus',24,'node',1),('cursus',25,'node',1),('cursus',26,'node',2),('cursus',27,'node',1),('cursus',28,'node',1),('cursus',29,'node',1),('cursus',30,'node',1),('cursus',37,'node',1),('cursus',39,'node',52),('cursus',43,'node',1),('cursus',46,'node',1),('cursus',47,'node',1),('cursus',48,'node',1),('cursus',49,'node',1),('cursus',50,'node',1),('cursus',51,'node',1),('cursus',52,'node',1),('cursus',54,'node',1),('cursus',55,'node',1),('cursus',56,'node',1),('cursus',64,'node',2),('customer',61,'node',26),('daily',5,'node',1),('daily',6,'node',1),('daily',7,'node',1),('daily',8,'node',1),('daily',14,'node',1),('daily',16,'node',1),('daily',17,'node',1),('daily',64,'node',1),('dapibus',9,'node',2),('dapibus',17,'node',1.66145),('dapibus',28,'node',1),('dapibus',38,'node',1),('dapibus',40,'node',1),('dapibus',42,'node',1),('dapibus',64,'node',0.863659),('day',5,'node',1),('day',6,'node',1),('day',7,'node',1),('day',8,'node',1),('day',14,'node',1),('day',16,'node',1),('day',17,'node',1),('day',64,'node',1),('depends',4,'node',26),('deserunt',1,'node',2.6953),('deserunt',2,'node',2.68517),('deserunt',3,'node',2.68517),('deserunt',4,'node',2.68517),('deserunt',5,'node',2.6953),('deserunt',6,'node',2.6953),('deserunt',7,'node',2.69156),('deserunt',8,'node',2.67513),('deserunt',14,'node',2.6953),('deserunt',16,'node',2.6953),('deserunt',17,'node',2.6953),('deserunt',64,'node',2.68146),('diam',1,'node',1),('diam',2,'node',1),('diam',3,'node',1),('diam',4,'node',1),('diam',5,'node',1),('diam',6,'node',1),('diam',7,'node',1),('diam',8,'node',1),('diam',14,'node',1),('diam',16,'node',1),('diam',17,'node',1),('diam',64,'node',1.83938),('diam',65,'node',1),('diam',66,'node',1),('dicta',1,'node',3.67005),('dicta',2,'node',3.65594),('dicta',3,'node',3.65594),('dicta',4,'node',3.65594),('dicta',5,'node',3.67005),('dicta',6,'node',3.67005),('dicta',7,'node',3.66233),('dicta',8,'node',3.64195),('dicta',14,'node',3.66183),('dicta',16,'node',3.67005),('dicta',17,'node',3.67005),('dicta',64,'node',3.64829),('dictumst',10,'node',1),('dictumst',11,'node',1),('dictumst',15,'node',1),('dictumst',42,'node',1),('difference',1,'node',1),('difference',2,'node',1),('difference',3,'node',1),('difference',4,'node',1),('dignissim',9,'node',1),('dignissim',30,'node',1),('dignissim',54,'node',1),('dignissim',55,'node',1),('dignissim',59,'node',2),('dignissim',63,'node',1),('dis',65,'node',1),('dolor',1,'node',1.8894),('dolor',2,'node',1.8861),('dolor',3,'node',1.8861),('dolor',4,'node',1.8861),('dolor',5,'node',1.8894),('dolor',6,'node',1.8894),('dolor',7,'node',1.8894),('dolor',8,'node',1.88282),('dolor',9,'node',2),('dolor',10,'node',2),('dolor',11,'node',2),('dolor',14,'node',1.8894),('dolor',15,'node',2),('dolor',16,'node',1.8894),('dolor',17,'node',1.8894),('dolor',22,'node',1),('dolor',23,'node',2),('dolor',24,'node',1),('dolor',25,'node',1),('dolor',26,'node',2),('dolor',27,'node',1),('dolor',28,'node',1),('dolor',29,'node',1),('dolor',30,'node',3),('dolor',43,'node',1),('dolor',46,'node',1),('dolor',47,'node',1),('dolor',48,'node',1),('dolor',49,'node',1),('dolor',50,'node',1),('dolor',51,'node',1),('dolor',52,'node',1),('dolor',54,'node',3),('dolor',55,'node',3),('dolor',60,'node',1),('dolor',64,'node',1.8861),('dolor',65,'node',2),('dolorem',1,'node',0.896076),('dolorem',2,'node',0.892724),('dolorem',3,'node',0.892724),('dolorem',4,'node',0.892724),('dolorem',5,'node',0.896076),('dolorem',6,'node',0.896076),('dolorem',7,'node',0.892724),('dolorem',8,'node',0.889397),('dolorem',14,'node',0.896076),('dolorem',16,'node',0.896076),('dolorem',17,'node',0.896076),('dolorem',64,'node',0.892724),('doloremque',1,'node',3.6769),('doloremque',2,'node',3.66692),('doloremque',3,'node',3.66692),('doloremque',4,'node',3.66692),('doloremque',5,'node',3.6769),('doloremque',6,'node',3.6769),('doloremque',7,'node',3.67331),('doloremque',8,'node',3.65702),('doloremque',14,'node',3.6769),('doloremque',16,'node',3.6769),('doloremque',17,'node',3.6769),('doloremque',64,'node',3.66336),('donation',12,'node',1),('donation',13,'node',1),('donation',18,'node',1),('donation',19,'node',1),('donation',20,'node',1),('donation',21,'node',1),('donation',22,'node',1),('donation',31,'node',1),('donation',37,'node',1),('donation',38,'node',1),('donation',39,'node',1),('donation',40,'node',1),('donation',41,'node',1),('donation',42,'node',1),('donation',61,'node',1),('donation',65,'node',1),('donation',66,'node',1),('donec',9,'node',2),('donec',11,'node',2),('donec',17,'node',1.64982),('donec',23,'node',26),('donec',24,'node',1),('donec',27,'node',26),('donec',30,'node',1),('donec',38,'node',1),('donec',39,'node',1),('donec',41,'node',1),('donec',43,'node',26),('donec',46,'node',26),('donec',51,'node',26),('donec',54,'node',1),('donec',55,'node',1),('donor',61,'node',26),('dui',1,'node',1),('dui',2,'node',1),('dui',3,'node',1),('dui',4,'node',1),('dui',5,'node',1),('dui',6,'node',1),('dui',7,'node',1),('dui',8,'node',1),('dui',9,'node',2),('dui',10,'node',3),('dui',11,'node',1),('dui',12,'node',1),('dui',13,'node',1),('dui',14,'node',1),('dui',15,'node',1),('dui',16,'node',1),('dui',17,'node',1),('dui',18,'node',1),('dui',19,'node',1),('dui',20,'node',1),('dui',21,'node',1),('dui',28,'node',1),('dui',31,'node',1),('dui',39,'node',1),('dui',43,'node',1),('dui',46,'node',1),('dui',47,'node',1),('dui',48,'node',1),('dui',49,'node',1),('dui',50,'node',1),('dui',51,'node',1),('dui',52,'node',1),('dui',56,'node',2),('dui',59,'node',1),('dui',61,'node',1),('dui',64,'node',1),('dui',65,'node',2),('dui',66,'node',1),('duis',1,'node',1),('duis',2,'node',1),('duis',3,'node',1),('duis',4,'node',1),('duis',5,'node',1),('duis',6,'node',1),('duis',7,'node',1),('duis',8,'node',1),('duis',9,'node',1),('duis',11,'node',1),('duis',12,'node',1),('duis',13,'node',1),('duis',14,'node',1),('duis',15,'node',26),('duis',16,'node',1),('duis',17,'node',1),('duis',18,'node',1),('duis',19,'node',1),('duis',20,'node',1),('duis',21,'node',1),('duis',23,'node',4),('duis',24,'node',4),('duis',25,'node',4),('duis',26,'node',4),('duis',27,'node',4),('duis',28,'node',4),('duis',29,'node',4),('duis',30,'node',4),('duis',31,'node',1),('duis',40,'node',1),('duis',43,'node',4),('duis',46,'node',4),('duis',47,'node',4),('duis',48,'node',4),('duis',49,'node',4),('duis',50,'node',4),('duis',51,'node',4),('duis',52,'node',4),('duis',54,'node',4),('duis',55,'node',4),('duis',56,'node',1),('duis',61,'node',1),('duis',63,'node',1),('duis',64,'node',27),('duis',66,'node',1),('eaque',1,'node',3.6769),('eaque',2,'node',3.66692),('eaque',3,'node',3.66692),('eaque',4,'node',3.66692),('eaque',5,'node',3.6769),('eaque',6,'node',3.6769),('eaque',7,'node',3.67331),('eaque',8,'node',3.65702),('eaque',14,'node',3.6769),('eaque',16,'node',3.6769),('eaque',17,'node',3.6769),('eaque',64,'node',3.66336),('education',5,'node',1),('education',6,'node',1),('education',7,'node',1),('education',8,'node',1),('education',14,'node',1),('education',16,'node',1),('education',17,'node',1),('education',21,'node',11),('education',64,'node',1),('efficitur',64,'node',0.842342),('efficitur',66,'node',1),('egestas',10,'node',2),('egestas',11,'node',2),('egestas',15,'node',1),('egestas',16,'node',26),('egestas',24,'node',1),('egestas',26,'node',27),('egestas',29,'node',26),('egestas',39,'node',1),('egestas',40,'node',1),('egestas',42,'node',52),('egestas',56,'node',1),('egestas',58,'node',1),('egestas',68,'node',1),('egestas',69,'node',1),('eget',1,'node',1),('eget',2,'node',1),('eget',3,'node',1),('eget',4,'node',1),('eget',5,'node',1),('eget',6,'node',1),('eget',7,'node',1),('eget',8,'node',1),('eget',9,'node',2),('eget',10,'node',2),('eget',11,'node',1),('eget',12,'node',1),('eget',13,'node',1),('eget',14,'node',1),('eget',15,'node',3),('eget',16,'node',1),('eget',17,'node',4.33898),('eget',18,'node',27),('eget',19,'node',1),('eget',20,'node',1),('eget',21,'node',1),('eget',24,'node',2),('eget',25,'node',1),('eget',26,'node',1),('eget',28,'node',1),('eget',30,'node',1),('eget',31,'node',1),('eget',43,'node',1),('eget',46,'node',1),('eget',47,'node',1),('eget',48,'node',1),('eget',49,'node',1),('eget',50,'node',1),('eget',51,'node',1),('eget',52,'node',1),('eget',54,'node',1),('eget',55,'node',1),('eget',56,'node',2),('eget',61,'node',1),('eget',63,'node',1),('eget',64,'node',1),('eleifend',9,'node',1),('eleifend',15,'node',1),('eleifend',20,'node',26),('eleifend',28,'node',1),('eleifend',29,'node',1),('eleifend',30,'node',26),('eleifend',37,'node',52),('eleifend',42,'node',1),('eleifend',43,'node',1),('eleifend',46,'node',1),('eleifend',47,'node',1),('eleifend',48,'node',1),('eleifend',49,'node',1),('eleifend',50,'node',1),('eleifend',51,'node',1),('eleifend',52,'node',1),('eleifend',54,'node',26),('eleifend',55,'node',26),('eleifend',56,'node',1),('eleifend',66,'node',3),('elementum',10,'node',1),('elementum',15,'node',1),('elementum',59,'node',1),('elit',1,'node',2),('elit',2,'node',2),('elit',3,'node',2),('elit',4,'node',2),('elit',5,'node',2),('elit',6,'node',2),('elit',7,'node',2),('elit',8,'node',2),('elit',11,'node',2),('elit',14,'node',2),('elit',16,'node',2),('elit',17,'node',2),('elit',26,'node',2),('elit',27,'node',26),('elit',29,'node',1),('elit',30,'node',1),('elit',38,'node',1),('elit',39,'node',1),('elit',54,'node',1),('elit',55,'node',1),('elit',64,'node',2.85746),('elit',65,'node',1),('email',62,'node',1),('enim',1,'node',0.923838),('enim',2,'node',0.920273),('enim',3,'node',0.920273),('enim',4,'node',0.920273),('enim',5,'node',0.923838),('enim',6,'node',0.923838),('enim',7,'node',0.920273),('enim',8,'node',0.916736),('enim',9,'node',4),('enim',14,'node',0.923838),('enim',16,'node',0.923838),('enim',17,'node',0.923838),('enim',23,'node',5),('enim',24,'node',31),('enim',25,'node',5),('enim',26,'node',5),('enim',27,'node',5),('enim',28,'node',5),('enim',29,'node',6),('enim',30,'node',5),('enim',42,'node',1),('enim',43,'node',5),('enim',46,'node',5),('enim',47,'node',5),('enim',48,'node',5),('enim',49,'node',5),('enim',50,'node',5),('enim',51,'node',5),('enim',52,'node',5),('enim',54,'node',5),('enim',55,'node',5),('enim',56,'node',2),('enim',64,'node',27.7249),('environmental',12,'node',11),('erat',1,'node',1),('erat',2,'node',1),('erat',3,'node',1),('erat',4,'node',1),('erat',5,'node',1),('erat',6,'node',1),('erat',7,'node',1),('erat',8,'node',1),('erat',11,'node',3),('erat',14,'node',1),('erat',15,'node',2),('erat',16,'node',1),('erat',17,'node',1),('erat',23,'node',1),('erat',26,'node',1),('erat',37,'node',1),('erat',56,'node',1),('erat',64,'node',1),('erat',65,'node',1),('eros',9,'node',1),('eros',15,'node',1),('eros',29,'node',1),('eros',39,'node',1),('eros',40,'node',1),('eros',42,'node',2),('eros',58,'node',1),('eros',59,'node',2),('eros',63,'node',1),('eros',65,'node',1),('eros',66,'node',1),('eros',68,'node',1),('eros',69,'node',1),('error',1,'node',4.57298),('error',2,'node',4.55964),('error',3,'node',4.55964),('error',4,'node',4.55964),('error',5,'node',4.57298),('error',6,'node',4.57298),('error',7,'node',4.56603),('error',8,'node',4.54641),('error',14,'node',4.57298),('error',16,'node',4.57298),('error',17,'node',4.57298),('error',64,'node',4.55608),('especially',64,'node',0.727213),('est',1,'node',2.68417),('est',2,'node',2.67414),('est',3,'node',2.67414),('est',4,'node',2.67414),('est',5,'node',2.68417),('est',6,'node',2.68417),('est',7,'node',2.68052),('est',8,'node',2.66418),('est',9,'node',1),('est',14,'node',2.68417),('est',15,'node',1),('est',16,'node',2.68417),('est',17,'node',4.33114),('est',24,'node',1),('est',63,'node',1),('est',64,'node',3.49827),('est',66,'node',2),('etiam',15,'node',2),('etiam',30,'node',1),('etiam',42,'node',1),('etiam',54,'node',1),('etiam',55,'node',1),('etiam',64,'node',0.866793),('etiam',65,'node',1),('euismod',10,'node',1),('euismod',11,'node',2),('euismod',15,'node',1),('euismod',22,'node',1),('euismod',26,'node',1),('euismod',40,'node',1),('euismod',60,'node',1),('euismod',61,'node',1),('even',61,'node',26),('events',60,'node',26),('everyday',31,'node',26),('explicabo',1,'node',3.66183),('explicabo',2,'node',3.64779),('explicabo',3,'node',3.64779),('explicabo',4,'node',3.64779),('explicabo',5,'node',3.66183),('explicabo',6,'node',3.66183),('explicabo',7,'node',3.65418),('explicabo',8,'node',3.63387),('explicabo',14,'node',3.65375),('explicabo',16,'node',3.66183),('explicabo',17,'node',3.66183),('explicabo',64,'node',3.64021),('extinction',31,'node',26),('face',31,'node',26),('facebook',61,'node',1),('facebook',64,'node',20.0492),('facilisi',1,'node',1),('facilisi',2,'node',1),('facilisi',3,'node',1),('facilisi',4,'node',1),('facilisi',5,'node',1),('facilisi',6,'node',1),('facilisi',7,'node',1),('facilisi',8,'node',1),('facilisi',14,'node',1),('facilisi',16,'node',27),('facilisi',17,'node',1),('facilisi',64,'node',1),('facilisis',10,'node',1),('facilisis',11,'node',1),('facilisis',15,'node',1),('facilisis',22,'node',1),('facilisis',23,'node',1),('facilisis',24,'node',1),('facilisis',25,'node',1),('facilisis',26,'node',1),('facilisis',27,'node',1),('facilisis',28,'node',1),('facilisis',29,'node',1),('facilisis',30,'node',1),('facilisis',43,'node',1),('facilisis',46,'node',1),('facilisis',47,'node',1),('facilisis',48,'node',1),('facilisis',49,'node',1),('facilisis',50,'node',1),('facilisis',51,'node',1),('facilisis',52,'node',1),('facilisis',54,'node',1),('facilisis',55,'node',1),('facilisis',56,'node',1),('facilisis',60,'node',1),('facilisis',65,'node',1),('fames',15,'node',1),('fames',57,'node',6),('fans',61,'node',1),('faucibus',11,'node',2),('faucibus',15,'node',1),('faucibus',21,'node',26),('faucibus',26,'node',2),('faucibus',29,'node',2),('faucibus',57,'node',6),('feeding',5,'node',1),('feeding',6,'node',1),('feeding',7,'node',1),('feeding',8,'node',1),('feeding',14,'node',1),('feeding',16,'node',1),('feeding',17,'node',1),('feeding',64,'node',1),('felis',15,'node',1),('felis',30,'node',1),('felis',38,'node',1),('felis',39,'node',1),('felis',40,'node',1),('felis',42,'node',1),('felis',54,'node',1),('felis',55,'node',1),('felis',57,'node',6),('felis',64,'node',0.830633),('fermentum',12,'node',26),('fermentum',23,'node',1),('fermentum',24,'node',1),('fermentum',25,'node',1),('fermentum',26,'node',1),('fermentum',27,'node',1),('fermentum',28,'node',1),('fermentum',29,'node',1),('fermentum',30,'node',1),('fermentum',43,'node',1),('fermentum',46,'node',1),('fermentum',47,'node',1),('fermentum',48,'node',1),('fermentum',49,'node',1),('fermentum',50,'node',1),('fermentum',51,'node',1),('fermentum',52,'node',1),('fermentum',54,'node',1),('fermentum',55,'node',1),('fermentum',59,'node',1),('fermentum',64,'node',0.816452),('feugiat',9,'node',1),('feugiat',11,'node',1),('feugiat',15,'node',1),('feugiat',42,'node',1),('feugiat',63,'node',1),('feugiat',66,'node',1),('finances',5,'node',1),('finances',6,'node',1),('finances',7,'node',1),('finances',8,'node',1),('finances',14,'node',1),('finances',16,'node',1),('finances',17,'node',1),('finances',64,'node',1),('find',71,'node',1),('finibus',58,'node',1),('finibus',68,'node',1),('finibus',69,'node',1),('first',61,'node',26),('first',62,'node',1),('fit',22,'node',26),('for',2,'node',26),('for',3,'node',26),('for',5,'node',1),('for',6,'node',1),('for',7,'node',1),('for',8,'node',1),('for',14,'node',1),('for',16,'node',1),('for',17,'node',1),('for',64,'node',41.3267),('for',65,'node',52),('for',71,'node',3),('foundation',49,'node',11),('foundation',61,'node',37),('fringilla',9,'node',1),('fringilla',10,'node',1),('fringilla',24,'node',1),('fringilla',56,'node',2),('fringilla',63,'node',1),('fringilla',64,'node',1.68477),('fringilla',66,'node',1),('from',61,'node',1),('fugit',1,'node',0.899454),('fugit',2,'node',0.896076),('fugit',3,'node',0.896076),('fugit',4,'node',0.896076),('fugit',5,'node',0.899454),('fugit',6,'node',0.899454),('fugit',7,'node',0.896076),('fugit',8,'node',0.892724),('fugit',14,'node',0.899454),('fugit',16,'node',0.899454),('fugit',17,'node',0.899454),('fugit',64,'node',0.896076),('fun',61,'node',1),('fundraising',61,'node',1),('fundraising',64,'node',0.76431),('fusce',9,'node',1),('fusce',11,'node',1),('fusce',15,'node',1),('fusce',20,'node',26),('fusce',28,'node',1),('fusce',30,'node',26),('fusce',37,'node',52),('fusce',39,'node',1),('fusce',54,'node',26),('fusce',55,'node',26),('give',10,'node',26),('good',64,'node',20.4598),('graphicriver',34,'node',37),('gravida',9,'node',1),('gravida',26,'node',1),('gravida',41,'node',1),('gravida',42,'node',1),('gravida',65,'node',2),('great',64,'node',0.697623),('habitant',15,'node',1),('habitant',17,'node',26),('habitant',38,'node',52),('habitant',48,'node',26),('habitasse',10,'node',1),('habitasse',11,'node',1),('habitasse',15,'node',1),('habitasse',42,'node',1),('hac',10,'node',1),('hac',11,'node',1),('hac',15,'node',1),('hac',42,'node',1),('has',64,'node',0.7017),('heading',1,'node',56.2358),('heading',2,'node',56.0186),('heading',3,'node',56.0186),('heading',4,'node',56.0186),('heading',5,'node',56.2358),('heading',6,'node',56.2358),('heading',7,'node',56.1312),('heading',8,'node',55.8031),('heading',14,'node',56.0275),('heading',16,'node',56.2358),('heading',17,'node',56.2358),('heading',64,'node',55.9149),('health',18,'node',11),('health',19,'node',11),('heavyladybug230',61,'node',1),('help',13,'node',26),('help',61,'node',26),('help',66,'node',52),('help',68,'node',26),('helpful',61,'node',1),('hendrerit',1,'node',2),('hendrerit',2,'node',2),('hendrerit',3,'node',2),('hendrerit',4,'node',2),('hendrerit',5,'node',2),('hendrerit',6,'node',2),('hendrerit',7,'node',2),('hendrerit',8,'node',2),('hendrerit',9,'node',1),('hendrerit',10,'node',1),('hendrerit',14,'node',2),('hendrerit',16,'node',2),('hendrerit',17,'node',3.67646),('hendrerit',24,'node',1),('hendrerit',27,'node',1),('hendrerit',28,'node',1),('hendrerit',41,'node',1),('hendrerit',64,'node',2),('hermio',57,'node',26),('hermio',61,'node',37),('hiv',5,'node',1),('hiv',6,'node',1),('hiv',7,'node',1),('hiv',8,'node',1),('hiv',14,'node',1),('hiv',16,'node',1),('hiv',17,'node',1),('hiv',64,'node',1),('home',71,'node',11),('hope',5,'node',1),('hope',6,'node',1),('hope',7,'node',1),('hope',8,'node',1),('hope',14,'node',1),('hope',16,'node',1),('hope',17,'node',1),('hope',64,'node',1),('how',3,'node',26),('how',61,'node',26),('hymenaeos',27,'node',1),('iaculis',9,'node',3),('iaculis',10,'node',1),('iaculis',15,'node',2),('iaculis',22,'node',1),('iaculis',26,'node',1),('iaculis',30,'node',2),('iaculis',54,'node',2),('iaculis',55,'node',2),('iaculis',56,'node',2),('iaculis',57,'node',6),('iaculis',59,'node',1),('iaculis',60,'node',1),('iaculis',65,'node',1),('iaculis',66,'node',1),('ideas',2,'node',26),('illo',1,'node',3.6769),('illo',2,'node',3.66692),('illo',3,'node',3.66692),('illo',4,'node',3.66692),('illo',5,'node',3.6769),('illo',6,'node',3.6769),('illo',7,'node',3.67331),('illo',8,'node',3.65702),('illo',14,'node',3.6769),('illo',16,'node',3.6769),('illo',17,'node',3.6769),('illo',64,'node',3.66336),('imperdiet',9,'node',1),('imperdiet',10,'node',1),('imperdiet',40,'node',1),('imperdiet',58,'node',1),('imperdiet',59,'node',1),('imperdiet',65,'node',1),('imperdiet',68,'node',1),('imperdiet',69,'node',1),('inceptos',27,'node',1),('integer',23,'node',1),('integer',25,'node',1),('integer',28,'node',1),('integer',43,'node',1),('integer',46,'node',1),('integer',47,'node',1),('integer',48,'node',1),('integer',49,'node',1),('integer',50,'node',1),('integer',51,'node',1),('integer',52,'node',1),('integer',56,'node',1),('interdum',10,'node',1),('interdum',39,'node',1),('interdum',57,'node',6),('interdum',58,'node',1),('interdum',66,'node',1),('interdum',68,'node',1),('interdum',69,'node',1),('interesting',61,'node',1),('international',13,'node',11),('international',31,'node',11),('international',61,'node',11),('inventore',1,'node',3.6769),('inventore',2,'node',3.66692),('inventore',3,'node',3.66692),('inventore',4,'node',3.66692),('inventore',5,'node',3.6769),('inventore',6,'node',3.6769),('inventore',7,'node',3.67331),('inventore',8,'node',3.65702),('inventore',14,'node',3.6769),('inventore',16,'node',3.6769),('inventore',17,'node',3.6769),('inventore',64,'node',3.66336),('ipsa',1,'node',3.6769),('ipsa',2,'node',3.66692),('ipsa',3,'node',3.66692),('ipsa',4,'node',3.66692),('ipsa',5,'node',3.6769),('ipsa',6,'node',3.6769),('ipsa',7,'node',3.67331),('ipsa',8,'node',3.65702),('ipsa',14,'node',3.6769),('ipsa',16,'node',3.6769),('ipsa',17,'node',3.6769),('ipsa',64,'node',3.66336),('ipsam',1,'node',0.920273),('ipsam',2,'node',0.916736),('ipsam',3,'node',0.916736),('ipsam',4,'node',0.916736),('ipsam',5,'node',0.920273),('ipsam',6,'node',0.920273),('ipsam',7,'node',0.916736),('ipsam',8,'node',0.913226),('ipsam',14,'node',0.920273),('ipsam',16,'node',0.920273),('ipsam',17,'node',0.920273),('ipsam',64,'node',0.916736),('ipsum',1,'node',0.892724),('ipsum',2,'node',0.889397),('ipsum',3,'node',0.889397),('ipsum',4,'node',0.889397),('ipsum',5,'node',0.892724),('ipsum',6,'node',0.892724),('ipsum',7,'node',26.8894),('ipsum',8,'node',0.886095),('ipsum',9,'node',1),('ipsum',10,'node',3),('ipsum',11,'node',2),('ipsum',12,'node',1),('ipsum',13,'node',1),('ipsum',14,'node',0.892724),('ipsum',16,'node',0.892724),('ipsum',17,'node',0.892724),('ipsum',18,'node',1),('ipsum',19,'node',27),('ipsum',20,'node',1),('ipsum',21,'node',27),('ipsum',26,'node',1),('ipsum',30,'node',1),('ipsum',31,'node',1),('ipsum',40,'node',52),('ipsum',41,'node',1),('ipsum',42,'node',2),('ipsum',47,'node',26),('ipsum',54,'node',1),('ipsum',55,'node',1),('ipsum',57,'node',12),('ipsum',58,'node',1),('ipsum',61,'node',2),('ipsum',64,'node',0.889397),('ipsum',68,'node',1),('ipsum',69,'node',1),('iste',1,'node',4.57298),('iste',2,'node',4.55964),('iste',3,'node',4.55964),('iste',4,'node',4.55964),('iste',5,'node',4.57298),('iste',6,'node',4.57298),('iste',7,'node',4.56603),('iste',8,'node',4.54641),('iste',14,'node',4.57298),('iste',16,'node',4.57298),('iste',17,'node',4.57298),('iste',64,'node',4.55608),('jamie',61,'node',1),('jamie',64,'node',1.51059),('jobs',58,'node',26),('justo',9,'node',1),('justo',10,'node',2),('justo',11,'node',2),('justo',24,'node',27),('justo',42,'node',1),('justo',63,'node',1),('justo',65,'node',1),('justo',66,'node',1),('kinds',64,'node',19.3776),('laborum',1,'node',2.68052),('laborum',2,'node',2.67051),('laborum',3,'node',2.67051),('laborum',4,'node',2.67051),('laborum',5,'node',2.68052),('laborum',6,'node',2.68052),('laborum',7,'node',2.6769),('laborum',8,'node',2.66058),('laborum',14,'node',2.68052),('laborum',16,'node',2.68052),('laborum',17,'node',2.68052),('laborum',64,'node',2.66692),('lacinia',17,'node',1.67039),('lacinia',23,'node',1),('lacinia',37,'node',1),('lacinia',56,'node',1),('lacus',9,'node',1),('lacus',11,'node',4),('lacus',12,'node',1),('lacus',13,'node',1),('lacus',15,'node',1),('lacus',18,'node',1),('lacus',19,'node',1),('lacus',20,'node',1),('lacus',21,'node',1),('lacus',23,'node',1),('lacus',26,'node',2),('lacus',27,'node',1),('lacus',28,'node',1),('lacus',31,'node',1),('lacus',40,'node',1),('lacus',41,'node',1),('lacus',43,'node',1),('lacus',46,'node',1),('lacus',47,'node',1),('lacus',48,'node',1),('lacus',49,'node',1),('lacus',50,'node',27),('lacus',51,'node',1),('lacus',52,'node',1),('lacus',56,'node',1),('lacus',61,'node',1),('lands',4,'node',26),('laoreet',9,'node',2),('laoreet',10,'node',1),('laoreet',24,'node',1),('laoreet',39,'node',1),('laoreet',40,'node',1),('laoreet',42,'node',1),('laoreet',65,'node',1),('last',62,'node',1),('lasting',1,'node',1),('lasting',2,'node',1),('lasting',3,'node',1),('lasting',4,'node',1),('laudantium',1,'node',3.6769),('laudantium',2,'node',3.66692),('laudantium',3,'node',3.66692),('laudantium',4,'node',3.66692),('laudantium',5,'node',3.6769),('laudantium',6,'node',3.6769),('laudantium',7,'node',3.67331),('laudantium',8,'node',3.65702),('laudantium',14,'node',3.6769),('laudantium',16,'node',3.6769),('laudantium',17,'node',3.6769),('laudantium',64,'node',3.66336),('least',61,'node',1),('lectus',1,'node',1),('lectus',2,'node',1),('lectus',3,'node',1),('lectus',4,'node',1),('lectus',5,'node',1),('lectus',6,'node',1),('lectus',7,'node',1),('lectus',8,'node',1),('lectus',11,'node',2),('lectus',14,'node',1),('lectus',16,'node',1),('lectus',17,'node',1),('lectus',25,'node',1),('lectus',26,'node',1),('lectus',51,'node',26),('lectus',63,'node',2),('lectus',64,'node',2.71527),('lectus',66,'node',1),('leo',9,'node',2),('leo',10,'node',3),('leo',11,'node',1),('leo',22,'node',1),('leo',26,'node',1),('leo',29,'node',1),('leo',39,'node',2),('leo',40,'node',4),('leo',42,'node',2),('leo',56,'node',1),('leo',60,'node',1),('leo',64,'node',0.824901),('leo',65,'node',1),('leo',66,'node',1),('letter',61,'node',26),('libero',1,'node',2),('libero',2,'node',2),('libero',3,'node',2),('libero',4,'node',2),('libero',5,'node',2),('libero',6,'node',2),('libero',7,'node',2),('libero',8,'node',2),('libero',10,'node',2),('libero',11,'node',3),('libero',12,'node',26),('libero',14,'node',2),('libero',15,'node',2),('libero',16,'node',2),('libero',17,'node',2),('libero',25,'node',1),('libero',26,'node',1),('libero',27,'node',26),('libero',28,'node',1),('libero',30,'node',1),('libero',37,'node',1),('libero',39,'node',2),('libero',43,'node',1),('libero',46,'node',1),('libero',47,'node',1),('libero',48,'node',1),('libero',49,'node',1),('libero',50,'node',1),('libero',51,'node',1),('libero',52,'node',1),('libero',54,'node',1),('libero',55,'node',1),('libero',56,'node',1),('libero',59,'node',2),('libero',64,'node',2),('life',4,'node',26),('life',65,'node',52),('life',66,'node',52),('ligula',1,'node',2),('ligula',2,'node',2),('ligula',3,'node',2),('ligula',4,'node',2),('ligula',5,'node',2),('ligula',6,'node',2),('ligula',7,'node',2),('ligula',8,'node',2),('ligula',9,'node',4),('ligula',10,'node',2),('ligula',11,'node',1),('ligula',14,'node',28),('ligula',15,'node',2),('ligula',16,'node',2),('ligula',17,'node',2),('ligula',22,'node',2),('ligula',23,'node',1),('ligula',24,'node',1),('ligula',25,'node',1),('ligula',26,'node',1),('ligula',27,'node',1),('ligula',28,'node',2),('ligula',29,'node',4),('ligula',30,'node',1),('ligula',37,'node',1),('ligula',40,'node',1),('ligula',42,'node',1),('ligula',43,'node',1),('ligula',46,'node',1),('ligula',47,'node',1),('ligula',48,'node',1),('ligula',49,'node',1),('ligula',50,'node',1),('ligula',51,'node',1),('ligula',52,'node',1),('ligula',54,'node',1),('ligula',55,'node',1),('ligula',59,'node',1),('ligula',60,'node',2),('ligula',64,'node',2.82776),('litora',27,'node',1),('lobortis',1,'node',1),('lobortis',2,'node',1),('lobortis',3,'node',1),('lobortis',4,'node',1),('lobortis',5,'node',1),('lobortis',6,'node',1),('lobortis',7,'node',1),('lobortis',8,'node',1),('lobortis',9,'node',2),('lobortis',10,'node',1),('lobortis',14,'node',1),('lobortis',16,'node',1),('lobortis',17,'node',1),('lobortis',23,'node',1),('lobortis',27,'node',1),('lobortis',64,'node',1),('log',8,'node',1.85971),('log',61,'node',6.6),('log',64,'node',4.75433),('logo',52,'node',11),('looking',71,'node',2),('lorem',9,'node',1),('lorem',11,'node',1),('lorem',23,'node',1),('lorem',24,'node',2),('lorem',25,'node',1),('lorem',26,'node',1),('lorem',27,'node',1),('lorem',28,'node',1),('lorem',29,'node',1),('lorem',30,'node',1),('lorem',42,'node',1),('lorem',43,'node',1),('lorem',46,'node',1),('lorem',47,'node',1),('lorem',48,'node',1),('lorem',49,'node',1),('lorem',50,'node',1),('lorem',51,'node',1),('lorem',52,'node',1),('lorem',54,'node',1),('lorem',55,'node',1),('lorem',56,'node',1),('lots',64,'node',0.699655),('luctus',11,'node',2),('luctus',24,'node',1),('luctus',26,'node',1),('luctus',56,'node',1),('maecenas',1,'node',1),('maecenas',2,'node',1),('maecenas',3,'node',1),('maecenas',4,'node',1),('maecenas',5,'node',1),('maecenas',6,'node',1),('maecenas',7,'node',1),('maecenas',8,'node',1),('maecenas',14,'node',1),('maecenas',15,'node',2),('maecenas',16,'node',1),('maecenas',17,'node',1),('maecenas',38,'node',1),('maecenas',59,'node',1),('maecenas',64,'node',1),('magna',1,'node',1),('magna',2,'node',1),('magna',3,'node',1),('magna',4,'node',1),('magna',5,'node',1),('magna',6,'node',1),('magna',7,'node',1),('magna',8,'node',1),('magna',10,'node',2),('magna',11,'node',1),('magna',14,'node',1),('magna',16,'node',1),('magna',17,'node',1),('magna',26,'node',1),('magna',37,'node',2),('magna',56,'node',1),('magna',58,'node',1),('magna',59,'node',1),('magna',64,'node',1),('magna',68,'node',1),('magna',69,'node',1),('magnis',65,'node',1),('make',1,'node',1),('make',2,'node',1),('make',3,'node',1),('make',4,'node',1),('make',71,'node',1),('malesuada',10,'node',2),('malesuada',15,'node',3),('malesuada',17,'node',1.66739),('malesuada',23,'node',4),('malesuada',24,'node',4),('malesuada',25,'node',4),('malesuada',26,'node',4),('malesuada',27,'node',4),('malesuada',28,'node',5),('malesuada',29,'node',4),('malesuada',30,'node',4),('malesuada',38,'node',1),('malesuada',39,'node',1),('malesuada',40,'node',1),('malesuada',43,'node',5),('malesuada',46,'node',5),('malesuada',47,'node',5),('malesuada',48,'node',5),('malesuada',49,'node',5),('malesuada',50,'node',5),('malesuada',51,'node',5),('malesuada',52,'node',5),('malesuada',54,'node',4),('malesuada',55,'node',4),('malesuada',56,'node',1),('malesuada',57,'node',6),('malesuada',58,'node',2),('malesuada',64,'node',26),('malesuada',65,'node',1),('malesuada',68,'node',2),('malesuada',69,'node',2),('massa',6,'node',26),('massa',9,'node',3),('massa',10,'node',1),('massa',23,'node',1),('massa',24,'node',1),('massa',25,'node',1),('massa',26,'node',1),('massa',27,'node',1),('massa',28,'node',1),('massa',29,'node',1),('massa',30,'node',1),('massa',43,'node',1),('massa',46,'node',1),('massa',47,'node',1),('massa',48,'node',1),('massa',49,'node',1),('massa',50,'node',1),('massa',51,'node',1),('massa',52,'node',1),('massa',54,'node',1),('massa',55,'node',1),('massa',56,'node',1),('massa',65,'node',1),('massa',66,'node',1),('mattis',17,'node',1.65559),('mattis',56,'node',1),('mauris',9,'node',1),('mauris',10,'node',1),('mauris',11,'node',3),('mauris',12,'node',26),('mauris',25,'node',1),('mauris',28,'node',1),('mauris',29,'node',1),('mauris',37,'node',1),('mauris',52,'node',26),('mauris',56,'node',1),('mauris',57,'node',6),('mauris',65,'node',1),('maximus',56,'node',1),('maximus',65,'node',1),('maximus',66,'node',1),('may',71,'node',1),('media',64,'node',20.5273),('mega',70,'node',26),('menus',70,'node',26),('message',62,'node',1),('metus',1,'node',1),('metus',2,'node',1),('metus',3,'node',1),('metus',4,'node',1),('metus',5,'node',27),('metus',6,'node',1),('metus',7,'node',1),('metus',8,'node',1),('metus',9,'node',1),('metus',11,'node',2),('metus',14,'node',1),('metus',15,'node',3),('metus',16,'node',1),('metus',17,'node',1),('metus',28,'node',1),('metus',41,'node',52),('metus',56,'node',2),('metus',57,'node',6),('metus',59,'node',1),('metus',64,'node',1),('metus',65,'node',2),('metus',66,'node',1),('mission',1,'node',26),('molestie',9,'node',1),('molestie',11,'node',1),('molestie',12,'node',1),('molestie',13,'node',1),('molestie',18,'node',1),('molestie',19,'node',1),('molestie',20,'node',1),('molestie',21,'node',1),('molestie',28,'node',1),('molestie',30,'node',1),('molestie',31,'node',1),('molestie',37,'node',1),('molestie',41,'node',1),('molestie',54,'node',1),('molestie',55,'node',1),('molestie',61,'node',1),('molestie',64,'node',0.860547),('mollis',11,'node',3),('mollis',15,'node',1),('mollis',40,'node',1),('mollis',41,'node',1),('mollis',42,'node',2),('mollis',49,'node',26),('mollis',50,'node',26),('mollis',65,'node',1),('mollis',66,'node',1),('mollit',1,'node',2.69156),('mollit',2,'node',2.68146),('mollit',3,'node',2.68146),('mollit',4,'node',2.68146),('mollit',5,'node',2.69156),('mollit',6,'node',2.69156),('mollit',7,'node',2.68785),('mollit',8,'node',2.67145),('mollit',14,'node',2.69156),('mollit',16,'node',2.69156),('mollit',17,'node',2.69156),('mollit',64,'node',2.67779),('montes',65,'node',1),('monthly',10,'node',26),('morbi',1,'node',1),('morbi',2,'node',1),('morbi',3,'node',1),('morbi',4,'node',1),('morbi',5,'node',1),('morbi',6,'node',1),('morbi',7,'node',1),('morbi',8,'node',1),('morbi',14,'node',1),('morbi',15,'node',1),('morbi',16,'node',1),('morbi',17,'node',27),('morbi',30,'node',1),('morbi',38,'node',52),('morbi',48,'node',26),('morbi',49,'node',26),('morbi',54,'node',1),('morbi',55,'node',1),('morbi',56,'node',1),('morbi',64,'node',1.86995),('more',1,'node',1),('more',2,'node',1),('more',3,'node',1),('more',4,'node',1),('mostly',5,'node',1),('mostly',6,'node',1),('mostly',7,'node',1),('mostly',8,'node',1),('mostly',14,'node',1),('mostly',16,'node',1),('mostly',17,'node',1),('mostly',64,'node',1),('mus',65,'node',1),('nam',9,'node',1),('nam',10,'node',1),('nam',12,'node',2),('nam',13,'node',2),('nam',15,'node',1),('nam',17,'node',1.66441),('nam',18,'node',2),('nam',19,'node',2),('nam',20,'node',2),('nam',21,'node',2),('nam',22,'node',1),('nam',24,'node',1),('nam',31,'node',2),('nam',39,'node',1),('nam',41,'node',1),('nam',60,'node',1),('nam',61,'node',2),('nam',65,'node',1),('name',62,'node',2),('nascetur',65,'node',1),('natoque',23,'node',1),('natoque',24,'node',1),('natoque',25,'node',1),('natoque',26,'node',1),('natoque',27,'node',1),('natoque',28,'node',1),('natoque',29,'node',1),('natoque',30,'node',1),('natoque',43,'node',1),('natoque',46,'node',1),('natoque',47,'node',1),('natoque',48,'node',1),('natoque',49,'node',1),('natoque',50,'node',1),('natoque',51,'node',1),('natoque',52,'node',1),('natoque',54,'node',1),('natoque',55,'node',1),('natoque',56,'node',1),('natoque',65,'node',1),('nature',1,'node',1),('nature',2,'node',1),('nature',3,'node',1),('nature',4,'node',1),('natus',1,'node',4.57298),('natus',2,'node',4.55964),('natus',3,'node',4.55964),('natus',4,'node',4.55964),('natus',5,'node',4.57298),('natus',6,'node',4.57298),('natus',7,'node',4.56603),('natus',8,'node',4.54641),('natus',14,'node',4.57298),('natus',16,'node',4.57298),('natus',17,'node',4.57298),('natus',64,'node',4.55608),('nec',1,'node',1),('nec',2,'node',1),('nec',3,'node',1),('nec',4,'node',1),('nec',5,'node',1),('nec',6,'node',1),('nec',7,'node',1),('nec',8,'node',1),('nec',9,'node',1),('nec',10,'node',4),('nec',11,'node',4),('nec',14,'node',1),('nec',15,'node',5),('nec',16,'node',1),('nec',17,'node',2.65559),('nec',22,'node',1),('nec',24,'node',1),('nec',30,'node',1),('nec',38,'node',2),('nec',39,'node',1),('nec',41,'node',1),('nec',54,'node',1),('nec',55,'node',1),('nec',56,'node',1),('nec',57,'node',6),('nec',60,'node',1),('nec',64,'node',1.82206),('nec',65,'node',2),('need',64,'node',0.689612),('nemo',1,'node',0.927431),('nemo',2,'node',0.923838),('nemo',3,'node',0.923838),('nemo',4,'node',0.923838),('nemo',5,'node',0.927431),('nemo',6,'node',0.927431),('nemo',7,'node',0.923838),('nemo',8,'node',0.920273),('nemo',14,'node',0.927431),('nemo',16,'node',0.927431),('nemo',17,'node',0.927431),('nemo',64,'node',0.920273),('neque',11,'node',2),('neque',15,'node',2),('neque',26,'node',26),('neque',28,'node',2),('neque',29,'node',26),('neque',30,'node',1),('neque',38,'node',1),('neque',41,'node',1),('neque',43,'node',1),('neque',46,'node',1),('neque',47,'node',1),('neque',48,'node',1),('neque',49,'node',1),('neque',50,'node',1),('neque',51,'node',1),('neque',52,'node',1),('neque',54,'node',1),('neque',55,'node',1),('neque',56,'node',3),('neque',58,'node',1),('neque',66,'node',1),('neque',68,'node',1),('neque',69,'node',1),('netus',15,'node',1),('new',61,'node',1),('new',64,'node',0.766757),('news',14,'node',0.873132),('news',15,'node',1),('news',16,'node',0.873132),('news',17,'node',0.822065),('news',64,'node',0.802752),('ngos',13,'node',11),('ngos',31,'node',11),('ngos',61,'node',11),('nibh',1,'node',1),('nibh',2,'node',1),('nibh',3,'node',1),('nibh',4,'node',1),('nibh',5,'node',1),('nibh',6,'node',1),('nibh',7,'node',1),('nibh',8,'node',1),('nibh',10,'node',2),('nibh',11,'node',1),('nibh',12,'node',1),('nibh',13,'node',1),('nibh',14,'node',1),('nibh',15,'node',26),('nibh',16,'node',1),('nibh',17,'node',2.66739),('nibh',18,'node',1),('nibh',19,'node',1),('nibh',20,'node',1),('nibh',21,'node',1),('nibh',25,'node',1),('nibh',31,'node',1),('nibh',37,'node',1),('nibh',39,'node',1),('nibh',61,'node',1),('nibh',64,'node',1),('nisi',9,'node',2),('nisi',10,'node',2),('nisi',11,'node',3),('nisi',15,'node',1),('nisi',17,'node',1.67646),('nisi',23,'node',1),('nisi',26,'node',1),('nisi',28,'node',1),('nisi',29,'node',1),('nisi',30,'node',1),('nisi',41,'node',1),('nisi',43,'node',27),('nisi',46,'node',27),('nisi',47,'node',1),('nisi',48,'node',1),('nisi',49,'node',1),('nisi',50,'node',1),('nisi',51,'node',1),('nisi',52,'node',1),('nisi',54,'node',1),('nisi',55,'node',1),('nisi',56,'node',1),('nisi',59,'node',2),('nisi',64,'node',0.810915),('nisl',9,'node',1),('nisl',10,'node',1),('nisl',11,'node',1),('nisl',17,'node',1.6527),('nisl',27,'node',1),('nisl',28,'node',27),('nisl',30,'node',1),('nisl',38,'node',1),('nisl',43,'node',1),('nisl',46,'node',1),('nisl',47,'node',1),('nisl',48,'node',1),('nisl',49,'node',1),('nisl',50,'node',1),('nisl',51,'node',1),('nisl',52,'node',1),('nisl',54,'node',1),('nisl',55,'node',1),('nisl',56,'node',1),('nisl',65,'node',1),('non',1,'node',3.71056),('non',2,'node',3.70031),('non',3,'node',3.70031),('non',4,'node',3.70031),('non',5,'node',3.71056),('non',6,'node',3.71056),('non',7,'node',3.70669),('non',8,'node',3.69014),('non',10,'node',3),('non',14,'node',3.71056),('non',16,'node',3.71056),('non',17,'node',3.71056),('non',23,'node',1),('non',27,'node',1),('non',30,'node',2),('non',39,'node',1),('non',40,'node',1),('non',54,'node',2),('non',55,'node',2),('non',56,'node',1),('non',58,'node',1),('non',59,'node',1),('non',63,'node',1),('non',64,'node',5.38193),('non',66,'node',3),('non',68,'node',1),('non',69,'node',1),('nonprofit',2,'node',26),('nonprofit',3,'node',26),('nonprofit',64,'node',21.5035),('nonprofits',64,'node',38.3269),('nonummy',9,'node',1),('nonummy',15,'node',1),('nonummy',28,'node',1),('nostra',27,'node',1),('nulla',1,'node',2),('nulla',2,'node',2),('nulla',3,'node',2),('nulla',4,'node',2),('nulla',5,'node',2),('nulla',6,'node',2),('nulla',7,'node',2),('nulla',8,'node',2),('nulla',9,'node',3),('nulla',12,'node',1),('nulla',13,'node',1),('nulla',14,'node',2),('nulla',15,'node',1),('nulla',16,'node',28),('nulla',17,'node',2),('nulla',18,'node',1),('nulla',19,'node',1),('nulla',20,'node',1),('nulla',21,'node',1),('nulla',25,'node',26),('nulla',27,'node',1),('nulla',30,'node',2),('nulla',31,'node',1),('nulla',54,'node',2),('nulla',55,'node',2),('nulla',61,'node',1),('nulla',64,'node',2.83353),('nullam',1,'node',1),('nullam',2,'node',1),('nullam',3,'node',1),('nullam',4,'node',1),('nullam',5,'node',1),('nullam',6,'node',1),('nullam',7,'node',1),('nullam',8,'node',1),('nullam',9,'node',2),('nullam',10,'node',3),('nullam',14,'node',1),('nullam',16,'node',1),('nullam',17,'node',1),('nullam',23,'node',2),('nullam',24,'node',1),('nullam',25,'node',1),('nullam',26,'node',2),('nullam',27,'node',1),('nullam',28,'node',2),('nullam',29,'node',1),('nullam',30,'node',1),('nullam',37,'node',1),('nullam',43,'node',1),('nullam',46,'node',1),('nullam',47,'node',1),('nullam',48,'node',1),('nullam',49,'node',1),('nullam',50,'node',1),('nullam',51,'node',1),('nullam',52,'node',1),('nullam',54,'node',1),('nullam',55,'node',1),('nullam',56,'node',1),('nullam',64,'node',1),('nullam',65,'node',1),('nunc',1,'node',2),('nunc',2,'node',2),('nunc',3,'node',2),('nunc',4,'node',2),('nunc',5,'node',2),('nunc',6,'node',2),('nunc',7,'node',2),('nunc',8,'node',2),('nunc',9,'node',2),('nunc',10,'node',2),('nunc',11,'node',3),('nunc',12,'node',1),('nunc',13,'node',1),('nunc',14,'node',2),('nunc',15,'node',5),('nunc',16,'node',28),('nunc',17,'node',2),('nunc',18,'node',1),('nunc',19,'node',1),('nunc',20,'node',1),('nunc',21,'node',1),('nunc',22,'node',1),('nunc',24,'node',1),('nunc',26,'node',3),('nunc',28,'node',2),('nunc',31,'node',1),('nunc',37,'node',1),('nunc',38,'node',2),('nunc',39,'node',1),('nunc',40,'node',2),('nunc',41,'node',1),('nunc',42,'node',53),('nunc',58,'node',1),('nunc',60,'node',1),('nunc',61,'node',1),('nunc',64,'node',2.8249),('nunc',68,'node',1),('nunc',69,'node',1),('occaecat',1,'node',2.71837),('occaecat',2,'node',2.70806),('occaecat',3,'node',2.70806),('occaecat',4,'node',2.70806),('occaecat',5,'node',2.71837),('occaecat',6,'node',2.71837),('occaecat',7,'node',2.71445),('occaecat',8,'node',2.69783),('occaecat',14,'node',28.7106),('occaecat',16,'node',2.71837),('occaecat',17,'node',2.71837),('occaecat',64,'node',2.70417),('odio',9,'node',2),('odio',15,'node',2),('odio',22,'node',1),('odio',25,'node',1),('odio',42,'node',1),('odio',56,'node',2),('odio',58,'node',1),('odio',60,'node',2),('odio',68,'node',1),('odio',69,'node',1),('odit',1,'node',0.902857),('odit',2,'node',0.899454),('odit',3,'node',0.899454),('odit',4,'node',0.899454),('odit',5,'node',0.902857),('odit',6,'node',0.902857),('odit',7,'node',0.899454),('odit',8,'node',0.896076),('odit',14,'node',0.902857),('odit',16,'node',0.902857),('odit',17,'node',0.902857),('odit',64,'node',0.899454),('officia',1,'node',2.69907),('officia',2,'node',2.68891),('officia',3,'node',2.68891),('officia',4,'node',2.68891),('officia',5,'node',2.69907),('officia',6,'node',2.69907),('officia',7,'node',2.6953),('officia',8,'node',2.67883),('officia',14,'node',2.69907),('officia',16,'node',2.69907),('officia',17,'node',2.69907),('officia',64,'node',2.68517),('omnis',1,'node',4.57298),('omnis',2,'node',4.55964),('omnis',3,'node',4.55964),('omnis',4,'node',4.55964),('omnis',5,'node',4.57298),('omnis',6,'node',4.57298),('omnis',7,'node',4.56603),('omnis',8,'node',4.54641),('omnis',14,'node',4.57298),('omnis',16,'node',4.57298),('omnis',17,'node',4.57298),('omnis',64,'node',4.55608),('once',61,'node',1),('online',61,'node',26),('opportunities',64,'node',0.693594),('orci',11,'node',6),('orci',15,'node',1),('orci',26,'node',3),('orci',27,'node',1),('orci',51,'node',26),('orci',56,'node',2),('orci',65,'node',1),('organizations',69,'node',26),('ornare',9,'node',1),('ornare',23,'node',1),('ornare',66,'node',1),('orphans',5,'node',1),('orphans',6,'node',1),('orphans',7,'node',1),('orphans',8,'node',1),('orphans',14,'node',1),('orphans',16,'node',1),('orphans',17,'node',1),('orphans',64,'node',1),('other',12,'node',1),('other',13,'node',1),('other',18,'node',1),('other',19,'node',1),('other',20,'node',1),('other',21,'node',1),('other',22,'node',1),('other',31,'node',1),('other',37,'node',1),('other',38,'node',1),('other',39,'node',1),('other',40,'node',1),('other',41,'node',1),('other',42,'node',1),('other',61,'node',1),('other',65,'node',1),('other',66,'node',1),('our',8,'node',26),('page',61,'node',1),('page',71,'node',1),('parturient',65,'node',1),('pede',9,'node',1),('pede',10,'node',1),('pede',11,'node',1),('pede',12,'node',1),('pede',13,'node',1),('pede',15,'node',1),('pede',18,'node',1),('pede',19,'node',1),('pede',20,'node',1),('pede',21,'node',1),('pede',24,'node',1),('pede',31,'node',1),('pede',39,'node',1),('pede',40,'node',1),('pede',41,'node',1),('pede',61,'node',1),('pellentesque',1,'node',2),('pellentesque',2,'node',2),('pellentesque',3,'node',2),('pellentesque',4,'node',2),('pellentesque',5,'node',2),('pellentesque',6,'node',2),('pellentesque',7,'node',2),('pellentesque',8,'node',2),('pellentesque',9,'node',2),('pellentesque',10,'node',4),('pellentesque',11,'node',4),('pellentesque',14,'node',2),('pellentesque',15,'node',2),('pellentesque',16,'node',2),('pellentesque',17,'node',29.6857),('pellentesque',26,'node',27),('pellentesque',28,'node',1),('pellentesque',38,'node',53),('pellentesque',39,'node',1),('pellentesque',40,'node',1),('pellentesque',42,'node',1),('pellentesque',48,'node',26),('pellentesque',63,'node',1),('pellentesque',64,'node',2.85746),('pellentesque',65,'node',1),('pellentesque',66,'node',1),('penatibus',23,'node',1),('penatibus',24,'node',1),('penatibus',25,'node',1),('penatibus',26,'node',1),('penatibus',27,'node',1),('penatibus',28,'node',1),('penatibus',29,'node',1),('penatibus',30,'node',1),('penatibus',43,'node',1),('penatibus',46,'node',1),('penatibus',47,'node',1),('penatibus',48,'node',1),('penatibus',49,'node',1),('penatibus',50,'node',1),('penatibus',51,'node',1),('penatibus',52,'node',1),('penatibus',54,'node',1),('penatibus',55,'node',1),('penatibus',56,'node',1),('penatibus',65,'node',1),('per',27,'node',2),('per',61,'node',1),('permalink',8,'node',9.50024),('permalink',61,'node',33),('permalink',64,'node',24.4593),('perspiciatis',1,'node',4.57298),('perspiciatis',2,'node',4.55964),('perspiciatis',3,'node',4.55964),('perspiciatis',4,'node',4.55964),('perspiciatis',5,'node',4.57298),('perspiciatis',6,'node',4.57298),('perspiciatis',7,'node',4.56603),('perspiciatis',8,'node',4.54641),('perspiciatis',14,'node',4.57298),('perspiciatis',16,'node',4.57298),('perspiciatis',17,'node',4.57298),('perspiciatis',64,'node',4.55608),('pharetra',59,'node',1),('pharetra',63,'node',1),('pharetra',66,'node',1),('phasellus',9,'node',2),('phasellus',10,'node',5),('phasellus',11,'node',3),('phasellus',17,'node',1.68572),('phasellus',19,'node',26),('phasellus',22,'node',1),('phasellus',23,'node',2),('phasellus',24,'node',2),('phasellus',25,'node',2),('phasellus',26,'node',2),('phasellus',27,'node',2),('phasellus',28,'node',2),('phasellus',29,'node',3),('phasellus',30,'node',2),('phasellus',37,'node',2),('phasellus',39,'node',52),('phasellus',40,'node',52),('phasellus',41,'node',1),('phasellus',43,'node',2),('phasellus',46,'node',2),('phasellus',47,'node',28),('phasellus',48,'node',2),('phasellus',49,'node',2),('phasellus',50,'node',2),('phasellus',51,'node',2),('phasellus',52,'node',2),('phasellus',54,'node',2),('phasellus',55,'node',2),('phasellus',56,'node',3),('phasellus',60,'node',1),('phasellus',65,'node',1),('phasellus',66,'node',2),('phone',62,'node',1),('photo',64,'node',0.695602),('photodune',33,'node',37),('pinterest',64,'node',19.1476),('placerat',11,'node',2),('placerat',17,'node',1.67952),('placerat',25,'node',1),('placerat',26,'node',1),('placerat',37,'node',1),('placerat',39,'node',1),('placerat',66,'node',2),('platea',10,'node',1),('platea',11,'node',1),('platea',15,'node',1),('platea',42,'node',1),('please',71,'node',1),('porta',1,'node',1),('porta',2,'node',1),('porta',3,'node',1),('porta',4,'node',1),('porta',5,'node',1),('porta',6,'node',1),('porta',7,'node',1),('porta',8,'node',1),('porta',9,'node',2),('porta',11,'node',1),('porta',14,'node',1),('porta',16,'node',1),('porta',17,'node',2.67646),('porta',28,'node',1),('porta',37,'node',1),('porta',56,'node',1),('porta',61,'node',1),('porta',64,'node',1),('porta',66,'node',1),('porttitor',9,'node',2),('porttitor',11,'node',2),('porttitor',17,'node',1.68886),('porttitor',25,'node',26),('porttitor',26,'node',1),('porttitor',29,'node',1),('porttitor',30,'node',1),('porttitor',42,'node',1),('porttitor',54,'node',1),('porttitor',55,'node',1),('porttitor',58,'node',1),('porttitor',64,'node',0.869951),('porttitor',65,'node',1),('porttitor',68,'node',1),('porttitor',69,'node',1),('post',8,'node',0.839384),('post',61,'node',4),('post',62,'node',1),('post',64,'node',2.15631),('posts',64,'node',19.9743),('posuere',1,'node',1),('posuere',2,'node',1),('posuere',3,'node',1),('posuere',4,'node',1),('posuere',5,'node',1),('posuere',6,'node',1),('posuere',7,'node',1),('posuere',8,'node',1),('posuere',9,'node',2),('posuere',10,'node',3),('posuere',11,'node',3),('posuere',14,'node',1),('posuere',15,'node',1),('posuere',16,'node',1),('posuere',17,'node',1),('posuere',25,'node',1),('posuere',26,'node',1),('posuere',30,'node',1),('posuere',40,'node',1),('posuere',54,'node',1),('posuere',55,'node',1),('posuere',56,'node',1),('posuere',63,'node',1),('posuere',64,'node',1),('posuere',65,'node',2),('potenti',1,'node',1),('potenti',2,'node',1),('potenti',3,'node',1),('potenti',4,'node',1),('potenti',5,'node',1),('potenti',6,'node',1),('potenti',7,'node',1),('potenti',8,'node',1),('potenti',11,'node',1),('potenti',14,'node',1),('potenti',16,'node',1),('potenti',17,'node',1),('potenti',24,'node',1),('potenti',64,'node',1),('praesent',5,'node',26),('praesent',6,'node',26),('praesent',9,'node',3),('praesent',10,'node',1),('praesent',15,'node',1),('praesent',18,'node',26),('praesent',24,'node',1),('praesent',25,'node',26),('praesent',28,'node',1),('praesent',29,'node',26),('praesent',30,'node',1),('praesent',43,'node',1),('praesent',46,'node',1),('praesent',47,'node',1),('praesent',48,'node',1),('praesent',49,'node',1),('praesent',50,'node',1),('praesent',51,'node',1),('praesent',52,'node',1),('praesent',54,'node',1),('praesent',55,'node',1),('praesent',56,'node',1),('praesent',64,'node',0.813674),('praesent',65,'node',1),('praesent',66,'node',2),('pretium',9,'node',1),('pretium',11,'node',1),('pretium',15,'node',2),('pretium',30,'node',1),('pretium',38,'node',1),('pretium',42,'node',1),('pretium',54,'node',1),('pretium',55,'node',1),('pretium',56,'node',2),('pretium',64,'node',0.819249),('pretium',65,'node',1),('pretium',66,'node',1),('primis',7,'node',26),('primis',11,'node',2),('primis',26,'node',1),('primis',57,'node',6),('proident',1,'node',2.71056),('proident',2,'node',2.70031),('proident',3,'node',2.70031),('proident',4,'node',2.70031),('proident',5,'node',2.71056),('proident',6,'node',2.71056),('proident',7,'node',2.70669),('proident',8,'node',2.69014),('proident',14,'node',2.71056),('proident',16,'node',2.71056),('proident',17,'node',2.71056),('proident',64,'node',2.69648),('proin',14,'node',26),('proin',28,'node',1),('proin',29,'node',3),('proin',42,'node',1),('proin',43,'node',1),('proin',46,'node',1),('proin',47,'node',1),('proin',48,'node',1),('proin',49,'node',1),('proin',50,'node',1),('proin',51,'node',1),('proin',52,'node',1),('proin',56,'node',1),('proin',58,'node',1),('proin',59,'node',1),('proin',61,'node',1),('proin',68,'node',1),('proin',69,'node',1),('pulvinar',10,'node',1),('pulvinar',11,'node',1),('pulvinar',15,'node',1),('pulvinar',22,'node',1),('pulvinar',24,'node',1),('pulvinar',42,'node',1),('pulvinar',58,'node',1),('pulvinar',59,'node',1),('pulvinar',60,'node',1),('pulvinar',65,'node',1),('pulvinar',66,'node',3),('pulvinar',68,'node',1),('pulvinar',69,'node',1),('purus',1,'node',1),('purus',2,'node',1),('purus',3,'node',1),('purus',4,'node',1),('purus',5,'node',1),('purus',6,'node',1),('purus',7,'node',1),('purus',8,'node',1),('purus',14,'node',1),('purus',15,'node',3),('purus',16,'node',1),('purus',17,'node',2.67952),('purus',22,'node',1),('purus',56,'node',2),('purus',60,'node',1),('purus',64,'node',1),('quae',1,'node',3.6769),('quae',2,'node',3.66692),('quae',3,'node',3.66692),('quae',4,'node',3.66692),('quae',5,'node',3.6769),('quae',6,'node',3.6769),('quae',7,'node',3.67331),('quae',8,'node',3.65702),('quae',14,'node',3.6769),('quae',16,'node',3.6769),('quae',17,'node',3.6769),('quae',64,'node',3.66336),('quam',1,'node',1),('quam',2,'node',1),('quam',3,'node',1),('quam',4,'node',1),('quam',5,'node',1),('quam',6,'node',1),('quam',7,'node',1),('quam',8,'node',1),('quam',9,'node',1),('quam',11,'node',1),('quam',14,'node',1),('quam',15,'node',2),('quam',16,'node',1),('quam',17,'node',1),('quam',22,'node',1),('quam',24,'node',1),('quam',38,'node',1),('quam',56,'node',1),('quam',60,'node',1),('quam',64,'node',1),('quantity',43,'node',1),('quantity',46,'node',1),('quantity',47,'node',1),('quantity',48,'node',1),('quantity',49,'node',1),('quantity',50,'node',1),('quantity',51,'node',1),('quantity',52,'node',1),('quasi',1,'node',3.6769),('quasi',2,'node',3.66692),('quasi',3,'node',3.66692),('quasi',4,'node',3.66692),('quasi',5,'node',3.6769),('quasi',6,'node',3.6769),('quasi',7,'node',3.67331),('quasi',8,'node',3.65432),('quasi',14,'node',3.67421),('quasi',16,'node',3.6769),('quasi',17,'node',3.6769),('quasi',64,'node',3.66066),('qui',1,'node',3.59894),('qui',2,'node',3.5854),('qui',3,'node',3.5854),('qui',4,'node',3.5854),('qui',5,'node',3.59894),('qui',6,'node',3.59894),('qui',7,'node',3.59179),('qui',8,'node',3.57197),('qui',14,'node',3.59894),('qui',16,'node',3.59894),('qui',17,'node',3.59894),('qui',64,'node',3.58164),('quia',1,'node',1.80613),('quia',2,'node',1.79932),('quia',3,'node',1.79932),('quia',4,'node',1.79932),('quia',5,'node',1.80613),('quia',6,'node',1.80613),('quia',7,'node',1.80262),('quia',8,'node',1.79256),('quia',14,'node',1.80613),('quia',16,'node',1.80613),('quia',17,'node',1.80613),('quia',64,'node',1.79932),('quis',1,'node',2),('quis',2,'node',2),('quis',3,'node',2),('quis',4,'node',2),('quis',5,'node',2),('quis',6,'node',2),('quis',7,'node',2),('quis',8,'node',2),('quis',9,'node',2),('quis',10,'node',4),('quis',11,'node',6),('quis',14,'node',2),('quis',15,'node',1),('quis',16,'node',2),('quis',17,'node',2),('quis',23,'node',1),('quis',24,'node',1),('quis',25,'node',1),('quis',26,'node',4),('quis',27,'node',2),('quis',28,'node',27),('quis',29,'node',3),('quis',30,'node',2),('quis',38,'node',1),('quis',39,'node',1),('quis',40,'node',1),('quis',42,'node',2),('quis',43,'node',1),('quis',46,'node',1),('quis',47,'node',1),('quis',48,'node',1),('quis',49,'node',1),('quis',50,'node',1),('quis',51,'node',1),('quis',52,'node',1),('quis',54,'node',2),('quis',55,'node',2),('quis',56,'node',1),('quis',57,'node',6),('quis',61,'node',1),('quis',64,'node',2),('quis',66,'node',1),('quisque',11,'node',1),('quisque',15,'node',1),('quisque',25,'node',1),('quisque',59,'node',1),('raise',3,'node',26),('realestast',45,'node',11),('really',64,'node',0.691597),('reborn',5,'node',1),('reborn',6,'node',1),('reborn',7,'node',1),('reborn',8,'node',1),('reborn',14,'node',1),('reborn',16,'node',1),('reborn',17,'node',1),('reborn',64,'node',1),('refugees',8,'node',26),('register',8,'node',1.85315),('register',61,'node',6.6),('register',64,'node',4.74909),('rem',1,'node',3.6769),('rem',2,'node',3.66692),('rem',3,'node',3.66692),('rem',4,'node',3.66692),('rem',5,'node',3.6769),('rem',6,'node',3.6769),('rem',7,'node',3.67331),('rem',8,'node',3.65702),('rem',14,'node',3.6769),('rem',16,'node',3.6769),('rem',17,'node',3.6769),('rem',64,'node',3.66336),('return',71,'node',11),('rhoncus',12,'node',1),('rhoncus',13,'node',1),('rhoncus',15,'node',1),('rhoncus',18,'node',1),('rhoncus',19,'node',1),('rhoncus',20,'node',1),('rhoncus',21,'node',1),('rhoncus',24,'node',26),('rhoncus',31,'node',1),('rhoncus',41,'node',1),('rhoncus',61,'node',1),('ridiculus',65,'node',1),('risus',1,'node',1),('risus',2,'node',1),('risus',3,'node',1),('risus',4,'node',1),('risus',5,'node',1),('risus',6,'node',1),('risus',7,'node',1),('risus',8,'node',1),('risus',11,'node',1),('risus',12,'node',1),('risus',13,'node',1),('risus',14,'node',1),('risus',16,'node',1),('risus',17,'node',1),('risus',18,'node',1),('risus',19,'node',1),('risus',20,'node',1),('risus',21,'node',27),('risus',31,'node',1),('risus',41,'node',2),('risus',59,'node',1),('risus',61,'node',1),('risus',64,'node',1.80545),('risus',66,'node',1),('rutrum',10,'node',2),('rutrum',12,'node',1),('rutrum',13,'node',1),('rutrum',18,'node',1),('rutrum',19,'node',1),('rutrum',20,'node',1),('rutrum',21,'node',1),('rutrum',27,'node',1),('rutrum',31,'node',1),('rutrum',40,'node',52),('rutrum',41,'node',1),('rutrum',42,'node',1),('rutrum',47,'node',26),('rutrum',56,'node',1),('rutrum',58,'node',1),('rutrum',61,'node',1),('rutrum',65,'node',1),('rutrum',66,'node',1),('rutrum',68,'node',1),('rutrum',69,'node',1),('sabotage',1,'node',26),('sagittis',1,'node',1),('sagittis',2,'node',1),('sagittis',3,'node',1),('sagittis',4,'node',1),('sagittis',5,'node',1),('sagittis',6,'node',1),('sagittis',7,'node',1),('sagittis',8,'node',1),('sagittis',10,'node',4),('sagittis',14,'node',1),('sagittis',15,'node',2),('sagittis',16,'node',1),('sagittis',17,'node',1),('sagittis',26,'node',1),('sagittis',30,'node',1),('sagittis',39,'node',1),('sagittis',54,'node',1),('sagittis',55,'node',1),('sagittis',64,'node',1.82776),('sagittis',65,'node',1),('sagittis',66,'node',2),('sapien',10,'node',1),('sapien',11,'node',1),('sapien',23,'node',26),('sapien',28,'node',1),('sapien',29,'node',1),('sapien',30,'node',26),('sapien',37,'node',52),('sapien',40,'node',1),('sapien',42,'node',1),('sapien',43,'node',1),('sapien',46,'node',1),('sapien',47,'node',1),('sapien',48,'node',1),('sapien',49,'node',1),('sapien',50,'node',1),('sapien',51,'node',1),('sapien',52,'node',1),('sapien',54,'node',26),('sapien',55,'node',26),('sapien',56,'node',1),('sapien',61,'node',1),('sapien',64,'node',0.836446),('sapien',65,'node',1),('save',66,'node',52),('scelerisque',1,'node',1),('scelerisque',2,'node',1),('scelerisque',3,'node',1),('scelerisque',4,'node',1),('scelerisque',5,'node',1),('scelerisque',6,'node',1),('scelerisque',7,'node',1),('scelerisque',8,'node',1),('scelerisque',12,'node',1),('scelerisque',13,'node',1),('scelerisque',14,'node',1),('scelerisque',15,'node',1),('scelerisque',16,'node',1),('scelerisque',17,'node',1),('scelerisque',18,'node',1),('scelerisque',19,'node',1),('scelerisque',20,'node',1),('scelerisque',21,'node',1),('scelerisque',31,'node',1),('scelerisque',61,'node',1),('scelerisque',64,'node',1.80818),('scelerisque',65,'node',1),('search',71,'node',1),('sed',1,'node',5.57298),('sed',2,'node',5.55964),('sed',3,'node',5.55964),('sed',4,'node',5.55964),('sed',5,'node',5.57298),('sed',6,'node',5.57298),('sed',7,'node',5.56603),('sed',8,'node',5.54641),('sed',10,'node',4),('sed',11,'node',4),('sed',14,'node',5.57298),('sed',15,'node',2),('sed',16,'node',5.57298),('sed',17,'node',7.26817),('sed',25,'node',2),('sed',26,'node',2),('sed',37,'node',1),('sed',39,'node',1),('sed',42,'node',1),('sed',56,'node',2),('sed',58,'node',1),('sed',63,'node',1),('sed',64,'node',6.37533),('sed',66,'node',1),('sed',68,'node',1),('sed',69,'node',1),('select',12,'node',1),('select',13,'node',1),('select',18,'node',1),('select',19,'node',1),('select',20,'node',1),('select',21,'node',1),('select',22,'node',1),('select',31,'node',1),('select',37,'node',1),('select',38,'node',1),('select',39,'node',1),('select',40,'node',1),('select',41,'node',1),('select',42,'node',1),('select',61,'node',1),('select',65,'node',1),('select',66,'node',1),('sem',9,'node',1),('sem',10,'node',3),('sem',11,'node',2),('sem',17,'node',1.69202),('sem',18,'node',26),('sem',24,'node',1),('sem',28,'node',2),('sem',30,'node',1),('sem',38,'node',1),('sem',43,'node',1),('sem',46,'node',1),('sem',47,'node',1),('sem',48,'node',1),('sem',49,'node',1),('sem',50,'node',1),('sem',51,'node',1),('sem',52,'node',1),('sem',54,'node',1),('sem',55,'node',1),('sem',56,'node',1),('sem',58,'node',1),('sem',59,'node',2),('sem',66,'node',1),('sem',68,'node',1),('sem',69,'node',1),('semper',9,'node',1),('semper',10,'node',1),('semper',15,'node',2),('semper',29,'node',1),('semper',41,'node',1),('semper',58,'node',1),('semper',64,'node',0.808176),('semper',68,'node',1),('semper',69,'node',1),('senectus',15,'node',1),('sentences',22,'node',26),('share',61,'node',1),('sint',1,'node',2.72233),('sint',2,'node',2.71199),('sint',3,'node',2.71199),('sint',4,'node',2.71199),('sint',5,'node',2.72233),('sint',6,'node',2.72233),('sint',7,'node',2.71837),('sint',8,'node',2.70172),('sint',14,'node',2.71445),('sint',16,'node',2.72233),('sint',17,'node',2.72233),('sint',64,'node',2.70806),('sit',1,'node',5.47604),('sit',2,'node',5.4593),('sit',3,'node',5.4593),('sit',4,'node',5.4593),('sit',5,'node',5.47604),('sit',6,'node',5.47604),('sit',7,'node',5.46899),('sit',8,'node',5.44269),('sit',9,'node',1),('sit',10,'node',1),('sit',14,'node',31.476),('sit',15,'node',2),('sit',16,'node',5.47604),('sit',17,'node',7.1525),('sit',26,'node',26),('sit',27,'node',1),('sit',28,'node',1),('sit',29,'node',1),('sit',42,'node',1),('sit',43,'node',1),('sit',46,'node',1),('sit',47,'node',1),('sit',48,'node',1),('sit',49,'node',1),('sit',50,'node',1),('sit',51,'node',1),('sit',52,'node',1),('sit',56,'node',2),('sit',59,'node',1),('sit',64,'node',5.45574),('sit',66,'node',1),('social',64,'node',20.5952),('sociis',23,'node',1),('sociis',24,'node',1),('sociis',25,'node',1),('sociis',26,'node',1),('sociis',27,'node',1),('sociis',28,'node',1),('sociis',29,'node',1),('sociis',30,'node',1),('sociis',43,'node',1),('sociis',46,'node',1),('sociis',47,'node',1),('sociis',48,'node',1),('sociis',49,'node',1),('sociis',50,'node',1),('sociis',51,'node',1),('sociis',52,'node',1),('sociis',54,'node',1),('sociis',55,'node',1),('sociis',56,'node',1),('sociis',65,'node',1),('sociosqu',27,'node',1),('sodales',26,'node',1),('sodales',27,'node',26),('sodales',30,'node',1),('sodales',39,'node',1),('sodales',54,'node',1),('sodales',55,'node',1),('sollicitudin',1,'node',2),('sollicitudin',2,'node',2),('sollicitudin',3,'node',2),('sollicitudin',4,'node',2),('sollicitudin',5,'node',2),('sollicitudin',6,'node',2),('sollicitudin',7,'node',2),('sollicitudin',8,'node',2),('sollicitudin',12,'node',26),('sollicitudin',14,'node',2),('sollicitudin',15,'node',1),('sollicitudin',16,'node',2),('sollicitudin',17,'node',2),('sollicitudin',42,'node',1),('sollicitudin',58,'node',1),('sollicitudin',64,'node',3.71527),('sollicitudin',68,'node',1),('sollicitudin',69,'node',1),('sorry',71,'node',1),('state',62,'node',1),('statement',1,'node',26),('states',1,'node',1),('states',2,'node',1),('states',3,'node',1),('states',4,'node',1),('status',12,'node',1),('status',13,'node',1),('status',18,'node',1),('status',19,'node',1),('status',20,'node',1),('status',21,'node',1),('status',22,'node',1),('status',31,'node',1),('status',61,'node',1),('steve',58,'node',26),('still',64,'node',0.731649),('submitted',8,'node',0.860547),('submitted',61,'node',3),('submitted',64,'node',2.22103),('successful',64,'node',18.5148),('sunt',1,'node',6.37262),('sunt',2,'node',6.34833),('sunt',3,'node',6.34833),('sunt',4,'node',6.34833),('sunt',5,'node',6.37262),('sunt',6,'node',6.37262),('sunt',7,'node',6.3611),('sunt',8,'node',6.32423),('sunt',14,'node',6.36447),('sunt',16,'node',6.37262),('sunt',17,'node',6.37262),('sunt',64,'node',6.33691),('support',5,'node',1),('support',6,'node',1),('support',7,'node',1),('support',8,'node',1),('support',14,'node',1),('support',16,'node',1),('support',17,'node',1),('support',61,'node',37),('support',64,'node',1),('supporting',5,'node',1),('supporting',6,'node',1),('supporting',7,'node',1),('supporting',8,'node',1),('supporting',14,'node',1),('supporting',16,'node',1),('supporting',17,'node',1),('supporting',64,'node',1),('sure',71,'node',1),('suscipit',1,'node',1),('suscipit',2,'node',1),('suscipit',3,'node',1),('suscipit',4,'node',1),('suscipit',5,'node',1),('suscipit',6,'node',1),('suscipit',7,'node',1),('suscipit',8,'node',1),('suscipit',11,'node',2),('suscipit',12,'node',1),('suscipit',13,'node',1),('suscipit',14,'node',1),('suscipit',16,'node',1),('suscipit',17,'node',1),('suscipit',18,'node',1),('suscipit',19,'node',1),('suscipit',20,'node',1),('suscipit',21,'node',1),('suscipit',22,'node',1),('suscipit',27,'node',1),('suscipit',30,'node',1),('suscipit',31,'node',1),('suscipit',39,'node',1),('suscipit',54,'node',1),('suscipit',55,'node',1),('suscipit',60,'node',1),('suscipit',61,'node',1),('suscipit',64,'node',1),('suspe',64,'node',0.805455),('suspendisse',1,'node',2),('suspendisse',2,'node',2),('suspendisse',3,'node',2),('suspendisse',4,'node',2),('suspendisse',5,'node',2),('suspendisse',6,'node',2),('suspendisse',7,'node',2),('suspendisse',8,'node',2),('suspendisse',10,'node',1),('suspendisse',11,'node',3),('suspendisse',14,'node',2),('suspendisse',16,'node',2),('suspendisse',17,'node',3.64697),('suspendisse',24,'node',1),('suspendisse',26,'node',1),('suspendisse',27,'node',1),('suspendisse',58,'node',1),('suspendisse',64,'node',2),('suspendisse',68,'node',1),('suspendisse',69,'node',1),('taciti',27,'node',1),('tackles',64,'node',20.6636),('take',11,'node',26),('tellus',5,'node',26),('tellus',9,'node',1),('tellus',10,'node',1),('tellus',11,'node',1),('tellus',15,'node',2),('tellus',26,'node',1),('tellus',39,'node',1),('tellus',41,'node',52),('tellus',42,'node',2),('tellus',49,'node',26),('tellus',56,'node',1),('tellus',59,'node',1),('tellus',64,'node',0.827757),('tellus',66,'node',1),('tempor',10,'node',1),('tempor',11,'node',2),('tempor',28,'node',1),('tempor',43,'node',1),('tempor',46,'node',1),('tempor',47,'node',1),('tempor',48,'node',1),('tempor',49,'node',1),('tempor',50,'node',1),('tempor',51,'node',1),('tempor',52,'node',1),('tempor',56,'node',1),('tempor',66,'node',1),('tempus',1,'node',1),('tempus',2,'node',1),('tempus',3,'node',1),('tempus',4,'node',1),('tempus',5,'node',1),('tempus',6,'node',1),('tempus',7,'node',1),('tempus',8,'node',1),('tempus',10,'node',1),('tempus',14,'node',1),('tempus',15,'node',1),('tempus',16,'node',1),('tempus',17,'node',1),('tempus',64,'node',1),('than',1,'node',1),('than',2,'node',1),('than',3,'node',1),('than',4,'node',1),('thank',61,'node',26),('that',5,'node',1),('that',6,'node',1),('that',7,'node',1),('that',8,'node',1),('that',14,'node',1),('that',16,'node',1),('that',17,'node',1),('that',22,'node',26),('that',64,'node',20.1986),('the',1,'node',2),('the',2,'node',2),('the',3,'node',2),('the',4,'node',28),('the',5,'node',1),('the',6,'node',1),('the',7,'node',1),('the',8,'node',1),('the',14,'node',1),('the',16,'node',1),('the',17,'node',1),('the',31,'node',26),('the',61,'node',26),('the',64,'node',21.8018),('the',71,'node',2),('themeforest',32,'node',37),('these',64,'node',0.72066),('things',64,'node',18.5699),('thu',8,'node',0.857458),('thu',61,'node',2),('thu',64,'node',2.21391),('tincidunt',1,'node',1),('tincidunt',2,'node',1),('tincidunt',3,'node',1),('tincidunt',4,'node',1),('tincidunt',5,'node',1),('tincidunt',6,'node',1),('tincidunt',7,'node',1),('tincidunt',8,'node',1),('tincidunt',9,'node',2),('tincidunt',10,'node',1),('tincidunt',11,'node',2),('tincidunt',14,'node',1),('tincidunt',15,'node',6),('tincidunt',16,'node',1),('tincidunt',17,'node',1),('tincidunt',23,'node',2),('tincidunt',24,'node',1),('tincidunt',25,'node',1),('tincidunt',26,'node',1),('tincidunt',27,'node',1),('tincidunt',28,'node',1),('tincidunt',29,'node',1),('tincidunt',30,'node',1),('tincidunt',40,'node',1),('tincidunt',43,'node',1),('tincidunt',46,'node',1),('tincidunt',47,'node',1),('tincidunt',48,'node',1),('tincidunt',49,'node',1),('tincidunt',50,'node',1),('tincidunt',51,'node',1),('tincidunt',52,'node',1),('tincidunt',54,'node',1),('tincidunt',55,'node',1),('tincidunt',59,'node',1),('tincidunt',64,'node',1),('tincidunt',66,'node',1),('torquent',27,'node',1),('tort',17,'node',1.64697),('tortor',9,'node',1),('tortor',10,'node',1),('tortor',15,'node',3),('tortor',26,'node',1),('tortor',28,'node',1),('tortor',39,'node',1),('tortor',56,'node',1),('tortor',58,'node',1),('tortor',59,'node',2),('tortor',64,'node',0.851346),('tortor',68,'node',1),('tortor',69,'node',1),('totam',1,'node',3.6769),('totam',2,'node',3.66692),('totam',3,'node',3.66692),('totam',4,'node',3.66692),('totam',5,'node',3.6769),('totam',6,'node',3.6769),('totam',7,'node',3.67331),('totam',8,'node',3.65702),('totam',14,'node',3.6769),('totam',16,'node',3.6769),('totam',17,'node',3.6769),('totam',64,'node',3.66336),('tristique',15,'node',1),('tristique',17,'node',26),('tristique',29,'node',1),('tristique',38,'node',52),('tristique',48,'node',26),('tristique',56,'node',1),('turpis',9,'node',1),('turpis',10,'node',1),('turpis',11,'node',1),('turpis',15,'node',1),('turpis',28,'node',1),('turpis',30,'node',1),('turpis',37,'node',1),('turpis',39,'node',1),('turpis',54,'node',1),('turpis',55,'node',1),('typed',71,'node',1),('types',64,'node',0.718502),('ullamcorper',9,'node',1),('ullamcorper',10,'node',1),('ullamcorper',19,'node',26),('ullamcorper',23,'node',1),('ullamcorper',40,'node',52),('ullamcorper',47,'node',26),('ullamcorper',52,'node',26),('ullamcorper',63,'node',1),('ullamcorper',64,'node',0.839384),('ullamcorper',65,'node',1),('ultrices',1,'node',1),('ultrices',2,'node',1),('ultrices',3,'node',1),('ultrices',4,'node',1),('ultrices',5,'node',1),('ultrices',6,'node',1),('ultrices',7,'node',1),('ultrices',8,'node',1),('ultrices',11,'node',3),('ultrices',14,'node',1),('ultrices',16,'node',1),('ultrices',17,'node',1),('ultrices',26,'node',1),('ultrices',29,'node',1),('ultrices',42,'node',1),('ultrices',56,'node',1),('ultrices',64,'node',1),('ultricies',9,'node',1),('ultricies',23,'node',1),('ultricies',30,'node',1),('ultricies',38,'node',1),('ultricies',54,'node',1),('ultricies',55,'node',1),('ultricies',56,'node',1),('ultricies',59,'node',1),('ultricies',65,'node',2),('unde',1,'node',4.57298),('unde',2,'node',4.55964),('unde',3,'node',4.55964),('unde',4,'node',4.55964),('unde',5,'node',4.57298),('unde',6,'node',4.57298),('unde',7,'node',4.56603),('unde',8,'node',4.54641),('unde',14,'node',4.57298),('unde',16,'node',4.57298),('unde',17,'node',4.57298),('unde',64,'node',4.55608),('underprivileged',5,'node',1),('underprivileged',6,'node',1),('underprivileged',7,'node',1),('underprivileged',8,'node',1),('underprivileged',14,'node',1),('underprivileged',16,'node',1),('underprivileged',17,'node',1),('underprivileged',64,'node',1),('upcoming',60,'node',26),('url',71,'node',1),('urna',15,'node',2),('urna',22,'node',1),('urna',23,'node',4),('urna',24,'node',4),('urna',25,'node',4),('urna',26,'node',4),('urna',27,'node',4),('urna',28,'node',5),('urna',29,'node',4),('urna',30,'node',4),('urna',43,'node',5),('urna',46,'node',5),('urna',47,'node',5),('urna',48,'node',5),('urna',49,'node',5),('urna',50,'node',5),('urna',51,'node',5),('urna',52,'node',5),('urna',54,'node',4),('urna',55,'node',4),('urna',56,'node',3),('urna',60,'node',1),('urna',63,'node',1),('urna',64,'node',27.7305),('use',64,'node',0.722831),('varius',15,'node',1),('varius',25,'node',1),('varius',28,'node',1),('varius',43,'node',1),('varius',46,'node',1),('varius',47,'node',1),('varius',48,'node',1),('varius',49,'node',1),('varius',50,'node',1),('varius',51,'node',1),('varius',52,'node',1),('varius',56,'node',1),('varius',59,'node',1),('varius',66,'node',1),('vehicula',39,'node',1),('vehicula',40,'node',1),('vehicula',58,'node',1),('vehicula',63,'node',1),('vehicula',64,'node',0.857458),('vehicula',68,'node',1),('vehicula',69,'node',1),('vel',1,'node',1),('vel',2,'node',1),('vel',3,'node',1),('vel',4,'node',1),('vel',5,'node',1),('vel',6,'node',1),('vel',7,'node',1),('vel',8,'node',1),('vel',9,'node',1),('vel',12,'node',2),('vel',13,'node',2),('vel',14,'node',1),('vel',15,'node',26),('vel',16,'node',1),('vel',17,'node',1),('vel',18,'node',2),('vel',19,'node',2),('vel',20,'node',2),('vel',21,'node',2),('vel',24,'node',2),('vel',28,'node',2),('vel',30,'node',1),('vel',31,'node',2),('vel',39,'node',1),('vel',41,'node',1),('vel',43,'node',1),('vel',46,'node',1),('vel',47,'node',1),('vel',48,'node',1),('vel',49,'node',1),('vel',50,'node',1),('vel',51,'node',1),('vel',52,'node',1),('vel',54,'node',1),('vel',55,'node',1),('vel',56,'node',2),('vel',61,'node',2),('vel',64,'node',3.46498),('vel',65,'node',2),('velit',1,'node',0.882818),('velit',2,'node',0.879565),('velit',3,'node',0.879565),('velit',4,'node',0.879565),('velit',5,'node',0.882818),('velit',6,'node',0.882818),('velit',7,'node',0.882818),('velit',8,'node',0.876337),('velit',9,'node',1),('velit',10,'node',2),('velit',11,'node',2),('velit',12,'node',1),('velit',13,'node',1),('velit',14,'node',0.882818),('velit',16,'node',0.882818),('velit',17,'node',0.882818),('velit',18,'node',1),('velit',19,'node',1),('velit',20,'node',1),('velit',21,'node',1),('velit',23,'node',1),('velit',26,'node',1),('velit',27,'node',1),('velit',30,'node',1),('velit',31,'node',1),('velit',39,'node',53),('velit',40,'node',1),('velit',54,'node',1),('velit',55,'node',1),('velit',61,'node',1),('velit',64,'node',0.879565),('venenatis',10,'node',1),('venenatis',11,'node',2),('venenatis',17,'node',1.68261),('venenatis',23,'node',4),('venenatis',24,'node',4),('venenatis',25,'node',4),('venenatis',26,'node',4),('venenatis',27,'node',4),('venenatis',28,'node',4),('venenatis',29,'node',4),('venenatis',30,'node',4),('venenatis',42,'node',1),('venenatis',43,'node',4),('venenatis',46,'node',4),('venenatis',47,'node',4),('venenatis',48,'node',4),('venenatis',49,'node',4),('venenatis',50,'node',4),('venenatis',51,'node',4),('venenatis',52,'node',4),('venenatis',54,'node',4),('venenatis',55,'node',4),('venenatis',64,'node',26),('venenatis',66,'node',1),('veritatis',1,'node',3.6769),('veritatis',2,'node',3.66692),('veritatis',3,'node',3.66692),('veritatis',4,'node',3.66692),('veritatis',5,'node',3.6769),('veritatis',6,'node',3.6769),('veritatis',7,'node',3.67331),('veritatis',8,'node',3.65702),('veritatis',14,'node',3.6769),('veritatis',16,'node',3.6769),('veritatis',17,'node',3.6769),('veritatis',64,'node',3.66336),('vestibulum',1,'node',2),('vestibulum',2,'node',2),('vestibulum',3,'node',2),('vestibulum',4,'node',2),('vestibulum',5,'node',2),('vestibulum',6,'node',2),('vestibulum',7,'node',28),('vestibulum',8,'node',2),('vestibulum',9,'node',1),('vestibulum',10,'node',5),('vestibulum',11,'node',2),('vestibulum',12,'node',1),('vestibulum',13,'node',1),('vestibulum',14,'node',2),('vestibulum',15,'node',3),('vestibulum',16,'node',2),('vestibulum',17,'node',3.67039),('vestibulum',18,'node',1),('vestibulum',19,'node',1),('vestibulum',20,'node',1),('vestibulum',21,'node',1),('vestibulum',22,'node',1),('vestibulum',26,'node',1),('vestibulum',27,'node',1),('vestibulum',29,'node',1),('vestibulum',31,'node',1),('vestibulum',38,'node',1),('vestibulum',40,'node',1),('vestibulum',41,'node',1),('vestibulum',52,'node',26),('vestibulum',60,'node',2),('vestibulum',61,'node',1),('vestibulum',64,'node',2.86055),('vestibulum',65,'node',1),('vestibulum',66,'node',1),('victims',5,'node',1),('victims',6,'node',1),('victims',7,'node',1),('victims',8,'node',1),('victims',14,'node',1),('victims',16,'node',1),('victims',17,'node',1),('victims',64,'node',1),('visit',5,'node',1),('visit',6,'node',1),('visit',7,'node',1),('visit',8,'node',1),('visit',14,'node',1),('visit',16,'node',1),('visit',17,'node',1),('visit',64,'node',1),('vitae',1,'node',5.67005),('vitae',2,'node',5.65594),('vitae',3,'node',5.65594),('vitae',4,'node',5.65594),('vitae',5,'node',5.67005),('vitae',6,'node',5.67005),('vitae',7,'node',5.66233),('vitae',8,'node',5.64195),('vitae',9,'node',2),('vitae',10,'node',1),('vitae',12,'node',1),('vitae',13,'node',1),('vitae',14,'node',5.66183),('vitae',15,'node',1),('vitae',16,'node',5.67005),('vitae',17,'node',5.67005),('vitae',18,'node',1),('vitae',19,'node',1),('vitae',20,'node',1),('vitae',21,'node',1),('vitae',22,'node',1),('vitae',23,'node',26),('vitae',25,'node',26),('vitae',26,'node',1),('vitae',29,'node',1),('vitae',30,'node',1),('vitae',31,'node',1),('vitae',40,'node',1),('vitae',41,'node',1),('vitae',42,'node',1),('vitae',54,'node',1),('vitae',55,'node',1),('vitae',56,'node',1),('vitae',58,'node',1),('vitae',60,'node',1),('vitae',61,'node',1),('vitae',64,'node',5.64829),('vitae',68,'node',1),('vitae',69,'node',1),('vivamus',9,'node',1),('vivamus',10,'node',3),('vivamus',11,'node',1),('vivamus',24,'node',1),('vivamus',38,'node',1),('vivamus',58,'node',1),('vivamus',65,'node',1),('vivamus',66,'node',1),('vivamus',68,'node',1),('vivamus',69,'node',1),('viverra',9,'node',1),('viverra',11,'node',1),('viverra',12,'node',1),('viverra',13,'node',1),('viverra',14,'node',26),('viverra',15,'node',1),('viverra',18,'node',1),('viverra',19,'node',1),('viverra',20,'node',1),('viverra',21,'node',1),('viverra',29,'node',1),('viverra',31,'node',1),('viverra',41,'node',1),('viverra',42,'node',1),('viverra',61,'node',1),('viverra',65,'node',1),('volunteer',9,'node',26),('volunteer',43,'node',11),('voluptas',1,'node',0.913226),('voluptas',2,'node',0.909743),('voluptas',3,'node',0.909743),('voluptas',4,'node',0.909743),('voluptas',5,'node',0.913226),('voluptas',6,'node',0.913226),('voluptas',7,'node',0.909743),('voluptas',8,'node',0.906287),('voluptas',14,'node',0.913226),('voluptas',16,'node',0.913226),('voluptas',17,'node',0.913226),('voluptas',64,'node',0.909743),('voluptatem',1,'node',4.59364),('voluptatem',2,'node',4.58015),('voluptatem',3,'node',4.58015),('voluptatem',4,'node',4.58015),('voluptatem',5,'node',4.59364),('voluptatem',6,'node',4.59364),('voluptatem',7,'node',4.58653),('voluptatem',8,'node',4.56676),('voluptatem',14,'node',4.59364),('voluptatem',16,'node',4.59364),('voluptatem',17,'node',4.59364),('voluptatem',64,'node',4.57658),('volutpat',9,'node',1),('volutpat',10,'node',1),('volutpat',11,'node',3),('volutpat',15,'node',2),('volutpat',24,'node',1),('volutpat',28,'node',1),('volutpat',30,'node',1),('volutpat',37,'node',1),('volutpat',39,'node',1),('volutpat',54,'node',1),('volutpat',55,'node',1),('volutpat',59,'node',1),('volutpat',64,'node',1.65843),('vulputate',1,'node',1),('vulputate',2,'node',1),('vulputate',3,'node',1),('vulputate',4,'node',1),('vulputate',5,'node',1),('vulputate',6,'node',1),('vulputate',7,'node',1),('vulputate',8,'node',1),('vulputate',9,'node',2),('vulputate',11,'node',1),('vulputate',14,'node',1),('vulputate',15,'node',1),('vulputate',16,'node',1),('vulputate',17,'node',1),('vulputate',20,'node',26),('vulputate',23,'node',1),('vulputate',24,'node',2),('vulputate',25,'node',1),('vulputate',26,'node',1),('vulputate',27,'node',1),('vulputate',28,'node',2),('vulputate',29,'node',1),('vulputate',30,'node',27),('vulputate',37,'node',52),('vulputate',43,'node',2),('vulputate',46,'node',2),('vulputate',47,'node',2),('vulputate',48,'node',2),('vulputate',49,'node',2),('vulputate',50,'node',2),('vulputate',51,'node',2),('vulputate',52,'node',2),('vulputate',54,'node',27),('vulputate',55,'node',27),('vulputate',56,'node',2),('vulputate',64,'node',1),('vulputate',65,'node',1),('want',71,'node',1),('waters',4,'node',26),('ways',1,'node',26),('website',2,'node',26),('wed',61,'node',1),('week',61,'node',1),('what',56,'node',26),('what',71,'node',1),('which',4,'node',26),('with',1,'node',1),('with',2,'node',1),('with',3,'node',1),('with',4,'node',1),('with',8,'node',26),('with',61,'node',1),('work',8,'node',26),('work',64,'node',19.1986),('working',1,'node',1),('working',2,'node',1),('working',3,'node',1),('working',4,'node',1),('world',1,'node',1),('world',2,'node',1),('world',3,'node',1),('world',4,'node',1),('world',31,'node',26),('world',65,'node',52),('worth',64,'node',0.729424),('write',61,'node',26),('you',1,'node',1),('you',2,'node',1),('you',3,'node',1),('you',4,'node',1),('you',61,'node',26),('you',64,'node',1.41661),('you',71,'node',4),('your',1,'node',27),('your',2,'node',27),('your',3,'node',27),('your',4,'node',1),('your',61,'node',1),('your',64,'node',0.703756);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.00131508),('10',0.30103),('100',0.30103),('1000',0.0211893),('100000',0.176091),('10022014',0.07824),('117',0.30103),('1300',0.30103),('1500',0.30103),('150000',0.30103),('160',0.0511525),('2',0.00190754),('200',0.176091),('2000',0.0202034),('20000',0.124939),('200000',0.176091),('210',0.30103),('212',0.30103),('2200',0.30103),('23',0.30103),('2400',0.30103),('245',0.30103),('2450',0.30103),('2500',0.30103),('29',0.30103),('3',0.0025782),('30',0.30103),('3000',0.30103),('31',0.30103),('3200',0.176091),('34',0.30103),('35',0.09691),('40000',0.30103),('404',0.0157943),('5',0.00930868),('50',0.09691),('500',0.0248236),('5000',0.0234811),('6',0.0163904),('7',0.022713),('9242014',0.30103),('abc',0.0188553),('about',0.00827253),('accumsan',0.00554546),('accusantium',0.0097476),('action',0.0163904),('active',0.0457575),('activeden',0.0115819),('address',0.30103),('adipisci',0.0391045),('adipiscing',0.0347621),('admin',0.00300848),('ads',0.00827253),('aenean',0.00528497),('aids',0.0511525),('alg',0.0511525),('aliquam',0.00735876),('aliquet',0.0122345),('all',0.0142404),('aloha',0.0377886),('also',0.30103),('always',0.0163904),('amet',0.0132298),('amount',0.0248236),('and',0.00934003),('andy',0.30103),('anim',0.0132877),('animal',0.0377886),('another',0.30103),('ante',0.0096097),('aperiam',0.0097476),('aptent',0.30103),('architecto',0.00975447),('arcu',0.0268857),('are',0.176091),('around',0.0142404),('arts',0.0377886),('asfasfasfasf',0.30103),('aspernatur',0.0381448),('auctor',0.0299632),('audiojungle',0.00582954),('augue',0.004461),('aut',0.0196358),('backyard',0.09691),('beatae',0.00976378),('better',0.00415596),('bibendum',0.00575233),('blandit',0.00860017),('blog',0.00253675),('born',0.195444),('buechner',0.0163904),('but',0.30103),('capacity',0.0163904),('capital',0.0163904),('carl',0.0163904),('carnival',0.0204581),('causes',0.0207908),('centre',0.0263289),('charities',0.00782534),('charties',0.0377886),('check',0.30103),('child',0.00827253),('children',0.0511525),('christy',0.30103),('city',0.30103),('class',0.30103),('classic',0.195229),('code',0.30103),('codecanyon',0.00895484),('comes',0.0163904),('comments',0.0670462),('commodo',0.0177288),('condimentum',0.0177288),('congue',0.0138455),('consectetuer',0.176091),('consectetur',0.0123691),('consequat',0.0269374),('conservancy',0.09691),('conserve',0.0163904),('contact',0.0163904),('content',0.0163904),('conubia',0.30103),('convallis',0.0159713),('correctly',0.30103),('couldn',0.30103),('countries',0.09691),('country',0.30103),('cras',0.00975984),('cubilia',0.124939),('culpa',0.0131968),('culture',0.0377886),('cum',0.0211893),('cupidatat',0.00736108),('curabitur',0.00975984),('curae',0.124939),('cursus',0.00420915),('customer',0.0163904),('daily',0.0511525),('dapibus',0.04817),('day',0.0511525),('depends',0.0163904),('deserunt',0.0132516),('diam',0.0283224),('dicta',0.00977468),('dictumst',0.0791812),('difference',0.09691),('dignissim',0.0579919),('dis',0.176091),('dolor',0.00710193),('dolorem',0.0387001),('doloremque',0.0097476),('donation',0.0248236),('donec',0.00303386),('donor',0.0163904),('dui',0.00998422),('duis',0.00288569),('eaque',0.0097476),('education',0.0222764),('efficitur',0.188306),('egestas',0.00302645),('eget',0.00565209),('eleifend',0.00250315),('elementum',0.0457575),('elit',0.00696475),('email',0.30103),('enim',0.0026748),('environmental',0.0377886),('erat',0.0193052),('eros',0.0280287),('error',0.00785573),('especially',0.30103),('est',0.0105628),('etiam',0.0519688),('euismod',0.0457575),('even',0.0163904),('events',0.0163904),('everyday',0.0163904),('explicabo',0.00979626),('extinction',0.0163904),('face',0.0163904),('facebook',0.0201572),('facilisi',0.011281),('facilisis',0.0170333),('fames',0.0511525),('fans',0.30103),('faucibus',0.0109954),('feeding',0.0511525),('felis',0.0283386),('fermentum',0.00937704),('feugiat',0.0299632),('finances',0.0511525),('find',0.30103),('finibus',0.124939),('first',0.0157943),('fit',0.0163904),('for',0.00278704),('foundation',0.00895484),('fringilla',0.047331),('from',0.30103),('fugit',0.0385614),('fun',0.30103),('fundraising',0.195012),('fusce',0.00268914),('give',0.0163904),('good',0.0207243),('graphicriver',0.0115819),('gravida',0.0669468),('great',0.30103),('habitant',0.00411657),('habitasse',0.0791812),('hac',0.0791812),('has',0.30103),('heading',0.000644725),('health',0.0193052),('heavyladybug230',0.30103),('help',0.00332794),('helpful',0.30103),('hendrerit',0.0134984),('hermio',0.00582954),('hiv',0.0511525),('home',0.0377886),('hope',0.0511525),('how',0.00827253),('hymenaeos',0.30103),('iaculis',0.0163904),('ideas',0.0163904),('illo',0.0097476),('imperdiet',0.0511525),('inceptos',0.30103),('integer',0.0347621),('interdum',0.0347621),('interesting',0.30103),('international',0.012965),('inventore',0.0097476),('ipsa',0.0097476),('ipsam',0.0377277),('ipsum',0.00212692),('iste',0.00785573),('jamie',0.145604),('jobs',0.0163904),('justo',0.0118992),('kinds',0.021853),('laborum',0.0133233),('lacinia',0.0842598),('lacus',0.00768683),('lands',0.0163904),('laoreet',0.0511525),('last',0.30103),('lasting',0.09691),('laudantium',0.0097476),('least',0.30103),('lectus',0.00919852),('leo',0.0194566),('letter',0.0163904),('libero',0.00419611),('life',0.00332794),('ligula',0.00480803),('litora',0.30103),('lobortis',0.0248236),('log',0.0316819),('logo',0.0377886),('looking',0.176091),('lorem',0.0184834),('lots',0.30103),('luctus',0.0791812),('maecenas',0.0263289),('magna',0.0184834),('magnis',0.176091),('make',0.0791812),('malesuada',0.00331101),('massa',0.00843317),('mattis',0.138796),('mauris',0.00624895),('maximus',0.124939),('may',0.30103),('media',0.0206578),('mega',0.0163904),('menus',0.0163904),('message',0.30103),('metus',0.00396619),('mission',0.0163904),('molestie',0.0250231),('mollis',0.00694886),('mollit',0.0132697),('montes',0.176091),('monthly',0.0163904),('morbi',0.00292712),('more',0.0791812),('mostly',0.0511525),('mus',0.176091),('nam',0.0159894),('name',0.176091),('nascetur',0.176091),('natoque',0.0211893),('nature',0.09691),('natus',0.00785573),('nec',0.00905234),('need',0.30103),('nemo',0.0374608),('neque',0.00553249),('netus',0.30103),('new',0.194794),('news',0.0894729),('ngos',0.012965),('nibh',0.00801787),('nisi',0.00529716),('nisl',0.00921073),('non',0.00632697),('nonprofit',0.00586866),('nonprofits',0.011186),('nonummy',0.124939),('nostra',0.30103),('nulla',0.00450828),('nullam',0.0104654),('nunc',0.00305144),('occaecat',0.00735573),('odio',0.0299632),('odit',0.0384225),('officia',0.0132335),('omnis',0.00785573),('once',0.30103),('online',0.0163904),('opportunities',0.30103),('orci',0.0107239),('organizations',0.0163904),('ornare',0.124939),('orphans',0.0511525),('other',0.0248236),('our',0.0163904),('page',0.176091),('parturient',0.176091),('pede',0.0263289),('pellentesque',0.00243927),('penatibus',0.0211893),('per',0.124939),('permalink',0.00643797),('perspiciatis',0.00785573),('pharetra',0.0413927),('phasellus',0.0020089),('phone',0.30103),('photo',0.30103),('photodune',0.0115819),('pinterest',0.0221089),('placerat',0.0426979),('platea',0.0791812),('please',0.30103),('porta',0.0195869),('porttitor',0.0100865),('post',0.0511785),('posts',0.0212159),('posuere',0.0137883),('potenti',0.0299632),('praesent',0.00283273),('pretium',0.0303418),('primis',0.0122345),('proident',0.0131784),('proin',0.00954532),('pulvinar',0.0280287),('purus',0.0205092),('quae',0.0097476),('quam',0.0202034),('quantity',0.0511525),('quasi',0.00974937),('qui',0.0099624),('quia',0.0196287),('quis',0.00415596),('quisque',0.09691),('raise',0.0163904),('realestast',0.0377886),('really',0.30103),('reborn',0.0511525),('refugees',0.0163904),('register',0.0317092),('rem',0.0097476),('return',0.0377886),('rhoncus',0.0118992),('ridiculus',0.176091),('risus',0.0083033),('rutrum',0.00445434),('sabotage',0.0163904),('sagittis',0.0158938),('sapien',0.00249114),('save',0.00827253),('scelerisque',0.0186356),('search',0.30103),('sed',0.00463006),('select',0.0248236),('sem',0.00772896),('semper',0.0421642),('senectus',0.30103),('sentences',0.0163904),('share',0.30103),('sint',0.0131256),('sit',0.00310704),('social',0.0205912),('sociis',0.0211893),('sociosqu',0.30103),('sodales',0.0137883),('sollicitudin',0.00759073),('sorry',0.30103),('state',0.30103),('statement',0.0163904),('states',0.09691),('status',0.0457575),('steve',0.0163904),('still',0.30103),('submitted',0.0661138),('successful',0.0228451),('sunt',0.00565534),('support',0.00954532),('supporting',0.0511525),('sure',0.30103),('suscipit',0.0147233),('suspe',0.30103),('suspendisse',0.0120155),('taciti',0.30103),('tackles',0.0205247),('take',0.0163904),('tellus',0.00370157),('tempor',0.0299632),('tempus',0.0299632),('than',0.09691),('thank',0.0163904),('that',0.00808786),('the',0.00370239),('themeforest',0.0115819),('these',0.30103),('things',0.0227791),('thu',0.0781615),('tincidunt',0.00954532),('torquent',0.30103),('tort',0.206064),('tortor',0.0283003),('totam',0.0097476),('tristique',0.00403998),('turpis',0.0413927),('typed',0.30103),('types',0.30103),('ullamcorper',0.00318541),('ultrices',0.0222764),('ultricies',0.0413927),('unde',0.00785573),('underprivileged',0.0511525),('upcoming',0.0163904),('url',0.30103),('urna',0.00370464),('use',0.30103),('varius',0.0299632),('vehicula',0.0591189),('vel',0.00549991),('velit',0.00516566),('venenatis',0.00412899),('veritatis',0.0097476),('vestibulum',0.00398325),('victims',0.0511525),('visit',0.0511525),('vitae',0.00296585),('vivamus',0.0347621),('viverra',0.0104654),('volunteer',0.0115819),('voluptas',0.0380058),('voluptatem',0.00782081),('volutpat',0.025318),('vulputate',0.00213413),('want',0.30103),('waters',0.0163904),('ways',0.0163904),('website',0.0163904),('wed',0.30103),('week',0.30103),('what',0.0157943),('which',0.0163904),('with',0.0137883),('work',0.00950383),('working',0.09691),('world',0.00526424),('worth',0.30103),('write',0.0163904),('you',0.0120925),('your',0.00515772);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (28);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'j_HtNd9EDI6j0hb58draJ_WxmLnRQXgsDGUKfUAdTB4','','192.168.1.43',1508302005,0,''),(1,'p_9_ziIKGSA66bQVg0DIWOIoY4U_IkSMibzuMbAgd8o','','192.168.1.48',1508302165,0,''),(1,'zC85-azM8I-Rp7DD0ieBKSAPuJZzvmzgO3jY2ISbYTU','','192.168.1.49',1500454293,0,'');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_category`
--

DROP TABLE IF EXISTS `simplenews_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_category` (
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'taxonomy_term_data.tid used as newsletter category.',
  `format` varchar(8) NOT NULL DEFAULT '' COMMENT 'Format of the newsletter email (plain, html).',
  `priority` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Email priority according to RFC 2156 and RFC 5231 (0 = none; 1 = highest; 2 = high; 3 = normal; 4 = low; 5 = lowest).',
  `receipt` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating request for email receipt confirmation according to RFC 2822.',
  `from_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'Sender name for newsletter emails.',
  `email_subject` varchar(255) NOT NULL DEFAULT '' COMMENT 'Subject of newsletter email. May contain tokens.',
  `from_address` varchar(64) NOT NULL DEFAULT '' COMMENT 'Sender address for newsletter emails',
  `hyperlinks` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag indicating type of hyperlink conversion (1 = hyperlinks are in-line; 0 = hyperlinks are placed at email bottom).',
  `new_account` varchar(12) NOT NULL DEFAULT '' COMMENT 'How to treat subscription at account creation (none = None; on = Default on; off = Default off; silent = Invisible subscription).',
  `opt_inout` varchar(12) NOT NULL DEFAULT '' COMMENT 'How to treat subscription confirmation (hidden = Newsletter is hidden from the user; single = Single opt-in; double = Double opt-in).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'For this category a subscription block is available.',
  PRIMARY KEY (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simplenews newsletter categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_category`
--

LOCK TABLES `simplenews_category` WRITE;
/*!40000 ALTER TABLE `simplenews_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_category` VALUES (10,'plain',0,0,'Hermio','[[simplenews-category:name]] [node:title]','youremail@domain.com',1,'none','double',1);
/*!40000 ALTER TABLE `simplenews_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_mail_spool`
--

DROP TABLE IF EXISTS `simplenews_mail_spool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_mail_spool` (
  `msid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a mail spool record.',
  `mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The formatted email address of mail message recipient.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid of this newsletter.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The simplenews_category.tid this newsletter belongs to.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The sent status of the email (0 = hold, 1 = pending, 2 = done).',
  `error` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether an error occured while sending the email.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time status was set or changed.',
  `data` longtext COMMENT 'A serialized array of name value pairs that are related to the email address.',
  `snid` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key for subscriber table (simplenews_subscriptions.snid)',
  PRIMARY KEY (`msid`),
  KEY `tid` (`tid`),
  KEY `status` (`status`),
  KEY `snid_tid` (`snid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Spool for temporary storage of newsletter emails.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_mail_spool`
--

LOCK TABLES `simplenews_mail_spool` WRITE;
/*!40000 ALTER TABLE `simplenews_mail_spool` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_mail_spool` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_newsletter`
--

DROP TABLE IF EXISTS `simplenews_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_newsletter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'node that is used as newsletter.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The newsletter category simplenews_category.tid this newsletter belongs to.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'sent status of the newsletter issue (0 = not sent; 1 = pending; 2 = sent, 3 = send on publish).',
  `sent_subscriber_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The count of subscribers to the newsletter when it was sent.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simplenews newsletter data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_newsletter`
--

LOCK TABLES `simplenews_newsletter` WRITE;
/*!40000 ALTER TABLE `simplenews_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber`
--

DROP TABLE IF EXISTS `simplenews_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber` (
  `snid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key: Unique subscriber ID.',
  `activated` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating the status of the subscription.',
  `mail` varchar(64) NOT NULL DEFAULT '' COMMENT 'The subscriber’s email address.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that has the same email address.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Subscriber preferred language.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `changes` text COMMENT 'Contains the requested subscription changes',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the subscription record was added.',
  PRIMARY KEY (`snid`),
  KEY `mail` (`mail`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Subscribers to simplenews_category. Many-to-many relation...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber`
--

LOCK TABLES `simplenews_subscriber` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscriber` VALUES (1,1,'youremail@domain.com',1,'',0,'a:0:{}',1410770525);
/*!40000 ALTER TABLE `simplenews_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscription`
--

DROP TABLE IF EXISTS `simplenews_subscription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscription` (
  `snid` int(11) NOT NULL DEFAULT '0' COMMENT 'The simplenews_subscriber.snid who is subscribed.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The category (simplenews_category.tid) the subscriber is subscribed to.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'A flag indicating whether the user is subscribed (1) or unsubscribed (0).',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `source` varchar(24) NOT NULL DEFAULT '' COMMENT 'The source via which the user is (un)subscription.',
  PRIMARY KEY (`snid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Newsletter subscription data. Which subscriber is...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscription`
--

LOCK TABLES `simplenews_subscription` WRITE;
/*!40000 ALTER TABLE `simplenews_subscription` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscription` VALUES (1,10,0,1410770543,'website');
/*!40000 ALTER TABLE `simplenews_subscription` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:14:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',0,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/addressfield/addressfield.module','addressfield','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:13:\"Address Field\";s:11:\"description\";s:64:\"Manage a flexible address field, implementing the xNAL standard.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:3:{i:0;s:24:\"addressfield.migrate.inc\";i:1;s:50:\"views/addressfield_views_handler_field_country.inc\";i:2;s:51:\"views/addressfield_views_handler_filter_country.inc\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/addressfield/example/addressfield_example.module','addressfield_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Address Field Example\";s:11:\"description\";s:67:\"Example module for how to implement an addressfield format handler.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:12:\"addressfield\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/backup_migrate/backup_migrate.module','backup_migrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Backup and Migrate\";s:11:\"description\";s:76:\"Backup the Drupal database and files or migrate them to another environment.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:25:\"includes/destinations.inc\";i:1;s:21:\"includes/profiles.inc\";i:2;s:22:\"includes/schedules.inc\";}s:9:\"configure\";s:34:\"admin/config/system/backup_migrate\";s:7:\"version\";s:7:\"7.x-3.0\";s:7:\"project\";s:14:\"backup_migrate\";s:9:\"datestamp\";s:10:\"1401209057\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean.module','bean','module','',1,0,7013,0,'a:12:{s:4:\"name\";s:4:\"Bean\";s:11:\"description\";s:28:\"Create Bean (Block Entities)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:22:\"includes/bean.core.inc\";i:1;s:22:\"includes/bean.info.inc\";i:2;s:28:\"plugins/BeanPlugin.class.php\";i:3;s:29:\"plugins/BeanDefault.class.php\";i:4;s:37:\"includes/translation.handler.bean.inc\";i:5;s:36:\"includes/bean.inline_entity_form.inc\";i:6;s:40:\"views/views_handler_filter_bean_type.inc\";i:7;s:39:\"views/views_handler_field_bean_type.inc\";i:8;s:44:\"views/views_handler_field_bean_edit_link.inc\";i:9;s:46:\"views/views_handler_field_bean_delete_link.inc\";i:10;s:45:\"views/views_handler_field_bean_operations.inc\";i:11;s:9:\"bean.test\";}s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','bean_admin_ui','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:13:\"Bean Admin UI\";s:11:\"description\";s:47:\"Add the ability to create Block Types in the UI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"bean_admin_ui.module\";i:1;s:28:\"plugins/BeanCustom.class.php\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:9:\"configure\";s:27:\"admin/structure/block-types\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_entitycache/bean_entitycache.module','bean_entitycache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Bean - Entitycache\";s:11:\"description\";s:54:\"Integrates the Bean module with the Entitycache module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:5:\"files\";a:1:{i:0;s:34:\"includes/bean_entitycache.core.inc\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:11:\"entitycache\";}s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_usage/bean_usage.module','bean_usage','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Bean Usage\";s:11:\"description\";s:32:\"View Bean (Block Entities) Usage\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:14:\"blockreference\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_uuid/bean_uuid.module','bean_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Bean UUID\";s:11:\"description\";s:60:\"Allow deploying bean blocks through Deploy and UUID modules.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:4:\"uuid\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/tests/bean_test.module','bean_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Bean Test\";s:11:\"description\";s:29:\"Creates test plugins for bean\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:5:\"files\";a:1:{i:0;s:16:\"bean_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1470638340\";s:5:\"mtime\";i:1470638340;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:10:\"field_base\";a:7:{i:0;s:19:\"field_bef_test_body\";i:1;s:19:\"field_bef_test_date\";i:2;s:22:\"field_bef_test_integer\";i:3;s:22:\"field_bef_test_letters\";i:4;s:23:\"field_bef_test_location\";i:5;s:22:\"field_bef_test_numbers\";i:6;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:26:\"taxonomy-bef_test-location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/block_class.module','block_class','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:3:{i:0;s:7:\"context\";i:1;s:14:\"features (2.x)\";i:2;s:14:\"features_extra\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/tests/block_class_fe_block_test.module','block_class_fe_block_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:44:\"Block Class FE Block Integration Test Helper\";s:11:\"description\";s:99:\"Helper module for testing the integration of Block Class with Features through the FE Block module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:12:\"dependencies\";a:1:{i:0;s:8:\"fe_block\";}s:8:\"features\";a:2:{s:17:\"fe_block_settings\";a:1:{i:0;s:11:\"user-online\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/commerce.module','commerce','module','',1,0,7102,1,'a:12:{s:4:\"name\";s:8:\"Commerce\";s:11:\"description\";s:115:\"Defines features and functions common to the Commerce modules. Must be enabled to uninstall other Commerce modules.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:3:{i:0;s:6:\"system\";i:1;s:6:\"entity\";i:2;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:24:\"tests/commerce_base.test\";i:1;s:32:\"includes/commerce.controller.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/commerce_ui.module','commerce_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:11:\"Commerce UI\";s:11:\"description\";s:68:\"Defines menu items common to the various Drupal Commerce UI modules.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:1:{i:0;s:8:\"commerce\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/cart/commerce_cart.module','commerce_cart','module','',1,0,7102,0,'a:12:{s:4:\"name\";s:4:\"Cart\";s:11:\"description\";s:61:\"Implements the shopping cart system and add to cart features.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:10:{i:0;s:8:\"commerce\";i:1;s:17:\"commerce_checkout\";i:2;s:18:\"commerce_line_item\";i:3;s:14:\"commerce_order\";i:4;s:16:\"commerce_product\";i:5;s:24:\"commerce_product_pricing\";i:6;s:26:\"commerce_product_reference\";i:7;s:6:\"entity\";i:8;s:5:\"rules\";i:9;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:72:\"includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc\";i:1;s:71:\"includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc\";i:2;s:87:\"includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc\";i:3;s:65:\"includes/views/handlers/commerce_cart_handler_area_empty_text.inc\";i:4;s:24:\"tests/commerce_cart.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/checkout/commerce_checkout.module','commerce_checkout','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:8:\"Checkout\";s:11:\"description\";s:70:\"Enable checkout as a multi-step form with customizable checkout pages.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:14:\"commerce_order\";i:3;s:6:\"entity\";i:4;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/commerce/config/checkout\";s:5:\"files\";a:1:{i:0;s:28:\"tests/commerce_checkout.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/customer/commerce_customer.module','commerce_customer','module','',1,0,7102,0,'a:12:{s:4:\"name\";s:8:\"Customer\";s:11:\"description\";s:59:\"Defines the Customer entity with Address Field integration.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:3:{i:0;s:12:\"addressfield\";i:1;s:8:\"commerce\";i:2;s:6:\"entity\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:8:{i:0;s:49:\"includes/commerce_customer_profile.controller.inc\";i:1;s:69:\"includes/views/handlers/commerce_customer_handler_area_empty_text.inc\";i:2;s:76:\"includes/views/handlers/commerce_customer_handler_field_customer_profile.inc\";i:3;s:81:\"includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc\";i:4;s:88:\"includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc\";i:5;s:86:\"includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc\";i:6;s:81:\"includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc\";i:7;s:82:\"includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/customer/commerce_customer_ui.module','commerce_customer_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:11:\"Customer UI\";s:11:\"description\";s:80:\"Exposes a default UI for Customers through profile edit forms and default Views.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:8:\"field_ui\";i:1;s:8:\"commerce\";i:2;s:11:\"commerce_ui\";i:3;s:17:\"commerce_customer\";i:4;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/commerce/customer-profiles/types\";s:5:\"files\";a:1:{i:0;s:31:\"tests/commerce_customer_ui.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/customer/tests/commerce_customer_profile_dummy_type.module','commerce_customer_profile_dummy_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:31:\"Commerce Customer Dummy Profile\";s:11:\"description\";s:79:\"Defines a dummy customer profile type for use in certain Customer module tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:8:\"7.x-1.13\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/line_item/commerce_line_item.module','commerce_line_item','module','',1,0,7101,0,'a:12:{s:4:\"name\";s:9:\"Line Item\";s:11:\"description\";s:53:\"Defines the Line Item entity and associated features.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:4:{i:0;s:8:\"commerce\";i:1;s:14:\"commerce_price\";i:2;s:6:\"entity\";i:3;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:42:\"includes/commerce_line_item.controller.inc\";i:1;s:77:\"includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc\";i:2;s:86:\"includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc\";i:3;s:76:\"includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc\";i:4;s:75:\"includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc\";i:5;s:85:\"includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc\";i:6;s:76:\"includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc\";i:7;s:74:\"includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc\";i:8;s:72:\"includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/line_item/commerce_line_item_ui.module','commerce_line_item_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:12:\"Line Item UI\";s:11:\"description\";s:83:\"Exposes a default UI for Line Items through line item type forms and default Views.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:8:\"field_ui\";i:1;s:8:\"commerce\";i:2;s:11:\"commerce_ui\";i:3;s:18:\"commerce_line_item\";i:4;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/commerce/config/line-items\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/order/commerce_order.module','commerce_order','module','',1,0,7109,0,'a:12:{s:4:\"name\";s:5:\"Order\";s:11:\"description\";s:49:\"Defines the Order entity and associated features.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:6:{i:0;s:8:\"commerce\";i:1;s:17:\"commerce_customer\";i:2;s:18:\"commerce_line_item\";i:3;s:14:\"commerce_price\";i:4;s:6:\"entity\";i:5;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:19:{i:0;s:38:\"includes/commerce_order.controller.inc\";i:1;s:66:\"includes/views/handlers/commerce_order_handler_area_empty_text.inc\";i:2;s:67:\"includes/views/handlers/commerce_order_handler_area_order_total.inc\";i:3;s:74:\"includes/views/handlers/commerce_order_handler_argument_order_order_id.inc\";i:4;s:62:\"includes/views/handlers/commerce_order_handler_field_order.inc\";i:5;s:69:\"includes/views/handlers/commerce_order_handler_field_order_status.inc\";i:6;s:68:\"includes/views/handlers/commerce_order_handler_field_order_state.inc\";i:7;s:67:\"includes/views/handlers/commerce_order_handler_field_order_type.inc\";i:8;s:67:\"includes/views/handlers/commerce_order_handler_field_order_link.inc\";i:9;s:74:\"includes/views/handlers/commerce_order_handler_field_order_link_delete.inc\";i:10;s:72:\"includes/views/handlers/commerce_order_handler_field_order_link_edit.inc\";i:11;s:67:\"includes/views/handlers/commerce_order_handler_field_order_mail.inc\";i:12;s:73:\"includes/views/handlers/commerce_order_handler_field_order_operations.inc\";i:13;s:70:\"includes/views/handlers/commerce_order_handler_filter_order_status.inc\";i:14;s:69:\"includes/views/handlers/commerce_order_handler_filter_order_state.inc\";i:15;s:68:\"includes/views/handlers/commerce_order_handler_filter_order_type.inc\";i:16;s:72:\"includes/views/handlers/commerce_order_plugin_argument_validate_user.inc\";i:17;s:31:\"tests/commerce_order.rules.test\";i:18;s:25:\"tests/commerce_order.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/order/commerce_order_ui.module','commerce_order_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Order UI\";s:11:\"description\";s:75:\"Exposes a default UI for Orders through order edit forms and default Views.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:6:{i:0;s:8:\"field_ui\";i:1;s:8:\"commerce\";i:2;s:11:\"commerce_ui\";i:3;s:18:\"commerce_line_item\";i:4;s:14:\"commerce_order\";i:5;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/commerce/config/order\";s:5:\"files\";a:2:{i:0;s:74:\"includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc\";i:1;s:28:\"tests/commerce_order_ui.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/payment/commerce_payment.module','commerce_payment','module','',1,0,7103,0,'a:12:{s:4:\"name\";s:7:\"Payment\";s:11:\"description\";s:52:\"Implement core payment features for Drupal commerce.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:4:{i:0;s:8:\"commerce\";i:1;s:14:\"commerce_order\";i:2;s:6:\"entity\";i:3;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:16:{i:0;s:26:\"commerce_payment.rules.inc\";i:1;s:52:\"includes/commerce_payment_transaction.controller.inc\";i:2;s:64:\"includes/views/handlers/commerce_payment_handler_area_totals.inc\";i:3;s:65:\"includes/views/handlers/commerce_payment_handler_field_amount.inc\";i:4;s:72:\"includes/views/handlers/commerce_payment_handler_field_currency_code.inc\";i:5;s:66:\"includes/views/handlers/commerce_payment_handler_field_message.inc\";i:6;s:73:\"includes/views/handlers/commerce_payment_handler_field_payment_method.inc\";i:7;s:83:\"includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc\";i:8;s:90:\"includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc\";i:9;s:89:\"includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc\";i:10;s:65:\"includes/views/handlers/commerce_payment_handler_field_status.inc\";i:11;s:74:\"includes/views/handlers/commerce_payment_handler_filter_payment_method.inc\";i:12;s:86:\"includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc\";i:13;s:73:\"includes/views/handlers/commerce_payment_handler_filter_currency_code.inc\";i:14;s:66:\"includes/views/handlers/commerce_payment_handler_field_balance.inc\";i:15;s:33:\"tests/commerce_payment.rules.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/payment/commerce_payment_ui.module','commerce_payment_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:10:\"Payment UI\";s:11:\"description\";s:93:\"Exposes a default UI for payment method configuration and payment transaction administration.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:11:\"rules_admin\";i:1;s:8:\"commerce\";i:2;s:14:\"commerce_order\";i:3;s:17:\"commerce_order_ui\";i:4;s:16:\"commerce_payment\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:37:\"admin/commerce/config/payment-methods\";s:5:\"files\";a:1:{i:0;s:30:\"tests/commerce_payment_ui.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/payment/modules/commerce_payment_example.module','commerce_payment_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Payment Method Example\";s:11:\"description\";s:63:\"Provides an example payment method for testing and development.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:2:{i:0;s:8:\"commerce\";i:1;s:16:\"commerce_payment\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/payment/tests/commerce_payment_dummy_offsite.module','commerce_payment_dummy_offsite','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"Commerce payment offsite test\";s:11:\"description\";s:52:\"Support module for customer payment related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:8:\"7.x-1.13\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/price/commerce_price.module','commerce_price','module','',1,0,7100,0,'a:12:{s:4:\"name\";s:5:\"Price\";s:11:\"description\";s:54:\"Defines the price field and a price alteration system.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:1:{i:0;s:8:\"commerce\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:24:\"commerce_price.rules.inc\";i:1;s:71:\"includes/views/handlers/commerce_price_handler_field_commerce_price.inc\";i:2;s:79:\"includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product/commerce_product.module','commerce_product','module','',1,0,7104,0,'a:12:{s:4:\"name\";s:7:\"Product\";s:11:\"description\";s:51:\"Defines the Product entity and associated features.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:2:{i:0;s:8:\"commerce\";i:1;s:14:\"commerce_price\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:40:\"includes/commerce_product.controller.inc\";i:1;s:68:\"includes/views/handlers/commerce_product_handler_area_empty_text.inc\";i:2;s:72:\"includes/views/handlers/commerce_product_handler_argument_product_id.inc\";i:3;s:66:\"includes/views/handlers/commerce_product_handler_field_product.inc\";i:4;s:71:\"includes/views/handlers/commerce_product_handler_field_product_type.inc\";i:5;s:71:\"includes/views/handlers/commerce_product_handler_field_product_link.inc\";i:6;s:78:\"includes/views/handlers/commerce_product_handler_field_product_link_delete.inc\";i:7;s:76:\"includes/views/handlers/commerce_product_handler_field_product_link_edit.inc\";i:8;s:77:\"includes/views/handlers/commerce_product_handler_field_product_operations.inc\";i:9;s:72:\"includes/views/handlers/commerce_product_handler_filter_product_type.inc\";i:10;s:49:\"includes/commerce_product.translation_handler.inc\";i:11;s:27:\"tests/commerce_product.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product/commerce_product_ui.module','commerce_product_ui','module','',1,0,7100,0,'a:13:{s:4:\"name\";s:10:\"Product UI\";s:11:\"description\";s:79:\"Exposes a default UI for Products through product edit forms and default Views.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:8:\"field_ui\";i:1;s:8:\"commerce\";i:2;s:11:\"commerce_ui\";i:3;s:16:\"commerce_product\";i:4;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/commerce/products/types\";s:5:\"files\";a:1:{i:0;s:30:\"tests/commerce_product_ui.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product/tests/commerce_product_crud_test.module','commerce_product_crud_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Commerce product crud test\";s:11:\"description\";s:43:\"Support module for product related testing.\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"version\";s:8:\"7.x-1.13\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product_pricing/commerce_product_pricing.module','commerce_product_pricing','module','',1,0,7100,0,'a:12:{s:4:\"name\";s:15:\"Product Pricing\";s:11:\"description\";s:79:\"Enables Rules based product sell price calculation for dynamic product pricing.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:14:\"commerce_price\";i:2;s:26:\"commerce_product_reference\";i:3;s:6:\"entity\";i:4;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product_pricing/commerce_product_pricing_ui.module','commerce_product_pricing_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:18:\"Product Pricing UI\";s:11:\"description\";s:77:\"Exposes a UI for managing product pricing rules and pre-calculation settings.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:6:{i:0;s:11:\"rules_admin\";i:1;s:8:\"commerce\";i:2;s:11:\"commerce_ui\";i:3;s:14:\"commerce_price\";i:4;s:24:\"commerce_product_pricing\";i:5;s:26:\"commerce_product_reference\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:37:\"admin/commerce/config/product-pricing\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/product_reference/commerce_product_reference.module','commerce_product_reference','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Product Reference\";s:11:\"description\";s:65:\"Defines a product reference field and default display formatters.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:6:{i:0;s:8:\"commerce\";i:1;s:18:\"commerce_line_item\";i:2;s:14:\"commerce_price\";i:3;s:16:\"commerce_product\";i:4;s:6:\"entity\";i:5;s:7:\"options\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:93:\"includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc\";i:1;s:79:\"includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc\";i:2;s:92:\"includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc\";i:3;s:37:\"tests/commerce_product_reference.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/tax/commerce_tax.module','commerce_tax','module','',1,0,0,0,'a:12:{s:4:\"name\";s:3:\"Tax\";s:11:\"description\";s:71:\"Define tax rates and configure tax rules for applicability and display.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:6:{i:0;s:8:\"commerce\";i:1;s:18:\"commerce_line_item\";i:2;s:14:\"commerce_price\";i:3;s:24:\"commerce_product_pricing\";i:4;s:6:\"entity\";i:5;s:5:\"rules\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce/modules/tax/commerce_tax_ui.module','commerce_tax_ui','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:6:\"Tax UI\";s:11:\"description\";s:54:\"Provides a UI for creating simple tax types and rates.\";s:7:\"package\";s:8:\"Commerce\";s:12:\"dependencies\";a:3:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:12:\"commerce_tax\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/commerce/config/taxes\";s:5:\"files\";a:1:{i:0;s:26:\"tests/commerce_tax_ui.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:8:\"commerce\";s:9:\"datestamp\";s:10:\"1459956613\";s:5:\"mtime\";i:1459956613;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_donate/commerce_donate.module','commerce_donate','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:15:\"Commerce Donate\";s:11:\"description\";s:72:\"Provides a donation product and checkout page widget for Drupal Commerce\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:18:\"Commerce (contrib)\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:3:{i:0;s:34:\"includes/commerce_donate.field.inc\";i:1;s:42:\"includes/commerce_donate.checkout_pane.inc\";i:2;s:34:\"commerce_donate.rules_defaults.inc\";}s:12:\"dependencies\";a:12:{i:0;s:8:\"commerce\";i:1;s:13:\"commerce_cart\";i:2;s:18:\"commerce_line_item\";i:3;s:14:\"commerce_price\";i:4;s:16:\"commerce_product\";i:5;s:26:\"commerce_product_reference\";i:6;s:6:\"entity\";i:7;s:5:\"field\";i:8;s:6:\"number\";i:9;s:7:\"options\";i:10;s:5:\"rules\";i:11;s:15:\"select_or_other\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:15:\"commerce_donate\";s:9:\"datestamp\";s:10:\"1437349740\";s:5:\"mtime\";i:1437349740;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_paypal/commerce_paypal.module','commerce_paypal','module','',1,0,0,0,'a:12:{s:4:\"name\";s:6:\"PayPal\";s:11:\"description\";s:64:\"Implements PayPal payment services for use with Drupal Commerce.\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:12:\"dependencies\";a:4:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:16:\"commerce_payment\";i:3;s:14:\"commerce_order\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:5:\"mtime\";i:1497908944;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_paypal/modules/ec/commerce_paypal_ec.module','commerce_paypal_ec','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:23:\"PayPal Express Checkout\";s:11:\"description\";s:63:\"Implements PayPal Express Checkout in Drupal Commerce checkout.\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:16:\"commerce_payment\";i:3;s:14:\"commerce_order\";i:4;s:15:\"commerce_paypal\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:5:\"mtime\";i:1497908944;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_paypal/modules/payflow/commerce_payflow.module','commerce_payflow','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:41:\"PayPal Payments Advanced and Payflow Link\";s:11:\"description\";s:112:\"Implements PayPal Payments Advanced (U.S. only) and Payflow Link Hosted Checkout pages and Transparent Redirect.\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:16:\"commerce_payment\";i:3;s:14:\"commerce_order\";i:4;s:15:\"commerce_paypal\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:5:\"mtime\";i:1497908944;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_paypal/modules/wpp/commerce_paypal_wpp.module','commerce_paypal_wpp','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"PayPal WPP\";s:11:\"description\";s:67:\"Implements PayPal Website Payments Pro in Drupal Commerce checkout.\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:16:\"commerce_payment\";i:3;s:14:\"commerce_order\";i:4;s:15:\"commerce_paypal\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:5:\"mtime\";i:1497908944;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/commerce_paypal/modules/wps/commerce_paypal_wps.module','commerce_paypal_wps','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PayPal WPS\";s:11:\"description\";s:72:\"Implements PayPal Website Payments Standard in Drupal Commerce checkout.\";s:7:\"package\";s:17:\"Commerce (PayPal)\";s:12:\"dependencies\";a:5:{i:0;s:8:\"commerce\";i:1;s:11:\"commerce_ui\";i:2;s:16:\"commerce_payment\";i:3;s:14:\"commerce_order\";i:4;s:15:\"commerce_paypal\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:15:\"commerce_paypal\";s:9:\"datestamp\";s:10:\"1497908944\";s:5:\"mtime\";i:1497908944;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',1,0,6004,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.7\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1463605446\";s:5:\"mtime\";i:1463605446;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel.module','devel','module','',1,1,7006,88,'a:14:{s:4:\"name\";s:5:\"Devel\";s:11:\"description\";s:52:\"Various blocks, pages, and functions for developers.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:5:\"files\";a:2:{i:0;s:10:\"devel.test\";i:1;s:14:\"devel.mail.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_generate/devel_generate.module','devel_generate','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Devel generate\";s:11:\"description\";s:48:\"Generate dummy users, nodes, and taxonomy terms.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:9:\"configure\";s:33:\"admin/config/development/generate\";s:5:\"files\";a:1:{i:0;s:19:\"devel_generate.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_node_access.module','devel_node_access','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:17:\"Devel node access\";s:11:\"description\";s:68:\"Developer blocks and page illustrating relevant node_access records.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity.module','entity','module','',1,0,7003,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',1,0,0,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.8\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1474546503\";s:5:\"mtime\";i:1474546503;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',1,0,7100,0,'a:13:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:17:\"test_dependencies\";a:2:{i:0;s:5:\"feeds\";i:1;s:5:\"views\";}s:5:\"files\";a:12:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";i:11;s:45:\"tests/entityreference.entity_translation.test\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1495557187\";s:5:\"mtime\";i:1495557187;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/exclude_node_title/exclude_node_title.module','exclude_node_title','module','',1,0,7100,0,'a:13:{s:4:\"name\";s:18:\"Exclude node title\";s:11:\"description\";s:153:\"Excludes a node title from display. It provides a checkbox on node-edit pages for easier exclusion. You can also exclude title display from teaser pages.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Other\";s:9:\"configure\";s:39:\"admin/config/content/exclude_node_title\";s:5:\"files\";a:3:{i:0;s:23:\"exclude_node_title.info\";i:1;s:25:\"exclude_node_title.module\";i:2;s:28:\"exclude_node_title.admin.inc\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:5:\"mtime\";i:1435338184;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/facetapi/contrib/current_search/current_search.module','current_search','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Current Search Blocks\";s:11:\"description\";s:90:\"Provides an interface for creating blocks containing information about the current search.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"facetapi\";}s:7:\"package\";s:14:\"Search Toolkit\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:31:\"plugins/current_search/item.inc\";i:1;s:38:\"plugins/current_search/item_active.inc\";i:2;s:37:\"plugins/current_search/item_group.inc\";i:3;s:36:\"plugins/current_search/item_text.inc\";i:4;s:25:\"tests/current_search.test\";}s:9:\"configure\";s:34:\"admin/config/search/current_search\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"facetapi\";s:9:\"datestamp\";s:10:\"1405685332\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/facetapi/facetapi.module','facetapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Facet API\";s:11:\"description\";s:68:\"An abstracted facet API that can be used by various search backends.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:14:\"Search Toolkit\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:14:{i:0;s:28:\"plugins/facetapi/adapter.inc\";i:1;s:31:\"plugins/facetapi/dependency.inc\";i:2;s:38:\"plugins/facetapi/dependency_bundle.inc\";i:3;s:36:\"plugins/facetapi/dependency_role.inc\";i:4;s:35:\"plugins/facetapi/empty_behavior.inc\";i:5;s:40:\"plugins/facetapi/empty_behavior_text.inc\";i:6;s:27:\"plugins/facetapi/filter.inc\";i:7;s:31:\"plugins/facetapi/query_type.inc\";i:8;s:34:\"plugins/facetapi/url_processor.inc\";i:9;s:43:\"plugins/facetapi/url_processor_standard.inc\";i:10;s:27:\"plugins/facetapi/widget.inc\";i:11;s:33:\"plugins/facetapi/widget_links.inc\";i:12;s:31:\"tests/facetapi_test.plugins.inc\";i:13;s:19:\"tests/facetapi.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"facetapi\";s:9:\"datestamp\";s:10:\"1405685332\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/facetapi/tests/facetapi_test.module','facetapi_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Facet API Test\";s:11:\"description\";s:36:\"Provides a test adapter and plugins.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"facetapi\";}s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"facetapi\";s:9:\"datestamp\";s:10:\"1405685332\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/faq/faq.module','faq','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Frequently Asked Questions\";s:11:\"description\";s:50:\"Manages configuration of questions for a FAQ page.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:18:{i:0;s:13:\"faq.admin.inc\";i:1;s:11:\"faq.install\";i:2;s:10:\"faq.module\";i:3;s:8:\"faq.test\";i:4;s:41:\"includes/faq-category-hide-answer.tpl.php\";i:5;s:38:\"includes/faq-category-new-page.tpl.php\";i:6;s:46:\"includes/faq-category-questions-inline.tpl.php\";i:7;s:51:\"includes/faq-category-questions-top-answers.tpl.php\";i:8;s:43:\"includes/faq-category-questions-top.tpl.php\";i:9;s:32:\"includes/faq-hide-answer.tpl.php\";i:10;s:29:\"includes/faq-new-page.tpl.php\";i:11;s:37:\"includes/faq-questions-inline.tpl.php\";i:12;s:34:\"includes/faq-questions-top.tpl.php\";i:13;s:28:\"includes/faq.hide_answer.inc\";i:14;s:25:\"includes/faq.new_page.inc\";i:15;s:33:\"includes/faq.questions_inline.inc\";i:16;s:30:\"includes/faq.questions_top.inc\";i:17;s:19:\"views/faq.views.inc\";}s:9:\"configure\";s:24:\"admin/config/content/faq\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:3:\"faq\";s:9:\"datestamp\";s:10:\"1415528891\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection/field_collection.module','field_collection','module','',1,0,7008,0,'a:16:{s:4:\"name\";s:16:\"Field collection\";s:11:\"description\";s:81:\"Provides a field collection field, to which any number of fields can be attached.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:17:\"test_dependencies\";a:1:{i:0;s:18:\"entity_translation\";}s:5:\"files\";a:6:{i:0;s:21:\"field_collection.test\";i:1;s:27:\"field_collection.entity.inc\";i:2;s:25:\"field_collection.info.inc\";i:3;s:54:\"includes/translation.handler.field_collection_item.inc\";i:4;s:47:\"views/field_collection_handler_relationship.inc\";i:5;s:28:\"field_collection.migrate.inc\";}s:9:\"configure\";s:33:\"admin/structure/field-collections\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1479402861\";s:5:\"mtime\";i:1479402861;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/field_formatter_class/field_formatter_class.module','field_formatter_class','module','',1,0,0,0,'a:12:{s:4:\"name\";s:21:\"Field Formatter Class\";s:11:\"description\";s:48:\"Allows custom HTML classes for field formatters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:24:\"field_formatter_settings\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_formatter_settings/field_formatter_settings.module','field_formatter_settings','module','',1,0,0,0,'a:13:{s:4:\"name\";s:28:\"Field formatter settings API\";s:11:\"description\";s:71:\"Provides missing alter hooks for field formatter settings and summaries\";s:4:\"core\";s:3:\"7.x\";s:8:\"enhances\";a:2:{i:0;s:8:\"field_ui\";i:1;s:8:\"views_ui\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/field_group.module','field_group','module','',1,0,7008,1,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_slideshow/field_slideshow.module','field_slideshow','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:15:\"Field Slideshow\";s:11:\"description\";s:65:\"Provides a Slideshow format for displaying Image or Media fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"field_slideshow.module\";}s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider.module','flexslider','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"FlexSlider\";s:11:\"description\";s:46:\"Integrate the FlexSlider 2 library with Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:3:{i:0;s:17:\"libraries (>=2.x)\";i:1;s:6:\"ctools\";i:2;s:5:\"image\";}s:5:\"files\";a:2:{i:0;s:26:\"theme/flexslider.theme.inc\";i:1;s:15:\"flexslider.test\";}s:9:\"configure\";s:29:\"admin/config/media/flexslider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_example/flexslider_example.module','flexslider_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"FlexSlider Example\";s:11:\"description\";s:35:\"Sample implementation of FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:7:\"context\";i:1;s:8:\"features\";i:2;s:10:\"flexslider\";i:3;s:17:\"flexslider_fields\";i:4;s:16:\"flexslider_views\";i:5;s:5:\"image\";i:6;s:4:\"menu\";i:7;s:9:\"strongarm\";i:8;s:5:\"views\";}s:8:\"features\";a:9:{s:7:\"context\";a:1:{i:0;s:28:\"flexslider_example_thumbnail\";}s:6:\"ctools\";a:4:{i:0;s:17:\"context:context:3\";i:1;s:38:\"flexslider:flexslider_default_preset:1\";i:2;s:21:\"strongarm:strongarm:1\";i:3;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:2:{i:0;s:54:\"node-flexslider_example-field_flexslider_example_image\";i:1;s:56:\"node-flexslider_example-field_flexslider_example_slidesh\";}s:20:\"flexslider_optionset\";a:6:{i:0;s:43:\"flexslider_carousel_with_min_and_max_ranges\";i:1;s:33:\"flexslider_default_basic_carousel\";i:2;s:46:\"flexslider_default_slider_thumbnail_controlnav\";i:3;s:44:\"flexslider_default_slider_w_thumbnail_slider\";i:4;s:37:\"flexslider_default_thumbnail_captions\";i:5;s:35:\"flexslider_default_thumbnail_slider\";}s:11:\"menu_custom\";a:1:{i:0;s:23:\"menu-flexslider-example\";}s:4:\"node\";a:1:{i:0;s:18:\"flexslider_example\";}s:8:\"variable\";a:1:{i:0;s:46:\"field_bundle_settings_node__flexslider_example\";}s:10:\"views_view\";a:1:{i:0;s:24:\"flexslider_views_example\";}}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499931892;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module','flexslider_fields','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"FlexSlider Fields\";s:11:\"description\";s:44:\"Adds a display mode in Fields for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:1:{i:0;s:10:\"flexslider\";}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','flexslider_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"FlexSlider Views Style\";s:11:\"description\";s:40:\"Adds a Views style plugin for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:10:\"flexslider\";}s:5:\"files\";a:3:{i:0;s:23:\"flexslider_views.module\";i:1;s:26:\"flexslider_views.views.inc\";i:2;s:44:\"flexslider_views_plugin_style_flexslider.inc\";}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/block/flickr_block.module','flickr_block','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Flickr Block\";s:11:\"description\";s:90:\"Display Flickr images in blocks to show recent or random images from a user, set or group.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:21:\"admin/structure/block\";s:12:\"dependencies\";a:2:{i:0;s:6:\"flickr\";i:1;s:5:\"block\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/field/flickrfield.module','flickrfield','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Flickr Field\";s:11:\"description\";s:47:\"Add Flickr images or sets to content as fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:21:\"admin/structure/types\";s:12:\"dependencies\";a:2:{i:0;s:6:\"flickr\";i:1;s:5:\"field\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/filter/flickr_filter.module','flickr_filter','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Flickr Filter\";s:11:\"description\";s:60:\"A text filter to insert Flickr photos and sets into content.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:28:\"admin/config/content/formats\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/flickr.module','flickr','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Flickr\";s:11:\"description\";s:30:\"Flickr and Drupal integration.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:25:\"admin/config/media/flickr\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/sets/flickr_sets.module','flickr_sets','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Flickr Sets\";s:11:\"description\";s:46:\"Adds photoset capability to the Flickr module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/tags/flickr_tags.module','flickr_tags','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Flickr Tags\";s:11:\"description\";s:38:\"Adds tags capability to Flickr module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:5:\"mtime\";i:1499931892;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n.module','i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Internationalization\";s:11:\"description\";s:49:\"Extends Drupal support for multilingual features.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:8:\"variable\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:15:\"i18n_object.inc\";i:1;s:9:\"i18n.test\";}s:9:\"configure\";s:26:\"admin/config/regional/i18n\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_block/i18n_block.module','i18n_block','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Block languages\";s:11:\"description\";s:68:\"Enables language selector for blocks and optional block translation.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_block.inc\";i:1;s:15:\"i18n_block.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_contact/i18n_contact.module','i18n_contact','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Contact translation\";s:11:\"description\";s:63:\"Makes contact categories and replies available for translation.\";s:12:\"dependencies\";a:2:{i:0;s:7:\"contact\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_field/i18n_field.module','i18n_field','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Field translation\";s:11:\"description\";s:26:\"Translate field properties\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_field.inc\";i:1;s:15:\"i18n_field.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_forum/i18n_forum.module','i18n_forum','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Multilingual forum\";s:11:\"description\";s:60:\"Enables multilingual forum, translates names and containers.\";s:12:\"dependencies\";a:3:{i:0;s:5:\"forum\";i:1;s:13:\"i18n_taxonomy\";i:2;s:9:\"i18n_node\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"i18n_forum.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_menu/i18n_menu.module','i18n_menu','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Menu translation\";s:11:\"description\";s:40:\"Supports translatable custom menu items.\";s:12:\"dependencies\";a:4:{i:0;s:4:\"i18n\";i:1;s:4:\"menu\";i:2;s:11:\"i18n_string\";i:3;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_menu.inc\";i:1;s:14:\"i18n_menu.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_node/i18n_node.module','i18n_node','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Multilingual content\";s:11:\"description\";s:46:\"Extended node options for multilingual content\";s:12:\"dependencies\";a:3:{i:0;s:11:\"translation\";i:1;s:4:\"i18n\";i:2;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:31:\"admin/config/regional/i18n/node\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_node.test\";i:1;s:22:\"i18n_node.variable.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_path/i18n_path.module','i18n_path','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Path translation\";s:11:\"description\";s:37:\"Define translations for generic paths\";s:12:\"dependencies\";a:1:{i:0;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_path.inc\";i:1;s:14:\"i18n_path.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_redirect/i18n_redirect.module','i18n_redirect','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Translation redirect\";s:11:\"description\";s:71:\"Redirect to translated page when available. SEO for multilingual sites.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_select/i18n_select.module','i18n_select','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Multilingual select\";s:11:\"description\";s:45:\"API module for multilingual content selection\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:33:\"admin/config/regional/i18n/select\";s:5:\"files\";a:1:{i:0;s:16:\"i18n_select.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_string/i18n_string.module','i18n_string','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"String translation\";s:11:\"description\";s:57:\"Provides support for translation of user defined strings.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:21:\"i18n_string.admin.inc\";i:1;s:15:\"i18n_string.inc\";i:2;s:16:\"i18n_string.test\";}s:9:\"configure\";s:34:\"admin/config/regional/i18n/strings\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_sync/i18n_sync.module','i18n_sync','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:24:\"Synchronize translations\";s:11:\"description\";s:74:\"Synchronizes taxonomy and fields accross translations of the same content.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"i18n\";i:1;s:11:\"translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:16:\"i18n_sync.module\";i:1;s:17:\"i18n_sync.install\";i:2;s:20:\"i18n_sync.module.inc\";i:3;s:18:\"i18n_sync.node.inc\";i:4;s:14:\"i18n_sync.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.module','i18n_taxonomy','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Taxonomy translation\";s:11:\"description\";s:30:\"Enables multilingual taxonomy.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"taxonomy\";i:1;s:11:\"i18n_string\";i:2;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:17:\"i18n_taxonomy.inc\";i:1;s:23:\"i18n_taxonomy.pages.inc\";i:2;s:23:\"i18n_taxonomy.admin.inc\";i:3;s:18:\"i18n_taxonomy.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_translation/i18n_translation.module','i18n_translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Translation sets\";s:11:\"description\";s:47:\"Simple translation sets API for generic objects\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"i18n_translation.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_user/i18n_user.module','i18n_user','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"User mail translation\";s:11:\"description\";s:43:\"Translate emails sent from the User module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:1:{i:0;s:13:\"i18n_variable\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_variable/i18n_variable.module','i18n_variable','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Variable translation\";s:11:\"description\";s:71:\"Multilingual variables that switch language depending on page language.\";s:12:\"dependencies\";a:3:{i:0;s:4:\"i18n\";i:1;s:24:\"variable_store (7.x-2.x)\";i:2;s:24:\"variable_realm (7.x-2.x)\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/config/regional/i18n/variable\";s:5:\"files\";a:2:{i:0;s:23:\"i18n_variable.class.inc\";i:1;s:18:\"i18n_variable.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/tests/i18n_test.module','i18n_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Internationalization tests\";s:11:\"description\";s:55:\"Helper module for testing i18n (do not enable manually)\";s:12:\"dependencies\";a:3:{i:0;s:6:\"locale\";i:1;s:11:\"translation\";i:2;s:4:\"i18n\";}s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499931892;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/image_delta_formatter/image_delta_formatter.module','image_delta_formatter','module','',1,0,0,0,'a:12:{s:4:\"name\";s:21:\"Image Delta Formatter\";s:11:\"description\";s:79:\"Provides a formatter that displays a specific delta of a multivalue imagefield.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:7:\"project\";s:21:\"image_delta_formatter\";s:9:\"datestamp\";s:10:\"1355927255\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/inline_entity_form/inline_entity_form.module','inline_entity_form','module','',1,0,0,0,'a:13:{s:4:\"name\";s:18:\"Inline Entity Form\";s:11:\"description\";s:98:\"Provides a widget for inline management (creation, modification, removal) of referenced entities. \";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:14:\"system (>7.14)\";}s:17:\"test_dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:15:\"entityreference\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:7:{i:0;s:38:\"includes/entity.inline_entity_form.inc\";i:1;s:36:\"includes/node.inline_entity_form.inc\";i:2;s:45:\"includes/taxonomy_term.inline_entity_form.inc\";i:3;s:48:\"includes/commerce_product.inline_entity_form.inc\";i:4;s:50:\"includes/commerce_line_item.inline_entity_form.inc\";i:5;s:39:\"tests/inline_entity_form_test_base.test\";i:6;s:33:\"tests/multiple_values_widget.test\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:5:\"mtime\";i:1460849408;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/inline_entity_form/tests/modules/inline_entity_form_test/inline_entity_form_test.module','inline_entity_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Inline entity form test\";s:11:\"description\";s:51:\"Contains all content types required for IEF testing\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:5:{i:0;s:15:\"entityreference\";i:1;s:5:\"image\";i:2;s:18:\"inline_entity_form\";i:3;s:6:\"number\";i:4;s:4:\"text\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1460849408\";s:5:\"mtime\";i:1460849408;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499931892;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/languageicons/languageicons.module','languageicons','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Language Icons\";s:11:\"description\";s:29:\"Adds icons to language links.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:12:\"Multilingual\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/regional/language/icons\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/lang_dropdown/lang_dropdown.module','lang_dropdown','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Language Switcher Dropdown\";s:7:\"package\";s:12:\"Multilingual\";s:11:\"description\";s:65:\"Provides a dropdown select to switch between available languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"lang_dropdown.module\";i:1;s:21:\"lang_dropdown.install\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/lang_dropdown/lang_dropdown_hideout/lang_dropdown_hideout.module','lang_dropdown_hideout','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:34:\"Language Switcher Dropdown Hideout\";s:7:\"package\";s:12:\"Multilingual\";s:11:\"description\";s:69:\"Allow to hide specific languages from the switcher for certain roles.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:28:\"lang_dropdown_hideout.module\";i:1;s:29:\"lang_dropdown_hideout.install\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:13:\"lang_dropdown\";s:9:\"datestamp\";s:10:\"1387127905\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7201,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:4:{i:0;s:32:\"tests/LibrariesAdminWebTest.test\";i:1;s:31:\"tests/LibrariesLoadWebTest.test\";i:2;s:28:\"tests/LibrariesUnitTest.test\";i:3;s:31:\"tests/LibrariesWebTestBase.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:11:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:28:\"tests/link.entity_token.test\";i:8;s:24:\"tests/link.validate.test\";i:9;s:44:\"views/link_views_handler_argument_target.inc\";i:10;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:5:\"mtime\";i:1452830642;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',1,0,0,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:8:{i:0;s:21:\"module_filter.install\";i:1;s:20:\"module_filter.module\";i:2;s:23:\"module_filter.admin.inc\";i:3;s:23:\"module_filter.theme.inc\";i:4;s:21:\"css/module_filter.css\";i:5;s:25:\"css/module_filter_tab.css\";i:6;s:19:\"js/module_filter.js\";i:7;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:5:\"mtime\";i:1497029349;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/node_class/node_class.module','node_class','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"Node Class\";s:11:\"description\";s:38:\"Allows assigning CSS classes to nodes.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/page_title/page_title.module','page_title','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Page Title\";s:11:\"description\";s:60:\"Enhanced control over the page title (in the &lt;head> tag).\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:3:\"SEO\";s:12:\"dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:6:{i:0;s:17:\"page_title.module\";i:1;s:20:\"page_title.admin.inc\";i:2;s:21:\"page_title.tokens.inc\";i:3;s:15:\"page_title.test\";i:4;s:64:\"views/plugins/page_title_plugin_display_page_with_page_title.inc\";i:5;s:39:\"views_handler_field_node_page_title.inc\";}s:9:\"configure\";s:30:\"admin/config/search/page-title\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"page_title\";s:9:\"datestamp\";s:10:\"1336556786\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7006,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"pathauto.migrate.inc\";i:1;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:5:\"mtime\";i:1444232655;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',1,0,7303,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules.module','rules','module','',1,1,7215,20,'a:13:{s:4:\"name\";s:5:\"Rules\";s:11:\"description\";s:51:\"React on events and conditionally evaluate actions.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:17:{i:0;s:18:\"rules.features.inc\";i:1;s:16:\"tests/rules.test\";i:2;s:18:\"includes/faces.inc\";i:3;s:23:\"includes/rules.core.inc\";i:4;s:24:\"includes/rules.event.inc\";i:5;s:28:\"includes/rules.processor.inc\";i:6;s:26:\"includes/rules.plugins.inc\";i:7;s:24:\"includes/rules.state.inc\";i:8;s:29:\"includes/rules.dispatcher.inc\";i:9;s:21:\"modules/node.eval.inc\";i:10;s:20:\"modules/php.eval.inc\";i:11;s:27:\"modules/rules_core.eval.inc\";i:12;s:23:\"modules/system.eval.inc\";i:13;s:20:\"ui/ui.controller.inc\";i:14;s:14:\"ui/ui.core.inc\";i:15;s:14:\"ui/ui.data.inc\";i:16;s:17:\"ui/ui.plugins.inc\";}s:12:\"dependencies\";a:2:{i:0;s:12:\"entity_token\";i:1;s:6:\"entity\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:9:\"configure\";s:27:\"admin/config/workflow/rules\";}'),('sites/all/modules/rules/rules_admin/rules_admin.module','rules_admin','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Rules UI\";s:11:\"description\";s:44:\"Administrative interface for managing rules.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"rules_admin.module\";i:1;s:15:\"rules_admin.inc\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_i18n/rules_i18n.module','rules_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Rules translation\";s:11:\"description\";s:25:\"Allows translating rules.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"rules\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:19:\"rules_i18n.i18n.inc\";i:1;s:20:\"rules_i18n.rules.inc\";i:2;s:15:\"rules_i18n.test\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_scheduler/rules_scheduler.module','rules_scheduler','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Rules Scheduler\";s:11:\"description\";s:57:\"Schedule the execution of Rules components using actions.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:25:\"rules_scheduler.admin.inc\";i:1;s:22:\"rules_scheduler.module\";i:2;s:23:\"rules_scheduler.install\";i:3;s:25:\"rules_scheduler.rules.inc\";i:4;s:20:\"rules_scheduler.test\";i:5;s:36:\"includes/rules_scheduler.handler.inc\";i:6;s:42:\"includes/rules_scheduler.views_default.inc\";i:7;s:34:\"includes/rules_scheduler.views.inc\";i:8;s:41:\"includes/rules_scheduler_views_filter.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:9:\"configure\";s:36:\"admin/config/workflow/rules/schedule\";}'),('sites/all/modules/rules/rules_scheduler/tests/rules_scheduler_test.module','rules_scheduler_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Scheduler Tests\";s:11:\"description\";s:45:\"Support module for the Rules Scheduler tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"rules_scheduler_test.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test.module','rules_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Rules Tests\";s:11:\"description\";s:35:\"Support module for the Rules tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"rules_test.rules.inc\";i:1;s:29:\"rules_test.rules_defaults.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test_invocation.module','rules_test_invocation','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Test invocation\";s:11:\"description\";s:40:\"Helper module to test Rules invocations.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1492697958\";s:5:\"mtime\";i:1492697958;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/contrib/search_api_facetapi/search_api_facetapi.module','search_api_facetapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Search facets\";s:11:\"description\";s:73:\"Integrate the Search API with the Facet API to provide facetted searches.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"search_api\";i:1;s:8:\"facetapi\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:3:{i:0;s:28:\"plugins/facetapi/adapter.inc\";i:1;s:36:\"plugins/facetapi/query_type_term.inc\";i:2;s:36:\"plugins/facetapi/query_type_date.inc\";}s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/contrib/search_api_views/search_api_views.module','search_api_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Search views\";s:11:\"description\";s:107:\"Integrates the Search API with Views, enabling users to create views with searches as filters or arguments.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"search_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:20:{i:0;s:32:\"includes/display_facet_block.inc\";i:1;s:29:\"includes/handler_argument.inc\";i:2;s:38:\"includes/handler_argument_fulltext.inc\";i:3;s:44:\"includes/handler_argument_more_like_this.inc\";i:4;s:36:\"includes/handler_argument_string.inc\";i:5;s:34:\"includes/handler_argument_date.inc\";i:6;s:43:\"includes/handler_argument_taxonomy_term.inc\";i:7;s:27:\"includes/handler_filter.inc\";i:8;s:35:\"includes/handler_filter_boolean.inc\";i:9;s:32:\"includes/handler_filter_date.inc\";i:10;s:34:\"includes/handler_filter_entity.inc\";i:11;s:36:\"includes/handler_filter_fulltext.inc\";i:12;s:36:\"includes/handler_filter_language.inc\";i:13;s:35:\"includes/handler_filter_options.inc\";i:14;s:41:\"includes/handler_filter_taxonomy_term.inc\";i:15;s:32:\"includes/handler_filter_text.inc\";i:16;s:32:\"includes/handler_filter_user.inc\";i:17;s:25:\"includes/handler_sort.inc\";i:18;s:25:\"includes/plugin_cache.inc\";i:19;s:18:\"includes/query.inc\";}s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/search_api.module','search_api','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Search API\";s:11:\"description\";s:63:\"Provides a generic API for modules offering search capabilites.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:27:{i:0;s:15:\"search_api.test\";i:1;s:21:\"includes/callback.inc\";i:2;s:37:\"includes/callback_add_aggregation.inc\";i:3;s:35:\"includes/callback_add_hierarchy.inc\";i:4;s:29:\"includes/callback_add_url.inc\";i:5;s:39:\"includes/callback_add_viewed_entity.inc\";i:6;s:35:\"includes/callback_bundle_filter.inc\";i:7;s:36:\"includes/callback_comment_access.inc\";i:8;s:38:\"includes/callback_language_control.inc\";i:9;s:33:\"includes/callback_node_access.inc\";i:10;s:33:\"includes/callback_node_status.inc\";i:11;s:33:\"includes/callback_role_filter.inc\";i:12;s:23:\"includes/datasource.inc\";i:13;s:30:\"includes/datasource_entity.inc\";i:14;s:32:\"includes/datasource_external.inc\";i:15;s:22:\"includes/exception.inc\";i:16;s:25:\"includes/index_entity.inc\";i:17;s:22:\"includes/processor.inc\";i:18;s:32:\"includes/processor_highlight.inc\";i:19;s:34:\"includes/processor_html_filter.inc\";i:20;s:34:\"includes/processor_ignore_case.inc\";i:21;s:32:\"includes/processor_stopwords.inc\";i:22;s:32:\"includes/processor_tokenizer.inc\";i:23;s:38:\"includes/processor_transliteration.inc\";i:24;s:18:\"includes/query.inc\";i:25;s:26:\"includes/server_entity.inc\";i:26;s:20:\"includes/service.inc\";}s:9:\"configure\";s:30:\"admin/config/search/search_api\";s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/tests/search_api_test.module','search_api_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Search API test\";s:11:\"description\";s:54:\"Some dummy implementations for testing the Search API.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:1:{i:0;s:10:\"search_api\";}s:5:\"files\";a:1:{i:0;s:22:\"search_api_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api_db/search_api_db.module','search_api_db','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Database search\";s:11:\"description\";s:90:\"Offers an implementation of the Search API that uses database tables for indexing content.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"search_api\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:2:{i:0;s:18:\"search_api_db.test\";i:1;s:11:\"service.inc\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:13:\"search_api_db\";s:9:\"datestamp\";s:10:\"1410186261\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api_ranges/search_api_ranges.module','search_api_ranges','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Search ranges\";s:11:\"description\";s:59:\"Provides range widgets and a min/max slider for Search API.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"facetapi\";i:1;s:10:\"search_api\";i:2;s:19:\"search_api_facetapi\";}s:5:\"files\";a:4:{i:0;s:39:\"includes/callback_search_api_ranges.inc\";i:1;s:33:\"plugins/facetapi/widget_links.inc\";i:2;s:34:\"plugins/facetapi/widget_slider.inc\";i:3;s:34:\"plugins/facetapi/widget_select.inc\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:17:\"search_api_ranges\";s:9:\"datestamp\";s:10:\"1392554914\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api_solr/search_api_solr.module','search_api_solr','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Solr search\";s:11:\"description\";s:96:\"Offers an implementation of the Search API that uses an Apache Solr server for indexing content.\";s:12:\"dependencies\";a:1:{i:0;s:10:\"search_api\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:6:{i:0;s:21:\"includes/document.inc\";i:1;s:20:\"includes/service.inc\";i:2;s:28:\"includes/solr_connection.inc\";i:3;s:38:\"includes/solr_connection.interface.inc\";i:4;s:23:\"includes/solr_field.inc\";i:5;s:23:\"includes/spellcheck.inc\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"search_api_solr\";s:9:\"datestamp\";s:10:\"1410186051\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api_sorts/search_api_sorts.module','search_api_sorts','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Search sorts\";s:11:\"description\";s:67:\"Create sort options for search queries executed via the Search API.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"search_api\";i:1;s:5:\"block\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:1:{i:0;s:27:\"search_api_sorts.entity.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:16:\"search_api_sorts\";s:9:\"datestamp\";s:10:\"1392554916\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_facetapi/search_facetapi.module','search_facetapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:29:\"Faceted Navigation for Search\";s:11:\"description\";s:61:\"Integrates the core Search module with the Facet API project.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"facetapi\";}s:7:\"package\";s:14:\"Search Toolkit\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:28:\"plugins/facetapi/adapter.inc\";i:1;s:36:\"plugins/facetapi/query_type_term.inc\";i:2;s:36:\"plugins/facetapi/query_type_date.inc\";i:3;s:28:\"search_facetapi.extender.inc\";}s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:15:\"search_facetapi\";s:9:\"datestamp\";s:10:\"1338413501\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/select_or_other/select_or_other.module','select_or_other','module','',1,0,7201,1,'a:12:{s:4:\"name\";s:17:\"Select (or other)\";s:11:\"description\";s:86:\"Provides a select box form element with additional option \'Other\' to give a textfield.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:2:{i:0;s:33:\"tests/select_or_other_number.test\";i:1;s:31:\"tests/select_or_other_text.test\";}s:7:\"version\";s:8:\"7.x-2.22\";s:7:\"project\";s:15:\"select_or_other\";s:9:\"datestamp\";s:10:\"1432142587\";s:5:\"mtime\";i:1432142587;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sharethis/sharethis.module','sharethis','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Sharing\";s:9:\"configure\";s:31:\"admin/config/services/sharethis\";s:5:\"files\";a:1:{i:0;s:38:\"views/sharethis_handler_field_link.inc\";}s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1468581840\";s:5:\"mtime\";i:1468581840;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode.module','shortcode','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Shortcode\";s:11:\"description\";s:65:\"Provides shortcodes filter framework and API (like WP shortcodes)\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"filter\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_basic_tags/shortcode_basic_tags.module','shortcode_basic_tags','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Shortcode Basic Tags\";s:11:\"description\";s:59:\"Provides basic shortcode tags like highlight, dropcap, etc.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_embed_content/shortcode_embed_content.module','shortcode_embed_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:27:\"Shortcode Embed Content Tag\";s:11:\"description\";s:64:\"Provides a shortcode tag for embedding a node content into text.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_video/shortcode_video.module','shortcode_video','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Shortcode Video Macro\";s:11:\"description\";s:68:\"Provides easy video embedding to contents. Supports YouTube sharing.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews.module','simplenews','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:10:\"Simplenews\";s:11:\"description\";s:47:\"Send newsletters to subscribed email addresses.\";s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/config/services/simplenews\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:17:\"test_dependencies\";a:1:{i:0;s:13:\"i18n_taxonomy\";}s:5:\"files\";a:13:{i:0;s:21:\"tests/simplenews.test\";i:1;s:30:\"includes/simplenews.source.inc\";i:2;s:70:\"includes/views/handlers/simplenews_handler_field_newsletter_status.inc\";i:3;s:72:\"includes/views/handlers/simplenews_handler_field_newsletter_priority.inc\";i:4;s:72:\"includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc\";i:5;s:73:\"includes/views/handlers/simplenews_handler_field_category_new_account.inc\";i:6;s:71:\"includes/views/handlers/simplenews_handler_field_category_opt_inout.inc\";i:7;s:68:\"includes/views/handlers/simplenews_handler_field_newsletter_send.inc\";i:8;s:71:\"includes/views/handlers/simplenews_handler_filter_newsletter_status.inc\";i:9;s:73:\"includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc\";i:10;s:73:\"includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc\";i:11;s:74:\"includes/views/handlers/simplenews_handler_filter_category_new_account.inc\";i:12;s:72:\"includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews_rules/simplenews_rules.module','simplenews_rules','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Simplenews rules\";s:11:\"description\";s:54:\"Provides integration with Rules module for Simplenews.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"simplenews\";i:1;s:5:\"rules\";}s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/superfish/superfish.module','superfish','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Superfish\";s:11:\"description\";s:46:\"jQuery Superfish plugin for your Drupal menus.\";s:7:\"package\";s:14:\"User interface\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:9:\"configure\";s:37:\"admin/config/user-interface/superfish\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tagclouds/tagclouds.module','tagclouds','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"TagClouds\";s:11:\"description\";s:61:\"TagClouds makes weighted tag clouds from your taxonomy terms.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/config/content/tagclouds\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1452956656\";s:5:\"mtime\";i:1452956656;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',1,0,7000,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,7101,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:9:\"libraries\";i:1;s:13:\"jquery_update\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1440756596\";s:5:\"mtime\";i:1440756596;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/title/tests/title_test.module','title_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Title Test\";s:11:\"description\";s:61:\"Testing module for Title module functionality. Do not enable.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"title\";i:1;s:6:\"entity\";i:2;s:18:\"entity_translation\";}s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:5:\"mtime\";i:1484302985;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/title/title.module','title','module','',1,0,7002,100,'a:13:{s:4:\"name\";s:5:\"Title\";s:11:\"description\";s:50:\"Replaces entity legacy fields with regular fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:9:\"configure\";s:26:\"admin/config/content/title\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.14)\";}s:5:\"files\";a:3:{i:0;s:12:\"title.module\";i:1;s:35:\"views/views_handler_title_field.inc\";i:2;s:16:\"tests/title.test\";}s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:5:\"mtime\";i:1484302985;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable.module','variable','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Variable\";s:11:\"description\";s:43:\"Variable Information and basic variable API\";s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:27:\"includes/forum.variable.inc\";i:1;s:28:\"includes/locale.variable.inc\";i:2;s:26:\"includes/menu.variable.inc\";i:3;s:26:\"includes/node.variable.inc\";i:4;s:28:\"includes/system.variable.inc\";i:5;s:30:\"includes/taxonomy.variable.inc\";i:6;s:33:\"includes/translation.variable.inc\";i:7;s:26:\"includes/user.variable.inc\";i:8;s:13:\"variable.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_admin/variable_admin.module','variable_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable admin\";s:11:\"description\";s:26:\"Variable Administration UI\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_example/variable_example.module','variable_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Variable example\";s:11:\"description\";s:83:\"An example module showing how to use the Variable API and providing some variables.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:14:\"variable_store\";}s:7:\"package\";s:15:\"Example modules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:29:\"variable_example.variable.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_realm/variable_realm.module','variable_realm','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable realm\";s:11:\"description\";s:49:\"API to use variable realms from different modules\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_realm.class.inc\";i:1;s:30:\"variable_realm_union.class.inc\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_store/variable_store.module','variable_store','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable store\";s:11:\"description\";s:60:\"Database storage for variable realms. This is an API module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_store.class.inc\";i:1;s:19:\"variable_store.test\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_views/variable_views.module','variable_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable views\";s:11:\"description\";s:78:\"Provides views integration for variable, included a default variable argument.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:5:\"views\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:51:\"includes/views_plugin_argument_default_variable.inc\";i:1;s:47:\"includes/views_handler_field_variable_title.inc\";i:2;s:47:\"includes/views_handler_field_variable_value.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_brightcove/video_embed_brightcove.module','video_embed_brightcove','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Video Embed Brightcove\";s:11:\"description\";s:51:\"Provides Brightcove handler for Video Embed Fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_facebook/video_embed_facebook.module','video_embed_facebook','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Video Embed Facebook\";s:11:\"description\";s:133:\"Provides Facebook handler for Video Embed Fields.  This module also serves as an example of how to add handlers to video embed field.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_field.module','video_embed_field','module','',1,0,7010,0,'a:15:{s:4:\"name\";s:17:\"Video Embed Field\";s:11:\"description\";s:63:\"Expose a field type for embedding videos from youtube or vimeo.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:22:\"admin/config/media/vef\";s:5:\"files\";a:2:{i:0;s:29:\"video_embed_field.migrate.inc\";i:1;s:71:\"views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc\";}s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"image\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bootstrap/views_bootstrap.module','views_bootstrap','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:20:\"Bootstrap Components\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:9:{i:0;s:58:\"plugins/carousel/views_bootstrap_carousel_plugin_style.inc\";i:1;s:57:\"plugins/carousel/views_bootstrap_carousel_plugin_rows.inc\";i:2;s:60:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc\";i:3;s:59:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc\";i:4;s:50:\"plugins/grid/views_bootstrap_grid_plugin_style.inc\";i:5;s:60:\"plugins/accordion/views_bootstrap_accordion_plugin_style.inc\";i:6;s:48:\"plugins/tab/views_bootstrap_tab_plugin_style.inc\";i:7;s:52:\"plugins/media/views_bootstrap_media_plugin_style.inc\";i:8;s:52:\"plugins/table/views_bootstrap_table_plugin_style.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/actions_permissions.module','actions_permissions','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:11:\"description\";s:84:\"Provides permission-based access control for actions. Used by Views Bulk Operations.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499931893;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/views_bulk_operations.module','views_bulk_operations','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Views Bulk Operations\";s:11:\"description\";s:74:\"Provides a way of selecting multiple rows and applying operations to them.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:5:\"5.2.9\";s:5:\"files\";a:2:{i:0;s:38:\"plugins/operation_types/base.class.php\";i:1;s:56:\"views/views_bulk_operations_handler_field_operations.inc\";}s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499931893;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:5:\"mtime\";i:1499931893;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_field_view/views_field_view.module','views_field_view','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Views Field View\";s:11:\"description\";s:36:\"Embeds a view inside a view as field\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:39:\"views_field_view_handler_field_view.inc\";i:1;s:27:\"tests/views_field_view.test\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:5:\"mtime\";i:1442561052;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_php/views_php.module','views_php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"Views PHP\";s:11:\"description\";s:44:\"Allows the usage of PHP to construct a view.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:9:{i:0;s:40:\"plugins/views/views_php_handler_area.inc\";i:1;s:41:\"plugins/views/views_php_handler_field.inc\";i:2;s:42:\"plugins/views/views_php_handler_filter.inc\";i:3;s:40:\"plugins/views/views_php_handler_sort.inc\";i:4;s:41:\"plugins/views/views_php_plugin_access.inc\";i:5;s:40:\"plugins/views/views_php_plugin_cache.inc\";i:6;s:40:\"plugins/views/views_php_plugin_pager.inc\";i:7;s:40:\"plugins/views/views_php_plugin_query.inc\";i:8;s:42:\"plugins/views/views_php_plugin_wrapper.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:7:\"project\";s:9:\"views_php\";s:9:\"datestamp\";s:10:\"1447386022\";s:5:\"mtime\";i:1447386022;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_scattered_polaroids/views_scattered_polaroids.module','views_scattered_polaroids','module','',1,0,0,0,'a:10:{s:4:\"name\";s:25:\"Views Scattered Polaroids\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:71:\"Adds a gallerry slider to Views. Use Scattered Polaroids jQuery plugin.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:51:\"includes/views_scattered_polaroids_plugin_style.inc\";i:1;s:50:\"includes/views_scattered_polaroids_plugin_rows.inc\";}s:5:\"mtime\";i:1499931893;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module','views_slideshow_simple_pager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:28:\"Views Slideshow Simple Pager\";s:11:\"description\";s:44:\"Provides a simple pager for Views Slideshow.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"views_slideshow\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,7300,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',1,0,7430,-1,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:27:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:36:\"tests/WebformComponentsTestCase.test\";i:22;s:38:\"tests/WebformConditionalsTestCase.test\";i:23;s:33:\"tests/WebformGeneralTestCase.test\";i:24;s:37:\"tests/WebformPermissionsTestCase.test\";i:25;s:36:\"tests/WebformSubmissionTestCase.test\";i:26;s:26:\"tests/WebformTestCase.test\";}s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:5:\"mtime\";i:1492107249;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/weebpal_banner/weebpal_banner.module','weebpal_banner','module','',1,0,0,0,'a:10:{s:4:\"name\";s:14:\"Weebpal Banner\";s:11:\"description\";s:93:\"Makes a block that can be used to dynamically place a banner on any page you wish to support.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"path\";}s:4:\"core\";s:3:\"7.x\";s:5:\"mtime\";i:1499931893;s:7:\"package\";s:5:\"Other\";s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wee_shortcode/wee_shortcode.module','wee_shortcode','module','',0,0,-1,0,'a:10:{s:4:\"name\";s:29:\"Extra Shortcode For Bootstrap\";s:11:\"description\";s:41:\"Provides bootstrap component to contents.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"shortcode\";}s:5:\"mtime\";i:1499931893;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/themes/hermio/hermio.info','hermio','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Hermio\";s:11:\"description\";s:24:\"Theme for the Charities.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:58:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:64:\"sites/all/themes/hermio/vendor/bootstrap/css/bootstrap-theme.css\";s:43:\"vendor/fontawesome/css/font-awesome.min.css\";s:67:\"sites/all/themes/hermio/vendor/fontawesome/css/font-awesome.min.css\";s:15:\"css/animate.css\";s:39:\"sites/all/themes/hermio/css/animate.css\";s:12:\"css/html.css\";s:36:\"sites/all/themes/hermio/css/html.css\";s:12:\"css/base.css\";s:36:\"sites/all/themes/hermio/css/base.css\";s:13:\"css/block.css\";s:37:\"sites/all/themes/hermio/css/block.css\";s:12:\"css/view.css\";s:36:\"sites/all/themes/hermio/css/view.css\";s:12:\"css/menu.css\";s:36:\"sites/all/themes/hermio/css/menu.css\";s:12:\"css/page.css\";s:36:\"sites/all/themes/hermio/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:48:\"sites/all/themes/hermio/css/theme-responsive.css\";}}s:7:\"scripts\";a:9:{s:19:\"js/jquery.appear.js\";s:43:\"sites/all/themes/hermio/js/jquery.appear.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:60:\"sites/all/themes/hermio/vendor/bootstrap/js/bootstrap.min.js\";s:19:\"js/jquery.cookie.js\";s:43:\"sites/all/themes/hermio/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:50:\"sites/all/themes/hermio/js/jquery.smooth-scroll.js\";s:20:\"js/jquery.countTo.js\";s:44:\"sites/all/themes/hermio/js/jquery.countTo.js\";s:28:\"js/jquery.matchHeight.min.js\";s:52:\"sites/all/themes/hermio/js/jquery.matchHeight.min.js\";s:20:\"js/accordion_menu.js\";s:44:\"sites/all/themes/hermio/js/accordion_menu.js\";s:13:\"js/weebpal.js\";s:37:\"sites/all/themes/hermio/js/weebpal.js\";s:12:\"js/hermio.js\";s:36:\"sites/all/themes/hermio/js/hermio.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:6:\"banner\";s:6:\"Banner\";s:9:\"main_menu\";s:9:\"Main Menu\";s:9:\"slideshow\";s:9:\"Slideshow\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:15:\"panel_fullwidth\";s:15:\"Panel Fullwidth\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:11:\"panel_first\";s:11:\"Panel First\";s:12:\"panel_second\";s:12:\"Panel Second\";s:11:\"panel_third\";s:11:\"Panel Third\";s:12:\"panel_fourth\";s:12:\"Panel Fourth\";s:11:\"panel_fifth\";s:11:\"Panel Fifth\";s:11:\"panel_sixth\";s:11:\"Panel Sixth\";s:13:\"panel_seventh\";s:13:\"Panel Seventh\";s:12:\"panel_eighth\";s:12:\"Panel Eighth\";s:18:\"panel_footer_first\";s:18:\"Panel Footer First\";s:21:\"panel_footer_second_1\";s:21:\"Panel Footer Second 1\";s:21:\"panel_footer_second_2\";s:21:\"Panel Footer Second 2\";s:21:\"panel_footer_second_3\";s:21:\"Panel Footer Second 3\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:6:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:27:\"panel_footer_second_1_width\";s:1:\"4\";s:27:\"panel_footer_second_2_width\";s:1:\"4\";s:27:\"panel_footer_second_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:3:\"red\";s:3:\"Red\";s:6:\"orange\";s:6:\"Orange\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:38:\"sites/all/themes/hermio/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499931893;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  `sticky` tinyint(4) DEFAULT '0',
  `created` int(11) NOT NULL DEFAULT '0',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (1,1,0,1409092166),(2,1,0,1409092208),(3,1,0,1409092243),(4,1,0,1409092314),(5,1,0,1409092393),(6,1,0,1409092424),(7,1,0,1409092455),(8,1,0,1409092499),(12,5,0,1409098044),(13,6,1,1409098501),(14,3,0,1409100748),(15,3,0,1409100773),(16,3,0,1409100792),(17,3,0,1409100815),(18,7,0,1409100892),(19,7,0,1409100936),(20,9,0,1409100984),(21,8,0,1409101048),(22,4,0,1409158364),(31,6,1,1409161584),(43,11,0,1410145457),(49,13,0,1410129948),(52,12,0,1410130720),(61,6,0,1410929702),(61,20,0,1410929702),(64,3,0,1411372899);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_menu`
--

DROP TABLE IF EXISTS `taxonomy_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_menu` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy terms menu_link.mlid.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Tid that is linked to the mlid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Vid for the tid.',
  PRIMARY KEY (`mlid`,`tid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links a taxonomy term to a menu item.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_menu`
--

LOCK TABLES `taxonomy_menu` WRITE;
/*!40000 ALTER TABLE `taxonomy_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `taxonomy_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,3,'Blog','','filtered_html',0),(2,3,'Story','','filtered_html',0),(3,3,'News','','filtered_html',0),(4,4,'Animal Charities','','filtered_html',0),(5,4,'Environmental Charities','','filtered_html',0),(6,4,'International NGOs','','filtered_html',0),(7,4,'Health Charities','','filtered_html',0),(8,4,'Education Charities','','filtered_html',0),(9,4,'Arts & Culture Charties','','filtered_html',0),(10,5,'Hermio newsletter','Hermio newsletter categories.',NULL,0),(11,1,'Volunteer',NULL,NULL,0),(12,1,'Logo',NULL,NULL,0),(13,1,'Foundation',NULL,NULL,0),(14,6,'International Director','','filtered_html',0),(15,6,'CEO','','filtered_html',0),(16,6,'Marketing','','filtered_html',0),(17,6,'Developer','','filtered_html',0),(18,7,'Male','','filtered_html',0),(19,7,'Female','','filtered_html',0),(20,1,'Support Hermio Foundation',NULL,NULL,0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(3,'Blog Types','blog_types','',0,'taxonomy',0),(4,'Event Types','event_types','',0,'taxonomy',0),(5,'Newsletter','newsletter','Simplenews newsletter categories.',0,'simplenews',0),(6,'Position','position','',0,'taxonomy',0),(7,'Gender','gender','',0,'taxonomy',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  `language` varchar(12) NOT NULL DEFAULT '',
  PRIMARY KEY (`menu_name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `tb_megamenus` VALUES ('main-menu','{\"animation\":\"none\",\"duration\":400,\"delay\":200,\"style\":\"\",\"auto-arrow\":\"0\",\"always-show-submenu\":\"1\"}','{\"221\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"972\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"535\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"948\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"536\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"538\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"968\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"right\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"540\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"950\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"center\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"827\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"829\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"830\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"944\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"945\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"949\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"947\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"948\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"949\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"950\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"952\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"968\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"972\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}}}','en');
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=307 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (208,'node/1','blog/5-ways-sabotage-your-mission-statement','und'),(209,'node/2','blog/6-content-ideas-your-nonprofit-website','und'),(210,'node/3','blog/how-raise-capacity-capital-your-nonprofit','und'),(211,'node/4','blog/conserve-lands-and-waters-which-all-life-depends','und'),(212,'node/5','blog/praesent-metus-tellus','und'),(213,'node/6','blog/praesent-ac-massa','und'),(214,'node/7','blog/vestibulum-ante-ipsum-primis','und'),(215,'node/8','blog/our-work-refugees','und'),(216,'node/9','article/volunteer','und'),(217,'node/10','article/give-monthly','und'),(218,'node/11','article/take-action','und'),(219,'node/12','event/mauris-sollicitudin-fermentum-libero','und'),(220,'node/13','event/help-us','und'),(221,'node/14','blog/proin-viverra-ligula-sit-occaecat-cupidatat','und'),(222,'node/15','blog/duis-vel-nibh','und'),(223,'node/16','blog/nunc-egestas-augue-nulla-facilisi','und'),(224,'node/17','blog/pellentesque-habitant-morbi-tristique','und'),(225,'node/18','event/praesent-ac-sem-eget','und'),(226,'node/19','event/phasellus-ullamcorper-ipsum','und'),(227,'node/20','event/fusce-vulputate-eleifend','und'),(228,'node/21','event/cras-risus-ipsum-faucibus','und'),(229,'node/22','event/sentences-fit','und'),(230,'node/23','gallery/donec-vitae-sapien-ut','und'),(231,'node/24','gallery/enim-justo-rhoncus','und'),(232,'node/25','gallery/praesent-porttitor-nulla-vitae','und'),(233,'node/26','gallery/pellentesque-egestas-neque-sit','und'),(234,'node/27','gallery/donec-elit-libero-sodales','und'),(235,'node/28','gallery/ut-id-nisl-quis','und'),(236,'node/29','gallery/praesent-egestas-neque-eu','und'),(237,'node/30','gallery/fusce-vulputate-eleifend-sapien','und'),(238,'node/31','event/world-face-extinction-everyday','und'),(239,'node/32','sponsor/themeforest','und'),(240,'node/33','sponsor/photodune','und'),(241,'node/34','sponsor/graphicriver','und'),(242,'node/35','sponsor/codecanyon','und'),(243,'node/36','sponsor/audiojungle','und'),(244,'node/37','donation/fusce-vulputate-eleifend-sapien','und'),(245,'node/38','donation/pellentesque-habitant-morbi-tristique','und'),(246,'node/39','donation/phasellus-accumsan-cursus-velit','und'),(247,'node/40','donation/phasellus-ullamcorper-ipsum-rutrum','und'),(248,'node/41','donation/aenean-tellus-metus-bibendum','und'),(249,'node/42','donation/nunc-egestas-augue','und'),(250,'node/43','shop/donec-nisi','und'),(251,'node/44','content/ads-1','und'),(252,'node/45','content/ads-2','und'),(253,'node/46','shop/donec-nisi-0','und'),(254,'node/47','shop/phasellus-ullamcorper-ipsum-rutrum','und'),(255,'node/48','shop/pellentesque-habitant-morbi-tristique','und'),(256,'node/49','shop/morbi-mollis-tellus-ac','und'),(257,'node/50','shop/curabitur-blandit-mollis-lacus','und'),(258,'node/51','shop/donec-orci-lectus-aliquam','und'),(259,'node/52','shop/vestibulum-ullamcorper-mauris','und'),(260,'node/53','sponsor/activeden','und'),(261,'node/54','gallery/fusce-vulputate-eleifend-sapien-0','und'),(262,'node/55','gallery/fusce-vulputate-eleifend-sapien-1','und'),(263,'node/56','article/what-we-do','und'),(264,'node/57','article/about-hermio','und'),(265,'node/58','content/steve-jobs','und'),(266,'node/59','content/carl-w-buechner','und'),(267,'node/60','event-full-width','und'),(268,'node/61','event/support-hermio-foundation','und'),(269,'node/62','content/contact-webform','und'),(270,'node/63','about','und'),(271,'taxonomy/term/1','blog-types/blog','und'),(272,'taxonomy/term/2','blog-types/story','und'),(273,'taxonomy/term/3','blog-types/news','und'),(274,'taxonomy/term/4','event-types/animal-charities','und'),(275,'taxonomy/term/5','event-types/environmental-charities','und'),(276,'taxonomy/term/6','event-types/international-ngos','und'),(277,'taxonomy/term/7','event-types/health-charities','und'),(278,'taxonomy/term/8','event-types/education-charities','und'),(279,'taxonomy/term/9','event-types/arts-culture-charties','und'),(280,'taxonomy/term/10','newsletter/hermio-newsletter','und'),(281,'taxonomy/term/11','tags/volunteer','und'),(282,'taxonomy/term/12','tags/logo','und'),(283,'taxonomy/term/13','tags/foundation','und'),(284,'taxonomy/term/14','position/international-director','und'),(285,'taxonomy/term/15','position/ceo','und'),(286,'taxonomy/term/16','position/marketing','und'),(287,'taxonomy/term/17','position/developer','und'),(288,'taxonomy/term/18','gender/male','und'),(289,'taxonomy/term/19','gender/female','und'),(290,'taxonomy/term/20','tags/support-hermio-foundation','und'),(291,'user/1','users/admin','und'),(292,'user/10','users/constance','und'),(293,'user/11','users/jamie','und'),(294,'user/12','users/andy','und'),(295,'user/13','users/christy','und'),(296,'user/14','users/heavyladybug230','und'),(297,'user/15','users/orangekoala470','und'),(298,'blog/1','blogs/admin','und'),(299,'node/64','blog/duis-enim-urna-venenatis-malesuada','und'),(300,'node/65','donation/better-life-better-world','und'),(301,'node/66','donation/help-save-life-child','und'),(302,'node/67','sponsor/audiojungle-0','und'),(303,'node/68','content/help-us','und'),(304,'node/69','content/organizations-around','und'),(305,'node/70','mega-menus','und'),(306,'node/71','404','en');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$DveZAPS.vyR.H1WvXGGRxEk9G6QZE1sLpHu2AJpyE4HgEhTJqRua','youremail@domain.com','','',NULL,1409088940,1509939108,1509939108,1,'America/Los_Angeles','',0,'youremail@domain.com','b:0;'),(10,'constance','$S$DUchVsLHFs/zDd.jc.DWtZx5cQ/grDl0iTX5z7NBJBBiqat05yBC','constance.byrd80@example.com','','','filtered_html',1410756931,0,0,1,'America/Los_Angeles','',74,'constance.byrd80@example.com','a:1:{s:7:\"contact\";i:1;}'),(11,'jamie','$S$DE2Bd.pN9Ap4FhD80AJ9s8MOusplyfZLhIfUsa0z67ACYYEwUIn5','jamie.rhodes10@example.com','','','filtered_html',1410761360,1412319946,1412306123,1,'America/Los_Angeles','',75,'jamie.rhodes10@example.com','a:1:{s:7:\"contact\";i:1;}'),(12,'andy','$S$DuBNjSuigLR2hfxlX9v4Jx9mvoOrKu.xI7UG4P5dkkvmL7AmSEMc','andy.wheeler15@example.com','','','filtered_html',1410761483,1411554260,1411543690,1,'America/Los_Angeles','',76,'andy.wheeler15@example.com','a:1:{s:7:\"contact\";i:1;}'),(13,'christy','$S$DS2ISDLGDp28kFNJpET9Sfb/KsKagO4arXrIsVT/uFU5XzLfcdFD','christy.ferguson12@example.com','','','filtered_html',1410761612,1412235223,1412235223,1,'America/Los_Angeles','',77,'christy.ferguson12@example.com','a:1:{s:7:\"contact\";i:1;}'),(14,'heavyladybug230','$S$D5JWAbBqrgg8tDIPSAEUGIwpfvuE7xl7dpTqT0PcKr1YFFDcMUgE','audrey.hopkins12@example.com','','','filtered_html',1410761792,1412234700,1412234517,1,'America/Los_Angeles','',78,'audrey.hopkins12@example.com','a:1:{s:7:\"contact\";i:1;}'),(15,'orangekoala470','$S$DNpcrBc7GD2pQ85bCfthVTbW1LjUWD43b8swzphwkWaSKRAxEtK4','earl.kim57@example.com','','','filtered_html',1410761906,0,0,1,'America/Los_Angeles','',79,'earl.kim57@example.com','a:1:{s:7:\"contact\";i:1;}');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3),(10,4),(11,4),(12,4),(13,4),(14,4),(15,4);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab','s:12:\"edit-context\";'),('additional_settings__active_tab_ads','s:9:\"edit-menu\";'),('additional_settings__active_tab_blog','s:12:\"edit-comment\";'),('additional_settings__active_tab_donation','s:12:\"edit-display\";'),('additional_settings__active_tab_event','s:12:\"edit-display\";'),('additional_settings__active_tab_gallery','s:9:\"edit-menu\";'),('additional_settings__active_tab_product','s:9:\"edit-menu\";'),('additional_settings__active_tab_sponsor','s:9:\"edit-menu\";'),('additional_settings__active_tab_testimonial','s:9:\"edit-menu\";'),('admin_theme','s:10:\"we_backend\";'),('bean_all_blacklist_bean','b:1;'),('bean_all_blacklist_system','a:3:{i:0;s:4:\"main\";i:1;s:10:\"powered-by\";i:2;s:4:\"help\";}'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('clean_url','s:1:\"1\";'),('comment_ads','s:1:\"1\";'),('comment_anonymous_ads','i:0;'),('comment_anonymous_blog','i:0;'),('comment_anonymous_donation','i:0;'),('comment_anonymous_event','i:0;'),('comment_anonymous_gallery','i:0;'),('comment_anonymous_product','i:0;'),('comment_anonymous_sponsor','i:0;'),('comment_anonymous_testimonial','i:0;'),('comment_blog','s:1:\"2\";'),('comment_default_mode_ads','i:1;'),('comment_default_mode_blog','i:1;'),('comment_default_mode_donation','i:1;'),('comment_default_mode_event','i:1;'),('comment_default_mode_gallery','i:1;'),('comment_default_mode_product','i:1;'),('comment_default_mode_sponsor','i:1;'),('comment_default_mode_testimonial','i:1;'),('comment_default_per_page_ads','s:2:\"50\";'),('comment_default_per_page_blog','s:2:\"10\";'),('comment_default_per_page_donation','s:2:\"50\";'),('comment_default_per_page_event','s:2:\"50\";'),('comment_default_per_page_gallery','s:2:\"50\";'),('comment_default_per_page_product','s:2:\"50\";'),('comment_default_per_page_sponsor','s:2:\"50\";'),('comment_default_per_page_testimonial','s:2:\"50\";'),('comment_donation','s:1:\"1\";'),('comment_event','s:1:\"1\";'),('comment_form_location_ads','i:1;'),('comment_form_location_blog','i:1;'),('comment_form_location_donation','i:1;'),('comment_form_location_event','i:1;'),('comment_form_location_gallery','i:1;'),('comment_form_location_product','i:1;'),('comment_form_location_sponsor','i:1;'),('comment_form_location_testimonial','i:1;'),('comment_gallery','s:1:\"1\";'),('comment_page','i:0;'),('comment_preview_ads','s:1:\"1\";'),('comment_preview_blog','s:1:\"1\";'),('comment_preview_donation','s:1:\"1\";'),('comment_preview_event','s:1:\"1\";'),('comment_preview_gallery','s:1:\"1\";'),('comment_preview_product','s:1:\"1\";'),('comment_preview_sponsor','s:1:\"1\";'),('comment_preview_testimonial','s:1:\"1\";'),('comment_product','s:1:\"1\";'),('comment_sponsor','s:1:\"1\";'),('comment_subject_field_ads','i:1;'),('comment_subject_field_blog','i:1;'),('comment_subject_field_donation','i:1;'),('comment_subject_field_event','i:1;'),('comment_subject_field_gallery','i:1;'),('comment_subject_field_product','i:1;'),('comment_subject_field_sponsor','i:1;'),('comment_subject_field_testimonial','i:1;'),('comment_testimonial','s:1:\"1\";'),('commerce_customer_profile_billing_field','s:25:\"commerce_customer_billing\";'),('context_block_rebuild_needed','b:1;'),('cron_key','s:43:\"SV4lDHIGVHao8-Qm8ns1hxlYimCnfPNrcNxILRqxJN8\";'),('cron_last','i:1509939039;'),('css_js_query_string','s:6:\"p0kv5o\";'),('ctools_last_cron','i:1509939042;'),('date_default_timezone','s:19:\"America/Los_Angeles\";'),('default_field_group','a:7:{s:41:\"group_donation_info|node|donation|default\";b:0;s:41:\"group_donation_form|node|donation|default\";b:0;s:31:\"group_donate|node|event|default\";b:0;s:39:\"group_product_info|node|product|default\";b:0;s:35:\"group_event_info|node|event|default\";b:0;s:30:\"group_image|node|event|default\";b:0;s:32:\"group_image|node|product|default\";b:0;}'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"ovc_7GVOzg2Sk1mMYoQsn4-YDdKxr9JKwoTE2zF-ZWk\";'),('entityreference:base-tables','a:14:{s:4:\"node\";a:2:{i:0;s:4:\"node\";i:1;s:3:\"nid\";}s:13:\"taxonomy_term\";a:2:{i:0;s:18:\"taxonomy_term_data\";i:1;s:3:\"tid\";}s:7:\"comment\";a:2:{i:0;s:7:\"comment\";i:1;s:3:\"cid\";}s:4:\"bean\";a:2:{i:0;s:4:\"bean\";i:1;s:3:\"bid\";}s:25:\"commerce_customer_profile\";a:2:{i:0;s:25:\"commerce_customer_profile\";i:1;s:10:\"profile_id\";}s:18:\"commerce_line_item\";a:2:{i:0;s:18:\"commerce_line_item\";i:1;s:12:\"line_item_id\";}s:14:\"commerce_order\";a:2:{i:0;s:14:\"commerce_order\";i:1;s:8:\"order_id\";}s:28:\"commerce_payment_transaction\";a:2:{i:0;s:28:\"commerce_payment_transaction\";i:1;s:14:\"transaction_id\";}s:16:\"commerce_product\";a:2:{i:0;s:16:\"commerce_product\";i:1;s:10:\"product_id\";}s:21:\"field_collection_item\";a:2:{i:0;s:21:\"field_collection_item\";i:1;s:7:\"item_id\";}s:4:\"file\";a:2:{i:0;s:12:\"file_managed\";i:1;s:3:\"fid\";}s:19:\"taxonomy_vocabulary\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:3:\"vid\";}s:4:\"user\";a:2:{i:0;s:5:\"users\";i:1;s:3:\"uid\";}s:12:\"rules_config\";a:2:{i:0;s:12:\"rules_config\";i:1;s:2:\"id\";}}'),('entity_cache_tables_created','N;'),('exclude_node_title_content_type_modes_ads','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_article','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_blog','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_donation','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_event','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_gallery','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_page','a:10:{s:4:\"full\";s:4:\"full\";s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_product','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_simplenews','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_sponsor','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_testimonial','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_webform','a:10:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_value_ads','s:4:\"none\";'),('exclude_node_title_content_type_value_article','s:4:\"none\";'),('exclude_node_title_content_type_value_blog','s:4:\"none\";'),('exclude_node_title_content_type_value_donation','s:4:\"none\";'),('exclude_node_title_content_type_value_event','s:4:\"none\";'),('exclude_node_title_content_type_value_gallery','s:4:\"none\";'),('exclude_node_title_content_type_value_page','s:4:\"user\";'),('exclude_node_title_content_type_value_product','s:4:\"none\";'),('exclude_node_title_content_type_value_simplenews','s:4:\"none\";'),('exclude_node_title_content_type_value_sponsor','s:4:\"none\";'),('exclude_node_title_content_type_value_testimonial','s:4:\"none\";'),('exclude_node_title_content_type_value_webform','s:4:\"none\";'),('exclude_node_title_nid_list','a:1:{i:0;s:2:\"71\";}'),('exclude_node_title_search','i:0;'),('exclude_node_title_translation_sync','b:1;'),('field_bundle_settings_bean__bean_about','a:2:{s:10:\"view_modes\";a:2:{s:7:\"default\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:4:{s:5:\"label\";a:1:{s:6:\"weight\";s:1:\"1\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"revision\";a:1:{s:6:\"weight\";s:1:\"4\";}s:9:\"view_mode\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:1:{s:5:\"title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"2\";s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_bean__bean_statistic','a:2:{s:10:\"view_modes\";a:2:{s:7:\"default\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:4:{s:5:\"label\";a:1:{s:6:\"weight\";s:1:\"0\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"1\";}s:8:\"revision\";a:1:{s:6:\"weight\";s:1:\"3\";}s:9:\"view_mode\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:1:{s:5:\"title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_commerce_product__commerce_event','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:3:\"sku\";a:1:{s:6:\"weight\";s:1:\"0\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"1\";}s:6:\"status\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_field_collection_item__field_bean_content','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_field_collection_item__field_content','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__ads','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__article','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:1:{s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"9\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:2:{s:6:\"teaser\";a:2:{s:6:\"weight\";s:1:\"5\";s:7:\"visible\";b:1;}s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"6\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__donation','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:5:{s:11:\"product:sku\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"4\";s:7:\"visible\";b:0;}}s:13:\"product:title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"5\";s:7:\"visible\";b:0;}}s:14:\"product:status\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"6\";s:7:\"visible\";b:0;}}s:22:\"product:commerce_price\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"3\";s:7:\"visible\";b:0;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__event','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"12\";}}s:7:\"display\";a:5:{s:11:\"product:sku\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"4\";s:7:\"visible\";b:0;}}s:13:\"product:title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"5\";s:7:\"visible\";b:0;}}s:14:\"product:status\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"4\";s:7:\"visible\";b:1;}}s:22:\"product:commerce_price\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"3\";s:7:\"visible\";b:0;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"3\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__gallery','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"2\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__product','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"6\";}}s:7:\"display\";a:5:{s:11:\"product:sku\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"5\";s:7:\"visible\";b:0;}}s:13:\"product:title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"3\";s:7:\"visible\";b:0;}}s:14:\"product:status\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"6\";s:7:\"visible\";b:0;}}s:22:\"product:commerce_price\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"7\";s:7:\"visible\";b:1;}}s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"4\";s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_node__sponsor','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__testimonial','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__event_types','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:3:{s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}s:4:\"name\";a:1:{s:6:\"weight\";s:1:\"0\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_user__user','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:5:{s:7:\"account\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"timezone\";a:1:{s:6:\"weight\";s:2:\"13\";}s:7:\"picture\";a:1:{s:6:\"weight\";s:1:\"6\";}s:15:\"overlay_control\";a:1:{s:6:\"weight\";s:1:\"5\";}s:7:\"contact\";a:1:{s:6:\"weight\";s:1:\"7\";}}s:7:\"display\";a:0:{}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:0:\"\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('image_jpeg_quality','s:3:\"100\";'),('image_toolkit','s:2:\"gd\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1409089119;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:0:\"\";'),('jquery_update_jquery_cdn','s:4:\"none\";'),('jquery_update_jquery_version','s:3:\"1.7\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";i:0;s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:2:\"en\";s:6:\"weight\";i:0;s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:16:\"language-default\";a:1:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:21:\"language_from_default\";}}}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('locale_language_providers_weight_language','a:5:{s:10:\"locale-url\";s:2:\"-8\";s:14:\"locale-session\";s:2:\"-6\";s:11:\"locale-user\";s:2:\"-4\";s:14:\"locale-browser\";s:2:\"-2\";s:16:\"language-default\";s:2:\"10\";}'),('mail_system','a:1:{s:14:\"default-system\";s:17:\"DefaultMailSystem\";}'),('maintenance_mode','b:0;'),('maintenance_mode_message','s:94:\"Hermio is currently under maintenance. We should be back shortly. Thank you for your patience.\";'),('menu_expanded','a:1:{i:0;s:9:\"main-menu\";}'),('menu_masks','a:53:{i:0;i:507;i:1;i:506;i:2;i:501;i:3;i:494;i:4;i:493;i:5;i:254;i:6;i:253;i:7;i:252;i:8;i:251;i:9;i:250;i:10;i:247;i:11;i:246;i:12;i:245;i:13;i:127;i:14;i:126;i:15;i:125;i:16;i:124;i:17;i:123;i:18;i:122;i:19;i:121;i:20;i:118;i:21;i:117;i:22;i:63;i:23;i:62;i:24;i:61;i:25;i:60;i:26;i:59;i:27;i:58;i:28;i:56;i:29;i:45;i:30;i:44;i:31;i:43;i:32;i:31;i:33;i:30;i:34;i:29;i:35;i:28;i:36;i:27;i:37;i:26;i:38;i:24;i:39;i:22;i:40;i:21;i:41;i:15;i:42;i:14;i:43;i:13;i:44;i:11;i:45;i:10;i:46;i:7;i:47;i:6;i:48;i:5;i:49;i:4;i:50;i:3;i:51;i:2;i:52;i:1;}'),('menu_options_ads','a:0:{}'),('menu_options_blog','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_donation','a:0:{}'),('menu_options_event','a:0:{}'),('menu_options_gallery','a:0:{}'),('menu_options_product','a:0:{}'),('menu_options_sponsor','a:0:{}'),('menu_options_testimonial','a:0:{}'),('menu_parent_ads','s:11:\"main-menu:0\";'),('menu_parent_blog','s:11:\"main-menu:0\";'),('menu_parent_donation','s:11:\"main-menu:0\";'),('menu_parent_event','s:11:\"main-menu:0\";'),('menu_parent_gallery','s:11:\"main-menu:0\";'),('menu_parent_product','s:11:\"main-menu:0\";'),('menu_parent_sponsor','s:11:\"main-menu:0\";'),('menu_parent_testimonial','s:11:\"main-menu:0\";'),('module_filter_recent_modules','a:0:{}'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1425025320\";'),('node_options_ads','a:1:{i:0;s:6:\"status\";}'),('node_options_blog','a:1:{i:0;s:6:\"status\";}'),('node_options_donation','a:1:{i:0;s:6:\"status\";}'),('node_options_event','a:1:{i:0;s:6:\"status\";}'),('node_options_gallery','a:1:{i:0;s:6:\"status\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_product','a:1:{i:0;s:6:\"status\";}'),('node_options_sponsor','a:1:{i:0;s:6:\"status\";}'),('node_options_testimonial','a:1:{i:0;s:6:\"status\";}'),('node_preview_ads','s:1:\"1\";'),('node_preview_blog','s:1:\"1\";'),('node_preview_donation','s:1:\"1\";'),('node_preview_event','s:1:\"1\";'),('node_preview_gallery','s:1:\"1\";'),('node_preview_product','s:1:\"1\";'),('node_preview_sponsor','s:1:\"1\";'),('node_preview_testimonial','s:1:\"1\";'),('node_submitted_ads','i:0;'),('node_submitted_blog','i:0;'),('node_submitted_donation','i:0;'),('node_submitted_event','i:0;'),('node_submitted_gallery','i:1;'),('node_submitted_page','b:0;'),('node_submitted_product','i:0;'),('node_submitted_sponsor','i:0;'),('node_submitted_testimonial','i:1;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_ads_pattern','s:0:\"\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_blog_pattern','s:17:\"blog/[node:title]\";'),('pathauto_node_donation_pattern','s:21:\"donation/[node:title]\";'),('pathauto_node_event_pattern','s:18:\"event/[node:title]\";'),('pathauto_node_gallery_pattern','s:20:\"gallery/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_product_pattern','s:17:\"shop/[node:title]\";'),('pathauto_node_simplenews_pattern','s:0:\"\";'),('pathauto_node_sponsor_pattern','s:20:\"sponsor/[node:title]\";'),('pathauto_node_testimonial_pattern','s:0:\"\";'),('pathauto_node_webform_pattern','s:0:\"\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_blog_types_pattern','s:0:\"\";'),('pathauto_taxonomy_term_event_types_pattern','s:0:\"\";'),('pathauto_taxonomy_term_gender_pattern','s:0:\"\";'),('pathauto_taxonomy_term_newsletter_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_position_pattern','s:0:\"\";'),('pathauto_taxonomy_term_tags_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:4:{s:4:\"blog\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('save_continue_ads','s:19:\"Save and add fields\";'),('save_continue_event','s:19:\"Save and add fields\";'),('save_continue_gallery','s:19:\"Save and add fields\";'),('save_continue_product','s:19:\"Save and add fields\";'),('save_continue_sponsor','s:19:\"Save and add fields\";'),('save_continue_testimonial','s:19:\"Save and add fields\";'),('sharethis_ads_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_article_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_blog_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_button_option','s:11:\"stbc_vcount\";'),('sharethis_comments','i:0;'),('sharethis_donation_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_event_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_gallery_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_late_load','i:0;'),('sharethis_location','s:7:\"content\";'),('sharethis_node_types','a:12:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:5:\"event\";s:5:\"event\";s:7:\"gallery\";s:7:\"gallery\";s:11:\"testimonial\";s:11:\"testimonial\";s:3:\"ads\";i:0;s:4:\"page\";i:0;s:8:\"donation\";i:0;s:7:\"product\";i:0;s:10:\"simplenews\";i:0;s:7:\"sponsor\";i:0;s:7:\"webform\";i:0;}'),('sharethis_option_extras','a:2:{s:23:\"Google Plus One:plusone\";i:0;s:20:\"Facebook Like:fblike\";i:0;}'),('sharethis_option_neworzero','i:0;'),('sharethis_option_onhover','i:1;'),('sharethis_option_shorten','i:1;'),('sharethis_page_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_product_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_publisherID','s:37:\"dr-4b33f83f-a48b-6b07-3f96-bb68294b4b\";'),('sharethis_service_option','s:37:\"\"Facebook:facebook\",\"Twitter:twitter\"\";'),('sharethis_simplenews_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_sponsor_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_testimonial_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_twitter_handle','s:0:\"\";'),('sharethis_twitter_recommends','s:0:\"\";'),('sharethis_twitter_suffix','s:0:\"\";'),('sharethis_webform_options','a:9:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:11:\"email_plain\";i:0;s:10:\"email_html\";i:0;s:13:\"email_textalt\";i:0;s:5:\"token\";i:0;}'),('sharethis_weight','s:2:\"10\";'),('sharethis_widget_option','s:8:\"st_multi\";'),('simplenews_block_f_10','s:1:\"1\";'),('simplenews_block_i_10','s:1:\"5\";'),('simplenews_block_i_status_10','i:0;'),('simplenews_block_l_10','i:0;'),('simplenews_block_m_10','s:81:\"By providing your email you agree to receive periodic emails from the Foundation.\";'),('simplenews_block_r_10','i:0;'),('simplenews_confirm_combined_body','s:212:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]\";'),('simplenews_confirm_combined_body_unchanged','s:215:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.\";'),('simplenews_confirm_combined_line_subscribe_subscribed','s:48:\"Already subscribed to [simplenews-category:name]\";'),('simplenews_confirm_combined_line_subscribe_unsubscribed','s:39:\"Subscribe to [simplenews-category:name]\";'),('simplenews_confirm_combined_line_unsubscribe_subscribed','s:43:\"Unsubscribe from [simplenews-category:name]\";'),('simplenews_confirm_combined_line_unsubscribe_unsubscribed','s:52:\"Already unsubscribed from [simplenews-category:name]\";'),('simplenews_confirm_combined_subject','s:28:\"Confirmation for [site:name]\";'),('simplenews_confirm_subscribe_page','s:0:\"\";'),('simplenews_confirm_subscribe_subject','s:60:\"Confirmation for [simplenews-category:name] from [site:name]\";'),('simplenews_confirm_subscribe_subscribed','s:279:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-category:name]  newsletter on [site:name] website at [site:url]. However, this email is already subscribed to this newsletter. If you intended to unsubscribe please visit our site: [site:url]\";'),('simplenews_confirm_subscribe_unsubscribed','s:230:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-category:name] newsletter on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:subscribe-url]\";'),('simplenews_confirm_unsubscribe_page','s:0:\"\";'),('simplenews_confirm_unsubscribe_subscribed','s:237:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-category:name] mailing list on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:unsubscribe-url]\";'),('simplenews_confirm_unsubscribe_unsubscribed','s:281:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-category:name] mailing list on [site:name] website at [site:url]. However, this email is not subscribed to this mailing list. If you intended to subscribe please visit our site at [site:url]\";'),('simplenews_content_type_ads','i:0;'),('simplenews_content_type_blog','i:0;'),('simplenews_content_type_donation','i:0;'),('simplenews_content_type_event','i:0;'),('simplenews_content_type_simplenews','b:1;'),('simplenews_content_type_testimonial','i:0;'),('simplenews_sync_account','i:0;'),('simplenews_use_combined','s:8:\"multiple\";'),('simplenews_vid','s:1:\"5\";'),('site_403','s:0:\"\";'),('site_404','s:7:\"node/71\";'),('site_default_country','s:0:\"\";'),('site_frontpage','s:9:\"frontpage\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:6:\"Hermio\";'),('site_slogan','s:0:\"\";'),('tabs__active_tab','s:15:\"edit-title-node\";'),('tagclouds_block_tags_1','s:2:\"12\";'),('tagclouds_block_tags_3','s:2:\"12\";'),('taxonomy_menu_display_descendants_gender','i:0;'),('taxonomy_menu_display_descendants_position','i:0;'),('taxonomy_menu_display_num_gender','i:0;'),('taxonomy_menu_display_num_position','i:0;'),('taxonomy_menu_end_all_gender','b:0;'),('taxonomy_menu_end_all_position','b:0;'),('taxonomy_menu_expanded_gender','i:1;'),('taxonomy_menu_expanded_position','i:1;'),('taxonomy_menu_flat_gender','i:0;'),('taxonomy_menu_flat_position','i:0;'),('taxonomy_menu_hide_empty_terms_gender','i:0;'),('taxonomy_menu_hide_empty_terms_position','i:0;'),('taxonomy_menu_path_gender','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_path_position','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_rebuild_gender','i:0;'),('taxonomy_menu_rebuild_position','i:0;'),('taxonomy_menu_sync_gender','i:1;'),('taxonomy_menu_sync_position','i:1;'),('taxonomy_menu_term_item_description_gender','i:0;'),('taxonomy_menu_term_item_description_position','i:0;'),('taxonomy_menu_vocab_menu_gender','s:1:\"0\";'),('taxonomy_menu_vocab_menu_position','s:1:\"0\";'),('taxonomy_menu_vocab_parent_gender','s:1:\"0\";'),('taxonomy_menu_vocab_parent_position','s:1:\"0\";'),('taxonomy_menu_voc_item_description_gender','i:0;'),('taxonomy_menu_voc_item_description_position','i:0;'),('taxonomy_menu_voc_item_gender','b:0;'),('taxonomy_menu_voc_item_position','b:0;'),('taxonomy_menu_voc_name_gender','b:0;'),('taxonomy_menu_voc_name_position','b:0;'),('theme_default','s:6:\"hermio\";'),('theme_hermio_settings','a:21:{s:14:\"hermio_version\";s:0:\"\";s:4:\"skin\";s:0:\"\";s:10:\"background\";s:10:\"bg-default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:1;s:12:\"loading_page\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:27:\"hermio_use_default_settings\";s:1:\"0\";}'),('theme_settings','a:15:{s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:16:\"toggle_main_menu\";i:1;s:21:\"toggle_secondary_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";}'),('title_comment','a:2:{s:11:\"auto_attach\";a:1:{s:7:\"subject\";i:0;}s:10:\"hide_label\";a:2:{s:4:\"page\";i:0;s:6:\"entity\";i:0;}}'),('title_commerce_product','a:2:{s:11:\"auto_attach\";a:1:{s:5:\"title\";i:0;}s:10:\"hide_label\";a:2:{s:4:\"page\";i:0;s:6:\"entity\";i:0;}}'),('title_node','a:2:{s:11:\"auto_attach\";a:1:{s:5:\"title\";i:0;}s:10:\"hide_label\";a:2:{s:4:\"page\";i:0;s:6:\"entity\";i:0;}}'),('title_taxonomy_term','a:2:{s:11:\"auto_attach\";a:2:{s:4:\"name\";i:0;s:11:\"description\";i:0;}s:10:\"hide_label\";a:2:{s:4:\"page\";i:0;s:6:\"entity\";i:0;}}'),('update_last_check','i:1509939048;'),('user_admin_role','s:1:\"3\";'),('user_pictures','s:1:\"1\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','i:2;'),('views_block_hashes','a:2:{s:32:\"b902c24c53b25bea849360660566f2cc\";s:33:\"scattered_polaroids_gallery-block\";s:32:\"728d1aeb69e6bcd4667c4b424ff302fa\";s:40:\"the_world_face_extinction_everyday-block\";}'),('views_defaults','a:1:{s:9:\"frontpage\";b:0;}'),('webform_email_address_individual','i:1;'),('webform_email_html_capable','b:0;'),('webform_node_webform','b:1;'),('weebpal_banner_display_errors','b:0;'),('weebpal_banner_display_setting','s:3:\"url\";'),('weebpal_banner_file_save_path','s:23:\"public://field/banners/\";');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `vef_video_styles`
--

DROP TABLE IF EXISTS `vef_video_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vef_video_styles` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the style.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores video embed styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vef_video_styles`
--

LOCK TABLES `vef_video_styles` WRITE;
/*!40000 ALTER TABLE `vef_video_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `vef_video_styles` VALUES ('normal','Normal','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}'),('teaser','Teaser','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}');
/*!40000 ALTER TABLE `vef_video_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (1,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(1,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:37:\"views_bootstrap_carousel_plugin_style\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:18:\"slideshow_1920x640\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:14:\"fieldset-inner\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:19:\"field_slideshow_fid\";a:13:{s:2:\"id\";s:19:\"field_slideshow_fid\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:19:\"field_slideshow_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:19:\"Bootstrap Slideshow\";s:13:\"style_options\";a:4:{s:8:\"interval\";s:4:\"5000\";s:10:\"navigation\";i:1;s:10:\"indicators\";i:0;s:5:\"pause\";i:0;}}'),(2,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"3\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:7:\"promote\";a:13:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:17:\"thumbnail_article\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"20\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"400\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:5:\"title\";s:0:\"\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:68:\"<h1>Welcome to Hermio!</h1><h2>Change Their World. Change Yours</h2>\";s:8:\"tokenize\";i:0;}}}'),(2,'feed','Feed','feed',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:5:\"title\";s:15:\"Front page feed\";s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}s:14:\"sitename_title\";s:1:\"1\";}'),(2,'page','Page','page',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"frontpage\";s:9:\"css_class\";s:13:\"services-grid\";s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;}s:5:\"title\";s:18:\"Welcome to Hermio!\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:42:\"<h2>Change Their World. Change Yours.</h2>\";s:8:\"tokenize\";i:0;}}}'),(2,'page_2','Home 2','page',4,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:6:\"home-2\";s:9:\"css_class\";s:13:\"services-grid\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"header\";b:0;}s:19:\"display_description\";s:0:\"\";s:6:\"header\";a:0:{}}'),(3,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:19:\"donate-progress-bar\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}}'),(3,'block_1','Block','block',3,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:19:\"donate-progress-bar\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}s:19:\"display_description\";s:0:\"\";}'),(3,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"1\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:17:\"field_donate_goal\";a:34:{s:2:\"id\";s:17:\"field_donate_goal\";s:5:\"table\";s:28:\"field_data_field_donate_goal\";s:5:\"field\";s:17:\"field_donate_goal\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:0;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_donate_total\";a:34:{s:2:\"id\";s:18:\"field_donate_total\";s:5:\"table\";s:29:\"field_data_field_donate_total\";s:5:\"field\";s:18:\"field_donate_total\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:0;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:7:\"nothing\";i:1;s:9:\"nothing_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:177:\"<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:9:\"nothing_1\";a:21:{s:2:\"id\";s:9:\"nothing_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:113:\" <div class=\"progress-label\">\n   <span>Training</span>\n   <span>Equipment</span>\n   <span>Building</span>\n </div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:1:\"0\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:10:\"Donate Now\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:5:\"event\";s:5:\"event\";}}s:7:\"promote\";a:13:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:6:\"sticky\";a:13:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Help us\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:70:\"<h4>Help us reach our fundraising target of <span>$200,000</span></h4>\";s:8:\"tokenize\";i:0;}}}'),(4,'block','Block Tab','block',3,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:8:\"defaults\";a:9:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"fields\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;s:13:\"relationships\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x175\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";s:13:\"relationships\";a:0:{}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:5:\"event\";s:5:\"event\";}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(4,'block_1','Block Footer','block',4,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:15:\"Upcoming Events\";s:8:\"defaults\";a:13:{s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;s:13:\"relationships\";b:0;s:9:\"css_class\";b:0;}s:12:\"style_plugin\";s:7:\"default\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:2:{s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:17:\"hermio-short-date\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:3:\"M d\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"3\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:8:\"use_more\";i:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";s:13:\"relationships\";a:0:{}s:9:\"css_class\";s:11:\"events-list\";}'),(4,'block_2','Block 2','block',5,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:9:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:13:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";i:3;s:13:\"field_image_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_640x426\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:9:\"slideshow\";s:8:\"settings\";a:24:{s:21:\"slideshow_image_style\";s:17:\"thumbnail_640x426\";s:14:\"slideshow_link\";s:7:\"content\";s:17:\"slideshow_caption\";s:0:\"\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:1;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:0:\"\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:0:\"\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:1:{s:11:\"video_style\";s:6:\"normal\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_image_1\";a:34:{s:2:\"id\";s:13:\"field_image_1\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:14:\"field_type_tid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:7:{i:0;s:5:\"title\";i:1;s:7:\"created\";i:2;s:4:\"body\";i:3;s:20:\"field_donate_counter\";i:4;s:17:\"field_donate_goal\";i:5;s:18:\"field_donate_total\";i:6;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"M d,Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:20:\"field_donate_counter\";a:34:{s:2:\"id\";s:20:\"field_donate_counter\";s:5:\"table\";s:31:\"field_data_field_donate_counter\";s:5:\"field\";s:20:\"field_donate_counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:43:\"[field_donate_counter-value] People Donated\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_donate_goal\";a:34:{s:2:\"id\";s:17:\"field_donate_goal\";s:5:\"table\";s:28:\"field_data_field_donate_goal\";s:5:\"field\";s:17:\"field_donate_goal\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_donate_total\";a:34:{s:2:\"id\";s:18:\"field_donate_total\";s:5:\"table\";s:29:\"field_data_field_donate_total\";s:5:\"field\";s:18:\"field_donate_total\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:269:\"<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\n<div>\n<span>[field_donate_counter] [field_donate_total] / [field_donate_goal]</span>\n</div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:9:\"css_class\";s:24:\"events-grid match-height\";s:8:\"use_more\";i:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";}'),(4,'default','Master','default',1,'a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"9\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:3:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:3:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:5:\"event\";s:5:\"event\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:6:\"Events\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:3:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";}}s:13:\"relationships\";a:1:{s:14:\"field_type_tid\";a:3:{s:2:\"id\";s:14:\"field_type_tid\";s:5:\"table\";s:21:\"field_data_field_type\";s:5:\"field\";s:14:\"field_type_tid\";}}}'),(4,'page','Page','page',2,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:5:\"event\";s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:193:\"<p>Nam commodo suscipit quam. Vestibulum facilisis, purus nec pulvinar iaculis, ligula mi congue nunc, vitae euismod ligula urna in dolor. Phasellus blandit leo ut odio. estibulum eu odio. </p>\";s:8:\"tokenize\";i:0;}}s:8:\"defaults\";a:9:{s:6:\"header\";b:0;s:6:\"fields\";b:0;s:13:\"relationships\";b:0;s:9:\"css_class\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"title\";b:0;}s:6:\"fields\";a:12:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";i:3;s:13:\"field_image_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_380x253\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:9:\"slideshow\";s:8:\"settings\";a:24:{s:21:\"slideshow_image_style\";s:17:\"thumbnail_380x253\";s:14:\"slideshow_link\";s:7:\"content\";s:17:\"slideshow_caption\";s:0:\"\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:1;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:0:\"\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:0:\"\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:1:{s:11:\"video_style\";s:6:\"normal\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_image_1\";a:34:{s:2:\"id\";s:13:\"field_image_1\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:14:\"field_type_tid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"M d,Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:20:\"field_donate_counter\";a:34:{s:2:\"id\";s:20:\"field_donate_counter\";s:5:\"table\";s:31:\"field_data_field_donate_counter\";s:5:\"field\";s:20:\"field_donate_counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:43:\"[field_donate_counter-value] People Donated\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:1;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_donate_total\";a:34:{s:2:\"id\";s:18:\"field_donate_total\";s:5:\"table\";s:29:\"field_data_field_donate_total\";s:5:\"field\";s:18:\"field_donate_total\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:0;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_donate_goal\";a:34:{s:2:\"id\";s:17:\"field_donate_goal\";s:5:\"table\";s:28:\"field_data_field_donate_goal\";s:5:\"field\";s:17:\"field_donate_goal\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:3:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";i:0;s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:271:\"<div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"[field_donate_total]\" aria-valuemin=\"0\" aria-valuemax=\"[field_donate_goal]\">\n  </div>\n</div>\n<div>\n<span>[field_donate_counter] $[field_donate_total] / $[field_donate_goal]</span>\n</div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:13:\"relationships\";a:1:{s:14:\"field_type_tid\";a:8:{s:2:\"id\";s:14:\"field_type_tid\";s:5:\"table\";s:21:\"field_data_field_type\";s:5:\"field\";s:14:\"field_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:20:\"term from field_type\";s:8:\"required\";i:0;}}s:9:\"css_class\";s:24:\"events-grid match-height\";s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"title\";s:15:\"Upcoming Events\";}'),(5,'block','Blog Block','block',2,'a:19:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"4\";s:6:\"offset\";s:1:\"0\";}}s:8:\"defaults\";a:15:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:0:\"\";s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x175\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"190\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";s:6:\"header\";a:0:{}s:9:\"css_class\";s:0:\"\";s:7:\"filters\";a:4:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:3:\"tid\";a:19:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:0;s:1:\"1\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:9:\"textfield\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:10:\"blog_types\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(5,'block_1','Latest News','block',3,'a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:0:\"\";s:8:\"defaults\";a:14:{s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"header\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;}s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x175\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:4:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:3:\"tid\";a:19:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:0;s:1:\"3\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:9:\"textfield\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:10:\"blog_types\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"4\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:6:\"header\";a:0:{}s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:9:\"View more\";}'),(5,'block_2','Block grid homepage 3','block',6,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:11:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"header\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"5\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:6:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:19:\"thumbnail_848_x_424\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:2:{s:11:\"video_style\";s:6:\"normal\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_blog_type\";a:34:{s:2:\"id\";s:15:\"field_blog_type\";s:5:\"table\";s:26:\"field_data_field_blog_type\";s:5:\"field\";s:15:\"field_blog_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"M d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:9:\"css_class\";s:26:\"blog-type blog-grid home-2\";s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"5\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:197:\"<h2>Featured Stories & Updates</h2><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>\";s:8:\"tokenize\";i:0;}}}'),(5,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"9\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:3:\"tid\";a:19:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:0;s:1:\"1\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:9:\"textfield\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:10:\"blog_types\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Blog\";s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:9:\"View more\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:3:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";}}}'),(5,'page_1','Blog Full Width','page',4,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:15:\"blog-full-width\";s:5:\"title\";s:26:\"Featured Stories & Updates\";s:8:\"defaults\";a:11:{s:5:\"title\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;}s:6:\"fields\";a:8:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:18:\"thumbnail_1140x380\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:1:{s:11:\"video_style\";s:6:\"normal\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_blog_type\";a:34:{s:2:\"id\";s:15:\"field_blog_type\";s:5:\"table\";s:26:\"field_data_field_blog_type\";s:5:\"field\";s:15:\"field_blog_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"400\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"sharethis\";a:21:{s:2:\"id\";s:9:\"sharethis\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"sharethis\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"M d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"5\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:4:\"menu\";a:7:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:9:\"Blog Full\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:162:\"<p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>\";s:8:\"tokenize\";i:0;}}s:9:\"css_class\";s:19:\"blog-type blog-list\";s:8:\"use_more\";i:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:9:\"View more\";}'),(5,'page_2','Blog Grid','page',5,'a:20:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:9:\"blog-grid\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:9:\"Blog Grid\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:162:\"<p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Nunc vel aliquet ante. Curabitur massa elit, pretium et tempus ultricies, dignissim vel quam.</p>\";s:8:\"tokenize\";i:0;}}s:8:\"defaults\";a:15:{s:6:\"header\";b:0;s:5:\"title\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;s:9:\"css_class\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:26:\"Featured Stories & Updates\";s:6:\"fields\";a:6:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:19:\"thumbnail_848_x_424\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:1:{s:11:\"video_style\";s:6:\"normal\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_blog_type\";a:34:{s:2:\"id\";s:15:\"field_blog_type\";s:5:\"table\";s:26:\"field_data_field_blog_type\";s:5:\"field\";s:15:\"field_blog_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"40\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"250\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"300\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"M d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"5\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:8:\"use_more\";i:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:9:\"View more\";s:9:\"css_class\";s:19:\"blog-type blog-grid\";s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(6,'block','Block','block',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:14:\"donate-content\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:6:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:18:\"Justice That Works\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:4:\"4000\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:9:\"view_node\";i:1;s:9:\"nothing_1\";i:2;s:9:\"nothing_2\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:106:\"<div class=\"donate-or-join\">\n<a href=\"[view_node]\">Donate</a><span>or</span><a href=\"#\">Join us</a>\n</div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:6:\"Donate\";}s:9:\"nothing_2\";a:21:{s:2:\"id\";s:9:\"nothing_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:61:\"<span>or</span> <a href=\"/hermio/user/register\">Join us !</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}}'),(6,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:18:\"Justice That Works\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:4:\"4000\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:9:\"view_node\";i:1;s:9:\"nothing_1\";i:2;s:9:\"nothing_2\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:106:\"<div class=\"donate-or-join\">\n<a href=\"[view_node]\">Donate</a><span>or</span><a href=\"#\">Join us</a>\n</div>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:6:\"Donate\";}s:9:\"nothing_2\";a:21:{s:2:\"id\";s:9:\"nothing_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:59:\"<span>or</span> <a href=\"/hermio/user/register\">Join us</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"22\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";}'),(7,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(7,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"13\";}}s:12:\"style_plugin\";s:38:\"views_scattered_polaroids_plugin_style\";s:10:\"row_plugin\";s:37:\"views_scattered_polaroids_plugin_rows\";s:6:\"fields\";a:2:{s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_250x250\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:16:\"Pictures Gallery\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:0:\"\";s:8:\"tokenize\";i:0;}}s:9:\"css_class\";s:13:\"photo-gallery\";s:13:\"style_options\";a:0:{}s:11:\"row_options\";a:3:{s:5:\"image\";s:13:\"field_gallery\";s:5:\"title\";s:5:\"title\";s:11:\"description\";s:0:\"\";}}'),(8,'block','Block','block',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:13:\"event-typical\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:5:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:51:\"<i class=\"fa fa-link\"></i><span>[body-value]</span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:9:\"view_node\";i:1;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:6:\"Donate\";}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:61:\"<span>or</span> <a href=\"/hermio/user/register\">Join us !</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}}'),(8,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:51:\"<i class=\"fa fa-link\"></i><span>[body-value]</span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:9:\"view_node\";i:1;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:6:\"Donate\";}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:39:\"<span>or</span> <a href=\"#\">Join us</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"31\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";}'),(9,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:13:\"partners-list\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}}'),(9,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"12\";}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:16:\"sponsors_170x100\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"field_link\";a:34:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:21:\"field_data_field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:92:\"<a href=\"[field_link-url]\" title=\"[field_link-title]\" target=\"_blank\">[field_link-title]</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"sponsor\";s:7:\"sponsor\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:8:\"circular\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"6\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:2:\"10\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:9:\"css_class\";s:14:\"partners-links\";}'),(10,'block','Footer Block','block',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:14:\"gallery-footer\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(10,'block_1','Blog Block','block',3,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"6\";s:6:\"offset\";s:1:\"0\";}}s:8:\"defaults\";a:8:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"pager_options\";N;s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"2\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:15:\"gallery-sidebar\";}'),(10,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"8\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:20:\"gallery_thumbs_90x90\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Gallery\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(12,'block_1','Block','block',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"2\";s:6:\"offset\";s:1:\"0\";}}s:8:\"defaults\";a:7:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;}s:13:\"pager_options\";N;s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"donation\";s:8:\"donation\";}}s:6:\"sticky\";a:13:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:17:\"thumbnail_555x275\";s:10:\"image_link\";s:7:\"content\";s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:10:\"Donate Now\";}}s:6:\"header\";a:0:{}s:9:\"css_class\";s:15:\"donates-typical\";}'),(12,'block_2','Browse More','block',4,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:11:\"Browse More\";s:8:\"defaults\";a:10:{s:5:\"title\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"header\";b:0;s:5:\"sorts\";b:0;s:9:\"css_class\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;}s:19:\"display_description\";s:0:\"\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"5\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:6:\"header\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"css_class\";s:28:\"donates-grid donates-related\";s:12:\"style_plugin\";s:9:\"jcarousel\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:8:\"circular\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"2\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}}'),(12,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"6\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_555x275\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:10:\"Donate Now\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"donation\";s:8:\"donation\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Donation\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:224:\"<h1>Get Involved</h1><span>Ut non enim eleifend felis pretium feugiat. Fusce egestas elit eget lorem. Donec vitae orci sed dolor rutrum auctor. Nam adipiscing. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</span>\";s:8:\"tokenize\";i:0;}}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"2\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(12,'page','Page','page',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"donation\";s:9:\"css_class\";s:12:\"donates-grid\";s:8:\"defaults\";a:3:{s:9:\"css_class\";b:0;s:6:\"header\";b:0;s:5:\"title\";b:0;}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:197:\"<p>Ut non enim eleifend felis pretium feugiat. Fusce egestas elit eget lorem. Donec vitae orci sed dolor rutrum auctor. Nam adipiscing. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>\";s:8:\"tokenize\";i:0;}}s:5:\"title\";s:12:\"Get Involved\";}'),(14,'block','Most popular','block',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:12:\"Most Popular\";s:8:\"defaults\";a:3:{s:5:\"title\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(14,'block_1','Recent','block',3,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:6:\"Recent\";s:8:\"defaults\";a:2:{s:5:\"title\";b:0;s:5:\"sorts\";b:0;}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}}'),(14,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"M d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:13:\"Blog quicktab\";}'),(15,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(15,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"2\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:11:\"ads_220x120\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"field_link\";a:34:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:21:\"field_data_field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:111:\"<a href=\"[field_link-url]\" target=\"_blank\" title=\"[field_link-title]\" [field_link-attributes]>[field_image]</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:3:\"ads\";s:3:\"ads\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:3:\"Ads\";s:9:\"css_class\";s:11:\"ads-sidebar\";}'),(17,'block_1','Most popular','block',4,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:3:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"20\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:10:{s:6:\"fields\";b:0;s:5:\"sorts\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;s:6:\"header\";b:0;}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"3\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:12:\"style_plugin\";s:7:\"default\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:9:\"css_class\";s:0:\"\";s:6:\"header\";a:0:{}}'),(17,'block_2','Recent','block',5,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:3:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"20\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:10:{s:6:\"fields\";b:0;s:5:\"sorts\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;s:6:\"header\";b:0;}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"3\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:12:\"style_plugin\";s:7:\"default\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:9:\"css_class\";s:0:\"\";s:6:\"header\";a:0:{}}'),(17,'block_3','Browse More','block',6,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"6\";s:6:\"offset\";s:1:\"0\";}}s:8:\"defaults\";a:10:{s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"fields\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"pager_options\";N;s:6:\"fields\";a:4:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x283\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:16:\"add_to_cart_form\";a:26:{s:2:\"id\";s:16:\"add_to_cart_form\";s:5:\"table\";s:29:\"views_entity_commerce_product\";s:5:\"field\";s:16:\"add_to_cart_form\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"show_quantity\";i:0;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:12:\"display_path\";i:0;s:14:\"line_item_type\";s:7:\"product\";}}s:5:\"title\";s:11:\"Browse More\";s:6:\"header\";a:0:{}s:12:\"style_plugin\";s:9:\"jcarousel\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:8:\"circular\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"3\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:9:\"css_class\";s:22:\"shop-grid shop-related\";}'),(17,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:6:{s:19:\"disable_sql_rewrite\";i:1;s:8:\"distinct\";i:0;s:13:\"pure_distinct\";i:0;s:5:\"slave\";i:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"12\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x283\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:16:\"add_to_cart_form\";a:26:{s:2:\"id\";s:16:\"add_to_cart_form\";s:5:\"table\";s:29:\"views_entity_commerce_product\";s:5:\"field\";s:16:\"add_to_cart_form\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"show_quantity\";i:0;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:12:\"display_path\";i:0;s:14:\"line_item_type\";s:7:\"product\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"product\";s:7:\"product\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Shop\";s:13:\"relationships\";a:1:{s:24:\"field_product_product_id\";a:8:{s:2:\"id\";s:24:\"field_product_product_id\";s:5:\"table\";s:24:\"field_data_field_product\";s:5:\"field\";s:24:\"field_product_product_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:36:\"Products referenced by field_product\";s:8:\"required\";i:1;}}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:173:\"<h2>Visit Our Shop With The Best Deal!</h2><span>Nam et justo accumsan, fringilla massa ut, vestibulum quam. Etiam eget sapien arcu. In hac habitasse platea dictumst.</span>\";s:8:\"tokenize\";i:0;}}s:9:\"css_class\";s:9:\"shop-grid\";}'),(17,'page','Shop Full','page',2,'a:8:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"shop\";s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;}s:5:\"title\";s:34:\"Visit Our Shop With The Best Deal!\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:124:\"<p>Nam et justo accumsan, fringilla massa ut, vestibulum quam. Etiam eget sapien arcu. In hac habitasse platea dictumst.</p>\";s:8:\"tokenize\";i:0;}}s:6:\"fields\";a:4:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x283\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:16:\"add_to_cart_form\";a:26:{s:2:\"id\";s:16:\"add_to_cart_form\";s:5:\"table\";s:29:\"views_entity_commerce_product\";s:5:\"field\";s:16:\"add_to_cart_form\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"show_quantity\";i:0;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:12:\"display_path\";i:0;s:14:\"line_item_type\";s:7:\"product\";}}}'),(17,'page_1','Shop with sidebar','page',3,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:12:\"shop-sidebar\";s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:4:{s:19:\"field_product_image\";a:34:{s:2:\"id\";s:19:\"field_product_image\";s:5:\"table\";s:30:\"field_data_field_product_image\";s:5:\"field\";s:19:\"field_product_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_263x283\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"40\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:14:\"commerce_price\";a:34:{s:2:\"id\";s:14:\"commerce_price\";s:5:\"table\";s:25:\"field_data_commerce_price\";s:5:\"field\";s:14:\"commerce_price\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";s:1:\"0\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:16:\"add_to_cart_form\";a:26:{s:2:\"id\";s:16:\"add_to_cart_form\";s:5:\"table\";s:29:\"views_entity_commerce_product\";s:5:\"field\";s:16:\"add_to_cart_form\";s:12:\"relationship\";s:24:\"field_product_product_id\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"show_quantity\";i:0;s:16:\"default_quantity\";s:1:\"1\";s:7:\"combine\";i:1;s:12:\"display_path\";i:0;s:14:\"line_item_type\";s:7:\"product\";}}s:9:\"css_class\";s:22:\"shop-grid shop-sidebar\";s:5:\"title\";s:34:\"Visit Our Shop With The Best Deal!\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:124:\"<p>Nam et justo accumsan, fringilla massa ut, vestibulum quam. Etiam eget sapien arcu. In hac habitasse platea dictumst.</p>\";s:8:\"tokenize\";i:0;}}}'),(18,'block_1','What We Do','block',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:6:\"header\";a:1:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:107:\"Curabitur molestie sed leo et lobortis. Nulla congue, arcu et gravida egestas, ipsum eros hendrerit tellus.\";s:6:\"format\";s:13:\"filtered_html\";s:8:\"tokenize\";i:0;}}s:8:\"defaults\";a:4:{s:6:\"header\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"56\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_555x275\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"800\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(18,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"600\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"57\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";s:6:\"header\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:160:\"<h1>About Hermio</h1><span>Quisque sagittis urna non nulla faucibus, vitae porta lacus luctus! Cras eu augue accumsan, placerat est vel, ultrices lectus.</span>\";s:8:\"tokenize\";i:0;}}s:9:\"css_class\";s:10:\"what-we-do\";}'),(19,'block','Block','block',2,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:8:\"defaults\";a:11:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";b:0;s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:13:\"style_options\";a:12:{s:4:\"wrap\";s:8:\"circular\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"1\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:4:\"3000\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"6\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:8:\"use_more\";i:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:22:\"Read More Testimonials\";s:9:\"css_class\";s:19:\"testimonials-slider\";s:6:\"fields\";a:2:{s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}}'),(19,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:11:\"testimonial\";s:11:\"testimonial\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:12:\"Testimonials\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"2\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(19,'page_1','Page','page',3,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:11:\"testimonial\";s:9:\"css_class\";s:20:\"testimonials-content\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}}'),(20,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:10:\"teams-grid\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:11:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:17:\"thumbnail_263x175\";}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:34:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:81:\"<a href=\"mailto:[field_email]\"><i class=\"fa fa-envelope-o\"></i> [field_email]</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:34:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:42:\"<i class=\"fa fa-mobile\"></i> [field_phone]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:14:\"field_facebook\";i:1;s:11:\"field_gplus\";i:2;s:15:\"field_instagram\";i:3;s:13:\"field_twitter\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_facebook\";a:34:{s:2:\"id\";s:14:\"field_facebook\";s:5:\"table\";s:25:\"field_data_field_facebook\";s:5:\"field\";s:14:\"field_facebook\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:112:\"<a href=\"[field_facebook-url]\" title=\"[field_facebook-title]\" target=\"_blank\"><i class=\"fa fa-facebook\"></i></a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_gplus\";a:34:{s:2:\"id\";s:11:\"field_gplus\";s:5:\"table\";s:22:\"field_data_field_gplus\";s:5:\"field\";s:11:\"field_gplus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:109:\"<a href=\"[field_gplus-url]\" title=\"[field_gplus-title]\" target=\"_blank\"><i class=\"fa fa-google-plus\"></i></a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_instagram\";a:34:{s:2:\"id\";s:15:\"field_instagram\";s:5:\"table\";s:26:\"field_data_field_instagram\";s:5:\"field\";s:15:\"field_instagram\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:115:\"<a href=\"[field_instagram-url]\" title=\"[field_instagram-title]\" target=\"_blank\"><i class=\"fa fa-linkedin\"></i></a>\n\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_twitter\";a:34:{s:2:\"id\";s:13:\"field_twitter\";s:5:\"table\";s:24:\"field_data_field_twitter\";s:5:\"field\";s:13:\"field_twitter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:109:\"<a href=\"[field_twitter-url]\" title=\"[field_twitter-title]\" target=\"_blank\"><i class=\"fa fa-twitter\"></i></a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:13:\"fa fa-twitter\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:1:{s:21:\"field_formatter_class\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(20,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:10:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:20:\"four_columns_265x168\";}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"50\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:34:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:46:\"<i class=\"fa fa-envelope-o\"></i> [field_email]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:34:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:42:\"<i class=\"fa fa-mobile\"></i> [field_phone]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_facebook\";a:34:{s:2:\"id\";s:14:\"field_facebook\";s:5:\"table\";s:25:\"field_data_field_facebook\";s:5:\"field\";s:14:\"field_facebook\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:88:\"<a href=\"[field_facebook-url]\" title=\"[field_facebook-title]\">[field_facebook-title]</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_gplus\";a:34:{s:2:\"id\";s:11:\"field_gplus\";s:5:\"table\";s:22:\"field_data_field_gplus\";s:5:\"field\";s:11:\"field_gplus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:60:\"<a href=\"[field_gplus-url]\" title=\"[field_gplus-title]\"></a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_instagram\";a:34:{s:2:\"id\";s:15:\"field_instagram\";s:5:\"table\";s:26:\"field_data_field_instagram\";s:5:\"field\";s:15:\"field_instagram\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:68:\"<a href=\"[field_instagram-url]\" title=\"[field_instagram-title]\"></a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_twitter\";a:34:{s:2:\"id\";s:13:\"field_twitter\";s:5:\"table\";s:24:\"field_data_field_twitter\";s:5:\"field\";s:13:\"field_twitter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:3:\"rid\";a:14:{s:2:\"id\";s:3:\"rid\";s:5:\"table\";s:11:\"users_roles\";s:5:\"field\";s:3:\"rid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Our Team\";s:13:\"style_options\";a:12:{s:4:\"wrap\";s:8:\"circular\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"4\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:2:\"10\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:6:\"header\";a:1:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:115:\"Curabitur eget interdum felis. Quisque auctor porttitor magna, id suscipit neque. Nunc eleifend nec odio et tempor.\";s:6:\"format\";s:13:\"filtered_html\";s:8:\"tokenize\";i:0;}}}'),(21,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:6:\"fields\";a:4:{s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:332:\"<h3>Contact Information</h3>\n<address>\n<p>Glocal Foundation, Inc.<br>12345 Name Snow Dr.<br>Keller, Tx 76248</p>\n<hr>\n<p>T: 817-123-4567<br>F: 817-123-4568</p>\n<hr>\n<p><a href=\"mailto:info@hermiofoundation.org\">info@hermiofoundation.org</a><br><a href=\"https://www.facebook.com\">Share this site with a friend</a></p>\n<hr>\n</address>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:10:\"Donate Now\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(21,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"1\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:332:\"<h3>Contact Information</h3>\n<address>\n<p>Glocal Foundation, Inc.<br>12345 Name Snow Dr.<br>Keller, Tx 76248</p>\n<hr>\n<p>T: 817-123-4567<br>F: 817-123-4568</p>\n<hr>\n<p><a href=\"mailto:info@hermiofoundation.org\">info@hermiofoundation.org</a><br><a href=\"https://www.facebook.com\">Share this site with a friend</a></p>\n<hr>\n</address>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:10:\"Donate Now\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:5:\"event\";s:5:\"event\";}}s:3:\"nid\";a:13:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:2:\"61\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:19:\"Contact Information\";s:9:\"css_class\";s:15:\"contact-sidebar\";}'),(22,'default','Defaults','default',1,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:13:\"Shopping cart\";s:15:\"use_more_always\";b:0;s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"style_plugin\";s:5:\"table\";s:13:\"style_options\";a:3:{s:7:\"columns\";a:6:{s:21:\"commerce_display_path\";s:21:\"commerce_display_path\";s:15:\"line_item_title\";s:15:\"line_item_title\";s:19:\"commerce_unit_price\";s:19:\"commerce_unit_price\";s:13:\"edit_quantity\";s:13:\"edit_quantity\";s:11:\"edit_delete\";s:11:\"edit_delete\";s:14:\"commerce_total\";s:14:\"commerce_total\";}s:7:\"default\";s:2:\"-1\";s:4:\"info\";a:6:{s:21:\"commerce_display_path\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:15:\"line_item_title\";a:2:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:19:\"commerce_unit_price\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:13:\"edit_quantity\";a:2:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:11:\"edit_delete\";a:2:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:14:\"commerce_total\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}}}s:6:\"footer\";a:2:{s:17:\"line_item_summary\";a:5:{s:2:\"id\";s:17:\"line_item_summary\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:17:\"line_item_summary\";s:5:\"label\";s:12:\"Cart summary\";s:4:\"info\";a:2:{s:8:\"quantity\";i:0;s:5:\"total\";s:5:\"total\";}}s:3:\"php\";a:9:{s:2:\"id\";s:3:\"php\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:3:\"php\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:10:\"php_output\";s:87:\"<a href=\"<?php echo url(\'<front>\'); ?>\" class=\"continue-shopping\">Continue shopping</a>\";}}s:13:\"relationships\";a:1:{s:32:\"commerce_line_items_line_item_id\";a:4:{s:2:\"id\";s:32:\"commerce_line_items_line_item_id\";s:5:\"table\";s:30:\"field_data_commerce_line_items\";s:5:\"field\";s:32:\"commerce_line_items_line_item_id\";s:8:\"required\";b:1;}}s:6:\"fields\";a:6:{s:21:\"commerce_display_path\";a:6:{s:2:\"id\";s:21:\"commerce_display_path\";s:5:\"table\";s:32:\"field_data_commerce_display_path\";s:5:\"field\";s:21:\"commerce_display_path\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;}s:15:\"line_item_title\";a:6:{s:2:\"id\";s:15:\"line_item_title\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:15:\"line_item_title\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:7:\"Product\";s:5:\"alter\";a:2:{s:9:\"make_link\";b:1;s:4:\"path\";s:23:\"[commerce_display_path]\";}}s:19:\"commerce_unit_price\";a:8:{s:2:\"id\";s:19:\"commerce_unit_price\";s:5:\"table\";s:30:\"field_data_commerce_unit_price\";s:5:\"field\";s:19:\"commerce_unit_price\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:5:\"Price\";s:13:\"element_class\";s:5:\"price\";s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";}s:13:\"edit_quantity\";a:7:{s:2:\"id\";s:13:\"edit_quantity\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:13:\"edit_quantity\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:8:\"Quantity\";s:5:\"alter\";a:2:{s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;}s:19:\"element_label_colon\";b:0;}s:11:\"edit_delete\";a:5:{s:2:\"id\";s:11:\"edit_delete\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:11:\"edit_delete\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:6:\"Remove\";}s:14:\"commerce_total\";a:7:{s:2:\"id\";s:14:\"commerce_total\";s:5:\"table\";s:25:\"field_data_commerce_total\";s:5:\"field\";s:14:\"commerce_total\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:13:\"element_class\";s:5:\"price\";s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";}}s:5:\"sorts\";a:1:{s:12:\"line_item_id\";a:4:{s:2:\"id\";s:12:\"line_item_id\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:12:\"line_item_id\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";}}s:9:\"arguments\";a:1:{s:8:\"order_id\";a:7:{s:2:\"id\";s:8:\"order_id\";s:5:\"table\";s:14:\"commerce_order\";s:5:\"field\";s:8:\"order_id\";s:14:\"default_action\";s:5:\"empty\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";s:2:\"25\";}}}s:7:\"filters\";a:1:{s:22:\"product_line_item_type\";a:6:{s:2:\"id\";s:22:\"product_line_item_type\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:22:\"product_line_item_type\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;}}s:9:\"css_class\";s:11:\"cart-review\";}'),(23,'default','Defaults','default',1,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:13:\"Shopping cart\";s:15:\"use_more_always\";b:0;s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"style_plugin\";s:5:\"table\";s:13:\"style_options\";a:3:{s:7:\"columns\";a:4:{s:15:\"line_item_title\";s:15:\"line_item_title\";s:19:\"commerce_unit_price\";s:19:\"commerce_unit_price\";s:8:\"quantity\";s:8:\"quantity\";s:14:\"commerce_total\";s:14:\"commerce_total\";}s:7:\"default\";s:2:\"-1\";s:4:\"info\";a:4:{s:15:\"line_item_title\";a:2:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:19:\"commerce_unit_price\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:8:\"quantity\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:14:\"commerce_total\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:17:\"views-align-right\";s:9:\"separator\";s:0:\"\";}}}s:6:\"footer\";a:1:{s:11:\"order_total\";a:3:{s:2:\"id\";s:11:\"order_total\";s:5:\"table\";s:14:\"commerce_order\";s:5:\"field\";s:11:\"order_total\";}}s:13:\"relationships\";a:1:{s:32:\"commerce_line_items_line_item_id\";a:4:{s:2:\"id\";s:32:\"commerce_line_items_line_item_id\";s:5:\"table\";s:30:\"field_data_commerce_line_items\";s:5:\"field\";s:32:\"commerce_line_items_line_item_id\";s:8:\"required\";b:1;}}s:6:\"fields\";a:4:{s:15:\"line_item_title\";a:5:{s:2:\"id\";s:15:\"line_item_title\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:15:\"line_item_title\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:7:\"Product\";}s:19:\"commerce_unit_price\";a:9:{s:2:\"id\";s:19:\"commerce_unit_price\";s:5:\"table\";s:30:\"field_data_commerce_unit_price\";s:5:\"field\";s:19:\"commerce_unit_price\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:5:\"Price\";s:13:\"element_class\";s:5:\"price\";s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}}s:8:\"quantity\";a:5:{s:2:\"id\";s:8:\"quantity\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:8:\"quantity\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:9:\"precision\";s:1:\"0\";}s:14:\"commerce_total\";a:9:{s:2:\"id\";s:14:\"commerce_total\";s:5:\"table\";s:25:\"field_data_commerce_total\";s:5:\"field\";s:14:\"commerce_total\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:13:\"element_class\";s:5:\"price\";s:16:\"hide_alter_empty\";b:0;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";s:8:\"settings\";a:1:{s:11:\"calculation\";b:0;}}}s:5:\"sorts\";a:1:{s:12:\"line_item_id\";a:4:{s:2:\"id\";s:12:\"line_item_id\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:12:\"line_item_id\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";}}s:9:\"arguments\";a:1:{s:8:\"order_id\";a:7:{s:2:\"id\";s:8:\"order_id\";s:5:\"table\";s:14:\"commerce_order\";s:5:\"field\";s:8:\"order_id\";s:14:\"default_action\";s:9:\"not found\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";s:2:\"25\";}}}s:7:\"filters\";a:1:{s:22:\"product_line_item_type\";a:6:{s:2:\"id\";s:22:\"product_line_item_type\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:22:\"product_line_item_type\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;}}s:9:\"css_class\";s:11:\"cart-review\";}'),(25,'default','Defaults','default',1,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:13:\"Shopping cart\";s:15:\"use_more_always\";b:0;s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"style_plugin\";s:5:\"table\";s:13:\"style_options\";a:3:{s:7:\"columns\";a:4:{s:8:\"quantity\";s:8:\"quantity\";s:21:\"commerce_display_path\";s:21:\"commerce_display_path\";s:15:\"line_item_title\";s:15:\"line_item_title\";s:14:\"commerce_total\";s:14:\"commerce_total\";}s:7:\"default\";s:2:\"-1\";s:4:\"info\";a:4:{s:8:\"quantity\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:21:\"commerce_display_path\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:15:\"line_item_title\";a:2:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";}s:14:\"commerce_total\";a:4:{s:8:\"sortable\";i:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:17:\"views-align-right\";s:9:\"separator\";s:0:\"\";}}}s:6:\"footer\";a:1:{s:17:\"line_item_summary\";a:5:{s:2:\"id\";s:17:\"line_item_summary\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:17:\"line_item_summary\";s:5:\"links\";a:2:{s:9:\"view_cart\";s:9:\"view_cart\";s:8:\"checkout\";s:8:\"checkout\";}s:4:\"info\";a:2:{s:8:\"quantity\";s:8:\"quantity\";s:5:\"total\";s:5:\"total\";}}}s:13:\"relationships\";a:1:{s:32:\"commerce_line_items_line_item_id\";a:4:{s:2:\"id\";s:32:\"commerce_line_items_line_item_id\";s:5:\"table\";s:30:\"field_data_commerce_line_items\";s:5:\"field\";s:32:\"commerce_line_items_line_item_id\";s:8:\"required\";b:1;}}s:6:\"fields\";a:4:{s:8:\"quantity\";a:7:{s:2:\"id\";s:8:\"quantity\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:8:\"quantity\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:0:\"\";s:9:\"precision\";s:1:\"0\";s:6:\"suffix\";s:4:\" × \";}s:21:\"commerce_display_path\";a:6:{s:2:\"id\";s:21:\"commerce_display_path\";s:5:\"table\";s:32:\"field_data_commerce_display_path\";s:5:\"field\";s:21:\"commerce_display_path\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;}s:15:\"line_item_title\";a:6:{s:2:\"id\";s:15:\"line_item_title\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:15:\"line_item_title\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:2:{s:9:\"make_link\";b:1;s:4:\"path\";s:23:\"[commerce_display_path]\";}}s:14:\"commerce_total\";a:9:{s:2:\"id\";s:14:\"commerce_total\";s:5:\"table\";s:25:\"field_data_commerce_total\";s:5:\"field\";s:14:\"commerce_total\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"label\";s:0:\"\";s:13:\"element_class\";s:5:\"price\";s:19:\"element_label_colon\";b:0;s:17:\"click_sort_column\";s:6:\"amount\";s:4:\"type\";s:31:\"commerce_price_formatted_amount\";}}s:5:\"sorts\";a:1:{s:12:\"line_item_id\";a:4:{s:2:\"id\";s:12:\"line_item_id\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:12:\"line_item_id\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";}}s:9:\"arguments\";a:1:{s:8:\"order_id\";a:6:{s:2:\"id\";s:8:\"order_id\";s:5:\"table\";s:14:\"commerce_order\";s:5:\"field\";s:8:\"order_id\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";s:2:\"25\";}}}s:7:\"filters\";a:1:{s:22:\"product_line_item_type\";a:5:{s:2:\"id\";s:22:\"product_line_item_type\";s:5:\"table\";s:18:\"commerce_line_item\";s:5:\"field\";s:22:\"product_line_item_type\";s:12:\"relationship\";s:32:\"commerce_line_items_line_item_id\";s:5:\"value\";s:1:\"1\";}}s:9:\"css_class\";s:13:\"shopping-cart\";}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (1,'bootstrap_slideshow','','default','node','Bootstrap Slideshow',7),(2,'frontpage','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Front page',0),(3,'help_us','','default','node','Help us',7),(4,'events','','default','node','Events',7),(5,'blog','','default','node','Blog',7),(6,'sentences_that_fit','','default','node','Sentences That Fit',7),(7,'scattered_polaroids_gallery','','default','node','Scattered Polaroids Gallery',7),(8,'the_world_face_extinction_everyday','','default','node','The World Face Extinction Everyday',7),(9,'sponsor','','default','node','Sponsor',7),(10,'footer_gallery','','default','node','Photo Gallery',7),(12,'donation','','default','node','Donation',7),(14,'blog_quicktab','','default','node','Blog quicktab',7),(15,'views_ads','','default','node','Ads',7),(17,'view_shop','','default','node','Shop',7),(18,'about','','default','node','About',7),(19,'testimonials','','default','node','Testimonials',7),(20,'our_team','','default','users','Our Team',7),(21,'contact_information','','default','node','Contact Information',7),(22,'commerce_cart_form','Display a shopping cart update form.','commerce','commerce_order','Shopping cart form',0),(23,'commerce_cart_summary','Cart line item summary displayed during checkout.','commerce','commerce_order','Shopping cart summary',0),(25,'commerce_cart_block','Display a list of line items added to cart.','commerce','commerce_order','Shopping cart block',0);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'rules','Cache rebuild lock hit: !cid','a:1:{s:4:\"!cid\";s:21:\"rules_event_whitelist\";}',4,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/slideshow_1920x640/public/field/slideshow/sl-1.jpg?itok=iYQFBpkV','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1499932067),(2,0,'rules','Cache rebuild lock hit: !cid','a:1:{s:4:\"!cid\";s:21:\"rules_event_whitelist\";}',4,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/slideshow_1920x640/public/field/slideshow/sl-4.jpg?itok=XLDvN7Ae','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1499932067),(3,0,'rules','Cache rebuild lock hit: !cid','a:1:{s:4:\"!cid\";s:21:\"rules_event_whitelist\";}',4,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/slideshow_1920x640/public/field/slideshow/sl-2.jpg?itok=4MrX7a3k','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1499932067),(4,0,'rules','Cache rebuild lock hit: !cid','a:1:{s:4:\"!cid\";s:21:\"rules_event_whitelist\";}',4,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/thumbnail_article/public/field/image/demo-1.png?itok=dCZzkI9L','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1499932067),(5,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/hermio/','http://local2.weebpal.com/drupal7/hermio/install.php?profile=standard&locale=en','192.168.1.49',1499932100),(6,0,'page not found','ủe','N;',4,'','http://local2.weebpal.com/drupal7/hermio/%E1%BB%A7e','','192.168.1.49',1499932108),(7,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/hermio/user','http://local2.weebpal.com/drupal7/hermio/user','192.168.1.49',1499932118),(8,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/hermio/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/hermio/en/admin/modules?render=overlay','192.168.1.49',1499932134),(9,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/hermio/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/hermio/en/admin/modules?render=overlay','192.168.1.49',1499932134),(10,1,'page not found','misc/throbber-inactive.png','N;',4,'','http://local2.weebpal.com/drupal7/hermio/misc/throbber-inactive.png','http://local2.weebpal.com/drupal7/hermio/modules/system/system.base.css?ot0r5g','192.168.1.49',1499932321),(11,1,'page not found','misc/throbber-inactive.png','N;',4,'','http://local2.weebpal.com/drupal7/hermio/misc/throbber-inactive.png','http://local2.weebpal.com/drupal7/hermio/modules/system/system.base.css?ot0r5g','192.168.1.49',1499932352),(12,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/hermio/','','192.168.1.49',1500346780),(13,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/hermio/user','http://local2.weebpal.com/drupal7/hermio/user','192.168.1.49',1500346847),(14,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/hermio/','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1500357856),(15,1,'image','Failed to create style directory: %directory','a:1:{s:10:\"%directory\";s:49:\"public://styles/thumbnail_263x175/public/pictures\";}',3,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/thumbnail_263x175/public/pictures/picture-13-1410761736.jpg?itok=1J4rSbXp','http://local2.weebpal.com/drupal7/hermio/en/about','192.168.1.49',1500358184),(16,1,'image','Unable to generate the derived image located at %path.','a:1:{s:5:\"%path\";s:75:\"public://styles/thumbnail_263x175/public/pictures/picture-13-1410761736.jpg\";}',5,'','http://local2.weebpal.com/drupal7/hermio/sites/default/files/styles/thumbnail_263x175/public/pictures/picture-13-1410761736.jpg?itok=1J4rSbXp','http://local2.weebpal.com/drupal7/hermio/en/about','192.168.1.49',1500358184),(17,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/hermio/en/admin/reports/status','http://local2.weebpal.com/drupal7/hermio/','192.168.1.49',1500453147),(18,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/hermio/en/admin/modules','http://local2.weebpal.com/drupal7/hermio/en/admin/reports/status','192.168.1.49',1500453152),(19,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/hermio/en/js/admin_menu/cache/360fba61032dc264d47c0ff8a9e487f1','http://local2.weebpal.com/drupal7/hermio/en/admin/modules','192.168.1.49',1500453153),(20,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/hermio/','','192.168.1.49',1500453166),(21,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/hermio/en/admin/modules/update','http://local2.weebpal.com/drupal7/hermio/en/admin/modules','192.168.1.49',1500453175),(22,0,'cron','Cron run completed.','a:0:{}',5,'','http://hermio.local2.weebpal.com/','','27.74.249.234',1502692784),(23,0,'cron','Cron run completed.','a:0:{}',5,'','http://hermio.local2.weebpal.com/','','54.66.168.23',1502765030),(24,0,'cron','Cron run completed.','a:0:{}',5,'','http://hermio.local2.weebpal.com/','','192.168.1.43',1508301996),(25,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://hermio.local2.weebpal.com/user','http://hermio.local2.weebpal.com/user','192.168.1.43',1508302005),(26,0,'access denied','user/1','N;',4,'','http://hermio.local2.weebpal.com/en/users/admin','','192.168.1.48',1508302149),(27,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://hermio.local2.weebpal.com/user','http://hermio.local2.weebpal.com/user','192.168.1.48',1508302165),(28,0,'cron','Cron run completed.','a:0:{}',5,'','http://hermio.local2.weebpal.com/','','192.168.1.40',1509939049),(29,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://hermio.local2.weebpal.com/user','http://hermio.local2.weebpal.com/user','192.168.1.40',1509939108),(30,1,'user','Session closed for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://hermio.local2.weebpal.com/en/user/logout','http://hermio.local2.weebpal.com/en/users/admin','192.168.1.40',1509940458);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES (62,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,0,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,'',NULL,'',1,0);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_component`
--

DROP TABLE IF EXISTS `webform_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL,
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_component`
--

LOCK TABLES `webform_component` WRITE;
/*!40000 ALTER TABLE `webform_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_component` VALUES (62,1,10,'first_name','First Name','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,11),(62,2,10,'last_name','Last Name','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,12),(62,3,10,'address','Address','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,13),(62,4,11,'city','City','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,15),(62,5,11,'state','State','textfield','','a:4:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;}',0,17),(62,6,11,'post_code','Post Code','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,18),(62,7,12,'country','Country','textfield','','a:4:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;}',0,13),(62,8,12,'phone','Phone','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,14),(62,9,12,'email','Email','email','','a:7:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,15),(62,10,0,'group_1','Group 1','fieldset','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;s:11:\"description\";s:0:\"\";}',0,10),(62,11,0,'group_2','Group 2','fieldset','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;s:11:\"description\";s:0:\"\";}',0,11),(62,12,0,'group_3','Group 3','fieldset','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;s:11:\"description\";s:0:\"\";}',0,12),(62,13,0,'message','Message','textarea','','a:8:{s:13:\"title_display\";i:0;s:7:\"private\";i:0;s:4:\"rows\";s:1:\"5\";s:9:\"resizable\";i:1;s:8:\"disabled\";i:0;s:4:\"cols\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,13);
/*!40000 ALTER TABLE `webform_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional`
--

DROP TABLE IF EXISTS `webform_conditional`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same crid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional`
--

LOCK TABLES `webform_conditional` WRITE;
/*!40000 ALTER TABLE `webform_conditional` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_actions`
--

DROP TABLE IF EXISTS `webform_conditional_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always "component". Indicates what type of ID the "target" column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_actions`
--

LOCK TABLES `webform_conditional_actions` WRITE;
/*!40000 ALTER TABLE `webform_conditional_actions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_rules`
--

DROP TABLE IF EXISTS `webform_conditional_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always "component". Indicates what type of ID the "source" column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_rules`
--

LOCK TABLES `webform_conditional_rules` WRITE;
/*!40000 ALTER TABLE `webform_conditional_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_emails`
--

DROP TABLE IF EXISTS `webform_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail "from" name that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail "from" e-mail address that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key "default", which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the %email_values token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including excluded components and value mapping for the TO and FROM addresses for select lists.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_emails`
--

LOCK TABLES `webform_emails` WRITE;
/*!40000 ALTER TABLE `webform_emails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_emails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_last_download`
--

DROP TABLE IF EXISTS `webform_last_download`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_last_download`
--

LOCK TABLES `webform_last_download` WRITE;
/*!40000 ALTER TABLE `webform_last_download` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_last_download` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_roles`
--

DROP TABLE IF EXISTS `webform_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_roles`
--

LOCK TABLES `webform_roles` WRITE;
/*!40000 ALTER TABLE `webform_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_roles` VALUES (62,1),(62,2);
/*!40000 ALTER TABLE `webform_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submissions`
--

DROP TABLE IF EXISTS `webform_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the form was submitted.',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submissions`
--

LOCK TABLES `webform_submissions` WRITE;
/*!40000 ALTER TABLE `webform_submissions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submissions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submitted_data`
--

DROP TABLE IF EXISTS `webform_submitted_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submitted_data`
--

LOCK TABLES `webform_submitted_data` WRITE;
/*!40000 ALTER TABLE `webform_submitted_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submitted_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `weebpal_banner`
--

DROP TABLE IF EXISTS `weebpal_banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weebpal_banner` (
  `dbid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary key always unique',
  `path` varchar(255) NOT NULL COMMENT 'The path of the page where this banner will live',
  `imgurl` varchar(255) DEFAULT NULL COMMENT 'The path of the image for the banner',
  `imgfid` varchar(255) DEFAULT NULL COMMENT 'If the image is managed these are the fids of the image for the banner',
  `text` varchar(255) DEFAULT NULL COMMENT 'The text to display on this relationship',
  `link` varchar(255) DEFAULT NULL COMMENT 'The link to make the banner point to',
  `mode` varchar(30) DEFAULT NULL COMMENT 'The Mode for this page, will be things like time_base, rotating, fade, normal (visual mode)',
  `start_time` varchar(60) DEFAULT NULL COMMENT 'The Start time for this banner, when it activates',
  `end_time` varchar(60) DEFAULT NULL COMMENT 'The End time for this banner, when it expires',
  PRIMARY KEY (`dbid`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='The table for the path to banner relationship';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weebpal_banner`
--

LOCK TABLES `weebpal_banner` WRITE;
/*!40000 ALTER TABLE `weebpal_banner` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `weebpal_banner` VALUES (2,'about',NULL,'282','','','normal',NULL,NULL),(3,'blog',NULL,'283','','','normal',NULL,NULL),(4,'blog-full-width',NULL,'284','','','normal',NULL,NULL),(5,'blog-grid',NULL,'285','','','normal',NULL,NULL),(6,'event',NULL,'286','','','normal',NULL,NULL),(7,'event-full-width',NULL,'287','','','normal',NULL,NULL),(8,'donation',NULL,'288','','','normal',NULL,NULL),(9,'shop',NULL,'289','','','normal',NULL,NULL),(10,'shop-sidebar',NULL,'290','','','normal',NULL,NULL),(11,'contact',NULL,'291','','','normal',NULL,NULL),(12,'content/contact-webform',NULL,'292','','','normal',NULL,NULL),(13,'users',NULL,'293','','','normal',NULL,NULL),(14,'article',NULL,'294','','','normal',NULL,NULL),(15,'default',NULL,'295','','','normal',NULL,NULL);
/*!40000 ALTER TABLE `weebpal_banner` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-12-07 13:25:45
